#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 20353
#define LARGE_STATE_COUNT 2895
#define SYMBOL_COUNT 421
#define ALIAS_COUNT 12
#define TOKEN_COUNT 144
#define EXTERNAL_TOKEN_COUNT 7
#define FIELD_COUNT 15
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 137

enum ts_symbol_identifiers {
  sym__lowercase_identifier = 1,
  anon_sym_SEMI_SEMI = 2,
  anon_sym_let = 3,
  anon_sym_rec = 4,
  anon_sym_and = 5,
  anon_sym_COLON_GT = 6,
  anon_sym_EQ = 7,
  anon_sym_TILDE = 8,
  anon_sym_QMARK = 9,
  anon_sym_COLON = 10,
  anon_sym_LPAREN = 11,
  anon_sym_RPAREN = 12,
  anon_sym_external = 13,
  anon_sym_type = 14,
  anon_sym_nonrec = 15,
  anon_sym_private = 16,
  anon_sym_DOT_DOT = 17,
  anon_sym_PLUS_EQ = 18,
  anon_sym_COMMA = 19,
  anon_sym_PLUS = 20,
  anon_sym_BANG = 21,
  anon_sym_DASH = 22,
  anon_sym__ = 23,
  anon_sym_COLON_EQ = 24,
  anon_sym_PIPE = 25,
  anon_sym_LBRACK = 26,
  anon_sym_RBRACK = 27,
  anon_sym_true = 28,
  anon_sym_false = 29,
  anon_sym_of = 30,
  anon_sym_COLON2 = 31,
  anon_sym_DOT = 32,
  anon_sym_DASH_GT = 33,
  anon_sym_STAR = 34,
  anon_sym_LBRACE = 35,
  anon_sym_SEMI = 36,
  anon_sym_RBRACE = 37,
  anon_sym_mutable = 38,
  anon_sym_constraint = 39,
  anon_sym_exception = 40,
  anon_sym_module = 41,
  anon_sym_open = 42,
  anon_sym_include = 43,
  anon_sym_class = 44,
  anon_sym_virtual = 45,
  anon_sym_val = 46,
  anon_sym_sig = 47,
  anon_sym_end = 48,
  anon_sym_with = 49,
  anon_sym_functor = 50,
  anon_sym_struct = 51,
  anon_sym_object = 52,
  anon_sym_inherit = 53,
  anon_sym_method = 54,
  anon_sym_in = 55,
  anon_sym_fun = 56,
  anon_sym_as = 57,
  anon_sym_initializer = 58,
  anon_sym_LBRACK_GT = 59,
  anon_sym_LBRACK_LT = 60,
  anon_sym_GT = 61,
  anon_sym_AMP = 62,
  anon_sym_LT = 63,
  anon_sym_POUND = 64,
  anon_sym_COLON_COLON = 65,
  anon_sym_LBRACK_PIPE = 66,
  anon_sym_PIPE_RBRACK = 67,
  anon_sym_LT_DASH = 68,
  anon_sym_if = 69,
  anon_sym_then = 70,
  anon_sym_else = 71,
  anon_sym_while = 72,
  anon_sym_do = 73,
  anon_sym_done = 74,
  anon_sym_for = 75,
  anon_sym_to = 76,
  anon_sym_downto = 77,
  anon_sym_match = 78,
  anon_sym_when = 79,
  anon_sym_function = 80,
  anon_sym_try = 81,
  anon_sym_assert = 82,
  anon_sym_lazy = 83,
  anon_sym_new = 84,
  anon_sym_LBRACE_LT = 85,
  anon_sym_GT_RBRACE = 86,
  anon_sym_begin = 87,
  sym_ocamlyacc_value = 88,
  anon_sym_effect = 89,
  aux_sym_attribute_token1 = 90,
  anon_sym_LBRACK_AT_AT = 91,
  anon_sym_LBRACK_AT_AT_AT = 92,
  anon_sym_LBRACK_PERCENT = 93,
  anon_sym_LBRACE_PERCENT = 94,
  aux_sym_quoted_extension_token1 = 95,
  anon_sym_LBRACK_PERCENT_PERCENT = 96,
  anon_sym_LBRACE_PERCENT_PERCENT = 97,
  anon_sym_PERCENT = 98,
  aux_sym_number_token1 = 99,
  aux_sym_signed_number_token1 = 100,
  anon_sym_SQUOTE = 101,
  anon_sym_SQUOTE2 = 102,
  aux_sym_character_content_token1 = 103,
  aux_sym_character_content_token2 = 104,
  anon_sym_DQUOTE = 105,
  aux_sym_string_content_token1 = 106,
  aux_sym_string_content_token2 = 107,
  aux_sym_string_content_token3 = 108,
  aux_sym_string_content_token4 = 109,
  aux_sym_string_content_token5 = 110,
  aux_sym_quoted_string_content_token1 = 111,
  aux_sym_escape_sequence_token1 = 112,
  aux_sym_escape_sequence_token2 = 113,
  aux_sym_escape_sequence_token3 = 114,
  aux_sym_escape_sequence_token4 = 115,
  sym_conversion_specification = 116,
  sym_pretty_printing_indication = 117,
  sym_prefix_operator = 118,
  aux_sym_sign_operator_token1 = 119,
  sym_hash_operator = 120,
  sym_pow_operator = 121,
  sym_mult_operator = 122,
  aux_sym_add_operator_token1 = 123,
  sym_concat_operator = 124,
  sym_rel_operator = 125,
  sym_and_operator = 126,
  sym_or_operator = 127,
  sym_assign_operator = 128,
  sym_indexing_operator = 129,
  sym_let_operator = 130,
  sym_let_and_operator = 131,
  sym_match_operator = 132,
  sym__uppercase_identifier = 133,
  aux_sym_directive_token1 = 134,
  aux_sym_type_variable_token1 = 135,
  aux_sym_tag_token1 = 136,
  aux_sym_attribute_id_token1 = 137,
  sym_comment = 138,
  sym__left_quoted_string_delimiter = 139,
  sym__right_quoted_string_delimiter = 140,
  sym_line_number_directive = 141,
  sym__null = 142,
  sym__error_sentinel = 143,
  sym_type = 144,
  sym__structure = 145,
  sym_expression_item = 146,
  sym__signature = 147,
  sym_toplevel_directive = 148,
  sym__structure_item = 149,
  sym_value_definition = 150,
  sym_let_binding = 151,
  sym_parameter = 152,
  sym_external = 153,
  sym_type_definition = 154,
  sym_type_binding = 155,
  sym__type_params = 156,
  sym__type_param = 157,
  sym__type_equation = 158,
  sym_variant_declaration = 159,
  sym_constructor_declaration = 160,
  sym__constructor_argument = 161,
  sym_record_declaration = 162,
  sym_field_declaration = 163,
  sym_type_constraint = 164,
  sym_exception_definition = 165,
  sym_module_definition = 166,
  sym_module_binding = 167,
  sym_module_parameter = 168,
  sym_module_type_definition = 169,
  sym_open_module = 170,
  sym_include_module = 171,
  sym_class_definition = 172,
  sym_class_binding = 173,
  sym_class_type_definition = 174,
  sym_class_type_binding = 175,
  sym__signature_item = 176,
  sym_value_specification = 177,
  sym_include_module_type = 178,
  sym__module_typed = 179,
  sym__module_type = 180,
  sym_signature = 181,
  sym_module_type_constraint = 182,
  sym_constrain_type = 183,
  sym_constrain_module = 184,
  sym_constrain_module_type = 185,
  sym_module_type_of = 186,
  sym_functor_type = 187,
  sym_parenthesized_module_type = 188,
  sym__simple_module_expression = 189,
  sym__module_expression = 190,
  sym_structure = 191,
  sym_functor = 192,
  sym_module_application = 193,
  sym_typed_module_expression = 194,
  sym_packed_module = 195,
  sym_parenthesized_module_expression = 196,
  sym__class_typed = 197,
  sym__simple_class_type = 198,
  sym__class_type = 199,
  sym_instantiated_class_type = 200,
  sym_class_body_type = 201,
  sym__class_field_specification = 202,
  sym_inheritance_specification = 203,
  sym_instance_variable_specification = 204,
  sym_method_specification = 205,
  sym_type_parameter_constraint = 206,
  sym_let_open_class_type = 207,
  sym_class_function_type = 208,
  sym__simple_class_expression = 209,
  sym__class_expression = 210,
  sym_instantiated_class = 211,
  sym_typed_class_expression = 212,
  sym_class_function = 213,
  sym_class_application = 214,
  sym_let_class_expression = 215,
  sym__class_field = 216,
  sym_inheritance_definition = 217,
  sym_instance_variable_definition = 218,
  sym_method_definition = 219,
  sym_class_initializer = 220,
  sym_let_open_class_expression = 221,
  sym_parenthesized_class_expression = 222,
  sym__typed = 223,
  sym__simple_typed = 224,
  sym__polymorphic_typed = 225,
  sym__polymorphic_type = 226,
  sym_polymorphic_type = 227,
  sym__abstract_type = 228,
  sym__parenthesized_abstract_type = 229,
  sym__simple_type = 230,
  sym__tuple_type = 231,
  sym__type = 232,
  sym_function_type = 233,
  sym_typed_label = 234,
  sym_tuple_type = 235,
  sym_constructed_type = 236,
  sym_aliased_type = 237,
  sym_local_open_type = 238,
  sym_polymorphic_variant_type = 239,
  sym__tag_spec = 240,
  sym_tag_specification = 241,
  sym_package_type = 242,
  sym_object_type = 243,
  sym_method_type = 244,
  sym_hash_type = 245,
  sym_parenthesized_type = 246,
  sym__simple_expression = 247,
  sym__expression = 248,
  sym__sequence_expression = 249,
  sym_typed_expression = 250,
  sym_product_expression = 251,
  sym_cons_expression = 252,
  sym_list_expression = 253,
  sym_array_expression = 254,
  sym_record_expression = 255,
  sym_field_expression = 256,
  sym_application_expression = 257,
  sym_labeled_argument = 258,
  sym_prefix_expression = 259,
  sym_sign_expression = 260,
  sym_hash_expression = 261,
  sym_infix_expression = 262,
  sym_field_get_expression = 263,
  sym_array_get_expression = 264,
  sym_string_get_expression = 265,
  sym_bigarray_get_expression = 266,
  sym_set_expression = 267,
  sym_if_expression = 268,
  sym_then_clause = 269,
  sym_else_clause = 270,
  sym_while_expression = 271,
  sym_do_clause = 272,
  sym_for_expression = 273,
  sym_sequence_expression = 274,
  sym_match_expression = 275,
  sym__match_cases = 276,
  sym_match_case = 277,
  sym_guard = 278,
  sym_refutation_case = 279,
  sym_function_expression = 280,
  sym_fun_expression = 281,
  sym_try_expression = 282,
  sym_let_expression = 283,
  sym_coercion_expression = 284,
  sym_assert_expression = 285,
  sym_lazy_expression = 286,
  sym_let_module_expression = 287,
  sym_let_open_expression = 288,
  sym_local_open_expression = 289,
  sym_package_expression = 290,
  sym_let_exception_expression = 291,
  sym_new_expression = 292,
  sym_object_copy_expression = 293,
  sym_instance_variable_expression = 294,
  sym_method_invocation = 295,
  sym_object_expression = 296,
  sym_parenthesized_expression = 297,
  sym__simple_pattern = 298,
  sym__effect_pattern = 299,
  sym__pattern = 300,
  sym__binding_pattern = 301,
  sym_alias_pattern = 302,
  sym_alias_binding_pattern = 303,
  sym_typed_pattern = 304,
  sym_typed_binding_pattern = 305,
  sym_or_pattern = 306,
  sym_or_binding_pattern = 307,
  sym_constructor_pattern = 308,
  sym_constructor_binding_pattern = 309,
  sym_tag_pattern = 310,
  sym_tag_binding_pattern = 311,
  sym_polymorphic_variant_pattern = 312,
  sym_tuple_pattern = 313,
  sym_tuple_binding_pattern = 314,
  sym_record_pattern = 315,
  sym_field_pattern = 316,
  sym_record_binding_pattern = 317,
  sym_field_binding_pattern = 318,
  sym_list_pattern = 319,
  sym_list_binding_pattern = 320,
  sym_cons_pattern = 321,
  sym_cons_binding_pattern = 322,
  sym_array_pattern = 323,
  sym_array_binding_pattern = 324,
  sym_range_pattern = 325,
  sym_lazy_pattern = 326,
  sym_lazy_binding_pattern = 327,
  sym_local_open_pattern = 328,
  sym_local_open_binding_pattern = 329,
  sym_package_pattern = 330,
  sym_parenthesized_pattern = 331,
  sym_parenthesized_binding_pattern = 332,
  sym_exception_pattern = 333,
  sym_effect_pattern = 334,
  sym_attribute = 335,
  sym_item_attribute = 336,
  sym_floating_attribute = 337,
  sym_attribute_payload = 338,
  sym_extension = 339,
  sym_quoted_extension = 340,
  sym_item_extension = 341,
  sym_quoted_item_extension = 342,
  sym__attribute = 343,
  sym__constant = 344,
  sym__signed_constant = 345,
  sym_number = 346,
  sym_signed_number = 347,
  sym_character = 348,
  sym_character_content = 349,
  sym_string = 350,
  sym_string_content = 351,
  sym_quoted_string = 352,
  sym__quoted_string = 353,
  sym_quoted_string_content = 354,
  sym_escape_sequence = 355,
  sym_boolean = 356,
  sym_unit = 357,
  sym_sign_operator = 358,
  sym__infix_operator = 359,
  sym_add_operator = 360,
  sym_indexing_operator_path = 361,
  sym__value_name = 362,
  sym__simple_value_pattern = 363,
  sym_parenthesized_operator = 364,
  sym_value_path = 365,
  sym_module_path = 366,
  sym_extended_module_path = 367,
  sym_module_type_path = 368,
  sym_field_path = 369,
  sym_constructor_path = 370,
  sym_type_constructor_path = 371,
  sym_class_path = 372,
  sym_class_type_path = 373,
  sym__instance_variable_name = 374,
  sym__constructor_name = 375,
  sym_directive = 376,
  sym_type_variable = 377,
  sym_tag = 378,
  sym_attribute_id = 379,
  aux_sym__structure_repeat1 = 380,
  aux_sym__structure_repeat2 = 381,
  aux_sym_expression_item_repeat1 = 382,
  aux_sym__signature_repeat1 = 383,
  aux_sym_value_definition_repeat1 = 384,
  aux_sym_let_binding_repeat1 = 385,
  aux_sym_external_repeat1 = 386,
  aux_sym_type_definition_repeat1 = 387,
  aux_sym_type_binding_repeat1 = 388,
  aux_sym__type_params_repeat1 = 389,
  aux_sym_variant_declaration_repeat1 = 390,
  aux_sym_constructor_declaration_repeat1 = 391,
  aux_sym__constructor_argument_repeat1 = 392,
  aux_sym_record_declaration_repeat1 = 393,
  aux_sym_module_definition_repeat1 = 394,
  aux_sym_module_binding_repeat1 = 395,
  aux_sym_class_definition_repeat1 = 396,
  aux_sym_class_type_definition_repeat1 = 397,
  aux_sym_module_type_constraint_repeat1 = 398,
  aux_sym_instantiated_class_type_repeat1 = 399,
  aux_sym_class_body_type_repeat1 = 400,
  aux_sym_instance_variable_specification_repeat1 = 401,
  aux_sym_method_specification_repeat1 = 402,
  aux_sym_class_application_repeat1 = 403,
  aux_sym__abstract_type_repeat1 = 404,
  aux_sym_polymorphic_variant_type_repeat1 = 405,
  aux_sym_polymorphic_variant_type_repeat2 = 406,
  aux_sym_tag_specification_repeat1 = 407,
  aux_sym_object_type_repeat1 = 408,
  aux_sym_list_expression_repeat1 = 409,
  aux_sym_record_expression_repeat1 = 410,
  aux_sym__match_cases_repeat1 = 411,
  aux_sym_object_copy_expression_repeat1 = 412,
  aux_sym_object_expression_repeat1 = 413,
  aux_sym_record_pattern_repeat1 = 414,
  aux_sym_record_binding_pattern_repeat1 = 415,
  aux_sym_list_pattern_repeat1 = 416,
  aux_sym_list_binding_pattern_repeat1 = 417,
  aux_sym_string_content_repeat1 = 418,
  aux_sym_quoted_string_content_repeat1 = 419,
  aux_sym_attribute_id_repeat1 = 420,
  alias_sym_class_name = 421,
  alias_sym_class_type_name = 422,
  alias_sym_constructor_name = 423,
  alias_sym_field_name = 424,
  alias_sym_instance_variable_name = 425,
  alias_sym_label_name = 426,
  alias_sym_method_name = 427,
  alias_sym_module_name = 428,
  alias_sym_module_type_name = 429,
  alias_sym_type_constructor = 430,
  alias_sym_value_name = 431,
  alias_sym_value_pattern = 432,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__lowercase_identifier] = "_lowercase_identifier",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_let] = "let",
  [anon_sym_rec] = "rec",
  [anon_sym_and] = "and",
  [anon_sym_COLON_GT] = ":>",
  [anon_sym_EQ] = "=",
  [anon_sym_TILDE] = "~",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON] = ":",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_external] = "external",
  [anon_sym_type] = "type",
  [anon_sym_nonrec] = "nonrec",
  [anon_sym_private] = "private",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_COMMA] = ",",
  [anon_sym_PLUS] = "+",
  [anon_sym_BANG] = "!",
  [anon_sym_DASH] = "-",
  [anon_sym__] = "_",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PIPE] = "|",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_of] = "of",
  [anon_sym_COLON2] = ":",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR] = "*",
  [anon_sym_LBRACE] = "{",
  [anon_sym_SEMI] = ";",
  [anon_sym_RBRACE] = "}",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constraint] = "constraint",
  [anon_sym_exception] = "exception",
  [anon_sym_module] = "module",
  [anon_sym_open] = "open",
  [anon_sym_include] = "include",
  [anon_sym_class] = "class",
  [anon_sym_virtual] = "virtual",
  [anon_sym_val] = "val",
  [anon_sym_sig] = "sig",
  [anon_sym_end] = "end",
  [anon_sym_with] = "with",
  [anon_sym_functor] = "functor",
  [anon_sym_struct] = "struct",
  [anon_sym_object] = "object",
  [anon_sym_inherit] = "inherit",
  [anon_sym_method] = "method",
  [anon_sym_in] = "in",
  [anon_sym_fun] = "fun",
  [anon_sym_as] = "as",
  [anon_sym_initializer] = "initializer",
  [anon_sym_LBRACK_GT] = "[>",
  [anon_sym_LBRACK_LT] = "[<",
  [anon_sym_GT] = ">",
  [anon_sym_AMP] = "&",
  [anon_sym_LT] = "<",
  [anon_sym_POUND] = "#",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_PIPE] = "[|",
  [anon_sym_PIPE_RBRACK] = "|]",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_else] = "else",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_for] = "for",
  [anon_sym_to] = "to",
  [anon_sym_downto] = "downto",
  [anon_sym_match] = "match",
  [anon_sym_when] = "when",
  [anon_sym_function] = "function",
  [anon_sym_try] = "try",
  [anon_sym_assert] = "assert",
  [anon_sym_lazy] = "lazy",
  [anon_sym_new] = "new",
  [anon_sym_LBRACE_LT] = "{<",
  [anon_sym_GT_RBRACE] = ">}",
  [anon_sym_begin] = "begin",
  [sym_ocamlyacc_value] = "ocamlyacc_value",
  [anon_sym_effect] = "effect",
  [aux_sym_attribute_token1] = "[@",
  [anon_sym_LBRACK_AT_AT] = "[@@",
  [anon_sym_LBRACK_AT_AT_AT] = "[@@@",
  [anon_sym_LBRACK_PERCENT] = "[%",
  [anon_sym_LBRACE_PERCENT] = "{%",
  [aux_sym_quoted_extension_token1] = "quoted_extension_token1",
  [anon_sym_LBRACK_PERCENT_PERCENT] = "[%%",
  [anon_sym_LBRACE_PERCENT_PERCENT] = "{%%",
  [anon_sym_PERCENT] = "%",
  [aux_sym_number_token1] = "number_token1",
  [aux_sym_signed_number_token1] = "signed_number_token1",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_SQUOTE2] = "'",
  [aux_sym_character_content_token1] = "character_content_token1",
  [aux_sym_character_content_token2] = "character_content_token2",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_content_token1] = "string_content_token1",
  [aux_sym_string_content_token2] = "string_content_token2",
  [aux_sym_string_content_token3] = "string_content_token3",
  [aux_sym_string_content_token4] = "escape_sequence",
  [aux_sym_string_content_token5] = "escape_sequence",
  [aux_sym_quoted_string_content_token1] = "quoted_string_content_token1",
  [aux_sym_escape_sequence_token1] = "escape_sequence_token1",
  [aux_sym_escape_sequence_token2] = "escape_sequence_token2",
  [aux_sym_escape_sequence_token3] = "escape_sequence_token3",
  [aux_sym_escape_sequence_token4] = "escape_sequence_token4",
  [sym_conversion_specification] = "conversion_specification",
  [sym_pretty_printing_indication] = "pretty_printing_indication",
  [sym_prefix_operator] = "prefix_operator",
  [aux_sym_sign_operator_token1] = "sign_operator_token1",
  [sym_hash_operator] = "hash_operator",
  [sym_pow_operator] = "pow_operator",
  [sym_mult_operator] = "mult_operator",
  [aux_sym_add_operator_token1] = "add_operator_token1",
  [sym_concat_operator] = "concat_operator",
  [sym_rel_operator] = "rel_operator",
  [sym_and_operator] = "and_operator",
  [sym_or_operator] = "or_operator",
  [sym_assign_operator] = "assign_operator",
  [sym_indexing_operator] = "indexing_operator",
  [sym_let_operator] = "let_operator",
  [sym_let_and_operator] = "let_and_operator",
  [sym_match_operator] = "match_operator",
  [sym__uppercase_identifier] = "_uppercase_identifier",
  [aux_sym_directive_token1] = "directive_token1",
  [aux_sym_type_variable_token1] = "type_variable_token1",
  [aux_sym_tag_token1] = "tag_token1",
  [aux_sym_attribute_id_token1] = "attribute_id_token1",
  [sym_comment] = "comment",
  [sym__left_quoted_string_delimiter] = "_left_quoted_string_delimiter",
  [sym__right_quoted_string_delimiter] = "_right_quoted_string_delimiter",
  [sym_line_number_directive] = "line_number_directive",
  [sym__null] = "_null",
  [sym__error_sentinel] = "_error_sentinel",
  [sym_type] = "type",
  [sym__structure] = "_structure",
  [sym_expression_item] = "expression_item",
  [sym__signature] = "_signature",
  [sym_toplevel_directive] = "toplevel_directive",
  [sym__structure_item] = "_structure_item",
  [sym_value_definition] = "value_definition",
  [sym_let_binding] = "let_binding",
  [sym_parameter] = "parameter",
  [sym_external] = "external",
  [sym_type_definition] = "type_definition",
  [sym_type_binding] = "type_binding",
  [sym__type_params] = "_type_params",
  [sym__type_param] = "_type_param",
  [sym__type_equation] = "_type_equation",
  [sym_variant_declaration] = "variant_declaration",
  [sym_constructor_declaration] = "constructor_declaration",
  [sym__constructor_argument] = "_constructor_argument",
  [sym_record_declaration] = "record_declaration",
  [sym_field_declaration] = "field_declaration",
  [sym_type_constraint] = "type_constraint",
  [sym_exception_definition] = "exception_definition",
  [sym_module_definition] = "module_definition",
  [sym_module_binding] = "module_binding",
  [sym_module_parameter] = "module_parameter",
  [sym_module_type_definition] = "module_type_definition",
  [sym_open_module] = "open_module",
  [sym_include_module] = "include_module",
  [sym_class_definition] = "class_definition",
  [sym_class_binding] = "class_binding",
  [sym_class_type_definition] = "class_type_definition",
  [sym_class_type_binding] = "class_type_binding",
  [sym__signature_item] = "_signature_item",
  [sym_value_specification] = "value_specification",
  [sym_include_module_type] = "include_module_type",
  [sym__module_typed] = "_module_typed",
  [sym__module_type] = "_module_type",
  [sym_signature] = "signature",
  [sym_module_type_constraint] = "module_type_constraint",
  [sym_constrain_type] = "constrain_type",
  [sym_constrain_module] = "constrain_module",
  [sym_constrain_module_type] = "constrain_module_type",
  [sym_module_type_of] = "module_type_of",
  [sym_functor_type] = "functor_type",
  [sym_parenthesized_module_type] = "parenthesized_module_type",
  [sym__simple_module_expression] = "_simple_module_expression",
  [sym__module_expression] = "_module_expression",
  [sym_structure] = "structure",
  [sym_functor] = "functor",
  [sym_module_application] = "module_application",
  [sym_typed_module_expression] = "typed_module_expression",
  [sym_packed_module] = "packed_module",
  [sym_parenthesized_module_expression] = "parenthesized_module_expression",
  [sym__class_typed] = "_class_typed",
  [sym__simple_class_type] = "_simple_class_type",
  [sym__class_type] = "_class_type",
  [sym_instantiated_class_type] = "instantiated_class_type",
  [sym_class_body_type] = "class_body_type",
  [sym__class_field_specification] = "_class_field_specification",
  [sym_inheritance_specification] = "inheritance_specification",
  [sym_instance_variable_specification] = "instance_variable_specification",
  [sym_method_specification] = "method_specification",
  [sym_type_parameter_constraint] = "type_parameter_constraint",
  [sym_let_open_class_type] = "let_open_class_type",
  [sym_class_function_type] = "class_function_type",
  [sym__simple_class_expression] = "_simple_class_expression",
  [sym__class_expression] = "_class_expression",
  [sym_instantiated_class] = "instantiated_class",
  [sym_typed_class_expression] = "typed_class_expression",
  [sym_class_function] = "class_function",
  [sym_class_application] = "class_application",
  [sym_let_class_expression] = "let_class_expression",
  [sym__class_field] = "_class_field",
  [sym_inheritance_definition] = "inheritance_definition",
  [sym_instance_variable_definition] = "instance_variable_definition",
  [sym_method_definition] = "method_definition",
  [sym_class_initializer] = "class_initializer",
  [sym_let_open_class_expression] = "let_open_class_expression",
  [sym_parenthesized_class_expression] = "parenthesized_class_expression",
  [sym__typed] = "_typed",
  [sym__simple_typed] = "_simple_typed",
  [sym__polymorphic_typed] = "_polymorphic_typed",
  [sym__polymorphic_type] = "_polymorphic_type",
  [sym_polymorphic_type] = "polymorphic_type",
  [sym__abstract_type] = "_abstract_type",
  [sym__parenthesized_abstract_type] = "abstract_type",
  [sym__simple_type] = "_simple_type",
  [sym__tuple_type] = "_tuple_type",
  [sym__type] = "_type",
  [sym_function_type] = "function_type",
  [sym_typed_label] = "typed_label",
  [sym_tuple_type] = "tuple_type",
  [sym_constructed_type] = "constructed_type",
  [sym_aliased_type] = "aliased_type",
  [sym_local_open_type] = "local_open_type",
  [sym_polymorphic_variant_type] = "polymorphic_variant_type",
  [sym__tag_spec] = "_tag_spec",
  [sym_tag_specification] = "tag_specification",
  [sym_package_type] = "package_type",
  [sym_object_type] = "object_type",
  [sym_method_type] = "method_type",
  [sym_hash_type] = "hash_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_expression] = "_simple_expression",
  [sym__expression] = "_expression",
  [sym__sequence_expression] = "_sequence_expression",
  [sym_typed_expression] = "typed_expression",
  [sym_product_expression] = "product_expression",
  [sym_cons_expression] = "cons_expression",
  [sym_list_expression] = "list_expression",
  [sym_array_expression] = "array_expression",
  [sym_record_expression] = "record_expression",
  [sym_field_expression] = "field_expression",
  [sym_application_expression] = "application_expression",
  [sym_labeled_argument] = "labeled_argument",
  [sym_prefix_expression] = "prefix_expression",
  [sym_sign_expression] = "sign_expression",
  [sym_hash_expression] = "hash_expression",
  [sym_infix_expression] = "infix_expression",
  [sym_field_get_expression] = "field_get_expression",
  [sym_array_get_expression] = "array_get_expression",
  [sym_string_get_expression] = "string_get_expression",
  [sym_bigarray_get_expression] = "bigarray_get_expression",
  [sym_set_expression] = "set_expression",
  [sym_if_expression] = "if_expression",
  [sym_then_clause] = "then_clause",
  [sym_else_clause] = "else_clause",
  [sym_while_expression] = "while_expression",
  [sym_do_clause] = "do_clause",
  [sym_for_expression] = "for_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_match_expression] = "match_expression",
  [sym__match_cases] = "_match_cases",
  [sym_match_case] = "match_case",
  [sym_guard] = "guard",
  [sym_refutation_case] = "refutation_case",
  [sym_function_expression] = "function_expression",
  [sym_fun_expression] = "fun_expression",
  [sym_try_expression] = "try_expression",
  [sym_let_expression] = "let_expression",
  [sym_coercion_expression] = "coercion_expression",
  [sym_assert_expression] = "assert_expression",
  [sym_lazy_expression] = "lazy_expression",
  [sym_let_module_expression] = "let_module_expression",
  [sym_let_open_expression] = "let_open_expression",
  [sym_local_open_expression] = "local_open_expression",
  [sym_package_expression] = "package_expression",
  [sym_let_exception_expression] = "let_exception_expression",
  [sym_new_expression] = "new_expression",
  [sym_object_copy_expression] = "object_copy_expression",
  [sym_instance_variable_expression] = "instance_variable_expression",
  [sym_method_invocation] = "method_invocation",
  [sym_object_expression] = "object_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__simple_pattern] = "_simple_pattern",
  [sym__effect_pattern] = "_effect_pattern",
  [sym__pattern] = "_pattern",
  [sym__binding_pattern] = "_binding_pattern",
  [sym_alias_pattern] = "alias_pattern",
  [sym_alias_binding_pattern] = "alias_pattern",
  [sym_typed_pattern] = "typed_pattern",
  [sym_typed_binding_pattern] = "typed_pattern",
  [sym_or_pattern] = "or_pattern",
  [sym_or_binding_pattern] = "or_pattern",
  [sym_constructor_pattern] = "constructor_pattern",
  [sym_constructor_binding_pattern] = "constructor_pattern",
  [sym_tag_pattern] = "tag_pattern",
  [sym_tag_binding_pattern] = "tag_pattern",
  [sym_polymorphic_variant_pattern] = "polymorphic_variant_pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_tuple_binding_pattern] = "tuple_pattern",
  [sym_record_pattern] = "record_pattern",
  [sym_field_pattern] = "field_pattern",
  [sym_record_binding_pattern] = "record_binding_pattern",
  [sym_field_binding_pattern] = "field_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_list_binding_pattern] = "list_binding_pattern",
  [sym_cons_pattern] = "cons_pattern",
  [sym_cons_binding_pattern] = "cons_pattern",
  [sym_array_pattern] = "array_pattern",
  [sym_array_binding_pattern] = "array_binding_pattern",
  [sym_range_pattern] = "range_pattern",
  [sym_lazy_pattern] = "lazy_pattern",
  [sym_lazy_binding_pattern] = "lazy_pattern",
  [sym_local_open_pattern] = "local_open_pattern",
  [sym_local_open_binding_pattern] = "local_open_pattern",
  [sym_package_pattern] = "package_pattern",
  [sym_parenthesized_pattern] = "parenthesized_pattern",
  [sym_parenthesized_binding_pattern] = "parenthesized_pattern",
  [sym_exception_pattern] = "exception_pattern",
  [sym_effect_pattern] = "effect_pattern",
  [sym_attribute] = "attribute",
  [sym_item_attribute] = "item_attribute",
  [sym_floating_attribute] = "floating_attribute",
  [sym_attribute_payload] = "attribute_payload",
  [sym_extension] = "extension",
  [sym_quoted_extension] = "quoted_extension",
  [sym_item_extension] = "item_extension",
  [sym_quoted_item_extension] = "quoted_item_extension",
  [sym__attribute] = "_attribute",
  [sym__constant] = "_constant",
  [sym__signed_constant] = "_signed_constant",
  [sym_number] = "number",
  [sym_signed_number] = "signed_number",
  [sym_character] = "character",
  [sym_character_content] = "character_content",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_quoted_string] = "quoted_string",
  [sym__quoted_string] = "_quoted_string",
  [sym_quoted_string_content] = "quoted_string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_boolean] = "boolean",
  [sym_unit] = "unit",
  [sym_sign_operator] = "sign_operator",
  [sym__infix_operator] = "_infix_operator",
  [sym_add_operator] = "add_operator",
  [sym_indexing_operator_path] = "indexing_operator_path",
  [sym__value_name] = "_value_name",
  [sym__simple_value_pattern] = "_simple_value_pattern",
  [sym_parenthesized_operator] = "parenthesized_operator",
  [sym_value_path] = "value_path",
  [sym_module_path] = "module_path",
  [sym_extended_module_path] = "extended_module_path",
  [sym_module_type_path] = "module_type_path",
  [sym_field_path] = "field_path",
  [sym_constructor_path] = "constructor_path",
  [sym_type_constructor_path] = "type_constructor_path",
  [sym_class_path] = "class_path",
  [sym_class_type_path] = "class_type_path",
  [sym__instance_variable_name] = "_instance_variable_name",
  [sym__constructor_name] = "_constructor_name",
  [sym_directive] = "directive",
  [sym_type_variable] = "type_variable",
  [sym_tag] = "tag",
  [sym_attribute_id] = "attribute_id",
  [aux_sym__structure_repeat1] = "_structure_repeat1",
  [aux_sym__structure_repeat2] = "_structure_repeat2",
  [aux_sym_expression_item_repeat1] = "expression_item_repeat1",
  [aux_sym__signature_repeat1] = "_signature_repeat1",
  [aux_sym_value_definition_repeat1] = "value_definition_repeat1",
  [aux_sym_let_binding_repeat1] = "let_binding_repeat1",
  [aux_sym_external_repeat1] = "external_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym_type_binding_repeat1] = "type_binding_repeat1",
  [aux_sym__type_params_repeat1] = "_type_params_repeat1",
  [aux_sym_variant_declaration_repeat1] = "variant_declaration_repeat1",
  [aux_sym_constructor_declaration_repeat1] = "constructor_declaration_repeat1",
  [aux_sym__constructor_argument_repeat1] = "_constructor_argument_repeat1",
  [aux_sym_record_declaration_repeat1] = "record_declaration_repeat1",
  [aux_sym_module_definition_repeat1] = "module_definition_repeat1",
  [aux_sym_module_binding_repeat1] = "module_binding_repeat1",
  [aux_sym_class_definition_repeat1] = "class_definition_repeat1",
  [aux_sym_class_type_definition_repeat1] = "class_type_definition_repeat1",
  [aux_sym_module_type_constraint_repeat1] = "module_type_constraint_repeat1",
  [aux_sym_instantiated_class_type_repeat1] = "instantiated_class_type_repeat1",
  [aux_sym_class_body_type_repeat1] = "class_body_type_repeat1",
  [aux_sym_instance_variable_specification_repeat1] = "instance_variable_specification_repeat1",
  [aux_sym_method_specification_repeat1] = "method_specification_repeat1",
  [aux_sym_class_application_repeat1] = "class_application_repeat1",
  [aux_sym__abstract_type_repeat1] = "_abstract_type_repeat1",
  [aux_sym_polymorphic_variant_type_repeat1] = "polymorphic_variant_type_repeat1",
  [aux_sym_polymorphic_variant_type_repeat2] = "polymorphic_variant_type_repeat2",
  [aux_sym_tag_specification_repeat1] = "tag_specification_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_list_expression_repeat1] = "list_expression_repeat1",
  [aux_sym_record_expression_repeat1] = "record_expression_repeat1",
  [aux_sym__match_cases_repeat1] = "_match_cases_repeat1",
  [aux_sym_object_copy_expression_repeat1] = "object_copy_expression_repeat1",
  [aux_sym_object_expression_repeat1] = "object_expression_repeat1",
  [aux_sym_record_pattern_repeat1] = "record_pattern_repeat1",
  [aux_sym_record_binding_pattern_repeat1] = "record_binding_pattern_repeat1",
  [aux_sym_list_pattern_repeat1] = "list_pattern_repeat1",
  [aux_sym_list_binding_pattern_repeat1] = "list_binding_pattern_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_quoted_string_content_repeat1] = "quoted_string_content_repeat1",
  [aux_sym_attribute_id_repeat1] = "attribute_id_repeat1",
  [alias_sym_class_name] = "class_name",
  [alias_sym_class_type_name] = "class_type_name",
  [alias_sym_constructor_name] = "constructor_name",
  [alias_sym_field_name] = "field_name",
  [alias_sym_instance_variable_name] = "instance_variable_name",
  [alias_sym_label_name] = "label_name",
  [alias_sym_method_name] = "method_name",
  [alias_sym_module_name] = "module_name",
  [alias_sym_module_type_name] = "module_type_name",
  [alias_sym_type_constructor] = "type_constructor",
  [alias_sym_value_name] = "value_name",
  [alias_sym_value_pattern] = "value_pattern",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__lowercase_identifier] = sym__lowercase_identifier,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_rec] = anon_sym_rec,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_COLON_GT] = anon_sym_COLON_GT,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_external] = anon_sym_external,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_nonrec] = anon_sym_nonrec,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym__] = anon_sym__,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_COLON2] = anon_sym_COLON,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constraint] = anon_sym_constraint,
  [anon_sym_exception] = anon_sym_exception,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_include] = anon_sym_include,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_val] = anon_sym_val,
  [anon_sym_sig] = anon_sym_sig,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_functor] = anon_sym_functor,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_inherit] = anon_sym_inherit,
  [anon_sym_method] = anon_sym_method,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_fun] = anon_sym_fun,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_initializer] = anon_sym_initializer,
  [anon_sym_LBRACK_GT] = anon_sym_LBRACK_GT,
  [anon_sym_LBRACK_LT] = anon_sym_LBRACK_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_PIPE] = anon_sym_LBRACK_PIPE,
  [anon_sym_PIPE_RBRACK] = anon_sym_PIPE_RBRACK,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_to] = anon_sym_to,
  [anon_sym_downto] = anon_sym_downto,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_lazy] = anon_sym_lazy,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_LBRACE_LT] = anon_sym_LBRACE_LT,
  [anon_sym_GT_RBRACE] = anon_sym_GT_RBRACE,
  [anon_sym_begin] = anon_sym_begin,
  [sym_ocamlyacc_value] = sym_ocamlyacc_value,
  [anon_sym_effect] = anon_sym_effect,
  [aux_sym_attribute_token1] = aux_sym_attribute_token1,
  [anon_sym_LBRACK_AT_AT] = anon_sym_LBRACK_AT_AT,
  [anon_sym_LBRACK_AT_AT_AT] = anon_sym_LBRACK_AT_AT_AT,
  [anon_sym_LBRACK_PERCENT] = anon_sym_LBRACK_PERCENT,
  [anon_sym_LBRACE_PERCENT] = anon_sym_LBRACE_PERCENT,
  [aux_sym_quoted_extension_token1] = aux_sym_quoted_extension_token1,
  [anon_sym_LBRACK_PERCENT_PERCENT] = anon_sym_LBRACK_PERCENT_PERCENT,
  [anon_sym_LBRACE_PERCENT_PERCENT] = anon_sym_LBRACE_PERCENT_PERCENT,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_number_token1] = aux_sym_number_token1,
  [aux_sym_signed_number_token1] = aux_sym_signed_number_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [aux_sym_character_content_token1] = aux_sym_character_content_token1,
  [aux_sym_character_content_token2] = aux_sym_character_content_token2,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [aux_sym_string_content_token2] = aux_sym_string_content_token2,
  [aux_sym_string_content_token3] = aux_sym_string_content_token3,
  [aux_sym_string_content_token4] = sym_escape_sequence,
  [aux_sym_string_content_token5] = sym_escape_sequence,
  [aux_sym_quoted_string_content_token1] = aux_sym_quoted_string_content_token1,
  [aux_sym_escape_sequence_token1] = aux_sym_escape_sequence_token1,
  [aux_sym_escape_sequence_token2] = aux_sym_escape_sequence_token2,
  [aux_sym_escape_sequence_token3] = aux_sym_escape_sequence_token3,
  [aux_sym_escape_sequence_token4] = aux_sym_escape_sequence_token4,
  [sym_conversion_specification] = sym_conversion_specification,
  [sym_pretty_printing_indication] = sym_pretty_printing_indication,
  [sym_prefix_operator] = sym_prefix_operator,
  [aux_sym_sign_operator_token1] = aux_sym_sign_operator_token1,
  [sym_hash_operator] = sym_hash_operator,
  [sym_pow_operator] = sym_pow_operator,
  [sym_mult_operator] = sym_mult_operator,
  [aux_sym_add_operator_token1] = aux_sym_add_operator_token1,
  [sym_concat_operator] = sym_concat_operator,
  [sym_rel_operator] = sym_rel_operator,
  [sym_and_operator] = sym_and_operator,
  [sym_or_operator] = sym_or_operator,
  [sym_assign_operator] = sym_assign_operator,
  [sym_indexing_operator] = sym_indexing_operator,
  [sym_let_operator] = sym_let_operator,
  [sym_let_and_operator] = sym_let_and_operator,
  [sym_match_operator] = sym_match_operator,
  [sym__uppercase_identifier] = sym__uppercase_identifier,
  [aux_sym_directive_token1] = aux_sym_directive_token1,
  [aux_sym_type_variable_token1] = aux_sym_type_variable_token1,
  [aux_sym_tag_token1] = aux_sym_tag_token1,
  [aux_sym_attribute_id_token1] = aux_sym_attribute_id_token1,
  [sym_comment] = sym_comment,
  [sym__left_quoted_string_delimiter] = sym__left_quoted_string_delimiter,
  [sym__right_quoted_string_delimiter] = sym__right_quoted_string_delimiter,
  [sym_line_number_directive] = sym_line_number_directive,
  [sym__null] = sym__null,
  [sym__error_sentinel] = sym__error_sentinel,
  [sym_type] = sym_type,
  [sym__structure] = sym__structure,
  [sym_expression_item] = sym_expression_item,
  [sym__signature] = sym__signature,
  [sym_toplevel_directive] = sym_toplevel_directive,
  [sym__structure_item] = sym__structure_item,
  [sym_value_definition] = sym_value_definition,
  [sym_let_binding] = sym_let_binding,
  [sym_parameter] = sym_parameter,
  [sym_external] = sym_external,
  [sym_type_definition] = sym_type_definition,
  [sym_type_binding] = sym_type_binding,
  [sym__type_params] = sym__type_params,
  [sym__type_param] = sym__type_param,
  [sym__type_equation] = sym__type_equation,
  [sym_variant_declaration] = sym_variant_declaration,
  [sym_constructor_declaration] = sym_constructor_declaration,
  [sym__constructor_argument] = sym__constructor_argument,
  [sym_record_declaration] = sym_record_declaration,
  [sym_field_declaration] = sym_field_declaration,
  [sym_type_constraint] = sym_type_constraint,
  [sym_exception_definition] = sym_exception_definition,
  [sym_module_definition] = sym_module_definition,
  [sym_module_binding] = sym_module_binding,
  [sym_module_parameter] = sym_module_parameter,
  [sym_module_type_definition] = sym_module_type_definition,
  [sym_open_module] = sym_open_module,
  [sym_include_module] = sym_include_module,
  [sym_class_definition] = sym_class_definition,
  [sym_class_binding] = sym_class_binding,
  [sym_class_type_definition] = sym_class_type_definition,
  [sym_class_type_binding] = sym_class_type_binding,
  [sym__signature_item] = sym__signature_item,
  [sym_value_specification] = sym_value_specification,
  [sym_include_module_type] = sym_include_module_type,
  [sym__module_typed] = sym__module_typed,
  [sym__module_type] = sym__module_type,
  [sym_signature] = sym_signature,
  [sym_module_type_constraint] = sym_module_type_constraint,
  [sym_constrain_type] = sym_constrain_type,
  [sym_constrain_module] = sym_constrain_module,
  [sym_constrain_module_type] = sym_constrain_module_type,
  [sym_module_type_of] = sym_module_type_of,
  [sym_functor_type] = sym_functor_type,
  [sym_parenthesized_module_type] = sym_parenthesized_module_type,
  [sym__simple_module_expression] = sym__simple_module_expression,
  [sym__module_expression] = sym__module_expression,
  [sym_structure] = sym_structure,
  [sym_functor] = sym_functor,
  [sym_module_application] = sym_module_application,
  [sym_typed_module_expression] = sym_typed_module_expression,
  [sym_packed_module] = sym_packed_module,
  [sym_parenthesized_module_expression] = sym_parenthesized_module_expression,
  [sym__class_typed] = sym__class_typed,
  [sym__simple_class_type] = sym__simple_class_type,
  [sym__class_type] = sym__class_type,
  [sym_instantiated_class_type] = sym_instantiated_class_type,
  [sym_class_body_type] = sym_class_body_type,
  [sym__class_field_specification] = sym__class_field_specification,
  [sym_inheritance_specification] = sym_inheritance_specification,
  [sym_instance_variable_specification] = sym_instance_variable_specification,
  [sym_method_specification] = sym_method_specification,
  [sym_type_parameter_constraint] = sym_type_parameter_constraint,
  [sym_let_open_class_type] = sym_let_open_class_type,
  [sym_class_function_type] = sym_class_function_type,
  [sym__simple_class_expression] = sym__simple_class_expression,
  [sym__class_expression] = sym__class_expression,
  [sym_instantiated_class] = sym_instantiated_class,
  [sym_typed_class_expression] = sym_typed_class_expression,
  [sym_class_function] = sym_class_function,
  [sym_class_application] = sym_class_application,
  [sym_let_class_expression] = sym_let_class_expression,
  [sym__class_field] = sym__class_field,
  [sym_inheritance_definition] = sym_inheritance_definition,
  [sym_instance_variable_definition] = sym_instance_variable_definition,
  [sym_method_definition] = sym_method_definition,
  [sym_class_initializer] = sym_class_initializer,
  [sym_let_open_class_expression] = sym_let_open_class_expression,
  [sym_parenthesized_class_expression] = sym_parenthesized_class_expression,
  [sym__typed] = sym__typed,
  [sym__simple_typed] = sym__simple_typed,
  [sym__polymorphic_typed] = sym__polymorphic_typed,
  [sym__polymorphic_type] = sym__polymorphic_type,
  [sym_polymorphic_type] = sym_polymorphic_type,
  [sym__abstract_type] = sym__abstract_type,
  [sym__parenthesized_abstract_type] = sym__parenthesized_abstract_type,
  [sym__simple_type] = sym__simple_type,
  [sym__tuple_type] = sym__tuple_type,
  [sym__type] = sym__type,
  [sym_function_type] = sym_function_type,
  [sym_typed_label] = sym_typed_label,
  [sym_tuple_type] = sym_tuple_type,
  [sym_constructed_type] = sym_constructed_type,
  [sym_aliased_type] = sym_aliased_type,
  [sym_local_open_type] = sym_local_open_type,
  [sym_polymorphic_variant_type] = sym_polymorphic_variant_type,
  [sym__tag_spec] = sym__tag_spec,
  [sym_tag_specification] = sym_tag_specification,
  [sym_package_type] = sym_package_type,
  [sym_object_type] = sym_object_type,
  [sym_method_type] = sym_method_type,
  [sym_hash_type] = sym_hash_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym__simple_expression] = sym__simple_expression,
  [sym__expression] = sym__expression,
  [sym__sequence_expression] = sym__sequence_expression,
  [sym_typed_expression] = sym_typed_expression,
  [sym_product_expression] = sym_product_expression,
  [sym_cons_expression] = sym_cons_expression,
  [sym_list_expression] = sym_list_expression,
  [sym_array_expression] = sym_array_expression,
  [sym_record_expression] = sym_record_expression,
  [sym_field_expression] = sym_field_expression,
  [sym_application_expression] = sym_application_expression,
  [sym_labeled_argument] = sym_labeled_argument,
  [sym_prefix_expression] = sym_prefix_expression,
  [sym_sign_expression] = sym_sign_expression,
  [sym_hash_expression] = sym_hash_expression,
  [sym_infix_expression] = sym_infix_expression,
  [sym_field_get_expression] = sym_field_get_expression,
  [sym_array_get_expression] = sym_array_get_expression,
  [sym_string_get_expression] = sym_string_get_expression,
  [sym_bigarray_get_expression] = sym_bigarray_get_expression,
  [sym_set_expression] = sym_set_expression,
  [sym_if_expression] = sym_if_expression,
  [sym_then_clause] = sym_then_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_while_expression] = sym_while_expression,
  [sym_do_clause] = sym_do_clause,
  [sym_for_expression] = sym_for_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_match_expression] = sym_match_expression,
  [sym__match_cases] = sym__match_cases,
  [sym_match_case] = sym_match_case,
  [sym_guard] = sym_guard,
  [sym_refutation_case] = sym_refutation_case,
  [sym_function_expression] = sym_function_expression,
  [sym_fun_expression] = sym_fun_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_let_expression] = sym_let_expression,
  [sym_coercion_expression] = sym_coercion_expression,
  [sym_assert_expression] = sym_assert_expression,
  [sym_lazy_expression] = sym_lazy_expression,
  [sym_let_module_expression] = sym_let_module_expression,
  [sym_let_open_expression] = sym_let_open_expression,
  [sym_local_open_expression] = sym_local_open_expression,
  [sym_package_expression] = sym_package_expression,
  [sym_let_exception_expression] = sym_let_exception_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_object_copy_expression] = sym_object_copy_expression,
  [sym_instance_variable_expression] = sym_instance_variable_expression,
  [sym_method_invocation] = sym_method_invocation,
  [sym_object_expression] = sym_object_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__simple_pattern] = sym__simple_pattern,
  [sym__effect_pattern] = sym__effect_pattern,
  [sym__pattern] = sym__pattern,
  [sym__binding_pattern] = sym__binding_pattern,
  [sym_alias_pattern] = sym_alias_pattern,
  [sym_alias_binding_pattern] = sym_alias_pattern,
  [sym_typed_pattern] = sym_typed_pattern,
  [sym_typed_binding_pattern] = sym_typed_pattern,
  [sym_or_pattern] = sym_or_pattern,
  [sym_or_binding_pattern] = sym_or_pattern,
  [sym_constructor_pattern] = sym_constructor_pattern,
  [sym_constructor_binding_pattern] = sym_constructor_pattern,
  [sym_tag_pattern] = sym_tag_pattern,
  [sym_tag_binding_pattern] = sym_tag_pattern,
  [sym_polymorphic_variant_pattern] = sym_polymorphic_variant_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_tuple_binding_pattern] = sym_tuple_pattern,
  [sym_record_pattern] = sym_record_pattern,
  [sym_field_pattern] = sym_field_pattern,
  [sym_record_binding_pattern] = sym_record_binding_pattern,
  [sym_field_binding_pattern] = sym_field_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_list_binding_pattern] = sym_list_binding_pattern,
  [sym_cons_pattern] = sym_cons_pattern,
  [sym_cons_binding_pattern] = sym_cons_pattern,
  [sym_array_pattern] = sym_array_pattern,
  [sym_array_binding_pattern] = sym_array_binding_pattern,
  [sym_range_pattern] = sym_range_pattern,
  [sym_lazy_pattern] = sym_lazy_pattern,
  [sym_lazy_binding_pattern] = sym_lazy_pattern,
  [sym_local_open_pattern] = sym_local_open_pattern,
  [sym_local_open_binding_pattern] = sym_local_open_pattern,
  [sym_package_pattern] = sym_package_pattern,
  [sym_parenthesized_pattern] = sym_parenthesized_pattern,
  [sym_parenthesized_binding_pattern] = sym_parenthesized_pattern,
  [sym_exception_pattern] = sym_exception_pattern,
  [sym_effect_pattern] = sym_effect_pattern,
  [sym_attribute] = sym_attribute,
  [sym_item_attribute] = sym_item_attribute,
  [sym_floating_attribute] = sym_floating_attribute,
  [sym_attribute_payload] = sym_attribute_payload,
  [sym_extension] = sym_extension,
  [sym_quoted_extension] = sym_quoted_extension,
  [sym_item_extension] = sym_item_extension,
  [sym_quoted_item_extension] = sym_quoted_item_extension,
  [sym__attribute] = sym__attribute,
  [sym__constant] = sym__constant,
  [sym__signed_constant] = sym__signed_constant,
  [sym_number] = sym_number,
  [sym_signed_number] = sym_signed_number,
  [sym_character] = sym_character,
  [sym_character_content] = sym_character_content,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_quoted_string] = sym_quoted_string,
  [sym__quoted_string] = sym__quoted_string,
  [sym_quoted_string_content] = sym_quoted_string_content,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_boolean] = sym_boolean,
  [sym_unit] = sym_unit,
  [sym_sign_operator] = sym_sign_operator,
  [sym__infix_operator] = sym__infix_operator,
  [sym_add_operator] = sym_add_operator,
  [sym_indexing_operator_path] = sym_indexing_operator_path,
  [sym__value_name] = sym__value_name,
  [sym__simple_value_pattern] = sym__simple_value_pattern,
  [sym_parenthesized_operator] = sym_parenthesized_operator,
  [sym_value_path] = sym_value_path,
  [sym_module_path] = sym_module_path,
  [sym_extended_module_path] = sym_extended_module_path,
  [sym_module_type_path] = sym_module_type_path,
  [sym_field_path] = sym_field_path,
  [sym_constructor_path] = sym_constructor_path,
  [sym_type_constructor_path] = sym_type_constructor_path,
  [sym_class_path] = sym_class_path,
  [sym_class_type_path] = sym_class_type_path,
  [sym__instance_variable_name] = sym__instance_variable_name,
  [sym__constructor_name] = sym__constructor_name,
  [sym_directive] = sym_directive,
  [sym_type_variable] = sym_type_variable,
  [sym_tag] = sym_tag,
  [sym_attribute_id] = sym_attribute_id,
  [aux_sym__structure_repeat1] = aux_sym__structure_repeat1,
  [aux_sym__structure_repeat2] = aux_sym__structure_repeat2,
  [aux_sym_expression_item_repeat1] = aux_sym_expression_item_repeat1,
  [aux_sym__signature_repeat1] = aux_sym__signature_repeat1,
  [aux_sym_value_definition_repeat1] = aux_sym_value_definition_repeat1,
  [aux_sym_let_binding_repeat1] = aux_sym_let_binding_repeat1,
  [aux_sym_external_repeat1] = aux_sym_external_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym_type_binding_repeat1] = aux_sym_type_binding_repeat1,
  [aux_sym__type_params_repeat1] = aux_sym__type_params_repeat1,
  [aux_sym_variant_declaration_repeat1] = aux_sym_variant_declaration_repeat1,
  [aux_sym_constructor_declaration_repeat1] = aux_sym_constructor_declaration_repeat1,
  [aux_sym__constructor_argument_repeat1] = aux_sym__constructor_argument_repeat1,
  [aux_sym_record_declaration_repeat1] = aux_sym_record_declaration_repeat1,
  [aux_sym_module_definition_repeat1] = aux_sym_module_definition_repeat1,
  [aux_sym_module_binding_repeat1] = aux_sym_module_binding_repeat1,
  [aux_sym_class_definition_repeat1] = aux_sym_class_definition_repeat1,
  [aux_sym_class_type_definition_repeat1] = aux_sym_class_type_definition_repeat1,
  [aux_sym_module_type_constraint_repeat1] = aux_sym_module_type_constraint_repeat1,
  [aux_sym_instantiated_class_type_repeat1] = aux_sym_instantiated_class_type_repeat1,
  [aux_sym_class_body_type_repeat1] = aux_sym_class_body_type_repeat1,
  [aux_sym_instance_variable_specification_repeat1] = aux_sym_instance_variable_specification_repeat1,
  [aux_sym_method_specification_repeat1] = aux_sym_method_specification_repeat1,
  [aux_sym_class_application_repeat1] = aux_sym_class_application_repeat1,
  [aux_sym__abstract_type_repeat1] = aux_sym__abstract_type_repeat1,
  [aux_sym_polymorphic_variant_type_repeat1] = aux_sym_polymorphic_variant_type_repeat1,
  [aux_sym_polymorphic_variant_type_repeat2] = aux_sym_polymorphic_variant_type_repeat2,
  [aux_sym_tag_specification_repeat1] = aux_sym_tag_specification_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_list_expression_repeat1] = aux_sym_list_expression_repeat1,
  [aux_sym_record_expression_repeat1] = aux_sym_record_expression_repeat1,
  [aux_sym__match_cases_repeat1] = aux_sym__match_cases_repeat1,
  [aux_sym_object_copy_expression_repeat1] = aux_sym_object_copy_expression_repeat1,
  [aux_sym_object_expression_repeat1] = aux_sym_object_expression_repeat1,
  [aux_sym_record_pattern_repeat1] = aux_sym_record_pattern_repeat1,
  [aux_sym_record_binding_pattern_repeat1] = aux_sym_record_binding_pattern_repeat1,
  [aux_sym_list_pattern_repeat1] = aux_sym_list_pattern_repeat1,
  [aux_sym_list_binding_pattern_repeat1] = aux_sym_list_binding_pattern_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_quoted_string_content_repeat1] = aux_sym_quoted_string_content_repeat1,
  [aux_sym_attribute_id_repeat1] = aux_sym_attribute_id_repeat1,
  [alias_sym_class_name] = alias_sym_class_name,
  [alias_sym_class_type_name] = alias_sym_class_type_name,
  [alias_sym_constructor_name] = alias_sym_constructor_name,
  [alias_sym_field_name] = alias_sym_field_name,
  [alias_sym_instance_variable_name] = alias_sym_instance_variable_name,
  [alias_sym_label_name] = alias_sym_label_name,
  [alias_sym_method_name] = alias_sym_method_name,
  [alias_sym_module_name] = alias_sym_module_name,
  [alias_sym_module_type_name] = alias_sym_module_type_name,
  [alias_sym_type_constructor] = alias_sym_type_constructor,
  [alias_sym_value_name] = alias_sym_value_name,
  [alias_sym_value_pattern] = alias_sym_value_pattern,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__lowercase_identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_external] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonrec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constraint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exception] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_include] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_val] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sig] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_functor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inherit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_method] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fun] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_initializer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_to] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_downto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lazy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_begin] = {
    .visible = true,
    .named = false,
  },
  [sym_ocamlyacc_value] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_effect] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_attribute_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_extension_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LBRACK_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_number_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_signed_number_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_character_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_character_content_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token4] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token5] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_quoted_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token4] = {
    .visible = false,
    .named = false,
  },
  [sym_conversion_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_pretty_printing_indication] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_sign_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_hash_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_pow_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_mult_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_add_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_concat_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_rel_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_or_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_assign_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_indexing_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_let_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_let_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_match_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__uppercase_identifier] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_directive_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_variable_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tag_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_id_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__left_quoted_string_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym__right_quoted_string_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym_line_number_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__null] = {
    .visible = false,
    .named = true,
  },
  [sym__error_sentinel] = {
    .visible = false,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym__structure] = {
    .visible = false,
    .named = true,
  },
  [sym_expression_item] = {
    .visible = true,
    .named = true,
  },
  [sym__signature] = {
    .visible = false,
    .named = true,
  },
  [sym_toplevel_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__structure_item] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_value_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_let_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_external] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__type_params] = {
    .visible = false,
    .named = true,
  },
  [sym__type_param] = {
    .visible = false,
    .named = true,
  },
  [sym__type_equation] = {
    .visible = false,
    .named = true,
  },
  [sym_variant_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_argument] = {
    .visible = false,
    .named = true,
  },
  [sym_record_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_module_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_module_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_module_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_open_module] = {
    .visible = true,
    .named = true,
  },
  [sym_include_module] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_item] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_value_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_include_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym__module_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__module_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_module] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_of] = {
    .visible = true,
    .named = true,
  },
  [sym_functor_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_module_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__module_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_structure] = {
    .visible = true,
    .named = true,
  },
  [sym_functor] = {
    .visible = true,
    .named = true,
  },
  [sym_module_application] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_packed_module] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__class_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_class_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__class_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_instantiated_class_type] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body_type] = {
    .visible = true,
    .named = true,
  },
  [sym__class_field_specification] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_inheritance_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_method_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_class_type] = {
    .visible = true,
    .named = true,
  },
  [sym_class_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_class_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__class_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_instantiated_class] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_function] = {
    .visible = true,
    .named = true,
  },
  [sym_class_application] = {
    .visible = true,
    .named = true,
  },
  [sym_let_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__class_field] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_inheritance_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__typed] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__polymorphic_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__polymorphic_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_polymorphic_type] = {
    .visible = true,
    .named = true,
  },
  [sym__abstract_type] = {
    .visible = false,
    .named = true,
  },
  [sym__parenthesized_abstract_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__tuple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_label] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constructed_type] = {
    .visible = true,
    .named = true,
  },
  [sym_aliased_type] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_type] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_variant_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tag_spec] = {
    .visible = false,
    .named = true,
  },
  [sym_tag_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_package_type] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_method_type] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__sequence_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_typed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_product_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_record_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_application_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sign_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bigarray_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_set_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_then_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_do_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__match_cases] = {
    .visible = false,
    .named = true,
  },
  [sym_match_case] = {
    .visible = true,
    .named = true,
  },
  [sym_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_refutation_case] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_fun_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_coercion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_package_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_exception_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object_copy_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_object_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__effect_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__binding_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_alias_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_or_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_or_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_variant_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_range_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_package_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_effect_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_item_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_payload] = {
    .visible = true,
    .named = true,
  },
  [sym_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_item_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_item_extension] = {
    .visible = true,
    .named = true,
  },
  [sym__attribute] = {
    .visible = false,
    .named = true,
  },
  [sym__constant] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__signed_constant] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_signed_number] = {
    .visible = true,
    .named = true,
  },
  [sym_character] = {
    .visible = true,
    .named = true,
  },
  [sym_character_content] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_string] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_string] = {
    .visible = false,
    .named = true,
  },
  [sym_quoted_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_sign_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__infix_operator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_add_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_indexing_operator_path] = {
    .visible = true,
    .named = true,
  },
  [sym__value_name] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_value_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_value_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_path] = {
    .visible = true,
    .named = true,
  },
  [sym_extended_module_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_path] = {
    .visible = true,
    .named = true,
  },
  [sym_field_path] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_path] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constructor_path] = {
    .visible = true,
    .named = true,
  },
  [sym_class_path] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_path] = {
    .visible = true,
    .named = true,
  },
  [sym__instance_variable_name] = {
    .visible = false,
    .named = true,
  },
  [sym__constructor_name] = {
    .visible = false,
    .named = true,
  },
  [sym_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_type_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_id] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__structure_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__structure_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__signature_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_value_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_let_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_external_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variant_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constructor_argument_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_type_constraint_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_instantiated_class_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_instance_variable_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_application_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__abstract_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_variant_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_variant_type_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tag_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__match_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_copy_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_binding_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_binding_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_quoted_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_id_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_class_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_class_type_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_constructor_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_field_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_instance_variable_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_method_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_module_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_module_type_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_constructor] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_value_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_value_pattern] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_argument = 1,
  field_body = 2,
  field_class = 3,
  field_condition = 4,
  field_continuation = 5,
  field_effect = 6,
  field_from = 7,
  field_function = 8,
  field_functor = 9,
  field_left = 10,
  field_name = 11,
  field_operator = 12,
  field_pattern = 13,
  field_right = 14,
  field_to = 15,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_argument] = "argument",
  [field_body] = "body",
  [field_class] = "class",
  [field_condition] = "condition",
  [field_continuation] = "continuation",
  [field_effect] = "effect",
  [field_from] = "from",
  [field_function] = "function",
  [field_functor] = "functor",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_pattern] = "pattern",
  [field_right] = "right",
  [field_to] = "to",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [12] = {.index = 0, .length = 1},
  [18] = {.index = 1, .length = 1},
  [20] = {.index = 1, .length = 1},
  [21] = {.index = 1, .length = 1},
  [22] = {.index = 1, .length = 1},
  [24] = {.index = 2, .length = 2},
  [25] = {.index = 4, .length = 1},
  [26] = {.index = 5, .length = 2},
  [27] = {.index = 7, .length = 1},
  [30] = {.index = 8, .length = 1},
  [33] = {.index = 9, .length = 1},
  [35] = {.index = 10, .length = 1},
  [36] = {.index = 11, .length = 2},
  [37] = {.index = 9, .length = 1},
  [38] = {.index = 9, .length = 1},
  [39] = {.index = 9, .length = 1},
  [40] = {.index = 13, .length = 1},
  [42] = {.index = 14, .length = 3},
  [43] = {.index = 17, .length = 2},
  [44] = {.index = 19, .length = 2},
  [45] = {.index = 21, .length = 1},
  [47] = {.index = 22, .length = 1},
  [48] = {.index = 23, .length = 2},
  [50] = {.index = 25, .length = 2},
  [51] = {.index = 25, .length = 2},
  [53] = {.index = 27, .length = 1},
  [54] = {.index = 25, .length = 2},
  [55] = {.index = 28, .length = 1},
  [56] = {.index = 25, .length = 2},
  [57] = {.index = 10, .length = 1},
  [58] = {.index = 29, .length = 2},
  [59] = {.index = 10, .length = 1},
  [60] = {.index = 31, .length = 1},
  [62] = {.index = 32, .length = 2},
  [63] = {.index = 9, .length = 1},
  [65] = {.index = 34, .length = 1},
  [66] = {.index = 35, .length = 2},
  [67] = {.index = 37, .length = 2},
  [68] = {.index = 39, .length = 2},
  [69] = {.index = 41, .length = 2},
  [70] = {.index = 41, .length = 2},
  [71] = {.index = 39, .length = 2},
  [72] = {.index = 43, .length = 2},
  [73] = {.index = 39, .length = 2},
  [74] = {.index = 25, .length = 2},
  [75] = {.index = 27, .length = 1},
  [76] = {.index = 41, .length = 2},
  [77] = {.index = 39, .length = 2},
  [78] = {.index = 27, .length = 1},
  [79] = {.index = 27, .length = 1},
  [80] = {.index = 41, .length = 2},
  [81] = {.index = 45, .length = 1},
  [82] = {.index = 46, .length = 1},
  [84] = {.index = 45, .length = 1},
  [85] = {.index = 47, .length = 2},
  [86] = {.index = 49, .length = 2},
  [87] = {.index = 51, .length = 2},
  [88] = {.index = 51, .length = 2},
  [89] = {.index = 53, .length = 2},
  [90] = {.index = 49, .length = 2},
  [91] = {.index = 41, .length = 2},
  [92] = {.index = 55, .length = 1},
  [93] = {.index = 51, .length = 2},
  [94] = {.index = 49, .length = 2},
  [95] = {.index = 43, .length = 2},
  [96] = {.index = 43, .length = 2},
  [97] = {.index = 51, .length = 2},
  [98] = {.index = 56, .length = 1},
  [100] = {.index = 57, .length = 2},
  [102] = {.index = 59, .length = 2},
  [103] = {.index = 53, .length = 2},
  [104] = {.index = 61, .length = 1},
  [105] = {.index = 59, .length = 2},
  [107] = {.index = 62, .length = 2},
  [108] = {.index = 53, .length = 2},
  [109] = {.index = 59, .length = 2},
  [110] = {.index = 62, .length = 2},
  [111] = {.index = 53, .length = 2},
  [112] = {.index = 59, .length = 2},
  [113] = {.index = 64, .length = 3},
  [114] = {.index = 67, .length = 2},
  [115] = {.index = 53, .length = 2},
  [116] = {.index = 69, .length = 2},
  [117] = {.index = 71, .length = 2},
  [118] = {.index = 73, .length = 2},
  [119] = {.index = 69, .length = 2},
  [120] = {.index = 75, .length = 2},
  [121] = {.index = 73, .length = 2},
  [122] = {.index = 69, .length = 2},
  [123] = {.index = 77, .length = 3},
  [124] = {.index = 71, .length = 2},
  [125] = {.index = 80, .length = 2},
  [126] = {.index = 82, .length = 2},
  [127] = {.index = 84, .length = 2},
  [128] = {.index = 86, .length = 2},
  [129] = {.index = 80, .length = 2},
  [130] = {.index = 80, .length = 2},
  [131] = {.index = 88, .length = 1},
  [132] = {.index = 84, .length = 2},
  [133] = {.index = 89, .length = 2},
  [134] = {.index = 91, .length = 2},
  [135] = {.index = 93, .length = 2},
  [136] = {.index = 95, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_pattern, 0},
  [1] =
    {field_name, 0},
  [2] =
    {field_operator, 0},
    {field_right, 1},
  [4] =
    {field_argument, 0},
  [5] =
    {field_argument, 1, .inherited = true},
    {field_function, 0},
  [7] =
    {field_left, 0},
  [8] =
    {field_pattern, 1},
  [9] =
    {field_name, 1},
  [10] =
    {field_name, 2},
  [11] =
    {field_argument, 1},
    {field_functor, 0},
  [13] =
    {field_condition, 1},
  [14] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [17] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [19] =
    {field_left, 0},
    {field_right, 2},
  [21] =
    {field_body, 2},
  [22] =
    {field_body, 3},
  [23] =
    {field_body, 2},
    {field_pattern, 0},
  [25] =
    {field_body, 2},
    {field_name, 0},
  [27] =
    {field_name, 3},
  [28] =
    {field_functor, 0},
  [29] =
    {field_argument, 1, .inherited = true},
    {field_class, 0},
  [31] =
    {field_condition, 2},
  [32] =
    {field_left, 0},
    {field_right, 3},
  [34] =
    {field_pattern, 2},
  [35] =
    {field_body, 3},
    {field_pattern, 0},
  [37] =
    {field_continuation, 3},
    {field_effect, 1},
  [39] =
    {field_body, 3},
    {field_name, 0},
  [41] =
    {field_body, 3},
    {field_name, 1},
  [43] =
    {field_body, 4},
    {field_name, 2},
  [45] =
    {field_pattern, 3},
  [46] =
    {field_body, 4},
  [47] =
    {field_body, 4},
    {field_pattern, 0},
  [49] =
    {field_body, 4},
    {field_name, 0},
  [51] =
    {field_body, 4},
    {field_name, 1},
  [53] =
    {field_body, 5},
    {field_name, 3},
  [55] =
    {field_name, 4},
  [56] =
    {field_body, 5},
  [57] =
    {field_body, 5},
    {field_pattern, 0},
  [59] =
    {field_body, 5},
    {field_name, 1},
  [61] =
    {field_name, 5},
  [62] =
    {field_body, 5},
    {field_name, 2},
  [64] =
    {field_from, 3},
    {field_name, 1},
    {field_to, 5},
  [67] =
    {field_body, 6},
    {field_pattern, 0},
  [69] =
    {field_body, 6},
    {field_name, 3},
  [71] =
    {field_body, 6},
    {field_name, 4},
  [73] =
    {field_body, 6},
    {field_name, 2},
  [75] =
    {field_body, 6},
    {field_name, 1},
  [77] =
    {field_from, 4},
    {field_name, 2},
    {field_to, 6},
  [80] =
    {field_body, 7},
    {field_name, 3},
  [82] =
    {field_body, 7},
    {field_name, 4},
  [84] =
    {field_body, 7},
    {field_name, 5},
  [86] =
    {field_body, 7},
    {field_name, 2},
  [88] =
    {field_pattern, 4},
  [89] =
    {field_body, 8},
    {field_name, 4},
  [91] =
    {field_body, 8},
    {field_name, 5},
  [93] =
    {field_body, 8},
    {field_name, 3},
  [95] =
    {field_body, 9},
    {field_name, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_constructor,
  },
  [2] = {
    [0] = alias_sym_module_name,
  },
  [3] = {
    [0] = alias_sym_class_type_name,
  },
  [4] = {
    [0] = alias_sym_value_name,
  },
  [5] = {
    [0] = alias_sym_instance_variable_name,
  },
  [6] = {
    [0] = alias_sym_constructor_name,
  },
  [7] = {
    [0] = alias_sym_module_type_name,
  },
  [8] = {
    [0] = alias_sym_method_name,
  },
  [9] = {
    [0] = alias_sym_label_name,
  },
  [10] = {
    [2] = alias_sym_type_constructor,
  },
  [11] = {
    [2] = alias_sym_module_name,
  },
  [13] = {
    [0] = sym_record_pattern,
  },
  [14] = {
    [0] = sym_list_pattern,
  },
  [15] = {
    [0] = sym_array_pattern,
  },
  [16] = {
    [0] = alias_sym_value_pattern,
  },
  [17] = {
    [0] = sym_type_variable,
  },
  [18] = {
    [0] = alias_sym_type_constructor,
  },
  [19] = {
    [0] = alias_sym_field_name,
  },
  [21] = {
    [0] = alias_sym_module_name,
  },
  [22] = {
    [0] = alias_sym_class_name,
  },
  [23] = {
    [0] = alias_sym_class_name,
  },
  [28] = {
    [1] = alias_sym_label_name,
  },
  [29] = {
    [2] = alias_sym_class_type_name,
  },
  [31] = {
    [1] = alias_sym_constructor_name,
  },
  [32] = {
    [1] = sym_type_variable,
  },
  [33] = {
    [1] = alias_sym_type_constructor,
  },
  [34] = {
    [0] = alias_sym_constructor_name,
    [1] = alias_sym_constructor_name,
  },
  [35] = {
    [2] = alias_sym_module_type_name,
  },
  [37] = {
    [1] = alias_sym_class_name,
  },
  [39] = {
    [1] = alias_sym_method_name,
  },
  [41] = {
    [2] = alias_sym_method_name,
  },
  [46] = {
    [2] = alias_sym_module_type_name,
  },
  [49] = {
    [2] = sym_type_variable,
  },
  [50] = {
    [0] = alias_sym_type_constructor,
  },
  [52] = {
    [2] = alias_sym_field_name,
  },
  [53] = {
    [3] = alias_sym_module_type_name,
  },
  [54] = {
    [0] = alias_sym_module_name,
  },
  [56] = {
    [0] = alias_sym_class_name,
  },
  [59] = {
    [2] = alias_sym_method_name,
  },
  [61] = {
    [2] = alias_sym_class_name,
  },
  [63] = {
    [1] = alias_sym_module_name,
  },
  [64] = {
    [0] = sym__parenthesized_abstract_type,
  },
  [68] = {
    [0] = alias_sym_type_constructor,
  },
  [69] = {
    [1] = alias_sym_type_constructor,
  },
  [72] = {
    [2] = alias_sym_module_type_name,
  },
  [73] = {
    [0] = alias_sym_module_name,
  },
  [74] = {
    [0] = alias_sym_class_type_name,
  },
  [75] = {
    [3] = alias_sym_class_name,
  },
  [76] = {
    [1] = alias_sym_class_name,
  },
  [77] = {
    [0] = alias_sym_class_name,
  },
  [79] = {
    [3] = alias_sym_method_name,
  },
  [80] = {
    [1] = alias_sym_method_name,
  },
  [81] = {
    [1] = alias_sym_label_name,
  },
  [83] = {
    [3] = alias_sym_module_name,
  },
  [86] = {
    [0] = alias_sym_type_constructor,
  },
  [87] = {
    [1] = alias_sym_type_constructor,
  },
  [89] = {
    [3] = alias_sym_module_type_name,
  },
  [90] = {
    [0] = alias_sym_module_name,
  },
  [91] = {
    [1] = alias_sym_class_type_name,
  },
  [92] = {
    [4] = alias_sym_class_name,
  },
  [93] = {
    [1] = alias_sym_class_name,
  },
  [94] = {
    [0] = alias_sym_class_name,
  },
  [96] = {
    [2] = alias_sym_method_name,
  },
  [97] = {
    [1] = alias_sym_method_name,
  },
  [99] = {
    [2] = alias_sym_label_name,
  },
  [101] = {
    [1] = alias_sym_field_name,
  },
  [102] = {
    [1] = alias_sym_type_constructor,
  },
  [103] = {
    [3] = alias_sym_class_name,
  },
  [104] = {
    [5] = alias_sym_class_name,
  },
  [105] = {
    [1] = alias_sym_class_name,
  },
  [106] = {
    [1] = alias_sym_method_name,
  },
  [110] = {
    [2] = alias_sym_method_name,
  },
  [111] = {
    [3] = alias_sym_method_name,
  },
  [112] = {
    [1] = alias_sym_method_name,
  },
  [115] = {
    [3] = alias_sym_class_type_name,
  },
  [116] = {
    [3] = alias_sym_class_name,
  },
  [117] = {
    [4] = alias_sym_class_name,
  },
  [121] = {
    [2] = alias_sym_method_name,
  },
  [122] = {
    [3] = alias_sym_method_name,
  },
  [124] = {
    [4] = alias_sym_class_type_name,
  },
  [125] = {
    [3] = alias_sym_class_name,
  },
  [126] = {
    [4] = alias_sym_class_name,
  },
  [127] = {
    [5] = alias_sym_class_name,
  },
  [130] = {
    [3] = alias_sym_method_name,
  },
  [131] = {
    [1] = alias_sym_label_name,
  },
  [132] = {
    [5] = alias_sym_class_type_name,
  },
  [133] = {
    [4] = alias_sym_class_name,
  },
  [134] = {
    [5] = alias_sym_class_name,
  },
  [136] = {
    [5] = alias_sym_class_name,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__abstract_type, 2,
    sym__abstract_type,
    sym__parenthesized_abstract_type,
  sym_record_binding_pattern, 2,
    sym_record_binding_pattern,
    sym_record_pattern,
  sym_list_binding_pattern, 2,
    sym_list_binding_pattern,
    sym_list_pattern,
  sym_array_binding_pattern, 2,
    sym_array_binding_pattern,
    sym_array_pattern,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 2,
  [7] = 4,
  [8] = 2,
  [9] = 4,
  [10] = 2,
  [11] = 4,
  [12] = 2,
  [13] = 2,
  [14] = 2,
  [15] = 2,
  [16] = 2,
  [17] = 2,
  [18] = 2,
  [19] = 2,
  [20] = 2,
  [21] = 2,
  [22] = 2,
  [23] = 2,
  [24] = 2,
  [25] = 2,
  [26] = 2,
  [27] = 2,
  [28] = 2,
  [29] = 2,
  [30] = 2,
  [31] = 31,
  [32] = 2,
  [33] = 2,
  [34] = 2,
  [35] = 2,
  [36] = 2,
  [37] = 2,
  [38] = 2,
  [39] = 2,
  [40] = 2,
  [41] = 2,
  [42] = 2,
  [43] = 2,
  [44] = 2,
  [45] = 2,
  [46] = 2,
  [47] = 2,
  [48] = 2,
  [49] = 2,
  [50] = 2,
  [51] = 2,
  [52] = 2,
  [53] = 2,
  [54] = 2,
  [55] = 2,
  [56] = 2,
  [57] = 2,
  [58] = 2,
  [59] = 2,
  [60] = 2,
  [61] = 2,
  [62] = 2,
  [63] = 2,
  [64] = 2,
  [65] = 2,
  [66] = 2,
  [67] = 2,
  [68] = 2,
  [69] = 2,
  [70] = 2,
  [71] = 2,
  [72] = 2,
  [73] = 2,
  [74] = 2,
  [75] = 2,
  [76] = 2,
  [77] = 2,
  [78] = 2,
  [79] = 2,
  [80] = 2,
  [81] = 2,
  [82] = 2,
  [83] = 2,
  [84] = 2,
  [85] = 2,
  [86] = 2,
  [87] = 2,
  [88] = 3,
  [89] = 2,
  [90] = 90,
  [91] = 90,
  [92] = 92,
  [93] = 92,
  [94] = 90,
  [95] = 90,
  [96] = 90,
  [97] = 90,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 100,
  [102] = 90,
  [103] = 99,
  [104] = 90,
  [105] = 98,
  [106] = 106,
  [107] = 106,
  [108] = 90,
  [109] = 109,
  [110] = 90,
  [111] = 109,
  [112] = 90,
  [113] = 90,
  [114] = 90,
  [115] = 90,
  [116] = 90,
  [117] = 90,
  [118] = 90,
  [119] = 90,
  [120] = 90,
  [121] = 90,
  [122] = 90,
  [123] = 90,
  [124] = 90,
  [125] = 90,
  [126] = 90,
  [127] = 90,
  [128] = 90,
  [129] = 90,
  [130] = 90,
  [131] = 131,
  [132] = 131,
  [133] = 131,
  [134] = 134,
  [135] = 131,
  [136] = 134,
  [137] = 131,
  [138] = 134,
  [139] = 131,
  [140] = 134,
  [141] = 131,
  [142] = 134,
  [143] = 131,
  [144] = 134,
  [145] = 131,
  [146] = 134,
  [147] = 131,
  [148] = 134,
  [149] = 90,
  [150] = 131,
  [151] = 134,
  [152] = 131,
  [153] = 134,
  [154] = 131,
  [155] = 134,
  [156] = 90,
  [157] = 131,
  [158] = 134,
  [159] = 131,
  [160] = 134,
  [161] = 131,
  [162] = 134,
  [163] = 131,
  [164] = 134,
  [165] = 131,
  [166] = 134,
  [167] = 131,
  [168] = 134,
  [169] = 131,
  [170] = 134,
  [171] = 131,
  [172] = 134,
  [173] = 131,
  [174] = 134,
  [175] = 131,
  [176] = 134,
  [177] = 131,
  [178] = 134,
  [179] = 131,
  [180] = 134,
  [181] = 131,
  [182] = 134,
  [183] = 131,
  [184] = 134,
  [185] = 134,
  [186] = 131,
  [187] = 134,
  [188] = 131,
  [189] = 134,
  [190] = 90,
  [191] = 131,
  [192] = 134,
  [193] = 131,
  [194] = 134,
  [195] = 131,
  [196] = 134,
  [197] = 131,
  [198] = 134,
  [199] = 90,
  [200] = 131,
  [201] = 134,
  [202] = 131,
  [203] = 134,
  [204] = 131,
  [205] = 134,
  [206] = 131,
  [207] = 131,
  [208] = 134,
  [209] = 131,
  [210] = 134,
  [211] = 131,
  [212] = 134,
  [213] = 131,
  [214] = 134,
  [215] = 134,
  [216] = 134,
  [217] = 90,
  [218] = 90,
  [219] = 90,
  [220] = 90,
  [221] = 131,
  [222] = 134,
  [223] = 131,
  [224] = 90,
  [225] = 134,
  [226] = 90,
  [227] = 90,
  [228] = 90,
  [229] = 90,
  [230] = 90,
  [231] = 90,
  [232] = 90,
  [233] = 90,
  [234] = 90,
  [235] = 90,
  [236] = 90,
  [237] = 90,
  [238] = 90,
  [239] = 90,
  [240] = 90,
  [241] = 90,
  [242] = 90,
  [243] = 90,
  [244] = 244,
  [245] = 244,
  [246] = 244,
  [247] = 244,
  [248] = 244,
  [249] = 244,
  [250] = 244,
  [251] = 244,
  [252] = 244,
  [253] = 244,
  [254] = 244,
  [255] = 244,
  [256] = 90,
  [257] = 244,
  [258] = 244,
  [259] = 244,
  [260] = 244,
  [261] = 244,
  [262] = 244,
  [263] = 244,
  [264] = 244,
  [265] = 244,
  [266] = 244,
  [267] = 244,
  [268] = 244,
  [269] = 90,
  [270] = 244,
  [271] = 90,
  [272] = 244,
  [273] = 244,
  [274] = 244,
  [275] = 244,
  [276] = 90,
  [277] = 244,
  [278] = 244,
  [279] = 244,
  [280] = 90,
  [281] = 244,
  [282] = 244,
  [283] = 244,
  [284] = 244,
  [285] = 244,
  [286] = 244,
  [287] = 244,
  [288] = 244,
  [289] = 90,
  [290] = 244,
  [291] = 244,
  [292] = 244,
  [293] = 293,
  [294] = 294,
  [295] = 294,
  [296] = 296,
  [297] = 296,
  [298] = 296,
  [299] = 294,
  [300] = 294,
  [301] = 296,
  [302] = 294,
  [303] = 296,
  [304] = 294,
  [305] = 296,
  [306] = 294,
  [307] = 294,
  [308] = 294,
  [309] = 296,
  [310] = 294,
  [311] = 296,
  [312] = 294,
  [313] = 296,
  [314] = 296,
  [315] = 296,
  [316] = 294,
  [317] = 296,
  [318] = 293,
  [319] = 296,
  [320] = 294,
  [321] = 294,
  [322] = 294,
  [323] = 296,
  [324] = 294,
  [325] = 294,
  [326] = 326,
  [327] = 296,
  [328] = 294,
  [329] = 329,
  [330] = 296,
  [331] = 294,
  [332] = 294,
  [333] = 296,
  [334] = 294,
  [335] = 296,
  [336] = 294,
  [337] = 296,
  [338] = 294,
  [339] = 296,
  [340] = 294,
  [341] = 296,
  [342] = 296,
  [343] = 294,
  [344] = 296,
  [345] = 294,
  [346] = 296,
  [347] = 296,
  [348] = 294,
  [349] = 296,
  [350] = 326,
  [351] = 296,
  [352] = 352,
  [353] = 353,
  [354] = 294,
  [355] = 294,
  [356] = 296,
  [357] = 294,
  [358] = 296,
  [359] = 296,
  [360] = 294,
  [361] = 296,
  [362] = 329,
  [363] = 352,
  [364] = 329,
  [365] = 352,
  [366] = 329,
  [367] = 352,
  [368] = 329,
  [369] = 329,
  [370] = 329,
  [371] = 329,
  [372] = 329,
  [373] = 329,
  [374] = 329,
  [375] = 329,
  [376] = 329,
  [377] = 329,
  [378] = 329,
  [379] = 329,
  [380] = 329,
  [381] = 329,
  [382] = 296,
  [383] = 329,
  [384] = 329,
  [385] = 329,
  [386] = 329,
  [387] = 329,
  [388] = 329,
  [389] = 329,
  [390] = 329,
  [391] = 329,
  [392] = 329,
  [393] = 329,
  [394] = 329,
  [395] = 329,
  [396] = 329,
  [397] = 329,
  [398] = 329,
  [399] = 329,
  [400] = 293,
  [401] = 353,
  [402] = 329,
  [403] = 293,
  [404] = 353,
  [405] = 329,
  [406] = 293,
  [407] = 353,
  [408] = 329,
  [409] = 293,
  [410] = 353,
  [411] = 329,
  [412] = 293,
  [413] = 353,
  [414] = 329,
  [415] = 293,
  [416] = 353,
  [417] = 329,
  [418] = 293,
  [419] = 353,
  [420] = 329,
  [421] = 293,
  [422] = 353,
  [423] = 329,
  [424] = 293,
  [425] = 353,
  [426] = 329,
  [427] = 293,
  [428] = 353,
  [429] = 329,
  [430] = 293,
  [431] = 353,
  [432] = 293,
  [433] = 353,
  [434] = 293,
  [435] = 353,
  [436] = 293,
  [437] = 353,
  [438] = 293,
  [439] = 353,
  [440] = 293,
  [441] = 353,
  [442] = 293,
  [443] = 353,
  [444] = 293,
  [445] = 353,
  [446] = 293,
  [447] = 353,
  [448] = 293,
  [449] = 353,
  [450] = 293,
  [451] = 353,
  [452] = 293,
  [453] = 353,
  [454] = 293,
  [455] = 353,
  [456] = 293,
  [457] = 353,
  [458] = 293,
  [459] = 353,
  [460] = 293,
  [461] = 353,
  [462] = 293,
  [463] = 353,
  [464] = 293,
  [465] = 353,
  [466] = 293,
  [467] = 353,
  [468] = 294,
  [469] = 353,
  [470] = 293,
  [471] = 353,
  [472] = 293,
  [473] = 353,
  [474] = 293,
  [475] = 353,
  [476] = 293,
  [477] = 353,
  [478] = 293,
  [479] = 353,
  [480] = 293,
  [481] = 353,
  [482] = 293,
  [483] = 353,
  [484] = 293,
  [485] = 353,
  [486] = 293,
  [487] = 353,
  [488] = 293,
  [489] = 353,
  [490] = 293,
  [491] = 353,
  [492] = 293,
  [493] = 353,
  [494] = 293,
  [495] = 353,
  [496] = 329,
  [497] = 497,
  [498] = 497,
  [499] = 499,
  [500] = 497,
  [501] = 497,
  [502] = 497,
  [503] = 497,
  [504] = 497,
  [505] = 497,
  [506] = 497,
  [507] = 497,
  [508] = 497,
  [509] = 497,
  [510] = 497,
  [511] = 497,
  [512] = 326,
  [513] = 499,
  [514] = 497,
  [515] = 497,
  [516] = 326,
  [517] = 497,
  [518] = 326,
  [519] = 497,
  [520] = 497,
  [521] = 497,
  [522] = 497,
  [523] = 497,
  [524] = 499,
  [525] = 497,
  [526] = 497,
  [527] = 497,
  [528] = 497,
  [529] = 497,
  [530] = 497,
  [531] = 497,
  [532] = 497,
  [533] = 497,
  [534] = 497,
  [535] = 497,
  [536] = 497,
  [537] = 497,
  [538] = 499,
  [539] = 497,
  [540] = 326,
  [541] = 497,
  [542] = 497,
  [543] = 497,
  [544] = 497,
  [545] = 497,
  [546] = 497,
  [547] = 497,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 549,
  [553] = 548,
  [554] = 554,
  [555] = 555,
  [556] = 551,
  [557] = 548,
  [558] = 554,
  [559] = 559,
  [560] = 560,
  [561] = 549,
  [562] = 550,
  [563] = 559,
  [564] = 560,
  [565] = 555,
  [566] = 549,
  [567] = 550,
  [568] = 551,
  [569] = 548,
  [570] = 554,
  [571] = 555,
  [572] = 551,
  [573] = 573,
  [574] = 548,
  [575] = 554,
  [576] = 559,
  [577] = 560,
  [578] = 549,
  [579] = 550,
  [580] = 559,
  [581] = 560,
  [582] = 549,
  [583] = 550,
  [584] = 551,
  [585] = 585,
  [586] = 548,
  [587] = 554,
  [588] = 559,
  [589] = 555,
  [590] = 551,
  [591] = 548,
  [592] = 554,
  [593] = 559,
  [594] = 560,
  [595] = 549,
  [596] = 550,
  [597] = 560,
  [598] = 549,
  [599] = 550,
  [600] = 551,
  [601] = 554,
  [602] = 555,
  [603] = 551,
  [604] = 548,
  [605] = 554,
  [606] = 559,
  [607] = 560,
  [608] = 549,
  [609] = 550,
  [610] = 559,
  [611] = 560,
  [612] = 549,
  [613] = 550,
  [614] = 551,
  [615] = 615,
  [616] = 555,
  [617] = 551,
  [618] = 548,
  [619] = 554,
  [620] = 559,
  [621] = 560,
  [622] = 549,
  [623] = 550,
  [624] = 548,
  [625] = 554,
  [626] = 559,
  [627] = 560,
  [628] = 549,
  [629] = 550,
  [630] = 555,
  [631] = 551,
  [632] = 548,
  [633] = 554,
  [634] = 559,
  [635] = 560,
  [636] = 549,
  [637] = 550,
  [638] = 551,
  [639] = 639,
  [640] = 548,
  [641] = 554,
  [642] = 559,
  [643] = 560,
  [644] = 555,
  [645] = 551,
  [646] = 548,
  [647] = 554,
  [648] = 559,
  [649] = 560,
  [650] = 549,
  [651] = 550,
  [652] = 549,
  [653] = 550,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 326,
  [658] = 555,
  [659] = 551,
  [660] = 548,
  [661] = 554,
  [662] = 559,
  [663] = 560,
  [664] = 549,
  [665] = 550,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 555,
  [672] = 551,
  [673] = 548,
  [674] = 554,
  [675] = 559,
  [676] = 560,
  [677] = 549,
  [678] = 550,
  [679] = 550,
  [680] = 680,
  [681] = 326,
  [682] = 682,
  [683] = 683,
  [684] = 555,
  [685] = 551,
  [686] = 548,
  [687] = 554,
  [688] = 559,
  [689] = 560,
  [690] = 549,
  [691] = 550,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 555,
  [698] = 551,
  [699] = 548,
  [700] = 554,
  [701] = 559,
  [702] = 560,
  [703] = 549,
  [704] = 550,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 555,
  [710] = 551,
  [711] = 548,
  [712] = 554,
  [713] = 559,
  [714] = 560,
  [715] = 549,
  [716] = 550,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 555,
  [723] = 551,
  [724] = 548,
  [725] = 554,
  [726] = 559,
  [727] = 560,
  [728] = 549,
  [729] = 550,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 555,
  [735] = 551,
  [736] = 548,
  [737] = 554,
  [738] = 559,
  [739] = 560,
  [740] = 549,
  [741] = 550,
  [742] = 742,
  [743] = 551,
  [744] = 744,
  [745] = 551,
  [746] = 548,
  [747] = 555,
  [748] = 548,
  [749] = 554,
  [750] = 559,
  [751] = 555,
  [752] = 560,
  [753] = 554,
  [754] = 559,
  [755] = 755,
  [756] = 756,
  [757] = 555,
  [758] = 555,
  [759] = 555,
  [760] = 549,
  [761] = 555,
  [762] = 755,
  [763] = 763,
  [764] = 656,
  [765] = 555,
  [766] = 682,
  [767] = 707,
  [768] = 756,
  [769] = 555,
  [770] = 555,
  [771] = 550,
  [772] = 551,
  [773] = 548,
  [774] = 554,
  [775] = 559,
  [776] = 555,
  [777] = 560,
  [778] = 555,
  [779] = 549,
  [780] = 550,
  [781] = 551,
  [782] = 555,
  [783] = 548,
  [784] = 554,
  [785] = 559,
  [786] = 560,
  [787] = 560,
  [788] = 555,
  [789] = 555,
  [790] = 549,
  [791] = 551,
  [792] = 550,
  [793] = 551,
  [794] = 555,
  [795] = 548,
  [796] = 554,
  [797] = 559,
  [798] = 560,
  [799] = 555,
  [800] = 555,
  [801] = 549,
  [802] = 550,
  [803] = 551,
  [804] = 548,
  [805] = 554,
  [806] = 559,
  [807] = 560,
  [808] = 555,
  [809] = 549,
  [810] = 550,
  [811] = 551,
  [812] = 548,
  [813] = 554,
  [814] = 559,
  [815] = 560,
  [816] = 555,
  [817] = 549,
  [818] = 550,
  [819] = 555,
  [820] = 548,
  [821] = 551,
  [822] = 554,
  [823] = 548,
  [824] = 554,
  [825] = 559,
  [826] = 560,
  [827] = 549,
  [828] = 550,
  [829] = 551,
  [830] = 548,
  [831] = 554,
  [832] = 559,
  [833] = 560,
  [834] = 549,
  [835] = 550,
  [836] = 551,
  [837] = 559,
  [838] = 548,
  [839] = 554,
  [840] = 559,
  [841] = 560,
  [842] = 549,
  [843] = 550,
  [844] = 585,
  [845] = 560,
  [846] = 846,
  [847] = 555,
  [848] = 549,
  [849] = 573,
  [850] = 550,
  [851] = 551,
  [852] = 852,
  [853] = 548,
  [854] = 554,
  [855] = 559,
  [856] = 560,
  [857] = 755,
  [858] = 858,
  [859] = 555,
  [860] = 549,
  [861] = 763,
  [862] = 656,
  [863] = 682,
  [864] = 707,
  [865] = 865,
  [866] = 555,
  [867] = 550,
  [868] = 555,
  [869] = 551,
  [870] = 555,
  [871] = 871,
  [872] = 555,
  [873] = 548,
  [874] = 555,
  [875] = 555,
  [876] = 555,
  [877] = 551,
  [878] = 548,
  [879] = 554,
  [880] = 559,
  [881] = 560,
  [882] = 549,
  [883] = 846,
  [884] = 852,
  [885] = 885,
  [886] = 550,
  [887] = 865,
  [888] = 871,
  [889] = 889,
  [890] = 615,
  [891] = 639,
  [892] = 654,
  [893] = 670,
  [894] = 680,
  [895] = 705,
  [896] = 706,
  [897] = 721,
  [898] = 733,
  [899] = 551,
  [900] = 548,
  [901] = 554,
  [902] = 559,
  [903] = 560,
  [904] = 549,
  [905] = 550,
  [906] = 555,
  [907] = 555,
  [908] = 554,
  [909] = 551,
  [910] = 548,
  [911] = 554,
  [912] = 559,
  [913] = 560,
  [914] = 549,
  [915] = 550,
  [916] = 559,
  [917] = 555,
  [918] = 555,
  [919] = 555,
  [920] = 846,
  [921] = 852,
  [922] = 885,
  [923] = 865,
  [924] = 871,
  [925] = 889,
  [926] = 615,
  [927] = 639,
  [928] = 654,
  [929] = 670,
  [930] = 680,
  [931] = 705,
  [932] = 706,
  [933] = 721,
  [934] = 733,
  [935] = 560,
  [936] = 555,
  [937] = 846,
  [938] = 852,
  [939] = 885,
  [940] = 865,
  [941] = 871,
  [942] = 889,
  [943] = 615,
  [944] = 639,
  [945] = 654,
  [946] = 670,
  [947] = 680,
  [948] = 705,
  [949] = 706,
  [950] = 721,
  [951] = 733,
  [952] = 755,
  [953] = 846,
  [954] = 885,
  [955] = 865,
  [956] = 871,
  [957] = 889,
  [958] = 615,
  [959] = 639,
  [960] = 654,
  [961] = 670,
  [962] = 705,
  [963] = 721,
  [964] = 733,
  [965] = 846,
  [966] = 885,
  [967] = 865,
  [968] = 871,
  [969] = 889,
  [970] = 615,
  [971] = 639,
  [972] = 654,
  [973] = 670,
  [974] = 705,
  [975] = 721,
  [976] = 733,
  [977] = 846,
  [978] = 885,
  [979] = 865,
  [980] = 871,
  [981] = 889,
  [982] = 615,
  [983] = 639,
  [984] = 654,
  [985] = 549,
  [986] = 846,
  [987] = 885,
  [988] = 865,
  [989] = 871,
  [990] = 889,
  [991] = 615,
  [992] = 639,
  [993] = 654,
  [994] = 889,
  [995] = 846,
  [996] = 885,
  [997] = 865,
  [998] = 871,
  [999] = 889,
  [1000] = 615,
  [1001] = 639,
  [1002] = 654,
  [1003] = 550,
  [1004] = 555,
  [1005] = 885,
  [1006] = 865,
  [1007] = 871,
  [1008] = 889,
  [1009] = 615,
  [1010] = 639,
  [1011] = 654,
  [1012] = 763,
  [1013] = 846,
  [1014] = 885,
  [1015] = 865,
  [1016] = 871,
  [1017] = 889,
  [1018] = 615,
  [1019] = 639,
  [1020] = 654,
  [1021] = 846,
  [1022] = 885,
  [1023] = 865,
  [1024] = 871,
  [1025] = 889,
  [1026] = 615,
  [1027] = 639,
  [1028] = 654,
  [1029] = 846,
  [1030] = 885,
  [1031] = 865,
  [1032] = 871,
  [1033] = 889,
  [1034] = 615,
  [1035] = 639,
  [1036] = 654,
  [1037] = 656,
  [1038] = 846,
  [1039] = 885,
  [1040] = 865,
  [1041] = 871,
  [1042] = 889,
  [1043] = 615,
  [1044] = 639,
  [1045] = 654,
  [1046] = 682,
  [1047] = 846,
  [1048] = 885,
  [1049] = 865,
  [1050] = 871,
  [1051] = 889,
  [1052] = 615,
  [1053] = 639,
  [1054] = 654,
  [1055] = 707,
  [1056] = 846,
  [1057] = 885,
  [1058] = 865,
  [1059] = 871,
  [1060] = 889,
  [1061] = 615,
  [1062] = 639,
  [1063] = 654,
  [1064] = 551,
  [1065] = 846,
  [1066] = 885,
  [1067] = 865,
  [1068] = 871,
  [1069] = 889,
  [1070] = 615,
  [1071] = 639,
  [1072] = 654,
  [1073] = 555,
  [1074] = 846,
  [1075] = 885,
  [1076] = 865,
  [1077] = 871,
  [1078] = 889,
  [1079] = 615,
  [1080] = 639,
  [1081] = 654,
  [1082] = 555,
  [1083] = 548,
  [1084] = 846,
  [1085] = 885,
  [1086] = 865,
  [1087] = 871,
  [1088] = 889,
  [1089] = 615,
  [1090] = 639,
  [1091] = 654,
  [1092] = 554,
  [1093] = 846,
  [1094] = 885,
  [1095] = 865,
  [1096] = 871,
  [1097] = 889,
  [1098] = 615,
  [1099] = 639,
  [1100] = 654,
  [1101] = 559,
  [1102] = 846,
  [1103] = 885,
  [1104] = 865,
  [1105] = 871,
  [1106] = 889,
  [1107] = 615,
  [1108] = 639,
  [1109] = 654,
  [1110] = 555,
  [1111] = 846,
  [1112] = 885,
  [1113] = 865,
  [1114] = 871,
  [1115] = 889,
  [1116] = 615,
  [1117] = 639,
  [1118] = 654,
  [1119] = 551,
  [1120] = 846,
  [1121] = 885,
  [1122] = 865,
  [1123] = 871,
  [1124] = 889,
  [1125] = 615,
  [1126] = 639,
  [1127] = 654,
  [1128] = 548,
  [1129] = 846,
  [1130] = 885,
  [1131] = 865,
  [1132] = 871,
  [1133] = 889,
  [1134] = 615,
  [1135] = 639,
  [1136] = 654,
  [1137] = 554,
  [1138] = 846,
  [1139] = 885,
  [1140] = 865,
  [1141] = 871,
  [1142] = 889,
  [1143] = 615,
  [1144] = 639,
  [1145] = 654,
  [1146] = 559,
  [1147] = 846,
  [1148] = 885,
  [1149] = 865,
  [1150] = 871,
  [1151] = 889,
  [1152] = 615,
  [1153] = 639,
  [1154] = 654,
  [1155] = 560,
  [1156] = 846,
  [1157] = 885,
  [1158] = 865,
  [1159] = 871,
  [1160] = 889,
  [1161] = 615,
  [1162] = 639,
  [1163] = 654,
  [1164] = 549,
  [1165] = 846,
  [1166] = 885,
  [1167] = 865,
  [1168] = 871,
  [1169] = 889,
  [1170] = 615,
  [1171] = 639,
  [1172] = 654,
  [1173] = 550,
  [1174] = 846,
  [1175] = 885,
  [1176] = 865,
  [1177] = 871,
  [1178] = 889,
  [1179] = 615,
  [1180] = 639,
  [1181] = 654,
  [1182] = 560,
  [1183] = 846,
  [1184] = 885,
  [1185] = 865,
  [1186] = 871,
  [1187] = 889,
  [1188] = 615,
  [1189] = 639,
  [1190] = 654,
  [1191] = 555,
  [1192] = 846,
  [1193] = 885,
  [1194] = 865,
  [1195] = 871,
  [1196] = 889,
  [1197] = 615,
  [1198] = 639,
  [1199] = 654,
  [1200] = 846,
  [1201] = 885,
  [1202] = 865,
  [1203] = 871,
  [1204] = 889,
  [1205] = 615,
  [1206] = 639,
  [1207] = 654,
  [1208] = 846,
  [1209] = 885,
  [1210] = 865,
  [1211] = 871,
  [1212] = 889,
  [1213] = 615,
  [1214] = 639,
  [1215] = 654,
  [1216] = 549,
  [1217] = 846,
  [1218] = 885,
  [1219] = 865,
  [1220] = 871,
  [1221] = 889,
  [1222] = 615,
  [1223] = 639,
  [1224] = 654,
  [1225] = 1225,
  [1226] = 846,
  [1227] = 885,
  [1228] = 865,
  [1229] = 871,
  [1230] = 889,
  [1231] = 615,
  [1232] = 639,
  [1233] = 654,
  [1234] = 846,
  [1235] = 885,
  [1236] = 865,
  [1237] = 871,
  [1238] = 889,
  [1239] = 615,
  [1240] = 639,
  [1241] = 654,
  [1242] = 846,
  [1243] = 885,
  [1244] = 865,
  [1245] = 871,
  [1246] = 889,
  [1247] = 615,
  [1248] = 639,
  [1249] = 654,
  [1250] = 846,
  [1251] = 885,
  [1252] = 865,
  [1253] = 871,
  [1254] = 889,
  [1255] = 615,
  [1256] = 639,
  [1257] = 654,
  [1258] = 846,
  [1259] = 885,
  [1260] = 865,
  [1261] = 871,
  [1262] = 889,
  [1263] = 615,
  [1264] = 639,
  [1265] = 654,
  [1266] = 846,
  [1267] = 885,
  [1268] = 865,
  [1269] = 871,
  [1270] = 889,
  [1271] = 615,
  [1272] = 639,
  [1273] = 654,
  [1274] = 846,
  [1275] = 885,
  [1276] = 865,
  [1277] = 871,
  [1278] = 889,
  [1279] = 615,
  [1280] = 639,
  [1281] = 654,
  [1282] = 846,
  [1283] = 885,
  [1284] = 865,
  [1285] = 871,
  [1286] = 889,
  [1287] = 615,
  [1288] = 639,
  [1289] = 654,
  [1290] = 846,
  [1291] = 846,
  [1292] = 755,
  [1293] = 655,
  [1294] = 858,
  [1295] = 1225,
  [1296] = 846,
  [1297] = 846,
  [1298] = 550,
  [1299] = 763,
  [1300] = 655,
  [1301] = 858,
  [1302] = 1225,
  [1303] = 656,
  [1304] = 682,
  [1305] = 655,
  [1306] = 858,
  [1307] = 1225,
  [1308] = 707,
  [1309] = 551,
  [1310] = 885,
  [1311] = 655,
  [1312] = 858,
  [1313] = 1225,
  [1314] = 548,
  [1315] = 554,
  [1316] = 559,
  [1317] = 655,
  [1318] = 858,
  [1319] = 1225,
  [1320] = 555,
  [1321] = 551,
  [1322] = 548,
  [1323] = 655,
  [1324] = 858,
  [1325] = 1225,
  [1326] = 554,
  [1327] = 559,
  [1328] = 560,
  [1329] = 655,
  [1330] = 858,
  [1331] = 1225,
  [1332] = 549,
  [1333] = 550,
  [1334] = 560,
  [1335] = 655,
  [1336] = 858,
  [1337] = 1225,
  [1338] = 555,
  [1339] = 655,
  [1340] = 858,
  [1341] = 1225,
  [1342] = 549,
  [1343] = 550,
  [1344] = 655,
  [1345] = 858,
  [1346] = 1225,
  [1347] = 551,
  [1348] = 655,
  [1349] = 858,
  [1350] = 1225,
  [1351] = 763,
  [1352] = 655,
  [1353] = 858,
  [1354] = 1225,
  [1355] = 548,
  [1356] = 554,
  [1357] = 655,
  [1358] = 858,
  [1359] = 1225,
  [1360] = 559,
  [1361] = 560,
  [1362] = 655,
  [1363] = 858,
  [1364] = 1225,
  [1365] = 555,
  [1366] = 551,
  [1367] = 655,
  [1368] = 858,
  [1369] = 1225,
  [1370] = 548,
  [1371] = 554,
  [1372] = 655,
  [1373] = 858,
  [1374] = 1225,
  [1375] = 559,
  [1376] = 560,
  [1377] = 655,
  [1378] = 858,
  [1379] = 1225,
  [1380] = 549,
  [1381] = 550,
  [1382] = 655,
  [1383] = 858,
  [1384] = 1225,
  [1385] = 555,
  [1386] = 549,
  [1387] = 655,
  [1388] = 858,
  [1389] = 1225,
  [1390] = 655,
  [1391] = 858,
  [1392] = 1225,
  [1393] = 550,
  [1394] = 655,
  [1395] = 858,
  [1396] = 1225,
  [1397] = 655,
  [1398] = 858,
  [1399] = 1225,
  [1400] = 551,
  [1401] = 655,
  [1402] = 858,
  [1403] = 1225,
  [1404] = 1404,
  [1405] = 655,
  [1406] = 858,
  [1407] = 1225,
  [1408] = 548,
  [1409] = 554,
  [1410] = 655,
  [1411] = 858,
  [1412] = 1225,
  [1413] = 559,
  [1414] = 555,
  [1415] = 655,
  [1416] = 858,
  [1417] = 1225,
  [1418] = 551,
  [1419] = 548,
  [1420] = 655,
  [1421] = 858,
  [1422] = 1225,
  [1423] = 554,
  [1424] = 559,
  [1425] = 655,
  [1426] = 858,
  [1427] = 1225,
  [1428] = 560,
  [1429] = 549,
  [1430] = 655,
  [1431] = 858,
  [1432] = 1225,
  [1433] = 550,
  [1434] = 560,
  [1435] = 655,
  [1436] = 858,
  [1437] = 1225,
  [1438] = 555,
  [1439] = 655,
  [1440] = 858,
  [1441] = 1225,
  [1442] = 549,
  [1443] = 655,
  [1444] = 858,
  [1445] = 1225,
  [1446] = 550,
  [1447] = 655,
  [1448] = 858,
  [1449] = 1225,
  [1450] = 655,
  [1451] = 858,
  [1452] = 1225,
  [1453] = 655,
  [1454] = 858,
  [1455] = 1225,
  [1456] = 551,
  [1457] = 1457,
  [1458] = 655,
  [1459] = 858,
  [1460] = 1225,
  [1461] = 548,
  [1462] = 554,
  [1463] = 655,
  [1464] = 858,
  [1465] = 1225,
  [1466] = 555,
  [1467] = 551,
  [1468] = 655,
  [1469] = 858,
  [1470] = 1225,
  [1471] = 548,
  [1472] = 554,
  [1473] = 655,
  [1474] = 858,
  [1475] = 1225,
  [1476] = 559,
  [1477] = 560,
  [1478] = 655,
  [1479] = 858,
  [1480] = 1225,
  [1481] = 549,
  [1482] = 550,
  [1483] = 655,
  [1484] = 858,
  [1485] = 1225,
  [1486] = 559,
  [1487] = 560,
  [1488] = 655,
  [1489] = 858,
  [1490] = 1225,
  [1491] = 655,
  [1492] = 858,
  [1493] = 1225,
  [1494] = 573,
  [1495] = 585,
  [1496] = 573,
  [1497] = 585,
  [1498] = 846,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1501,
  [1505] = 1500,
  [1506] = 1503,
  [1507] = 1502,
  [1508] = 1499,
  [1509] = 1499,
  [1510] = 1510,
  [1511] = 1510,
  [1512] = 1501,
  [1513] = 1502,
  [1514] = 1510,
  [1515] = 1501,
  [1516] = 1500,
  [1517] = 1503,
  [1518] = 1502,
  [1519] = 1501,
  [1520] = 1499,
  [1521] = 1510,
  [1522] = 1502,
  [1523] = 1501,
  [1524] = 1502,
  [1525] = 1499,
  [1526] = 1510,
  [1527] = 1499,
  [1528] = 1500,
  [1529] = 1503,
  [1530] = 1501,
  [1531] = 1500,
  [1532] = 1499,
  [1533] = 1510,
  [1534] = 1501,
  [1535] = 1503,
  [1536] = 1501,
  [1537] = 1502,
  [1538] = 1502,
  [1539] = 1500,
  [1540] = 1503,
  [1541] = 1502,
  [1542] = 1510,
  [1543] = 1500,
  [1544] = 1499,
  [1545] = 1510,
  [1546] = 1500,
  [1547] = 1503,
  [1548] = 1503,
  [1549] = 1499,
  [1550] = 1501,
  [1551] = 1502,
  [1552] = 1499,
  [1553] = 1510,
  [1554] = 1501,
  [1555] = 1501,
  [1556] = 1502,
  [1557] = 1500,
  [1558] = 1499,
  [1559] = 1510,
  [1560] = 1500,
  [1561] = 1503,
  [1562] = 1503,
  [1563] = 1499,
  [1564] = 1499,
  [1565] = 1510,
  [1566] = 1510,
  [1567] = 1501,
  [1568] = 1502,
  [1569] = 1499,
  [1570] = 1510,
  [1571] = 1503,
  [1572] = 1500,
  [1573] = 1503,
  [1574] = 1501,
  [1575] = 1500,
  [1576] = 1503,
  [1577] = 1502,
  [1578] = 1499,
  [1579] = 1510,
  [1580] = 1501,
  [1581] = 1501,
  [1582] = 1499,
  [1583] = 1502,
  [1584] = 1502,
  [1585] = 1585,
  [1586] = 1510,
  [1587] = 1500,
  [1588] = 1501,
  [1589] = 1500,
  [1590] = 1503,
  [1591] = 1503,
  [1592] = 1502,
  [1593] = 1499,
  [1594] = 1499,
  [1595] = 1510,
  [1596] = 1501,
  [1597] = 1501,
  [1598] = 1502,
  [1599] = 1502,
  [1600] = 1499,
  [1601] = 1510,
  [1602] = 1500,
  [1603] = 1503,
  [1604] = 1500,
  [1605] = 1501,
  [1606] = 1499,
  [1607] = 1510,
  [1608] = 1502,
  [1609] = 1501,
  [1610] = 1502,
  [1611] = 1611,
  [1612] = 1500,
  [1613] = 1503,
  [1614] = 1500,
  [1615] = 1503,
  [1616] = 1500,
  [1617] = 1503,
  [1618] = 1500,
  [1619] = 1503,
  [1620] = 1499,
  [1621] = 1510,
  [1622] = 1499,
  [1623] = 1501,
  [1624] = 1502,
  [1625] = 1510,
  [1626] = 1502,
  [1627] = 1501,
  [1628] = 1500,
  [1629] = 1503,
  [1630] = 1502,
  [1631] = 1510,
  [1632] = 1500,
  [1633] = 1503,
  [1634] = 1499,
  [1635] = 1510,
  [1636] = 1499,
  [1637] = 1501,
  [1638] = 1501,
  [1639] = 1502,
  [1640] = 1510,
  [1641] = 1510,
  [1642] = 1499,
  [1643] = 1510,
  [1644] = 1501,
  [1645] = 1500,
  [1646] = 1503,
  [1647] = 1502,
  [1648] = 1501,
  [1649] = 1501,
  [1650] = 1499,
  [1651] = 1510,
  [1652] = 1502,
  [1653] = 1502,
  [1654] = 1501,
  [1655] = 1502,
  [1656] = 1500,
  [1657] = 1503,
  [1658] = 1500,
  [1659] = 1500,
  [1660] = 1503,
  [1661] = 1503,
  [1662] = 1499,
  [1663] = 1499,
  [1664] = 1510,
  [1665] = 326,
  [1666] = 1501,
  [1667] = 1502,
  [1668] = 1499,
  [1669] = 1510,
  [1670] = 1499,
  [1671] = 1510,
  [1672] = 1500,
  [1673] = 1503,
  [1674] = 1499,
  [1675] = 1501,
  [1676] = 1499,
  [1677] = 1510,
  [1678] = 1502,
  [1679] = 1500,
  [1680] = 1501,
  [1681] = 1502,
  [1682] = 1510,
  [1683] = 1502,
  [1684] = 1510,
  [1685] = 1500,
  [1686] = 1503,
  [1687] = 1501,
  [1688] = 1500,
  [1689] = 1503,
  [1690] = 1502,
  [1691] = 1499,
  [1692] = 1503,
  [1693] = 1510,
  [1694] = 1500,
  [1695] = 1501,
  [1696] = 1502,
  [1697] = 1503,
  [1698] = 1499,
  [1699] = 1500,
  [1700] = 1500,
  [1701] = 1503,
  [1702] = 1510,
  [1703] = 326,
  [1704] = 1503,
  [1705] = 1611,
  [1706] = 1499,
  [1707] = 1501,
  [1708] = 1502,
  [1709] = 1510,
  [1710] = 1500,
  [1711] = 1501,
  [1712] = 1502,
  [1713] = 1500,
  [1714] = 1503,
  [1715] = 1500,
  [1716] = 1503,
  [1717] = 1503,
  [1718] = 1501,
  [1719] = 1499,
  [1720] = 1510,
  [1721] = 1499,
  [1722] = 1501,
  [1723] = 1502,
  [1724] = 1510,
  [1725] = 1500,
  [1726] = 1500,
  [1727] = 1503,
  [1728] = 1501,
  [1729] = 1502,
  [1730] = 1499,
  [1731] = 1510,
  [1732] = 1503,
  [1733] = 1501,
  [1734] = 1502,
  [1735] = 1502,
  [1736] = 1585,
  [1737] = 1501,
  [1738] = 1500,
  [1739] = 1503,
  [1740] = 1500,
  [1741] = 1503,
  [1742] = 1499,
  [1743] = 1510,
  [1744] = 1499,
  [1745] = 1501,
  [1746] = 1502,
  [1747] = 1500,
  [1748] = 1503,
  [1749] = 1502,
  [1750] = 1499,
  [1751] = 1499,
  [1752] = 1500,
  [1753] = 1503,
  [1754] = 1510,
  [1755] = 1510,
  [1756] = 1510,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1757,
  [1763] = 1763,
  [1764] = 1758,
  [1765] = 1759,
  [1766] = 1760,
  [1767] = 1763,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 1768,
  [1776] = 1757,
  [1777] = 1758,
  [1778] = 1759,
  [1779] = 1760,
  [1780] = 1763,
  [1781] = 1768,
  [1782] = 1769,
  [1783] = 1770,
  [1784] = 1771,
  [1785] = 1772,
  [1786] = 1773,
  [1787] = 1769,
  [1788] = 1770,
  [1789] = 1789,
  [1790] = 1774,
  [1791] = 1757,
  [1792] = 1758,
  [1793] = 1759,
  [1794] = 1760,
  [1795] = 1763,
  [1796] = 1768,
  [1797] = 1769,
  [1798] = 1770,
  [1799] = 1771,
  [1800] = 1772,
  [1801] = 1773,
  [1802] = 1771,
  [1803] = 1772,
  [1804] = 1789,
  [1805] = 1773,
  [1806] = 1774,
  [1807] = 1757,
  [1808] = 1758,
  [1809] = 1759,
  [1810] = 1760,
  [1811] = 1763,
  [1812] = 1768,
  [1813] = 1769,
  [1814] = 1771,
  [1815] = 1772,
  [1816] = 1773,
  [1817] = 326,
  [1818] = 1789,
  [1819] = 1789,
  [1820] = 1774,
  [1821] = 1774,
  [1822] = 1757,
  [1823] = 1758,
  [1824] = 1759,
  [1825] = 1760,
  [1826] = 1763,
  [1827] = 1768,
  [1828] = 1769,
  [1829] = 1770,
  [1830] = 1771,
  [1831] = 1772,
  [1832] = 1773,
  [1833] = 1789,
  [1834] = 1774,
  [1835] = 1757,
  [1836] = 1758,
  [1837] = 1759,
  [1838] = 1760,
  [1839] = 1763,
  [1840] = 1768,
  [1841] = 1769,
  [1842] = 1770,
  [1843] = 1771,
  [1844] = 1772,
  [1845] = 1773,
  [1846] = 1774,
  [1847] = 1789,
  [1848] = 1774,
  [1849] = 1757,
  [1850] = 1757,
  [1851] = 1758,
  [1852] = 1759,
  [1853] = 1760,
  [1854] = 1763,
  [1855] = 1768,
  [1856] = 1769,
  [1857] = 1770,
  [1858] = 1771,
  [1859] = 1772,
  [1860] = 1773,
  [1861] = 1758,
  [1862] = 1759,
  [1863] = 1760,
  [1864] = 1763,
  [1865] = 1789,
  [1866] = 1768,
  [1867] = 1774,
  [1868] = 1769,
  [1869] = 1757,
  [1870] = 1770,
  [1871] = 1758,
  [1872] = 1759,
  [1873] = 1760,
  [1874] = 1763,
  [1875] = 1768,
  [1876] = 1769,
  [1877] = 1770,
  [1878] = 1771,
  [1879] = 1772,
  [1880] = 1773,
  [1881] = 1771,
  [1882] = 1772,
  [1883] = 1773,
  [1884] = 1789,
  [1885] = 1761,
  [1886] = 1789,
  [1887] = 1774,
  [1888] = 1774,
  [1889] = 1757,
  [1890] = 1758,
  [1891] = 1759,
  [1892] = 1760,
  [1893] = 1763,
  [1894] = 1768,
  [1895] = 1769,
  [1896] = 1770,
  [1897] = 1771,
  [1898] = 1772,
  [1899] = 1773,
  [1900] = 1757,
  [1901] = 1901,
  [1902] = 1758,
  [1903] = 1759,
  [1904] = 1789,
  [1905] = 1760,
  [1906] = 1763,
  [1907] = 1768,
  [1908] = 1769,
  [1909] = 1770,
  [1910] = 1771,
  [1911] = 1772,
  [1912] = 1773,
  [1913] = 1913,
  [1914] = 1761,
  [1915] = 1789,
  [1916] = 1774,
  [1917] = 1757,
  [1918] = 1758,
  [1919] = 1759,
  [1920] = 1760,
  [1921] = 1763,
  [1922] = 1768,
  [1923] = 1769,
  [1924] = 1770,
  [1925] = 1771,
  [1926] = 1772,
  [1927] = 1773,
  [1928] = 1789,
  [1929] = 1774,
  [1930] = 1757,
  [1931] = 1761,
  [1932] = 1758,
  [1933] = 1759,
  [1934] = 1760,
  [1935] = 1763,
  [1936] = 1768,
  [1937] = 1769,
  [1938] = 1770,
  [1939] = 1771,
  [1940] = 1772,
  [1941] = 1773,
  [1942] = 1761,
  [1943] = 1774,
  [1944] = 1757,
  [1945] = 1758,
  [1946] = 1759,
  [1947] = 1760,
  [1948] = 1763,
  [1949] = 1768,
  [1950] = 1769,
  [1951] = 1770,
  [1952] = 1771,
  [1953] = 1772,
  [1954] = 1773,
  [1955] = 1789,
  [1956] = 1789,
  [1957] = 1774,
  [1958] = 1761,
  [1959] = 1757,
  [1960] = 1960,
  [1961] = 1758,
  [1962] = 1759,
  [1963] = 1760,
  [1964] = 1763,
  [1965] = 1774,
  [1966] = 1768,
  [1967] = 1757,
  [1968] = 1758,
  [1969] = 1759,
  [1970] = 1760,
  [1971] = 1763,
  [1972] = 1768,
  [1973] = 1769,
  [1974] = 1770,
  [1975] = 1771,
  [1976] = 1772,
  [1977] = 1773,
  [1978] = 1769,
  [1979] = 1770,
  [1980] = 1771,
  [1981] = 1772,
  [1982] = 1773,
  [1983] = 1789,
  [1984] = 1761,
  [1985] = 1789,
  [1986] = 326,
  [1987] = 1774,
  [1988] = 1774,
  [1989] = 1757,
  [1990] = 1758,
  [1991] = 1759,
  [1992] = 1760,
  [1993] = 1763,
  [1994] = 1768,
  [1995] = 1769,
  [1996] = 1770,
  [1997] = 1771,
  [1998] = 1772,
  [1999] = 1773,
  [2000] = 1789,
  [2001] = 1757,
  [2002] = 1758,
  [2003] = 1759,
  [2004] = 1760,
  [2005] = 1763,
  [2006] = 1768,
  [2007] = 1769,
  [2008] = 1761,
  [2009] = 1770,
  [2010] = 1771,
  [2011] = 1772,
  [2012] = 1773,
  [2013] = 1774,
  [2014] = 1757,
  [2015] = 1758,
  [2016] = 1759,
  [2017] = 1760,
  [2018] = 1763,
  [2019] = 1768,
  [2020] = 1769,
  [2021] = 1770,
  [2022] = 1771,
  [2023] = 1772,
  [2024] = 1773,
  [2025] = 1789,
  [2026] = 1789,
  [2027] = 1774,
  [2028] = 1761,
  [2029] = 1757,
  [2030] = 1774,
  [2031] = 1757,
  [2032] = 1758,
  [2033] = 1759,
  [2034] = 1760,
  [2035] = 1763,
  [2036] = 1768,
  [2037] = 1769,
  [2038] = 1770,
  [2039] = 1771,
  [2040] = 1772,
  [2041] = 1773,
  [2042] = 1758,
  [2043] = 1759,
  [2044] = 1760,
  [2045] = 1763,
  [2046] = 1768,
  [2047] = 1789,
  [2048] = 1769,
  [2049] = 1770,
  [2050] = 1771,
  [2051] = 1772,
  [2052] = 1773,
  [2053] = 1761,
  [2054] = 1774,
  [2055] = 1758,
  [2056] = 1759,
  [2057] = 1760,
  [2058] = 1763,
  [2059] = 1768,
  [2060] = 1769,
  [2061] = 1770,
  [2062] = 1771,
  [2063] = 1772,
  [2064] = 1773,
  [2065] = 1789,
  [2066] = 1789,
  [2067] = 1761,
  [2068] = 1774,
  [2069] = 1757,
  [2070] = 1758,
  [2071] = 1759,
  [2072] = 1760,
  [2073] = 1763,
  [2074] = 1768,
  [2075] = 1769,
  [2076] = 1770,
  [2077] = 1771,
  [2078] = 1772,
  [2079] = 1773,
  [2080] = 1789,
  [2081] = 1761,
  [2082] = 1774,
  [2083] = 1774,
  [2084] = 1757,
  [2085] = 1758,
  [2086] = 1759,
  [2087] = 1760,
  [2088] = 1763,
  [2089] = 1768,
  [2090] = 1769,
  [2091] = 1770,
  [2092] = 1771,
  [2093] = 1772,
  [2094] = 1773,
  [2095] = 1585,
  [2096] = 1757,
  [2097] = 1758,
  [2098] = 1789,
  [2099] = 1759,
  [2100] = 1760,
  [2101] = 1763,
  [2102] = 1768,
  [2103] = 1769,
  [2104] = 1770,
  [2105] = 1771,
  [2106] = 1772,
  [2107] = 1773,
  [2108] = 1761,
  [2109] = 2109,
  [2110] = 1774,
  [2111] = 1757,
  [2112] = 1758,
  [2113] = 1759,
  [2114] = 1760,
  [2115] = 1763,
  [2116] = 1768,
  [2117] = 1769,
  [2118] = 1770,
  [2119] = 1771,
  [2120] = 1772,
  [2121] = 1773,
  [2122] = 1789,
  [2123] = 1789,
  [2124] = 1774,
  [2125] = 1761,
  [2126] = 1774,
  [2127] = 1757,
  [2128] = 1758,
  [2129] = 1759,
  [2130] = 1760,
  [2131] = 1763,
  [2132] = 1768,
  [2133] = 1769,
  [2134] = 1770,
  [2135] = 1771,
  [2136] = 1772,
  [2137] = 1773,
  [2138] = 1757,
  [2139] = 1758,
  [2140] = 1789,
  [2141] = 1759,
  [2142] = 1760,
  [2143] = 1763,
  [2144] = 1768,
  [2145] = 1769,
  [2146] = 1770,
  [2147] = 1771,
  [2148] = 1772,
  [2149] = 1773,
  [2150] = 1761,
  [2151] = 1774,
  [2152] = 1757,
  [2153] = 1758,
  [2154] = 1759,
  [2155] = 1760,
  [2156] = 1763,
  [2157] = 1768,
  [2158] = 1769,
  [2159] = 1770,
  [2160] = 1771,
  [2161] = 1772,
  [2162] = 1773,
  [2163] = 1789,
  [2164] = 1611,
  [2165] = 1789,
  [2166] = 1761,
  [2167] = 1789,
  [2168] = 1774,
  [2169] = 1757,
  [2170] = 1758,
  [2171] = 1759,
  [2172] = 1760,
  [2173] = 1763,
  [2174] = 1768,
  [2175] = 1769,
  [2176] = 1770,
  [2177] = 1771,
  [2178] = 1772,
  [2179] = 1773,
  [2180] = 1789,
  [2181] = 1761,
  [2182] = 1774,
  [2183] = 1757,
  [2184] = 1758,
  [2185] = 1759,
  [2186] = 1760,
  [2187] = 1763,
  [2188] = 1768,
  [2189] = 1769,
  [2190] = 1770,
  [2191] = 1771,
  [2192] = 1772,
  [2193] = 1773,
  [2194] = 1789,
  [2195] = 1774,
  [2196] = 1757,
  [2197] = 1758,
  [2198] = 1761,
  [2199] = 1759,
  [2200] = 1760,
  [2201] = 1763,
  [2202] = 1768,
  [2203] = 1769,
  [2204] = 1774,
  [2205] = 1770,
  [2206] = 1757,
  [2207] = 1758,
  [2208] = 1759,
  [2209] = 1760,
  [2210] = 1763,
  [2211] = 1768,
  [2212] = 1769,
  [2213] = 1770,
  [2214] = 1771,
  [2215] = 1772,
  [2216] = 1773,
  [2217] = 1771,
  [2218] = 1772,
  [2219] = 1773,
  [2220] = 1789,
  [2221] = 1789,
  [2222] = 1761,
  [2223] = 1774,
  [2224] = 1757,
  [2225] = 1758,
  [2226] = 1759,
  [2227] = 1760,
  [2228] = 1763,
  [2229] = 1768,
  [2230] = 1769,
  [2231] = 1770,
  [2232] = 1771,
  [2233] = 1772,
  [2234] = 1773,
  [2235] = 1774,
  [2236] = 1789,
  [2237] = 1757,
  [2238] = 1758,
  [2239] = 1759,
  [2240] = 1761,
  [2241] = 1760,
  [2242] = 1763,
  [2243] = 1768,
  [2244] = 1769,
  [2245] = 1774,
  [2246] = 1770,
  [2247] = 1757,
  [2248] = 1758,
  [2249] = 1759,
  [2250] = 1760,
  [2251] = 1763,
  [2252] = 1768,
  [2253] = 1769,
  [2254] = 1770,
  [2255] = 1771,
  [2256] = 1772,
  [2257] = 1773,
  [2258] = 1771,
  [2259] = 1772,
  [2260] = 1773,
  [2261] = 1789,
  [2262] = 1761,
  [2263] = 1774,
  [2264] = 1757,
  [2265] = 1758,
  [2266] = 1759,
  [2267] = 1760,
  [2268] = 1763,
  [2269] = 1768,
  [2270] = 1769,
  [2271] = 1770,
  [2272] = 1771,
  [2273] = 1772,
  [2274] = 1773,
  [2275] = 1789,
  [2276] = 1789,
  [2277] = 1761,
  [2278] = 1774,
  [2279] = 1757,
  [2280] = 1758,
  [2281] = 1759,
  [2282] = 1760,
  [2283] = 1763,
  [2284] = 1768,
  [2285] = 1769,
  [2286] = 1770,
  [2287] = 1771,
  [2288] = 1772,
  [2289] = 1773,
  [2290] = 2290,
  [2291] = 1789,
  [2292] = 1774,
  [2293] = 1757,
  [2294] = 1758,
  [2295] = 1759,
  [2296] = 1760,
  [2297] = 1763,
  [2298] = 1768,
  [2299] = 1769,
  [2300] = 1770,
  [2301] = 1771,
  [2302] = 1772,
  [2303] = 1773,
  [2304] = 1789,
  [2305] = 1774,
  [2306] = 1757,
  [2307] = 1758,
  [2308] = 1759,
  [2309] = 1760,
  [2310] = 1763,
  [2311] = 1768,
  [2312] = 1769,
  [2313] = 1770,
  [2314] = 1771,
  [2315] = 1772,
  [2316] = 1773,
  [2317] = 1789,
  [2318] = 1774,
  [2319] = 1757,
  [2320] = 1758,
  [2321] = 1759,
  [2322] = 1760,
  [2323] = 1763,
  [2324] = 1768,
  [2325] = 1769,
  [2326] = 1770,
  [2327] = 1771,
  [2328] = 1772,
  [2329] = 1773,
  [2330] = 1789,
  [2331] = 1585,
  [2332] = 1913,
  [2333] = 2290,
  [2334] = 1774,
  [2335] = 1757,
  [2336] = 1758,
  [2337] = 1759,
  [2338] = 1760,
  [2339] = 1763,
  [2340] = 1768,
  [2341] = 1769,
  [2342] = 1770,
  [2343] = 1771,
  [2344] = 1772,
  [2345] = 1773,
  [2346] = 1789,
  [2347] = 1774,
  [2348] = 1757,
  [2349] = 1758,
  [2350] = 1759,
  [2351] = 1760,
  [2352] = 1763,
  [2353] = 1768,
  [2354] = 1769,
  [2355] = 1770,
  [2356] = 1771,
  [2357] = 1772,
  [2358] = 1773,
  [2359] = 1789,
  [2360] = 1774,
  [2361] = 1757,
  [2362] = 1758,
  [2363] = 1759,
  [2364] = 1760,
  [2365] = 1763,
  [2366] = 1768,
  [2367] = 1769,
  [2368] = 1770,
  [2369] = 1771,
  [2370] = 1772,
  [2371] = 1773,
  [2372] = 1789,
  [2373] = 1761,
  [2374] = 1774,
  [2375] = 1757,
  [2376] = 1758,
  [2377] = 1759,
  [2378] = 1760,
  [2379] = 1763,
  [2380] = 1768,
  [2381] = 1769,
  [2382] = 1770,
  [2383] = 1771,
  [2384] = 1772,
  [2385] = 1773,
  [2386] = 1789,
  [2387] = 1611,
  [2388] = 1585,
  [2389] = 1585,
  [2390] = 1611,
  [2391] = 1757,
  [2392] = 1611,
  [2393] = 1774,
  [2394] = 1770,
  [2395] = 1585,
  [2396] = 1585,
  [2397] = 1611,
  [2398] = 1611,
  [2399] = 1585,
  [2400] = 1611,
  [2401] = 1585,
  [2402] = 1611,
  [2403] = 1611,
  [2404] = 1611,
  [2405] = 1585,
  [2406] = 1585,
  [2407] = 326,
  [2408] = 326,
  [2409] = 326,
  [2410] = 326,
  [2411] = 326,
  [2412] = 1611,
  [2413] = 1585,
  [2414] = 326,
  [2415] = 1611,
  [2416] = 1585,
  [2417] = 1611,
  [2418] = 1585,
  [2419] = 1585,
  [2420] = 1611,
  [2421] = 326,
  [2422] = 1611,
  [2423] = 1585,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 1611,
  [2427] = 2424,
  [2428] = 2428,
  [2429] = 2424,
  [2430] = 326,
  [2431] = 2424,
  [2432] = 1585,
  [2433] = 2424,
  [2434] = 2424,
  [2435] = 2424,
  [2436] = 2424,
  [2437] = 2425,
  [2438] = 2428,
  [2439] = 2425,
  [2440] = 2425,
  [2441] = 2428,
  [2442] = 2428,
  [2443] = 326,
  [2444] = 326,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 2446,
  [2448] = 2446,
  [2449] = 2445,
  [2450] = 2446,
  [2451] = 326,
  [2452] = 326,
  [2453] = 326,
  [2454] = 326,
  [2455] = 2445,
  [2456] = 2446,
  [2457] = 2445,
  [2458] = 2445,
  [2459] = 1585,
  [2460] = 2446,
  [2461] = 1611,
  [2462] = 326,
  [2463] = 2463,
  [2464] = 326,
  [2465] = 326,
  [2466] = 326,
  [2467] = 1585,
  [2468] = 1611,
  [2469] = 326,
  [2470] = 326,
  [2471] = 2463,
  [2472] = 2472,
  [2473] = 2473,
  [2474] = 2472,
  [2475] = 2463,
  [2476] = 1611,
  [2477] = 2463,
  [2478] = 1585,
  [2479] = 1611,
  [2480] = 2473,
  [2481] = 1611,
  [2482] = 1611,
  [2483] = 1585,
  [2484] = 1611,
  [2485] = 1585,
  [2486] = 1585,
  [2487] = 1585,
  [2488] = 1585,
  [2489] = 1611,
  [2490] = 1611,
  [2491] = 1611,
  [2492] = 1611,
  [2493] = 1585,
  [2494] = 1611,
  [2495] = 1611,
  [2496] = 2472,
  [2497] = 1611,
  [2498] = 1585,
  [2499] = 1611,
  [2500] = 1611,
  [2501] = 1585,
  [2502] = 2473,
  [2503] = 1585,
  [2504] = 2472,
  [2505] = 1611,
  [2506] = 2473,
  [2507] = 1585,
  [2508] = 1611,
  [2509] = 1585,
  [2510] = 2510,
  [2511] = 2510,
  [2512] = 2510,
  [2513] = 2510,
  [2514] = 2510,
  [2515] = 2510,
  [2516] = 2510,
  [2517] = 2517,
  [2518] = 2518,
  [2519] = 2517,
  [2520] = 2472,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2473,
  [2527] = 2522,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 2523,
  [2531] = 2531,
  [2532] = 2529,
  [2533] = 2518,
  [2534] = 2525,
  [2535] = 1611,
  [2536] = 2524,
  [2537] = 2521,
  [2538] = 2528,
  [2539] = 2531,
  [2540] = 2540,
  [2541] = 2517,
  [2542] = 2524,
  [2543] = 2543,
  [2544] = 2525,
  [2545] = 2523,
  [2546] = 2523,
  [2547] = 2521,
  [2548] = 2529,
  [2549] = 2524,
  [2550] = 2531,
  [2551] = 2518,
  [2552] = 2522,
  [2553] = 2525,
  [2554] = 2522,
  [2555] = 2528,
  [2556] = 2531,
  [2557] = 2529,
  [2558] = 2528,
  [2559] = 2517,
  [2560] = 2521,
  [2561] = 2518,
  [2562] = 2562,
  [2563] = 2562,
  [2564] = 2540,
  [2565] = 2428,
  [2566] = 2562,
  [2567] = 2543,
  [2568] = 2540,
  [2569] = 2425,
  [2570] = 2562,
  [2571] = 2543,
  [2572] = 2572,
  [2573] = 2573,
  [2574] = 2572,
  [2575] = 2572,
  [2576] = 2572,
  [2577] = 2572,
  [2578] = 2578,
  [2579] = 2572,
  [2580] = 2580,
  [2581] = 2581,
  [2582] = 2572,
  [2583] = 2572,
  [2584] = 2572,
  [2585] = 2572,
  [2586] = 2572,
  [2587] = 2572,
  [2588] = 2572,
  [2589] = 2572,
  [2590] = 2572,
  [2591] = 2591,
  [2592] = 2572,
  [2593] = 2572,
  [2594] = 2572,
  [2595] = 2572,
  [2596] = 2572,
  [2597] = 2572,
  [2598] = 2572,
  [2599] = 2572,
  [2600] = 2572,
  [2601] = 2572,
  [2602] = 2572,
  [2603] = 2572,
  [2604] = 2572,
  [2605] = 2572,
  [2606] = 2572,
  [2607] = 2572,
  [2608] = 2572,
  [2609] = 2572,
  [2610] = 2572,
  [2611] = 2572,
  [2612] = 2572,
  [2613] = 2572,
  [2614] = 2572,
  [2615] = 2572,
  [2616] = 2572,
  [2617] = 2572,
  [2618] = 2572,
  [2619] = 2572,
  [2620] = 2572,
  [2621] = 2621,
  [2622] = 2622,
  [2623] = 2622,
  [2624] = 2622,
  [2625] = 2622,
  [2626] = 2622,
  [2627] = 2463,
  [2628] = 2622,
  [2629] = 2622,
  [2630] = 2622,
  [2631] = 2622,
  [2632] = 2622,
  [2633] = 2622,
  [2634] = 2622,
  [2635] = 2622,
  [2636] = 2622,
  [2637] = 2622,
  [2638] = 2622,
  [2639] = 2622,
  [2640] = 2622,
  [2641] = 2622,
  [2642] = 2622,
  [2643] = 2622,
  [2644] = 2622,
  [2645] = 2622,
  [2646] = 2622,
  [2647] = 2622,
  [2648] = 2622,
  [2649] = 2622,
  [2650] = 2622,
  [2651] = 2622,
  [2652] = 2622,
  [2653] = 2622,
  [2654] = 2622,
  [2655] = 2622,
  [2656] = 2622,
  [2657] = 2622,
  [2658] = 2622,
  [2659] = 2622,
  [2660] = 2622,
  [2661] = 2622,
  [2662] = 2622,
  [2663] = 2622,
  [2664] = 2622,
  [2665] = 2622,
  [2666] = 2622,
  [2667] = 2622,
  [2668] = 2622,
  [2669] = 2622,
  [2670] = 2622,
  [2671] = 2671,
  [2672] = 2672,
  [2673] = 2473,
  [2674] = 2671,
  [2675] = 2675,
  [2676] = 2671,
  [2677] = 2675,
  [2678] = 2678,
  [2679] = 2679,
  [2680] = 2678,
  [2681] = 2679,
  [2682] = 2672,
  [2683] = 2671,
  [2684] = 2672,
  [2685] = 2671,
  [2686] = 2675,
  [2687] = 2675,
  [2688] = 2678,
  [2689] = 2679,
  [2690] = 2672,
  [2691] = 2675,
  [2692] = 2672,
  [2693] = 2672,
  [2694] = 2694,
  [2695] = 2671,
  [2696] = 2675,
  [2697] = 2671,
  [2698] = 2678,
  [2699] = 2679,
  [2700] = 2671,
  [2701] = 2672,
  [2702] = 2675,
  [2703] = 2671,
  [2704] = 2675,
  [2705] = 2678,
  [2706] = 2679,
  [2707] = 2678,
  [2708] = 2672,
  [2709] = 2671,
  [2710] = 2675,
  [2711] = 2679,
  [2712] = 2678,
  [2713] = 2679,
  [2714] = 2671,
  [2715] = 2672,
  [2716] = 2675,
  [2717] = 2672,
  [2718] = 2671,
  [2719] = 2675,
  [2720] = 2678,
  [2721] = 2679,
  [2722] = 2672,
  [2723] = 2672,
  [2724] = 2671,
  [2725] = 2675,
  [2726] = 2675,
  [2727] = 2678,
  [2728] = 2672,
  [2729] = 2678,
  [2730] = 2679,
  [2731] = 2678,
  [2732] = 2672,
  [2733] = 2679,
  [2734] = 2671,
  [2735] = 2675,
  [2736] = 2678,
  [2737] = 2679,
  [2738] = 2672,
  [2739] = 2671,
  [2740] = 2675,
  [2741] = 2675,
  [2742] = 2678,
  [2743] = 2679,
  [2744] = 2672,
  [2745] = 2671,
  [2746] = 2675,
  [2747] = 2678,
  [2748] = 2679,
  [2749] = 2675,
  [2750] = 2672,
  [2751] = 2671,
  [2752] = 2675,
  [2753] = 2678,
  [2754] = 2679,
  [2755] = 2672,
  [2756] = 2671,
  [2757] = 2675,
  [2758] = 2678,
  [2759] = 2679,
  [2760] = 2679,
  [2761] = 2671,
  [2762] = 2675,
  [2763] = 2672,
  [2764] = 2672,
  [2765] = 2678,
  [2766] = 2671,
  [2767] = 2675,
  [2768] = 2672,
  [2769] = 2679,
  [2770] = 2671,
  [2771] = 2675,
  [2772] = 2678,
  [2773] = 2679,
  [2774] = 2678,
  [2775] = 2679,
  [2776] = 2671,
  [2777] = 2678,
  [2778] = 2675,
  [2779] = 2671,
  [2780] = 2675,
  [2781] = 2679,
  [2782] = 2678,
  [2783] = 2679,
  [2784] = 2672,
  [2785] = 2678,
  [2786] = 2671,
  [2787] = 2678,
  [2788] = 2679,
  [2789] = 2671,
  [2790] = 2675,
  [2791] = 2672,
  [2792] = 2672,
  [2793] = 2671,
  [2794] = 2679,
  [2795] = 2472,
  [2796] = 2671,
  [2797] = 2675,
  [2798] = 2678,
  [2799] = 2679,
  [2800] = 2675,
  [2801] = 2671,
  [2802] = 2675,
  [2803] = 2678,
  [2804] = 2675,
  [2805] = 2679,
  [2806] = 2678,
  [2807] = 2672,
  [2808] = 2671,
  [2809] = 2671,
  [2810] = 2672,
  [2811] = 2675,
  [2812] = 2672,
  [2813] = 2678,
  [2814] = 2679,
  [2815] = 2672,
  [2816] = 2679,
  [2817] = 2678,
  [2818] = 2672,
  [2819] = 2672,
  [2820] = 2671,
  [2821] = 2675,
  [2822] = 2679,
  [2823] = 2671,
  [2824] = 2678,
  [2825] = 2679,
  [2826] = 2675,
  [2827] = 2678,
  [2828] = 2679,
  [2829] = 2678,
  [2830] = 2671,
  [2831] = 2672,
  [2832] = 2675,
  [2833] = 2679,
  [2834] = 2671,
  [2835] = 2678,
  [2836] = 2671,
  [2837] = 2675,
  [2838] = 2678,
  [2839] = 2678,
  [2840] = 2679,
  [2841] = 2675,
  [2842] = 2672,
  [2843] = 2672,
  [2844] = 2672,
  [2845] = 2672,
  [2846] = 2672,
  [2847] = 2671,
  [2848] = 2671,
  [2849] = 2675,
  [2850] = 2672,
  [2851] = 2678,
  [2852] = 2679,
  [2853] = 2675,
  [2854] = 2679,
  [2855] = 2672,
  [2856] = 2671,
  [2857] = 2675,
  [2858] = 2678,
  [2859] = 2679,
  [2860] = 2671,
  [2861] = 2678,
  [2862] = 2678,
  [2863] = 2679,
  [2864] = 2678,
  [2865] = 2679,
  [2866] = 2679,
  [2867] = 1611,
  [2868] = 2671,
  [2869] = 2672,
  [2870] = 2675,
  [2871] = 2678,
  [2872] = 2679,
  [2873] = 2672,
  [2874] = 2679,
  [2875] = 2671,
  [2876] = 2675,
  [2877] = 2671,
  [2878] = 2672,
  [2879] = 2678,
  [2880] = 2679,
  [2881] = 2671,
  [2882] = 2675,
  [2883] = 2672,
  [2884] = 2671,
  [2885] = 2675,
  [2886] = 2678,
  [2887] = 2678,
  [2888] = 2679,
  [2889] = 2679,
  [2890] = 2672,
  [2891] = 2678,
  [2892] = 2679,
  [2893] = 2675,
  [2894] = 2672,
  [2895] = 2895,
  [2896] = 2896,
  [2897] = 2896,
  [2898] = 2898,
  [2899] = 2899,
  [2900] = 2895,
  [2901] = 2898,
  [2902] = 2896,
  [2903] = 2896,
  [2904] = 2904,
  [2905] = 2905,
  [2906] = 2906,
  [2907] = 2896,
  [2908] = 2908,
  [2909] = 2909,
  [2910] = 2910,
  [2911] = 2911,
  [2912] = 2896,
  [2913] = 2910,
  [2914] = 2914,
  [2915] = 2899,
  [2916] = 2898,
  [2917] = 2896,
  [2918] = 2904,
  [2919] = 2905,
  [2920] = 2906,
  [2921] = 2896,
  [2922] = 2908,
  [2923] = 2909,
  [2924] = 2911,
  [2925] = 2540,
  [2926] = 2926,
  [2927] = 2896,
  [2928] = 2896,
  [2929] = 2898,
  [2930] = 2562,
  [2931] = 2926,
  [2932] = 2932,
  [2933] = 2932,
  [2934] = 2910,
  [2935] = 2914,
  [2936] = 2896,
  [2937] = 2937,
  [2938] = 2906,
  [2939] = 2939,
  [2940] = 2940,
  [2941] = 2941,
  [2942] = 2428,
  [2943] = 2941,
  [2944] = 2941,
  [2945] = 2945,
  [2946] = 2908,
  [2947] = 2939,
  [2948] = 2909,
  [2949] = 2911,
  [2950] = 2941,
  [2951] = 2951,
  [2952] = 2425,
  [2953] = 2939,
  [2954] = 2908,
  [2955] = 2941,
  [2956] = 2941,
  [2957] = 2941,
  [2958] = 2939,
  [2959] = 2945,
  [2960] = 2960,
  [2961] = 2941,
  [2962] = 2960,
  [2963] = 2940,
  [2964] = 2951,
  [2965] = 2941,
  [2966] = 2939,
  [2967] = 2941,
  [2968] = 2951,
  [2969] = 2945,
  [2970] = 2970,
  [2971] = 2941,
  [2972] = 2972,
  [2973] = 2972,
  [2974] = 2941,
  [2975] = 2939,
  [2976] = 2941,
  [2977] = 2960,
  [2978] = 2945,
  [2979] = 2939,
  [2980] = 2941,
  [2981] = 2940,
  [2982] = 2941,
  [2983] = 2941,
  [2984] = 2945,
  [2985] = 2939,
  [2986] = 2941,
  [2987] = 2987,
  [2988] = 2988,
  [2989] = 2987,
  [2990] = 2941,
  [2991] = 2945,
  [2992] = 2926,
  [2993] = 2941,
  [2994] = 2941,
  [2995] = 2926,
  [2996] = 2996,
  [2997] = 2939,
  [2998] = 2909,
  [2999] = 2941,
  [3000] = 2945,
  [3001] = 2932,
  [3002] = 2939,
  [3003] = 2941,
  [3004] = 2914,
  [3005] = 2911,
  [3006] = 2899,
  [3007] = 2939,
  [3008] = 2945,
  [3009] = 2941,
  [3010] = 2945,
  [3011] = 2988,
  [3012] = 2941,
  [3013] = 2939,
  [3014] = 2972,
  [3015] = 2941,
  [3016] = 2940,
  [3017] = 2951,
  [3018] = 2941,
  [3019] = 2945,
  [3020] = 2945,
  [3021] = 3021,
  [3022] = 2941,
  [3023] = 2951,
  [3024] = 3024,
  [3025] = 2972,
  [3026] = 3026,
  [3027] = 2939,
  [3028] = 2972,
  [3029] = 2941,
  [3030] = 2945,
  [3031] = 3031,
  [3032] = 3032,
  [3033] = 3033,
  [3034] = 3034,
  [3035] = 2951,
  [3036] = 3036,
  [3037] = 2945,
  [3038] = 3038,
  [3039] = 3039,
  [3040] = 3040,
  [3041] = 3041,
  [3042] = 3042,
  [3043] = 3043,
  [3044] = 2939,
  [3045] = 2945,
  [3046] = 2951,
  [3047] = 3047,
  [3048] = 3048,
  [3049] = 2939,
  [3050] = 3050,
  [3051] = 3051,
  [3052] = 3052,
  [3053] = 3053,
  [3054] = 2939,
  [3055] = 2945,
  [3056] = 3056,
  [3057] = 3057,
  [3058] = 3058,
  [3059] = 3059,
  [3060] = 3060,
  [3061] = 3061,
  [3062] = 3062,
  [3063] = 2939,
  [3064] = 2945,
  [3065] = 3065,
  [3066] = 3066,
  [3067] = 3067,
  [3068] = 3068,
  [3069] = 2914,
  [3070] = 2939,
  [3071] = 2899,
  [3072] = 3072,
  [3073] = 2895,
  [3074] = 2945,
  [3075] = 3075,
  [3076] = 3076,
  [3077] = 3077,
  [3078] = 2972,
  [3079] = 2960,
  [3080] = 2960,
  [3081] = 3081,
  [3082] = 2940,
  [3083] = 2945,
  [3084] = 2914,
  [3085] = 2899,
  [3086] = 3086,
  [3087] = 3087,
  [3088] = 2939,
  [3089] = 2945,
  [3090] = 3090,
  [3091] = 3091,
  [3092] = 3092,
  [3093] = 2945,
  [3094] = 3094,
  [3095] = 3095,
  [3096] = 3096,
  [3097] = 2945,
  [3098] = 2940,
  [3099] = 2939,
  [3100] = 3100,
  [3101] = 2960,
  [3102] = 2945,
  [3103] = 2987,
  [3104] = 2988,
  [3105] = 2945,
  [3106] = 3106,
  [3107] = 3107,
  [3108] = 2940,
  [3109] = 2939,
  [3110] = 2945,
  [3111] = 3111,
  [3112] = 2987,
  [3113] = 2945,
  [3114] = 3114,
  [3115] = 2996,
  [3116] = 2945,
  [3117] = 3117,
  [3118] = 3118,
  [3119] = 3036,
  [3120] = 2895,
  [3121] = 2543,
  [3122] = 2988,
  [3123] = 2945,
  [3124] = 2939,
  [3125] = 2987,
  [3126] = 2987,
  [3127] = 2945,
  [3128] = 3128,
  [3129] = 2905,
  [3130] = 2945,
  [3131] = 2987,
  [3132] = 3132,
  [3133] = 2939,
  [3134] = 2945,
  [3135] = 2932,
  [3136] = 2945,
  [3137] = 2895,
  [3138] = 2960,
  [3139] = 2988,
  [3140] = 2945,
  [3141] = 2988,
  [3142] = 2945,
  [3143] = 2904,
  [3144] = 2905,
  [3145] = 2906,
  [3146] = 2941,
  [3147] = 2945,
  [3148] = 2908,
  [3149] = 2909,
  [3150] = 2911,
  [3151] = 3021,
  [3152] = 2939,
  [3153] = 2945,
  [3154] = 3026,
  [3155] = 3031,
  [3156] = 3032,
  [3157] = 3033,
  [3158] = 3034,
  [3159] = 3087,
  [3160] = 2941,
  [3161] = 2945,
  [3162] = 2951,
  [3163] = 3038,
  [3164] = 3039,
  [3165] = 3040,
  [3166] = 3041,
  [3167] = 3042,
  [3168] = 3043,
  [3169] = 2904,
  [3170] = 2945,
  [3171] = 2941,
  [3172] = 3047,
  [3173] = 3048,
  [3174] = 2939,
  [3175] = 3050,
  [3176] = 3051,
  [3177] = 3052,
  [3178] = 2940,
  [3179] = 2945,
  [3180] = 3053,
  [3181] = 3056,
  [3182] = 3057,
  [3183] = 3058,
  [3184] = 3059,
  [3185] = 3060,
  [3186] = 3061,
  [3187] = 3062,
  [3188] = 2905,
  [3189] = 2945,
  [3190] = 3065,
  [3191] = 3066,
  [3192] = 3067,
  [3193] = 3068,
  [3194] = 3091,
  [3195] = 2906,
  [3196] = 2939,
  [3197] = 2914,
  [3198] = 2939,
  [3199] = 2945,
  [3200] = 3072,
  [3201] = 3075,
  [3202] = 3076,
  [3203] = 3077,
  [3204] = 3096,
  [3205] = 2899,
  [3206] = 2939,
  [3207] = 2939,
  [3208] = 2945,
  [3209] = 3081,
  [3210] = 3086,
  [3211] = 2960,
  [3212] = 2945,
  [3213] = 2939,
  [3214] = 2939,
  [3215] = 2988,
  [3216] = 2926,
  [3217] = 2895,
  [3218] = 2945,
  [3219] = 3090,
  [3220] = 2932,
  [3221] = 2904,
  [3222] = 2905,
  [3223] = 2906,
  [3224] = 2908,
  [3225] = 2909,
  [3226] = 2911,
  [3227] = 3094,
  [3228] = 3095,
  [3229] = 2987,
  [3230] = 3100,
  [3231] = 2939,
  [3232] = 3106,
  [3233] = 3107,
  [3234] = 2972,
  [3235] = 3111,
  [3236] = 3114,
  [3237] = 3117,
  [3238] = 3118,
  [3239] = 2926,
  [3240] = 2932,
  [3241] = 3128,
  [3242] = 3132,
  [3243] = 2941,
  [3244] = 2988,
  [3245] = 2937,
  [3246] = 3246,
  [3247] = 3247,
  [3248] = 3248,
  [3249] = 3249,
  [3250] = 3250,
  [3251] = 2972,
  [3252] = 3252,
  [3253] = 3253,
  [3254] = 3254,
  [3255] = 3255,
  [3256] = 3256,
  [3257] = 3257,
  [3258] = 3258,
  [3259] = 3259,
  [3260] = 3260,
  [3261] = 3261,
  [3262] = 2970,
  [3263] = 3263,
  [3264] = 3024,
  [3265] = 2904,
  [3266] = 3263,
  [3267] = 3246,
  [3268] = 3247,
  [3269] = 3248,
  [3270] = 3249,
  [3271] = 3250,
  [3272] = 3252,
  [3273] = 3253,
  [3274] = 3254,
  [3275] = 3255,
  [3276] = 3256,
  [3277] = 3257,
  [3278] = 3258,
  [3279] = 3259,
  [3280] = 3260,
  [3281] = 3261,
  [3282] = 3092,
  [3283] = 3033,
  [3284] = 3284,
  [3285] = 3285,
  [3286] = 3286,
  [3287] = 3132,
  [3288] = 3288,
  [3289] = 3289,
  [3290] = 3290,
  [3291] = 3284,
  [3292] = 3285,
  [3293] = 3021,
  [3294] = 3026,
  [3295] = 3031,
  [3296] = 3032,
  [3297] = 3033,
  [3298] = 3034,
  [3299] = 3257,
  [3300] = 3087,
  [3301] = 3301,
  [3302] = 3258,
  [3303] = 3303,
  [3304] = 3303,
  [3305] = 3247,
  [3306] = 3249,
  [3307] = 3259,
  [3308] = 3254,
  [3309] = 3256,
  [3310] = 3257,
  [3311] = 2937,
  [3312] = 3246,
  [3313] = 3248,
  [3314] = 3250,
  [3315] = 2970,
  [3316] = 3252,
  [3317] = 3253,
  [3318] = 3254,
  [3319] = 3255,
  [3320] = 3263,
  [3321] = 3258,
  [3322] = 3259,
  [3323] = 3260,
  [3324] = 3261,
  [3325] = 2914,
  [3326] = 2899,
  [3327] = 3024,
  [3328] = 3038,
  [3329] = 3039,
  [3330] = 3036,
  [3331] = 3286,
  [3332] = 3092,
  [3333] = 3096,
  [3334] = 2996,
  [3335] = 3040,
  [3336] = 3288,
  [3337] = 3041,
  [3338] = 3042,
  [3339] = 3043,
  [3340] = 3047,
  [3341] = 3048,
  [3342] = 3289,
  [3343] = 3050,
  [3344] = 3051,
  [3345] = 3052,
  [3346] = 3053,
  [3347] = 3056,
  [3348] = 2895,
  [3349] = 3057,
  [3350] = 3290,
  [3351] = 3058,
  [3352] = 2904,
  [3353] = 2905,
  [3354] = 2906,
  [3355] = 2908,
  [3356] = 2909,
  [3357] = 2911,
  [3358] = 2914,
  [3359] = 2899,
  [3360] = 3284,
  [3361] = 3021,
  [3362] = 3026,
  [3363] = 3031,
  [3364] = 3032,
  [3365] = 3033,
  [3366] = 3034,
  [3367] = 2926,
  [3368] = 3059,
  [3369] = 3038,
  [3370] = 3060,
  [3371] = 3061,
  [3372] = 3062,
  [3373] = 3065,
  [3374] = 3066,
  [3375] = 3067,
  [3376] = 3068,
  [3377] = 3091,
  [3378] = 3039,
  [3379] = 3040,
  [3380] = 3041,
  [3381] = 3042,
  [3382] = 3043,
  [3383] = 3047,
  [3384] = 3288,
  [3385] = 3036,
  [3386] = 3072,
  [3387] = 3075,
  [3388] = 3076,
  [3389] = 3048,
  [3390] = 3077,
  [3391] = 3285,
  [3392] = 3050,
  [3393] = 3051,
  [3394] = 3052,
  [3395] = 3053,
  [3396] = 3056,
  [3397] = 3092,
  [3398] = 3057,
  [3399] = 3081,
  [3400] = 3058,
  [3401] = 3059,
  [3402] = 3086,
  [3403] = 3094,
  [3404] = 3060,
  [3405] = 2932,
  [3406] = 3096,
  [3407] = 3061,
  [3408] = 3062,
  [3409] = 3065,
  [3410] = 3066,
  [3411] = 3067,
  [3412] = 3068,
  [3413] = 3072,
  [3414] = 3075,
  [3415] = 3076,
  [3416] = 3077,
  [3417] = 2996,
  [3418] = 3260,
  [3419] = 3081,
  [3420] = 3086,
  [3421] = 3087,
  [3422] = 3261,
  [3423] = 3255,
  [3424] = 3285,
  [3425] = 2428,
  [3426] = 2425,
  [3427] = 2970,
  [3428] = 3090,
  [3429] = 3036,
  [3430] = 3100,
  [3431] = 3090,
  [3432] = 3106,
  [3433] = 3092,
  [3434] = 3286,
  [3435] = 3091,
  [3436] = 3111,
  [3437] = 3114,
  [3438] = 3288,
  [3439] = 3117,
  [3440] = 3094,
  [3441] = 3118,
  [3442] = 3100,
  [3443] = 3106,
  [3444] = 3111,
  [3445] = 3114,
  [3446] = 3117,
  [3447] = 3118,
  [3448] = 3095,
  [3449] = 3107,
  [3450] = 3096,
  [3451] = 2996,
  [3452] = 2428,
  [3453] = 3263,
  [3454] = 2425,
  [3455] = 3455,
  [3456] = 3024,
  [3457] = 3036,
  [3458] = 3092,
  [3459] = 3289,
  [3460] = 3460,
  [3461] = 3128,
  [3462] = 3462,
  [3463] = 3132,
  [3464] = 3096,
  [3465] = 2895,
  [3466] = 2904,
  [3467] = 2905,
  [3468] = 2906,
  [3469] = 2908,
  [3470] = 2909,
  [3471] = 2911,
  [3472] = 3472,
  [3473] = 2926,
  [3474] = 2932,
  [3475] = 3021,
  [3476] = 3026,
  [3477] = 3031,
  [3478] = 3032,
  [3479] = 3033,
  [3480] = 3034,
  [3481] = 3087,
  [3482] = 3038,
  [3483] = 3039,
  [3484] = 3040,
  [3485] = 3041,
  [3486] = 3042,
  [3487] = 3043,
  [3488] = 3047,
  [3489] = 3048,
  [3490] = 3050,
  [3491] = 3051,
  [3492] = 3052,
  [3493] = 3053,
  [3494] = 3056,
  [3495] = 3057,
  [3496] = 3058,
  [3497] = 3059,
  [3498] = 3060,
  [3499] = 3061,
  [3500] = 3062,
  [3501] = 3065,
  [3502] = 3066,
  [3503] = 3067,
  [3504] = 3068,
  [3505] = 3091,
  [3506] = 3072,
  [3507] = 3075,
  [3508] = 3076,
  [3509] = 3128,
  [3510] = 3077,
  [3511] = 3095,
  [3512] = 3081,
  [3513] = 3086,
  [3514] = 2996,
  [3515] = 3090,
  [3516] = 3107,
  [3517] = 3021,
  [3518] = 3026,
  [3519] = 3094,
  [3520] = 3031,
  [3521] = 3095,
  [3522] = 3032,
  [3523] = 3252,
  [3524] = 3253,
  [3525] = 3034,
  [3526] = 3526,
  [3527] = 3301,
  [3528] = 3087,
  [3529] = 3038,
  [3530] = 3460,
  [3531] = 3039,
  [3532] = 3040,
  [3533] = 3526,
  [3534] = 3301,
  [3535] = 3100,
  [3536] = 3041,
  [3537] = 3042,
  [3538] = 3460,
  [3539] = 3043,
  [3540] = 3526,
  [3541] = 3301,
  [3542] = 3047,
  [3543] = 3048,
  [3544] = 3460,
  [3545] = 3050,
  [3546] = 3526,
  [3547] = 3301,
  [3548] = 3051,
  [3549] = 3052,
  [3550] = 3460,
  [3551] = 3053,
  [3552] = 3056,
  [3553] = 3526,
  [3554] = 3301,
  [3555] = 3106,
  [3556] = 3057,
  [3557] = 3107,
  [3558] = 3058,
  [3559] = 3460,
  [3560] = 3059,
  [3561] = 3060,
  [3562] = 3301,
  [3563] = 3061,
  [3564] = 3062,
  [3565] = 3065,
  [3566] = 3460,
  [3567] = 3066,
  [3568] = 3111,
  [3569] = 3301,
  [3570] = 3067,
  [3571] = 3068,
  [3572] = 3091,
  [3573] = 3460,
  [3574] = 3301,
  [3575] = 3072,
  [3576] = 3075,
  [3577] = 3076,
  [3578] = 3460,
  [3579] = 3077,
  [3580] = 3114,
  [3581] = 3301,
  [3582] = 3460,
  [3583] = 3081,
  [3584] = 3117,
  [3585] = 3301,
  [3586] = 3118,
  [3587] = 3086,
  [3588] = 3460,
  [3589] = 3301,
  [3590] = 3460,
  [3591] = 3301,
  [3592] = 3090,
  [3593] = 3460,
  [3594] = 3301,
  [3595] = 3460,
  [3596] = 3301,
  [3597] = 2937,
  [3598] = 3246,
  [3599] = 3247,
  [3600] = 3460,
  [3601] = 3248,
  [3602] = 3249,
  [3603] = 3301,
  [3604] = 3250,
  [3605] = 3094,
  [3606] = 3095,
  [3607] = 3460,
  [3608] = 3301,
  [3609] = 3252,
  [3610] = 3253,
  [3611] = 3254,
  [3612] = 3460,
  [3613] = 3100,
  [3614] = 3255,
  [3615] = 3301,
  [3616] = 3256,
  [3617] = 3257,
  [3618] = 3106,
  [3619] = 3460,
  [3620] = 3107,
  [3621] = 3301,
  [3622] = 3111,
  [3623] = 3258,
  [3624] = 3114,
  [3625] = 3460,
  [3626] = 3259,
  [3627] = 3117,
  [3628] = 3301,
  [3629] = 3260,
  [3630] = 3118,
  [3631] = 3261,
  [3632] = 3460,
  [3633] = 3301,
  [3634] = 3128,
  [3635] = 3460,
  [3636] = 3132,
  [3637] = 3301,
  [3638] = 2970,
  [3639] = 3460,
  [3640] = 3301,
  [3641] = 3263,
  [3642] = 3460,
  [3643] = 3301,
  [3644] = 3460,
  [3645] = 3301,
  [3646] = 3024,
  [3647] = 3460,
  [3648] = 3301,
  [3649] = 3128,
  [3650] = 3132,
  [3651] = 3460,
  [3652] = 3301,
  [3653] = 3460,
  [3654] = 3301,
  [3655] = 3460,
  [3656] = 3301,
  [3657] = 3460,
  [3658] = 3301,
  [3659] = 3460,
  [3660] = 3301,
  [3661] = 3460,
  [3662] = 3301,
  [3663] = 3460,
  [3664] = 3301,
  [3665] = 3460,
  [3666] = 3301,
  [3667] = 3460,
  [3668] = 3301,
  [3669] = 3460,
  [3670] = 3301,
  [3671] = 2937,
  [3672] = 3246,
  [3673] = 3460,
  [3674] = 3247,
  [3675] = 3248,
  [3676] = 3301,
  [3677] = 3249,
  [3678] = 3250,
  [3679] = 3252,
  [3680] = 3460,
  [3681] = 3253,
  [3682] = 3254,
  [3683] = 3301,
  [3684] = 3255,
  [3685] = 3256,
  [3686] = 3257,
  [3687] = 3460,
  [3688] = 3258,
  [3689] = 3259,
  [3690] = 3301,
  [3691] = 3260,
  [3692] = 3261,
  [3693] = 3460,
  [3694] = 3301,
  [3695] = 3256,
  [3696] = 3460,
  [3697] = 2970,
  [3698] = 3290,
  [3699] = 3301,
  [3700] = 3460,
  [3701] = 3263,
  [3702] = 3301,
  [3703] = 3460,
  [3704] = 3526,
  [3705] = 3301,
  [3706] = 2937,
  [3707] = 3246,
  [3708] = 3247,
  [3709] = 3460,
  [3710] = 3248,
  [3711] = 3249,
  [3712] = 3301,
  [3713] = 3024,
  [3714] = 3250,
  [3715] = 3460,
  [3716] = 3716,
  [3717] = 3716,
  [3718] = 3718,
  [3719] = 3716,
  [3720] = 3111,
  [3721] = 3716,
  [3722] = 3722,
  [3723] = 3114,
  [3724] = 3117,
  [3725] = 3118,
  [3726] = 2895,
  [3727] = 3716,
  [3728] = 2904,
  [3729] = 2905,
  [3730] = 2906,
  [3731] = 3716,
  [3732] = 3036,
  [3733] = 2908,
  [3734] = 2909,
  [3735] = 2911,
  [3736] = 3095,
  [3737] = 3716,
  [3738] = 3716,
  [3739] = 3107,
  [3740] = 3092,
  [3741] = 3128,
  [3742] = 2926,
  [3743] = 3716,
  [3744] = 2932,
  [3745] = 3716,
  [3746] = 3132,
  [3747] = 2932,
  [3748] = 3716,
  [3749] = 3716,
  [3750] = 3750,
  [3751] = 3716,
  [3752] = 3716,
  [3753] = 2895,
  [3754] = 3716,
  [3755] = 3021,
  [3756] = 3718,
  [3757] = 3722,
  [3758] = 3026,
  [3759] = 3031,
  [3760] = 3032,
  [3761] = 3033,
  [3762] = 3034,
  [3763] = 3087,
  [3764] = 3038,
  [3765] = 3039,
  [3766] = 3040,
  [3767] = 3041,
  [3768] = 3042,
  [3769] = 3043,
  [3770] = 3722,
  [3771] = 3047,
  [3772] = 3048,
  [3773] = 3050,
  [3774] = 3051,
  [3775] = 3052,
  [3776] = 3053,
  [3777] = 3718,
  [3778] = 3056,
  [3779] = 3057,
  [3780] = 3058,
  [3781] = 3059,
  [3782] = 3060,
  [3783] = 3061,
  [3784] = 3062,
  [3785] = 3065,
  [3786] = 3066,
  [3787] = 3067,
  [3788] = 3068,
  [3789] = 3091,
  [3790] = 3718,
  [3791] = 3722,
  [3792] = 3096,
  [3793] = 3072,
  [3794] = 3075,
  [3795] = 3076,
  [3796] = 3077,
  [3797] = 3716,
  [3798] = 3081,
  [3799] = 3716,
  [3800] = 3086,
  [3801] = 3090,
  [3802] = 3094,
  [3803] = 3095,
  [3804] = 3100,
  [3805] = 3106,
  [3806] = 3107,
  [3807] = 2904,
  [3808] = 2905,
  [3809] = 3111,
  [3810] = 3114,
  [3811] = 3117,
  [3812] = 3118,
  [3813] = 2906,
  [3814] = 2908,
  [3815] = 2911,
  [3816] = 3750,
  [3817] = 3716,
  [3818] = 3716,
  [3819] = 3716,
  [3820] = 2914,
  [3821] = 2899,
  [3822] = 3716,
  [3823] = 2914,
  [3824] = 3716,
  [3825] = 2899,
  [3826] = 3128,
  [3827] = 3132,
  [3828] = 3716,
  [3829] = 3716,
  [3830] = 3716,
  [3831] = 3021,
  [3832] = 2937,
  [3833] = 3246,
  [3834] = 3247,
  [3835] = 3248,
  [3836] = 3249,
  [3837] = 3250,
  [3838] = 3716,
  [3839] = 3716,
  [3840] = 3252,
  [3841] = 3253,
  [3842] = 3026,
  [3843] = 3031,
  [3844] = 3254,
  [3845] = 3032,
  [3846] = 3033,
  [3847] = 3255,
  [3848] = 3034,
  [3849] = 3256,
  [3850] = 3716,
  [3851] = 3257,
  [3852] = 3038,
  [3853] = 3039,
  [3854] = 3040,
  [3855] = 3041,
  [3856] = 3042,
  [3857] = 3043,
  [3858] = 3716,
  [3859] = 3716,
  [3860] = 3716,
  [3861] = 3047,
  [3862] = 3048,
  [3863] = 3258,
  [3864] = 3259,
  [3865] = 3050,
  [3866] = 3260,
  [3867] = 3261,
  [3868] = 3024,
  [3869] = 3051,
  [3870] = 2970,
  [3871] = 3052,
  [3872] = 3053,
  [3873] = 3263,
  [3874] = 3056,
  [3875] = 3057,
  [3876] = 3058,
  [3877] = 3059,
  [3878] = 3060,
  [3879] = 3061,
  [3880] = 3062,
  [3881] = 3065,
  [3882] = 3066,
  [3883] = 3067,
  [3884] = 3068,
  [3885] = 3072,
  [3886] = 3075,
  [3887] = 3076,
  [3888] = 3077,
  [3889] = 3081,
  [3890] = 3086,
  [3891] = 3087,
  [3892] = 3716,
  [3893] = 3090,
  [3894] = 3091,
  [3895] = 3094,
  [3896] = 3716,
  [3897] = 3716,
  [3898] = 3716,
  [3899] = 3716,
  [3900] = 3716,
  [3901] = 2926,
  [3902] = 2996,
  [3903] = 2937,
  [3904] = 3246,
  [3905] = 3247,
  [3906] = 3248,
  [3907] = 3249,
  [3908] = 3716,
  [3909] = 3250,
  [3910] = 3252,
  [3911] = 3253,
  [3912] = 3254,
  [3913] = 3100,
  [3914] = 3255,
  [3915] = 3256,
  [3916] = 3257,
  [3917] = 3258,
  [3918] = 3259,
  [3919] = 3260,
  [3920] = 3261,
  [3921] = 2970,
  [3922] = 3263,
  [3923] = 3024,
  [3924] = 3036,
  [3925] = 3092,
  [3926] = 3096,
  [3927] = 2996,
  [3928] = 3716,
  [3929] = 3716,
  [3930] = 3716,
  [3931] = 3716,
  [3932] = 3106,
  [3933] = 2909,
  [3934] = 3934,
  [3935] = 3934,
  [3936] = 3081,
  [3937] = 3100,
  [3938] = 3052,
  [3939] = 3934,
  [3940] = 3934,
  [3941] = 2996,
  [3942] = 3106,
  [3943] = 3934,
  [3944] = 3038,
  [3945] = 3086,
  [3946] = 3107,
  [3947] = 3039,
  [3948] = 3948,
  [3949] = 3040,
  [3950] = 3934,
  [3951] = 2908,
  [3952] = 3041,
  [3953] = 2909,
  [3954] = 3042,
  [3955] = 2911,
  [3956] = 3087,
  [3957] = 3934,
  [3958] = 3934,
  [3959] = 3750,
  [3960] = 3750,
  [3961] = 3043,
  [3962] = 3111,
  [3963] = 2937,
  [3964] = 3934,
  [3965] = 3934,
  [3966] = 2899,
  [3967] = 3053,
  [3968] = 3090,
  [3969] = 3056,
  [3970] = 3091,
  [3971] = 3057,
  [3972] = 3246,
  [3973] = 3058,
  [3974] = 3047,
  [3975] = 3048,
  [3976] = 3934,
  [3977] = 3114,
  [3978] = 3948,
  [3979] = 3934,
  [3980] = 3050,
  [3981] = 3247,
  [3982] = 3934,
  [3983] = 3934,
  [3984] = 3117,
  [3985] = 3248,
  [3986] = 3118,
  [3987] = 3934,
  [3988] = 3249,
  [3989] = 3250,
  [3990] = 3990,
  [3991] = 2904,
  [3992] = 3059,
  [3993] = 3128,
  [3994] = 3060,
  [3995] = 3934,
  [3996] = 2970,
  [3997] = 3061,
  [3998] = 3062,
  [3999] = 3051,
  [4000] = 3934,
  [4001] = 3065,
  [4002] = 2932,
  [4003] = 3052,
  [4004] = 3252,
  [4005] = 3253,
  [4006] = 3066,
  [4007] = 3067,
  [4008] = 3934,
  [4009] = 3254,
  [4010] = 3934,
  [4011] = 3934,
  [4012] = 3053,
  [4013] = 3056,
  [4014] = 2914,
  [4015] = 3068,
  [4016] = 3255,
  [4017] = 3118,
  [4018] = 3263,
  [4019] = 3021,
  [4020] = 3057,
  [4021] = 3934,
  [4022] = 2926,
  [4023] = 3026,
  [4024] = 3256,
  [4025] = 3072,
  [4026] = 3058,
  [4027] = 3075,
  [4028] = 3990,
  [4029] = 3076,
  [4030] = 3257,
  [4031] = 3077,
  [4032] = 3031,
  [4033] = 3059,
  [4034] = 3032,
  [4035] = 3094,
  [4036] = 3033,
  [4037] = 3034,
  [4038] = 3934,
  [4039] = 3060,
  [4040] = 3036,
  [4041] = 3081,
  [4042] = 3934,
  [4043] = 3092,
  [4044] = 3086,
  [4045] = 3096,
  [4046] = 3934,
  [4047] = 3934,
  [4048] = 3934,
  [4049] = 3021,
  [4050] = 3934,
  [4051] = 3061,
  [4052] = 3038,
  [4053] = 3934,
  [4054] = 3934,
  [4055] = 3258,
  [4056] = 2996,
  [4057] = 3090,
  [4058] = 3039,
  [4059] = 3040,
  [4060] = 3259,
  [4061] = 3065,
  [4062] = 3260,
  [4063] = 3261,
  [4064] = 2904,
  [4065] = 2895,
  [4066] = 3934,
  [4067] = 3024,
  [4068] = 3026,
  [4069] = 2908,
  [4070] = 3031,
  [4071] = 2909,
  [4072] = 3032,
  [4073] = 2937,
  [4074] = 3246,
  [4075] = 3041,
  [4076] = 3247,
  [4077] = 3248,
  [4078] = 3249,
  [4079] = 2911,
  [4080] = 3250,
  [4081] = 3033,
  [4082] = 3252,
  [4083] = 3253,
  [4084] = 3254,
  [4085] = 3255,
  [4086] = 3934,
  [4087] = 3034,
  [4088] = 3256,
  [4089] = 3257,
  [4090] = 2905,
  [4091] = 3258,
  [4092] = 3259,
  [4093] = 3260,
  [4094] = 3087,
  [4095] = 3261,
  [4096] = 2970,
  [4097] = 2895,
  [4098] = 3263,
  [4099] = 3024,
  [4100] = 3042,
  [4101] = 2932,
  [4102] = 3934,
  [4103] = 3107,
  [4104] = 2906,
  [4105] = 3066,
  [4106] = 3934,
  [4107] = 2914,
  [4108] = 3043,
  [4109] = 3934,
  [4110] = 3934,
  [4111] = 3128,
  [4112] = 3067,
  [4113] = 3934,
  [4114] = 2905,
  [4115] = 2906,
  [4116] = 3091,
  [4117] = 3934,
  [4118] = 3132,
  [4119] = 3047,
  [4120] = 3036,
  [4121] = 3048,
  [4122] = 3068,
  [4123] = 3050,
  [4124] = 3094,
  [4125] = 3051,
  [4126] = 3934,
  [4127] = 3095,
  [4128] = 3095,
  [4129] = 4129,
  [4130] = 2926,
  [4131] = 3934,
  [4132] = 3092,
  [4133] = 3750,
  [4134] = 3072,
  [4135] = 3750,
  [4136] = 3075,
  [4137] = 3076,
  [4138] = 3132,
  [4139] = 3077,
  [4140] = 3114,
  [4141] = 3111,
  [4142] = 3934,
  [4143] = 2899,
  [4144] = 3934,
  [4145] = 3096,
  [4146] = 3934,
  [4147] = 3100,
  [4148] = 3106,
  [4149] = 3934,
  [4150] = 3117,
  [4151] = 4129,
  [4152] = 3062,
  [4153] = 3026,
  [4154] = 3095,
  [4155] = 3077,
  [4156] = 3086,
  [4157] = 4157,
  [4158] = 3114,
  [4159] = 3058,
  [4160] = 3106,
  [4161] = 3249,
  [4162] = 3059,
  [4163] = 3060,
  [4164] = 3032,
  [4165] = 4165,
  [4166] = 4165,
  [4167] = 4157,
  [4168] = 4168,
  [4169] = 4165,
  [4170] = 3081,
  [4171] = 4129,
  [4172] = 4157,
  [4173] = 3061,
  [4174] = 4168,
  [4175] = 3117,
  [4176] = 4157,
  [4177] = 3118,
  [4178] = 4157,
  [4179] = 4168,
  [4180] = 4165,
  [4181] = 4157,
  [4182] = 4157,
  [4183] = 3948,
  [4184] = 4168,
  [4185] = 4165,
  [4186] = 4157,
  [4187] = 4168,
  [4188] = 3062,
  [4189] = 3065,
  [4190] = 3043,
  [4191] = 3086,
  [4192] = 4165,
  [4193] = 3066,
  [4194] = 4157,
  [4195] = 4168,
  [4196] = 3095,
  [4197] = 3047,
  [4198] = 3256,
  [4199] = 3051,
  [4200] = 3248,
  [4201] = 4165,
  [4202] = 4157,
  [4203] = 4168,
  [4204] = 3948,
  [4205] = 3257,
  [4206] = 4165,
  [4207] = 3111,
  [4208] = 3061,
  [4209] = 3062,
  [4210] = 4168,
  [4211] = 3038,
  [4212] = 4165,
  [4213] = 3024,
  [4214] = 3065,
  [4215] = 4215,
  [4216] = 4165,
  [4217] = 2937,
  [4218] = 4157,
  [4219] = 4168,
  [4220] = 4157,
  [4221] = 4168,
  [4222] = 3246,
  [4223] = 3066,
  [4224] = 3118,
  [4225] = 4225,
  [4226] = 4165,
  [4227] = 3111,
  [4228] = 3261,
  [4229] = 4165,
  [4230] = 3067,
  [4231] = 3034,
  [4232] = 4157,
  [4233] = 2970,
  [4234] = 4225,
  [4235] = 4168,
  [4236] = 3128,
  [4237] = 4165,
  [4238] = 3068,
  [4239] = 3034,
  [4240] = 3750,
  [4241] = 3033,
  [4242] = 3090,
  [4243] = 4157,
  [4244] = 4165,
  [4245] = 3026,
  [4246] = 3087,
  [4247] = 4165,
  [4248] = 4168,
  [4249] = 4168,
  [4250] = 4168,
  [4251] = 4157,
  [4252] = 3040,
  [4253] = 4157,
  [4254] = 4165,
  [4255] = 4129,
  [4256] = 3750,
  [4257] = 4168,
  [4258] = 3250,
  [4259] = 3260,
  [4260] = 3248,
  [4261] = 4168,
  [4262] = 4165,
  [4263] = 4157,
  [4264] = 4157,
  [4265] = 3258,
  [4266] = 4165,
  [4267] = 4157,
  [4268] = 4168,
  [4269] = 4165,
  [4270] = 4157,
  [4271] = 4168,
  [4272] = 4168,
  [4273] = 3092,
  [4274] = 3096,
  [4275] = 4168,
  [4276] = 4168,
  [4277] = 3081,
  [4278] = 4168,
  [4279] = 3039,
  [4280] = 3250,
  [4281] = 3261,
  [4282] = 2970,
  [4283] = 3040,
  [4284] = 3094,
  [4285] = 3036,
  [4286] = 3258,
  [4287] = 4168,
  [4288] = 3100,
  [4289] = 3042,
  [4290] = 4157,
  [4291] = 3041,
  [4292] = 3052,
  [4293] = 4165,
  [4294] = 4157,
  [4295] = 3042,
  [4296] = 4168,
  [4297] = 3114,
  [4298] = 4165,
  [4299] = 3068,
  [4300] = 3043,
  [4301] = 4157,
  [4302] = 3247,
  [4303] = 3132,
  [4304] = 3259,
  [4305] = 3254,
  [4306] = 4168,
  [4307] = 3091,
  [4308] = 3107,
  [4309] = 3076,
  [4310] = 3253,
  [4311] = 3246,
  [4312] = 3255,
  [4313] = 3075,
  [4314] = 3039,
  [4315] = 3252,
  [4316] = 3041,
  [4317] = 3076,
  [4318] = 3057,
  [4319] = 3047,
  [4320] = 3090,
  [4321] = 3032,
  [4322] = 4168,
  [4323] = 4157,
  [4324] = 4165,
  [4325] = 3058,
  [4326] = 3067,
  [4327] = 4157,
  [4328] = 3060,
  [4329] = 3048,
  [4330] = 3260,
  [4331] = 2996,
  [4332] = 3257,
  [4333] = 4165,
  [4334] = 4157,
  [4335] = 4168,
  [4336] = 4165,
  [4337] = 3048,
  [4338] = 3263,
  [4339] = 4129,
  [4340] = 3059,
  [4341] = 4157,
  [4342] = 4165,
  [4343] = 4157,
  [4344] = 4157,
  [4345] = 4165,
  [4346] = 4157,
  [4347] = 4168,
  [4348] = 4165,
  [4349] = 4168,
  [4350] = 4165,
  [4351] = 4157,
  [4352] = 4157,
  [4353] = 4168,
  [4354] = 3092,
  [4355] = 4129,
  [4356] = 4168,
  [4357] = 4165,
  [4358] = 4165,
  [4359] = 3096,
  [4360] = 4157,
  [4361] = 3024,
  [4362] = 4168,
  [4363] = 3053,
  [4364] = 4168,
  [4365] = 3948,
  [4366] = 3132,
  [4367] = 4168,
  [4368] = 3072,
  [4369] = 3117,
  [4370] = 4157,
  [4371] = 3050,
  [4372] = 3051,
  [4373] = 3087,
  [4374] = 3021,
  [4375] = 4215,
  [4376] = 4157,
  [4377] = 3052,
  [4378] = 4165,
  [4379] = 4215,
  [4380] = 4225,
  [4381] = 4165,
  [4382] = 3053,
  [4383] = 3077,
  [4384] = 4157,
  [4385] = 3247,
  [4386] = 3056,
  [4387] = 3106,
  [4388] = 4215,
  [4389] = 3107,
  [4390] = 4168,
  [4391] = 3038,
  [4392] = 3256,
  [4393] = 4168,
  [4394] = 3050,
  [4395] = 4168,
  [4396] = 3091,
  [4397] = 3021,
  [4398] = 2996,
  [4399] = 3072,
  [4400] = 4165,
  [4401] = 4157,
  [4402] = 3128,
  [4403] = 3033,
  [4404] = 3259,
  [4405] = 4165,
  [4406] = 4157,
  [4407] = 4168,
  [4408] = 3948,
  [4409] = 4165,
  [4410] = 3056,
  [4411] = 4165,
  [4412] = 3252,
  [4413] = 3249,
  [4414] = 4157,
  [4415] = 3253,
  [4416] = 3254,
  [4417] = 3057,
  [4418] = 4165,
  [4419] = 4165,
  [4420] = 4157,
  [4421] = 4168,
  [4422] = 4157,
  [4423] = 4168,
  [4424] = 4225,
  [4425] = 3031,
  [4426] = 3255,
  [4427] = 3263,
  [4428] = 3100,
  [4429] = 4168,
  [4430] = 3094,
  [4431] = 4168,
  [4432] = 3031,
  [4433] = 2937,
  [4434] = 4157,
  [4435] = 4168,
  [4436] = 3075,
  [4437] = 4157,
  [4438] = 3036,
  [4439] = 4439,
  [4440] = 4129,
  [4441] = 4441,
  [4442] = 4439,
  [4443] = 4441,
  [4444] = 4129,
  [4445] = 4441,
  [4446] = 4441,
  [4447] = 4441,
  [4448] = 3750,
  [4449] = 4449,
  [4450] = 4449,
  [4451] = 4441,
  [4452] = 4441,
  [4453] = 4441,
  [4454] = 4454,
  [4455] = 4441,
  [4456] = 4441,
  [4457] = 4454,
  [4458] = 4441,
  [4459] = 4441,
  [4460] = 3948,
  [4461] = 4441,
  [4462] = 4441,
  [4463] = 4439,
  [4464] = 4441,
  [4465] = 4449,
  [4466] = 4441,
  [4467] = 4441,
  [4468] = 4441,
  [4469] = 4441,
  [4470] = 3750,
  [4471] = 4441,
  [4472] = 4441,
  [4473] = 3948,
  [4474] = 4441,
  [4475] = 4439,
  [4476] = 4441,
  [4477] = 4441,
  [4478] = 4449,
  [4479] = 4454,
  [4480] = 4439,
  [4481] = 4441,
  [4482] = 4454,
  [4483] = 4441,
  [4484] = 4441,
  [4485] = 4449,
  [4486] = 4441,
  [4487] = 4441,
  [4488] = 4441,
  [4489] = 4441,
  [4490] = 4454,
  [4491] = 4441,
  [4492] = 4441,
  [4493] = 4441,
  [4494] = 4441,
  [4495] = 4449,
  [4496] = 4441,
  [4497] = 4454,
  [4498] = 4441,
  [4499] = 4441,
  [4500] = 4441,
  [4501] = 4441,
  [4502] = 4441,
  [4503] = 4449,
  [4504] = 4449,
  [4505] = 4454,
  [4506] = 4441,
  [4507] = 4441,
  [4508] = 4508,
  [4509] = 4509,
  [4510] = 4510,
  [4511] = 4509,
  [4512] = 4509,
  [4513] = 4513,
  [4514] = 4514,
  [4515] = 4515,
  [4516] = 4516,
  [4517] = 4513,
  [4518] = 4515,
  [4519] = 4516,
  [4520] = 4129,
  [4521] = 4521,
  [4522] = 4522,
  [4523] = 4522,
  [4524] = 4521,
  [4525] = 3750,
  [4526] = 3948,
  [4527] = 4510,
  [4528] = 4522,
  [4529] = 3948,
  [4530] = 4514,
  [4531] = 4510,
  [4532] = 4522,
  [4533] = 4129,
  [4534] = 4522,
  [4535] = 4521,
  [4536] = 4536,
  [4537] = 4513,
  [4538] = 4513,
  [4539] = 4514,
  [4540] = 4516,
  [4541] = 4536,
  [4542] = 4521,
  [4543] = 4514,
  [4544] = 4515,
  [4545] = 3750,
  [4546] = 4515,
  [4547] = 4508,
  [4548] = 4508,
  [4549] = 4510,
  [4550] = 4536,
  [4551] = 4510,
  [4552] = 4509,
  [4553] = 4508,
  [4554] = 4536,
  [4555] = 4522,
  [4556] = 4508,
  [4557] = 4514,
  [4558] = 4509,
  [4559] = 4515,
  [4560] = 4536,
  [4561] = 4513,
  [4562] = 4516,
  [4563] = 4513,
  [4564] = 4508,
  [4565] = 4515,
  [4566] = 4515,
  [4567] = 4516,
  [4568] = 4516,
  [4569] = 4522,
  [4570] = 4508,
  [4571] = 4521,
  [4572] = 4513,
  [4573] = 4516,
  [4574] = 4510,
  [4575] = 4510,
  [4576] = 4576,
  [4577] = 4577,
  [4578] = 4578,
  [4579] = 3948,
  [4580] = 4580,
  [4581] = 4581,
  [4582] = 4576,
  [4583] = 4577,
  [4584] = 4578,
  [4585] = 4581,
  [4586] = 4129,
  [4587] = 3948,
  [4588] = 4581,
  [4589] = 4576,
  [4590] = 4577,
  [4591] = 4578,
  [4592] = 4592,
  [4593] = 4593,
  [4594] = 4576,
  [4595] = 4581,
  [4596] = 4577,
  [4597] = 4577,
  [4598] = 4578,
  [4599] = 4599,
  [4600] = 2562,
  [4601] = 4599,
  [4602] = 4599,
  [4603] = 4599,
  [4604] = 4577,
  [4605] = 4578,
  [4606] = 4580,
  [4607] = 4578,
  [4608] = 4581,
  [4609] = 4576,
  [4610] = 4577,
  [4611] = 4578,
  [4612] = 4599,
  [4613] = 4129,
  [4614] = 4581,
  [4615] = 4576,
  [4616] = 4577,
  [4617] = 4578,
  [4618] = 4581,
  [4619] = 4581,
  [4620] = 4576,
  [4621] = 4576,
  [4622] = 4622,
  [4623] = 4623,
  [4624] = 4623,
  [4625] = 2926,
  [4626] = 4622,
  [4627] = 4623,
  [4628] = 2932,
  [4629] = 4622,
  [4630] = 4623,
  [4631] = 4622,
  [4632] = 4623,
  [4633] = 4622,
  [4634] = 4623,
  [4635] = 4622,
  [4636] = 4623,
  [4637] = 4622,
  [4638] = 4623,
  [4639] = 4622,
  [4640] = 4623,
  [4641] = 4622,
  [4642] = 4623,
  [4643] = 4622,
  [4644] = 4623,
  [4645] = 4622,
  [4646] = 4623,
  [4647] = 4622,
  [4648] = 2914,
  [4649] = 4623,
  [4650] = 4622,
  [4651] = 4623,
  [4652] = 4622,
  [4653] = 4623,
  [4654] = 4622,
  [4655] = 4623,
  [4656] = 4622,
  [4657] = 4623,
  [4658] = 4622,
  [4659] = 4623,
  [4660] = 4622,
  [4661] = 4622,
  [4662] = 4622,
  [4663] = 4623,
  [4664] = 4623,
  [4665] = 4622,
  [4666] = 4623,
  [4667] = 4622,
  [4668] = 4623,
  [4669] = 4622,
  [4670] = 4622,
  [4671] = 4623,
  [4672] = 4622,
  [4673] = 4623,
  [4674] = 4674,
  [4675] = 4622,
  [4676] = 4623,
  [4677] = 4622,
  [4678] = 4623,
  [4679] = 4622,
  [4680] = 4623,
  [4681] = 4622,
  [4682] = 4623,
  [4683] = 4622,
  [4684] = 4623,
  [4685] = 4622,
  [4686] = 4623,
  [4687] = 4622,
  [4688] = 4623,
  [4689] = 4622,
  [4690] = 4623,
  [4691] = 4623,
  [4692] = 4622,
  [4693] = 2899,
  [4694] = 4622,
  [4695] = 4623,
  [4696] = 4622,
  [4697] = 4623,
  [4698] = 4623,
  [4699] = 4623,
  [4700] = 4622,
  [4701] = 4622,
  [4702] = 4623,
  [4703] = 4622,
  [4704] = 4623,
  [4705] = 4623,
  [4706] = 4622,
  [4707] = 4623,
  [4708] = 2895,
  [4709] = 4622,
  [4710] = 4622,
  [4711] = 4623,
  [4712] = 4622,
  [4713] = 4623,
  [4714] = 2904,
  [4715] = 2905,
  [4716] = 2906,
  [4717] = 2908,
  [4718] = 2909,
  [4719] = 4719,
  [4720] = 4622,
  [4721] = 4721,
  [4722] = 4623,
  [4723] = 2911,
  [4724] = 4622,
  [4725] = 4623,
  [4726] = 4622,
  [4727] = 4623,
  [4728] = 4728,
  [4729] = 3052,
  [4730] = 3053,
  [4731] = 3056,
  [4732] = 3057,
  [4733] = 3128,
  [4734] = 3058,
  [4735] = 3059,
  [4736] = 3060,
  [4737] = 3062,
  [4738] = 2899,
  [4739] = 3065,
  [4740] = 3066,
  [4741] = 3031,
  [4742] = 3067,
  [4743] = 3068,
  [4744] = 3132,
  [4745] = 4728,
  [4746] = 3032,
  [4747] = 3072,
  [4748] = 3075,
  [4749] = 3076,
  [4750] = 3077,
  [4751] = 3033,
  [4752] = 3034,
  [4753] = 2914,
  [4754] = 3081,
  [4755] = 3086,
  [4756] = 3038,
  [4757] = 3039,
  [4758] = 3090,
  [4759] = 3040,
  [4760] = 2926,
  [4761] = 3087,
  [4762] = 3041,
  [4763] = 2932,
  [4764] = 3042,
  [4765] = 3043,
  [4766] = 3021,
  [4767] = 2895,
  [4768] = 3047,
  [4769] = 4728,
  [4770] = 2899,
  [4771] = 3091,
  [4772] = 4728,
  [4773] = 4728,
  [4774] = 2937,
  [4775] = 3246,
  [4776] = 3247,
  [4777] = 3248,
  [4778] = 3249,
  [4779] = 3250,
  [4780] = 3252,
  [4781] = 3253,
  [4782] = 3254,
  [4783] = 4728,
  [4784] = 3255,
  [4785] = 3256,
  [4786] = 3257,
  [4787] = 3258,
  [4788] = 3259,
  [4789] = 3260,
  [4790] = 3261,
  [4791] = 4728,
  [4792] = 2970,
  [4793] = 3263,
  [4794] = 4728,
  [4795] = 3024,
  [4796] = 4728,
  [4797] = 4728,
  [4798] = 4728,
  [4799] = 4728,
  [4800] = 4728,
  [4801] = 4728,
  [4802] = 4728,
  [4803] = 4728,
  [4804] = 4728,
  [4805] = 4728,
  [4806] = 4728,
  [4807] = 4728,
  [4808] = 4728,
  [4809] = 4728,
  [4810] = 4728,
  [4811] = 4728,
  [4812] = 4728,
  [4813] = 4728,
  [4814] = 4728,
  [4815] = 4728,
  [4816] = 4728,
  [4817] = 3036,
  [4818] = 3092,
  [4819] = 3096,
  [4820] = 2996,
  [4821] = 4728,
  [4822] = 4728,
  [4823] = 4728,
  [4824] = 4728,
  [4825] = 4728,
  [4826] = 4728,
  [4827] = 4728,
  [4828] = 2904,
  [4829] = 4728,
  [4830] = 4728,
  [4831] = 4728,
  [4832] = 4728,
  [4833] = 2905,
  [4834] = 4728,
  [4835] = 4728,
  [4836] = 3048,
  [4837] = 4728,
  [4838] = 4728,
  [4839] = 4728,
  [4840] = 4728,
  [4841] = 2906,
  [4842] = 3026,
  [4843] = 3094,
  [4844] = 3095,
  [4845] = 3100,
  [4846] = 2908,
  [4847] = 3106,
  [4848] = 3050,
  [4849] = 3107,
  [4850] = 4850,
  [4851] = 3051,
  [4852] = 3111,
  [4853] = 2909,
  [4854] = 3114,
  [4855] = 2911,
  [4856] = 3117,
  [4857] = 3118,
  [4858] = 3061,
  [4859] = 3041,
  [4860] = 3058,
  [4861] = 3059,
  [4862] = 3247,
  [4863] = 3060,
  [4864] = 3249,
  [4865] = 3061,
  [4866] = 3090,
  [4867] = 3062,
  [4868] = 4868,
  [4869] = 3068,
  [4870] = 3031,
  [4871] = 3065,
  [4872] = 3032,
  [4873] = 4868,
  [4874] = 4868,
  [4875] = 2899,
  [4876] = 3033,
  [4877] = 3034,
  [4878] = 3087,
  [4879] = 2914,
  [4880] = 3256,
  [4881] = 3257,
  [4882] = 3086,
  [4883] = 3091,
  [4884] = 3111,
  [4885] = 3081,
  [4886] = 3094,
  [4887] = 3021,
  [4888] = 2937,
  [4889] = 3246,
  [4890] = 3038,
  [4891] = 3248,
  [4892] = 3039,
  [4893] = 3066,
  [4894] = 3250,
  [4895] = 2970,
  [4896] = 3095,
  [4897] = 3114,
  [4898] = 4868,
  [4899] = 3252,
  [4900] = 3253,
  [4901] = 3254,
  [4902] = 3040,
  [4903] = 3106,
  [4904] = 3255,
  [4905] = 3263,
  [4906] = 3128,
  [4907] = 3057,
  [4908] = 2895,
  [4909] = 4868,
  [4910] = 3072,
  [4911] = 3043,
  [4912] = 3107,
  [4913] = 3132,
  [4914] = 2904,
  [4915] = 2905,
  [4916] = 2906,
  [4917] = 3258,
  [4918] = 2908,
  [4919] = 2909,
  [4920] = 2911,
  [4921] = 3259,
  [4922] = 3260,
  [4923] = 3261,
  [4924] = 3024,
  [4925] = 3036,
  [4926] = 3092,
  [4927] = 3096,
  [4928] = 2926,
  [4929] = 3075,
  [4930] = 2996,
  [4931] = 3076,
  [4932] = 2932,
  [4933] = 3117,
  [4934] = 3077,
  [4935] = 3047,
  [4936] = 3067,
  [4937] = 3048,
  [4938] = 3050,
  [4939] = 3118,
  [4940] = 3051,
  [4941] = 3052,
  [4942] = 3053,
  [4943] = 3100,
  [4944] = 3056,
  [4945] = 4868,
  [4946] = 3026,
  [4947] = 3042,
  [4948] = 3053,
  [4949] = 4949,
  [4950] = 4950,
  [4951] = 3258,
  [4952] = 3259,
  [4953] = 3260,
  [4954] = 2895,
  [4955] = 3261,
  [4956] = 4949,
  [4957] = 4950,
  [4958] = 2904,
  [4959] = 2905,
  [4960] = 2906,
  [4961] = 2908,
  [4962] = 2909,
  [4963] = 2911,
  [4964] = 4950,
  [4965] = 3024,
  [4966] = 2914,
  [4967] = 2899,
  [4968] = 2895,
  [4969] = 4950,
  [4970] = 4950,
  [4971] = 2926,
  [4972] = 2932,
  [4973] = 4950,
  [4974] = 4974,
  [4975] = 4950,
  [4976] = 2932,
  [4977] = 4950,
  [4978] = 4950,
  [4979] = 4950,
  [4980] = 4950,
  [4981] = 4950,
  [4982] = 4950,
  [4983] = 4950,
  [4984] = 4950,
  [4985] = 4950,
  [4986] = 4950,
  [4987] = 3036,
  [4988] = 4950,
  [4989] = 4950,
  [4990] = 4950,
  [4991] = 3092,
  [4992] = 4950,
  [4993] = 3096,
  [4994] = 4950,
  [4995] = 2914,
  [4996] = 4950,
  [4997] = 4950,
  [4998] = 4950,
  [4999] = 4950,
  [5000] = 4950,
  [5001] = 4950,
  [5002] = 2996,
  [5003] = 4950,
  [5004] = 4950,
  [5005] = 4950,
  [5006] = 4950,
  [5007] = 4950,
  [5008] = 2937,
  [5009] = 4950,
  [5010] = 3246,
  [5011] = 4950,
  [5012] = 4950,
  [5013] = 2904,
  [5014] = 4950,
  [5015] = 3247,
  [5016] = 3021,
  [5017] = 4950,
  [5018] = 3248,
  [5019] = 4950,
  [5020] = 2905,
  [5021] = 3026,
  [5022] = 3031,
  [5023] = 3032,
  [5024] = 3033,
  [5025] = 2906,
  [5026] = 5026,
  [5027] = 4950,
  [5028] = 2926,
  [5029] = 3249,
  [5030] = 4950,
  [5031] = 4950,
  [5032] = 3250,
  [5033] = 2970,
  [5034] = 3038,
  [5035] = 3039,
  [5036] = 3040,
  [5037] = 3041,
  [5038] = 4950,
  [5039] = 3042,
  [5040] = 3043,
  [5041] = 3132,
  [5042] = 4950,
  [5043] = 3252,
  [5044] = 4950,
  [5045] = 4950,
  [5046] = 3253,
  [5047] = 3047,
  [5048] = 3048,
  [5049] = 3254,
  [5050] = 3255,
  [5051] = 5026,
  [5052] = 3050,
  [5053] = 3051,
  [5054] = 3052,
  [5055] = 3107,
  [5056] = 3056,
  [5057] = 3057,
  [5058] = 5026,
  [5059] = 3058,
  [5060] = 3059,
  [5061] = 3060,
  [5062] = 3061,
  [5063] = 3062,
  [5064] = 3065,
  [5065] = 5026,
  [5066] = 3066,
  [5067] = 3067,
  [5068] = 3068,
  [5069] = 3263,
  [5070] = 3750,
  [5071] = 5026,
  [5072] = 3072,
  [5073] = 3075,
  [5074] = 3076,
  [5075] = 3077,
  [5076] = 3256,
  [5077] = 2908,
  [5078] = 5026,
  [5079] = 4949,
  [5080] = 3081,
  [5081] = 3257,
  [5082] = 3086,
  [5083] = 3087,
  [5084] = 3090,
  [5085] = 3091,
  [5086] = 3094,
  [5087] = 2909,
  [5088] = 3100,
  [5089] = 2911,
  [5090] = 3106,
  [5091] = 3111,
  [5092] = 3114,
  [5093] = 3117,
  [5094] = 3118,
  [5095] = 3128,
  [5096] = 3095,
  [5097] = 4974,
  [5098] = 3034,
  [5099] = 3249,
  [5100] = 3252,
  [5101] = 3128,
  [5102] = 3081,
  [5103] = 3041,
  [5104] = 2914,
  [5105] = 3021,
  [5106] = 3033,
  [5107] = 3117,
  [5108] = 3094,
  [5109] = 3750,
  [5110] = 3032,
  [5111] = 3021,
  [5112] = 5112,
  [5113] = 3107,
  [5114] = 3948,
  [5115] = 3128,
  [5116] = 3132,
  [5117] = 2899,
  [5118] = 2937,
  [5119] = 3026,
  [5120] = 2996,
  [5121] = 3031,
  [5122] = 3246,
  [5123] = 3058,
  [5124] = 3032,
  [5125] = 3033,
  [5126] = 3059,
  [5127] = 3034,
  [5128] = 3034,
  [5129] = 2926,
  [5130] = 3042,
  [5131] = 3038,
  [5132] = 3247,
  [5133] = 3043,
  [5134] = 3039,
  [5135] = 3247,
  [5136] = 2937,
  [5137] = 3040,
  [5138] = 3246,
  [5139] = 3248,
  [5140] = 3250,
  [5141] = 3252,
  [5142] = 3253,
  [5143] = 3254,
  [5144] = 3255,
  [5145] = 3258,
  [5146] = 3259,
  [5147] = 3260,
  [5148] = 3060,
  [5149] = 3261,
  [5150] = 3247,
  [5151] = 3024,
  [5152] = 2970,
  [5153] = 3263,
  [5154] = 3256,
  [5155] = 3257,
  [5156] = 3041,
  [5157] = 3061,
  [5158] = 3042,
  [5159] = 3062,
  [5160] = 3043,
  [5161] = 3248,
  [5162] = 3256,
  [5163] = 3065,
  [5164] = 3087,
  [5165] = 3047,
  [5166] = 3066,
  [5167] = 3048,
  [5168] = 3249,
  [5169] = 3050,
  [5170] = 3036,
  [5171] = 3092,
  [5172] = 3096,
  [5173] = 2996,
  [5174] = 3111,
  [5175] = 3090,
  [5176] = 3067,
  [5177] = 3051,
  [5178] = 3068,
  [5179] = 3052,
  [5180] = 3091,
  [5181] = 3254,
  [5182] = 3053,
  [5183] = 3056,
  [5184] = 3050,
  [5185] = 3057,
  [5186] = 3058,
  [5187] = 3059,
  [5188] = 3060,
  [5189] = 2932,
  [5190] = 3061,
  [5191] = 3051,
  [5192] = 3062,
  [5193] = 3065,
  [5194] = 3066,
  [5195] = 3067,
  [5196] = 3072,
  [5197] = 3068,
  [5198] = 3072,
  [5199] = 3075,
  [5200] = 3250,
  [5201] = 3076,
  [5202] = 4129,
  [5203] = 3077,
  [5204] = 3031,
  [5205] = 3258,
  [5206] = 3075,
  [5207] = 3091,
  [5208] = 3076,
  [5209] = 3081,
  [5210] = 3077,
  [5211] = 3038,
  [5212] = 2904,
  [5213] = 3052,
  [5214] = 3053,
  [5215] = 3259,
  [5216] = 3056,
  [5217] = 3086,
  [5218] = 3039,
  [5219] = 3260,
  [5220] = 3261,
  [5221] = 2905,
  [5222] = 2906,
  [5223] = 3106,
  [5224] = 3092,
  [5225] = 3047,
  [5226] = 3090,
  [5227] = 3086,
  [5228] = 3255,
  [5229] = 3263,
  [5230] = 3040,
  [5231] = 3048,
  [5232] = 3114,
  [5233] = 3057,
  [5234] = 3253,
  [5235] = 3095,
  [5236] = 2899,
  [5237] = 3096,
  [5238] = 3094,
  [5239] = 3095,
  [5240] = 3256,
  [5241] = 3036,
  [5242] = 3024,
  [5243] = 2970,
  [5244] = 3100,
  [5245] = 3257,
  [5246] = 3106,
  [5247] = 3107,
  [5248] = 2908,
  [5249] = 3111,
  [5250] = 3114,
  [5251] = 3117,
  [5252] = 3118,
  [5253] = 2909,
  [5254] = 3132,
  [5255] = 5112,
  [5256] = 3087,
  [5257] = 3247,
  [5258] = 2895,
  [5259] = 2911,
  [5260] = 3100,
  [5261] = 3026,
  [5262] = 3256,
  [5263] = 3118,
  [5264] = 5264,
  [5265] = 5264,
  [5266] = 3068,
  [5267] = 3092,
  [5268] = 3096,
  [5269] = 3058,
  [5270] = 2996,
  [5271] = 2937,
  [5272] = 3117,
  [5273] = 3118,
  [5274] = 2970,
  [5275] = 3024,
  [5276] = 3132,
  [5277] = 5277,
  [5278] = 3948,
  [5279] = 3256,
  [5280] = 3090,
  [5281] = 3247,
  [5282] = 5282,
  [5283] = 3249,
  [5284] = 3257,
  [5285] = 3060,
  [5286] = 3252,
  [5287] = 3256,
  [5288] = 3094,
  [5289] = 4129,
  [5290] = 3072,
  [5291] = 3246,
  [5292] = 3256,
  [5293] = 3075,
  [5294] = 3257,
  [5295] = 3100,
  [5296] = 2937,
  [5297] = 3056,
  [5298] = 3061,
  [5299] = 3106,
  [5300] = 3024,
  [5301] = 3255,
  [5302] = 3246,
  [5303] = 3247,
  [5304] = 3263,
  [5305] = 3254,
  [5306] = 3107,
  [5307] = 3248,
  [5308] = 3247,
  [5309] = 3252,
  [5310] = 3086,
  [5311] = 3250,
  [5312] = 3057,
  [5313] = 3076,
  [5314] = 3077,
  [5315] = 3021,
  [5316] = 5282,
  [5317] = 3249,
  [5318] = 3253,
  [5319] = 3053,
  [5320] = 3750,
  [5321] = 2899,
  [5322] = 3254,
  [5323] = 5323,
  [5324] = 3067,
  [5325] = 3087,
  [5326] = 5326,
  [5327] = 3026,
  [5328] = 3111,
  [5329] = 5329,
  [5330] = 3031,
  [5331] = 3258,
  [5332] = 3259,
  [5333] = 3032,
  [5334] = 3260,
  [5335] = 3033,
  [5336] = 5326,
  [5337] = 3091,
  [5338] = 3062,
  [5339] = 3065,
  [5340] = 3066,
  [5341] = 3034,
  [5342] = 3261,
  [5343] = 3059,
  [5344] = 3038,
  [5345] = 3039,
  [5346] = 3040,
  [5347] = 2937,
  [5348] = 3246,
  [5349] = 3041,
  [5350] = 3024,
  [5351] = 3042,
  [5352] = 3248,
  [5353] = 3043,
  [5354] = 3128,
  [5355] = 3249,
  [5356] = 2970,
  [5357] = 3250,
  [5358] = 3047,
  [5359] = 3263,
  [5360] = 2970,
  [5361] = 3250,
  [5362] = 3095,
  [5363] = 3114,
  [5364] = 3252,
  [5365] = 3254,
  [5366] = 3255,
  [5367] = 3263,
  [5368] = 3081,
  [5369] = 3248,
  [5370] = 3257,
  [5371] = 3048,
  [5372] = 3050,
  [5373] = 3051,
  [5374] = 3036,
  [5375] = 3052,
  [5376] = 3255,
  [5377] = 5377,
  [5378] = 5378,
  [5379] = 3024,
  [5380] = 2970,
  [5381] = 3263,
  [5382] = 5382,
  [5383] = 5383,
  [5384] = 3259,
  [5385] = 5385,
  [5386] = 3036,
  [5387] = 3036,
  [5388] = 2895,
  [5389] = 5326,
  [5390] = 2904,
  [5391] = 2905,
  [5392] = 3092,
  [5393] = 2906,
  [5394] = 3096,
  [5395] = 5395,
  [5396] = 2908,
  [5397] = 2909,
  [5398] = 2911,
  [5399] = 5399,
  [5400] = 5400,
  [5401] = 2996,
  [5402] = 5402,
  [5403] = 3132,
  [5404] = 5404,
  [5405] = 3092,
  [5406] = 3096,
  [5407] = 3260,
  [5408] = 2926,
  [5409] = 3258,
  [5410] = 2932,
  [5411] = 2996,
  [5412] = 5412,
  [5413] = 5413,
  [5414] = 5414,
  [5415] = 5264,
  [5416] = 5416,
  [5417] = 5417,
  [5418] = 5418,
  [5419] = 5419,
  [5420] = 3261,
  [5421] = 3750,
  [5422] = 5282,
  [5423] = 5423,
  [5424] = 5424,
  [5425] = 5425,
  [5426] = 5426,
  [5427] = 3259,
  [5428] = 5428,
  [5429] = 5417,
  [5430] = 5430,
  [5431] = 5431,
  [5432] = 5432,
  [5433] = 3260,
  [5434] = 5418,
  [5435] = 3261,
  [5436] = 5414,
  [5437] = 5437,
  [5438] = 5438,
  [5439] = 5439,
  [5440] = 5440,
  [5441] = 5282,
  [5442] = 5419,
  [5443] = 5443,
  [5444] = 3253,
  [5445] = 5445,
  [5446] = 5446,
  [5447] = 5437,
  [5448] = 2914,
  [5449] = 3128,
  [5450] = 5450,
  [5451] = 5439,
  [5452] = 5440,
  [5453] = 3253,
  [5454] = 5454,
  [5455] = 5455,
  [5456] = 5450,
  [5457] = 5457,
  [5458] = 5445,
  [5459] = 5446,
  [5460] = 5460,
  [5461] = 5400,
  [5462] = 5377,
  [5463] = 5431,
  [5464] = 5443,
  [5465] = 5457,
  [5466] = 5383,
  [5467] = 5385,
  [5468] = 5395,
  [5469] = 5399,
  [5470] = 5402,
  [5471] = 5471,
  [5472] = 5425,
  [5473] = 5426,
  [5474] = 5428,
  [5475] = 3249,
  [5476] = 5430,
  [5477] = 5471,
  [5478] = 5404,
  [5479] = 3750,
  [5480] = 5438,
  [5481] = 2899,
  [5482] = 3257,
  [5483] = 3258,
  [5484] = 5460,
  [5485] = 5382,
  [5486] = 2937,
  [5487] = 3246,
  [5488] = 3128,
  [5489] = 3248,
  [5490] = 5412,
  [5491] = 5413,
  [5492] = 3250,
  [5493] = 2970,
  [5494] = 5432,
  [5495] = 4129,
  [5496] = 3252,
  [5497] = 3257,
  [5498] = 3254,
  [5499] = 3255,
  [5500] = 3263,
  [5501] = 2937,
  [5502] = 3948,
  [5503] = 3024,
  [5504] = 3246,
  [5505] = 5264,
  [5506] = 5326,
  [5507] = 3248,
  [5508] = 3249,
  [5509] = 3250,
  [5510] = 5454,
  [5511] = 5455,
  [5512] = 5423,
  [5513] = 5424,
  [5514] = 3252,
  [5515] = 3132,
  [5516] = 3254,
  [5517] = 3255,
  [5518] = 5416,
  [5519] = 5378,
  [5520] = 3253,
  [5521] = 5404,
  [5522] = 3026,
  [5523] = 2914,
  [5524] = 3948,
  [5525] = 5378,
  [5526] = 3031,
  [5527] = 3032,
  [5528] = 3033,
  [5529] = 3034,
  [5530] = 5471,
  [5531] = 3087,
  [5532] = 5404,
  [5533] = 4129,
  [5534] = 5385,
  [5535] = 5418,
  [5536] = 5414,
  [5537] = 5414,
  [5538] = 5437,
  [5539] = 4129,
  [5540] = 5438,
  [5541] = 5438,
  [5542] = 5439,
  [5543] = 3038,
  [5544] = 3039,
  [5545] = 3040,
  [5546] = 3041,
  [5547] = 3948,
  [5548] = 3042,
  [5549] = 3043,
  [5550] = 3128,
  [5551] = 3132,
  [5552] = 5419,
  [5553] = 3132,
  [5554] = 3047,
  [5555] = 3048,
  [5556] = 5402,
  [5557] = 3050,
  [5558] = 5382,
  [5559] = 3128,
  [5560] = 3051,
  [5561] = 3052,
  [5562] = 3053,
  [5563] = 3056,
  [5564] = 5423,
  [5565] = 5424,
  [5566] = 5440,
  [5567] = 3057,
  [5568] = 3058,
  [5569] = 5412,
  [5570] = 5413,
  [5571] = 5432,
  [5572] = 5378,
  [5573] = 3059,
  [5574] = 3036,
  [5575] = 3092,
  [5576] = 3096,
  [5577] = 3060,
  [5578] = 3061,
  [5579] = 2996,
  [5580] = 3062,
  [5581] = 3065,
  [5582] = 3066,
  [5583] = 2899,
  [5584] = 3067,
  [5585] = 3068,
  [5586] = 3091,
  [5587] = 5423,
  [5588] = 5424,
  [5589] = 5425,
  [5590] = 3072,
  [5591] = 3259,
  [5592] = 2937,
  [5593] = 3246,
  [5594] = 3247,
  [5595] = 3248,
  [5596] = 3249,
  [5597] = 3250,
  [5598] = 3252,
  [5599] = 3253,
  [5600] = 3254,
  [5601] = 3255,
  [5602] = 3256,
  [5603] = 3257,
  [5604] = 3258,
  [5605] = 3259,
  [5606] = 3260,
  [5607] = 3261,
  [5608] = 2970,
  [5609] = 3075,
  [5610] = 3263,
  [5611] = 3076,
  [5612] = 3077,
  [5613] = 5426,
  [5614] = 3024,
  [5615] = 3260,
  [5616] = 5412,
  [5617] = 5413,
  [5618] = 5428,
  [5619] = 5432,
  [5620] = 3261,
  [5621] = 3081,
  [5622] = 5454,
  [5623] = 5455,
  [5624] = 5450,
  [5625] = 3086,
  [5626] = 5430,
  [5627] = 3036,
  [5628] = 3092,
  [5629] = 3096,
  [5630] = 2996,
  [5631] = 5395,
  [5632] = 3090,
  [5633] = 2895,
  [5634] = 5399,
  [5635] = 2904,
  [5636] = 2905,
  [5637] = 2906,
  [5638] = 2908,
  [5639] = 2909,
  [5640] = 2911,
  [5641] = 5450,
  [5642] = 3132,
  [5643] = 5437,
  [5644] = 5439,
  [5645] = 5440,
  [5646] = 2899,
  [5647] = 3258,
  [5648] = 5454,
  [5649] = 3094,
  [5650] = 3095,
  [5651] = 5445,
  [5652] = 5446,
  [5653] = 5460,
  [5654] = 5455,
  [5655] = 5400,
  [5656] = 5377,
  [5657] = 3100,
  [5658] = 3106,
  [5659] = 3107,
  [5660] = 5431,
  [5661] = 3128,
  [5662] = 3111,
  [5663] = 3021,
  [5664] = 5445,
  [5665] = 2926,
  [5666] = 5446,
  [5667] = 5460,
  [5668] = 5400,
  [5669] = 5377,
  [5670] = 5431,
  [5671] = 5443,
  [5672] = 5443,
  [5673] = 2932,
  [5674] = 3258,
  [5675] = 5457,
  [5676] = 3259,
  [5677] = 3260,
  [5678] = 3261,
  [5679] = 5416,
  [5680] = 5417,
  [5681] = 3114,
  [5682] = 3117,
  [5683] = 5418,
  [5684] = 5457,
  [5685] = 5419,
  [5686] = 3118,
  [5687] = 5416,
  [5688] = 5383,
  [5689] = 5385,
  [5690] = 5395,
  [5691] = 5399,
  [5692] = 3036,
  [5693] = 3092,
  [5694] = 3096,
  [5695] = 5402,
  [5696] = 2996,
  [5697] = 3750,
  [5698] = 5425,
  [5699] = 3253,
  [5700] = 5426,
  [5701] = 5428,
  [5702] = 5430,
  [5703] = 5471,
  [5704] = 5383,
  [5705] = 5382,
  [5706] = 5417,
  [5707] = 3038,
  [5708] = 5708,
  [5709] = 2932,
  [5710] = 3256,
  [5711] = 3086,
  [5712] = 2895,
  [5713] = 2904,
  [5714] = 5714,
  [5715] = 2905,
  [5716] = 3087,
  [5717] = 2906,
  [5718] = 3246,
  [5719] = 5708,
  [5720] = 3247,
  [5721] = 3257,
  [5722] = 2914,
  [5723] = 3090,
  [5724] = 3021,
  [5725] = 3026,
  [5726] = 3091,
  [5727] = 3248,
  [5728] = 3258,
  [5729] = 3031,
  [5730] = 3032,
  [5731] = 3033,
  [5732] = 3259,
  [5733] = 3034,
  [5734] = 2908,
  [5735] = 3260,
  [5736] = 2909,
  [5737] = 3261,
  [5738] = 3249,
  [5739] = 2911,
  [5740] = 3024,
  [5741] = 5708,
  [5742] = 3094,
  [5743] = 3250,
  [5744] = 2899,
  [5745] = 2926,
  [5746] = 3948,
  [5747] = 2970,
  [5748] = 3096,
  [5749] = 5714,
  [5750] = 3100,
  [5751] = 2899,
  [5752] = 5708,
  [5753] = 3252,
  [5754] = 2937,
  [5755] = 3081,
  [5756] = 3039,
  [5757] = 3111,
  [5758] = 3040,
  [5759] = 3114,
  [5760] = 3041,
  [5761] = 3042,
  [5762] = 3117,
  [5763] = 3043,
  [5764] = 3118,
  [5765] = 3253,
  [5766] = 3047,
  [5767] = 3048,
  [5768] = 3050,
  [5769] = 3051,
  [5770] = 3052,
  [5771] = 3053,
  [5772] = 3056,
  [5773] = 3057,
  [5774] = 3058,
  [5775] = 3059,
  [5776] = 5714,
  [5777] = 3060,
  [5778] = 3092,
  [5779] = 3061,
  [5780] = 3128,
  [5781] = 5708,
  [5782] = 4129,
  [5783] = 3062,
  [5784] = 3095,
  [5785] = 3065,
  [5786] = 3066,
  [5787] = 3067,
  [5788] = 3036,
  [5789] = 3068,
  [5790] = 3107,
  [5791] = 2996,
  [5792] = 3254,
  [5793] = 3255,
  [5794] = 3072,
  [5795] = 3075,
  [5796] = 3076,
  [5797] = 3077,
  [5798] = 5708,
  [5799] = 3132,
  [5800] = 3263,
  [5801] = 3106,
  [5802] = 3050,
  [5803] = 3062,
  [5804] = 3065,
  [5805] = 3066,
  [5806] = 3067,
  [5807] = 2970,
  [5808] = 2895,
  [5809] = 3068,
  [5810] = 3091,
  [5811] = 3065,
  [5812] = 2937,
  [5813] = 3263,
  [5814] = 3066,
  [5815] = 3072,
  [5816] = 3075,
  [5817] = 3076,
  [5818] = 3077,
  [5819] = 3246,
  [5820] = 3024,
  [5821] = 3247,
  [5822] = 3111,
  [5823] = 3248,
  [5824] = 3086,
  [5825] = 3081,
  [5826] = 3249,
  [5827] = 3128,
  [5828] = 3086,
  [5829] = 3058,
  [5830] = 2908,
  [5831] = 3250,
  [5832] = 2904,
  [5833] = 2905,
  [5834] = 2906,
  [5835] = 2909,
  [5836] = 3067,
  [5837] = 2908,
  [5838] = 2909,
  [5839] = 2911,
  [5840] = 3252,
  [5841] = 3253,
  [5842] = 3068,
  [5843] = 3254,
  [5844] = 3255,
  [5845] = 2914,
  [5846] = 3095,
  [5847] = 3091,
  [5848] = 2904,
  [5849] = 2905,
  [5850] = 2926,
  [5851] = 2926,
  [5852] = 2914,
  [5853] = 3256,
  [5854] = 3090,
  [5855] = 3257,
  [5856] = 2906,
  [5857] = 3072,
  [5858] = 3059,
  [5859] = 2895,
  [5860] = 2899,
  [5861] = 3258,
  [5862] = 3128,
  [5863] = 3107,
  [5864] = 3132,
  [5865] = 2932,
  [5866] = 3036,
  [5867] = 3092,
  [5868] = 3096,
  [5869] = 2996,
  [5870] = 3075,
  [5871] = 3076,
  [5872] = 3118,
  [5873] = 3036,
  [5874] = 3092,
  [5875] = 3096,
  [5876] = 2996,
  [5877] = 3077,
  [5878] = 3259,
  [5879] = 3260,
  [5880] = 3090,
  [5881] = 3261,
  [5882] = 2911,
  [5883] = 3060,
  [5884] = 3024,
  [5885] = 3132,
  [5886] = 3094,
  [5887] = 3095,
  [5888] = 2970,
  [5889] = 2908,
  [5890] = 2932,
  [5891] = 2909,
  [5892] = 2926,
  [5893] = 3100,
  [5894] = 3263,
  [5895] = 2895,
  [5896] = 2911,
  [5897] = 3106,
  [5898] = 3107,
  [5899] = 2932,
  [5900] = 3111,
  [5901] = 2904,
  [5902] = 2905,
  [5903] = 2906,
  [5904] = 3114,
  [5905] = 2908,
  [5906] = 2909,
  [5907] = 2911,
  [5908] = 2899,
  [5909] = 2899,
  [5910] = 2899,
  [5911] = 2899,
  [5912] = 3117,
  [5913] = 3118,
  [5914] = 3021,
  [5915] = 3026,
  [5916] = 2926,
  [5917] = 2904,
  [5918] = 3031,
  [5919] = 3128,
  [5920] = 2914,
  [5921] = 2905,
  [5922] = 3094,
  [5923] = 2906,
  [5924] = 3095,
  [5925] = 3032,
  [5926] = 2926,
  [5927] = 3100,
  [5928] = 3033,
  [5929] = 3034,
  [5930] = 2908,
  [5931] = 3087,
  [5932] = 3106,
  [5933] = 2909,
  [5934] = 2895,
  [5935] = 3107,
  [5936] = 2926,
  [5937] = 3038,
  [5938] = 2911,
  [5939] = 2904,
  [5940] = 3039,
  [5941] = 3040,
  [5942] = 2899,
  [5943] = 3111,
  [5944] = 2905,
  [5945] = 3036,
  [5946] = 3061,
  [5947] = 2906,
  [5948] = 2932,
  [5949] = 3041,
  [5950] = 3042,
  [5951] = 2926,
  [5952] = 3087,
  [5953] = 3036,
  [5954] = 3081,
  [5955] = 3043,
  [5956] = 3750,
  [5957] = 3114,
  [5958] = 3062,
  [5959] = 3092,
  [5960] = 3021,
  [5961] = 3096,
  [5962] = 2914,
  [5963] = 3117,
  [5964] = 3047,
  [5965] = 2996,
  [5966] = 3117,
  [5967] = 2932,
  [5968] = 3132,
  [5969] = 3118,
  [5970] = 3057,
  [5971] = 2932,
  [5972] = 3031,
  [5973] = 3032,
  [5974] = 3033,
  [5975] = 3048,
  [5976] = 3034,
  [5977] = 3092,
  [5978] = 3087,
  [5979] = 3050,
  [5980] = 3096,
  [5981] = 3051,
  [5982] = 3038,
  [5983] = 3039,
  [5984] = 3040,
  [5985] = 2937,
  [5986] = 3246,
  [5987] = 3041,
  [5988] = 3042,
  [5989] = 3043,
  [5990] = 3247,
  [5991] = 3248,
  [5992] = 3249,
  [5993] = 2895,
  [5994] = 3047,
  [5995] = 3048,
  [5996] = 3050,
  [5997] = 3052,
  [5998] = 3051,
  [5999] = 3052,
  [6000] = 3053,
  [6001] = 3056,
  [6002] = 3250,
  [6003] = 3057,
  [6004] = 3058,
  [6005] = 3059,
  [6006] = 3060,
  [6007] = 3053,
  [6008] = 3061,
  [6009] = 3062,
  [6010] = 3065,
  [6011] = 3066,
  [6012] = 3056,
  [6013] = 3067,
  [6014] = 3068,
  [6015] = 3021,
  [6016] = 2904,
  [6017] = 2905,
  [6018] = 2906,
  [6019] = 3072,
  [6020] = 3252,
  [6021] = 3075,
  [6022] = 3076,
  [6023] = 3077,
  [6024] = 3253,
  [6025] = 3254,
  [6026] = 2908,
  [6027] = 2909,
  [6028] = 2911,
  [6029] = 3255,
  [6030] = 3081,
  [6031] = 3256,
  [6032] = 3257,
  [6033] = 3258,
  [6034] = 3259,
  [6035] = 2914,
  [6036] = 3260,
  [6037] = 2904,
  [6038] = 3086,
  [6039] = 3261,
  [6040] = 2905,
  [6041] = 2996,
  [6042] = 3091,
  [6043] = 2970,
  [6044] = 2906,
  [6045] = 3263,
  [6046] = 3024,
  [6047] = 3057,
  [6048] = 3090,
  [6049] = 3058,
  [6050] = 2937,
  [6051] = 3026,
  [6052] = 3031,
  [6053] = 3114,
  [6054] = 3246,
  [6055] = 3247,
  [6056] = 3248,
  [6057] = 3249,
  [6058] = 2908,
  [6059] = 3032,
  [6060] = 3250,
  [6061] = 3033,
  [6062] = 2914,
  [6063] = 3252,
  [6064] = 2926,
  [6065] = 3034,
  [6066] = 3253,
  [6067] = 3254,
  [6068] = 2895,
  [6069] = 2909,
  [6070] = 3255,
  [6071] = 2932,
  [6072] = 2904,
  [6073] = 2905,
  [6074] = 2906,
  [6075] = 2908,
  [6076] = 2909,
  [6077] = 2911,
  [6078] = 3059,
  [6079] = 3256,
  [6080] = 3257,
  [6081] = 3038,
  [6082] = 3039,
  [6083] = 3040,
  [6084] = 3258,
  [6085] = 3041,
  [6086] = 3094,
  [6087] = 3042,
  [6088] = 3043,
  [6089] = 3259,
  [6090] = 2895,
  [6091] = 3260,
  [6092] = 3047,
  [6093] = 3261,
  [6094] = 2899,
  [6095] = 3048,
  [6096] = 3100,
  [6097] = 2895,
  [6098] = 3060,
  [6099] = 2911,
  [6100] = 3061,
  [6101] = 3051,
  [6102] = 3052,
  [6103] = 3053,
  [6104] = 3056,
  [6105] = 3106,
  [6106] = 2932,
  [6107] = 3026,
  [6108] = 2996,
  [6109] = 3087,
  [6110] = 3086,
  [6111] = 2970,
  [6112] = 3107,
  [6113] = 2914,
  [6114] = 3091,
  [6115] = 2899,
  [6116] = 2899,
  [6117] = 2899,
  [6118] = 2899,
  [6119] = 3038,
  [6120] = 3039,
  [6121] = 3040,
  [6122] = 2895,
  [6123] = 3252,
  [6124] = 6124,
  [6125] = 3253,
  [6126] = 3041,
  [6127] = 3042,
  [6128] = 3254,
  [6129] = 3100,
  [6130] = 3043,
  [6131] = 3059,
  [6132] = 2904,
  [6133] = 3255,
  [6134] = 3263,
  [6135] = 2904,
  [6136] = 3132,
  [6137] = 3060,
  [6138] = 3047,
  [6139] = 3258,
  [6140] = 3026,
  [6141] = 3048,
  [6142] = 2905,
  [6143] = 3094,
  [6144] = 2906,
  [6145] = 3031,
  [6146] = 3050,
  [6147] = 3061,
  [6148] = 3256,
  [6149] = 2926,
  [6150] = 3259,
  [6151] = 3032,
  [6152] = 3260,
  [6153] = 3033,
  [6154] = 3261,
  [6155] = 2914,
  [6156] = 2914,
  [6157] = 3128,
  [6158] = 3024,
  [6159] = 3132,
  [6160] = 3034,
  [6161] = 3087,
  [6162] = 3095,
  [6163] = 3051,
  [6164] = 3257,
  [6165] = 3081,
  [6166] = 3038,
  [6167] = 3052,
  [6168] = 3039,
  [6169] = 3040,
  [6170] = 2908,
  [6171] = 3053,
  [6172] = 3100,
  [6173] = 3056,
  [6174] = 3041,
  [6175] = 3042,
  [6176] = 2909,
  [6177] = 2911,
  [6178] = 3107,
  [6179] = 3057,
  [6180] = 3043,
  [6181] = 3106,
  [6182] = 3036,
  [6183] = 3107,
  [6184] = 3058,
  [6185] = 3021,
  [6186] = 3059,
  [6187] = 3060,
  [6188] = 3047,
  [6189] = 2932,
  [6190] = 3048,
  [6191] = 3062,
  [6192] = 3050,
  [6193] = 3090,
  [6194] = 3051,
  [6195] = 3052,
  [6196] = 3061,
  [6197] = 3062,
  [6198] = 3053,
  [6199] = 3056,
  [6200] = 3065,
  [6201] = 3106,
  [6202] = 3111,
  [6203] = 3066,
  [6204] = 3067,
  [6205] = 3057,
  [6206] = 3068,
  [6207] = 3091,
  [6208] = 3128,
  [6209] = 3258,
  [6210] = 3132,
  [6211] = 3072,
  [6212] = 3058,
  [6213] = 3059,
  [6214] = 2926,
  [6215] = 3060,
  [6216] = 3075,
  [6217] = 3061,
  [6218] = 3062,
  [6219] = 3076,
  [6220] = 3114,
  [6221] = 3065,
  [6222] = 2926,
  [6223] = 3077,
  [6224] = 3026,
  [6225] = 3066,
  [6226] = 2905,
  [6227] = 3031,
  [6228] = 3032,
  [6229] = 3033,
  [6230] = 3259,
  [6231] = 3034,
  [6232] = 3111,
  [6233] = 3067,
  [6234] = 3068,
  [6235] = 2996,
  [6236] = 3117,
  [6237] = 3260,
  [6238] = 3118,
  [6239] = 3261,
  [6240] = 2937,
  [6241] = 3081,
  [6242] = 3036,
  [6243] = 3246,
  [6244] = 3247,
  [6245] = 3248,
  [6246] = 3092,
  [6247] = 3096,
  [6248] = 3249,
  [6249] = 3024,
  [6250] = 3058,
  [6251] = 3091,
  [6252] = 3250,
  [6253] = 2937,
  [6254] = 3036,
  [6255] = 3092,
  [6256] = 3096,
  [6257] = 2970,
  [6258] = 3072,
  [6259] = 2895,
  [6260] = 3038,
  [6261] = 2996,
  [6262] = 3039,
  [6263] = 3040,
  [6264] = 2937,
  [6265] = 3246,
  [6266] = 3247,
  [6267] = 3075,
  [6268] = 3248,
  [6269] = 3249,
  [6270] = 3076,
  [6271] = 3036,
  [6272] = 3250,
  [6273] = 3041,
  [6274] = 3092,
  [6275] = 3096,
  [6276] = 3252,
  [6277] = 3253,
  [6278] = 3254,
  [6279] = 3255,
  [6280] = 3042,
  [6281] = 3256,
  [6282] = 3257,
  [6283] = 2996,
  [6284] = 3258,
  [6285] = 3259,
  [6286] = 3260,
  [6287] = 3261,
  [6288] = 3100,
  [6289] = 3246,
  [6290] = 3252,
  [6291] = 3253,
  [6292] = 3077,
  [6293] = 3043,
  [6294] = 3114,
  [6295] = 3036,
  [6296] = 2970,
  [6297] = 3092,
  [6298] = 3096,
  [6299] = 3254,
  [6300] = 3247,
  [6301] = 3263,
  [6302] = 3255,
  [6303] = 2996,
  [6304] = 3263,
  [6305] = 3248,
  [6306] = 3256,
  [6307] = 2908,
  [6308] = 3081,
  [6309] = 3086,
  [6310] = 3257,
  [6311] = 3024,
  [6312] = 3117,
  [6313] = 2909,
  [6314] = 3047,
  [6315] = 3118,
  [6316] = 3021,
  [6317] = 3128,
  [6318] = 3249,
  [6319] = 2914,
  [6320] = 3048,
  [6321] = 2899,
  [6322] = 3065,
  [6323] = 3250,
  [6324] = 3050,
  [6325] = 3051,
  [6326] = 3052,
  [6327] = 3053,
  [6328] = 3056,
  [6329] = 3066,
  [6330] = 2904,
  [6331] = 3057,
  [6332] = 3086,
  [6333] = 2905,
  [6334] = 3058,
  [6335] = 3059,
  [6336] = 3060,
  [6337] = 3061,
  [6338] = 3062,
  [6339] = 3065,
  [6340] = 3106,
  [6341] = 3066,
  [6342] = 2906,
  [6343] = 2906,
  [6344] = 3258,
  [6345] = 3067,
  [6346] = 3068,
  [6347] = 2926,
  [6348] = 4129,
  [6349] = 3072,
  [6350] = 3026,
  [6351] = 3075,
  [6352] = 3076,
  [6353] = 3077,
  [6354] = 3107,
  [6355] = 3252,
  [6356] = 3081,
  [6357] = 3094,
  [6358] = 3031,
  [6359] = 3259,
  [6360] = 3253,
  [6361] = 3260,
  [6362] = 2899,
  [6363] = 3032,
  [6364] = 3033,
  [6365] = 3086,
  [6366] = 3034,
  [6367] = 3087,
  [6368] = 3067,
  [6369] = 3261,
  [6370] = 2937,
  [6371] = 3246,
  [6372] = 3038,
  [6373] = 3068,
  [6374] = 3247,
  [6375] = 3039,
  [6376] = 3040,
  [6377] = 3091,
  [6378] = 3248,
  [6379] = 3100,
  [6380] = 3041,
  [6381] = 3042,
  [6382] = 3249,
  [6383] = 3043,
  [6384] = 3057,
  [6385] = 3254,
  [6386] = 3250,
  [6387] = 3047,
  [6388] = 3048,
  [6389] = 3050,
  [6390] = 3090,
  [6391] = 3051,
  [6392] = 3052,
  [6393] = 3053,
  [6394] = 3132,
  [6395] = 3056,
  [6396] = 3106,
  [6397] = 3057,
  [6398] = 3117,
  [6399] = 3087,
  [6400] = 3058,
  [6401] = 3059,
  [6402] = 3060,
  [6403] = 2970,
  [6404] = 2908,
  [6405] = 2932,
  [6406] = 3036,
  [6407] = 3092,
  [6408] = 3096,
  [6409] = 2996,
  [6410] = 3252,
  [6411] = 3253,
  [6412] = 3061,
  [6413] = 3111,
  [6414] = 3254,
  [6415] = 3255,
  [6416] = 3062,
  [6417] = 3065,
  [6418] = 2926,
  [6419] = 3255,
  [6420] = 2911,
  [6421] = 3066,
  [6422] = 3111,
  [6423] = 3067,
  [6424] = 3068,
  [6425] = 3263,
  [6426] = 3091,
  [6427] = 3256,
  [6428] = 3090,
  [6429] = 2895,
  [6430] = 3257,
  [6431] = 2904,
  [6432] = 2905,
  [6433] = 2906,
  [6434] = 2909,
  [6435] = 2911,
  [6436] = 2932,
  [6437] = 3256,
  [6438] = 6124,
  [6439] = 3091,
  [6440] = 3090,
  [6441] = 3257,
  [6442] = 3118,
  [6443] = 6443,
  [6444] = 3258,
  [6445] = 2899,
  [6446] = 3072,
  [6447] = 3075,
  [6448] = 3094,
  [6449] = 3076,
  [6450] = 3077,
  [6451] = 3114,
  [6452] = 3259,
  [6453] = 2908,
  [6454] = 3114,
  [6455] = 2909,
  [6456] = 2911,
  [6457] = 3260,
  [6458] = 3261,
  [6459] = 3081,
  [6460] = 3117,
  [6461] = 3118,
  [6462] = 3100,
  [6463] = 2895,
  [6464] = 3750,
  [6465] = 3086,
  [6466] = 2899,
  [6467] = 3128,
  [6468] = 3094,
  [6469] = 3106,
  [6470] = 3095,
  [6471] = 3024,
  [6472] = 2895,
  [6473] = 3132,
  [6474] = 3087,
  [6475] = 3072,
  [6476] = 3111,
  [6477] = 3075,
  [6478] = 3076,
  [6479] = 3114,
  [6480] = 3100,
  [6481] = 3117,
  [6482] = 2970,
  [6483] = 3118,
  [6484] = 2932,
  [6485] = 3094,
  [6486] = 2899,
  [6487] = 3117,
  [6488] = 3095,
  [6489] = 2904,
  [6490] = 2905,
  [6491] = 3263,
  [6492] = 2906,
  [6493] = 3114,
  [6494] = 3021,
  [6495] = 3258,
  [6496] = 3118,
  [6497] = 2908,
  [6498] = 2909,
  [6499] = 2911,
  [6500] = 2932,
  [6501] = 2937,
  [6502] = 2914,
  [6503] = 3107,
  [6504] = 3092,
  [6505] = 3948,
  [6506] = 3096,
  [6507] = 3246,
  [6508] = 3026,
  [6509] = 3259,
  [6510] = 3111,
  [6511] = 3247,
  [6512] = 3095,
  [6513] = 3260,
  [6514] = 3248,
  [6515] = 3261,
  [6516] = 2937,
  [6517] = 2899,
  [6518] = 3128,
  [6519] = 3128,
  [6520] = 3249,
  [6521] = 3031,
  [6522] = 3132,
  [6523] = 3250,
  [6524] = 3090,
  [6525] = 6124,
  [6526] = 3077,
  [6527] = 3095,
  [6528] = 3246,
  [6529] = 3247,
  [6530] = 3021,
  [6531] = 6443,
  [6532] = 3026,
  [6533] = 3031,
  [6534] = 3032,
  [6535] = 3033,
  [6536] = 3034,
  [6537] = 3248,
  [6538] = 2970,
  [6539] = 3038,
  [6540] = 3039,
  [6541] = 3040,
  [6542] = 3041,
  [6543] = 3042,
  [6544] = 3043,
  [6545] = 3047,
  [6546] = 3048,
  [6547] = 6443,
  [6548] = 3050,
  [6549] = 3051,
  [6550] = 3052,
  [6551] = 3053,
  [6552] = 3056,
  [6553] = 3057,
  [6554] = 3032,
  [6555] = 3058,
  [6556] = 3059,
  [6557] = 3060,
  [6558] = 3061,
  [6559] = 3062,
  [6560] = 3065,
  [6561] = 3066,
  [6562] = 3067,
  [6563] = 3068,
  [6564] = 3249,
  [6565] = 3072,
  [6566] = 3075,
  [6567] = 3076,
  [6568] = 3077,
  [6569] = 3024,
  [6570] = 3081,
  [6571] = 3106,
  [6572] = 3021,
  [6573] = 3252,
  [6574] = 3253,
  [6575] = 3086,
  [6576] = 3021,
  [6577] = 3033,
  [6578] = 6124,
  [6579] = 3026,
  [6580] = 3254,
  [6581] = 3031,
  [6582] = 3032,
  [6583] = 3033,
  [6584] = 3034,
  [6585] = 3087,
  [6586] = 3250,
  [6587] = 3107,
  [6588] = 3255,
  [6589] = 3263,
  [6590] = 3038,
  [6591] = 6443,
  [6592] = 3039,
  [6593] = 3094,
  [6594] = 3040,
  [6595] = 3034,
  [6596] = 3041,
  [6597] = 3042,
  [6598] = 3043,
  [6599] = 3047,
  [6600] = 3048,
  [6601] = 3050,
  [6602] = 3090,
  [6603] = 3051,
  [6604] = 3256,
  [6605] = 3257,
  [6606] = 3052,
  [6607] = 3053,
  [6608] = 3056,
  [6609] = 3095,
  [6610] = 3024,
  [6611] = 3132,
  [6612] = 3068,
  [6613] = 3034,
  [6614] = 3263,
  [6615] = 3036,
  [6616] = 3032,
  [6617] = 3065,
  [6618] = 3081,
  [6619] = 3057,
  [6620] = 3047,
  [6621] = 3132,
  [6622] = 3048,
  [6623] = 3247,
  [6624] = 3039,
  [6625] = 3038,
  [6626] = 3039,
  [6627] = 3040,
  [6628] = 3066,
  [6629] = 3107,
  [6630] = 3058,
  [6631] = 3059,
  [6632] = 3060,
  [6633] = 3114,
  [6634] = 3047,
  [6635] = 3041,
  [6636] = 3252,
  [6637] = 3042,
  [6638] = 3038,
  [6639] = 3252,
  [6640] = 3039,
  [6641] = 3048,
  [6642] = 3111,
  [6643] = 2899,
  [6644] = 3087,
  [6645] = 3040,
  [6646] = 3050,
  [6647] = 3087,
  [6648] = 3043,
  [6649] = 3072,
  [6650] = 3033,
  [6651] = 3040,
  [6652] = 3750,
  [6653] = 3066,
  [6654] = 6654,
  [6655] = 3034,
  [6656] = 3100,
  [6657] = 3067,
  [6658] = 3068,
  [6659] = 3061,
  [6660] = 3062,
  [6661] = 3263,
  [6662] = 3065,
  [6663] = 3092,
  [6664] = 3096,
  [6665] = 3066,
  [6666] = 3111,
  [6667] = 2895,
  [6668] = 3092,
  [6669] = 3051,
  [6670] = 3061,
  [6671] = 3047,
  [6672] = 3048,
  [6673] = 3114,
  [6674] = 3052,
  [6675] = 3050,
  [6676] = 3021,
  [6677] = 3053,
  [6678] = 3051,
  [6679] = 3052,
  [6680] = 3053,
  [6681] = 3100,
  [6682] = 3067,
  [6683] = 3040,
  [6684] = 2904,
  [6685] = 3041,
  [6686] = 3042,
  [6687] = 3056,
  [6688] = 2905,
  [6689] = 3057,
  [6690] = 3043,
  [6691] = 3068,
  [6692] = 3258,
  [6693] = 3259,
  [6694] = 3075,
  [6695] = 3058,
  [6696] = 3091,
  [6697] = 3117,
  [6698] = 3096,
  [6699] = 3118,
  [6700] = 3059,
  [6701] = 3047,
  [6702] = 3060,
  [6703] = 3106,
  [6704] = 2937,
  [6705] = 3048,
  [6706] = 3246,
  [6707] = 3254,
  [6708] = 2906,
  [6709] = 3247,
  [6710] = 3248,
  [6711] = 3086,
  [6712] = 3076,
  [6713] = 3061,
  [6714] = 3249,
  [6715] = 3062,
  [6716] = 3256,
  [6717] = 3072,
  [6718] = 3066,
  [6719] = 3111,
  [6720] = 3072,
  [6721] = 3050,
  [6722] = 3258,
  [6723] = 3056,
  [6724] = 3041,
  [6725] = 3065,
  [6726] = 3066,
  [6727] = 3067,
  [6728] = 3057,
  [6729] = 3250,
  [6730] = 3036,
  [6731] = 3090,
  [6732] = 3257,
  [6733] = 3081,
  [6734] = 3252,
  [6735] = 3114,
  [6736] = 3075,
  [6737] = 3253,
  [6738] = 3068,
  [6739] = 3247,
  [6740] = 3128,
  [6741] = 3041,
  [6742] = 3117,
  [6743] = 3118,
  [6744] = 2904,
  [6745] = 2905,
  [6746] = 2906,
  [6747] = 6747,
  [6748] = 3258,
  [6749] = 3249,
  [6750] = 3072,
  [6751] = 3248,
  [6752] = 3058,
  [6753] = 3117,
  [6754] = 3254,
  [6755] = 3087,
  [6756] = 3075,
  [6757] = 3076,
  [6758] = 3132,
  [6759] = 3051,
  [6760] = 3077,
  [6761] = 6654,
  [6762] = 2970,
  [6763] = 3076,
  [6764] = 3052,
  [6765] = 3077,
  [6766] = 3077,
  [6767] = 2908,
  [6768] = 3042,
  [6769] = 2909,
  [6770] = 3095,
  [6771] = 2911,
  [6772] = 3252,
  [6773] = 3081,
  [6774] = 3086,
  [6775] = 3043,
  [6776] = 3053,
  [6777] = 3056,
  [6778] = 3255,
  [6779] = 4129,
  [6780] = 3258,
  [6781] = 3075,
  [6782] = 3076,
  [6783] = 3077,
  [6784] = 3114,
  [6785] = 3075,
  [6786] = 3065,
  [6787] = 3100,
  [6788] = 3263,
  [6789] = 3253,
  [6790] = 3250,
  [6791] = 3259,
  [6792] = 3081,
  [6793] = 3117,
  [6794] = 3065,
  [6795] = 3059,
  [6796] = 3260,
  [6797] = 3118,
  [6798] = 3111,
  [6799] = 3086,
  [6800] = 3261,
  [6801] = 3128,
  [6802] = 3106,
  [6803] = 2895,
  [6804] = 3047,
  [6805] = 3252,
  [6806] = 3041,
  [6807] = 3048,
  [6808] = 2937,
  [6809] = 3253,
  [6810] = 3042,
  [6811] = 3043,
  [6812] = 3038,
  [6813] = 3039,
  [6814] = 3040,
  [6815] = 3259,
  [6816] = 3047,
  [6817] = 3048,
  [6818] = 3254,
  [6819] = 3100,
  [6820] = 2908,
  [6821] = 3041,
  [6822] = 3253,
  [6823] = 3092,
  [6824] = 3096,
  [6825] = 3057,
  [6826] = 3254,
  [6827] = 3021,
  [6828] = 3050,
  [6829] = 3090,
  [6830] = 3042,
  [6831] = 3252,
  [6832] = 3258,
  [6833] = 2909,
  [6834] = 3092,
  [6835] = 3096,
  [6836] = 2937,
  [6837] = 3043,
  [6838] = 2937,
  [6839] = 2911,
  [6840] = 3255,
  [6841] = 3255,
  [6842] = 3051,
  [6843] = 3263,
  [6844] = 3256,
  [6845] = 3246,
  [6846] = 3090,
  [6847] = 3057,
  [6848] = 3050,
  [6849] = 3107,
  [6850] = 3256,
  [6851] = 3047,
  [6852] = 3048,
  [6853] = 3050,
  [6854] = 3260,
  [6855] = 3257,
  [6856] = 3052,
  [6857] = 3053,
  [6858] = 3256,
  [6859] = 3114,
  [6860] = 3259,
  [6861] = 3256,
  [6862] = 3056,
  [6863] = 3107,
  [6864] = 3257,
  [6865] = 2996,
  [6866] = 3077,
  [6867] = 3058,
  [6868] = 3050,
  [6869] = 3261,
  [6870] = 3090,
  [6871] = 3059,
  [6872] = 3257,
  [6873] = 3058,
  [6874] = 3948,
  [6875] = 3060,
  [6876] = 3106,
  [6877] = 3026,
  [6878] = 3111,
  [6879] = 3059,
  [6880] = 3248,
  [6881] = 3257,
  [6882] = 3128,
  [6883] = 3060,
  [6884] = 3258,
  [6885] = 3051,
  [6886] = 3118,
  [6887] = 3021,
  [6888] = 3061,
  [6889] = 3247,
  [6890] = 3062,
  [6891] = 3042,
  [6892] = 3065,
  [6893] = 3066,
  [6894] = 3128,
  [6895] = 3111,
  [6896] = 3081,
  [6897] = 2996,
  [6898] = 3060,
  [6899] = 3052,
  [6900] = 3067,
  [6901] = 3068,
  [6902] = 3259,
  [6903] = 3091,
  [6904] = 2899,
  [6905] = 3094,
  [6906] = 3061,
  [6907] = 3255,
  [6908] = 3260,
  [6909] = 3248,
  [6910] = 3087,
  [6911] = 3260,
  [6912] = 3072,
  [6913] = 3090,
  [6914] = 3260,
  [6915] = 3246,
  [6916] = 3090,
  [6917] = 3075,
  [6918] = 3076,
  [6919] = 3258,
  [6920] = 3062,
  [6921] = 3114,
  [6922] = 3254,
  [6923] = 3261,
  [6924] = 3053,
  [6925] = 3261,
  [6926] = 3263,
  [6927] = 3081,
  [6928] = 3086,
  [6929] = 3128,
  [6930] = 3117,
  [6931] = 3056,
  [6932] = 3249,
  [6933] = 3118,
  [6934] = 2937,
  [6935] = 3021,
  [6936] = 3246,
  [6937] = 2899,
  [6938] = 3095,
  [6939] = 3024,
  [6940] = 3021,
  [6941] = 3021,
  [6942] = 3065,
  [6943] = 3086,
  [6944] = 2899,
  [6945] = 3128,
  [6946] = 3249,
  [6947] = 3248,
  [6948] = 3256,
  [6949] = 2926,
  [6950] = 3086,
  [6951] = 3128,
  [6952] = 3107,
  [6953] = 3026,
  [6954] = 3255,
  [6955] = 3031,
  [6956] = 3263,
  [6957] = 3032,
  [6958] = 3033,
  [6959] = 3034,
  [6960] = 3132,
  [6961] = 3031,
  [6962] = 2970,
  [6963] = 3249,
  [6964] = 3032,
  [6965] = 2937,
  [6966] = 3033,
  [6967] = 3066,
  [6968] = 3246,
  [6969] = 3247,
  [6970] = 3248,
  [6971] = 3024,
  [6972] = 3132,
  [6973] = 3095,
  [6974] = 3100,
  [6975] = 3062,
  [6976] = 3086,
  [6977] = 3249,
  [6978] = 3034,
  [6979] = 3067,
  [6980] = 3072,
  [6981] = 3036,
  [6982] = 3067,
  [6983] = 3095,
  [6984] = 3250,
  [6985] = 3051,
  [6986] = 3024,
  [6987] = 3263,
  [6988] = 3052,
  [6989] = 3053,
  [6990] = 3068,
  [6991] = 3056,
  [6992] = 3259,
  [6993] = 3250,
  [6994] = 3750,
  [6995] = 3106,
  [6996] = 3026,
  [6997] = 3094,
  [6998] = 3031,
  [6999] = 3081,
  [7000] = 3091,
  [7001] = 3072,
  [7002] = 3117,
  [7003] = 3036,
  [7004] = 3107,
  [7005] = 3132,
  [7006] = 3250,
  [7007] = 3087,
  [7008] = 3095,
  [7009] = 3057,
  [7010] = 3032,
  [7011] = 3024,
  [7012] = 3033,
  [7013] = 3256,
  [7014] = 2970,
  [7015] = 3261,
  [7016] = 3034,
  [7017] = 3026,
  [7018] = 3132,
  [7019] = 6747,
  [7020] = 3076,
  [7021] = 3092,
  [7022] = 3096,
  [7023] = 3094,
  [7024] = 3252,
  [7025] = 3253,
  [7026] = 3026,
  [7027] = 3094,
  [7028] = 3091,
  [7029] = 3260,
  [7030] = 3257,
  [7031] = 6654,
  [7032] = 2996,
  [7033] = 3257,
  [7034] = 3087,
  [7035] = 3057,
  [7036] = 6747,
  [7037] = 3259,
  [7038] = 3254,
  [7039] = 3031,
  [7040] = 3750,
  [7041] = 3058,
  [7042] = 3024,
  [7043] = 3118,
  [7044] = 2932,
  [7045] = 3087,
  [7046] = 3107,
  [7047] = 3100,
  [7048] = 3059,
  [7049] = 3250,
  [7050] = 3036,
  [7051] = 3255,
  [7052] = 3061,
  [7053] = 2970,
  [7054] = 3062,
  [7055] = 3092,
  [7056] = 3095,
  [7057] = 3096,
  [7058] = 3051,
  [7059] = 3075,
  [7060] = 3260,
  [7061] = 3106,
  [7062] = 3076,
  [7063] = 3052,
  [7064] = 3253,
  [7065] = 3094,
  [7066] = 3053,
  [7067] = 3261,
  [7068] = 3106,
  [7069] = 2996,
  [7070] = 3067,
  [7071] = 3068,
  [7072] = 3111,
  [7073] = 3056,
  [7074] = 3252,
  [7075] = 3091,
  [7076] = 3031,
  [7077] = 2937,
  [7078] = 3032,
  [7079] = 3038,
  [7080] = 3106,
  [7081] = 3043,
  [7082] = 3060,
  [7083] = 3114,
  [7084] = 3256,
  [7085] = 3253,
  [7086] = 3033,
  [7087] = 3094,
  [7088] = 3117,
  [7089] = 3118,
  [7090] = 3091,
  [7091] = 3038,
  [7092] = 3092,
  [7093] = 3096,
  [7094] = 2926,
  [7095] = 3257,
  [7096] = 2996,
  [7097] = 3032,
  [7098] = 3026,
  [7099] = 3038,
  [7100] = 3246,
  [7101] = 3039,
  [7102] = 3033,
  [7103] = 3250,
  [7104] = 3038,
  [7105] = 3058,
  [7106] = 2970,
  [7107] = 3039,
  [7108] = 3246,
  [7109] = 3061,
  [7110] = 3247,
  [7111] = 3039,
  [7112] = 3040,
  [7113] = 2970,
  [7114] = 3254,
  [7115] = 3094,
  [7116] = 3100,
  [7117] = 3091,
  [7118] = 3036,
  [7119] = 3248,
  [7120] = 3247,
  [7121] = 3261,
  [7122] = 3040,
  [7123] = 6747,
  [7124] = 3031,
  [7125] = 2996,
  [7126] = 3021,
  [7127] = 3095,
  [7128] = 3041,
  [7129] = 3128,
  [7130] = 3062,
  [7131] = 2932,
  [7132] = 3034,
  [7133] = 3059,
  [7134] = 3060,
  [7135] = 6654,
  [7136] = 3249,
  [7137] = 2970,
  [7138] = 3042,
  [7139] = 3024,
  [7140] = 3036,
  [7141] = 3249,
  [7142] = 3043,
  [7143] = 3034,
  [7144] = 2996,
  [7145] = 3077,
  [7146] = 3107,
  [7147] = 3132,
  [7148] = 3090,
  [7149] = 3255,
  [7150] = 3026,
  [7151] = 3031,
  [7152] = 3024,
  [7153] = 3032,
  [7154] = 3033,
  [7155] = 3247,
  [7156] = 3077,
  [7157] = 3095,
  [7158] = 3106,
  [7159] = 3057,
  [7160] = 3092,
  [7161] = 3096,
  [7162] = 3107,
  [7163] = 3058,
  [7164] = 3059,
  [7165] = 3060,
  [7166] = 3061,
  [7167] = 3247,
  [7168] = 3062,
  [7169] = 3249,
  [7170] = 3256,
  [7171] = 3257,
  [7172] = 3256,
  [7173] = 3065,
  [7174] = 3066,
  [7175] = 3252,
  [7176] = 2996,
  [7177] = 3111,
  [7178] = 3036,
  [7179] = 3092,
  [7180] = 3096,
  [7181] = 3067,
  [7182] = 2996,
  [7183] = 3068,
  [7184] = 2904,
  [7185] = 2905,
  [7186] = 2906,
  [7187] = 3072,
  [7188] = 3075,
  [7189] = 3076,
  [7190] = 3077,
  [7191] = 3114,
  [7192] = 2908,
  [7193] = 2909,
  [7194] = 2911,
  [7195] = 3081,
  [7196] = 3117,
  [7197] = 3118,
  [7198] = 3750,
  [7199] = 3750,
  [7200] = 3750,
  [7201] = 3095,
  [7202] = 3750,
  [7203] = 3107,
  [7204] = 3750,
  [7205] = 7205,
  [7206] = 7206,
  [7207] = 3036,
  [7208] = 7208,
  [7209] = 3092,
  [7210] = 3096,
  [7211] = 2996,
  [7212] = 7212,
  [7213] = 7213,
  [7214] = 7214,
  [7215] = 4129,
  [7216] = 3948,
  [7217] = 3056,
  [7218] = 3094,
  [7219] = 3100,
  [7220] = 3106,
  [7221] = 3111,
  [7222] = 3114,
  [7223] = 3117,
  [7224] = 3118,
  [7225] = 3247,
  [7226] = 3256,
  [7227] = 7227,
  [7228] = 7228,
  [7229] = 3750,
  [7230] = 4129,
  [7231] = 7205,
  [7232] = 7206,
  [7233] = 2926,
  [7234] = 3948,
  [7235] = 7235,
  [7236] = 7236,
  [7237] = 2932,
  [7238] = 3095,
  [7239] = 7208,
  [7240] = 3107,
  [7241] = 7212,
  [7242] = 7213,
  [7243] = 4129,
  [7244] = 7214,
  [7245] = 3948,
  [7246] = 3021,
  [7247] = 3094,
  [7248] = 3086,
  [7249] = 3021,
  [7250] = 3026,
  [7251] = 3031,
  [7252] = 3032,
  [7253] = 3033,
  [7254] = 3034,
  [7255] = 3038,
  [7256] = 3039,
  [7257] = 3040,
  [7258] = 3041,
  [7259] = 3042,
  [7260] = 3043,
  [7261] = 2895,
  [7262] = 3047,
  [7263] = 3048,
  [7264] = 3050,
  [7265] = 3100,
  [7266] = 3051,
  [7267] = 3052,
  [7268] = 3053,
  [7269] = 3056,
  [7270] = 3057,
  [7271] = 3058,
  [7272] = 3059,
  [7273] = 3060,
  [7274] = 3061,
  [7275] = 3062,
  [7276] = 3065,
  [7277] = 3066,
  [7278] = 3067,
  [7279] = 3068,
  [7280] = 2904,
  [7281] = 2905,
  [7282] = 2906,
  [7283] = 3072,
  [7284] = 3075,
  [7285] = 3076,
  [7286] = 3077,
  [7287] = 2908,
  [7288] = 2909,
  [7289] = 2911,
  [7290] = 3081,
  [7291] = 3026,
  [7292] = 3086,
  [7293] = 3094,
  [7294] = 3031,
  [7295] = 3106,
  [7296] = 3032,
  [7297] = 3033,
  [7298] = 3090,
  [7299] = 3034,
  [7300] = 3111,
  [7301] = 3114,
  [7302] = 3117,
  [7303] = 3118,
  [7304] = 3094,
  [7305] = 3095,
  [7306] = 3100,
  [7307] = 2937,
  [7308] = 3106,
  [7309] = 3107,
  [7310] = 3111,
  [7311] = 3114,
  [7312] = 3246,
  [7313] = 3117,
  [7314] = 3118,
  [7315] = 3248,
  [7316] = 3250,
  [7317] = 2970,
  [7318] = 3038,
  [7319] = 3039,
  [7320] = 3040,
  [7321] = 3253,
  [7322] = 3254,
  [7323] = 3100,
  [7324] = 3255,
  [7325] = 3263,
  [7326] = 3041,
  [7327] = 3042,
  [7328] = 3043,
  [7329] = 2895,
  [7330] = 3047,
  [7331] = 3132,
  [7332] = 3128,
  [7333] = 3050,
  [7334] = 3258,
  [7335] = 3090,
  [7336] = 3259,
  [7337] = 3260,
  [7338] = 3261,
  [7339] = 3247,
  [7340] = 3051,
  [7341] = 3052,
  [7342] = 3024,
  [7343] = 3036,
  [7344] = 3053,
  [7345] = 3246,
  [7346] = 7346,
  [7347] = 7347,
  [7348] = 7348,
  [7349] = 7349,
  [7350] = 7350,
  [7351] = 7351,
  [7352] = 7352,
  [7353] = 7353,
  [7354] = 3750,
  [7355] = 7355,
  [7356] = 7356,
  [7357] = 4129,
  [7358] = 2970,
  [7359] = 3948,
  [7360] = 5414,
  [7361] = 4129,
  [7362] = 3750,
  [7363] = 3948,
  [7364] = 3263,
  [7365] = 4129,
  [7366] = 3948,
  [7367] = 4129,
  [7368] = 3948,
  [7369] = 5450,
  [7370] = 5264,
  [7371] = 7371,
  [7372] = 7372,
  [7373] = 5438,
  [7374] = 5282,
  [7375] = 7375,
  [7376] = 3750,
  [7377] = 3750,
  [7378] = 5382,
  [7379] = 7379,
  [7380] = 7380,
  [7381] = 7381,
  [7382] = 5423,
  [7383] = 5424,
  [7384] = 3247,
  [7385] = 7385,
  [7386] = 5378,
  [7387] = 3249,
  [7388] = 7388,
  [7389] = 7389,
  [7390] = 7390,
  [7391] = 7391,
  [7392] = 5414,
  [7393] = 3252,
  [7394] = 3256,
  [7395] = 2926,
  [7396] = 3257,
  [7397] = 7381,
  [7398] = 2932,
  [7399] = 5323,
  [7400] = 2937,
  [7401] = 3246,
  [7402] = 3248,
  [7403] = 2937,
  [7404] = 3246,
  [7405] = 3248,
  [7406] = 3249,
  [7407] = 3250,
  [7408] = 3252,
  [7409] = 3253,
  [7410] = 3254,
  [7411] = 3255,
  [7412] = 3250,
  [7413] = 3257,
  [7414] = 5450,
  [7415] = 7415,
  [7416] = 7416,
  [7417] = 3258,
  [7418] = 3259,
  [7419] = 3260,
  [7420] = 3261,
  [7421] = 3024,
  [7422] = 2970,
  [7423] = 7423,
  [7424] = 7424,
  [7425] = 7371,
  [7426] = 7372,
  [7427] = 3263,
  [7428] = 3257,
  [7429] = 3750,
  [7430] = 7430,
  [7431] = 7431,
  [7432] = 7432,
  [7433] = 7433,
  [7434] = 7434,
  [7435] = 7435,
  [7436] = 7346,
  [7437] = 7347,
  [7438] = 7348,
  [7439] = 7349,
  [7440] = 4129,
  [7441] = 7350,
  [7442] = 7351,
  [7443] = 7352,
  [7444] = 7353,
  [7445] = 7355,
  [7446] = 7356,
  [7447] = 2937,
  [7448] = 3246,
  [7449] = 3948,
  [7450] = 7235,
  [7451] = 7236,
  [7452] = 3248,
  [7453] = 3250,
  [7454] = 3253,
  [7455] = 2970,
  [7456] = 2937,
  [7457] = 3036,
  [7458] = 7375,
  [7459] = 3253,
  [7460] = 3254,
  [7461] = 3092,
  [7462] = 3096,
  [7463] = 2996,
  [7464] = 3255,
  [7465] = 3263,
  [7466] = 3048,
  [7467] = 3132,
  [7468] = 7435,
  [7469] = 3259,
  [7470] = 3260,
  [7471] = 3261,
  [7472] = 3024,
  [7473] = 7227,
  [7474] = 7379,
  [7475] = 3254,
  [7476] = 7380,
  [7477] = 7228,
  [7478] = 7385,
  [7479] = 3255,
  [7480] = 3248,
  [7481] = 7388,
  [7482] = 7389,
  [7483] = 7390,
  [7484] = 7391,
  [7485] = 3258,
  [7486] = 5264,
  [7487] = 3259,
  [7488] = 5329,
  [7489] = 3250,
  [7490] = 3260,
  [7491] = 5438,
  [7492] = 2970,
  [7493] = 5282,
  [7494] = 4129,
  [7495] = 3261,
  [7496] = 3252,
  [7497] = 3253,
  [7498] = 3254,
  [7499] = 3255,
  [7500] = 3263,
  [7501] = 3024,
  [7502] = 7415,
  [7503] = 7416,
  [7504] = 3258,
  [7505] = 3948,
  [7506] = 3259,
  [7507] = 3260,
  [7508] = 3261,
  [7509] = 3024,
  [7510] = 3036,
  [7511] = 3036,
  [7512] = 3092,
  [7513] = 3096,
  [7514] = 3092,
  [7515] = 3096,
  [7516] = 7227,
  [7517] = 7228,
  [7518] = 2996,
  [7519] = 5382,
  [7520] = 7423,
  [7521] = 5423,
  [7522] = 5424,
  [7523] = 7424,
  [7524] = 5378,
  [7525] = 3021,
  [7526] = 3026,
  [7527] = 3031,
  [7528] = 3032,
  [7529] = 3033,
  [7530] = 3034,
  [7531] = 2926,
  [7532] = 3038,
  [7533] = 3039,
  [7534] = 3040,
  [7535] = 3041,
  [7536] = 3042,
  [7537] = 3043,
  [7538] = 2895,
  [7539] = 3047,
  [7540] = 3048,
  [7541] = 3050,
  [7542] = 3051,
  [7543] = 3052,
  [7544] = 3053,
  [7545] = 3056,
  [7546] = 3057,
  [7547] = 2996,
  [7548] = 3058,
  [7549] = 3059,
  [7550] = 3060,
  [7551] = 2932,
  [7552] = 3061,
  [7553] = 3062,
  [7554] = 3065,
  [7555] = 3066,
  [7556] = 3067,
  [7557] = 3068,
  [7558] = 2904,
  [7559] = 2905,
  [7560] = 2906,
  [7561] = 3072,
  [7562] = 3075,
  [7563] = 3076,
  [7564] = 3077,
  [7565] = 2908,
  [7566] = 2909,
  [7567] = 2911,
  [7568] = 3081,
  [7569] = 3750,
  [7570] = 3086,
  [7571] = 3090,
  [7572] = 3094,
  [7573] = 3095,
  [7574] = 3100,
  [7575] = 3106,
  [7576] = 3107,
  [7577] = 3111,
  [7578] = 3114,
  [7579] = 3117,
  [7580] = 3118,
  [7581] = 7430,
  [7582] = 7431,
  [7583] = 7432,
  [7584] = 7433,
  [7585] = 7434,
  [7586] = 7235,
  [7587] = 7236,
  [7588] = 3750,
  [7589] = 5277,
  [7590] = 3128,
  [7591] = 3249,
  [7592] = 3258,
  [7593] = 7593,
  [7594] = 7593,
  [7595] = 7593,
  [7596] = 4129,
  [7597] = 7212,
  [7598] = 7593,
  [7599] = 7593,
  [7600] = 4129,
  [7601] = 7205,
  [7602] = 7593,
  [7603] = 3948,
  [7604] = 7604,
  [7605] = 7604,
  [7606] = 7206,
  [7607] = 7213,
  [7608] = 7593,
  [7609] = 7593,
  [7610] = 3948,
  [7611] = 3948,
  [7612] = 3247,
  [7613] = 4129,
  [7614] = 7593,
  [7615] = 7593,
  [7616] = 4129,
  [7617] = 3948,
  [7618] = 7593,
  [7619] = 7593,
  [7620] = 7593,
  [7621] = 4129,
  [7622] = 7208,
  [7623] = 7593,
  [7624] = 7604,
  [7625] = 7593,
  [7626] = 7604,
  [7627] = 4129,
  [7628] = 7212,
  [7629] = 3948,
  [7630] = 3247,
  [7631] = 7213,
  [7632] = 3948,
  [7633] = 7593,
  [7634] = 7593,
  [7635] = 3256,
  [7636] = 7593,
  [7637] = 7593,
  [7638] = 7214,
  [7639] = 7206,
  [7640] = 4129,
  [7641] = 7593,
  [7642] = 7593,
  [7643] = 7593,
  [7644] = 7205,
  [7645] = 7593,
  [7646] = 7208,
  [7647] = 3256,
  [7648] = 3948,
  [7649] = 7214,
  [7650] = 2996,
  [7651] = 7351,
  [7652] = 7352,
  [7653] = 7353,
  [7654] = 7355,
  [7655] = 2937,
  [7656] = 3246,
  [7657] = 7356,
  [7658] = 3247,
  [7659] = 3248,
  [7660] = 3249,
  [7661] = 3250,
  [7662] = 7662,
  [7663] = 2970,
  [7664] = 7430,
  [7665] = 7665,
  [7666] = 5264,
  [7667] = 7431,
  [7668] = 7432,
  [7669] = 7669,
  [7670] = 7670,
  [7671] = 7671,
  [7672] = 7671,
  [7673] = 3087,
  [7674] = 7662,
  [7675] = 7433,
  [7676] = 3252,
  [7677] = 5438,
  [7678] = 5282,
  [7679] = 3253,
  [7680] = 7434,
  [7681] = 3254,
  [7682] = 7682,
  [7683] = 3255,
  [7684] = 3263,
  [7685] = 7685,
  [7686] = 3256,
  [7687] = 3257,
  [7688] = 2937,
  [7689] = 5382,
  [7690] = 7670,
  [7691] = 7662,
  [7692] = 7435,
  [7693] = 7346,
  [7694] = 7347,
  [7695] = 3091,
  [7696] = 7348,
  [7697] = 5423,
  [7698] = 5424,
  [7699] = 7349,
  [7700] = 3258,
  [7701] = 7685,
  [7702] = 5378,
  [7703] = 3246,
  [7704] = 3248,
  [7705] = 7379,
  [7706] = 7380,
  [7707] = 3259,
  [7708] = 3260,
  [7709] = 3261,
  [7710] = 3036,
  [7711] = 3024,
  [7712] = 3094,
  [7713] = 3036,
  [7714] = 3092,
  [7715] = 3096,
  [7716] = 7716,
  [7717] = 5450,
  [7718] = 7718,
  [7719] = 7719,
  [7720] = 7669,
  [7721] = 2996,
  [7722] = 7662,
  [7723] = 7723,
  [7724] = 7385,
  [7725] = 7350,
  [7726] = 7718,
  [7727] = 7727,
  [7728] = 7351,
  [7729] = 7352,
  [7730] = 3100,
  [7731] = 7731,
  [7732] = 7732,
  [7733] = 7353,
  [7734] = 3092,
  [7735] = 3096,
  [7736] = 7379,
  [7737] = 7737,
  [7738] = 3250,
  [7739] = 3106,
  [7740] = 3107,
  [7741] = 3111,
  [7742] = 7385,
  [7743] = 7743,
  [7744] = 3114,
  [7745] = 7745,
  [7746] = 7718,
  [7747] = 7719,
  [7748] = 7748,
  [7749] = 3117,
  [7750] = 3118,
  [7751] = 2970,
  [7752] = 7662,
  [7753] = 7718,
  [7754] = 7719,
  [7755] = 2996,
  [7756] = 7718,
  [7757] = 7719,
  [7758] = 7758,
  [7759] = 7759,
  [7760] = 7760,
  [7761] = 7761,
  [7762] = 7762,
  [7763] = 7763,
  [7764] = 7718,
  [7765] = 7719,
  [7766] = 7718,
  [7767] = 7719,
  [7768] = 7718,
  [7769] = 7719,
  [7770] = 7355,
  [7771] = 7685,
  [7772] = 7732,
  [7773] = 7388,
  [7774] = 7356,
  [7775] = 7775,
  [7776] = 7718,
  [7777] = 7719,
  [7778] = 7778,
  [7779] = 7779,
  [7780] = 7780,
  [7781] = 7781,
  [7782] = 7782,
  [7783] = 7718,
  [7784] = 7719,
  [7785] = 7718,
  [7786] = 7719,
  [7787] = 7718,
  [7788] = 7719,
  [7789] = 3021,
  [7790] = 7718,
  [7791] = 7719,
  [7792] = 7389,
  [7793] = 7662,
  [7794] = 7390,
  [7795] = 7718,
  [7796] = 7719,
  [7797] = 7797,
  [7798] = 5264,
  [7799] = 3026,
  [7800] = 3031,
  [7801] = 3032,
  [7802] = 3033,
  [7803] = 3034,
  [7804] = 7718,
  [7805] = 7719,
  [7806] = 7391,
  [7807] = 7718,
  [7808] = 7719,
  [7809] = 7671,
  [7810] = 7732,
  [7811] = 7778,
  [7812] = 7685,
  [7813] = 7813,
  [7814] = 7718,
  [7815] = 7719,
  [7816] = 5438,
  [7817] = 5282,
  [7818] = 3038,
  [7819] = 3039,
  [7820] = 3040,
  [7821] = 7778,
  [7822] = 3041,
  [7823] = 7718,
  [7824] = 7719,
  [7825] = 3042,
  [7826] = 3043,
  [7827] = 2895,
  [7828] = 3047,
  [7829] = 3048,
  [7830] = 7350,
  [7831] = 7831,
  [7832] = 7718,
  [7833] = 7719,
  [7834] = 3050,
  [7835] = 7718,
  [7836] = 7719,
  [7837] = 3051,
  [7838] = 3052,
  [7839] = 3053,
  [7840] = 3056,
  [7841] = 7718,
  [7842] = 7719,
  [7843] = 3057,
  [7844] = 3058,
  [7845] = 3059,
  [7846] = 3060,
  [7847] = 5382,
  [7848] = 7718,
  [7849] = 7719,
  [7850] = 3061,
  [7851] = 3062,
  [7852] = 3065,
  [7853] = 3066,
  [7854] = 3067,
  [7855] = 3068,
  [7856] = 2904,
  [7857] = 7718,
  [7858] = 7719,
  [7859] = 2905,
  [7860] = 2906,
  [7861] = 3072,
  [7862] = 5423,
  [7863] = 5424,
  [7864] = 3075,
  [7865] = 3076,
  [7866] = 3077,
  [7867] = 7662,
  [7868] = 2908,
  [7869] = 2909,
  [7870] = 2911,
  [7871] = 5378,
  [7872] = 3081,
  [7873] = 5414,
  [7874] = 3086,
  [7875] = 3128,
  [7876] = 3252,
  [7877] = 7671,
  [7878] = 7662,
  [7879] = 7732,
  [7880] = 3253,
  [7881] = 7388,
  [7882] = 3254,
  [7883] = 3255,
  [7884] = 7778,
  [7885] = 3263,
  [7886] = 7389,
  [7887] = 7390,
  [7888] = 7391,
  [7889] = 7670,
  [7890] = 7662,
  [7891] = 7723,
  [7892] = 7380,
  [7893] = 3258,
  [7894] = 7662,
  [7895] = 7415,
  [7896] = 5414,
  [7897] = 3095,
  [7898] = 3259,
  [7899] = 7662,
  [7900] = 3090,
  [7901] = 7416,
  [7902] = 7662,
  [7903] = 7381,
  [7904] = 7371,
  [7905] = 7372,
  [7906] = 7670,
  [7907] = 7662,
  [7908] = 3260,
  [7909] = 3261,
  [7910] = 7662,
  [7911] = 7371,
  [7912] = 7372,
  [7913] = 3024,
  [7914] = 7732,
  [7915] = 7662,
  [7916] = 7685,
  [7917] = 3257,
  [7918] = 7662,
  [7919] = 2937,
  [7920] = 4674,
  [7921] = 3246,
  [7922] = 3248,
  [7923] = 3249,
  [7924] = 3250,
  [7925] = 4719,
  [7926] = 2970,
  [7927] = 7423,
  [7928] = 7424,
  [7929] = 7662,
  [7930] = 3252,
  [7931] = 3253,
  [7932] = 3254,
  [7933] = 3255,
  [7934] = 3263,
  [7935] = 3249,
  [7936] = 3257,
  [7937] = 4721,
  [7938] = 7662,
  [7939] = 7662,
  [7940] = 7415,
  [7941] = 7416,
  [7942] = 3258,
  [7943] = 7375,
  [7944] = 7662,
  [7945] = 3259,
  [7946] = 7671,
  [7947] = 3260,
  [7948] = 3261,
  [7949] = 5450,
  [7950] = 3132,
  [7951] = 3024,
  [7952] = 7670,
  [7953] = 7778,
  [7954] = 7423,
  [7955] = 2926,
  [7956] = 3036,
  [7957] = 7424,
  [7958] = 7719,
  [7959] = 7430,
  [7960] = 7431,
  [7961] = 7432,
  [7962] = 7433,
  [7963] = 7434,
  [7964] = 7375,
  [7965] = 3092,
  [7966] = 7662,
  [7967] = 7435,
  [7968] = 3096,
  [7969] = 7381,
  [7970] = 7346,
  [7971] = 7347,
  [7972] = 7662,
  [7973] = 7348,
  [7974] = 2932,
  [7975] = 7671,
  [7976] = 7349,
  [7977] = 7662,
  [7978] = 7978,
  [7979] = 7979,
  [7980] = 7980,
  [7981] = 7981,
  [7982] = 7982,
  [7983] = 7983,
  [7984] = 7984,
  [7985] = 7985,
  [7986] = 7986,
  [7987] = 7987,
  [7988] = 7988,
  [7989] = 7989,
  [7990] = 7990,
  [7991] = 7991,
  [7992] = 7992,
  [7993] = 7993,
  [7994] = 7994,
  [7995] = 7978,
  [7996] = 7996,
  [7997] = 7997,
  [7998] = 7998,
  [7999] = 7999,
  [8000] = 8000,
  [8001] = 7782,
  [8002] = 7775,
  [8003] = 7731,
  [8004] = 7761,
  [8005] = 7996,
  [8006] = 7997,
  [8007] = 7998,
  [8008] = 3247,
  [8009] = 3249,
  [8010] = 8010,
  [8011] = 7996,
  [8012] = 7997,
  [8013] = 7743,
  [8014] = 7745,
  [8015] = 7748,
  [8016] = 7998,
  [8017] = 7991,
  [8018] = 7992,
  [8019] = 7993,
  [8020] = 3024,
  [8021] = 7996,
  [8022] = 7997,
  [8023] = 7998,
  [8024] = 7998,
  [8025] = 7999,
  [8026] = 8000,
  [8027] = 7996,
  [8028] = 7997,
  [8029] = 7998,
  [8030] = 7996,
  [8031] = 7997,
  [8032] = 7998,
  [8033] = 7779,
  [8034] = 7989,
  [8035] = 7996,
  [8036] = 7997,
  [8037] = 7998,
  [8038] = 8038,
  [8039] = 7996,
  [8040] = 7997,
  [8041] = 7998,
  [8042] = 7989,
  [8043] = 7996,
  [8044] = 7997,
  [8045] = 8045,
  [8046] = 7998,
  [8047] = 8047,
  [8048] = 7780,
  [8049] = 7996,
  [8050] = 7997,
  [8051] = 7998,
  [8052] = 7978,
  [8053] = 7727,
  [8054] = 7996,
  [8055] = 7997,
  [8056] = 7737,
  [8057] = 7996,
  [8058] = 7998,
  [8059] = 7997,
  [8060] = 3252,
  [8061] = 7998,
  [8062] = 7996,
  [8063] = 7997,
  [8064] = 7998,
  [8065] = 7996,
  [8066] = 7997,
  [8067] = 7998,
  [8068] = 7996,
  [8069] = 7997,
  [8070] = 7998,
  [8071] = 7996,
  [8072] = 7997,
  [8073] = 7998,
  [8074] = 7682,
  [8075] = 7996,
  [8076] = 7997,
  [8077] = 7998,
  [8078] = 7781,
  [8079] = 7996,
  [8080] = 7996,
  [8081] = 7997,
  [8082] = 7998,
  [8083] = 7997,
  [8084] = 8084,
  [8085] = 7797,
  [8086] = 8086,
  [8087] = 7979,
  [8088] = 7665,
  [8089] = 7980,
  [8090] = 7981,
  [8091] = 7982,
  [8092] = 7983,
  [8093] = 7984,
  [8094] = 7985,
  [8095] = 7986,
  [8096] = 7813,
  [8097] = 7987,
  [8098] = 7988,
  [8099] = 7989,
  [8100] = 7990,
  [8101] = 7831,
  [8102] = 8047,
  [8103] = 8084,
  [8104] = 7994,
  [8105] = 7978,
  [8106] = 5329,
  [8107] = 7775,
  [8108] = 3256,
  [8109] = 7998,
  [8110] = 7996,
  [8111] = 7997,
  [8112] = 7996,
  [8113] = 7998,
  [8114] = 7758,
  [8115] = 7797,
  [8116] = 8010,
  [8117] = 3257,
  [8118] = 7682,
  [8119] = 7759,
  [8120] = 8120,
  [8121] = 7758,
  [8122] = 7760,
  [8123] = 7761,
  [8124] = 7763,
  [8125] = 8125,
  [8126] = 7762,
  [8127] = 7759,
  [8128] = 8128,
  [8129] = 8120,
  [8130] = 8125,
  [8131] = 7779,
  [8132] = 8132,
  [8133] = 7760,
  [8134] = 7763,
  [8135] = 5323,
  [8136] = 7762,
  [8137] = 8132,
  [8138] = 8138,
  [8139] = 7997,
  [8140] = 7996,
  [8141] = 7997,
  [8142] = 7998,
  [8143] = 4850,
  [8144] = 7813,
  [8145] = 5277,
  [8146] = 7831,
  [8147] = 7665,
  [8148] = 7996,
  [8149] = 7997,
  [8150] = 7780,
  [8151] = 7727,
  [8152] = 7731,
  [8153] = 7998,
  [8154] = 7737,
  [8155] = 7743,
  [8156] = 7745,
  [8157] = 7748,
  [8158] = 7781,
  [8159] = 7782,
  [8160] = 8086,
  [8161] = 7978,
  [8162] = 7985,
  [8163] = 7986,
  [8164] = 7987,
  [8165] = 7999,
  [8166] = 8000,
  [8167] = 7988,
  [8168] = 7981,
  [8169] = 8169,
  [8170] = 7989,
  [8171] = 7990,
  [8172] = 8047,
  [8173] = 7991,
  [8174] = 7992,
  [8175] = 7993,
  [8176] = 7982,
  [8177] = 7983,
  [8178] = 7994,
  [8179] = 8169,
  [8180] = 7999,
  [8181] = 8000,
  [8182] = 7984,
  [8183] = 7985,
  [8184] = 7986,
  [8185] = 7978,
  [8186] = 8084,
  [8187] = 8084,
  [8188] = 7987,
  [8189] = 7988,
  [8190] = 8086,
  [8191] = 8169,
  [8192] = 7979,
  [8193] = 7980,
  [8194] = 8194,
  [8195] = 7981,
  [8196] = 7982,
  [8197] = 7983,
  [8198] = 8084,
  [8199] = 7984,
  [8200] = 7985,
  [8201] = 7986,
  [8202] = 7987,
  [8203] = 8084,
  [8204] = 7988,
  [8205] = 7989,
  [8206] = 7990,
  [8207] = 8086,
  [8208] = 8000,
  [8209] = 3750,
  [8210] = 7991,
  [8211] = 7991,
  [8212] = 7992,
  [8213] = 7993,
  [8214] = 7992,
  [8215] = 8215,
  [8216] = 7989,
  [8217] = 7993,
  [8218] = 7991,
  [8219] = 8047,
  [8220] = 7992,
  [8221] = 7993,
  [8222] = 8169,
  [8223] = 7978,
  [8224] = 7990,
  [8225] = 7994,
  [8226] = 7979,
  [8227] = 7980,
  [8228] = 7999,
  [8229] = 8000,
  [8230] = 8086,
  [8231] = 7979,
  [8232] = 7980,
  [8233] = 8233,
  [8234] = 7981,
  [8235] = 7982,
  [8236] = 7983,
  [8237] = 7984,
  [8238] = 7985,
  [8239] = 7986,
  [8240] = 7987,
  [8241] = 7988,
  [8242] = 7989,
  [8243] = 7994,
  [8244] = 7990,
  [8245] = 7994,
  [8246] = 7978,
  [8247] = 7979,
  [8248] = 7980,
  [8249] = 7981,
  [8250] = 7982,
  [8251] = 7983,
  [8252] = 7984,
  [8253] = 7999,
  [8254] = 8086,
  [8255] = 8000,
  [8256] = 7988,
  [8257] = 3948,
  [8258] = 7992,
  [8259] = 8259,
  [8260] = 7993,
  [8261] = 7994,
  [8262] = 7212,
  [8263] = 7213,
  [8264] = 3256,
  [8265] = 7999,
  [8266] = 7999,
  [8267] = 8000,
  [8268] = 7991,
  [8269] = 8086,
  [8270] = 7979,
  [8271] = 8084,
  [8272] = 7980,
  [8273] = 7981,
  [8274] = 8274,
  [8275] = 7982,
  [8276] = 7983,
  [8277] = 7990,
  [8278] = 7984,
  [8279] = 7985,
  [8280] = 7986,
  [8281] = 7987,
  [8282] = 8274,
  [8283] = 7988,
  [8284] = 7990,
  [8285] = 8285,
  [8286] = 8084,
  [8287] = 7992,
  [8288] = 7993,
  [8289] = 7994,
  [8290] = 7214,
  [8291] = 3247,
  [8292] = 7205,
  [8293] = 8285,
  [8294] = 8294,
  [8295] = 3247,
  [8296] = 7208,
  [8297] = 8294,
  [8298] = 8259,
  [8299] = 4129,
  [8300] = 8084,
  [8301] = 8301,
  [8302] = 8086,
  [8303] = 7979,
  [8304] = 3256,
  [8305] = 7980,
  [8306] = 7981,
  [8307] = 7982,
  [8308] = 8084,
  [8309] = 7983,
  [8310] = 7984,
  [8311] = 7985,
  [8312] = 7986,
  [8313] = 7991,
  [8314] = 7987,
  [8315] = 8301,
  [8316] = 8316,
  [8317] = 7985,
  [8318] = 7990,
  [8319] = 8316,
  [8320] = 8316,
  [8321] = 7978,
  [8322] = 7994,
  [8323] = 8323,
  [8324] = 8324,
  [8325] = 8325,
  [8326] = 8323,
  [8327] = 8323,
  [8328] = 7978,
  [8329] = 7986,
  [8330] = 8324,
  [8331] = 8331,
  [8332] = 8323,
  [8333] = 8316,
  [8334] = 7987,
  [8335] = 8316,
  [8336] = 8323,
  [8337] = 8316,
  [8338] = 8316,
  [8339] = 8324,
  [8340] = 7206,
  [8341] = 8084,
  [8342] = 8316,
  [8343] = 8323,
  [8344] = 8324,
  [8345] = 3257,
  [8346] = 7988,
  [8347] = 8323,
  [8348] = 7989,
  [8349] = 8323,
  [8350] = 8047,
  [8351] = 8316,
  [8352] = 8323,
  [8353] = 8084,
  [8354] = 8324,
  [8355] = 8323,
  [8356] = 7999,
  [8357] = 8323,
  [8358] = 8000,
  [8359] = 8316,
  [8360] = 8316,
  [8361] = 8084,
  [8362] = 8316,
  [8363] = 8086,
  [8364] = 3247,
  [8365] = 8323,
  [8366] = 7979,
  [8367] = 3249,
  [8368] = 3024,
  [8369] = 3256,
  [8370] = 8323,
  [8371] = 7980,
  [8372] = 8323,
  [8373] = 3249,
  [8374] = 8316,
  [8375] = 8316,
  [8376] = 8323,
  [8377] = 8047,
  [8378] = 8316,
  [8379] = 7983,
  [8380] = 3256,
  [8381] = 8324,
  [8382] = 3252,
  [8383] = 8086,
  [8384] = 7994,
  [8385] = 8316,
  [8386] = 7991,
  [8387] = 7992,
  [8388] = 7993,
  [8389] = 7979,
  [8390] = 7990,
  [8391] = 3252,
  [8392] = 7981,
  [8393] = 8084,
  [8394] = 7980,
  [8395] = 8323,
  [8396] = 3247,
  [8397] = 7978,
  [8398] = 8323,
  [8399] = 8324,
  [8400] = 8323,
  [8401] = 7989,
  [8402] = 8316,
  [8403] = 7981,
  [8404] = 8324,
  [8405] = 8316,
  [8406] = 7982,
  [8407] = 7983,
  [8408] = 7984,
  [8409] = 8316,
  [8410] = 8323,
  [8411] = 8316,
  [8412] = 7985,
  [8413] = 7986,
  [8414] = 8324,
  [8415] = 7987,
  [8416] = 7999,
  [8417] = 7989,
  [8418] = 8323,
  [8419] = 7991,
  [8420] = 8323,
  [8421] = 7989,
  [8422] = 3257,
  [8423] = 7992,
  [8424] = 7988,
  [8425] = 7978,
  [8426] = 8324,
  [8427] = 8316,
  [8428] = 8316,
  [8429] = 8316,
  [8430] = 7984,
  [8431] = 8000,
  [8432] = 8323,
  [8433] = 7982,
  [8434] = 8323,
  [8435] = 7993,
  [8436] = 3024,
  [8437] = 8437,
  [8438] = 7979,
  [8439] = 3258,
  [8440] = 3259,
  [8441] = 3260,
  [8442] = 3261,
  [8443] = 7994,
  [8444] = 8444,
  [8445] = 3024,
  [8446] = 8446,
  [8447] = 7992,
  [8448] = 7993,
  [8449] = 7415,
  [8450] = 7416,
  [8451] = 8451,
  [8452] = 7375,
  [8453] = 8453,
  [8454] = 8454,
  [8455] = 8455,
  [8456] = 7423,
  [8457] = 7424,
  [8458] = 8084,
  [8459] = 7430,
  [8460] = 7431,
  [8461] = 7432,
  [8462] = 7433,
  [8463] = 7434,
  [8464] = 7435,
  [8465] = 7346,
  [8466] = 7347,
  [8467] = 7348,
  [8468] = 7349,
  [8469] = 8469,
  [8470] = 8470,
  [8471] = 7350,
  [8472] = 7351,
  [8473] = 7352,
  [8474] = 7353,
  [8475] = 8475,
  [8476] = 7355,
  [8477] = 7356,
  [8478] = 8478,
  [8479] = 8444,
  [8480] = 8480,
  [8481] = 8086,
  [8482] = 7980,
  [8483] = 7981,
  [8484] = 7982,
  [8485] = 7983,
  [8486] = 7984,
  [8487] = 7985,
  [8488] = 7986,
  [8489] = 7987,
  [8490] = 7988,
  [8491] = 8444,
  [8492] = 3036,
  [8493] = 3092,
  [8494] = 3096,
  [8495] = 7990,
  [8496] = 2996,
  [8497] = 8497,
  [8498] = 8444,
  [8499] = 8444,
  [8500] = 5329,
  [8501] = 8501,
  [8502] = 8469,
  [8503] = 8470,
  [8504] = 8475,
  [8505] = 8000,
  [8506] = 7991,
  [8507] = 8507,
  [8508] = 8478,
  [8509] = 8444,
  [8510] = 8510,
  [8511] = 8451,
  [8512] = 7379,
  [8513] = 7380,
  [8514] = 7999,
  [8515] = 8446,
  [8516] = 8000,
  [8517] = 8517,
  [8518] = 8086,
  [8519] = 8519,
  [8520] = 8520,
  [8521] = 7979,
  [8522] = 7980,
  [8523] = 7981,
  [8524] = 7982,
  [8525] = 7983,
  [8526] = 7984,
  [8527] = 7985,
  [8528] = 7986,
  [8529] = 7987,
  [8530] = 7988,
  [8531] = 5277,
  [8532] = 8084,
  [8533] = 7994,
  [8534] = 8469,
  [8535] = 8470,
  [8536] = 8469,
  [8537] = 8470,
  [8538] = 8446,
  [8539] = 8475,
  [8540] = 8517,
  [8541] = 8478,
  [8542] = 8444,
  [8543] = 8446,
  [8544] = 8517,
  [8545] = 5264,
  [8546] = 8446,
  [8547] = 8517,
  [8548] = 7385,
  [8549] = 8478,
  [8550] = 5438,
  [8551] = 5282,
  [8552] = 8475,
  [8553] = 7991,
  [8554] = 8554,
  [8555] = 8469,
  [8556] = 8470,
  [8557] = 5323,
  [8558] = 8446,
  [8559] = 8559,
  [8560] = 8517,
  [8561] = 8478,
  [8562] = 7999,
  [8563] = 8469,
  [8564] = 8470,
  [8565] = 7388,
  [8566] = 8475,
  [8567] = 8446,
  [8568] = 8517,
  [8569] = 8444,
  [8570] = 7389,
  [8571] = 8571,
  [8572] = 7390,
  [8573] = 7391,
  [8574] = 8444,
  [8575] = 8446,
  [8576] = 8517,
  [8577] = 8475,
  [8578] = 7992,
  [8579] = 8478,
  [8580] = 7993,
  [8581] = 5264,
  [8582] = 5382,
  [8583] = 8446,
  [8584] = 8517,
  [8585] = 8478,
  [8586] = 8586,
  [8587] = 5423,
  [8588] = 5424,
  [8589] = 8446,
  [8590] = 8517,
  [8591] = 5378,
  [8592] = 8446,
  [8593] = 8517,
  [8594] = 8475,
  [8595] = 8519,
  [8596] = 8446,
  [8597] = 8478,
  [8598] = 8517,
  [8599] = 8444,
  [8600] = 8446,
  [8601] = 8517,
  [8602] = 8602,
  [8603] = 8446,
  [8604] = 8517,
  [8605] = 5282,
  [8606] = 8446,
  [8607] = 8517,
  [8608] = 8608,
  [8609] = 8446,
  [8610] = 8517,
  [8611] = 8475,
  [8612] = 8612,
  [8613] = 8446,
  [8614] = 8478,
  [8615] = 8517,
  [8616] = 8616,
  [8617] = 8446,
  [8618] = 8517,
  [8619] = 8446,
  [8620] = 8517,
  [8621] = 8444,
  [8622] = 8446,
  [8623] = 8517,
  [8624] = 8446,
  [8625] = 8517,
  [8626] = 8475,
  [8627] = 8446,
  [8628] = 8478,
  [8629] = 8517,
  [8630] = 8446,
  [8631] = 8517,
  [8632] = 8446,
  [8633] = 8517,
  [8634] = 8446,
  [8635] = 8517,
  [8636] = 8444,
  [8637] = 2937,
  [8638] = 3246,
  [8639] = 8446,
  [8640] = 8444,
  [8641] = 3248,
  [8642] = 8517,
  [8643] = 3249,
  [8644] = 8446,
  [8645] = 8517,
  [8646] = 3250,
  [8647] = 7990,
  [8648] = 2970,
  [8649] = 8446,
  [8650] = 8517,
  [8651] = 8451,
  [8652] = 8446,
  [8653] = 8517,
  [8654] = 8517,
  [8655] = 8446,
  [8656] = 8517,
  [8657] = 8446,
  [8658] = 8517,
  [8659] = 8446,
  [8660] = 3254,
  [8661] = 8517,
  [8662] = 8446,
  [8663] = 5326,
  [8664] = 8517,
  [8665] = 3255,
  [8666] = 8571,
  [8667] = 8446,
  [8668] = 7381,
  [8669] = 8517,
  [8670] = 3263,
  [8671] = 8446,
  [8672] = 8517,
  [8673] = 8673,
  [8674] = 8446,
  [8675] = 8517,
  [8676] = 3257,
  [8677] = 8446,
  [8678] = 8517,
  [8679] = 7371,
  [8680] = 8446,
  [8681] = 8517,
  [8682] = 8475,
  [8683] = 7372,
  [8684] = 8446,
  [8685] = 8517,
  [8686] = 8446,
  [8687] = 8517,
  [8688] = 8446,
  [8689] = 8517,
  [8690] = 8446,
  [8691] = 8517,
  [8692] = 8510,
  [8693] = 8444,
  [8694] = 8616,
  [8695] = 8455,
  [8696] = 8501,
  [8697] = 8697,
  [8698] = 8507,
  [8699] = 8444,
  [8700] = 8616,
  [8701] = 8455,
  [8702] = 8501,
  [8703] = 8697,
  [8704] = 8507,
  [8705] = 8616,
  [8706] = 8455,
  [8707] = 8501,
  [8708] = 8697,
  [8709] = 8507,
  [8710] = 2937,
  [8711] = 3246,
  [8712] = 3248,
  [8713] = 3249,
  [8714] = 8616,
  [8715] = 8455,
  [8716] = 8501,
  [8717] = 8697,
  [8718] = 8507,
  [8719] = 5450,
  [8720] = 3250,
  [8721] = 8455,
  [8722] = 8501,
  [8723] = 8455,
  [8724] = 3024,
  [8725] = 8455,
  [8726] = 8455,
  [8727] = 8455,
  [8728] = 2970,
  [8729] = 8451,
  [8730] = 3252,
  [8731] = 3252,
  [8732] = 3253,
  [8733] = 3254,
  [8734] = 3255,
  [8735] = 3263,
  [8736] = 3257,
  [8737] = 5414,
  [8738] = 8444,
  [8739] = 8697,
  [8740] = 5413,
  [8741] = 5430,
  [8742] = 5414,
  [8743] = 5402,
  [8744] = 8744,
  [8745] = 3256,
  [8746] = 5382,
  [8747] = 5460,
  [8748] = 5400,
  [8749] = 5450,
  [8750] = 8744,
  [8751] = 3258,
  [8752] = 8752,
  [8753] = 5443,
  [8754] = 8754,
  [8755] = 3259,
  [8756] = 5457,
  [8757] = 8084,
  [8758] = 3260,
  [8759] = 3261,
  [8760] = 5454,
  [8761] = 8761,
  [8762] = 3128,
  [8763] = 5377,
  [8764] = 3252,
  [8765] = 5439,
  [8766] = 5412,
  [8767] = 5471,
  [8768] = 8768,
  [8769] = 5428,
  [8770] = 5432,
  [8771] = 8771,
  [8772] = 8772,
  [8773] = 5455,
  [8774] = 5440,
  [8775] = 3247,
  [8776] = 3253,
  [8777] = 5423,
  [8778] = 3132,
  [8779] = 5416,
  [8780] = 5424,
  [8781] = 5417,
  [8782] = 5438,
  [8783] = 8084,
  [8784] = 3036,
  [8785] = 5418,
  [8786] = 5419,
  [8787] = 3092,
  [8788] = 3096,
  [8789] = 5445,
  [8790] = 8790,
  [8791] = 5383,
  [8792] = 5385,
  [8793] = 2996,
  [8794] = 5404,
  [8795] = 5425,
  [8796] = 5426,
  [8797] = 5395,
  [8798] = 5399,
  [8799] = 5446,
  [8800] = 5378,
  [8801] = 5437,
  [8802] = 5431,
  [8803] = 8803,
  [8804] = 8804,
  [8805] = 8805,
  [8806] = 8806,
  [8807] = 8807,
  [8808] = 3257,
  [8809] = 3249,
  [8810] = 8810,
  [8811] = 8811,
  [8812] = 8812,
  [8813] = 8813,
  [8814] = 8814,
  [8815] = 8815,
  [8816] = 8816,
  [8817] = 8817,
  [8818] = 8818,
  [8819] = 8819,
  [8820] = 8820,
  [8821] = 8821,
  [8822] = 8819,
  [8823] = 8816,
  [8824] = 8804,
  [8825] = 8821,
  [8826] = 8815,
  [8827] = 8772,
  [8828] = 8828,
  [8829] = 8829,
  [8830] = 8828,
  [8831] = 8831,
  [8832] = 8829,
  [8833] = 8831,
  [8834] = 8828,
  [8835] = 8829,
  [8836] = 8831,
  [8837] = 8837,
  [8838] = 8838,
  [8839] = 8828,
  [8840] = 8829,
  [8841] = 8841,
  [8842] = 8828,
  [8843] = 8829,
  [8844] = 8831,
  [8845] = 8845,
  [8846] = 8828,
  [8847] = 8829,
  [8848] = 8831,
  [8849] = 8831,
  [8850] = 8850,
  [8851] = 8851,
  [8852] = 8829,
  [8853] = 8831,
  [8854] = 8854,
  [8855] = 8772,
  [8856] = 8816,
  [8857] = 8841,
  [8858] = 8828,
  [8859] = 8850,
  [8860] = 8829,
  [8861] = 8816,
  [8862] = 8862,
  [8863] = 8828,
  [8864] = 8829,
  [8865] = 8831,
  [8866] = 8831,
  [8867] = 8828,
  [8868] = 8851,
  [8869] = 8829,
  [8870] = 8828,
  [8871] = 8829,
  [8872] = 8831,
  [8873] = 8831,
  [8874] = 8828,
  [8875] = 8829,
  [8876] = 8831,
  [8877] = 8828,
  [8878] = 8831,
  [8879] = 8829,
  [8880] = 8828,
  [8881] = 3259,
  [8882] = 8882,
  [8883] = 8772,
  [8884] = 8884,
  [8885] = 8885,
  [8886] = 8886,
  [8887] = 8887,
  [8888] = 8888,
  [8889] = 2911,
  [8890] = 8890,
  [8891] = 8891,
  [8892] = 8892,
  [8893] = 8893,
  [8894] = 8886,
  [8895] = 8895,
  [8896] = 8895,
  [8897] = 8897,
  [8898] = 3076,
  [8899] = 3092,
  [8900] = 3090,
  [8901] = 8886,
  [8902] = 8902,
  [8903] = 8887,
  [8904] = 8897,
  [8905] = 3096,
  [8906] = 8906,
  [8907] = 8907,
  [8908] = 8908,
  [8909] = 8892,
  [8910] = 8906,
  [8911] = 8907,
  [8912] = 8886,
  [8913] = 8890,
  [8914] = 8890,
  [8915] = 3077,
  [8916] = 8916,
  [8917] = 8890,
  [8918] = 8886,
  [8919] = 8892,
  [8920] = 8886,
  [8921] = 8906,
  [8922] = 8890,
  [8923] = 2996,
  [8924] = 3081,
  [8925] = 8907,
  [8926] = 8892,
  [8927] = 8892,
  [8928] = 8895,
  [8929] = 2908,
  [8930] = 8897,
  [8931] = 8886,
  [8932] = 8895,
  [8933] = 3036,
  [8934] = 8890,
  [8935] = 8816,
  [8936] = 8897,
  [8937] = 8892,
  [8938] = 8887,
  [8939] = 8897,
  [8940] = 8821,
  [8941] = 8941,
  [8942] = 8908,
  [8943] = 3247,
  [8944] = 8906,
  [8945] = 8907,
  [8946] = 8908,
  [8947] = 8947,
  [8948] = 8948,
  [8949] = 8815,
  [8950] = 8908,
  [8951] = 2926,
  [8952] = 8886,
  [8953] = 3095,
  [8954] = 3092,
  [8955] = 8886,
  [8956] = 8956,
  [8957] = 8890,
  [8958] = 8890,
  [8959] = 8959,
  [8960] = 8892,
  [8961] = 8895,
  [8962] = 8887,
  [8963] = 8897,
  [8964] = 2909,
  [8965] = 8892,
  [8966] = 8887,
  [8967] = 8816,
  [8968] = 8892,
  [8969] = 8887,
  [8970] = 8890,
  [8971] = 8906,
  [8972] = 8907,
  [8973] = 8908,
  [8974] = 3096,
  [8975] = 8975,
  [8976] = 2932,
  [8977] = 8886,
  [8978] = 3256,
  [8979] = 8890,
  [8980] = 8821,
  [8981] = 8886,
  [8982] = 8886,
  [8983] = 8983,
  [8984] = 8890,
  [8985] = 8959,
  [8986] = 8892,
  [8987] = 8902,
  [8988] = 8895,
  [8989] = 3036,
  [8990] = 8821,
  [8991] = 3107,
  [8992] = 8895,
  [8993] = 8897,
  [8994] = 8892,
  [8995] = 8947,
  [8996] = 8906,
  [8997] = 8997,
  [8998] = 8998,
  [8999] = 8907,
  [9000] = 8887,
  [9001] = 3092,
  [9002] = 3096,
  [9003] = 9003,
  [9004] = 5414,
  [9005] = 8906,
  [9006] = 8907,
  [9007] = 8908,
  [9008] = 2937,
  [9009] = 3246,
  [9010] = 8884,
  [9011] = 8885,
  [9012] = 8888,
  [9013] = 3248,
  [9014] = 8891,
  [9015] = 8815,
  [9016] = 5450,
  [9017] = 3250,
  [9018] = 8908,
  [9019] = 8886,
  [9020] = 3253,
  [9021] = 3254,
  [9022] = 8997,
  [9023] = 3255,
  [9024] = 8890,
  [9025] = 3086,
  [9026] = 8897,
  [9027] = 8890,
  [9028] = 8906,
  [9029] = 8886,
  [9030] = 3087,
  [9031] = 2996,
  [9032] = 9032,
  [9033] = 8907,
  [9034] = 8890,
  [9035] = 8815,
  [9036] = 8892,
  [9037] = 8948,
  [9038] = 8892,
  [9039] = 8886,
  [9040] = 8956,
  [9041] = 8983,
  [9042] = 9003,
  [9043] = 3258,
  [9044] = 8890,
  [9045] = 3021,
  [9046] = 8890,
  [9047] = 8908,
  [9048] = 3260,
  [9049] = 8998,
  [9050] = 3261,
  [9051] = 8908,
  [9052] = 8892,
  [9053] = 3036,
  [9054] = 2996,
  [9055] = 8897,
  [9056] = 9056,
  [9057] = 8892,
  [9058] = 9058,
  [9059] = 3132,
  [9060] = 9060,
  [9061] = 9061,
  [9062] = 8886,
  [9063] = 8887,
  [9064] = 3026,
  [9065] = 3031,
  [9066] = 9066,
  [9067] = 8906,
  [9068] = 8907,
  [9069] = 8908,
  [9070] = 2970,
  [9071] = 8887,
  [9072] = 9072,
  [9073] = 3263,
  [9074] = 9058,
  [9075] = 3032,
  [9076] = 3033,
  [9077] = 9066,
  [9078] = 9072,
  [9079] = 8886,
  [9080] = 9080,
  [9081] = 9081,
  [9082] = 9082,
  [9083] = 8890,
  [9084] = 9060,
  [9085] = 9061,
  [9086] = 3034,
  [9087] = 9087,
  [9088] = 8890,
  [9089] = 9089,
  [9090] = 9080,
  [9091] = 9091,
  [9092] = 8892,
  [9093] = 8886,
  [9094] = 9094,
  [9095] = 8892,
  [9096] = 9096,
  [9097] = 8892,
  [9098] = 3091,
  [9099] = 8895,
  [9100] = 8897,
  [9101] = 9101,
  [9102] = 9102,
  [9103] = 9081,
  [9104] = 8890,
  [9105] = 9082,
  [9106] = 3038,
  [9107] = 3039,
  [9108] = 9108,
  [9109] = 3040,
  [9110] = 9056,
  [9111] = 3041,
  [9112] = 8892,
  [9113] = 8895,
  [9114] = 8897,
  [9115] = 8821,
  [9116] = 9096,
  [9117] = 3042,
  [9118] = 9118,
  [9119] = 5414,
  [9120] = 3128,
  [9121] = 3043,
  [9122] = 2895,
  [9123] = 3047,
  [9124] = 8887,
  [9125] = 9087,
  [9126] = 3048,
  [9127] = 5450,
  [9128] = 8906,
  [9129] = 9089,
  [9130] = 8887,
  [9131] = 8906,
  [9132] = 8907,
  [9133] = 8908,
  [9134] = 9091,
  [9135] = 8906,
  [9136] = 8907,
  [9137] = 8882,
  [9138] = 8772,
  [9139] = 8908,
  [9140] = 3050,
  [9141] = 8895,
  [9142] = 3051,
  [9143] = 3052,
  [9144] = 3053,
  [9145] = 3056,
  [9146] = 8886,
  [9147] = 3057,
  [9148] = 8907,
  [9149] = 8886,
  [9150] = 3058,
  [9151] = 3059,
  [9152] = 8890,
  [9153] = 8890,
  [9154] = 8892,
  [9155] = 3060,
  [9156] = 3061,
  [9157] = 3062,
  [9158] = 8815,
  [9159] = 8895,
  [9160] = 3065,
  [9161] = 9032,
  [9162] = 3094,
  [9163] = 8897,
  [9164] = 3066,
  [9165] = 8887,
  [9166] = 8887,
  [9167] = 8886,
  [9168] = 8897,
  [9169] = 8892,
  [9170] = 8916,
  [9171] = 8906,
  [9172] = 8907,
  [9173] = 8908,
  [9174] = 3100,
  [9175] = 3067,
  [9176] = 9176,
  [9177] = 3068,
  [9178] = 2904,
  [9179] = 9101,
  [9180] = 3075,
  [9181] = 3106,
  [9182] = 9102,
  [9183] = 8895,
  [9184] = 8890,
  [9185] = 3111,
  [9186] = 2905,
  [9187] = 8886,
  [9188] = 3114,
  [9189] = 3117,
  [9190] = 3118,
  [9191] = 8886,
  [9192] = 2906,
  [9193] = 8892,
  [9194] = 3072,
  [9195] = 8890,
  [9196] = 8892,
  [9197] = 9108,
  [9198] = 8895,
  [9199] = 9061,
  [9200] = 3096,
  [9201] = 8948,
  [9202] = 8956,
  [9203] = 8983,
  [9204] = 7981,
  [9205] = 9003,
  [9206] = 8851,
  [9207] = 9207,
  [9208] = 7982,
  [9209] = 3096,
  [9210] = 8902,
  [9211] = 5414,
  [9212] = 9212,
  [9213] = 8947,
  [9214] = 9214,
  [9215] = 8891,
  [9216] = 9216,
  [9217] = 7983,
  [9218] = 3252,
  [9219] = 7984,
  [9220] = 8851,
  [9221] = 3259,
  [9222] = 3092,
  [9223] = 8845,
  [9224] = 8772,
  [9225] = 3096,
  [9226] = 9226,
  [9227] = 9227,
  [9228] = 8837,
  [9229] = 8816,
  [9230] = 8882,
  [9231] = 8851,
  [9232] = 8862,
  [9233] = 8882,
  [9234] = 2996,
  [9235] = 7985,
  [9236] = 3257,
  [9237] = 3036,
  [9238] = 9238,
  [9239] = 7999,
  [9240] = 5450,
  [9241] = 8772,
  [9242] = 9242,
  [9243] = 8997,
  [9244] = 7986,
  [9245] = 9212,
  [9246] = 3092,
  [9247] = 9216,
  [9248] = 5414,
  [9249] = 9101,
  [9250] = 8959,
  [9251] = 9251,
  [9252] = 8902,
  [9253] = 8000,
  [9254] = 8947,
  [9255] = 9087,
  [9256] = 9216,
  [9257] = 8997,
  [9258] = 8086,
  [9259] = 3260,
  [9260] = 7991,
  [9261] = 9102,
  [9262] = 8998,
  [9263] = 9242,
  [9264] = 7992,
  [9265] = 7993,
  [9266] = 8851,
  [9267] = 8998,
  [9268] = 9268,
  [9269] = 9269,
  [9270] = 8816,
  [9271] = 9212,
  [9272] = 9056,
  [9273] = 8948,
  [9274] = 8956,
  [9275] = 8983,
  [9276] = 9276,
  [9277] = 7979,
  [9278] = 9003,
  [9279] = 7980,
  [9280] = 9216,
  [9281] = 7989,
  [9282] = 5450,
  [9283] = 9096,
  [9284] = 9058,
  [9285] = 9066,
  [9286] = 9072,
  [9287] = 7987,
  [9288] = 9080,
  [9289] = 7994,
  [9290] = 9081,
  [9291] = 7988,
  [9292] = 3024,
  [9293] = 8884,
  [9294] = 7990,
  [9295] = 3253,
  [9296] = 7978,
  [9297] = 8916,
  [9298] = 8885,
  [9299] = 8888,
  [9300] = 9082,
  [9301] = 7978,
  [9302] = 2996,
  [9303] = 8891,
  [9304] = 9060,
  [9305] = 2996,
  [9306] = 9251,
  [9307] = 9061,
  [9308] = 8084,
  [9309] = 9108,
  [9310] = 9238,
  [9311] = 9311,
  [9312] = 9089,
  [9313] = 3249,
  [9314] = 9060,
  [9315] = 9315,
  [9316] = 9316,
  [9317] = 9226,
  [9318] = 3036,
  [9319] = 9087,
  [9320] = 9096,
  [9321] = 8959,
  [9322] = 3036,
  [9323] = 9089,
  [9324] = 9058,
  [9325] = 9101,
  [9326] = 9102,
  [9327] = 9091,
  [9328] = 9066,
  [9329] = 9072,
  [9330] = 9080,
  [9331] = 9081,
  [9332] = 9082,
  [9333] = 9108,
  [9334] = 8884,
  [9335] = 9091,
  [9336] = 8885,
  [9337] = 3092,
  [9338] = 9338,
  [9339] = 9212,
  [9340] = 7989,
  [9341] = 3261,
  [9342] = 9212,
  [9343] = 9216,
  [9344] = 9056,
  [9345] = 8888,
  [9346] = 3258,
  [9347] = 8047,
  [9348] = 9338,
  [9349] = 9315,
  [9350] = 8916,
  [9351] = 7990,
  [9352] = 8821,
  [9353] = 3024,
  [9354] = 8772,
  [9355] = 5414,
  [9356] = 9356,
  [9357] = 9226,
  [9358] = 9358,
  [9359] = 9359,
  [9360] = 7999,
  [9361] = 8000,
  [9362] = 7991,
  [9363] = 7992,
  [9364] = 7993,
  [9365] = 3036,
  [9366] = 9366,
  [9367] = 9367,
  [9368] = 7978,
  [9369] = 3092,
  [9370] = 3096,
  [9371] = 2996,
  [9372] = 2937,
  [9373] = 8047,
  [9374] = 7994,
  [9375] = 3246,
  [9376] = 2996,
  [9377] = 2970,
  [9378] = 3248,
  [9379] = 3096,
  [9380] = 9380,
  [9381] = 9381,
  [9382] = 9058,
  [9383] = 9066,
  [9384] = 9384,
  [9385] = 9385,
  [9386] = 9072,
  [9387] = 9080,
  [9388] = 9081,
  [9389] = 3132,
  [9390] = 9356,
  [9391] = 9226,
  [9392] = 9359,
  [9393] = 9082,
  [9394] = 9060,
  [9395] = 9061,
  [9396] = 9396,
  [9397] = 9381,
  [9398] = 9398,
  [9399] = 9381,
  [9400] = 9400,
  [9401] = 3263,
  [9402] = 9096,
  [9403] = 8959,
  [9404] = 8902,
  [9405] = 8947,
  [9406] = 8997,
  [9407] = 8998,
  [9408] = 9408,
  [9409] = 9101,
  [9410] = 9102,
  [9411] = 9411,
  [9412] = 2996,
  [9413] = 9087,
  [9414] = 9414,
  [9415] = 9366,
  [9416] = 9089,
  [9417] = 9367,
  [9418] = 9060,
  [9419] = 8884,
  [9420] = 9108,
  [9421] = 9061,
  [9422] = 8885,
  [9423] = 7989,
  [9424] = 8888,
  [9425] = 8891,
  [9426] = 5414,
  [9427] = 9091,
  [9428] = 8959,
  [9429] = 9429,
  [9430] = 5450,
  [9431] = 9096,
  [9432] = 7235,
  [9433] = 8902,
  [9434] = 8816,
  [9435] = 9408,
  [9436] = 8947,
  [9437] = 8948,
  [9438] = 8956,
  [9439] = 8983,
  [9440] = 9003,
  [9441] = 8997,
  [9442] = 9384,
  [9443] = 9385,
  [9444] = 9356,
  [9445] = 3250,
  [9446] = 9446,
  [9447] = 9411,
  [9448] = 9448,
  [9449] = 9101,
  [9450] = 7236,
  [9451] = 9398,
  [9452] = 9102,
  [9453] = 9384,
  [9454] = 9400,
  [9455] = 9058,
  [9456] = 9056,
  [9457] = 9066,
  [9458] = 9072,
  [9459] = 9080,
  [9460] = 9081,
  [9461] = 9082,
  [9462] = 9108,
  [9463] = 9414,
  [9464] = 9384,
  [9465] = 9465,
  [9466] = 9366,
  [9467] = 9467,
  [9468] = 9087,
  [9469] = 9089,
  [9470] = 9091,
  [9471] = 9471,
  [9472] = 9472,
  [9473] = 9367,
  [9474] = 9385,
  [9475] = 9475,
  [9476] = 9056,
  [9477] = 9356,
  [9478] = 9478,
  [9479] = 9408,
  [9480] = 8998,
  [9481] = 9411,
  [9482] = 8882,
  [9483] = 9366,
  [9484] = 8772,
  [9485] = 9367,
  [9486] = 8821,
  [9487] = 9446,
  [9488] = 9448,
  [9489] = 9398,
  [9490] = 3036,
  [9491] = 9400,
  [9492] = 9465,
  [9493] = 9467,
  [9494] = 9471,
  [9495] = 9472,
  [9496] = 9475,
  [9497] = 9478,
  [9498] = 8772,
  [9499] = 3247,
  [9500] = 8084,
  [9501] = 9501,
  [9502] = 9408,
  [9503] = 9411,
  [9504] = 9359,
  [9505] = 9366,
  [9506] = 9385,
  [9507] = 8882,
  [9508] = 8772,
  [9509] = 9367,
  [9510] = 3249,
  [9511] = 8815,
  [9512] = 8916,
  [9513] = 3253,
  [9514] = 8816,
  [9515] = 9446,
  [9516] = 8815,
  [9517] = 9448,
  [9518] = 3254,
  [9519] = 9478,
  [9520] = 3255,
  [9521] = 9398,
  [9522] = 9400,
  [9523] = 3252,
  [9524] = 3256,
  [9525] = 3257,
  [9526] = 9465,
  [9527] = 9467,
  [9528] = 3750,
  [9529] = 9529,
  [9530] = 9471,
  [9531] = 8916,
  [9532] = 9472,
  [9533] = 9533,
  [9534] = 9475,
  [9535] = 3258,
  [9536] = 3259,
  [9537] = 9478,
  [9538] = 9538,
  [9539] = 9446,
  [9540] = 9465,
  [9541] = 9467,
  [9542] = 7227,
  [9543] = 9448,
  [9544] = 3260,
  [9545] = 3261,
  [9546] = 9471,
  [9547] = 8884,
  [9548] = 3036,
  [9549] = 8885,
  [9550] = 7228,
  [9551] = 3092,
  [9552] = 9359,
  [9553] = 9356,
  [9554] = 3128,
  [9555] = 8888,
  [9556] = 9356,
  [9557] = 9251,
  [9558] = 7994,
  [9559] = 7978,
  [9560] = 9366,
  [9561] = 9367,
  [9562] = 3092,
  [9563] = 9563,
  [9564] = 3021,
  [9565] = 9565,
  [9566] = 9566,
  [9567] = 8891,
  [9568] = 3026,
  [9569] = 3031,
  [9570] = 3032,
  [9571] = 3033,
  [9572] = 3034,
  [9573] = 8084,
  [9574] = 3038,
  [9575] = 3039,
  [9576] = 3040,
  [9577] = 9359,
  [9578] = 3041,
  [9579] = 3042,
  [9580] = 3043,
  [9581] = 2895,
  [9582] = 3047,
  [9583] = 3048,
  [9584] = 3050,
  [9585] = 3051,
  [9586] = 3052,
  [9587] = 3053,
  [9588] = 3056,
  [9589] = 3057,
  [9590] = 3058,
  [9591] = 3059,
  [9592] = 3060,
  [9593] = 3061,
  [9594] = 3062,
  [9595] = 3065,
  [9596] = 3066,
  [9597] = 3067,
  [9598] = 3068,
  [9599] = 2904,
  [9600] = 2905,
  [9601] = 2906,
  [9602] = 3072,
  [9603] = 3075,
  [9604] = 3076,
  [9605] = 3077,
  [9606] = 2908,
  [9607] = 2909,
  [9608] = 2911,
  [9609] = 3081,
  [9610] = 3086,
  [9611] = 8086,
  [9612] = 2926,
  [9613] = 9472,
  [9614] = 8086,
  [9615] = 7979,
  [9616] = 3090,
  [9617] = 7980,
  [9618] = 7979,
  [9619] = 2932,
  [9620] = 7981,
  [9621] = 7982,
  [9622] = 7983,
  [9623] = 7984,
  [9624] = 7985,
  [9625] = 3094,
  [9626] = 3095,
  [9627] = 7986,
  [9628] = 7980,
  [9629] = 3100,
  [9630] = 3106,
  [9631] = 3107,
  [9632] = 3111,
  [9633] = 3114,
  [9634] = 3117,
  [9635] = 3118,
  [9636] = 7987,
  [9637] = 7988,
  [9638] = 9251,
  [9639] = 7989,
  [9640] = 9475,
  [9641] = 7990,
  [9642] = 5450,
  [9643] = 7981,
  [9644] = 7982,
  [9645] = 7983,
  [9646] = 9646,
  [9647] = 7984,
  [9648] = 7985,
  [9649] = 7986,
  [9650] = 9650,
  [9651] = 7987,
  [9652] = 9429,
  [9653] = 9381,
  [9654] = 9359,
  [9655] = 8948,
  [9656] = 7988,
  [9657] = 8956,
  [9658] = 8983,
  [9659] = 9003,
  [9660] = 3096,
  [9661] = 9566,
  [9662] = 9662,
  [9663] = 3092,
  [9664] = 9664,
  [9665] = 9665,
  [9666] = 8959,
  [9667] = 9667,
  [9668] = 9662,
  [9669] = 9669,
  [9670] = 3036,
  [9671] = 9667,
  [9672] = 9672,
  [9673] = 3096,
  [9674] = 9674,
  [9675] = 9675,
  [9676] = 8959,
  [9677] = 9664,
  [9678] = 9665,
  [9679] = 9662,
  [9680] = 8902,
  [9681] = 9681,
  [9682] = 8947,
  [9683] = 8997,
  [9684] = 8916,
  [9685] = 7208,
  [9686] = 8998,
  [9687] = 9667,
  [9688] = 9672,
  [9689] = 9681,
  [9690] = 9674,
  [9691] = 7212,
  [9692] = 9060,
  [9693] = 9061,
  [9694] = 8884,
  [9695] = 8885,
  [9696] = 9696,
  [9697] = 8888,
  [9698] = 8851,
  [9699] = 7213,
  [9700] = 9681,
  [9701] = 9096,
  [9702] = 8891,
  [9703] = 9675,
  [9704] = 9667,
  [9705] = 9705,
  [9706] = 9672,
  [9707] = 9674,
  [9708] = 9675,
  [9709] = 9664,
  [9710] = 9665,
  [9711] = 9662,
  [9712] = 9681,
  [9713] = 9664,
  [9714] = 9665,
  [9715] = 9101,
  [9716] = 9102,
  [9717] = 9251,
  [9718] = 9662,
  [9719] = 8882,
  [9720] = 9667,
  [9721] = 9108,
  [9722] = 9429,
  [9723] = 9101,
  [9724] = 8998,
  [9725] = 9672,
  [9726] = 3036,
  [9727] = 9242,
  [9728] = 9681,
  [9729] = 9681,
  [9730] = 9674,
  [9731] = 8948,
  [9732] = 9681,
  [9733] = 8956,
  [9734] = 9734,
  [9735] = 9058,
  [9736] = 8983,
  [9737] = 9737,
  [9738] = 9003,
  [9739] = 3092,
  [9740] = 3096,
  [9741] = 4129,
  [9742] = 8947,
  [9743] = 9667,
  [9744] = 9672,
  [9745] = 9102,
  [9746] = 9066,
  [9747] = 9674,
  [9748] = 5414,
  [9749] = 9226,
  [9750] = 9675,
  [9751] = 9072,
  [9752] = 8891,
  [9753] = 9080,
  [9754] = 7214,
  [9755] = 9081,
  [9756] = 9675,
  [9757] = 9664,
  [9758] = 9665,
  [9759] = 9662,
  [9760] = 2996,
  [9761] = 9664,
  [9762] = 9665,
  [9763] = 9681,
  [9764] = 9096,
  [9765] = 9082,
  [9766] = 9667,
  [9767] = 9672,
  [9768] = 9662,
  [9769] = 9667,
  [9770] = 9672,
  [9771] = 9674,
  [9772] = 9058,
  [9773] = 9066,
  [9774] = 9674,
  [9775] = 9072,
  [9776] = 9675,
  [9777] = 9080,
  [9778] = 9664,
  [9779] = 9081,
  [9780] = 9665,
  [9781] = 9082,
  [9782] = 9056,
  [9783] = 9681,
  [9784] = 9060,
  [9785] = 9061,
  [9786] = 8086,
  [9787] = 9662,
  [9788] = 9087,
  [9789] = 9089,
  [9790] = 9091,
  [9791] = 7979,
  [9792] = 9675,
  [9793] = 7980,
  [9794] = 2996,
  [9795] = 5414,
  [9796] = 9096,
  [9797] = 7981,
  [9798] = 7982,
  [9799] = 7983,
  [9800] = 9800,
  [9801] = 9429,
  [9802] = 9802,
  [9803] = 9056,
  [9804] = 3948,
  [9805] = 7984,
  [9806] = 9101,
  [9807] = 9102,
  [9808] = 9808,
  [9809] = 8916,
  [9810] = 9810,
  [9811] = 9669,
  [9812] = 9812,
  [9813] = 9667,
  [9814] = 9672,
  [9815] = 8851,
  [9816] = 9705,
  [9817] = 9817,
  [9818] = 8902,
  [9819] = 9108,
  [9820] = 9238,
  [9821] = 9821,
  [9822] = 9667,
  [9823] = 9566,
  [9824] = 9672,
  [9825] = 7985,
  [9826] = 7986,
  [9827] = 8325,
  [9828] = 9681,
  [9829] = 9667,
  [9830] = 9672,
  [9831] = 9674,
  [9832] = 5450,
  [9833] = 8882,
  [9834] = 9674,
  [9835] = 9675,
  [9836] = 8884,
  [9837] = 9674,
  [9838] = 9667,
  [9839] = 9664,
  [9840] = 9665,
  [9841] = 9662,
  [9842] = 8084,
  [9843] = 7987,
  [9844] = 7988,
  [9845] = 9672,
  [9846] = 9846,
  [9847] = 9674,
  [9848] = 9681,
  [9849] = 8885,
  [9850] = 9675,
  [9851] = 8888,
  [9852] = 8948,
  [9853] = 9664,
  [9854] = 9665,
  [9855] = 9662,
  [9856] = 9681,
  [9857] = 9857,
  [9858] = 9858,
  [9859] = 9566,
  [9860] = 9860,
  [9861] = 9675,
  [9862] = 9860,
  [9863] = 9681,
  [9864] = 9101,
  [9865] = 8983,
  [9866] = 3036,
  [9867] = 9664,
  [9868] = 9665,
  [9869] = 9251,
  [9870] = 9662,
  [9871] = 8084,
  [9872] = 9872,
  [9873] = 7994,
  [9874] = 9812,
  [9875] = 8956,
  [9876] = 7206,
  [9877] = 9060,
  [9878] = 9878,
  [9879] = 9664,
  [9880] = 3092,
  [9881] = 9060,
  [9882] = 9061,
  [9883] = 9061,
  [9884] = 3096,
  [9885] = 9102,
  [9886] = 9665,
  [9887] = 9667,
  [9888] = 9672,
  [9889] = 9674,
  [9890] = 8997,
  [9891] = 9675,
  [9892] = 7205,
  [9893] = 9664,
  [9894] = 9894,
  [9895] = 9667,
  [9896] = 9665,
  [9897] = 9662,
  [9898] = 9898,
  [9899] = 9681,
  [9900] = 9108,
  [9901] = 9003,
  [9902] = 9672,
  [9903] = 9674,
  [9904] = 9087,
  [9905] = 9800,
  [9906] = 9675,
  [9907] = 9802,
  [9908] = 9089,
  [9909] = 9664,
  [9910] = 9665,
  [9911] = 2996,
  [9912] = 9662,
  [9913] = 7990,
  [9914] = 9914,
  [9915] = 9681,
  [9916] = 9091,
  [9917] = 9238,
  [9918] = 9857,
  [9919] = 9675,
  [9920] = 9681,
  [9921] = 9921,
  [9922] = 9096,
  [9923] = 9226,
  [9924] = 3036,
  [9925] = 9808,
  [9926] = 3092,
  [9927] = 3096,
  [9928] = 9810,
  [9929] = 9108,
  [9930] = 2996,
  [9931] = 9931,
  [9932] = 9932,
  [9933] = 9933,
  [9934] = 9934,
  [9935] = 9931,
  [9936] = 9932,
  [9937] = 9933,
  [9938] = 9934,
  [9939] = 9338,
  [9940] = 9338,
  [9941] = 5450,
  [9942] = 9315,
  [9943] = 9315,
  [9944] = 9242,
  [9945] = 4719,
  [9946] = 3255,
  [9947] = 8884,
  [9948] = 7994,
  [9949] = 7978,
  [9950] = 8885,
  [9951] = 3263,
  [9952] = 8888,
  [9953] = 8891,
  [9954] = 9954,
  [9955] = 7435,
  [9956] = 9072,
  [9957] = 7385,
  [9958] = 9080,
  [9959] = 9954,
  [9960] = 7388,
  [9961] = 9961,
  [9962] = 9646,
  [9963] = 9081,
  [9964] = 7346,
  [9965] = 9082,
  [9966] = 3261,
  [9967] = 9954,
  [9968] = 9251,
  [9969] = 8916,
  [9970] = 9970,
  [9971] = 8084,
  [9972] = 9251,
  [9973] = 9810,
  [9974] = 9954,
  [9975] = 3260,
  [9976] = 4719,
  [9977] = 9977,
  [9978] = 9669,
  [9979] = 8948,
  [9980] = 8956,
  [9981] = 8983,
  [9982] = 9003,
  [9983] = 5414,
  [9984] = 4674,
  [9985] = 9705,
  [9986] = 7423,
  [9987] = 8882,
  [9988] = 9226,
  [9989] = 9808,
  [9990] = 9990,
  [9991] = 3250,
  [9992] = 7989,
  [9993] = 8086,
  [9994] = 7979,
  [9995] = 7980,
  [9996] = 7981,
  [9997] = 7982,
  [9998] = 7983,
  [9999] = 7984,
  [10000] = 10000,
  [10001] = 7985,
  [10002] = 7986,
  [10003] = 7987,
  [10004] = 7988,
  [10005] = 7990,
  [10006] = 9087,
  [10007] = 9089,
  [10008] = 9091,
  [10009] = 5378,
  [10010] = 10010,
  [10011] = 9954,
  [10012] = 9429,
  [10013] = 9954,
  [10014] = 8948,
  [10015] = 8772,
  [10016] = 3092,
  [10017] = 7347,
  [10018] = 3096,
  [10019] = 9954,
  [10020] = 5382,
  [10021] = 8956,
  [10022] = 7424,
  [10023] = 8772,
  [10024] = 7430,
  [10025] = 7431,
  [10026] = 8983,
  [10027] = 7432,
  [10028] = 9226,
  [10029] = 9954,
  [10030] = 9003,
  [10031] = 8047,
  [10032] = 7999,
  [10033] = 7348,
  [10034] = 8000,
  [10035] = 9954,
  [10036] = 7991,
  [10037] = 7349,
  [10038] = 10038,
  [10039] = 7992,
  [10040] = 9954,
  [10041] = 7379,
  [10042] = 9056,
  [10043] = 9566,
  [10044] = 10044,
  [10045] = 7380,
  [10046] = 7993,
  [10047] = 8916,
  [10048] = 9429,
  [10049] = 3253,
  [10050] = 10050,
  [10051] = 8816,
  [10052] = 7415,
  [10053] = 10000,
  [10054] = 8816,
  [10055] = 7356,
  [10056] = 8772,
  [10057] = 10057,
  [10058] = 10058,
  [10059] = 7433,
  [10060] = 9566,
  [10061] = 10061,
  [10062] = 10062,
  [10063] = 2996,
  [10064] = 7416,
  [10065] = 7434,
  [10066] = 9058,
  [10067] = 9066,
  [10068] = 9072,
  [10069] = 5264,
  [10070] = 7350,
  [10071] = 9080,
  [10072] = 9081,
  [10073] = 9082,
  [10074] = 9954,
  [10075] = 7389,
  [10076] = 10076,
  [10077] = 10077,
  [10078] = 8816,
  [10079] = 9954,
  [10080] = 8882,
  [10081] = 5423,
  [10082] = 8882,
  [10083] = 9954,
  [10084] = 10058,
  [10085] = 9961,
  [10086] = 7351,
  [10087] = 5438,
  [10088] = 7352,
  [10089] = 7353,
  [10090] = 2970,
  [10091] = 5282,
  [10092] = 5414,
  [10093] = 10050,
  [10094] = 2937,
  [10095] = 9251,
  [10096] = 3246,
  [10097] = 10044,
  [10098] = 10098,
  [10099] = 7371,
  [10100] = 7375,
  [10101] = 9954,
  [10102] = 7372,
  [10103] = 9954,
  [10104] = 5450,
  [10105] = 9251,
  [10106] = 7381,
  [10107] = 9954,
  [10108] = 5424,
  [10109] = 9087,
  [10110] = 3258,
  [10111] = 9226,
  [10112] = 9089,
  [10113] = 9091,
  [10114] = 8959,
  [10115] = 8902,
  [10116] = 8947,
  [10117] = 10061,
  [10118] = 9954,
  [10119] = 9226,
  [10120] = 8997,
  [10121] = 3254,
  [10122] = 3248,
  [10123] = 8998,
  [10124] = 8959,
  [10125] = 10038,
  [10126] = 8902,
  [10127] = 7978,
  [10128] = 8891,
  [10129] = 8947,
  [10130] = 9800,
  [10131] = 8816,
  [10132] = 9954,
  [10133] = 8997,
  [10134] = 7391,
  [10135] = 9802,
  [10136] = 10098,
  [10137] = 9954,
  [10138] = 9954,
  [10139] = 10139,
  [10140] = 4721,
  [10141] = 8884,
  [10142] = 8885,
  [10143] = 8998,
  [10144] = 9800,
  [10145] = 9802,
  [10146] = 8916,
  [10147] = 8888,
  [10148] = 9808,
  [10149] = 7989,
  [10150] = 9810,
  [10151] = 9669,
  [10152] = 9954,
  [10153] = 9705,
  [10154] = 5450,
  [10155] = 8772,
  [10156] = 9954,
  [10157] = 9056,
  [10158] = 3259,
  [10159] = 5450,
  [10160] = 7390,
  [10161] = 7355,
  [10162] = 10062,
  [10163] = 9066,
  [10164] = 5414,
  [10165] = 4674,
  [10166] = 9970,
  [10167] = 9058,
  [10168] = 3036,
  [10169] = 4721,
  [10170] = 9954,
  [10171] = 10171,
  [10172] = 7984,
  [10173] = 10173,
  [10174] = 7983,
  [10175] = 10175,
  [10176] = 10176,
  [10177] = 7985,
  [10178] = 10176,
  [10179] = 10176,
  [10180] = 7999,
  [10181] = 7980,
  [10182] = 7727,
  [10183] = 7986,
  [10184] = 7990,
  [10185] = 10176,
  [10186] = 9566,
  [10187] = 9860,
  [10188] = 10176,
  [10189] = 3092,
  [10190] = 3036,
  [10191] = 10176,
  [10192] = 10176,
  [10193] = 10176,
  [10194] = 9429,
  [10195] = 9800,
  [10196] = 9860,
  [10197] = 7981,
  [10198] = 7981,
  [10199] = 10199,
  [10200] = 10200,
  [10201] = 10201,
  [10202] = 10202,
  [10203] = 9802,
  [10204] = 10204,
  [10205] = 10205,
  [10206] = 8821,
  [10207] = 8816,
  [10208] = 10208,
  [10209] = 10176,
  [10210] = 9108,
  [10211] = 10211,
  [10212] = 10176,
  [10213] = 9705,
  [10214] = 10176,
  [10215] = 10215,
  [10216] = 10216,
  [10217] = 10176,
  [10218] = 10218,
  [10219] = 10219,
  [10220] = 7748,
  [10221] = 9101,
  [10222] = 7797,
  [10223] = 7987,
  [10224] = 10176,
  [10225] = 5323,
  [10226] = 4721,
  [10227] = 9096,
  [10228] = 8821,
  [10229] = 7760,
  [10230] = 10176,
  [10231] = 10176,
  [10232] = 10232,
  [10233] = 9857,
  [10234] = 7415,
  [10235] = 10201,
  [10236] = 10202,
  [10237] = 7985,
  [10238] = 9808,
  [10239] = 7813,
  [10240] = 7775,
  [10241] = 10176,
  [10242] = 10218,
  [10243] = 9102,
  [10244] = 9808,
  [10245] = 8120,
  [10246] = 9812,
  [10247] = 10176,
  [10248] = 9810,
  [10249] = 9669,
  [10250] = 9705,
  [10251] = 7982,
  [10252] = 10252,
  [10253] = 5277,
  [10254] = 7990,
  [10255] = 10176,
  [10256] = 7984,
  [10257] = 7682,
  [10258] = 10176,
  [10259] = 10176,
  [10260] = 10260,
  [10261] = 10261,
  [10262] = 10262,
  [10263] = 10176,
  [10264] = 7761,
  [10265] = 10176,
  [10266] = 7763,
  [10267] = 7994,
  [10268] = 10176,
  [10269] = 3096,
  [10270] = 10270,
  [10271] = 9108,
  [10272] = 3132,
  [10273] = 9226,
  [10274] = 10274,
  [10275] = 10176,
  [10276] = 10276,
  [10277] = 10277,
  [10278] = 5329,
  [10279] = 7979,
  [10280] = 8086,
  [10281] = 10281,
  [10282] = 8772,
  [10283] = 7987,
  [10284] = 10284,
  [10285] = 7988,
  [10286] = 7982,
  [10287] = 4674,
  [10288] = 9226,
  [10289] = 10176,
  [10290] = 7759,
  [10291] = 7986,
  [10292] = 9429,
  [10293] = 3128,
  [10294] = 7988,
  [10295] = 7731,
  [10296] = 2996,
  [10297] = 7779,
  [10298] = 7665,
  [10299] = 10176,
  [10300] = 10300,
  [10301] = 10176,
  [10302] = 10302,
  [10303] = 7994,
  [10304] = 10176,
  [10305] = 8125,
  [10306] = 10176,
  [10307] = 9810,
  [10308] = 9812,
  [10309] = 9429,
  [10310] = 10310,
  [10311] = 10262,
  [10312] = 10176,
  [10313] = 7978,
  [10314] = 8815,
  [10315] = 7762,
  [10316] = 10316,
  [10317] = 8132,
  [10318] = 9669,
  [10319] = 8084,
  [10320] = 10176,
  [10321] = 9061,
  [10322] = 10322,
  [10323] = 10176,
  [10324] = 9857,
  [10325] = 10176,
  [10326] = 7743,
  [10327] = 7983,
  [10328] = 9566,
  [10329] = 10252,
  [10330] = 10176,
  [10331] = 4850,
  [10332] = 10322,
  [10333] = 8086,
  [10334] = 7979,
  [10335] = 10284,
  [10336] = 7745,
  [10337] = 7978,
  [10338] = 10338,
  [10339] = 10339,
  [10340] = 8815,
  [10341] = 7831,
  [10342] = 9060,
  [10343] = 10175,
  [10344] = 10211,
  [10345] = 10176,
  [10346] = 10338,
  [10347] = 10274,
  [10348] = 8047,
  [10349] = 10173,
  [10350] = 3036,
  [10351] = 7989,
  [10352] = 10352,
  [10353] = 8000,
  [10354] = 9061,
  [10355] = 10316,
  [10356] = 9101,
  [10357] = 7991,
  [10358] = 10358,
  [10359] = 10205,
  [10360] = 10219,
  [10361] = 10215,
  [10362] = 10176,
  [10363] = 10232,
  [10364] = 10352,
  [10365] = 7992,
  [10366] = 10310,
  [10367] = 10176,
  [10368] = 10176,
  [10369] = 7993,
  [10370] = 9060,
  [10371] = 9429,
  [10372] = 10372,
  [10373] = 7980,
  [10374] = 10176,
  [10375] = 9800,
  [10376] = 10176,
  [10377] = 7780,
  [10378] = 7737,
  [10379] = 7989,
  [10380] = 8772,
  [10381] = 7781,
  [10382] = 8010,
  [10383] = 10176,
  [10384] = 9931,
  [10385] = 9932,
  [10386] = 9933,
  [10387] = 9934,
  [10388] = 10176,
  [10389] = 10358,
  [10390] = 9931,
  [10391] = 9932,
  [10392] = 9933,
  [10393] = 9934,
  [10394] = 3092,
  [10395] = 10171,
  [10396] = 3096,
  [10397] = 7782,
  [10398] = 8816,
  [10399] = 10176,
  [10400] = 10176,
  [10401] = 4719,
  [10402] = 9857,
  [10403] = 2996,
  [10404] = 9802,
  [10405] = 7758,
  [10406] = 10406,
  [10407] = 4850,
  [10408] = 9102,
  [10409] = 9857,
  [10410] = 10339,
  [10411] = 9096,
  [10412] = 8084,
  [10413] = 10413,
  [10414] = 10414,
  [10415] = 8997,
  [10416] = 10061,
  [10417] = 8998,
  [10418] = 8884,
  [10419] = 8885,
  [10420] = 7994,
  [10421] = 10421,
  [10422] = 8888,
  [10423] = 8215,
  [10424] = 8891,
  [10425] = 8959,
  [10426] = 8948,
  [10427] = 8956,
  [10428] = 10428,
  [10429] = 8983,
  [10430] = 10010,
  [10431] = 10062,
  [10432] = 8948,
  [10433] = 8956,
  [10434] = 4850,
  [10435] = 8983,
  [10436] = 10436,
  [10437] = 10437,
  [10438] = 9003,
  [10439] = 9056,
  [10440] = 8959,
  [10441] = 8902,
  [10442] = 8902,
  [10443] = 8947,
  [10444] = 8947,
  [10445] = 10057,
  [10446] = 8882,
  [10447] = 9003,
  [10448] = 8916,
  [10449] = 8997,
  [10450] = 3092,
  [10451] = 10451,
  [10452] = 3096,
  [10453] = 10453,
  [10454] = 8948,
  [10455] = 8956,
  [10456] = 8983,
  [10457] = 9003,
  [10458] = 8916,
  [10459] = 8998,
  [10460] = 8997,
  [10461] = 10061,
  [10462] = 8916,
  [10463] = 8086,
  [10464] = 10464,
  [10465] = 7979,
  [10466] = 7980,
  [10467] = 7981,
  [10468] = 7982,
  [10469] = 7983,
  [10470] = 7984,
  [10471] = 7985,
  [10472] = 7986,
  [10473] = 7987,
  [10474] = 7988,
  [10475] = 10475,
  [10476] = 10476,
  [10477] = 5450,
  [10478] = 8998,
  [10479] = 9800,
  [10480] = 9802,
  [10481] = 10437,
  [10482] = 9808,
  [10483] = 9810,
  [10484] = 9669,
  [10485] = 9705,
  [10486] = 10486,
  [10487] = 10487,
  [10488] = 10488,
  [10489] = 10489,
  [10490] = 10490,
  [10491] = 10491,
  [10492] = 10492,
  [10493] = 10437,
  [10494] = 9058,
  [10495] = 9066,
  [10496] = 9072,
  [10497] = 9080,
  [10498] = 9081,
  [10499] = 10476,
  [10500] = 10500,
  [10501] = 9082,
  [10502] = 10038,
  [10503] = 10503,
  [10504] = 10437,
  [10505] = 10201,
  [10506] = 10202,
  [10507] = 10218,
  [10508] = 10508,
  [10509] = 9087,
  [10510] = 9089,
  [10511] = 9091,
  [10512] = 3036,
  [10513] = 10421,
  [10514] = 5414,
  [10515] = 10437,
  [10516] = 10516,
  [10517] = 10517,
  [10518] = 2996,
  [10519] = 10519,
  [10520] = 3036,
  [10521] = 10521,
  [10522] = 5414,
  [10523] = 10044,
  [10524] = 3092,
  [10525] = 3096,
  [10526] = 9056,
  [10527] = 10527,
  [10528] = 9800,
  [10529] = 3092,
  [10530] = 9802,
  [10531] = 10061,
  [10532] = 10437,
  [10533] = 10533,
  [10534] = 10534,
  [10535] = 10453,
  [10536] = 10536,
  [10537] = 10098,
  [10538] = 3096,
  [10539] = 2996,
  [10540] = 10540,
  [10541] = 10541,
  [10542] = 10542,
  [10543] = 10543,
  [10544] = 10437,
  [10545] = 9977,
  [10546] = 10546,
  [10547] = 10437,
  [10548] = 10548,
  [10549] = 9058,
  [10550] = 9066,
  [10551] = 10551,
  [10552] = 10552,
  [10553] = 9072,
  [10554] = 9080,
  [10555] = 8215,
  [10556] = 10437,
  [10557] = 10557,
  [10558] = 7990,
  [10559] = 8882,
  [10560] = 5414,
  [10561] = 10437,
  [10562] = 10562,
  [10563] = 10490,
  [10564] = 10491,
  [10565] = 9251,
  [10566] = 9081,
  [10567] = 2996,
  [10568] = 9082,
  [10569] = 10437,
  [10570] = 10570,
  [10571] = 10571,
  [10572] = 2996,
  [10573] = 10437,
  [10574] = 10201,
  [10575] = 10202,
  [10576] = 8884,
  [10577] = 10218,
  [10578] = 8851,
  [10579] = 8885,
  [10580] = 10580,
  [10581] = 10058,
  [10582] = 10437,
  [10583] = 10475,
  [10584] = 10584,
  [10585] = 10062,
  [10586] = 10437,
  [10587] = 10587,
  [10588] = 10588,
  [10589] = 10589,
  [10590] = 8888,
  [10591] = 10437,
  [10592] = 10580,
  [10593] = 10593,
  [10594] = 10594,
  [10595] = 10595,
  [10596] = 10044,
  [10597] = 10437,
  [10598] = 9808,
  [10599] = 8891,
  [10600] = 10600,
  [10601] = 10061,
  [10602] = 10602,
  [10603] = 10038,
  [10604] = 10437,
  [10605] = 9058,
  [10606] = 10606,
  [10607] = 10607,
  [10608] = 10098,
  [10609] = 10609,
  [10610] = 9066,
  [10611] = 10437,
  [10612] = 9072,
  [10613] = 9080,
  [10614] = 10614,
  [10615] = 9081,
  [10616] = 10616,
  [10617] = 10437,
  [10618] = 8084,
  [10619] = 9082,
  [10620] = 10620,
  [10621] = 10621,
  [10622] = 10437,
  [10623] = 10623,
  [10624] = 10624,
  [10625] = 10437,
  [10626] = 10626,
  [10627] = 10437,
  [10628] = 5414,
  [10629] = 10437,
  [10630] = 5450,
  [10631] = 9251,
  [10632] = 9800,
  [10633] = 9802,
  [10634] = 9808,
  [10635] = 10635,
  [10636] = 9810,
  [10637] = 9669,
  [10638] = 9705,
  [10639] = 8884,
  [10640] = 8916,
  [10641] = 8885,
  [10642] = 3036,
  [10643] = 5450,
  [10644] = 10451,
  [10645] = 3036,
  [10646] = 10062,
  [10647] = 10647,
  [10648] = 10648,
  [10649] = 10649,
  [10650] = 10650,
  [10651] = 9810,
  [10652] = 9669,
  [10653] = 10653,
  [10654] = 10654,
  [10655] = 10655,
  [10656] = 10656,
  [10657] = 10657,
  [10658] = 10658,
  [10659] = 8888,
  [10660] = 5450,
  [10661] = 10661,
  [10662] = 10662,
  [10663] = 10044,
  [10664] = 10664,
  [10665] = 10665,
  [10666] = 10666,
  [10667] = 9087,
  [10668] = 10668,
  [10669] = 10669,
  [10670] = 10670,
  [10671] = 9089,
  [10672] = 9091,
  [10673] = 8891,
  [10674] = 10436,
  [10675] = 8959,
  [10676] = 10475,
  [10677] = 8902,
  [10678] = 8947,
  [10679] = 10679,
  [10680] = 10421,
  [10681] = 10681,
  [10682] = 10050,
  [10683] = 10436,
  [10684] = 9705,
  [10685] = 10685,
  [10686] = 10476,
  [10687] = 10000,
  [10688] = 10688,
  [10689] = 10580,
  [10690] = 10690,
  [10691] = 8997,
  [10692] = 10692,
  [10693] = 10693,
  [10694] = 10694,
  [10695] = 8998,
  [10696] = 10696,
  [10697] = 10050,
  [10698] = 10698,
  [10699] = 10000,
  [10700] = 10700,
  [10701] = 10701,
  [10702] = 10702,
  [10703] = 10703,
  [10704] = 10704,
  [10705] = 10705,
  [10706] = 10706,
  [10707] = 10707,
  [10708] = 10708,
  [10709] = 10709,
  [10710] = 10710,
  [10711] = 8884,
  [10712] = 10712,
  [10713] = 8885,
  [10714] = 9056,
  [10715] = 8888,
  [10716] = 10062,
  [10717] = 8891,
  [10718] = 10718,
  [10719] = 10719,
  [10720] = 9800,
  [10721] = 9802,
  [10722] = 10722,
  [10723] = 10723,
  [10724] = 10724,
  [10725] = 9808,
  [10726] = 10726,
  [10727] = 10727,
  [10728] = 9810,
  [10729] = 9669,
  [10730] = 8948,
  [10731] = 8956,
  [10732] = 8983,
  [10733] = 9003,
  [10734] = 9705,
  [10735] = 10058,
  [10736] = 8851,
  [10737] = 10737,
  [10738] = 10738,
  [10739] = 3092,
  [10740] = 9058,
  [10741] = 9066,
  [10742] = 9072,
  [10743] = 9080,
  [10744] = 9081,
  [10745] = 9082,
  [10746] = 3096,
  [10747] = 10747,
  [10748] = 9087,
  [10749] = 9089,
  [10750] = 9091,
  [10751] = 9056,
  [10752] = 9087,
  [10753] = 9089,
  [10754] = 8882,
  [10755] = 9091,
  [10756] = 8959,
  [10757] = 8902,
  [10758] = 8947,
  [10759] = 10044,
  [10760] = 8882,
  [10761] = 10761,
  [10762] = 10762,
  [10763] = 10763,
  [10764] = 10738,
  [10765] = 10761,
  [10766] = 10762,
  [10767] = 10763,
  [10768] = 10584,
  [10769] = 10436,
  [10770] = 10737,
  [10771] = 10626,
  [10772] = 10475,
  [10773] = 10421,
  [10774] = 10476,
  [10775] = 10580,
  [10776] = 10436,
  [10777] = 10737,
  [10778] = 10626,
  [10779] = 10475,
  [10780] = 10421,
  [10781] = 10476,
  [10782] = 10580,
  [10783] = 10436,
  [10784] = 10737,
  [10785] = 10626,
  [10786] = 10475,
  [10787] = 10421,
  [10788] = 10476,
  [10789] = 10580,
  [10790] = 10790,
  [10791] = 9087,
  [10792] = 10792,
  [10793] = 8885,
  [10794] = 8888,
  [10795] = 9072,
  [10796] = 9080,
  [10797] = 5450,
  [10798] = 8891,
  [10799] = 9081,
  [10800] = 10800,
  [10801] = 8885,
  [10802] = 10802,
  [10803] = 10803,
  [10804] = 10804,
  [10805] = 8888,
  [10806] = 10806,
  [10807] = 8916,
  [10808] = 10808,
  [10809] = 10809,
  [10810] = 9082,
  [10811] = 8891,
  [10812] = 10812,
  [10813] = 10804,
  [10814] = 10804,
  [10815] = 10806,
  [10816] = 10816,
  [10817] = 10804,
  [10818] = 10818,
  [10819] = 10819,
  [10820] = 8215,
  [10821] = 8948,
  [10822] = 8956,
  [10823] = 8983,
  [10824] = 10804,
  [10825] = 10819,
  [10826] = 9003,
  [10827] = 3096,
  [10828] = 10828,
  [10829] = 10829,
  [10830] = 10829,
  [10831] = 10831,
  [10832] = 10832,
  [10833] = 10804,
  [10834] = 10804,
  [10835] = 10835,
  [10836] = 9087,
  [10837] = 9860,
  [10838] = 9089,
  [10839] = 9091,
  [10840] = 10804,
  [10841] = 10804,
  [10842] = 10812,
  [10843] = 10804,
  [10844] = 10201,
  [10845] = 10202,
  [10846] = 10846,
  [10847] = 10098,
  [10848] = 9058,
  [10849] = 9066,
  [10850] = 9072,
  [10851] = 9080,
  [10852] = 9081,
  [10853] = 9082,
  [10854] = 10218,
  [10855] = 10855,
  [10856] = 10804,
  [10857] = 8086,
  [10858] = 7979,
  [10859] = 9056,
  [10860] = 7980,
  [10861] = 10855,
  [10862] = 7981,
  [10863] = 7982,
  [10864] = 7983,
  [10865] = 10262,
  [10866] = 7984,
  [10867] = 10804,
  [10868] = 7985,
  [10869] = 7986,
  [10870] = 7987,
  [10871] = 10322,
  [10872] = 10252,
  [10873] = 7988,
  [10874] = 10284,
  [10875] = 10804,
  [10876] = 10339,
  [10877] = 10175,
  [10878] = 10211,
  [10879] = 10338,
  [10880] = 10274,
  [10881] = 10173,
  [10882] = 10316,
  [10883] = 10358,
  [10884] = 10205,
  [10885] = 10219,
  [10886] = 7989,
  [10887] = 10215,
  [10888] = 10232,
  [10889] = 10352,
  [10890] = 10310,
  [10891] = 10490,
  [10892] = 10491,
  [10893] = 7990,
  [10894] = 10804,
  [10895] = 10490,
  [10896] = 10491,
  [10897] = 9857,
  [10898] = 8882,
  [10899] = 10262,
  [10900] = 10322,
  [10901] = 10804,
  [10902] = 10252,
  [10903] = 7381,
  [10904] = 10284,
  [10905] = 10339,
  [10906] = 10175,
  [10907] = 10211,
  [10908] = 10338,
  [10909] = 10274,
  [10910] = 10173,
  [10911] = 10316,
  [10912] = 10358,
  [10913] = 10205,
  [10914] = 10219,
  [10915] = 10215,
  [10916] = 10232,
  [10917] = 10352,
  [10918] = 10310,
  [10919] = 5414,
  [10920] = 5450,
  [10921] = 10804,
  [10922] = 10804,
  [10923] = 10832,
  [10924] = 10924,
  [10925] = 9860,
  [10926] = 10804,
  [10927] = 8884,
  [10928] = 9091,
  [10929] = 10808,
  [10930] = 10804,
  [10931] = 10804,
  [10932] = 10804,
  [10933] = 10804,
  [10934] = 10934,
  [10935] = 7978,
  [10936] = 9857,
  [10937] = 10804,
  [10938] = 2996,
  [10939] = 9056,
  [10940] = 10804,
  [10941] = 10941,
  [10942] = 10942,
  [10943] = 10846,
  [10944] = 10804,
  [10945] = 10945,
  [10946] = 10946,
  [10947] = 10947,
  [10948] = 8948,
  [10949] = 8956,
  [10950] = 8821,
  [10951] = 10804,
  [10952] = 8983,
  [10953] = 10855,
  [10954] = 9003,
  [10955] = 10955,
  [10956] = 10804,
  [10957] = 10957,
  [10958] = 10804,
  [10959] = 5450,
  [10960] = 10960,
  [10961] = 10804,
  [10962] = 8084,
  [10963] = 10963,
  [10964] = 8916,
  [10965] = 10965,
  [10966] = 10966,
  [10967] = 10804,
  [10968] = 10804,
  [10969] = 10804,
  [10970] = 8959,
  [10971] = 8902,
  [10972] = 3036,
  [10973] = 8947,
  [10974] = 8997,
  [10975] = 10975,
  [10976] = 8882,
  [10977] = 10977,
  [10978] = 8772,
  [10979] = 10804,
  [10980] = 10941,
  [10981] = 8998,
  [10982] = 10804,
  [10983] = 7999,
  [10984] = 10816,
  [10985] = 8000,
  [10986] = 7991,
  [10987] = 7992,
  [10988] = 3092,
  [10989] = 3096,
  [10990] = 10818,
  [10991] = 7993,
  [10992] = 3036,
  [10993] = 8816,
  [10994] = 8047,
  [10995] = 10804,
  [10996] = 5414,
  [10997] = 10098,
  [10998] = 10998,
  [10999] = 7989,
  [11000] = 9429,
  [11001] = 8815,
  [11002] = 9429,
  [11003] = 10804,
  [11004] = 10171,
  [11005] = 10171,
  [11006] = 2996,
  [11007] = 10804,
  [11008] = 10804,
  [11009] = 10828,
  [11010] = 11010,
  [11011] = 7994,
  [11012] = 10809,
  [11013] = 3092,
  [11014] = 11014,
  [11015] = 11014,
  [11016] = 11016,
  [11017] = 7978,
  [11018] = 10804,
  [11019] = 11019,
  [11020] = 10804,
  [11021] = 10977,
  [11022] = 8959,
  [11023] = 10804,
  [11024] = 10804,
  [11025] = 8902,
  [11026] = 8947,
  [11027] = 8997,
  [11028] = 11028,
  [11029] = 10201,
  [11030] = 8998,
  [11031] = 10202,
  [11032] = 10942,
  [11033] = 11016,
  [11034] = 10804,
  [11035] = 10218,
  [11036] = 10792,
  [11037] = 11037,
  [11038] = 9058,
  [11039] = 9066,
  [11040] = 11010,
  [11041] = 10804,
  [11042] = 11042,
  [11043] = 8884,
  [11044] = 10835,
  [11045] = 9089,
  [11046] = 11046,
  [11047] = 11047,
  [11048] = 11048,
  [11049] = 11046,
  [11050] = 11050,
  [11051] = 11051,
  [11052] = 11052,
  [11053] = 11053,
  [11054] = 11052,
  [11055] = 11053,
  [11056] = 11047,
  [11057] = 11048,
  [11058] = 11046,
  [11059] = 11059,
  [11060] = 11060,
  [11061] = 11047,
  [11062] = 10490,
  [11063] = 10491,
  [11064] = 11050,
  [11065] = 11048,
  [11066] = 11047,
  [11067] = 11067,
  [11068] = 9808,
  [11069] = 11046,
  [11070] = 11050,
  [11071] = 11059,
  [11072] = 11048,
  [11073] = 11046,
  [11074] = 11074,
  [11075] = 10202,
  [11076] = 11048,
  [11077] = 11047,
  [11078] = 11046,
  [11079] = 11050,
  [11080] = 11047,
  [11081] = 11046,
  [11082] = 11048,
  [11083] = 11050,
  [11084] = 11046,
  [11085] = 11050,
  [11086] = 11051,
  [11087] = 11052,
  [11088] = 11053,
  [11089] = 11089,
  [11090] = 11051,
  [11091] = 11052,
  [11092] = 11053,
  [11093] = 11059,
  [11094] = 11051,
  [11095] = 11052,
  [11096] = 11074,
  [11097] = 11097,
  [11098] = 11059,
  [11099] = 11099,
  [11100] = 11053,
  [11101] = 11074,
  [11102] = 10201,
  [11103] = 10202,
  [11104] = 10218,
  [11105] = 11105,
  [11106] = 11106,
  [11107] = 11047,
  [11108] = 11051,
  [11109] = 11060,
  [11110] = 11110,
  [11111] = 11111,
  [11112] = 11059,
  [11113] = 10490,
  [11114] = 10491,
  [11115] = 11047,
  [11116] = 11116,
  [11117] = 11074,
  [11118] = 11048,
  [11119] = 10044,
  [11120] = 11051,
  [11121] = 11052,
  [11122] = 11046,
  [11123] = 11050,
  [11124] = 11051,
  [11125] = 11052,
  [11126] = 11053,
  [11127] = 11127,
  [11128] = 11110,
  [11129] = 10044,
  [11130] = 11130,
  [11131] = 9810,
  [11132] = 9669,
  [11133] = 11074,
  [11134] = 10201,
  [11135] = 10202,
  [11136] = 11050,
  [11137] = 10218,
  [11138] = 11047,
  [11139] = 11048,
  [11140] = 11053,
  [11141] = 11048,
  [11142] = 11048,
  [11143] = 8086,
  [11144] = 7979,
  [11145] = 7980,
  [11146] = 7981,
  [11147] = 7982,
  [11148] = 7983,
  [11149] = 11074,
  [11150] = 7984,
  [11151] = 3024,
  [11152] = 11059,
  [11153] = 7985,
  [11154] = 11047,
  [11155] = 7986,
  [11156] = 7987,
  [11157] = 11048,
  [11158] = 7988,
  [11159] = 11046,
  [11160] = 11050,
  [11161] = 11059,
  [11162] = 11051,
  [11163] = 11052,
  [11164] = 11074,
  [11165] = 7990,
  [11166] = 11053,
  [11167] = 9705,
  [11168] = 11051,
  [11169] = 11047,
  [11170] = 11046,
  [11171] = 10061,
  [11172] = 11050,
  [11173] = 11046,
  [11174] = 11050,
  [11175] = 11052,
  [11176] = 11051,
  [11177] = 11048,
  [11178] = 11059,
  [11179] = 11051,
  [11180] = 11052,
  [11181] = 11053,
  [11182] = 11052,
  [11183] = 11051,
  [11184] = 11074,
  [11185] = 11111,
  [11186] = 11046,
  [11187] = 11050,
  [11188] = 11047,
  [11189] = 9808,
  [11190] = 11059,
  [11191] = 11074,
  [11192] = 11047,
  [11193] = 11048,
  [11194] = 11046,
  [11195] = 11050,
  [11196] = 11074,
  [11197] = 11051,
  [11198] = 11052,
  [11199] = 11052,
  [11200] = 11053,
  [11201] = 9800,
  [11202] = 11046,
  [11203] = 11050,
  [11204] = 11051,
  [11205] = 11074,
  [11206] = 11051,
  [11207] = 11052,
  [11208] = 11048,
  [11209] = 11052,
  [11210] = 9802,
  [11211] = 11106,
  [11212] = 11074,
  [11213] = 11053,
  [11214] = 11046,
  [11215] = 11050,
  [11216] = 11059,
  [11217] = 11053,
  [11218] = 11089,
  [11219] = 11219,
  [11220] = 11074,
  [11221] = 11047,
  [11222] = 11222,
  [11223] = 11048,
  [11224] = 11051,
  [11225] = 11052,
  [11226] = 11053,
  [11227] = 11048,
  [11228] = 11228,
  [11229] = 11053,
  [11230] = 11074,
  [11231] = 11046,
  [11232] = 11050,
  [11233] = 11051,
  [11234] = 11052,
  [11235] = 11053,
  [11236] = 7978,
  [11237] = 11074,
  [11238] = 11052,
  [11239] = 11074,
  [11240] = 11059,
  [11241] = 11241,
  [11242] = 11047,
  [11243] = 9800,
  [11244] = 11244,
  [11245] = 11053,
  [11246] = 11048,
  [11247] = 11074,
  [11248] = 11048,
  [11249] = 11059,
  [11250] = 11050,
  [11251] = 11051,
  [11252] = 11052,
  [11253] = 11053,
  [11254] = 11059,
  [11255] = 11059,
  [11256] = 11053,
  [11257] = 11046,
  [11258] = 11050,
  [11259] = 11074,
  [11260] = 10218,
  [11261] = 11074,
  [11262] = 11059,
  [11263] = 11047,
  [11264] = 11047,
  [11265] = 11051,
  [11266] = 11052,
  [11267] = 11074,
  [11268] = 11074,
  [11269] = 11059,
  [11270] = 11074,
  [11271] = 11047,
  [11272] = 11059,
  [11273] = 8084,
  [11274] = 10062,
  [11275] = 11048,
  [11276] = 11074,
  [11277] = 11047,
  [11278] = 11053,
  [11279] = 11048,
  [11280] = 11046,
  [11281] = 11050,
  [11282] = 11051,
  [11283] = 11052,
  [11284] = 11053,
  [11285] = 11074,
  [11286] = 11047,
  [11287] = 11074,
  [11288] = 11053,
  [11289] = 11048,
  [11290] = 11074,
  [11291] = 11046,
  [11292] = 11059,
  [11293] = 11048,
  [11294] = 11047,
  [11295] = 11074,
  [11296] = 11050,
  [11297] = 11046,
  [11298] = 11048,
  [11299] = 11050,
  [11300] = 11074,
  [11301] = 11046,
  [11302] = 11050,
  [11303] = 11051,
  [11304] = 11052,
  [11305] = 11053,
  [11306] = 11051,
  [11307] = 11074,
  [11308] = 11046,
  [11309] = 11059,
  [11310] = 11047,
  [11311] = 11074,
  [11312] = 11050,
  [11313] = 11048,
  [11314] = 11052,
  [11315] = 11051,
  [11316] = 11052,
  [11317] = 11046,
  [11318] = 11050,
  [11319] = 11074,
  [11320] = 11051,
  [11321] = 11052,
  [11322] = 11053,
  [11323] = 10062,
  [11324] = 11074,
  [11325] = 11053,
  [11326] = 11051,
  [11327] = 11052,
  [11328] = 11074,
  [11329] = 11329,
  [11330] = 11059,
  [11331] = 11047,
  [11332] = 11332,
  [11333] = 11074,
  [11334] = 11053,
  [11335] = 11048,
  [11336] = 11053,
  [11337] = 11074,
  [11338] = 11046,
  [11339] = 11050,
  [11340] = 11051,
  [11341] = 11052,
  [11342] = 10218,
  [11343] = 8086,
  [11344] = 11074,
  [11345] = 7979,
  [11346] = 7980,
  [11347] = 7981,
  [11348] = 7982,
  [11349] = 7983,
  [11350] = 7984,
  [11351] = 11074,
  [11352] = 7985,
  [11353] = 11059,
  [11354] = 7986,
  [11355] = 7987,
  [11356] = 7988,
  [11357] = 11047,
  [11358] = 7989,
  [11359] = 11099,
  [11360] = 11074,
  [11361] = 9802,
  [11362] = 11048,
  [11363] = 7990,
  [11364] = 11046,
  [11365] = 11050,
  [11366] = 11051,
  [11367] = 11052,
  [11368] = 11053,
  [11369] = 11222,
  [11370] = 11048,
  [11371] = 11059,
  [11372] = 11047,
  [11373] = 9226,
  [11374] = 11048,
  [11375] = 11099,
  [11376] = 11046,
  [11377] = 11050,
  [11378] = 11059,
  [11379] = 10761,
  [11380] = 11047,
  [11381] = 10762,
  [11382] = 10941,
  [11383] = 11051,
  [11384] = 10942,
  [11385] = 10846,
  [11386] = 11052,
  [11387] = 11053,
  [11388] = 11074,
  [11389] = 11059,
  [11390] = 9810,
  [11391] = 11048,
  [11392] = 11047,
  [11393] = 11046,
  [11394] = 11050,
  [11395] = 11051,
  [11396] = 7994,
  [11397] = 11052,
  [11398] = 11053,
  [11399] = 11046,
  [11400] = 11059,
  [11401] = 11047,
  [11402] = 5414,
  [11403] = 11050,
  [11404] = 11051,
  [11405] = 11048,
  [11406] = 11046,
  [11407] = 11050,
  [11408] = 11051,
  [11409] = 11052,
  [11410] = 11053,
  [11411] = 11052,
  [11412] = 11053,
  [11413] = 9669,
  [11414] = 11046,
  [11415] = 11050,
  [11416] = 11059,
  [11417] = 11059,
  [11418] = 11047,
  [11419] = 11048,
  [11420] = 8047,
  [11421] = 11046,
  [11422] = 11050,
  [11423] = 11051,
  [11424] = 11052,
  [11425] = 11053,
  [11426] = 11059,
  [11427] = 11059,
  [11428] = 11047,
  [11429] = 11059,
  [11430] = 11059,
  [11431] = 11047,
  [11432] = 11047,
  [11433] = 11048,
  [11434] = 11059,
  [11435] = 11046,
  [11436] = 11050,
  [11437] = 11116,
  [11438] = 11048,
  [11439] = 11059,
  [11440] = 11051,
  [11441] = 11052,
  [11442] = 11053,
  [11443] = 11059,
  [11444] = 11047,
  [11445] = 11046,
  [11446] = 10941,
  [11447] = 10942,
  [11448] = 10846,
  [11449] = 11050,
  [11450] = 11051,
  [11451] = 11047,
  [11452] = 11052,
  [11453] = 11053,
  [11454] = 11047,
  [11455] = 11059,
  [11456] = 11059,
  [11457] = 11047,
  [11458] = 11047,
  [11459] = 11048,
  [11460] = 7994,
  [11461] = 7978,
  [11462] = 11048,
  [11463] = 11046,
  [11464] = 11050,
  [11465] = 11051,
  [11466] = 11052,
  [11467] = 11053,
  [11468] = 11048,
  [11469] = 11059,
  [11470] = 11047,
  [11471] = 11471,
  [11472] = 11048,
  [11473] = 11048,
  [11474] = 11048,
  [11475] = 11046,
  [11476] = 11050,
  [11477] = 11051,
  [11478] = 11052,
  [11479] = 11053,
  [11480] = 11046,
  [11481] = 11050,
  [11482] = 11046,
  [11483] = 2970,
  [11484] = 11047,
  [11485] = 11050,
  [11486] = 11051,
  [11487] = 11051,
  [11488] = 11052,
  [11489] = 11059,
  [11490] = 11046,
  [11491] = 11050,
  [11492] = 11053,
  [11493] = 11047,
  [11494] = 11074,
  [11495] = 11051,
  [11496] = 11052,
  [11497] = 11052,
  [11498] = 11053,
  [11499] = 11499,
  [11500] = 11048,
  [11501] = 11047,
  [11502] = 11046,
  [11503] = 11050,
  [11504] = 11051,
  [11505] = 11052,
  [11506] = 11053,
  [11507] = 3263,
  [11508] = 7989,
  [11509] = 11053,
  [11510] = 10061,
  [11511] = 10201,
  [11512] = 11219,
  [11513] = 8084,
  [11514] = 8851,
  [11515] = 11059,
  [11516] = 11047,
  [11517] = 11048,
  [11518] = 8084,
  [11519] = 11048,
  [11520] = 11048,
  [11521] = 11046,
  [11522] = 11050,
  [11523] = 11051,
  [11524] = 11052,
  [11525] = 11046,
  [11526] = 11053,
  [11527] = 11527,
  [11528] = 11528,
  [11529] = 9705,
  [11530] = 7999,
  [11531] = 10763,
  [11532] = 8000,
  [11533] = 10828,
  [11534] = 11059,
  [11535] = 11010,
  [11536] = 7991,
  [11537] = 7992,
  [11538] = 11047,
  [11539] = 7993,
  [11540] = 11059,
  [11541] = 11048,
  [11542] = 11046,
  [11543] = 11050,
  [11544] = 11050,
  [11545] = 10828,
  [11546] = 11010,
  [11547] = 10738,
  [11548] = 10761,
  [11549] = 10762,
  [11550] = 10763,
  [11551] = 10738,
  [11552] = 11059,
  [11553] = 11051,
  [11554] = 11052,
  [11555] = 11051,
  [11556] = 11052,
  [11557] = 11053,
  [11558] = 11053,
  [11559] = 11059,
  [11560] = 11046,
  [11561] = 11074,
  [11562] = 11047,
  [11563] = 11059,
  [11564] = 11074,
  [11565] = 10201,
  [11566] = 10202,
  [11567] = 11050,
  [11568] = 11051,
  [11569] = 11053,
  [11570] = 11570,
  [11571] = 8086,
  [11572] = 7979,
  [11573] = 11573,
  [11574] = 11089,
  [11575] = 7980,
  [11576] = 8084,
  [11577] = 7981,
  [11578] = 7982,
  [11579] = 7983,
  [11580] = 7989,
  [11581] = 7984,
  [11582] = 7985,
  [11583] = 7986,
  [11584] = 7987,
  [11585] = 7988,
  [11586] = 7989,
  [11587] = 11587,
  [11588] = 7990,
  [11589] = 9082,
  [11590] = 7994,
  [11591] = 7978,
  [11592] = 11592,
  [11593] = 8084,
  [11594] = 7994,
  [11595] = 11089,
  [11596] = 11222,
  [11597] = 10809,
  [11598] = 11570,
  [11599] = 8084,
  [11600] = 9860,
  [11601] = 10490,
  [11602] = 11602,
  [11603] = 11603,
  [11604] = 8948,
  [11605] = 9860,
  [11606] = 10941,
  [11607] = 8882,
  [11608] = 11602,
  [11609] = 10942,
  [11610] = 10846,
  [11611] = 10832,
  [11612] = 10792,
  [11613] = 11570,
  [11614] = 10812,
  [11615] = 9091,
  [11616] = 7978,
  [11617] = 8983,
  [11618] = 8916,
  [11619] = 7999,
  [11620] = 8000,
  [11621] = 7991,
  [11622] = 11602,
  [11623] = 7992,
  [11624] = 10941,
  [11625] = 7993,
  [11626] = 10942,
  [11627] = 10846,
  [11628] = 8047,
  [11629] = 8956,
  [11630] = 10490,
  [11631] = 10491,
  [11632] = 11632,
  [11633] = 11602,
  [11634] = 10491,
  [11635] = 10806,
  [11636] = 10816,
  [11637] = 9056,
  [11638] = 11106,
  [11639] = 11570,
  [11640] = 11640,
  [11641] = 5414,
  [11642] = 11570,
  [11643] = 10792,
  [11644] = 3036,
  [11645] = 3092,
  [11646] = 3096,
  [11647] = 11116,
  [11648] = 2996,
  [11649] = 8959,
  [11650] = 8902,
  [11651] = 8947,
  [11652] = 10808,
  [11653] = 10809,
  [11654] = 10977,
  [11655] = 8997,
  [11656] = 10098,
  [11657] = 8998,
  [11658] = 10818,
  [11659] = 8086,
  [11660] = 7979,
  [11661] = 10812,
  [11662] = 7980,
  [11663] = 7981,
  [11664] = 7982,
  [11665] = 7983,
  [11666] = 7984,
  [11667] = 7985,
  [11668] = 7986,
  [11669] = 7987,
  [11670] = 7988,
  [11671] = 11602,
  [11672] = 11672,
  [11673] = 10806,
  [11674] = 10816,
  [11675] = 10818,
  [11676] = 10490,
  [11677] = 10491,
  [11678] = 9003,
  [11679] = 10819,
  [11680] = 9058,
  [11681] = 7990,
  [11682] = 9066,
  [11683] = 8884,
  [11684] = 8885,
  [11685] = 11602,
  [11686] = 8888,
  [11687] = 11222,
  [11688] = 9089,
  [11689] = 10819,
  [11690] = 8891,
  [11691] = 11691,
  [11692] = 10829,
  [11693] = 9072,
  [11694] = 11570,
  [11695] = 10829,
  [11696] = 10832,
  [11697] = 11106,
  [11698] = 11060,
  [11699] = 11110,
  [11700] = 9080,
  [11701] = 11111,
  [11702] = 11060,
  [11703] = 11110,
  [11704] = 11111,
  [11705] = 11116,
  [11706] = 10828,
  [11707] = 11010,
  [11708] = 10098,
  [11709] = 10828,
  [11710] = 11010,
  [11711] = 9087,
  [11712] = 5450,
  [11713] = 11640,
  [11714] = 11632,
  [11715] = 11014,
  [11716] = 11016,
  [11717] = 10808,
  [11718] = 11014,
  [11719] = 11016,
  [11720] = 9081,
  [11721] = 10490,
  [11722] = 10491,
  [11723] = 11570,
  [11724] = 11602,
  [11725] = 11602,
  [11726] = 10835,
  [11727] = 10977,
  [11728] = 10835,
  [11729] = 11603,
  [11730] = 7979,
  [11731] = 11731,
  [11732] = 11732,
  [11733] = 11733,
  [11734] = 8815,
  [11735] = 8816,
  [11736] = 7978,
  [11737] = 7978,
  [11738] = 7994,
  [11739] = 11733,
  [11740] = 7999,
  [11741] = 8000,
  [11742] = 8047,
  [11743] = 11743,
  [11744] = 7992,
  [11745] = 11745,
  [11746] = 4674,
  [11747] = 11747,
  [11748] = 11745,
  [11749] = 7991,
  [11750] = 11750,
  [11751] = 11751,
  [11752] = 11752,
  [11753] = 7993,
  [11754] = 11745,
  [11755] = 7994,
  [11756] = 7978,
  [11757] = 7999,
  [11758] = 8047,
  [11759] = 11745,
  [11760] = 7992,
  [11761] = 7993,
  [11762] = 10941,
  [11763] = 8086,
  [11764] = 10942,
  [11765] = 10846,
  [11766] = 7978,
  [11767] = 8084,
  [11768] = 11768,
  [11769] = 11745,
  [11770] = 11745,
  [11771] = 8000,
  [11772] = 7993,
  [11773] = 7991,
  [11774] = 11774,
  [11775] = 7987,
  [11776] = 11747,
  [11777] = 11745,
  [11778] = 2970,
  [11779] = 8816,
  [11780] = 11780,
  [11781] = 11745,
  [11782] = 8821,
  [11783] = 11783,
  [11784] = 11784,
  [11785] = 11785,
  [11786] = 7978,
  [11787] = 10941,
  [11788] = 10942,
  [11789] = 10846,
  [11790] = 11790,
  [11791] = 7987,
  [11792] = 11743,
  [11793] = 11793,
  [11794] = 8772,
  [11795] = 11745,
  [11796] = 11745,
  [11797] = 7988,
  [11798] = 7992,
  [11799] = 7993,
  [11800] = 11800,
  [11801] = 11745,
  [11802] = 11802,
  [11803] = 11785,
  [11804] = 11804,
  [11805] = 11745,
  [11806] = 8821,
  [11807] = 11745,
  [11808] = 8000,
  [11809] = 7979,
  [11810] = 10201,
  [11811] = 8047,
  [11812] = 7991,
  [11813] = 11813,
  [11814] = 7999,
  [11815] = 7989,
  [11816] = 11745,
  [11817] = 11817,
  [11818] = 10202,
  [11819] = 9226,
  [11820] = 11745,
  [11821] = 4719,
  [11822] = 7999,
  [11823] = 7989,
  [11824] = 11745,
  [11825] = 11780,
  [11826] = 10218,
  [11827] = 11827,
  [11828] = 8086,
  [11829] = 11745,
  [11830] = 11745,
  [11831] = 8086,
  [11832] = 2937,
  [11833] = 11745,
  [11834] = 11834,
  [11835] = 11743,
  [11836] = 7980,
  [11837] = 8815,
  [11838] = 7981,
  [11839] = 7982,
  [11840] = 11745,
  [11841] = 7983,
  [11842] = 7984,
  [11843] = 11751,
  [11844] = 11844,
  [11845] = 8000,
  [11846] = 7985,
  [11847] = 7986,
  [11848] = 7991,
  [11849] = 8086,
  [11850] = 7987,
  [11851] = 7988,
  [11852] = 7990,
  [11853] = 7988,
  [11854] = 7999,
  [11855] = 7992,
  [11856] = 7989,
  [11857] = 7989,
  [11858] = 8000,
  [11859] = 7993,
  [11860] = 7979,
  [11861] = 11768,
  [11862] = 3246,
  [11863] = 7980,
  [11864] = 7981,
  [11865] = 7991,
  [11866] = 7982,
  [11867] = 11867,
  [11868] = 3254,
  [11869] = 7992,
  [11870] = 11745,
  [11871] = 7994,
  [11872] = 11872,
  [11873] = 11873,
  [11874] = 3248,
  [11875] = 7979,
  [11876] = 7980,
  [11877] = 7981,
  [11878] = 7982,
  [11879] = 8086,
  [11880] = 11745,
  [11881] = 11881,
  [11882] = 11745,
  [11883] = 7979,
  [11884] = 11867,
  [11885] = 11745,
  [11886] = 7980,
  [11887] = 11887,
  [11888] = 7991,
  [11889] = 7983,
  [11890] = 7981,
  [11891] = 7982,
  [11892] = 7984,
  [11893] = 11793,
  [11894] = 11894,
  [11895] = 7994,
  [11896] = 7983,
  [11897] = 7984,
  [11898] = 7985,
  [11899] = 7992,
  [11900] = 7986,
  [11901] = 11901,
  [11902] = 7986,
  [11903] = 7985,
  [11904] = 7986,
  [11905] = 8084,
  [11906] = 7988,
  [11907] = 11732,
  [11908] = 11745,
  [11909] = 7987,
  [11910] = 3255,
  [11911] = 11745,
  [11912] = 4721,
  [11913] = 7988,
  [11914] = 7978,
  [11915] = 3263,
  [11916] = 7980,
  [11917] = 7990,
  [11918] = 11918,
  [11919] = 11887,
  [11920] = 7989,
  [11921] = 7990,
  [11922] = 7983,
  [11923] = 7981,
  [11924] = 7989,
  [11925] = 11925,
  [11926] = 11745,
  [11927] = 7989,
  [11928] = 7982,
  [11929] = 10202,
  [11930] = 11930,
  [11931] = 7984,
  [11932] = 7985,
  [11933] = 11745,
  [11934] = 7993,
  [11935] = 9857,
  [11936] = 7986,
  [11937] = 7987,
  [11938] = 11793,
  [11939] = 7988,
  [11940] = 11732,
  [11941] = 11745,
  [11942] = 8084,
  [11943] = 8047,
  [11944] = 7983,
  [11945] = 11745,
  [11946] = 7984,
  [11947] = 8084,
  [11948] = 7978,
  [11949] = 11745,
  [11950] = 7994,
  [11951] = 8772,
  [11952] = 8047,
  [11953] = 11867,
  [11954] = 11745,
  [11955] = 7989,
  [11956] = 11901,
  [11957] = 7978,
  [11958] = 11743,
  [11959] = 11959,
  [11960] = 7994,
  [11961] = 7978,
  [11962] = 8084,
  [11963] = 7985,
  [11964] = 11732,
  [11965] = 7990,
  [11966] = 7989,
  [11967] = 8047,
  [11968] = 7978,
  [11969] = 7986,
  [11970] = 11745,
  [11971] = 11745,
  [11972] = 7989,
  [11973] = 7999,
  [11974] = 10828,
  [11975] = 11010,
  [11976] = 8000,
  [11977] = 7991,
  [11978] = 7994,
  [11979] = 10218,
  [11980] = 11800,
  [11981] = 11981,
  [11982] = 10828,
  [11983] = 11010,
  [11984] = 7989,
  [11985] = 11790,
  [11986] = 11745,
  [11987] = 11745,
  [11988] = 7978,
  [11989] = 11745,
  [11990] = 11745,
  [11991] = 11872,
  [11992] = 11881,
  [11993] = 7990,
  [11994] = 11994,
  [11995] = 11995,
  [11996] = 7999,
  [11997] = 8084,
  [11998] = 11745,
  [11999] = 7990,
  [12000] = 11745,
  [12001] = 9857,
  [12002] = 7992,
  [12003] = 11981,
  [12004] = 11918,
  [12005] = 11732,
  [12006] = 8086,
  [12007] = 7979,
  [12008] = 3250,
  [12009] = 7980,
  [12010] = 7981,
  [12011] = 12011,
  [12012] = 7982,
  [12013] = 7983,
  [12014] = 7984,
  [12015] = 7985,
  [12016] = 7986,
  [12017] = 7987,
  [12018] = 7988,
  [12019] = 7993,
  [12020] = 7990,
  [12021] = 11887,
  [12022] = 8086,
  [12023] = 7979,
  [12024] = 7980,
  [12025] = 7981,
  [12026] = 7982,
  [12027] = 7983,
  [12028] = 8000,
  [12029] = 12029,
  [12030] = 8084,
  [12031] = 7984,
  [12032] = 7978,
  [12033] = 7985,
  [12034] = 11745,
  [12035] = 11752,
  [12036] = 7989,
  [12037] = 12029,
  [12038] = 11750,
  [12039] = 11784,
  [12040] = 11745,
  [12041] = 11894,
  [12042] = 11844,
  [12043] = 10201,
  [12044] = 11959,
  [12045] = 11925,
  [12046] = 11813,
  [12047] = 11804,
  [12048] = 7987,
  [12049] = 12049,
  [12050] = 12050,
  [12051] = 7994,
  [12052] = 12052,
  [12053] = 12053,
  [12054] = 7993,
  [12055] = 10062,
  [12056] = 7978,
  [12057] = 8047,
  [12058] = 7989,
  [12059] = 12059,
  [12060] = 8000,
  [12061] = 7991,
  [12062] = 8084,
  [12063] = 12050,
  [12064] = 7994,
  [12065] = 12053,
  [12066] = 7990,
  [12067] = 8086,
  [12068] = 7979,
  [12069] = 8084,
  [12070] = 7980,
  [12071] = 8084,
  [12072] = 7981,
  [12073] = 7982,
  [12074] = 7989,
  [12075] = 12053,
  [12076] = 7990,
  [12077] = 12059,
  [12078] = 7985,
  [12079] = 7983,
  [12080] = 12059,
  [12081] = 7984,
  [12082] = 7985,
  [12083] = 12059,
  [12084] = 8086,
  [12085] = 12059,
  [12086] = 12059,
  [12087] = 12059,
  [12088] = 7986,
  [12089] = 7999,
  [12090] = 8000,
  [12091] = 7991,
  [12092] = 7992,
  [12093] = 7986,
  [12094] = 7987,
  [12095] = 12050,
  [12096] = 7993,
  [12097] = 7988,
  [12098] = 12053,
  [12099] = 7979,
  [12100] = 8086,
  [12101] = 12059,
  [12102] = 12050,
  [12103] = 8851,
  [12104] = 12050,
  [12105] = 10490,
  [12106] = 3250,
  [12107] = 12053,
  [12108] = 12050,
  [12109] = 7980,
  [12110] = 12059,
  [12111] = 12053,
  [12112] = 12059,
  [12113] = 12050,
  [12114] = 7979,
  [12115] = 7980,
  [12116] = 7981,
  [12117] = 7982,
  [12118] = 7983,
  [12119] = 7984,
  [12120] = 12120,
  [12121] = 12121,
  [12122] = 12122,
  [12123] = 12050,
  [12124] = 12050,
  [12125] = 12050,
  [12126] = 12053,
  [12127] = 3263,
  [12128] = 7990,
  [12129] = 12059,
  [12130] = 8086,
  [12131] = 7979,
  [12132] = 12053,
  [12133] = 7980,
  [12134] = 12050,
  [12135] = 12053,
  [12136] = 12059,
  [12137] = 7981,
  [12138] = 12053,
  [12139] = 12053,
  [12140] = 7982,
  [12141] = 7987,
  [12142] = 7983,
  [12143] = 4850,
  [12144] = 7984,
  [12145] = 7985,
  [12146] = 7985,
  [12147] = 7986,
  [12148] = 7987,
  [12149] = 7990,
  [12150] = 8331,
  [12151] = 7988,
  [12152] = 12053,
  [12153] = 7989,
  [12154] = 12059,
  [12155] = 7986,
  [12156] = 12059,
  [12157] = 12050,
  [12158] = 12053,
  [12159] = 8084,
  [12160] = 7987,
  [12161] = 10490,
  [12162] = 10491,
  [12163] = 8084,
  [12164] = 7990,
  [12165] = 12059,
  [12166] = 12059,
  [12167] = 7988,
  [12168] = 12059,
  [12169] = 7994,
  [12170] = 12059,
  [12171] = 12059,
  [12172] = 8010,
  [12173] = 12050,
  [12174] = 12059,
  [12175] = 7994,
  [12176] = 7978,
  [12177] = 12059,
  [12178] = 12059,
  [12179] = 12059,
  [12180] = 12050,
  [12181] = 12050,
  [12182] = 7988,
  [12183] = 12053,
  [12184] = 7989,
  [12185] = 12059,
  [12186] = 12053,
  [12187] = 8084,
  [12188] = 12059,
  [12189] = 7999,
  [12190] = 12050,
  [12191] = 12059,
  [12192] = 3258,
  [12193] = 12059,
  [12194] = 7989,
  [12195] = 12059,
  [12196] = 8084,
  [12197] = 12059,
  [12198] = 12050,
  [12199] = 12059,
  [12200] = 12059,
  [12201] = 8086,
  [12202] = 12059,
  [12203] = 12050,
  [12204] = 7990,
  [12205] = 12053,
  [12206] = 12059,
  [12207] = 12053,
  [12208] = 7979,
  [12209] = 8084,
  [12210] = 12210,
  [12211] = 7980,
  [12212] = 7981,
  [12213] = 7982,
  [12214] = 7983,
  [12215] = 12215,
  [12216] = 3259,
  [12217] = 7984,
  [12218] = 7985,
  [12219] = 7986,
  [12220] = 8086,
  [12221] = 12059,
  [12222] = 7987,
  [12223] = 7988,
  [12224] = 12053,
  [12225] = 7979,
  [12226] = 12059,
  [12227] = 8325,
  [12228] = 12050,
  [12229] = 12053,
  [12230] = 12050,
  [12231] = 7980,
  [12232] = 7981,
  [12233] = 7981,
  [12234] = 7978,
  [12235] = 12059,
  [12236] = 3253,
  [12237] = 7989,
  [12238] = 12050,
  [12239] = 12053,
  [12240] = 7982,
  [12241] = 10491,
  [12242] = 2937,
  [12243] = 12053,
  [12244] = 3254,
  [12245] = 7982,
  [12246] = 7990,
  [12247] = 8047,
  [12248] = 7983,
  [12249] = 7994,
  [12250] = 12059,
  [12251] = 7994,
  [12252] = 7978,
  [12253] = 7999,
  [12254] = 8000,
  [12255] = 7991,
  [12256] = 7992,
  [12257] = 7988,
  [12258] = 7978,
  [12259] = 7983,
  [12260] = 3090,
  [12261] = 12050,
  [12262] = 12122,
  [12263] = 8084,
  [12264] = 12053,
  [12265] = 7984,
  [12266] = 7992,
  [12267] = 8125,
  [12268] = 12059,
  [12269] = 12050,
  [12270] = 7994,
  [12271] = 12053,
  [12272] = 12059,
  [12273] = 7984,
  [12274] = 7985,
  [12275] = 7993,
  [12276] = 7986,
  [12277] = 7987,
  [12278] = 7988,
  [12279] = 12050,
  [12280] = 8084,
  [12281] = 12050,
  [12282] = 12053,
  [12283] = 12059,
  [12284] = 12059,
  [12285] = 12050,
  [12286] = 12053,
  [12287] = 8132,
  [12288] = 12288,
  [12289] = 8086,
  [12290] = 7989,
  [12291] = 12291,
  [12292] = 12059,
  [12293] = 12052,
  [12294] = 12059,
  [12295] = 12050,
  [12296] = 7979,
  [12297] = 12050,
  [12298] = 8086,
  [12299] = 12053,
  [12300] = 12059,
  [12301] = 12053,
  [12302] = 7979,
  [12303] = 12059,
  [12304] = 7980,
  [12305] = 7981,
  [12306] = 12050,
  [12307] = 7982,
  [12308] = 12053,
  [12309] = 7980,
  [12310] = 12053,
  [12311] = 7983,
  [12312] = 7984,
  [12313] = 7985,
  [12314] = 12053,
  [12315] = 7986,
  [12316] = 12059,
  [12317] = 7987,
  [12318] = 12050,
  [12319] = 7988,
  [12320] = 12053,
  [12321] = 12321,
  [12322] = 7981,
  [12323] = 7982,
  [12324] = 8851,
  [12325] = 7983,
  [12326] = 12059,
  [12327] = 12059,
  [12328] = 12288,
  [12329] = 7984,
  [12330] = 12050,
  [12331] = 12331,
  [12332] = 7990,
  [12333] = 12050,
  [12334] = 7999,
  [12335] = 12059,
  [12336] = 12053,
  [12337] = 12050,
  [12338] = 12053,
  [12339] = 12059,
  [12340] = 3246,
  [12341] = 8000,
  [12342] = 12050,
  [12343] = 2970,
  [12344] = 12053,
  [12345] = 7978,
  [12346] = 12059,
  [12347] = 7985,
  [12348] = 12050,
  [12349] = 7991,
  [12350] = 12050,
  [12351] = 12050,
  [12352] = 12053,
  [12353] = 8047,
  [12354] = 12053,
  [12355] = 7994,
  [12356] = 7989,
  [12357] = 3086,
  [12358] = 12053,
  [12359] = 7994,
  [12360] = 12059,
  [12361] = 12059,
  [12362] = 7978,
  [12363] = 12050,
  [12364] = 12053,
  [12365] = 8000,
  [12366] = 7991,
  [12367] = 10062,
  [12368] = 8086,
  [12369] = 7979,
  [12370] = 3248,
  [12371] = 7999,
  [12372] = 7980,
  [12373] = 7981,
  [12374] = 7982,
  [12375] = 7992,
  [12376] = 7983,
  [12377] = 7984,
  [12378] = 12059,
  [12379] = 8084,
  [12380] = 12050,
  [12381] = 7985,
  [12382] = 7986,
  [12383] = 7987,
  [12384] = 7988,
  [12385] = 12053,
  [12386] = 7978,
  [12387] = 7999,
  [12388] = 8000,
  [12389] = 7991,
  [12390] = 7992,
  [12391] = 7993,
  [12392] = 7992,
  [12393] = 7993,
  [12394] = 7990,
  [12395] = 7986,
  [12396] = 12059,
  [12397] = 7987,
  [12398] = 12050,
  [12399] = 8047,
  [12400] = 12059,
  [12401] = 12053,
  [12402] = 12050,
  [12403] = 12053,
  [12404] = 7990,
  [12405] = 12121,
  [12406] = 12050,
  [12407] = 8120,
  [12408] = 7988,
  [12409] = 12053,
  [12410] = 7994,
  [12411] = 12059,
  [12412] = 8086,
  [12413] = 7979,
  [12414] = 7980,
  [12415] = 3260,
  [12416] = 3261,
  [12417] = 7981,
  [12418] = 7982,
  [12419] = 7983,
  [12420] = 7984,
  [12421] = 7985,
  [12422] = 7986,
  [12423] = 7987,
  [12424] = 3255,
  [12425] = 7993,
  [12426] = 8902,
  [12427] = 11750,
  [12428] = 11881,
  [12429] = 7980,
  [12430] = 12430,
  [12431] = 12431,
  [12432] = 7983,
  [12433] = 7984,
  [12434] = 9072,
  [12435] = 12435,
  [12436] = 12435,
  [12437] = 12435,
  [12438] = 8215,
  [12439] = 7985,
  [12440] = 12440,
  [12441] = 11881,
  [12442] = 7986,
  [12443] = 7988,
  [12444] = 3092,
  [12445] = 12435,
  [12446] = 8948,
  [12447] = 7990,
  [12448] = 7987,
  [12449] = 7988,
  [12450] = 8916,
  [12451] = 8084,
  [12452] = 12452,
  [12453] = 12453,
  [12454] = 9066,
  [12455] = 7990,
  [12456] = 11747,
  [12457] = 8956,
  [12458] = 8983,
  [12459] = 3096,
  [12460] = 11751,
  [12461] = 8959,
  [12462] = 12435,
  [12463] = 12463,
  [12464] = 11800,
  [12465] = 12435,
  [12466] = 7990,
  [12467] = 12440,
  [12468] = 9089,
  [12469] = 8084,
  [12470] = 11918,
  [12471] = 7994,
  [12472] = 12472,
  [12473] = 12029,
  [12474] = 11752,
  [12475] = 8084,
  [12476] = 8884,
  [12477] = 8885,
  [12478] = 12435,
  [12479] = 12463,
  [12480] = 8888,
  [12481] = 5450,
  [12482] = 12435,
  [12483] = 8891,
  [12484] = 11733,
  [12485] = 9091,
  [12486] = 12486,
  [12487] = 11747,
  [12488] = 8084,
  [12489] = 11751,
  [12490] = 12490,
  [12491] = 8084,
  [12492] = 11780,
  [12493] = 12493,
  [12494] = 12494,
  [12495] = 12495,
  [12496] = 12435,
  [12497] = 12435,
  [12498] = 8821,
  [12499] = 7985,
  [12500] = 12453,
  [12501] = 9857,
  [12502] = 7981,
  [12503] = 7982,
  [12504] = 12453,
  [12505] = 9080,
  [12506] = 11784,
  [12507] = 11785,
  [12508] = 12508,
  [12509] = 12435,
  [12510] = 12510,
  [12511] = 9058,
  [12512] = 12435,
  [12513] = 4974,
  [12514] = 12435,
  [12515] = 8948,
  [12516] = 8956,
  [12517] = 8983,
  [12518] = 9087,
  [12519] = 9003,
  [12520] = 8998,
  [12521] = 12435,
  [12522] = 12435,
  [12523] = 12435,
  [12524] = 9081,
  [12525] = 11800,
  [12526] = 7983,
  [12527] = 7984,
  [12528] = 12435,
  [12529] = 9056,
  [12530] = 8882,
  [12531] = 11918,
  [12532] = 9089,
  [12533] = 9091,
  [12534] = 12029,
  [12535] = 8086,
  [12536] = 8086,
  [12537] = 12537,
  [12538] = 11752,
  [12539] = 12435,
  [12540] = 8884,
  [12541] = 8882,
  [12542] = 7979,
  [12543] = 7980,
  [12544] = 12544,
  [12545] = 9082,
  [12546] = 9003,
  [12547] = 12435,
  [12548] = 8888,
  [12549] = 12435,
  [12550] = 7981,
  [12551] = 7982,
  [12552] = 7983,
  [12553] = 7984,
  [12554] = 12554,
  [12555] = 7985,
  [12556] = 7986,
  [12557] = 7987,
  [12558] = 9056,
  [12559] = 12559,
  [12560] = 7988,
  [12561] = 11733,
  [12562] = 12435,
  [12563] = 8916,
  [12564] = 8084,
  [12565] = 11872,
  [12566] = 12435,
  [12567] = 7994,
  [12568] = 12435,
  [12569] = 8084,
  [12570] = 8084,
  [12571] = 8086,
  [12572] = 11784,
  [12573] = 11785,
  [12574] = 12463,
  [12575] = 12453,
  [12576] = 12576,
  [12577] = 12435,
  [12578] = 12435,
  [12579] = 7979,
  [12580] = 8816,
  [12581] = 7994,
  [12582] = 12435,
  [12583] = 8959,
  [12584] = 12494,
  [12585] = 8902,
  [12586] = 8947,
  [12587] = 7980,
  [12588] = 8997,
  [12589] = 12435,
  [12590] = 8998,
  [12591] = 12435,
  [12592] = 12435,
  [12593] = 12495,
  [12594] = 7986,
  [12595] = 9058,
  [12596] = 12435,
  [12597] = 9066,
  [12598] = 8086,
  [12599] = 9072,
  [12600] = 12435,
  [12601] = 8084,
  [12602] = 7979,
  [12603] = 7980,
  [12604] = 7981,
  [12605] = 9080,
  [12606] = 7982,
  [12607] = 7983,
  [12608] = 9081,
  [12609] = 7984,
  [12610] = 7985,
  [12611] = 7986,
  [12612] = 7987,
  [12613] = 7981,
  [12614] = 7988,
  [12615] = 8885,
  [12616] = 8891,
  [12617] = 8997,
  [12618] = 12435,
  [12619] = 7987,
  [12620] = 9082,
  [12621] = 12621,
  [12622] = 8815,
  [12623] = 8084,
  [12624] = 3036,
  [12625] = 7994,
  [12626] = 7982,
  [12627] = 12435,
  [12628] = 12435,
  [12629] = 12435,
  [12630] = 12435,
  [12631] = 12631,
  [12632] = 9087,
  [12633] = 5414,
  [12634] = 12435,
  [12635] = 12635,
  [12636] = 12435,
  [12637] = 2996,
  [12638] = 7990,
  [12639] = 12639,
  [12640] = 12435,
  [12641] = 12435,
  [12642] = 12435,
  [12643] = 8947,
  [12644] = 11872,
  [12645] = 12435,
  [12646] = 7979,
  [12647] = 11894,
  [12648] = 11844,
  [12649] = 11959,
  [12650] = 11925,
  [12651] = 11813,
  [12652] = 11894,
  [12653] = 11844,
  [12654] = 11959,
  [12655] = 11925,
  [12656] = 11813,
  [12657] = 12657,
  [12658] = 12435,
  [12659] = 11804,
  [12660] = 11750,
  [12661] = 11804,
  [12662] = 11780,
  [12663] = 3036,
  [12664] = 12664,
  [12665] = 8771,
  [12666] = 8331,
  [12667] = 12667,
  [12668] = 12668,
  [12669] = 10062,
  [12670] = 2996,
  [12671] = 12671,
  [12672] = 12672,
  [12673] = 12664,
  [12674] = 12671,
  [12675] = 8754,
  [12676] = 12676,
  [12677] = 12676,
  [12678] = 12676,
  [12679] = 12679,
  [12680] = 12671,
  [12681] = 12664,
  [12682] = 8851,
  [12683] = 5414,
  [12684] = 3092,
  [12685] = 3096,
  [12686] = 12686,
  [12687] = 12687,
  [12688] = 8325,
  [12689] = 8790,
  [12690] = 12676,
  [12691] = 5112,
  [12692] = 12692,
  [12693] = 12693,
  [12694] = 12671,
  [12695] = 12664,
  [12696] = 5450,
  [12697] = 8891,
  [12698] = 5414,
  [12699] = 4721,
  [12700] = 3092,
  [12701] = 3096,
  [12702] = 2996,
  [12703] = 8815,
  [12704] = 5450,
  [12705] = 12052,
  [12706] = 8888,
  [12707] = 12667,
  [12708] = 8862,
  [12709] = 5282,
  [12710] = 12710,
  [12711] = 12711,
  [12712] = 9003,
  [12713] = 5264,
  [12714] = 5414,
  [12715] = 8816,
  [12716] = 12710,
  [12717] = 8884,
  [12718] = 8902,
  [12719] = 9081,
  [12720] = 8983,
  [12721] = 8837,
  [12722] = 9082,
  [12723] = 12723,
  [12724] = 8772,
  [12725] = 8882,
  [12726] = 9226,
  [12727] = 12727,
  [12728] = 4674,
  [12729] = 12711,
  [12730] = 8885,
  [12731] = 12731,
  [12732] = 12732,
  [12733] = 9058,
  [12734] = 9056,
  [12735] = 12735,
  [12736] = 12736,
  [12737] = 9080,
  [12738] = 12738,
  [12739] = 12121,
  [12740] = 8998,
  [12741] = 8845,
  [12742] = 7716,
  [12743] = 12710,
  [12744] = 12710,
  [12745] = 9066,
  [12746] = 12122,
  [12747] = 12710,
  [12748] = 8821,
  [12749] = 8956,
  [12750] = 12750,
  [12751] = 12711,
  [12752] = 12723,
  [12753] = 9091,
  [12754] = 12754,
  [12755] = 12710,
  [12756] = 12756,
  [12757] = 8959,
  [12758] = 8947,
  [12759] = 9087,
  [12760] = 12723,
  [12761] = 12761,
  [12762] = 4719,
  [12763] = 9089,
  [12764] = 5450,
  [12765] = 8997,
  [12766] = 8948,
  [12767] = 12723,
  [12768] = 9072,
  [12769] = 12769,
  [12770] = 8916,
  [12771] = 3036,
  [12772] = 12711,
  [12773] = 12773,
  [12774] = 12774,
  [12775] = 12775,
  [12776] = 12774,
  [12777] = 12777,
  [12778] = 12778,
  [12779] = 12779,
  [12780] = 8821,
  [12781] = 12778,
  [12782] = 8045,
  [12783] = 12778,
  [12784] = 12778,
  [12785] = 12785,
  [12786] = 12774,
  [12787] = 12787,
  [12788] = 12788,
  [12789] = 9857,
  [12790] = 4850,
  [12791] = 9857,
  [12792] = 11042,
  [12793] = 12793,
  [12794] = 12774,
  [12795] = 12774,
  [12796] = 12774,
  [12797] = 12797,
  [12798] = 12798,
  [12799] = 12778,
  [12800] = 10924,
  [12801] = 12801,
  [12802] = 12802,
  [12803] = 7351,
  [12804] = 12778,
  [12805] = 8772,
  [12806] = 12778,
  [12807] = 7352,
  [12808] = 12778,
  [12809] = 12809,
  [12810] = 12778,
  [12811] = 12811,
  [12812] = 12778,
  [12813] = 12813,
  [12814] = 12774,
  [12815] = 12815,
  [12816] = 12779,
  [12817] = 12817,
  [12818] = 7353,
  [12819] = 12819,
  [12820] = 12778,
  [12821] = 12774,
  [12822] = 10946,
  [12823] = 12823,
  [12824] = 12774,
  [12825] = 12825,
  [12826] = 4719,
  [12827] = 12778,
  [12828] = 12779,
  [12829] = 7435,
  [12830] = 12830,
  [12831] = 12831,
  [12832] = 12832,
  [12833] = 7346,
  [12834] = 12774,
  [12835] = 12835,
  [12836] = 12774,
  [12837] = 12778,
  [12838] = 8851,
  [12839] = 5443,
  [12840] = 12778,
  [12841] = 12841,
  [12842] = 12774,
  [12843] = 7356,
  [12844] = 12778,
  [12845] = 12778,
  [12846] = 12801,
  [12847] = 12847,
  [12848] = 7349,
  [12849] = 12779,
  [12850] = 12778,
  [12851] = 12851,
  [12852] = 12852,
  [12853] = 12778,
  [12854] = 12854,
  [12855] = 12774,
  [12856] = 12778,
  [12857] = 7355,
  [12858] = 12841,
  [12859] = 12859,
  [12860] = 12774,
  [12861] = 12861,
  [12862] = 12774,
  [12863] = 12778,
  [12864] = 12864,
  [12865] = 12801,
  [12866] = 5423,
  [12867] = 5424,
  [12868] = 7434,
  [12869] = 12869,
  [12870] = 12774,
  [12871] = 12871,
  [12872] = 12778,
  [12873] = 12873,
  [12874] = 12874,
  [12875] = 7348,
  [12876] = 12876,
  [12877] = 12877,
  [12878] = 12878,
  [12879] = 12879,
  [12880] = 12880,
  [12881] = 12881,
  [12882] = 12882,
  [12883] = 12883,
  [12884] = 12778,
  [12885] = 12885,
  [12886] = 12886,
  [12887] = 12887,
  [12888] = 12888,
  [12889] = 12778,
  [12890] = 7430,
  [12891] = 12891,
  [12892] = 12774,
  [12893] = 12893,
  [12894] = 12774,
  [12895] = 12774,
  [12896] = 12896,
  [12897] = 12774,
  [12898] = 12774,
  [12899] = 12774,
  [12900] = 12801,
  [12901] = 12778,
  [12902] = 12902,
  [12903] = 12774,
  [12904] = 12778,
  [12905] = 12905,
  [12906] = 5378,
  [12907] = 9315,
  [12908] = 12908,
  [12909] = 7431,
  [12910] = 7423,
  [12911] = 4721,
  [12912] = 7416,
  [12913] = 12778,
  [12914] = 7432,
  [12915] = 12778,
  [12916] = 10957,
  [12917] = 12774,
  [12918] = 7424,
  [12919] = 12919,
  [12920] = 8816,
  [12921] = 12778,
  [12922] = 12778,
  [12923] = 12923,
  [12924] = 12924,
  [12925] = 12925,
  [12926] = 12926,
  [12927] = 12778,
  [12928] = 12928,
  [12929] = 12774,
  [12930] = 12774,
  [12931] = 4674,
  [12932] = 8815,
  [12933] = 8128,
  [12934] = 12934,
  [12935] = 12778,
  [12936] = 12778,
  [12937] = 12774,
  [12938] = 12774,
  [12939] = 12939,
  [12940] = 12774,
  [12941] = 12778,
  [12942] = 12942,
  [12943] = 12774,
  [12944] = 3252,
  [12945] = 12778,
  [12946] = 12946,
  [12947] = 12778,
  [12948] = 12948,
  [12949] = 12774,
  [12950] = 12950,
  [12951] = 7433,
  [12952] = 12952,
  [12953] = 11037,
  [12954] = 10945,
  [12955] = 12774,
  [12956] = 7347,
  [12957] = 12957,
  [12958] = 12774,
  [12959] = 12959,
  [12960] = 12778,
  [12961] = 12961,
  [12962] = 12778,
  [12963] = 12774,
  [12964] = 12964,
  [12965] = 12774,
  [12966] = 12966,
  [12967] = 12774,
  [12968] = 5438,
  [12969] = 12969,
  [12970] = 12774,
  [12971] = 12971,
  [12972] = 12774,
  [12973] = 12973,
  [12974] = 7350,
  [12975] = 12778,
  [12976] = 12976,
  [12977] = 10960,
  [12978] = 5382,
  [12979] = 12778,
  [12980] = 12980,
  [12981] = 12778,
  [12982] = 12982,
  [12983] = 12774,
  [12984] = 12774,
  [12985] = 12985,
  [12986] = 12774,
  [12987] = 12987,
  [12988] = 12778,
  [12989] = 12989,
  [12990] = 12990,
  [12991] = 12991,
  [12992] = 12774,
  [12993] = 12778,
  [12994] = 12994,
  [12995] = 10965,
  [12996] = 9338,
  [12997] = 9081,
  [12998] = 8888,
  [12999] = 3036,
  [13000] = 5450,
  [13001] = 3096,
  [13002] = 12121,
  [13003] = 2996,
  [13004] = 13004,
  [13005] = 9091,
  [13006] = 12672,
  [13007] = 12122,
  [13008] = 13008,
  [13009] = 13009,
  [13010] = 13010,
  [13011] = 9089,
  [13012] = 8891,
  [13013] = 9056,
  [13014] = 13014,
  [13015] = 3092,
  [13016] = 8761,
  [13017] = 10062,
  [13018] = 8916,
  [13019] = 9087,
  [13020] = 8884,
  [13021] = 8885,
  [13022] = 13022,
  [13023] = 13023,
  [13024] = 9058,
  [13025] = 8851,
  [13026] = 8325,
  [13027] = 9080,
  [13028] = 10062,
  [13029] = 13029,
  [13030] = 8948,
  [13031] = 5414,
  [13032] = 9072,
  [13033] = 8959,
  [13034] = 8882,
  [13035] = 8902,
  [13036] = 8947,
  [13037] = 4850,
  [13038] = 8997,
  [13039] = 13039,
  [13040] = 8998,
  [13041] = 8983,
  [13042] = 8215,
  [13043] = 9082,
  [13044] = 12052,
  [13045] = 8772,
  [13046] = 8752,
  [13047] = 9066,
  [13048] = 8768,
  [13049] = 8956,
  [13050] = 9003,
  [13051] = 13051,
  [13052] = 8814,
  [13053] = 9058,
  [13054] = 9932,
  [13055] = 9933,
  [13056] = 13056,
  [13057] = 13057,
  [13058] = 8891,
  [13059] = 8902,
  [13060] = 9056,
  [13061] = 13057,
  [13062] = 8956,
  [13063] = 3256,
  [13064] = 8215,
  [13065] = 8811,
  [13066] = 9860,
  [13067] = 9087,
  [13068] = 8888,
  [13069] = 8997,
  [13070] = 9072,
  [13071] = 9080,
  [13072] = 9108,
  [13073] = 8817,
  [13074] = 9089,
  [13075] = 9061,
  [13076] = 9066,
  [13077] = 13077,
  [13078] = 9934,
  [13079] = 8916,
  [13080] = 8947,
  [13081] = 9931,
  [13082] = 9091,
  [13083] = 8998,
  [13084] = 13077,
  [13085] = 13085,
  [13086] = 8807,
  [13087] = 5326,
  [13088] = 8803,
  [13089] = 8810,
  [13090] = 13057,
  [13091] = 9081,
  [13092] = 9101,
  [13093] = 9003,
  [13094] = 9096,
  [13095] = 9857,
  [13096] = 8882,
  [13097] = 13077,
  [13098] = 13098,
  [13099] = 8805,
  [13100] = 8813,
  [13101] = 8983,
  [13102] = 8948,
  [13103] = 8812,
  [13104] = 8820,
  [13105] = 13057,
  [13106] = 8806,
  [13107] = 13077,
  [13108] = 3247,
  [13109] = 13109,
  [13110] = 8959,
  [13111] = 9102,
  [13112] = 9082,
  [13113] = 9060,
  [13114] = 8884,
  [13115] = 8885,
  [13116] = 8818,
  [13117] = 13117,
  [13118] = 13118,
  [13119] = 13119,
  [13120] = 13120,
  [13121] = 9118,
  [13122] = 13122,
  [13123] = 13123,
  [13124] = 13122,
  [13125] = 13122,
  [13126] = 13122,
  [13127] = 13122,
  [13128] = 13119,
  [13129] = 13120,
  [13130] = 13122,
  [13131] = 13122,
  [13132] = 13122,
  [13133] = 13119,
  [13134] = 13122,
  [13135] = 13120,
  [13136] = 9094,
  [13137] = 13122,
  [13138] = 8893,
  [13139] = 13122,
  [13140] = 13122,
  [13141] = 5416,
  [13142] = 5417,
  [13143] = 5418,
  [13144] = 5419,
  [13145] = 13122,
  [13146] = 10062,
  [13147] = 13122,
  [13148] = 13122,
  [13149] = 13122,
  [13150] = 13119,
  [13151] = 13122,
  [13152] = 13120,
  [13153] = 13122,
  [13154] = 13122,
  [13155] = 13122,
  [13156] = 13122,
  [13157] = 13122,
  [13158] = 13122,
  [13159] = 9207,
  [13160] = 13122,
  [13161] = 13120,
  [13162] = 13122,
  [13163] = 8975,
  [13164] = 5437,
  [13165] = 13165,
  [13166] = 13122,
  [13167] = 5439,
  [13168] = 5440,
  [13169] = 13119,
  [13170] = 5454,
  [13171] = 5455,
  [13172] = 13118,
  [13173] = 13118,
  [13174] = 13122,
  [13175] = 13120,
  [13176] = 13120,
  [13177] = 9176,
  [13178] = 13178,
  [13179] = 13179,
  [13180] = 5445,
  [13181] = 5446,
  [13182] = 5460,
  [13183] = 5400,
  [13184] = 5377,
  [13185] = 5431,
  [13186] = 5457,
  [13187] = 10044,
  [13188] = 13122,
  [13189] = 13120,
  [13190] = 13118,
  [13191] = 9251,
  [13192] = 13192,
  [13193] = 13118,
  [13194] = 13122,
  [13195] = 13120,
  [13196] = 5383,
  [13197] = 5385,
  [13198] = 5395,
  [13199] = 5399,
  [13200] = 13118,
  [13201] = 13122,
  [13202] = 5402,
  [13203] = 13119,
  [13204] = 13120,
  [13205] = 10061,
  [13206] = 13118,
  [13207] = 8772,
  [13208] = 13122,
  [13209] = 13209,
  [13210] = 13118,
  [13211] = 13118,
  [13212] = 13118,
  [13213] = 13122,
  [13214] = 5425,
  [13215] = 5426,
  [13216] = 5428,
  [13217] = 5430,
  [13218] = 13118,
  [13219] = 8772,
  [13220] = 13118,
  [13221] = 10098,
  [13222] = 8816,
  [13223] = 13118,
  [13224] = 13118,
  [13225] = 13122,
  [13226] = 13118,
  [13227] = 8941,
  [13228] = 5471,
  [13229] = 13118,
  [13230] = 13118,
  [13231] = 13118,
  [13232] = 5404,
  [13233] = 13118,
  [13234] = 13118,
  [13235] = 13122,
  [13236] = 13122,
  [13237] = 13118,
  [13238] = 13118,
  [13239] = 13118,
  [13240] = 3249,
  [13241] = 13118,
  [13242] = 13118,
  [13243] = 13118,
  [13244] = 3257,
  [13245] = 13118,
  [13246] = 13118,
  [13247] = 13122,
  [13248] = 13122,
  [13249] = 13118,
  [13250] = 13118,
  [13251] = 13118,
  [13252] = 13119,
  [13253] = 13118,
  [13254] = 13120,
  [13255] = 13118,
  [13256] = 13118,
  [13257] = 13118,
  [13258] = 13118,
  [13259] = 13118,
  [13260] = 13118,
  [13261] = 13122,
  [13262] = 13118,
  [13263] = 13118,
  [13264] = 13118,
  [13265] = 13118,
  [13266] = 13118,
  [13267] = 13118,
  [13268] = 13118,
  [13269] = 13118,
  [13270] = 13118,
  [13271] = 13118,
  [13272] = 13118,
  [13273] = 13118,
  [13274] = 13118,
  [13275] = 13118,
  [13276] = 13118,
  [13277] = 13118,
  [13278] = 13118,
  [13279] = 13118,
  [13280] = 13209,
  [13281] = 13192,
  [13282] = 13123,
  [13283] = 13209,
  [13284] = 13122,
  [13285] = 13192,
  [13286] = 13123,
  [13287] = 13209,
  [13288] = 13192,
  [13289] = 13123,
  [13290] = 9226,
  [13291] = 13122,
  [13292] = 13122,
  [13293] = 13209,
  [13294] = 13122,
  [13295] = 13122,
  [13296] = 13296,
  [13297] = 13297,
  [13298] = 13296,
  [13299] = 13299,
  [13300] = 13296,
  [13301] = 13299,
  [13302] = 13299,
  [13303] = 10171,
  [13304] = 13304,
  [13305] = 13296,
  [13306] = 13299,
  [13307] = 13296,
  [13308] = 13308,
  [13309] = 13299,
  [13310] = 13296,
  [13311] = 13299,
  [13312] = 9932,
  [13313] = 9934,
  [13314] = 10173,
  [13315] = 9933,
  [13316] = 13296,
  [13317] = 13299,
  [13318] = 13296,
  [13319] = 13319,
  [13320] = 13299,
  [13321] = 13308,
  [13322] = 13297,
  [13323] = 13296,
  [13324] = 13297,
  [13325] = 13299,
  [13326] = 13296,
  [13327] = 13299,
  [13328] = 13308,
  [13329] = 13308,
  [13330] = 13296,
  [13331] = 13297,
  [13332] = 13296,
  [13333] = 13299,
  [13334] = 13308,
  [13335] = 2926,
  [13336] = 13336,
  [13337] = 13296,
  [13338] = 13338,
  [13339] = 13296,
  [13340] = 13299,
  [13341] = 13296,
  [13342] = 13299,
  [13343] = 13299,
  [13344] = 9429,
  [13345] = 9276,
  [13346] = 10339,
  [13347] = 13297,
  [13348] = 13296,
  [13349] = 13299,
  [13350] = 13296,
  [13351] = 13299,
  [13352] = 13352,
  [13353] = 13308,
  [13354] = 9860,
  [13355] = 13296,
  [13356] = 13299,
  [13357] = 13357,
  [13358] = 9931,
  [13359] = 2932,
  [13360] = 13296,
  [13361] = 13299,
  [13362] = 9857,
  [13363] = 13296,
  [13364] = 13299,
  [13365] = 13296,
  [13366] = 13299,
  [13367] = 13296,
  [13368] = 13296,
  [13369] = 13299,
  [13370] = 13299,
  [13371] = 13299,
  [13372] = 13372,
  [13373] = 13373,
  [13374] = 9734,
  [13375] = 10762,
  [13376] = 10044,
  [13377] = 13377,
  [13378] = 13378,
  [13379] = 13378,
  [13380] = 13380,
  [13381] = 13381,
  [13382] = 13382,
  [13383] = 13383,
  [13384] = 13372,
  [13385] = 13385,
  [13386] = 13386,
  [13387] = 13387,
  [13388] = 13388,
  [13389] = 13389,
  [13390] = 13387,
  [13391] = 13381,
  [13392] = 13392,
  [13393] = 13393,
  [13394] = 13373,
  [13395] = 13377,
  [13396] = 13396,
  [13397] = 9857,
  [13398] = 13398,
  [13399] = 13378,
  [13400] = 13387,
  [13401] = 13378,
  [13402] = 13383,
  [13403] = 13372,
  [13404] = 13378,
  [13405] = 13392,
  [13406] = 13378,
  [13407] = 13386,
  [13408] = 13389,
  [13409] = 13378,
  [13410] = 13382,
  [13411] = 9533,
  [13412] = 13383,
  [13413] = 13372,
  [13414] = 13385,
  [13415] = 13386,
  [13416] = 13389,
  [13417] = 13417,
  [13418] = 13418,
  [13419] = 13388,
  [13420] = 13387,
  [13421] = 13372,
  [13422] = 13381,
  [13423] = 13382,
  [13424] = 13381,
  [13425] = 13392,
  [13426] = 13386,
  [13427] = 9538,
  [13428] = 13389,
  [13429] = 8916,
  [13430] = 13396,
  [13431] = 13378,
  [13432] = 13378,
  [13433] = 9696,
  [13434] = 10763,
  [13435] = 13396,
  [13436] = 13386,
  [13437] = 9501,
  [13438] = 13389,
  [13439] = 13380,
  [13440] = 13378,
  [13441] = 13393,
  [13442] = 8959,
  [13443] = 8902,
  [13444] = 8947,
  [13445] = 13393,
  [13446] = 8997,
  [13447] = 13386,
  [13448] = 13389,
  [13449] = 13393,
  [13450] = 13417,
  [13451] = 8998,
  [13452] = 13373,
  [13453] = 13377,
  [13454] = 13386,
  [13455] = 13389,
  [13456] = 13373,
  [13457] = 9429,
  [13458] = 9800,
  [13459] = 9802,
  [13460] = 13377,
  [13461] = 8884,
  [13462] = 10061,
  [13463] = 8885,
  [13464] = 13373,
  [13465] = 9872,
  [13466] = 8888,
  [13467] = 13386,
  [13468] = 8891,
  [13469] = 13389,
  [13470] = 13470,
  [13471] = 13385,
  [13472] = 13472,
  [13473] = 13386,
  [13474] = 13378,
  [13475] = 13475,
  [13476] = 13389,
  [13477] = 9380,
  [13478] = 13478,
  [13479] = 10098,
  [13480] = 13386,
  [13481] = 13378,
  [13482] = 13389,
  [13483] = 13396,
  [13484] = 13382,
  [13485] = 13386,
  [13486] = 13389,
  [13487] = 9808,
  [13488] = 5412,
  [13489] = 13489,
  [13490] = 13386,
  [13491] = 13389,
  [13492] = 13393,
  [13493] = 9529,
  [13494] = 13373,
  [13495] = 9810,
  [13496] = 8948,
  [13497] = 13386,
  [13498] = 8956,
  [13499] = 8983,
  [13500] = 9669,
  [13501] = 13389,
  [13502] = 9003,
  [13503] = 13503,
  [13504] = 9705,
  [13505] = 2937,
  [13506] = 5264,
  [13507] = 13386,
  [13508] = 3246,
  [13509] = 13389,
  [13510] = 13386,
  [13511] = 13385,
  [13512] = 13389,
  [13513] = 13386,
  [13514] = 3248,
  [13515] = 13378,
  [13516] = 13385,
  [13517] = 5413,
  [13518] = 13386,
  [13519] = 13470,
  [13520] = 13389,
  [13521] = 13382,
  [13522] = 10077,
  [13523] = 13389,
  [13524] = 13386,
  [13525] = 13389,
  [13526] = 3250,
  [13527] = 13386,
  [13528] = 13389,
  [13529] = 13383,
  [13530] = 13386,
  [13531] = 13389,
  [13532] = 13372,
  [13533] = 2970,
  [13534] = 13386,
  [13535] = 13389,
  [13536] = 13378,
  [13537] = 13386,
  [13538] = 13389,
  [13539] = 13380,
  [13540] = 13378,
  [13541] = 13378,
  [13542] = 13392,
  [13543] = 13378,
  [13544] = 13386,
  [13545] = 13389,
  [13546] = 13377,
  [13547] = 13386,
  [13548] = 13389,
  [13549] = 13386,
  [13550] = 13378,
  [13551] = 13389,
  [13552] = 13386,
  [13553] = 13389,
  [13554] = 13554,
  [13555] = 13378,
  [13556] = 13388,
  [13557] = 13389,
  [13558] = 13396,
  [13559] = 13386,
  [13560] = 13389,
  [13561] = 13388,
  [13562] = 13387,
  [13563] = 10062,
  [13564] = 13381,
  [13565] = 13386,
  [13566] = 3247,
  [13567] = 5282,
  [13568] = 13389,
  [13569] = 3254,
  [13570] = 13393,
  [13571] = 13373,
  [13572] = 13386,
  [13573] = 13389,
  [13574] = 13377,
  [13575] = 3255,
  [13576] = 3263,
  [13577] = 13386,
  [13578] = 13389,
  [13579] = 13385,
  [13580] = 13378,
  [13581] = 9058,
  [13582] = 13386,
  [13583] = 3256,
  [13584] = 13389,
  [13585] = 9066,
  [13586] = 9072,
  [13587] = 9080,
  [13588] = 13588,
  [13589] = 9081,
  [13590] = 13386,
  [13591] = 9563,
  [13592] = 13389,
  [13593] = 9565,
  [13594] = 10761,
  [13595] = 9082,
  [13596] = 13386,
  [13597] = 13389,
  [13598] = 13377,
  [13599] = 13386,
  [13600] = 5326,
  [13601] = 13389,
  [13602] = 9650,
  [13603] = 13382,
  [13604] = 13378,
  [13605] = 13386,
  [13606] = 13389,
  [13607] = 5432,
  [13608] = 13378,
  [13609] = 13386,
  [13610] = 13389,
  [13611] = 13611,
  [13612] = 13386,
  [13613] = 13385,
  [13614] = 13389,
  [13615] = 13382,
  [13616] = 13386,
  [13617] = 13389,
  [13618] = 13378,
  [13619] = 13386,
  [13620] = 13389,
  [13621] = 13621,
  [13622] = 13378,
  [13623] = 13386,
  [13624] = 13389,
  [13625] = 13625,
  [13626] = 13386,
  [13627] = 13389,
  [13628] = 13392,
  [13629] = 13388,
  [13630] = 13387,
  [13631] = 13109,
  [13632] = 13381,
  [13633] = 13385,
  [13634] = 13117,
  [13635] = 13098,
  [13636] = 13056,
  [13637] = 13396,
  [13638] = 3036,
  [13639] = 13378,
  [13640] = 12756,
  [13641] = 13554,
  [13642] = 9812,
  [13643] = 13489,
  [13644] = 13392,
  [13645] = 13383,
  [13646] = 13646,
  [13647] = 13388,
  [13648] = 13396,
  [13649] = 13611,
  [13650] = 13383,
  [13651] = 13393,
  [13652] = 13378,
  [13653] = 13554,
  [13654] = 13372,
  [13655] = 13489,
  [13656] = 9087,
  [13657] = 13380,
  [13658] = 3092,
  [13659] = 9089,
  [13660] = 9091,
  [13661] = 13611,
  [13662] = 3096,
  [13663] = 13378,
  [13664] = 13554,
  [13665] = 13489,
  [13666] = 10738,
  [13667] = 13611,
  [13668] = 13386,
  [13669] = 10139,
  [13670] = 3132,
  [13671] = 13611,
  [13672] = 13389,
  [13673] = 2996,
  [13674] = 13674,
  [13675] = 13373,
  [13676] = 13611,
  [13677] = 13611,
  [13678] = 13611,
  [13679] = 13378,
  [13680] = 9056,
  [13681] = 3128,
  [13682] = 13392,
  [13683] = 13388,
  [13684] = 13396,
  [13685] = 13470,
  [13686] = 13387,
  [13687] = 8882,
  [13688] = 13378,
  [13689] = 13381,
  [13690] = 13085,
  [13691] = 13377,
  [13692] = 13383,
  [13693] = 13372,
  [13694] = 13380,
  [13695] = 13386,
  [13696] = 13378,
  [13697] = 13470,
  [13698] = 13378,
  [13699] = 13378,
  [13700] = 13389,
  [13701] = 13393,
  [13702] = 13417,
  [13703] = 13417,
  [13704] = 13386,
  [13705] = 7431,
  [13706] = 5402,
  [13707] = 7435,
  [13708] = 7346,
  [13709] = 7347,
  [13710] = 7348,
  [13711] = 13711,
  [13712] = 7349,
  [13713] = 13713,
  [13714] = 13714,
  [13715] = 13715,
  [13716] = 13716,
  [13717] = 12908,
  [13718] = 13713,
  [13719] = 12982,
  [13720] = 13711,
  [13721] = 13716,
  [13722] = 13713,
  [13723] = 13714,
  [13724] = 13715,
  [13725] = 13716,
  [13726] = 13714,
  [13727] = 13714,
  [13728] = 13711,
  [13729] = 13713,
  [13730] = 13715,
  [13731] = 13731,
  [13732] = 13716,
  [13733] = 13715,
  [13734] = 13713,
  [13735] = 13711,
  [13736] = 13711,
  [13737] = 13713,
  [13738] = 13714,
  [13739] = 13715,
  [13740] = 13716,
  [13741] = 13711,
  [13742] = 13713,
  [13743] = 13731,
  [13744] = 13714,
  [13745] = 13715,
  [13746] = 13713,
  [13747] = 13716,
  [13748] = 13715,
  [13749] = 5425,
  [13750] = 5426,
  [13751] = 13711,
  [13752] = 5428,
  [13753] = 13713,
  [13754] = 5430,
  [13755] = 13714,
  [13756] = 13714,
  [13757] = 13715,
  [13758] = 7350,
  [13759] = 7351,
  [13760] = 7352,
  [13761] = 13716,
  [13762] = 13715,
  [13763] = 7353,
  [13764] = 13711,
  [13765] = 13713,
  [13766] = 13714,
  [13767] = 13716,
  [13768] = 13715,
  [13769] = 13716,
  [13770] = 13711,
  [13771] = 13713,
  [13772] = 5471,
  [13773] = 7355,
  [13774] = 13714,
  [13775] = 13715,
  [13776] = 13716,
  [13777] = 5445,
  [13778] = 5404,
  [13779] = 7356,
  [13780] = 13711,
  [13781] = 13716,
  [13782] = 13713,
  [13783] = 13714,
  [13784] = 13715,
  [13785] = 13716,
  [13786] = 5446,
  [13787] = 13711,
  [13788] = 5460,
  [13789] = 13713,
  [13790] = 13714,
  [13791] = 13715,
  [13792] = 13716,
  [13793] = 13711,
  [13794] = 13711,
  [13795] = 13711,
  [13796] = 13713,
  [13797] = 13714,
  [13798] = 13715,
  [13799] = 13711,
  [13800] = 13713,
  [13801] = 10200,
  [13802] = 13714,
  [13803] = 5400,
  [13804] = 13714,
  [13805] = 13085,
  [13806] = 12980,
  [13807] = 13715,
  [13808] = 5377,
  [13809] = 12971,
  [13810] = 12811,
  [13811] = 13713,
  [13812] = 13714,
  [13813] = 10173,
  [13814] = 13714,
  [13815] = 13715,
  [13816] = 13716,
  [13817] = 13817,
  [13818] = 13818,
  [13819] = 13716,
  [13820] = 5438,
  [13821] = 13711,
  [13822] = 3253,
  [13823] = 13823,
  [13824] = 13715,
  [13825] = 13825,
  [13826] = 13713,
  [13827] = 13714,
  [13828] = 13715,
  [13829] = 13829,
  [13830] = 13711,
  [13831] = 5431,
  [13832] = 13715,
  [13833] = 10208,
  [13834] = 5412,
  [13835] = 9646,
  [13836] = 5413,
  [13837] = 5432,
  [13838] = 13713,
  [13839] = 5443,
  [13840] = 12961,
  [13841] = 3258,
  [13842] = 13716,
  [13843] = 12874,
  [13844] = 12886,
  [13845] = 5412,
  [13846] = 5413,
  [13847] = 5432,
  [13848] = 13714,
  [13849] = 13715,
  [13850] = 13850,
  [13851] = 5457,
  [13852] = 3259,
  [13853] = 7430,
  [13854] = 13711,
  [13855] = 3260,
  [13856] = 3261,
  [13857] = 7432,
  [13858] = 13716,
  [13859] = 13713,
  [13860] = 13714,
  [13861] = 13715,
  [13862] = 13862,
  [13863] = 13713,
  [13864] = 13109,
  [13865] = 7433,
  [13866] = 5382,
  [13867] = 3132,
  [13868] = 13716,
  [13869] = 13716,
  [13870] = 13711,
  [13871] = 13711,
  [13872] = 13713,
  [13873] = 3128,
  [13874] = 13714,
  [13875] = 13875,
  [13876] = 13715,
  [13877] = 13711,
  [13878] = 13713,
  [13879] = 13117,
  [13880] = 10216,
  [13881] = 10302,
  [13882] = 13714,
  [13883] = 13715,
  [13884] = 13098,
  [13885] = 13056,
  [13886] = 13886,
  [13887] = 5423,
  [13888] = 5424,
  [13889] = 13711,
  [13890] = 12788,
  [13891] = 13716,
  [13892] = 13713,
  [13893] = 7434,
  [13894] = 13716,
  [13895] = 13711,
  [13896] = 13713,
  [13897] = 13714,
  [13898] = 13715,
  [13899] = 5378,
  [13900] = 13713,
  [13901] = 13716,
  [13902] = 13711,
  [13903] = 13716,
  [13904] = 13714,
  [13905] = 13716,
  [13906] = 13714,
  [13907] = 13711,
  [13908] = 13711,
  [13909] = 13713,
  [13910] = 10204,
  [13911] = 10260,
  [13912] = 13713,
  [13913] = 13714,
  [13914] = 13714,
  [13915] = 13715,
  [13916] = 13715,
  [13917] = 13715,
  [13918] = 13716,
  [13919] = 13716,
  [13920] = 13711,
  [13921] = 13711,
  [13922] = 10270,
  [13923] = 10281,
  [13924] = 13713,
  [13925] = 13713,
  [13926] = 13714,
  [13927] = 13714,
  [13928] = 13715,
  [13929] = 13715,
  [13930] = 10276,
  [13931] = 10277,
  [13932] = 13716,
  [13933] = 10199,
  [13934] = 13716,
  [13935] = 13711,
  [13936] = 13711,
  [13937] = 13716,
  [13938] = 13715,
  [13939] = 13713,
  [13940] = 3024,
  [13941] = 13714,
  [13942] = 13715,
  [13943] = 13943,
  [13944] = 13944,
  [13945] = 13711,
  [13946] = 13713,
  [13947] = 13716,
  [13948] = 13714,
  [13949] = 13715,
  [13950] = 13716,
  [13951] = 13711,
  [13952] = 13713,
  [13953] = 13714,
  [13954] = 13711,
  [13955] = 13715,
  [13956] = 3249,
  [13957] = 13711,
  [13958] = 5416,
  [13959] = 5417,
  [13960] = 3257,
  [13961] = 13713,
  [13962] = 10062,
  [13963] = 13714,
  [13964] = 13715,
  [13965] = 5418,
  [13966] = 13716,
  [13967] = 5419,
  [13968] = 13713,
  [13969] = 13711,
  [13970] = 13716,
  [13971] = 13711,
  [13972] = 7415,
  [13973] = 7416,
  [13974] = 3252,
  [13975] = 13713,
  [13976] = 10171,
  [13977] = 13714,
  [13978] = 13711,
  [13979] = 13715,
  [13980] = 13713,
  [13981] = 13713,
  [13982] = 13714,
  [13983] = 13825,
  [13984] = 13714,
  [13985] = 10038,
  [13986] = 13715,
  [13987] = 13716,
  [13988] = 13714,
  [13989] = 13716,
  [13990] = 13711,
  [13991] = 13713,
  [13992] = 13715,
  [13993] = 13714,
  [13994] = 13715,
  [13995] = 13711,
  [13996] = 13715,
  [13997] = 10339,
  [13998] = 13716,
  [13999] = 13999,
  [14000] = 13713,
  [14001] = 13716,
  [14002] = 5437,
  [14003] = 13875,
  [14004] = 5439,
  [14005] = 5440,
  [14006] = 13713,
  [14007] = 13711,
  [14008] = 14008,
  [14009] = 5454,
  [14010] = 5455,
  [14011] = 7423,
  [14012] = 13713,
  [14013] = 7424,
  [14014] = 13714,
  [14015] = 13715,
  [14016] = 10058,
  [14017] = 13886,
  [14018] = 13714,
  [14019] = 14019,
  [14020] = 13716,
  [14021] = 13715,
  [14022] = 13711,
  [14023] = 5383,
  [14024] = 13716,
  [14025] = 13713,
  [14026] = 13714,
  [14027] = 13715,
  [14028] = 5385,
  [14029] = 5395,
  [14030] = 13716,
  [14031] = 13716,
  [14032] = 13943,
  [14033] = 13716,
  [14034] = 5399,
  [14035] = 13943,
  [14036] = 13943,
  [14037] = 13711,
  [14038] = 13714,
  [14039] = 14039,
  [14040] = 14040,
  [14041] = 14041,
  [14042] = 14042,
  [14043] = 14043,
  [14044] = 14039,
  [14045] = 14039,
  [14046] = 14041,
  [14047] = 14041,
  [14048] = 10218,
  [14049] = 14039,
  [14050] = 10679,
  [14051] = 14051,
  [14052] = 14041,
  [14053] = 14053,
  [14054] = 14054,
  [14055] = 14043,
  [14056] = 10600,
  [14057] = 14041,
  [14058] = 14041,
  [14059] = 10747,
  [14060] = 14039,
  [14061] = 14040,
  [14062] = 14062,
  [14063] = 14043,
  [14064] = 14062,
  [14065] = 14041,
  [14066] = 14066,
  [14067] = 14043,
  [14068] = 14043,
  [14069] = 14040,
  [14070] = 14041,
  [14071] = 14040,
  [14072] = 14041,
  [14073] = 14043,
  [14074] = 14041,
  [14075] = 14075,
  [14076] = 14041,
  [14077] = 14039,
  [14078] = 14039,
  [14079] = 14079,
  [14080] = 14043,
  [14081] = 14081,
  [14082] = 14041,
  [14083] = 14040,
  [14084] = 14053,
  [14085] = 14041,
  [14086] = 14043,
  [14087] = 14043,
  [14088] = 14062,
  [14089] = 14089,
  [14090] = 14039,
  [14091] = 14041,
  [14092] = 14043,
  [14093] = 14093,
  [14094] = 14041,
  [14095] = 14040,
  [14096] = 14040,
  [14097] = 14041,
  [14098] = 14098,
  [14099] = 14040,
  [14100] = 14043,
  [14101] = 14043,
  [14102] = 14041,
  [14103] = 14103,
  [14104] = 14041,
  [14105] = 14041,
  [14106] = 14041,
  [14107] = 14043,
  [14108] = 14041,
  [14109] = 14053,
  [14110] = 14041,
  [14111] = 14062,
  [14112] = 14041,
  [14113] = 10761,
  [14114] = 14043,
  [14115] = 14043,
  [14116] = 14041,
  [14117] = 14051,
  [14118] = 14043,
  [14119] = 14041,
  [14120] = 14039,
  [14121] = 14041,
  [14122] = 14043,
  [14123] = 14123,
  [14124] = 14124,
  [14125] = 14041,
  [14126] = 14126,
  [14127] = 14127,
  [14128] = 14053,
  [14129] = 14043,
  [14130] = 14040,
  [14131] = 14041,
  [14132] = 14040,
  [14133] = 14043,
  [14134] = 12672,
  [14135] = 14039,
  [14136] = 14043,
  [14137] = 14041,
  [14138] = 14041,
  [14139] = 14062,
  [14140] = 14041,
  [14141] = 10202,
  [14142] = 14041,
  [14143] = 9646,
  [14144] = 14043,
  [14145] = 14041,
  [14146] = 14043,
  [14147] = 14051,
  [14148] = 14148,
  [14149] = 14041,
  [14150] = 14150,
  [14151] = 14039,
  [14152] = 14041,
  [14153] = 14053,
  [14154] = 14154,
  [14155] = 14039,
  [14156] = 14041,
  [14157] = 14040,
  [14158] = 14158,
  [14159] = 14159,
  [14160] = 14051,
  [14161] = 14123,
  [14162] = 14051,
  [14163] = 14163,
  [14164] = 14039,
  [14165] = 14165,
  [14166] = 10534,
  [14167] = 14043,
  [14168] = 14158,
  [14169] = 14165,
  [14170] = 14043,
  [14171] = 14040,
  [14172] = 14041,
  [14173] = 14123,
  [14174] = 14174,
  [14175] = 14043,
  [14176] = 14127,
  [14177] = 14043,
  [14178] = 14165,
  [14179] = 14053,
  [14180] = 14062,
  [14181] = 14181,
  [14182] = 14043,
  [14183] = 10790,
  [14184] = 14043,
  [14185] = 14127,
  [14186] = 10762,
  [14187] = 14187,
  [14188] = 10635,
  [14189] = 14039,
  [14190] = 14163,
  [14191] = 14191,
  [14192] = 12052,
  [14193] = 14127,
  [14194] = 14039,
  [14195] = 14165,
  [14196] = 14127,
  [14197] = 14051,
  [14198] = 14040,
  [14199] = 14199,
  [14200] = 14200,
  [14201] = 14201,
  [14202] = 12121,
  [14203] = 12122,
  [14204] = 14041,
  [14205] = 14127,
  [14206] = 14040,
  [14207] = 14039,
  [14208] = 14093,
  [14209] = 14053,
  [14210] = 14043,
  [14211] = 10763,
  [14212] = 14040,
  [14213] = 14039,
  [14214] = 14053,
  [14215] = 14093,
  [14216] = 10201,
  [14217] = 14040,
  [14218] = 14039,
  [14219] = 14043,
  [14220] = 14051,
  [14221] = 14041,
  [14222] = 14222,
  [14223] = 14165,
  [14224] = 14043,
  [14225] = 14123,
  [14226] = 14226,
  [14227] = 14165,
  [14228] = 14039,
  [14229] = 14123,
  [14230] = 14043,
  [14231] = 14123,
  [14232] = 14043,
  [14233] = 14043,
  [14234] = 14103,
  [14235] = 14165,
  [14236] = 14040,
  [14237] = 14237,
  [14238] = 14041,
  [14239] = 14043,
  [14240] = 14040,
  [14241] = 14040,
  [14242] = 14242,
  [14243] = 14066,
  [14244] = 14040,
  [14245] = 14165,
  [14246] = 14043,
  [14247] = 9858,
  [14248] = 14158,
  [14249] = 12672,
  [14250] = 14039,
  [14251] = 14040,
  [14252] = 14103,
  [14253] = 14041,
  [14254] = 14103,
  [14255] = 14255,
  [14256] = 14103,
  [14257] = 14040,
  [14258] = 14039,
  [14259] = 14039,
  [14260] = 14103,
  [14261] = 14123,
  [14262] = 14043,
  [14263] = 14043,
  [14264] = 14043,
  [14265] = 14043,
  [14266] = 14040,
  [14267] = 14039,
  [14268] = 14041,
  [14269] = 14163,
  [14270] = 14043,
  [14271] = 14043,
  [14272] = 14272,
  [14273] = 10803,
  [14274] = 14274,
  [14275] = 14275,
  [14276] = 14276,
  [14277] = 14272,
  [14278] = 14278,
  [14279] = 14275,
  [14280] = 14280,
  [14281] = 14281,
  [14282] = 14282,
  [14283] = 14283,
  [14284] = 14284,
  [14285] = 14285,
  [14286] = 14286,
  [14287] = 14287,
  [14288] = 14283,
  [14289] = 14289,
  [14290] = 14286,
  [14291] = 14291,
  [14292] = 10800,
  [14293] = 14281,
  [14294] = 14281,
  [14295] = 14295,
  [14296] = 14295,
  [14297] = 14278,
  [14298] = 10998,
  [14299] = 14287,
  [14300] = 14300,
  [14301] = 14301,
  [14302] = 14302,
  [14303] = 14303,
  [14304] = 14304,
  [14305] = 14303,
  [14306] = 14276,
  [14307] = 14272,
  [14308] = 14284,
  [14309] = 14281,
  [14310] = 14280,
  [14311] = 14284,
  [14312] = 10491,
  [14313] = 14278,
  [14314] = 14314,
  [14315] = 14285,
  [14316] = 14316,
  [14317] = 14317,
  [14318] = 14278,
  [14319] = 14319,
  [14320] = 14320,
  [14321] = 14281,
  [14322] = 14295,
  [14323] = 14287,
  [14324] = 14301,
  [14325] = 14295,
  [14326] = 14284,
  [14327] = 14316,
  [14328] = 14303,
  [14329] = 14278,
  [14330] = 14330,
  [14331] = 14300,
  [14332] = 10010,
  [14333] = 14302,
  [14334] = 14276,
  [14335] = 14272,
  [14336] = 14304,
  [14337] = 14280,
  [14338] = 14302,
  [14339] = 14339,
  [14340] = 14282,
  [14341] = 14276,
  [14342] = 14283,
  [14343] = 14300,
  [14344] = 14272,
  [14345] = 14339,
  [14346] = 14278,
  [14347] = 14274,
  [14348] = 14275,
  [14349] = 14282,
  [14350] = 14303,
  [14351] = 14351,
  [14352] = 14352,
  [14353] = 14280,
  [14354] = 14276,
  [14355] = 14272,
  [14356] = 14278,
  [14357] = 14285,
  [14358] = 14300,
  [14359] = 14280,
  [14360] = 14295,
  [14361] = 14281,
  [14362] = 14283,
  [14363] = 14286,
  [14364] = 14301,
  [14365] = 14314,
  [14366] = 14366,
  [14367] = 14303,
  [14368] = 14281,
  [14369] = 4719,
  [14370] = 14295,
  [14371] = 14276,
  [14372] = 14272,
  [14373] = 14280,
  [14374] = 14285,
  [14375] = 14316,
  [14376] = 14314,
  [14377] = 14274,
  [14378] = 14275,
  [14379] = 14379,
  [14380] = 14300,
  [14381] = 14302,
  [14382] = 14278,
  [14383] = 14303,
  [14384] = 14314,
  [14385] = 14285,
  [14386] = 14386,
  [14387] = 14316,
  [14388] = 14339,
  [14389] = 14276,
  [14390] = 14272,
  [14391] = 14278,
  [14392] = 14392,
  [14393] = 14280,
  [14394] = 14278,
  [14395] = 14283,
  [14396] = 14283,
  [14397] = 14397,
  [14398] = 14287,
  [14399] = 14282,
  [14400] = 14283,
  [14401] = 14300,
  [14402] = 14284,
  [14403] = 14280,
  [14404] = 14397,
  [14405] = 14392,
  [14406] = 14303,
  [14407] = 14407,
  [14408] = 14283,
  [14409] = 14286,
  [14410] = 14300,
  [14411] = 14411,
  [14412] = 14276,
  [14413] = 14285,
  [14414] = 14280,
  [14415] = 14302,
  [14416] = 14339,
  [14417] = 14316,
  [14418] = 14300,
  [14419] = 14303,
  [14420] = 14300,
  [14421] = 14286,
  [14422] = 14278,
  [14423] = 14300,
  [14424] = 14276,
  [14425] = 14272,
  [14426] = 14280,
  [14427] = 14283,
  [14428] = 14274,
  [14429] = 14275,
  [14430] = 14430,
  [14431] = 14431,
  [14432] = 14281,
  [14433] = 14314,
  [14434] = 14285,
  [14435] = 14295,
  [14436] = 14283,
  [14437] = 14287,
  [14438] = 14316,
  [14439] = 14439,
  [14440] = 14286,
  [14441] = 14317,
  [14442] = 14339,
  [14443] = 14379,
  [14444] = 14278,
  [14445] = 14302,
  [14446] = 14281,
  [14447] = 14281,
  [14448] = 14295,
  [14449] = 14449,
  [14450] = 14281,
  [14451] = 14300,
  [14452] = 14300,
  [14453] = 14453,
  [14454] = 14454,
  [14455] = 14431,
  [14456] = 14456,
  [14457] = 14339,
  [14458] = 14278,
  [14459] = 14314,
  [14460] = 14285,
  [14461] = 14316,
  [14462] = 14316,
  [14463] = 14287,
  [14464] = 14278,
  [14465] = 14278,
  [14466] = 14278,
  [14467] = 14302,
  [14468] = 14283,
  [14469] = 14285,
  [14470] = 14274,
  [14471] = 14314,
  [14472] = 14285,
  [14473] = 14317,
  [14474] = 14474,
  [14475] = 14316,
  [14476] = 14275,
  [14477] = 14287,
  [14478] = 14287,
  [14479] = 14339,
  [14480] = 14281,
  [14481] = 14284,
  [14482] = 11060,
  [14483] = 14300,
  [14484] = 14454,
  [14485] = 14284,
  [14486] = 14283,
  [14487] = 11110,
  [14488] = 14488,
  [14489] = 14284,
  [14490] = 14302,
  [14491] = 14339,
  [14492] = 14300,
  [14493] = 14286,
  [14494] = 14300,
  [14495] = 14300,
  [14496] = 14496,
  [14497] = 14497,
  [14498] = 14274,
  [14499] = 14275,
  [14500] = 14500,
  [14501] = 14281,
  [14502] = 14287,
  [14503] = 14281,
  [14504] = 11111,
  [14505] = 14314,
  [14506] = 14316,
  [14507] = 14287,
  [14508] = 10490,
  [14509] = 14320,
  [14510] = 14283,
  [14511] = 14286,
  [14512] = 14284,
  [14513] = 14302,
  [14514] = 14281,
  [14515] = 14283,
  [14516] = 14301,
  [14517] = 14295,
  [14518] = 14283,
  [14519] = 14283,
  [14520] = 14339,
  [14521] = 14521,
  [14522] = 14281,
  [14523] = 14302,
  [14524] = 14278,
  [14525] = 14339,
  [14526] = 14314,
  [14527] = 14285,
  [14528] = 14316,
  [14529] = 14278,
  [14530] = 14281,
  [14531] = 14282,
  [14532] = 10831,
  [14533] = 14300,
  [14534] = 14534,
  [14535] = 14302,
  [14536] = 14287,
  [14537] = 14339,
  [14538] = 14449,
  [14539] = 14453,
  [14540] = 14284,
  [14541] = 14282,
  [14542] = 14281,
  [14543] = 14543,
  [14544] = 14282,
  [14545] = 14295,
  [14546] = 14300,
  [14547] = 14281,
  [14548] = 14300,
  [14549] = 14302,
  [14550] = 14339,
  [14551] = 14283,
  [14552] = 14295,
  [14553] = 14300,
  [14554] = 14278,
  [14555] = 14283,
  [14556] = 14397,
  [14557] = 14300,
  [14558] = 14274,
  [14559] = 14274,
  [14560] = 14274,
  [14561] = 14275,
  [14562] = 14275,
  [14563] = 14286,
  [14564] = 14300,
  [14565] = 14300,
  [14566] = 14274,
  [14567] = 14275,
  [14568] = 14430,
  [14569] = 14283,
  [14570] = 14275,
  [14571] = 14286,
  [14572] = 14281,
  [14573] = 14281,
  [14574] = 14283,
  [14575] = 14281,
  [14576] = 14295,
  [14577] = 14278,
  [14578] = 14282,
  [14579] = 14281,
  [14580] = 10963,
  [14581] = 14291,
  [14582] = 14283,
  [14583] = 14300,
  [14584] = 14281,
  [14585] = 14278,
  [14586] = 14278,
  [14587] = 14314,
  [14588] = 14285,
  [14589] = 14316,
  [14590] = 14295,
  [14591] = 14300,
  [14592] = 14286,
  [14593] = 14304,
  [14594] = 14303,
  [14595] = 14278,
  [14596] = 14283,
  [14597] = 14285,
  [14598] = 14274,
  [14599] = 14316,
  [14600] = 14600,
  [14601] = 14281,
  [14602] = 14287,
  [14603] = 14314,
  [14604] = 14286,
  [14605] = 14275,
  [14606] = 14284,
  [14607] = 14285,
  [14608] = 14283,
  [14609] = 14316,
  [14610] = 14610,
  [14611] = 14276,
  [14612] = 14272,
  [14613] = 14274,
  [14614] = 14302,
  [14615] = 14278,
  [14616] = 14302,
  [14617] = 14339,
  [14618] = 14286,
  [14619] = 10934,
  [14620] = 14281,
  [14621] = 14281,
  [14622] = 14300,
  [14623] = 14320,
  [14624] = 14280,
  [14625] = 14295,
  [14626] = 14284,
  [14627] = 14627,
  [14628] = 14274,
  [14629] = 14275,
  [14630] = 14275,
  [14631] = 14281,
  [14632] = 14300,
  [14633] = 14300,
  [14634] = 14283,
  [14635] = 14300,
  [14636] = 14283,
  [14637] = 14295,
  [14638] = 4674,
  [14639] = 14283,
  [14640] = 14411,
  [14641] = 14286,
  [14642] = 9977,
  [14643] = 14287,
  [14644] = 14316,
  [14645] = 14278,
  [14646] = 14281,
  [14647] = 14314,
  [14648] = 14295,
  [14649] = 14314,
  [14650] = 14285,
  [14651] = 14316,
  [14652] = 12052,
  [14653] = 14284,
  [14654] = 14654,
  [14655] = 14430,
  [14656] = 14316,
  [14657] = 14283,
  [14658] = 14283,
  [14659] = 14659,
  [14660] = 14302,
  [14661] = 14339,
  [14662] = 14662,
  [14663] = 14281,
  [14664] = 14278,
  [14665] = 14314,
  [14666] = 14285,
  [14667] = 14316,
  [14668] = 14274,
  [14669] = 14669,
  [14670] = 14320,
  [14671] = 14281,
  [14672] = 14281,
  [14673] = 14281,
  [14674] = 14674,
  [14675] = 14295,
  [14676] = 14392,
  [14677] = 14287,
  [14678] = 14287,
  [14679] = 14284,
  [14680] = 11222,
  [14681] = 14278,
  [14682] = 14682,
  [14683] = 10738,
  [14684] = 14284,
  [14685] = 14685,
  [14686] = 14339,
  [14687] = 14351,
  [14688] = 14283,
  [14689] = 14302,
  [14690] = 4721,
  [14691] = 14339,
  [14692] = 14287,
  [14693] = 14278,
  [14694] = 14302,
  [14695] = 14339,
  [14696] = 14300,
  [14697] = 14275,
  [14698] = 14302,
  [14699] = 14282,
  [14700] = 14669,
  [14701] = 14301,
  [14702] = 14669,
  [14703] = 14291,
  [14704] = 14274,
  [14705] = 14275,
  [14706] = 14339,
  [14707] = 14282,
  [14708] = 14300,
  [14709] = 14351,
  [14710] = 14304,
  [14711] = 14283,
  [14712] = 11089,
  [14713] = 14303,
  [14714] = 14283,
  [14715] = 14301,
  [14716] = 14351,
  [14717] = 14286,
  [14718] = 14674,
  [14719] = 14286,
  [14720] = 14281,
  [14721] = 14669,
  [14722] = 14281,
  [14723] = 14295,
  [14724] = 14300,
  [14725] = 14276,
  [14726] = 14352,
  [14727] = 14272,
  [14728] = 14351,
  [14729] = 14278,
  [14730] = 14280,
  [14731] = 14282,
  [14732] = 14278,
  [14733] = 14314,
  [14734] = 14285,
  [14735] = 14316,
  [14736] = 14274,
  [14737] = 14275,
  [14738] = 14274,
  [14739] = 14300,
  [14740] = 14379,
  [14741] = 14275,
  [14742] = 14379,
  [14743] = 12961,
  [14744] = 14669,
  [14745] = 14295,
  [14746] = 14746,
  [14747] = 14276,
  [14748] = 14285,
  [14749] = 14283,
  [14750] = 14287,
  [14751] = 14300,
  [14752] = 14351,
  [14753] = 14286,
  [14754] = 12121,
  [14755] = 14284,
  [14756] = 14281,
  [14757] = 14669,
  [14758] = 14283,
  [14759] = 14278,
  [14760] = 12122,
  [14761] = 11106,
  [14762] = 14302,
  [14763] = 14339,
  [14764] = 14669,
  [14765] = 14281,
  [14766] = 14295,
  [14767] = 14669,
  [14768] = 14300,
  [14769] = 14281,
  [14770] = 14397,
  [14771] = 14283,
  [14772] = 14295,
  [14773] = 14304,
  [14774] = 14286,
  [14775] = 14669,
  [14776] = 14281,
  [14777] = 14274,
  [14778] = 14669,
  [14779] = 14275,
  [14780] = 14669,
  [14781] = 14397,
  [14782] = 14320,
  [14783] = 14669,
  [14784] = 14278,
  [14785] = 14278,
  [14786] = 14283,
  [14787] = 14669,
  [14788] = 14278,
  [14789] = 14379,
  [14790] = 14286,
  [14791] = 14669,
  [14792] = 14314,
  [14793] = 14291,
  [14794] = 14274,
  [14795] = 14284,
  [14796] = 14669,
  [14797] = 12980,
  [14798] = 14281,
  [14799] = 14669,
  [14800] = 14295,
  [14801] = 14669,
  [14802] = 14278,
  [14803] = 14314,
  [14804] = 14285,
  [14805] = 14669,
  [14806] = 14304,
  [14807] = 14316,
  [14808] = 14283,
  [14809] = 14669,
  [14810] = 14303,
  [14811] = 14274,
  [14812] = 12971,
  [14813] = 14278,
  [14814] = 14314,
  [14815] = 14669,
  [14816] = 14285,
  [14817] = 14316,
  [14818] = 12811,
  [14819] = 14685,
  [14820] = 14669,
  [14821] = 14275,
  [14822] = 14314,
  [14823] = 14300,
  [14824] = 14317,
  [14825] = 14669,
  [14826] = 14285,
  [14827] = 14316,
  [14828] = 14669,
  [14829] = 11116,
  [14830] = 14281,
  [14831] = 14287,
  [14832] = 14669,
  [14833] = 14276,
  [14834] = 14284,
  [14835] = 14669,
  [14836] = 14282,
  [14837] = 14669,
  [14838] = 14272,
  [14839] = 14303,
  [14840] = 14286,
  [14841] = 14285,
  [14842] = 14669,
  [14843] = 14302,
  [14844] = 14339,
  [14845] = 14669,
  [14846] = 14669,
  [14847] = 14287,
  [14848] = 14314,
  [14849] = 14669,
  [14850] = 14300,
  [14851] = 14280,
  [14852] = 14669,
  [14853] = 14272,
  [14854] = 14397,
  [14855] = 14669,
  [14856] = 14278,
  [14857] = 14284,
  [14858] = 14669,
  [14859] = 14274,
  [14860] = 14275,
  [14861] = 14669,
  [14862] = 10057,
  [14863] = 14669,
  [14864] = 14287,
  [14865] = 14366,
  [14866] = 14669,
  [14867] = 14278,
  [14868] = 14283,
  [14869] = 14669,
  [14870] = 14283,
  [14871] = 14286,
  [14872] = 14669,
  [14873] = 14300,
  [14874] = 14283,
  [14875] = 14669,
  [14876] = 14284,
  [14877] = 14281,
  [14878] = 14669,
  [14879] = 14295,
  [14880] = 14283,
  [14881] = 14669,
  [14882] = 14669,
  [14883] = 14287,
  [14884] = 14407,
  [14885] = 14302,
  [14886] = 14278,
  [14887] = 14339,
  [14888] = 14654,
  [14889] = 14431,
  [14890] = 14453,
  [14891] = 14685,
  [14892] = 14284,
  [14893] = 14392,
  [14894] = 3048,
  [14895] = 14282,
  [14896] = 14284,
  [14897] = 14430,
  [14898] = 14392,
  [14899] = 14899,
  [14900] = 14278,
  [14901] = 14287,
  [14902] = 14278,
  [14903] = 14286,
  [14904] = 14314,
  [14905] = 14284,
  [14906] = 14285,
  [14907] = 14302,
  [14908] = 14339,
  [14909] = 14300,
  [14910] = 14282,
  [14911] = 14316,
  [14912] = 14300,
  [14913] = 14913,
  [14914] = 14287,
  [14915] = 14302,
  [14916] = 14352,
  [14917] = 14339,
  [14918] = 14300,
  [14919] = 14379,
  [14920] = 14662,
  [14921] = 14320,
  [14922] = 14314,
  [14923] = 14397,
  [14924] = 14431,
  [14925] = 14453,
  [14926] = 14685,
  [14927] = 14352,
  [14928] = 12886,
  [14929] = 14662,
  [14930] = 14278,
  [14931] = 14431,
  [14932] = 14453,
  [14933] = 14685,
  [14934] = 14352,
  [14935] = 14303,
  [14936] = 14662,
  [14937] = 14274,
  [14938] = 14275,
  [14939] = 14431,
  [14940] = 14453,
  [14941] = 14685,
  [14942] = 14352,
  [14943] = 14654,
  [14944] = 14283,
  [14945] = 14654,
  [14946] = 10802,
  [14947] = 14654,
  [14948] = 14274,
  [14949] = 14283,
  [14950] = 14275,
  [14951] = 14300,
  [14952] = 14610,
  [14953] = 14314,
  [14954] = 14610,
  [14955] = 14286,
  [14956] = 14610,
  [14957] = 14397,
  [14958] = 14958,
  [14959] = 14959,
  [14960] = 14960,
  [14961] = 14961,
  [14962] = 14962,
  [14963] = 14959,
  [14964] = 14964,
  [14965] = 14965,
  [14966] = 14966,
  [14967] = 14967,
  [14968] = 14965,
  [14969] = 14969,
  [14970] = 14970,
  [14971] = 14971,
  [14972] = 14970,
  [14973] = 14973,
  [14974] = 14974,
  [14975] = 14966,
  [14976] = 14976,
  [14977] = 14964,
  [14978] = 14976,
  [14979] = 14979,
  [14980] = 14980,
  [14981] = 14970,
  [14982] = 14979,
  [14983] = 14983,
  [14984] = 14984,
  [14985] = 14962,
  [14986] = 14986,
  [14987] = 14962,
  [14988] = 14980,
  [14989] = 14989,
  [14990] = 14986,
  [14991] = 14979,
  [14992] = 14992,
  [14993] = 14969,
  [14994] = 14969,
  [14995] = 14995,
  [14996] = 14966,
  [14997] = 14958,
  [14998] = 14976,
  [14999] = 14966,
  [15000] = 15000,
  [15001] = 14961,
  [15002] = 15002,
  [15003] = 14976,
  [15004] = 14980,
  [15005] = 14964,
  [15006] = 14980,
  [15007] = 15007,
  [15008] = 14971,
  [15009] = 14973,
  [15010] = 14966,
  [15011] = 14995,
  [15012] = 15012,
  [15013] = 15013,
  [15014] = 15007,
  [15015] = 14995,
  [15016] = 14964,
  [15017] = 14964,
  [15018] = 15018,
  [15019] = 14989,
  [15020] = 14966,
  [15021] = 15021,
  [15022] = 14980,
  [15023] = 14980,
  [15024] = 14992,
  [15025] = 15013,
  [15026] = 15026,
  [15027] = 15027,
  [15028] = 14958,
  [15029] = 15029,
  [15030] = 14995,
  [15031] = 15031,
  [15032] = 14964,
  [15033] = 14964,
  [15034] = 14961,
  [15035] = 14962,
  [15036] = 14986,
  [15037] = 14995,
  [15038] = 14967,
  [15039] = 15039,
  [15040] = 15040,
  [15041] = 14971,
  [15042] = 15042,
  [15043] = 15043,
  [15044] = 14984,
  [15045] = 15045,
  [15046] = 15007,
  [15047] = 14958,
  [15048] = 15012,
  [15049] = 10491,
  [15050] = 14960,
  [15051] = 15051,
  [15052] = 15013,
  [15053] = 14969,
  [15054] = 14989,
  [15055] = 15018,
  [15056] = 14992,
  [15057] = 15057,
  [15058] = 15002,
  [15059] = 15012,
  [15060] = 15007,
  [15061] = 14958,
  [15062] = 15043,
  [15063] = 15045,
  [15064] = 15007,
  [15065] = 15002,
  [15066] = 15066,
  [15067] = 15067,
  [15068] = 14960,
  [15069] = 14961,
  [15070] = 14965,
  [15071] = 15021,
  [15072] = 14960,
  [15073] = 15007,
  [15074] = 15018,
  [15075] = 14995,
  [15076] = 14965,
  [15077] = 14960,
  [15078] = 15078,
  [15079] = 14971,
  [15080] = 14970,
  [15081] = 15042,
  [15082] = 15026,
  [15083] = 15012,
  [15084] = 15018,
  [15085] = 15026,
  [15086] = 14979,
  [15087] = 15027,
  [15088] = 15026,
  [15089] = 14970,
  [15090] = 15045,
  [15091] = 14989,
  [15092] = 14992,
  [15093] = 14967,
  [15094] = 14965,
  [15095] = 11127,
  [15096] = 14958,
  [15097] = 15097,
  [15098] = 15007,
  [15099] = 14961,
  [15100] = 14973,
  [15101] = 14965,
  [15102] = 15102,
  [15103] = 14970,
  [15104] = 14979,
  [15105] = 15105,
  [15106] = 14971,
  [15107] = 14979,
  [15108] = 10010,
  [15109] = 14962,
  [15110] = 15007,
  [15111] = 14960,
  [15112] = 14970,
  [15113] = 14962,
  [15114] = 14989,
  [15115] = 15115,
  [15116] = 14992,
  [15117] = 14974,
  [15118] = 15118,
  [15119] = 14966,
  [15120] = 14962,
  [15121] = 15121,
  [15122] = 14958,
  [15123] = 14959,
  [15124] = 14961,
  [15125] = 15125,
  [15126] = 14965,
  [15127] = 15012,
  [15128] = 15128,
  [15129] = 15018,
  [15130] = 14970,
  [15131] = 15057,
  [15132] = 14971,
  [15133] = 14966,
  [15134] = 14976,
  [15135] = 14979,
  [15136] = 15136,
  [15137] = 14966,
  [15138] = 14976,
  [15139] = 14989,
  [15140] = 15043,
  [15141] = 14992,
  [15142] = 15026,
  [15143] = 14962,
  [15144] = 14976,
  [15145] = 15002,
  [15146] = 15146,
  [15147] = 14958,
  [15148] = 14986,
  [15149] = 15027,
  [15150] = 15150,
  [15151] = 14961,
  [15152] = 14966,
  [15153] = 14979,
  [15154] = 14960,
  [15155] = 14976,
  [15156] = 14980,
  [15157] = 15157,
  [15158] = 14971,
  [15159] = 15027,
  [15160] = 14962,
  [15161] = 14980,
  [15162] = 15162,
  [15163] = 14995,
  [15164] = 14989,
  [15165] = 14980,
  [15166] = 14995,
  [15167] = 14992,
  [15168] = 14995,
  [15169] = 14980,
  [15170] = 15170,
  [15171] = 14964,
  [15172] = 14958,
  [15173] = 15012,
  [15174] = 14995,
  [15175] = 14961,
  [15176] = 15018,
  [15177] = 15026,
  [15178] = 15027,
  [15179] = 14971,
  [15180] = 14964,
  [15181] = 14964,
  [15182] = 15002,
  [15183] = 15045,
  [15184] = 15184,
  [15185] = 15045,
  [15186] = 14989,
  [15187] = 14966,
  [15188] = 15188,
  [15189] = 14992,
  [15190] = 14976,
  [15191] = 15191,
  [15192] = 15192,
  [15193] = 15193,
  [15194] = 15194,
  [15195] = 14960,
  [15196] = 14958,
  [15197] = 15007,
  [15198] = 15007,
  [15199] = 14984,
  [15200] = 15007,
  [15201] = 14961,
  [15202] = 14964,
  [15203] = 15146,
  [15204] = 15057,
  [15205] = 14979,
  [15206] = 14960,
  [15207] = 15115,
  [15208] = 14974,
  [15209] = 14971,
  [15210] = 15118,
  [15211] = 14979,
  [15212] = 14965,
  [15213] = 15115,
  [15214] = 15214,
  [15215] = 14974,
  [15216] = 15118,
  [15217] = 14989,
  [15218] = 14983,
  [15219] = 14960,
  [15220] = 14992,
  [15221] = 14989,
  [15222] = 14960,
  [15223] = 14959,
  [15224] = 14992,
  [15225] = 14976,
  [15226] = 15043,
  [15227] = 14970,
  [15228] = 14961,
  [15229] = 14959,
  [15230] = 15007,
  [15231] = 15007,
  [15232] = 15002,
  [15233] = 14965,
  [15234] = 15045,
  [15235] = 14971,
  [15236] = 15007,
  [15237] = 14965,
  [15238] = 14958,
  [15239] = 14970,
  [15240] = 15027,
  [15241] = 15043,
  [15242] = 14989,
  [15243] = 14980,
  [15244] = 15012,
  [15245] = 14992,
  [15246] = 15018,
  [15247] = 15026,
  [15248] = 15027,
  [15249] = 14960,
  [15250] = 14970,
  [15251] = 14958,
  [15252] = 15045,
  [15253] = 14961,
  [15254] = 15254,
  [15255] = 14986,
  [15256] = 15256,
  [15257] = 14971,
  [15258] = 14995,
  [15259] = 15002,
  [15260] = 15045,
  [15261] = 15261,
  [15262] = 15007,
  [15263] = 14989,
  [15264] = 15007,
  [15265] = 14992,
  [15266] = 15266,
  [15267] = 14969,
  [15268] = 14960,
  [15269] = 14979,
  [15270] = 14958,
  [15271] = 14960,
  [15272] = 14961,
  [15273] = 15273,
  [15274] = 15274,
  [15275] = 15021,
  [15276] = 14960,
  [15277] = 15115,
  [15278] = 14974,
  [15279] = 14971,
  [15280] = 15118,
  [15281] = 15281,
  [15282] = 14979,
  [15283] = 11844,
  [15284] = 14959,
  [15285] = 15285,
  [15286] = 14989,
  [15287] = 14964,
  [15288] = 14965,
  [15289] = 14992,
  [15290] = 14962,
  [15291] = 14970,
  [15292] = 14965,
  [15293] = 15293,
  [15294] = 14970,
  [15295] = 14958,
  [15296] = 14961,
  [15297] = 14979,
  [15298] = 14964,
  [15299] = 14995,
  [15300] = 14961,
  [15301] = 14966,
  [15302] = 14960,
  [15303] = 14962,
  [15304] = 14976,
  [15305] = 14979,
  [15306] = 14971,
  [15307] = 14962,
  [15308] = 14959,
  [15309] = 14986,
  [15310] = 14966,
  [15311] = 14989,
  [15312] = 14984,
  [15313] = 14966,
  [15314] = 15012,
  [15315] = 14992,
  [15316] = 14976,
  [15317] = 15150,
  [15318] = 15018,
  [15319] = 14979,
  [15320] = 15026,
  [15321] = 14958,
  [15322] = 15027,
  [15323] = 14986,
  [15324] = 14980,
  [15325] = 14961,
  [15326] = 14980,
  [15327] = 14995,
  [15328] = 14969,
  [15329] = 15007,
  [15330] = 14971,
  [15331] = 14971,
  [15332] = 14995,
  [15333] = 15333,
  [15334] = 14964,
  [15335] = 14966,
  [15336] = 14989,
  [15337] = 14992,
  [15338] = 14964,
  [15339] = 14965,
  [15340] = 15045,
  [15341] = 14962,
  [15342] = 14958,
  [15343] = 14976,
  [15344] = 14961,
  [15345] = 14979,
  [15346] = 14973,
  [15347] = 14965,
  [15348] = 11959,
  [15349] = 14976,
  [15350] = 15115,
  [15351] = 14971,
  [15352] = 15352,
  [15353] = 15353,
  [15354] = 15012,
  [15355] = 11925,
  [15356] = 14970,
  [15357] = 14989,
  [15358] = 14992,
  [15359] = 14966,
  [15360] = 14974,
  [15361] = 15115,
  [15362] = 14976,
  [15363] = 15118,
  [15364] = 15364,
  [15365] = 15007,
  [15366] = 14989,
  [15367] = 14992,
  [15368] = 14965,
  [15369] = 14962,
  [15370] = 15370,
  [15371] = 15371,
  [15372] = 15040,
  [15373] = 14974,
  [15374] = 15184,
  [15375] = 15043,
  [15376] = 15191,
  [15377] = 15118,
  [15378] = 14980,
  [15379] = 15002,
  [15380] = 15057,
  [15381] = 15097,
  [15382] = 14989,
  [15383] = 14992,
  [15384] = 15384,
  [15385] = 14980,
  [15386] = 14964,
  [15387] = 15013,
  [15388] = 14995,
  [15389] = 14995,
  [15390] = 15390,
  [15391] = 14964,
  [15392] = 15012,
  [15393] = 15018,
  [15394] = 15026,
  [15395] = 14965,
  [15396] = 15027,
  [15397] = 14964,
  [15398] = 15398,
  [15399] = 14989,
  [15400] = 14992,
  [15401] = 15045,
  [15402] = 14959,
  [15403] = 15403,
  [15404] = 14979,
  [15405] = 14962,
  [15406] = 14960,
  [15407] = 14960,
  [15408] = 15007,
  [15409] = 14989,
  [15410] = 14992,
  [15411] = 14966,
  [15412] = 15281,
  [15413] = 14962,
  [15414] = 14976,
  [15415] = 15415,
  [15416] = 14960,
  [15417] = 14976,
  [15418] = 15115,
  [15419] = 14989,
  [15420] = 14992,
  [15421] = 15115,
  [15422] = 14974,
  [15423] = 15118,
  [15424] = 14986,
  [15425] = 15425,
  [15426] = 15426,
  [15427] = 14992,
  [15428] = 14959,
  [15429] = 15007,
  [15430] = 14974,
  [15431] = 15115,
  [15432] = 14965,
  [15433] = 14970,
  [15434] = 14960,
  [15435] = 14970,
  [15436] = 14974,
  [15437] = 15118,
  [15438] = 14989,
  [15439] = 14992,
  [15440] = 15118,
  [15441] = 14979,
  [15442] = 15007,
  [15443] = 14965,
  [15444] = 14960,
  [15445] = 14969,
  [15446] = 14970,
  [15447] = 14962,
  [15448] = 14965,
  [15449] = 14959,
  [15450] = 15021,
  [15451] = 14986,
  [15452] = 15452,
  [15453] = 14989,
  [15454] = 14992,
  [15455] = 15042,
  [15456] = 14959,
  [15457] = 14966,
  [15458] = 15256,
  [15459] = 14976,
  [15460] = 15043,
  [15461] = 14960,
  [15462] = 15013,
  [15463] = 15463,
  [15464] = 15042,
  [15465] = 14970,
  [15466] = 15002,
  [15467] = 15146,
  [15468] = 14980,
  [15469] = 14989,
  [15470] = 14992,
  [15471] = 15007,
  [15472] = 14965,
  [15473] = 14995,
  [15474] = 15333,
  [15475] = 14964,
  [15476] = 15007,
  [15477] = 14970,
  [15478] = 14980,
  [15479] = 15479,
  [15480] = 14979,
  [15481] = 14979,
  [15482] = 15281,
  [15483] = 14986,
  [15484] = 14989,
  [15485] = 14992,
  [15486] = 15170,
  [15487] = 14980,
  [15488] = 14960,
  [15489] = 14965,
  [15490] = 15293,
  [15491] = 15043,
  [15492] = 14962,
  [15493] = 14962,
  [15494] = 14966,
  [15495] = 14979,
  [15496] = 14976,
  [15497] = 15146,
  [15498] = 14965,
  [15499] = 15043,
  [15500] = 14970,
  [15501] = 14989,
  [15502] = 14992,
  [15503] = 15188,
  [15504] = 15013,
  [15505] = 14995,
  [15506] = 15018,
  [15507] = 15002,
  [15508] = 14960,
  [15509] = 14966,
  [15510] = 14984,
  [15511] = 14983,
  [15512] = 14976,
  [15513] = 14979,
  [15514] = 14989,
  [15515] = 15012,
  [15516] = 15018,
  [15517] = 15026,
  [15518] = 14989,
  [15519] = 14992,
  [15520] = 14992,
  [15521] = 14965,
  [15522] = 14980,
  [15523] = 14980,
  [15524] = 15027,
  [15525] = 14995,
  [15526] = 14995,
  [15527] = 14962,
  [15528] = 15043,
  [15529] = 14964,
  [15530] = 14964,
  [15531] = 14966,
  [15532] = 15002,
  [15533] = 15012,
  [15534] = 14958,
  [15535] = 14989,
  [15536] = 14992,
  [15537] = 14962,
  [15538] = 14969,
  [15539] = 15018,
  [15540] = 14970,
  [15541] = 15115,
  [15542] = 14976,
  [15543] = 15026,
  [15544] = 14986,
  [15545] = 15027,
  [15546] = 14964,
  [15547] = 15012,
  [15548] = 15018,
  [15549] = 15026,
  [15550] = 14966,
  [15551] = 15027,
  [15552] = 14962,
  [15553] = 14965,
  [15554] = 15045,
  [15555] = 14989,
  [15556] = 14992,
  [15557] = 15045,
  [15558] = 14965,
  [15559] = 14979,
  [15560] = 15021,
  [15561] = 15293,
  [15562] = 14961,
  [15563] = 15192,
  [15564] = 14986,
  [15565] = 14969,
  [15566] = 14989,
  [15567] = 14992,
  [15568] = 15007,
  [15569] = 15042,
  [15570] = 15570,
  [15571] = 15021,
  [15572] = 14976,
  [15573] = 15573,
  [15574] = 14969,
  [15575] = 15261,
  [15576] = 15042,
  [15577] = 14960,
  [15578] = 15150,
  [15579] = 15146,
  [15580] = 14989,
  [15581] = 14992,
  [15582] = 15045,
  [15583] = 14970,
  [15584] = 15115,
  [15585] = 14974,
  [15586] = 15118,
  [15587] = 15170,
  [15588] = 14959,
  [15589] = 15007,
  [15590] = 14971,
  [15591] = 15146,
  [15592] = 14959,
  [15593] = 15333,
  [15594] = 14965,
  [15595] = 14973,
  [15596] = 14989,
  [15597] = 14992,
  [15598] = 14970,
  [15599] = 15007,
  [15600] = 9977,
  [15601] = 14979,
  [15602] = 15188,
  [15603] = 14965,
  [15604] = 14980,
  [15605] = 15170,
  [15606] = 15352,
  [15607] = 15188,
  [15608] = 15353,
  [15609] = 14970,
  [15610] = 14962,
  [15611] = 14989,
  [15612] = 14992,
  [15613] = 15115,
  [15614] = 14983,
  [15615] = 14960,
  [15616] = 14986,
  [15617] = 14974,
  [15618] = 14960,
  [15619] = 14966,
  [15620] = 15370,
  [15621] = 15256,
  [15622] = 15371,
  [15623] = 14976,
  [15624] = 14983,
  [15625] = 15013,
  [15626] = 15626,
  [15627] = 14966,
  [15628] = 14989,
  [15629] = 14992,
  [15630] = 15184,
  [15631] = 15118,
  [15632] = 14980,
  [15633] = 15191,
  [15634] = 14962,
  [15635] = 14965,
  [15636] = 14995,
  [15637] = 15097,
  [15638] = 14964,
  [15639] = 15384,
  [15640] = 14970,
  [15641] = 14989,
  [15642] = 14992,
  [15643] = 14979,
  [15644] = 15115,
  [15645] = 14974,
  [15646] = 15118,
  [15647] = 14989,
  [15648] = 14992,
  [15649] = 15281,
  [15650] = 14979,
  [15651] = 14976,
  [15652] = 14970,
  [15653] = 14959,
  [15654] = 14989,
  [15655] = 14992,
  [15656] = 14966,
  [15657] = 14962,
  [15658] = 14979,
  [15659] = 14989,
  [15660] = 14992,
  [15661] = 15026,
  [15662] = 15662,
  [15663] = 14979,
  [15664] = 14989,
  [15665] = 14992,
  [15666] = 14965,
  [15667] = 14989,
  [15668] = 14992,
  [15669] = 14966,
  [15670] = 14989,
  [15671] = 14992,
  [15672] = 14976,
  [15673] = 14989,
  [15674] = 14992,
  [15675] = 15675,
  [15676] = 14989,
  [15677] = 14992,
  [15678] = 14995,
  [15679] = 14989,
  [15680] = 14992,
  [15681] = 15170,
  [15682] = 14989,
  [15683] = 14992,
  [15684] = 15170,
  [15685] = 14989,
  [15686] = 14992,
  [15687] = 14970,
  [15688] = 14989,
  [15689] = 14992,
  [15690] = 14980,
  [15691] = 14989,
  [15692] = 14992,
  [15693] = 14980,
  [15694] = 14989,
  [15695] = 14992,
  [15696] = 14989,
  [15697] = 14992,
  [15698] = 14989,
  [15699] = 14992,
  [15700] = 14989,
  [15701] = 14992,
  [15702] = 14989,
  [15703] = 14992,
  [15704] = 14989,
  [15705] = 14992,
  [15706] = 14989,
  [15707] = 14992,
  [15708] = 14989,
  [15709] = 14992,
  [15710] = 14989,
  [15711] = 14992,
  [15712] = 14989,
  [15713] = 14992,
  [15714] = 14989,
  [15715] = 14992,
  [15716] = 14989,
  [15717] = 14992,
  [15718] = 14989,
  [15719] = 14992,
  [15720] = 14989,
  [15721] = 14992,
  [15722] = 14989,
  [15723] = 14992,
  [15724] = 14989,
  [15725] = 14992,
  [15726] = 14989,
  [15727] = 14992,
  [15728] = 14989,
  [15729] = 14992,
  [15730] = 14989,
  [15731] = 14992,
  [15732] = 14989,
  [15733] = 14992,
  [15734] = 14989,
  [15735] = 14992,
  [15736] = 14989,
  [15737] = 14992,
  [15738] = 14989,
  [15739] = 14992,
  [15740] = 14989,
  [15741] = 14992,
  [15742] = 15415,
  [15743] = 14995,
  [15744] = 14979,
  [15745] = 14976,
  [15746] = 14974,
  [15747] = 14966,
  [15748] = 15067,
  [15749] = 14962,
  [15750] = 14995,
  [15751] = 15192,
  [15752] = 14986,
  [15753] = 14979,
  [15754] = 15029,
  [15755] = 14964,
  [15756] = 14969,
  [15757] = 15051,
  [15758] = 14980,
  [15759] = 14980,
  [15760] = 14966,
  [15761] = 15007,
  [15762] = 14976,
  [15763] = 14964,
  [15764] = 15013,
  [15765] = 15273,
  [15766] = 14995,
  [15767] = 15013,
  [15768] = 15188,
  [15769] = 15043,
  [15770] = 15118,
  [15771] = 14970,
  [15772] = 15002,
  [15773] = 15057,
  [15774] = 4850,
  [15775] = 14983,
  [15776] = 14995,
  [15777] = 15403,
  [15778] = 14980,
  [15779] = 14980,
  [15780] = 15013,
  [15781] = 14995,
  [15782] = 14995,
  [15783] = 14964,
  [15784] = 14962,
  [15785] = 14962,
  [15786] = 14980,
  [15787] = 14980,
  [15788] = 14995,
  [15789] = 15012,
  [15790] = 15018,
  [15791] = 15026,
  [15792] = 15027,
  [15793] = 14964,
  [15794] = 14966,
  [15795] = 14989,
  [15796] = 15045,
  [15797] = 14995,
  [15798] = 14984,
  [15799] = 15007,
  [15800] = 14976,
  [15801] = 14964,
  [15802] = 15415,
  [15803] = 14992,
  [15804] = 14960,
  [15805] = 14966,
  [15806] = 14960,
  [15807] = 14979,
  [15808] = 14958,
  [15809] = 14959,
  [15810] = 15051,
  [15811] = 15115,
  [15812] = 14974,
  [15813] = 15118,
  [15814] = 14964,
  [15815] = 15012,
  [15816] = 14966,
  [15817] = 15273,
  [15818] = 14959,
  [15819] = 14965,
  [15820] = 15820,
  [15821] = 14970,
  [15822] = 15115,
  [15823] = 14974,
  [15824] = 15007,
  [15825] = 14964,
  [15826] = 15118,
  [15827] = 14964,
  [15828] = 14979,
  [15829] = 14961,
  [15830] = 14960,
  [15831] = 15170,
  [15832] = 14962,
  [15833] = 14959,
  [15834] = 14962,
  [15835] = 15425,
  [15836] = 15018,
  [15837] = 14986,
  [15838] = 14962,
  [15839] = 14966,
  [15840] = 15370,
  [15841] = 14976,
  [15842] = 15415,
  [15843] = 14976,
  [15844] = 15256,
  [15845] = 15118,
  [15846] = 14966,
  [15847] = 15281,
  [15848] = 14980,
  [15849] = 15051,
  [15850] = 14986,
  [15851] = 14995,
  [15852] = 14965,
  [15853] = 14971,
  [15854] = 14964,
  [15855] = 15273,
  [15856] = 15333,
  [15857] = 14959,
  [15858] = 14973,
  [15859] = 15188,
  [15860] = 14976,
  [15861] = 15861,
  [15862] = 14970,
  [15863] = 15863,
  [15864] = 14980,
  [15865] = 14995,
  [15866] = 15007,
  [15867] = 15256,
  [15868] = 14976,
  [15869] = 14964,
  [15870] = 15370,
  [15871] = 15371,
  [15872] = 15026,
  [15873] = 15007,
  [15874] = 15191,
  [15875] = 15002,
  [15876] = 15097,
  [15877] = 15415,
  [15878] = 15384,
  [15879] = 15256,
  [15880] = 15043,
  [15881] = 14960,
  [15882] = 15281,
  [15883] = 15051,
  [15884] = 14980,
  [15885] = 15027,
  [15886] = 15273,
  [15887] = 15043,
  [15888] = 14961,
  [15889] = 14989,
  [15890] = 14965,
  [15891] = 14970,
  [15892] = 14979,
  [15893] = 15043,
  [15894] = 14965,
  [15895] = 15415,
  [15896] = 15188,
  [15897] = 15002,
  [15898] = 15192,
  [15899] = 14992,
  [15900] = 14970,
  [15901] = 14962,
  [15902] = 15051,
  [15903] = 14970,
  [15904] = 15043,
  [15905] = 11750,
  [15906] = 15273,
  [15907] = 15013,
  [15908] = 14966,
  [15909] = 15012,
  [15910] = 15018,
  [15911] = 15026,
  [15912] = 15415,
  [15913] = 15027,
  [15914] = 15914,
  [15915] = 15002,
  [15916] = 15281,
  [15917] = 15045,
  [15918] = 15051,
  [15919] = 15273,
  [15920] = 14986,
  [15921] = 15479,
  [15922] = 15415,
  [15923] = 14964,
  [15924] = 14979,
  [15925] = 14966,
  [15926] = 15007,
  [15927] = 14976,
  [15928] = 15007,
  [15929] = 15051,
  [15930] = 15273,
  [15931] = 14960,
  [15932] = 15932,
  [15933] = 14976,
  [15934] = 15002,
  [15935] = 15012,
  [15936] = 15415,
  [15937] = 15018,
  [15938] = 14960,
  [15939] = 15026,
  [15940] = 15051,
  [15941] = 15027,
  [15942] = 15273,
  [15943] = 15943,
  [15944] = 15415,
  [15945] = 15115,
  [15946] = 14974,
  [15947] = 15118,
  [15948] = 14958,
  [15949] = 14989,
  [15950] = 15045,
  [15951] = 15051,
  [15952] = 14959,
  [15953] = 15273,
  [15954] = 15415,
  [15955] = 14965,
  [15956] = 14962,
  [15957] = 14989,
  [15958] = 14970,
  [15959] = 14980,
  [15960] = 15051,
  [15961] = 15273,
  [15962] = 15415,
  [15963] = 14976,
  [15964] = 14979,
  [15965] = 15965,
  [15966] = 14992,
  [15967] = 14995,
  [15968] = 14966,
  [15969] = 15051,
  [15970] = 15273,
  [15971] = 15415,
  [15972] = 15007,
  [15973] = 15281,
  [15974] = 14979,
  [15975] = 14962,
  [15976] = 15976,
  [15977] = 15051,
  [15978] = 14958,
  [15979] = 15273,
  [15980] = 15415,
  [15981] = 14986,
  [15982] = 15982,
  [15983] = 11894,
  [15984] = 15027,
  [15985] = 14966,
  [15986] = 15051,
  [15987] = 15987,
  [15988] = 15273,
  [15989] = 15415,
  [15990] = 14976,
  [15991] = 15097,
  [15992] = 14960,
  [15993] = 14961,
  [15994] = 14976,
  [15995] = 15051,
  [15996] = 15273,
  [15997] = 15415,
  [15998] = 14966,
  [15999] = 14980,
  [16000] = 14980,
  [16001] = 15051,
  [16002] = 14980,
  [16003] = 15273,
  [16004] = 15415,
  [16005] = 14995,
  [16006] = 15115,
  [16007] = 14974,
  [16008] = 14964,
  [16009] = 15118,
  [16010] = 15051,
  [16011] = 15162,
  [16012] = 15273,
  [16013] = 15415,
  [16014] = 14971,
  [16015] = 15675,
  [16016] = 15051,
  [16017] = 14973,
  [16018] = 15273,
  [16019] = 15415,
  [16020] = 15254,
  [16021] = 15370,
  [16022] = 14995,
  [16023] = 14980,
  [16024] = 15371,
  [16025] = 15051,
  [16026] = 15293,
  [16027] = 15273,
  [16028] = 15415,
  [16029] = 10490,
  [16030] = 14959,
  [16031] = 14961,
  [16032] = 15191,
  [16033] = 14980,
  [16034] = 14965,
  [16035] = 14995,
  [16036] = 15051,
  [16037] = 14962,
  [16038] = 15273,
  [16039] = 15415,
  [16040] = 14970,
  [16041] = 14965,
  [16042] = 14962,
  [16043] = 15043,
  [16044] = 15051,
  [16045] = 14964,
  [16046] = 15273,
  [16047] = 15415,
  [16048] = 14979,
  [16049] = 15157,
  [16050] = 11813,
  [16051] = 15051,
  [16052] = 14986,
  [16053] = 15273,
  [16054] = 15415,
  [16055] = 16055,
  [16056] = 14995,
  [16057] = 15002,
  [16058] = 14970,
  [16059] = 15115,
  [16060] = 15051,
  [16061] = 15273,
  [16062] = 15415,
  [16063] = 14962,
  [16064] = 14964,
  [16065] = 14986,
  [16066] = 15861,
  [16067] = 15051,
  [16068] = 15273,
  [16069] = 15415,
  [16070] = 15043,
  [16071] = 14969,
  [16072] = 14969,
  [16073] = 14964,
  [16074] = 15002,
  [16075] = 15051,
  [16076] = 15273,
  [16077] = 15415,
  [16078] = 14966,
  [16079] = 14976,
  [16080] = 14983,
  [16081] = 15150,
  [16082] = 15051,
  [16083] = 15021,
  [16084] = 15273,
  [16085] = 15415,
  [16086] = 14964,
  [16087] = 14995,
  [16088] = 15042,
  [16089] = 15012,
  [16090] = 15018,
  [16091] = 15026,
  [16092] = 15051,
  [16093] = 15027,
  [16094] = 15273,
  [16095] = 15415,
  [16096] = 15146,
  [16097] = 14979,
  [16098] = 16098,
  [16099] = 14980,
  [16100] = 15045,
  [16101] = 15051,
  [16102] = 15273,
  [16103] = 15415,
  [16104] = 15266,
  [16105] = 15013,
  [16106] = 15051,
  [16107] = 15273,
  [16108] = 15415,
  [16109] = 14995,
  [16110] = 15463,
  [16111] = 14989,
  [16112] = 15007,
  [16113] = 15051,
  [16114] = 15273,
  [16115] = 15415,
  [16116] = 14964,
  [16117] = 14992,
  [16118] = 14965,
  [16119] = 14995,
  [16120] = 15051,
  [16121] = 15043,
  [16122] = 15273,
  [16123] = 15415,
  [16124] = 14960,
  [16125] = 15045,
  [16126] = 15051,
  [16127] = 15170,
  [16128] = 15273,
  [16129] = 15415,
  [16130] = 14958,
  [16131] = 15115,
  [16132] = 14962,
  [16133] = 14974,
  [16134] = 15118,
  [16135] = 15007,
  [16136] = 15051,
  [16137] = 15573,
  [16138] = 15273,
  [16139] = 15415,
  [16140] = 14971,
  [16141] = 14959,
  [16142] = 14959,
  [16143] = 15051,
  [16144] = 15002,
  [16145] = 15273,
  [16146] = 15415,
  [16147] = 14965,
  [16148] = 15188,
  [16149] = 14970,
  [16150] = 14983,
  [16151] = 14961,
  [16152] = 15333,
  [16153] = 15051,
  [16154] = 15273,
  [16155] = 15415,
  [16156] = 14979,
  [16157] = 14970,
  [16158] = 15051,
  [16159] = 15012,
  [16160] = 15273,
  [16161] = 15415,
  [16162] = 15043,
  [16163] = 14962,
  [16164] = 14966,
  [16165] = 14971,
  [16166] = 15051,
  [16167] = 14986,
  [16168] = 15273,
  [16169] = 15415,
  [16170] = 14973,
  [16171] = 15018,
  [16172] = 15066,
  [16173] = 14966,
  [16174] = 15051,
  [16175] = 14976,
  [16176] = 15273,
  [16177] = 15415,
  [16178] = 14973,
  [16179] = 16179,
  [16180] = 15026,
  [16181] = 15043,
  [16182] = 14962,
  [16183] = 15051,
  [16184] = 16184,
  [16185] = 15273,
  [16186] = 15415,
  [16187] = 15027,
  [16188] = 14980,
  [16189] = 14976,
  [16190] = 15051,
  [16191] = 15273,
  [16192] = 15415,
  [16193] = 14995,
  [16194] = 11804,
  [16195] = 15043,
  [16196] = 14964,
  [16197] = 14984,
  [16198] = 15012,
  [16199] = 15051,
  [16200] = 15273,
  [16201] = 15415,
  [16202] = 14966,
  [16203] = 14976,
  [16204] = 15018,
  [16205] = 15051,
  [16206] = 15026,
  [16207] = 15273,
  [16208] = 15415,
  [16209] = 15027,
  [16210] = 15352,
  [16211] = 15353,
  [16212] = 15045,
  [16213] = 15051,
  [16214] = 14960,
  [16215] = 15415,
  [16216] = 14970,
  [16217] = 15045,
  [16218] = 15051,
  [16219] = 15415,
  [16220] = 15051,
  [16221] = 15415,
  [16222] = 15051,
  [16223] = 15415,
  [16224] = 15051,
  [16225] = 15415,
  [16226] = 15051,
  [16227] = 15415,
  [16228] = 15051,
  [16229] = 15415,
  [16230] = 15051,
  [16231] = 15415,
  [16232] = 15051,
  [16233] = 15415,
  [16234] = 15051,
  [16235] = 15415,
  [16236] = 15051,
  [16237] = 15415,
  [16238] = 15051,
  [16239] = 15415,
  [16240] = 15051,
  [16241] = 15415,
  [16242] = 15051,
  [16243] = 15415,
  [16244] = 15415,
  [16245] = 15415,
  [16246] = 15415,
  [16247] = 15415,
  [16248] = 15415,
  [16249] = 15415,
  [16250] = 15415,
  [16251] = 15415,
  [16252] = 15415,
  [16253] = 15415,
  [16254] = 15415,
  [16255] = 15415,
  [16256] = 15415,
  [16257] = 15415,
  [16258] = 15415,
  [16259] = 15415,
  [16260] = 15415,
  [16261] = 15415,
  [16262] = 15415,
  [16263] = 15415,
  [16264] = 15415,
  [16265] = 15415,
  [16266] = 15415,
  [16267] = 15194,
  [16268] = 14960,
  [16269] = 15274,
  [16270] = 15675,
  [16271] = 15002,
  [16272] = 15192,
  [16273] = 15007,
  [16274] = 16274,
  [16275] = 15976,
  [16276] = 15352,
  [16277] = 14986,
  [16278] = 14980,
  [16279] = 14989,
  [16280] = 15370,
  [16281] = 15012,
  [16282] = 15192,
  [16283] = 14992,
  [16284] = 10057,
  [16285] = 15943,
  [16286] = 15371,
  [16287] = 15043,
  [16288] = 14958,
  [16289] = 15353,
  [16290] = 15002,
  [16291] = 15002,
  [16292] = 15043,
  [16293] = 14971,
  [16294] = 14965,
  [16295] = 15007,
  [16296] = 15002,
  [16297] = 15184,
  [16298] = 15013,
  [16299] = 14970,
  [16300] = 15012,
  [16301] = 15018,
  [16302] = 15675,
  [16303] = 15026,
  [16304] = 15027,
  [16305] = 14961,
  [16306] = 14960,
  [16307] = 15045,
  [16308] = 15057,
  [16309] = 15045,
  [16310] = 15675,
  [16311] = 16311,
  [16312] = 15191,
  [16313] = 15097,
  [16314] = 15384,
  [16315] = 15007,
  [16316] = 15018,
  [16317] = 15573,
  [16318] = 14979,
  [16319] = 14960,
  [16320] = 15026,
  [16321] = 14971,
  [16322] = 14973,
  [16323] = 15256,
  [16324] = 15007,
  [16325] = 14965,
  [16326] = 15012,
  [16327] = 14960,
  [16328] = 15573,
  [16329] = 15018,
  [16330] = 15026,
  [16331] = 16331,
  [16332] = 15027,
  [16333] = 14970,
  [16334] = 15027,
  [16335] = 14964,
  [16336] = 15115,
  [16337] = 15573,
  [16338] = 14974,
  [16339] = 15118,
  [16340] = 15045,
  [16341] = 14960,
  [16342] = 14979,
  [16343] = 15384,
  [16344] = 15115,
  [16345] = 14974,
  [16346] = 15573,
  [16347] = 15007,
  [16348] = 14959,
  [16349] = 15976,
  [16350] = 15987,
  [16351] = 16351,
  [16352] = 14965,
  [16353] = 14995,
  [16354] = 14970,
  [16355] = 14962,
  [16356] = 14989,
  [16357] = 15976,
  [16358] = 15987,
  [16359] = 16331,
  [16360] = 14979,
  [16361] = 15115,
  [16362] = 14974,
  [16363] = 15118,
  [16364] = 15987,
  [16365] = 15976,
  [16366] = 14960,
  [16367] = 15987,
  [16368] = 14992,
  [16369] = 14962,
  [16370] = 14965,
  [16371] = 15118,
  [16372] = 15274,
  [16373] = 14958,
  [16374] = 14986,
  [16375] = 14980,
  [16376] = 15274,
  [16377] = 15115,
  [16378] = 14974,
  [16379] = 15007,
  [16380] = 15274,
  [16381] = 15118,
  [16382] = 14976,
  [16383] = 16383,
  [16384] = 16384,
  [16385] = 16383,
  [16386] = 16386,
  [16387] = 16387,
  [16388] = 16388,
  [16389] = 16389,
  [16390] = 16390,
  [16391] = 16391,
  [16392] = 16392,
  [16393] = 16392,
  [16394] = 16394,
  [16395] = 16395,
  [16396] = 16396,
  [16397] = 16384,
  [16398] = 16398,
  [16399] = 16399,
  [16400] = 16400,
  [16401] = 16401,
  [16402] = 16402,
  [16403] = 16396,
  [16404] = 16404,
  [16405] = 16405,
  [16406] = 16406,
  [16407] = 16407,
  [16408] = 16408,
  [16409] = 16409,
  [16410] = 16398,
  [16411] = 16411,
  [16412] = 16396,
  [16413] = 16384,
  [16414] = 16414,
  [16415] = 16415,
  [16416] = 16416,
  [16417] = 16398,
  [16418] = 16389,
  [16419] = 16389,
  [16420] = 16384,
  [16421] = 16390,
  [16422] = 16390,
  [16423] = 16384,
  [16424] = 16390,
  [16425] = 16401,
  [16426] = 16414,
  [16427] = 16427,
  [16428] = 16401,
  [16429] = 16414,
  [16430] = 16386,
  [16431] = 16427,
  [16432] = 16386,
  [16433] = 16433,
  [16434] = 16384,
  [16435] = 16435,
  [16436] = 16384,
  [16437] = 16386,
  [16438] = 16383,
  [16439] = 16387,
  [16440] = 16388,
  [16441] = 16392,
  [16442] = 16442,
  [16443] = 16391,
  [16444] = 16389,
  [16445] = 16384,
  [16446] = 16392,
  [16447] = 16392,
  [16448] = 16401,
  [16449] = 16399,
  [16450] = 16400,
  [16451] = 16395,
  [16452] = 16414,
  [16453] = 16453,
  [16454] = 16404,
  [16455] = 16389,
  [16456] = 16405,
  [16457] = 16406,
  [16458] = 16407,
  [16459] = 16408,
  [16460] = 16409,
  [16461] = 16415,
  [16462] = 16416,
  [16463] = 16395,
  [16464] = 16384,
  [16465] = 16390,
  [16466] = 16389,
  [16467] = 16467,
  [16468] = 16390,
  [16469] = 16395,
  [16470] = 16470,
  [16471] = 16398,
  [16472] = 16472,
  [16473] = 16401,
  [16474] = 16414,
  [16475] = 16389,
  [16476] = 16396,
  [16477] = 16398,
  [16478] = 16384,
  [16479] = 16383,
  [16480] = 16387,
  [16481] = 16388,
  [16482] = 10621,
  [16483] = 16391,
  [16484] = 16390,
  [16485] = 16401,
  [16486] = 16384,
  [16487] = 16386,
  [16488] = 16384,
  [16489] = 16399,
  [16490] = 16389,
  [16491] = 16389,
  [16492] = 16492,
  [16493] = 16493,
  [16494] = 16404,
  [16495] = 16495,
  [16496] = 16405,
  [16497] = 16407,
  [16498] = 16408,
  [16499] = 16409,
  [16500] = 16392,
  [16501] = 16394,
  [16502] = 16416,
  [16503] = 16395,
  [16504] = 16390,
  [16505] = 16389,
  [16506] = 16392,
  [16507] = 16414,
  [16508] = 16401,
  [16509] = 16414,
  [16510] = 16390,
  [16511] = 16467,
  [16512] = 16401,
  [16513] = 16513,
  [16514] = 16386,
  [16515] = 16384,
  [16516] = 16389,
  [16517] = 16383,
  [16518] = 16387,
  [16519] = 16388,
  [16520] = 16401,
  [16521] = 16390,
  [16522] = 16414,
  [16523] = 16401,
  [16524] = 16391,
  [16525] = 16390,
  [16526] = 16395,
  [16527] = 16527,
  [16528] = 16384,
  [16529] = 16493,
  [16530] = 16399,
  [16531] = 16414,
  [16532] = 16401,
  [16533] = 16392,
  [16534] = 16534,
  [16535] = 16470,
  [16536] = 16414,
  [16537] = 16405,
  [16538] = 16407,
  [16539] = 16408,
  [16540] = 16409,
  [16541] = 16541,
  [16542] = 16542,
  [16543] = 16416,
  [16544] = 16386,
  [16545] = 16384,
  [16546] = 16386,
  [16547] = 16547,
  [16548] = 16453,
  [16549] = 16386,
  [16550] = 16550,
  [16551] = 16383,
  [16552] = 16387,
  [16553] = 16388,
  [16554] = 16467,
  [16555] = 16395,
  [16556] = 16470,
  [16557] = 16435,
  [16558] = 16391,
  [16559] = 16392,
  [16560] = 16386,
  [16561] = 16395,
  [16562] = 16442,
  [16563] = 16384,
  [16564] = 16399,
  [16565] = 16527,
  [16566] = 16566,
  [16567] = 16405,
  [16568] = 16407,
  [16569] = 16408,
  [16570] = 16409,
  [16571] = 16416,
  [16572] = 16414,
  [16573] = 16492,
  [16574] = 16396,
  [16575] = 16398,
  [16576] = 16394,
  [16577] = 16541,
  [16578] = 16386,
  [16579] = 16384,
  [16580] = 16389,
  [16581] = 16383,
  [16582] = 16387,
  [16583] = 16388,
  [16584] = 16389,
  [16585] = 16550,
  [16586] = 16390,
  [16587] = 16391,
  [16588] = 16392,
  [16589] = 16384,
  [16590] = 16392,
  [16591] = 16401,
  [16592] = 16392,
  [16593] = 16390,
  [16594] = 16414,
  [16595] = 16386,
  [16596] = 16392,
  [16597] = 16405,
  [16598] = 16407,
  [16599] = 16408,
  [16600] = 16409,
  [16601] = 16401,
  [16602] = 16416,
  [16603] = 16395,
  [16604] = 16414,
  [16605] = 16401,
  [16606] = 16414,
  [16607] = 16386,
  [16608] = 16383,
  [16609] = 16414,
  [16610] = 16387,
  [16611] = 16388,
  [16612] = 16391,
  [16613] = 16433,
  [16614] = 16384,
  [16615] = 16513,
  [16616] = 16392,
  [16617] = 16398,
  [16618] = 16395,
  [16619] = 16405,
  [16620] = 16407,
  [16621] = 16408,
  [16622] = 16409,
  [16623] = 16542,
  [16624] = 16624,
  [16625] = 16416,
  [16626] = 16386,
  [16627] = 16492,
  [16628] = 16394,
  [16629] = 16387,
  [16630] = 16388,
  [16631] = 16392,
  [16632] = 16632,
  [16633] = 16391,
  [16634] = 16442,
  [16635] = 16384,
  [16636] = 16636,
  [16637] = 16550,
  [16638] = 10372,
  [16639] = 16405,
  [16640] = 16407,
  [16641] = 16408,
  [16642] = 16409,
  [16643] = 16392,
  [16644] = 16416,
  [16645] = 16390,
  [16646] = 16513,
  [16647] = 16542,
  [16648] = 16624,
  [16649] = 16392,
  [16650] = 16392,
  [16651] = 16383,
  [16652] = 16652,
  [16653] = 16467,
  [16654] = 16387,
  [16655] = 16388,
  [16656] = 16395,
  [16657] = 16401,
  [16658] = 16470,
  [16659] = 16389,
  [16660] = 16391,
  [16661] = 16414,
  [16662] = 16384,
  [16663] = 16405,
  [16664] = 16664,
  [16665] = 16390,
  [16666] = 16405,
  [16667] = 16407,
  [16668] = 16408,
  [16669] = 16409,
  [16670] = 16416,
  [16671] = 16386,
  [16672] = 16467,
  [16673] = 16395,
  [16674] = 16674,
  [16675] = 16396,
  [16676] = 16398,
  [16677] = 16401,
  [16678] = 16383,
  [16679] = 16387,
  [16680] = 16388,
  [16681] = 16453,
  [16682] = 16391,
  [16683] = 16415,
  [16684] = 16392,
  [16685] = 16467,
  [16686] = 16395,
  [16687] = 16384,
  [16688] = 16395,
  [16689] = 16405,
  [16690] = 16407,
  [16691] = 16408,
  [16692] = 16409,
  [16693] = 16470,
  [16694] = 16414,
  [16695] = 16390,
  [16696] = 16416,
  [16697] = 16389,
  [16698] = 16383,
  [16699] = 16699,
  [16700] = 16387,
  [16701] = 16388,
  [16702] = 16389,
  [16703] = 16391,
  [16704] = 16390,
  [16705] = 16705,
  [16706] = 16706,
  [16707] = 16407,
  [16708] = 16408,
  [16709] = 16409,
  [16710] = 16416,
  [16711] = 16401,
  [16712] = 16383,
  [16713] = 16414,
  [16714] = 16387,
  [16715] = 16388,
  [16716] = 16390,
  [16717] = 16398,
  [16718] = 16391,
  [16719] = 10406,
  [16720] = 16401,
  [16721] = 16386,
  [16722] = 16414,
  [16723] = 16407,
  [16724] = 16408,
  [16725] = 16409,
  [16726] = 16416,
  [16727] = 16383,
  [16728] = 16387,
  [16729] = 16388,
  [16730] = 16386,
  [16731] = 16396,
  [16732] = 16391,
  [16733] = 16392,
  [16734] = 16386,
  [16735] = 16407,
  [16736] = 16408,
  [16737] = 16409,
  [16738] = 16392,
  [16739] = 16416,
  [16740] = 16396,
  [16741] = 16383,
  [16742] = 16387,
  [16743] = 16388,
  [16744] = 16398,
  [16745] = 16392,
  [16746] = 16398,
  [16747] = 16395,
  [16748] = 16391,
  [16749] = 10300,
  [16750] = 16395,
  [16751] = 16407,
  [16752] = 16408,
  [16753] = 16409,
  [16754] = 16416,
  [16755] = 16755,
  [16756] = 16387,
  [16757] = 16513,
  [16758] = 16383,
  [16759] = 16389,
  [16760] = 16387,
  [16761] = 16384,
  [16762] = 16388,
  [16763] = 16467,
  [16764] = 16391,
  [16765] = 16395,
  [16766] = 16470,
  [16767] = 16467,
  [16768] = 16407,
  [16769] = 16408,
  [16770] = 16409,
  [16771] = 16416,
  [16772] = 16390,
  [16773] = 16395,
  [16774] = 16470,
  [16775] = 16398,
  [16776] = 16383,
  [16777] = 16387,
  [16778] = 16388,
  [16779] = 16401,
  [16780] = 16384,
  [16781] = 16414,
  [16782] = 16391,
  [16783] = 16396,
  [16784] = 16398,
  [16785] = 16407,
  [16786] = 16408,
  [16787] = 16409,
  [16788] = 16416,
  [16789] = 16389,
  [16790] = 16790,
  [16791] = 16383,
  [16792] = 16706,
  [16793] = 16793,
  [16794] = 16387,
  [16795] = 16388,
  [16796] = 16389,
  [16797] = 16384,
  [16798] = 16391,
  [16799] = 16389,
  [16800] = 16386,
  [16801] = 16527,
  [16802] = 16407,
  [16803] = 16408,
  [16804] = 16409,
  [16805] = 16416,
  [16806] = 16806,
  [16807] = 16383,
  [16808] = 16390,
  [16809] = 16392,
  [16810] = 16389,
  [16811] = 16387,
  [16812] = 16388,
  [16813] = 16395,
  [16814] = 16391,
  [16815] = 16390,
  [16816] = 16390,
  [16817] = 16401,
  [16818] = 16527,
  [16819] = 16414,
  [16820] = 16407,
  [16821] = 16408,
  [16822] = 16409,
  [16823] = 16823,
  [16824] = 16416,
  [16825] = 16383,
  [16826] = 16401,
  [16827] = 16387,
  [16828] = 16388,
  [16829] = 16390,
  [16830] = 16396,
  [16831] = 16388,
  [16832] = 16391,
  [16833] = 16401,
  [16834] = 16541,
  [16835] = 16386,
  [16836] = 16407,
  [16837] = 16408,
  [16838] = 16409,
  [16839] = 16390,
  [16840] = 16416,
  [16841] = 16414,
  [16842] = 16401,
  [16843] = 16383,
  [16844] = 16387,
  [16845] = 16388,
  [16846] = 16386,
  [16847] = 16392,
  [16848] = 16396,
  [16849] = 16391,
  [16850] = 16398,
  [16851] = 16414,
  [16852] = 16541,
  [16853] = 16414,
  [16854] = 16407,
  [16855] = 16408,
  [16856] = 16409,
  [16857] = 16384,
  [16858] = 16416,
  [16859] = 16400,
  [16860] = 16383,
  [16861] = 16401,
  [16862] = 16387,
  [16863] = 16388,
  [16864] = 16391,
  [16865] = 16467,
  [16866] = 16401,
  [16867] = 16867,
  [16868] = 16407,
  [16869] = 16408,
  [16870] = 16409,
  [16871] = 16416,
  [16872] = 16386,
  [16873] = 16388,
  [16874] = 16427,
  [16875] = 16391,
  [16876] = 16467,
  [16877] = 16395,
  [16878] = 16470,
  [16879] = 16407,
  [16880] = 16408,
  [16881] = 16409,
  [16882] = 16416,
  [16883] = 16414,
  [16884] = 16386,
  [16885] = 16392,
  [16886] = 16395,
  [16887] = 16388,
  [16888] = 16888,
  [16889] = 16391,
  [16890] = 16384,
  [16891] = 16433,
  [16892] = 16435,
  [16893] = 16407,
  [16894] = 16408,
  [16895] = 16409,
  [16896] = 16416,
  [16897] = 16414,
  [16898] = 16388,
  [16899] = 16396,
  [16900] = 16391,
  [16901] = 16398,
  [16902] = 16407,
  [16903] = 16408,
  [16904] = 16409,
  [16905] = 16416,
  [16906] = 16388,
  [16907] = 16391,
  [16908] = 16389,
  [16909] = 16384,
  [16910] = 16414,
  [16911] = 16392,
  [16912] = 16407,
  [16913] = 16408,
  [16914] = 16409,
  [16915] = 16389,
  [16916] = 16416,
  [16917] = 16389,
  [16918] = 16391,
  [16919] = 16388,
  [16920] = 16396,
  [16921] = 16386,
  [16922] = 16406,
  [16923] = 16391,
  [16924] = 16392,
  [16925] = 16390,
  [16926] = 16395,
  [16927] = 16407,
  [16928] = 16408,
  [16929] = 16409,
  [16930] = 16416,
  [16931] = 16388,
  [16932] = 16391,
  [16933] = 16401,
  [16934] = 16404,
  [16935] = 16935,
  [16936] = 16936,
  [16937] = 16414,
  [16938] = 16395,
  [16939] = 16407,
  [16940] = 16408,
  [16941] = 16409,
  [16942] = 16416,
  [16943] = 16388,
  [16944] = 16414,
  [16945] = 16391,
  [16946] = 16946,
  [16947] = 16386,
  [16948] = 16433,
  [16949] = 16541,
  [16950] = 16407,
  [16951] = 16408,
  [16952] = 16409,
  [16953] = 16392,
  [16954] = 16416,
  [16955] = 16386,
  [16956] = 16395,
  [16957] = 16388,
  [16958] = 16386,
  [16959] = 16386,
  [16960] = 16391,
  [16961] = 16407,
  [16962] = 16408,
  [16963] = 16409,
  [16964] = 16416,
  [16965] = 16386,
  [16966] = 16392,
  [16967] = 16395,
  [16968] = 16388,
  [16969] = 16392,
  [16970] = 16391,
  [16971] = 16390,
  [16972] = 16386,
  [16973] = 16407,
  [16974] = 16408,
  [16975] = 16409,
  [16976] = 16542,
  [16977] = 16416,
  [16978] = 16624,
  [16979] = 16392,
  [16980] = 16395,
  [16981] = 16388,
  [16982] = 16391,
  [16983] = 16983,
  [16984] = 16386,
  [16985] = 16392,
  [16986] = 16407,
  [16987] = 16408,
  [16988] = 16409,
  [16989] = 16395,
  [16990] = 16416,
  [16991] = 16401,
  [16992] = 16398,
  [16993] = 16493,
  [16994] = 16391,
  [16995] = 16534,
  [16996] = 16395,
  [16997] = 16470,
  [16998] = 16386,
  [16999] = 16392,
  [17000] = 16407,
  [17001] = 16408,
  [17002] = 16409,
  [17003] = 16395,
  [17004] = 16416,
  [17005] = 16414,
  [17006] = 16391,
  [17007] = 16386,
  [17008] = 16392,
  [17009] = 16395,
  [17010] = 16407,
  [17011] = 16408,
  [17012] = 16409,
  [17013] = 16416,
  [17014] = 16386,
  [17015] = 16396,
  [17016] = 16392,
  [17017] = 16391,
  [17018] = 16398,
  [17019] = 16395,
  [17020] = 16398,
  [17021] = 16407,
  [17022] = 16408,
  [17023] = 16409,
  [17024] = 16416,
  [17025] = 16391,
  [17026] = 16386,
  [17027] = 16384,
  [17028] = 16392,
  [17029] = 16395,
  [17030] = 16407,
  [17031] = 16408,
  [17032] = 16409,
  [17033] = 16416,
  [17034] = 16389,
  [17035] = 16391,
  [17036] = 16386,
  [17037] = 16392,
  [17038] = 16395,
  [17039] = 16407,
  [17040] = 16408,
  [17041] = 16409,
  [17042] = 16390,
  [17043] = 16391,
  [17044] = 16386,
  [17045] = 16401,
  [17046] = 16392,
  [17047] = 16395,
  [17048] = 16407,
  [17049] = 16408,
  [17050] = 16409,
  [17051] = 16414,
  [17052] = 16391,
  [17053] = 16386,
  [17054] = 16392,
  [17055] = 16395,
  [17056] = 16394,
  [17057] = 16407,
  [17058] = 16408,
  [17059] = 16409,
  [17060] = 16386,
  [17061] = 16391,
  [17062] = 16392,
  [17063] = 16386,
  [17064] = 16395,
  [17065] = 16407,
  [17066] = 16408,
  [17067] = 16409,
  [17068] = 17068,
  [17069] = 16391,
  [17070] = 16407,
  [17071] = 16408,
  [17072] = 16409,
  [17073] = 16386,
  [17074] = 16392,
  [17075] = 16395,
  [17076] = 16391,
  [17077] = 16392,
  [17078] = 16407,
  [17079] = 16408,
  [17080] = 16409,
  [17081] = 16391,
  [17082] = 16407,
  [17083] = 16408,
  [17084] = 16409,
  [17085] = 16391,
  [17086] = 16407,
  [17087] = 16408,
  [17088] = 16409,
  [17089] = 16391,
  [17090] = 16407,
  [17091] = 16408,
  [17092] = 16409,
  [17093] = 16391,
  [17094] = 16407,
  [17095] = 16408,
  [17096] = 16409,
  [17097] = 16392,
  [17098] = 16391,
  [17099] = 16407,
  [17100] = 16408,
  [17101] = 16409,
  [17102] = 16391,
  [17103] = 16407,
  [17104] = 16408,
  [17105] = 16409,
  [17106] = 16391,
  [17107] = 16407,
  [17108] = 16408,
  [17109] = 16409,
  [17110] = 16391,
  [17111] = 16407,
  [17112] = 16408,
  [17113] = 16409,
  [17114] = 16391,
  [17115] = 16407,
  [17116] = 16408,
  [17117] = 16409,
  [17118] = 16391,
  [17119] = 16407,
  [17120] = 16408,
  [17121] = 16409,
  [17122] = 16391,
  [17123] = 16407,
  [17124] = 16408,
  [17125] = 16409,
  [17126] = 16391,
  [17127] = 16407,
  [17128] = 16408,
  [17129] = 16409,
  [17130] = 16492,
  [17131] = 16391,
  [17132] = 16391,
  [17133] = 16391,
  [17134] = 16391,
  [17135] = 16394,
  [17136] = 16391,
  [17137] = 16391,
  [17138] = 16391,
  [17139] = 16391,
  [17140] = 16391,
  [17141] = 16391,
  [17142] = 16396,
  [17143] = 16391,
  [17144] = 16391,
  [17145] = 16391,
  [17146] = 16391,
  [17147] = 16391,
  [17148] = 16391,
  [17149] = 16391,
  [17150] = 16391,
  [17151] = 16391,
  [17152] = 16391,
  [17153] = 16391,
  [17154] = 16391,
  [17155] = 16391,
  [17156] = 16391,
  [17157] = 16389,
  [17158] = 16416,
  [17159] = 16453,
  [17160] = 16399,
  [17161] = 16674,
  [17162] = 16383,
  [17163] = 16390,
  [17164] = 16387,
  [17165] = 16388,
  [17166] = 17166,
  [17167] = 16401,
  [17168] = 16527,
  [17169] = 17169,
  [17170] = 16467,
  [17171] = 16398,
  [17172] = 16395,
  [17173] = 16470,
  [17174] = 16392,
  [17175] = 16867,
  [17176] = 16401,
  [17177] = 16391,
  [17178] = 16888,
  [17179] = 16541,
  [17180] = 16414,
  [17181] = 16386,
  [17182] = 16392,
  [17183] = 16390,
  [17184] = 16472,
  [17185] = 16566,
  [17186] = 16395,
  [17187] = 16936,
  [17188] = 16386,
  [17189] = 16395,
  [17190] = 16396,
  [17191] = 16398,
  [17192] = 16384,
  [17193] = 16493,
  [17194] = 16467,
  [17195] = 16401,
  [17196] = 16401,
  [17197] = 16384,
  [17198] = 16395,
  [17199] = 16470,
  [17200] = 16674,
  [17201] = 16399,
  [17202] = 16389,
  [17203] = 17203,
  [17204] = 16542,
  [17205] = 16400,
  [17206] = 16390,
  [17207] = 16411,
  [17208] = 16386,
  [17209] = 16888,
  [17210] = 16706,
  [17211] = 16390,
  [17212] = 16401,
  [17213] = 17213,
  [17214] = 16414,
  [17215] = 16404,
  [17216] = 16936,
  [17217] = 16433,
  [17218] = 16401,
  [17219] = 16405,
  [17220] = 16674,
  [17221] = 16392,
  [17222] = 16406,
  [17223] = 16407,
  [17224] = 16386,
  [17225] = 16408,
  [17226] = 16409,
  [17227] = 16467,
  [17228] = 16492,
  [17229] = 16392,
  [17230] = 16888,
  [17231] = 16453,
  [17232] = 16394,
  [17233] = 17233,
  [17234] = 16395,
  [17235] = 16398,
  [17236] = 16936,
  [17237] = 17203,
  [17238] = 16442,
  [17239] = 16632,
  [17240] = 16415,
  [17241] = 16396,
  [17242] = 16550,
  [17243] = 16674,
  [17244] = 16392,
  [17245] = 16416,
  [17246] = 16513,
  [17247] = 16398,
  [17248] = 16542,
  [17249] = 16624,
  [17250] = 16467,
  [17251] = 16398,
  [17252] = 16395,
  [17253] = 16470,
  [17254] = 16674,
  [17255] = 16467,
  [17256] = 16492,
  [17257] = 16674,
  [17258] = 16395,
  [17259] = 16396,
  [17260] = 16398,
  [17261] = 16427,
  [17262] = 17262,
  [17263] = 16384,
  [17264] = 16674,
  [17265] = 16470,
  [17266] = 16414,
  [17267] = 16389,
  [17268] = 16384,
  [17269] = 16384,
  [17270] = 16674,
  [17271] = 16389,
  [17272] = 16790,
  [17273] = 16389,
  [17274] = 17166,
  [17275] = 16390,
  [17276] = 16407,
  [17277] = 16674,
  [17278] = 16527,
  [17279] = 16408,
  [17280] = 16390,
  [17281] = 17281,
  [17282] = 16394,
  [17283] = 16674,
  [17284] = 16390,
  [17285] = 16409,
  [17286] = 16401,
  [17287] = 16674,
  [17288] = 16401,
  [17289] = 16414,
  [17290] = 16389,
  [17291] = 16414,
  [17292] = 16401,
  [17293] = 16414,
  [17294] = 16390,
  [17295] = 16390,
  [17296] = 16414,
  [17297] = 16386,
  [17298] = 16386,
  [17299] = 17299,
  [17300] = 16706,
  [17301] = 17301,
  [17302] = 17302,
  [17303] = 16386,
  [17304] = 16392,
  [17305] = 16706,
  [17306] = 16401,
  [17307] = 16392,
  [17308] = 16386,
  [17309] = 16395,
  [17310] = 16414,
  [17311] = 16547,
  [17312] = 17312,
  [17313] = 16674,
  [17314] = 16392,
  [17315] = 17315,
  [17316] = 16390,
  [17317] = 16541,
  [17318] = 17169,
  [17319] = 17319,
  [17320] = 16527,
  [17321] = 16467,
  [17322] = 16395,
  [17323] = 16395,
  [17324] = 16823,
  [17325] = 17325,
  [17326] = 16470,
  [17327] = 16386,
  [17328] = 16467,
  [17329] = 16395,
  [17330] = 16470,
  [17331] = 16398,
  [17332] = 16467,
  [17333] = 16395,
  [17334] = 16470,
  [17335] = 16470,
  [17336] = 16386,
  [17337] = 16384,
  [17338] = 16396,
  [17339] = 16706,
  [17340] = 16398,
  [17341] = 16467,
  [17342] = 16389,
  [17343] = 16541,
  [17344] = 16396,
  [17345] = 16395,
  [17346] = 16470,
  [17347] = 16398,
  [17348] = 16384,
  [17349] = 16386,
  [17350] = 16389,
  [17351] = 16390,
  [17352] = 16384,
  [17353] = 16470,
  [17354] = 16384,
  [17355] = 16384,
  [17356] = 16390,
  [17357] = 16401,
  [17358] = 16389,
  [17359] = 16386,
  [17360] = 16706,
  [17361] = 16414,
  [17362] = 16467,
  [17363] = 16401,
  [17364] = 16414,
  [17365] = 16401,
  [17366] = 16395,
  [17367] = 16384,
  [17368] = 16401,
  [17369] = 16401,
  [17370] = 16383,
  [17371] = 16470,
  [17372] = 16387,
  [17373] = 16388,
  [17374] = 16392,
  [17375] = 16390,
  [17376] = 10726,
  [17377] = 10261,
  [17378] = 16391,
  [17379] = 16386,
  [17380] = 16433,
  [17381] = 16392,
  [17382] = 16396,
  [17383] = 10727,
  [17384] = 16386,
  [17385] = 16395,
  [17386] = 16384,
  [17387] = 16392,
  [17388] = 16401,
  [17389] = 16398,
  [17390] = 17390,
  [17391] = 16399,
  [17392] = 16396,
  [17393] = 16398,
  [17394] = 16400,
  [17395] = 16414,
  [17396] = 16396,
  [17397] = 16392,
  [17398] = 16398,
  [17399] = 16398,
  [17400] = 16404,
  [17401] = 16395,
  [17402] = 16405,
  [17403] = 16406,
  [17404] = 16407,
  [17405] = 16408,
  [17406] = 16409,
  [17407] = 16398,
  [17408] = 11691,
  [17409] = 16398,
  [17410] = 16415,
  [17411] = 16416,
  [17412] = 16790,
  [17413] = 16706,
  [17414] = 16472,
  [17415] = 17415,
  [17416] = 16467,
  [17417] = 16395,
  [17418] = 16470,
  [17419] = 16386,
  [17420] = 16632,
  [17421] = 16396,
  [17422] = 16398,
  [17423] = 17423,
  [17424] = 16384,
  [17425] = 16384,
  [17426] = 16384,
  [17427] = 17233,
  [17428] = 16472,
  [17429] = 16389,
  [17430] = 16392,
  [17431] = 16435,
  [17432] = 16389,
  [17433] = 17433,
  [17434] = 16472,
  [17435] = 16390,
  [17436] = 17436,
  [17437] = 16467,
  [17438] = 16467,
  [17439] = 16395,
  [17440] = 16472,
  [17441] = 16384,
  [17442] = 16395,
  [17443] = 16470,
  [17444] = 16389,
  [17445] = 16401,
  [17446] = 16390,
  [17447] = 16946,
  [17448] = 16414,
  [17449] = 16790,
  [17450] = 16706,
  [17451] = 17451,
  [17452] = 16384,
  [17453] = 16401,
  [17454] = 16492,
  [17455] = 16442,
  [17456] = 16414,
  [17457] = 16389,
  [17458] = 16467,
  [17459] = 16534,
  [17460] = 16395,
  [17461] = 16470,
  [17462] = 16534,
  [17463] = 16467,
  [17464] = 17464,
  [17465] = 17465,
  [17466] = 17466,
  [17467] = 17464,
  [17468] = 17468,
  [17469] = 17469,
  [17470] = 17470,
  [17471] = 17471,
  [17472] = 17472,
  [17473] = 17473,
  [17474] = 17474,
  [17475] = 17471,
  [17476] = 17476,
  [17477] = 17477,
  [17478] = 17478,
  [17479] = 17479,
  [17480] = 17480,
  [17481] = 17481,
  [17482] = 17482,
  [17483] = 17483,
  [17484] = 17484,
  [17485] = 17485,
  [17486] = 17486,
  [17487] = 17487,
  [17488] = 17488,
  [17489] = 17489,
  [17490] = 17483,
  [17491] = 17491,
  [17492] = 17492,
  [17493] = 17493,
  [17494] = 17494,
  [17495] = 17495,
  [17496] = 17466,
  [17497] = 17497,
  [17498] = 17498,
  [17499] = 17499,
  [17500] = 17500,
  [17501] = 17497,
  [17502] = 17502,
  [17503] = 17503,
  [17504] = 17504,
  [17505] = 17497,
  [17506] = 17506,
  [17507] = 17507,
  [17508] = 17508,
  [17509] = 17509,
  [17510] = 17473,
  [17511] = 17489,
  [17512] = 17492,
  [17513] = 17493,
  [17514] = 17494,
  [17515] = 17495,
  [17516] = 17499,
  [17517] = 17472,
  [17518] = 17483,
  [17519] = 17507,
  [17520] = 17520,
  [17521] = 17521,
  [17522] = 17522,
  [17523] = 17523,
  [17524] = 17472,
  [17525] = 17525,
  [17526] = 17483,
  [17527] = 17527,
  [17528] = 17528,
  [17529] = 17504,
  [17530] = 17530,
  [17531] = 17531,
  [17532] = 17532,
  [17533] = 17464,
  [17534] = 17534,
  [17535] = 17535,
  [17536] = 17506,
  [17537] = 17507,
  [17538] = 17499,
  [17539] = 17539,
  [17540] = 17469,
  [17541] = 17541,
  [17542] = 17476,
  [17543] = 17477,
  [17544] = 17478,
  [17545] = 17523,
  [17546] = 17546,
  [17547] = 17547,
  [17548] = 17509,
  [17549] = 17471,
  [17550] = 17472,
  [17551] = 17486,
  [17552] = 17487,
  [17553] = 17553,
  [17554] = 17539,
  [17555] = 17509,
  [17556] = 17491,
  [17557] = 17557,
  [17558] = 17483,
  [17559] = 17471,
  [17560] = 17521,
  [17561] = 17502,
  [17562] = 17502,
  [17563] = 17497,
  [17564] = 17488,
  [17565] = 17553,
  [17566] = 17520,
  [17567] = 17507,
  [17568] = 17473,
  [17569] = 17489,
  [17570] = 17492,
  [17571] = 17493,
  [17572] = 17472,
  [17573] = 17535,
  [17574] = 17483,
  [17575] = 17539,
  [17576] = 17523,
  [17577] = 17523,
  [17578] = 17474,
  [17579] = 17547,
  [17580] = 17580,
  [17581] = 17509,
  [17582] = 17539,
  [17583] = 17520,
  [17584] = 17521,
  [17585] = 17521,
  [17586] = 17506,
  [17587] = 17546,
  [17588] = 17464,
  [17589] = 17534,
  [17590] = 17525,
  [17591] = 17591,
  [17592] = 17530,
  [17593] = 17593,
  [17594] = 17594,
  [17595] = 17480,
  [17596] = 17546,
  [17597] = 17476,
  [17598] = 17477,
  [17599] = 17478,
  [17600] = 17553,
  [17601] = 17527,
  [17602] = 17602,
  [17603] = 17603,
  [17604] = 17553,
  [17605] = 17605,
  [17606] = 17486,
  [17607] = 17487,
  [17608] = 17608,
  [17609] = 17525,
  [17610] = 17504,
  [17611] = 17491,
  [17612] = 17530,
  [17613] = 17613,
  [17614] = 17527,
  [17615] = 17547,
  [17616] = 17502,
  [17617] = 17506,
  [17618] = 17470,
  [17619] = 17509,
  [17620] = 17603,
  [17621] = 17546,
  [17622] = 17473,
  [17623] = 17489,
  [17624] = 17492,
  [17625] = 17493,
  [17626] = 17532,
  [17627] = 17591,
  [17628] = 17593,
  [17629] = 17594,
  [17630] = 17480,
  [17631] = 17498,
  [17632] = 17632,
  [17633] = 17602,
  [17634] = 17634,
  [17635] = 17477,
  [17636] = 17465,
  [17637] = 17504,
  [17638] = 17530,
  [17639] = 17608,
  [17640] = 17466,
  [17641] = 17547,
  [17642] = 17464,
  [17643] = 17468,
  [17644] = 17509,
  [17645] = 17523,
  [17646] = 17506,
  [17647] = 17484,
  [17648] = 17591,
  [17649] = 17632,
  [17650] = 17634,
  [17651] = 17476,
  [17652] = 17477,
  [17653] = 17478,
  [17654] = 17465,
  [17655] = 17593,
  [17656] = 17466,
  [17657] = 17468,
  [17658] = 17594,
  [17659] = 17659,
  [17660] = 17486,
  [17661] = 17487,
  [17662] = 17602,
  [17663] = 17663,
  [17664] = 17664,
  [17665] = 17491,
  [17666] = 17532,
  [17667] = 17546,
  [17668] = 17532,
  [17669] = 17539,
  [17670] = 17670,
  [17671] = 17502,
  [17672] = 17608,
  [17673] = 17507,
  [17674] = 17469,
  [17675] = 17482,
  [17676] = 17676,
  [17677] = 17473,
  [17678] = 17489,
  [17679] = 17492,
  [17680] = 17493,
  [17681] = 17482,
  [17682] = 17520,
  [17683] = 17521,
  [17684] = 17500,
  [17685] = 17634,
  [17686] = 17520,
  [17687] = 17687,
  [17688] = 17465,
  [17689] = 17466,
  [17690] = 17521,
  [17691] = 17468,
  [17692] = 17474,
  [17693] = 17469,
  [17694] = 17520,
  [17695] = 17521,
  [17696] = 17696,
  [17697] = 17464,
  [17698] = 17698,
  [17699] = 17482,
  [17700] = 17525,
  [17701] = 17527,
  [17702] = 17471,
  [17703] = 17696,
  [17704] = 17698,
  [17705] = 17525,
  [17706] = 17476,
  [17707] = 17477,
  [17708] = 17478,
  [17709] = 17504,
  [17710] = 17527,
  [17711] = 17525,
  [17712] = 17471,
  [17713] = 17504,
  [17714] = 17527,
  [17715] = 17486,
  [17716] = 17487,
  [17717] = 17509,
  [17718] = 17520,
  [17719] = 17521,
  [17720] = 17491,
  [17721] = 17525,
  [17722] = 17530,
  [17723] = 17503,
  [17724] = 17532,
  [17725] = 17527,
  [17726] = 17502,
  [17727] = 17504,
  [17728] = 17523,
  [17729] = 17530,
  [17730] = 17469,
  [17731] = 17532,
  [17732] = 17473,
  [17733] = 17489,
  [17734] = 17492,
  [17735] = 17493,
  [17736] = 17530,
  [17737] = 17737,
  [17738] = 17472,
  [17739] = 17553,
  [17740] = 17469,
  [17741] = 17469,
  [17742] = 17742,
  [17743] = 17593,
  [17744] = 17532,
  [17745] = 17547,
  [17746] = 17698,
  [17747] = 17539,
  [17748] = 17471,
  [17749] = 17547,
  [17750] = 17525,
  [17751] = 17504,
  [17752] = 17464,
  [17753] = 17488,
  [17754] = 17469,
  [17755] = 17530,
  [17756] = 17756,
  [17757] = 17471,
  [17758] = 17471,
  [17759] = 17464,
  [17760] = 17497,
  [17761] = 17476,
  [17762] = 17477,
  [17763] = 17478,
  [17764] = 17497,
  [17765] = 17553,
  [17766] = 17534,
  [17767] = 17507,
  [17768] = 17472,
  [17769] = 17483,
  [17770] = 17486,
  [17771] = 17487,
  [17772] = 17509,
  [17773] = 17523,
  [17774] = 17520,
  [17775] = 17491,
  [17776] = 17539,
  [17777] = 17777,
  [17778] = 17591,
  [17779] = 17593,
  [17780] = 17488,
  [17781] = 17502,
  [17782] = 17471,
  [17783] = 17502,
  [17784] = 17594,
  [17785] = 17687,
  [17786] = 17580,
  [17787] = 17473,
  [17788] = 17489,
  [17789] = 17492,
  [17790] = 17493,
  [17791] = 17521,
  [17792] = 17602,
  [17793] = 17525,
  [17794] = 17527,
  [17795] = 17504,
  [17796] = 17613,
  [17797] = 17530,
  [17798] = 17509,
  [17799] = 17553,
  [17800] = 17520,
  [17801] = 17603,
  [17802] = 17497,
  [17803] = 17532,
  [17804] = 17521,
  [17805] = 17507,
  [17806] = 17608,
  [17807] = 17464,
  [17808] = 17497,
  [17809] = 17534,
  [17810] = 17591,
  [17811] = 17482,
  [17812] = 17469,
  [17813] = 17547,
  [17814] = 17520,
  [17815] = 17521,
  [17816] = 17476,
  [17817] = 17477,
  [17818] = 17478,
  [17819] = 17476,
  [17820] = 17506,
  [17821] = 17525,
  [17822] = 17527,
  [17823] = 17472,
  [17824] = 17593,
  [17825] = 17486,
  [17826] = 17487,
  [17827] = 17504,
  [17828] = 17530,
  [17829] = 17546,
  [17830] = 17491,
  [17831] = 17497,
  [17832] = 17507,
  [17833] = 17472,
  [17834] = 17477,
  [17835] = 17532,
  [17836] = 17502,
  [17837] = 17483,
  [17838] = 17478,
  [17839] = 17471,
  [17840] = 17594,
  [17841] = 17469,
  [17842] = 17473,
  [17843] = 17489,
  [17844] = 17492,
  [17845] = 17493,
  [17846] = 17483,
  [17847] = 17471,
  [17848] = 17507,
  [17849] = 17471,
  [17850] = 17547,
  [17851] = 17483,
  [17852] = 17472,
  [17853] = 17507,
  [17854] = 17472,
  [17855] = 17546,
  [17856] = 17483,
  [17857] = 17506,
  [17858] = 17523,
  [17859] = 17632,
  [17860] = 17602,
  [17861] = 17591,
  [17862] = 17464,
  [17863] = 17593,
  [17864] = 17497,
  [17865] = 17594,
  [17866] = 17608,
  [17867] = 17532,
  [17868] = 17507,
  [17869] = 17472,
  [17870] = 17483,
  [17871] = 17476,
  [17872] = 17477,
  [17873] = 17478,
  [17874] = 17874,
  [17875] = 17602,
  [17876] = 17483,
  [17877] = 17523,
  [17878] = 17608,
  [17879] = 17523,
  [17880] = 17486,
  [17881] = 17487,
  [17882] = 17882,
  [17883] = 17497,
  [17884] = 17486,
  [17885] = 17491,
  [17886] = 17523,
  [17887] = 17634,
  [17888] = 17487,
  [17889] = 17465,
  [17890] = 17634,
  [17891] = 17502,
  [17892] = 17465,
  [17893] = 17466,
  [17894] = 17466,
  [17895] = 17468,
  [17896] = 17535,
  [17897] = 17473,
  [17898] = 17489,
  [17899] = 17492,
  [17900] = 17493,
  [17901] = 17468,
  [17902] = 17539,
  [17903] = 17507,
  [17904] = 17472,
  [17905] = 17483,
  [17906] = 17491,
  [17907] = 17508,
  [17908] = 17525,
  [17909] = 17546,
  [17910] = 17910,
  [17911] = 17482,
  [17912] = 17527,
  [17913] = 17497,
  [17914] = 17539,
  [17915] = 17523,
  [17916] = 17602,
  [17917] = 17464,
  [17918] = 17535,
  [17919] = 17553,
  [17920] = 17539,
  [17921] = 17921,
  [17922] = 17498,
  [17923] = 17497,
  [17924] = 17539,
  [17925] = 17500,
  [17926] = 17476,
  [17927] = 17477,
  [17928] = 17478,
  [17929] = 17531,
  [17930] = 17509,
  [17931] = 17520,
  [17932] = 17474,
  [17933] = 17521,
  [17934] = 17525,
  [17935] = 17486,
  [17936] = 17487,
  [17937] = 17527,
  [17938] = 17502,
  [17939] = 17504,
  [17940] = 17491,
  [17941] = 17530,
  [17942] = 17687,
  [17943] = 17482,
  [17944] = 17535,
  [17945] = 17473,
  [17946] = 17502,
  [17947] = 17532,
  [17948] = 17523,
  [17949] = 17506,
  [17950] = 17523,
  [17951] = 17509,
  [17952] = 17473,
  [17953] = 17489,
  [17954] = 17492,
  [17955] = 17493,
  [17956] = 17469,
  [17957] = 17591,
  [17958] = 17480,
  [17959] = 17546,
  [17960] = 17469,
  [17961] = 17507,
  [17962] = 17632,
  [17963] = 17539,
  [17964] = 17553,
  [17965] = 17504,
  [17966] = 17471,
  [17967] = 17508,
  [17968] = 17471,
  [17969] = 17553,
  [17970] = 17472,
  [17971] = 17483,
  [17972] = 17464,
  [17973] = 17547,
  [17974] = 17473,
  [17975] = 17497,
  [17976] = 17468,
  [17977] = 17489,
  [17978] = 17507,
  [17979] = 17472,
  [17980] = 17591,
  [17981] = 17476,
  [17982] = 17477,
  [17983] = 17478,
  [17984] = 17593,
  [17985] = 17483,
  [17986] = 17594,
  [17987] = 17470,
  [17988] = 17523,
  [17989] = 17492,
  [17990] = 17486,
  [17991] = 17487,
  [17992] = 17602,
  [17993] = 17539,
  [17994] = 17493,
  [17995] = 17491,
  [17996] = 17474,
  [17997] = 17494,
  [17998] = 17495,
  [17999] = 17507,
  [18000] = 17608,
  [18001] = 17502,
  [18002] = 17499,
  [18003] = 17474,
  [18004] = 17530,
  [18005] = 17472,
  [18006] = 17470,
  [18007] = 17473,
  [18008] = 17489,
  [18009] = 17492,
  [18010] = 17493,
  [18011] = 17489,
  [18012] = 17613,
  [18013] = 17632,
  [18014] = 17634,
  [18015] = 17506,
  [18016] = 17523,
  [18017] = 17465,
  [18018] = 17466,
  [18019] = 17468,
  [18020] = 17488,
  [18021] = 17634,
  [18022] = 17492,
  [18023] = 17553,
  [18024] = 18024,
  [18025] = 17546,
  [18026] = 17553,
  [18027] = 17464,
  [18028] = 17547,
  [18029] = 17506,
  [18030] = 17474,
  [18031] = 17539,
  [18032] = 17482,
  [18033] = 17520,
  [18034] = 17521,
  [18035] = 17553,
  [18036] = 17476,
  [18037] = 17477,
  [18038] = 17478,
  [18039] = 17509,
  [18040] = 17608,
  [18041] = 17547,
  [18042] = 17520,
  [18043] = 17506,
  [18044] = 17473,
  [18045] = 17486,
  [18046] = 17487,
  [18047] = 17553,
  [18048] = 17546,
  [18049] = 17520,
  [18050] = 17491,
  [18051] = 17521,
  [18052] = 17493,
  [18053] = 17525,
  [18054] = 17527,
  [18055] = 17474,
  [18056] = 17502,
  [18057] = 17547,
  [18058] = 17504,
  [18059] = 17474,
  [18060] = 17494,
  [18061] = 17530,
  [18062] = 17473,
  [18063] = 17489,
  [18064] = 17492,
  [18065] = 17493,
  [18066] = 17547,
  [18067] = 17534,
  [18068] = 17506,
  [18069] = 17506,
  [18070] = 17532,
  [18071] = 17696,
  [18072] = 17698,
  [18073] = 17525,
  [18074] = 18074,
  [18075] = 17464,
  [18076] = 17480,
  [18077] = 17527,
  [18078] = 17504,
  [18079] = 17874,
  [18080] = 17476,
  [18081] = 17477,
  [18082] = 17478,
  [18083] = 18083,
  [18084] = 17530,
  [18085] = 17495,
  [18086] = 17483,
  [18087] = 17591,
  [18088] = 17486,
  [18089] = 17487,
  [18090] = 17532,
  [18091] = 17530,
  [18092] = 17480,
  [18093] = 17491,
  [18094] = 17469,
  [18095] = 17546,
  [18096] = 18096,
  [18097] = 17469,
  [18098] = 17502,
  [18099] = 17593,
  [18100] = 17591,
  [18101] = 17594,
  [18102] = 17535,
  [18103] = 17602,
  [18104] = 17473,
  [18105] = 17489,
  [18106] = 17492,
  [18107] = 17493,
  [18108] = 17471,
  [18109] = 17484,
  [18110] = 17608,
  [18111] = 17523,
  [18112] = 17471,
  [18113] = 18113,
  [18114] = 17591,
  [18115] = 17593,
  [18116] = 17464,
  [18117] = 17593,
  [18118] = 17594,
  [18119] = 17594,
  [18120] = 17488,
  [18121] = 17476,
  [18122] = 17477,
  [18123] = 17478,
  [18124] = 17474,
  [18125] = 17503,
  [18126] = 17547,
  [18127] = 17546,
  [18128] = 17634,
  [18129] = 17486,
  [18130] = 17487,
  [18131] = 17465,
  [18132] = 17466,
  [18133] = 17468,
  [18134] = 17491,
  [18135] = 17602,
  [18136] = 17464,
  [18137] = 17474,
  [18138] = 17534,
  [18139] = 17502,
  [18140] = 17602,
  [18141] = 17497,
  [18142] = 17591,
  [18143] = 17593,
  [18144] = 17594,
  [18145] = 17473,
  [18146] = 17489,
  [18147] = 17492,
  [18148] = 17493,
  [18149] = 17608,
  [18150] = 17482,
  [18151] = 18151,
  [18152] = 17602,
  [18153] = 17507,
  [18154] = 17506,
  [18155] = 17532,
  [18156] = 18024,
  [18157] = 17464,
  [18158] = 17882,
  [18159] = 17472,
  [18160] = 17523,
  [18161] = 17497,
  [18162] = 17476,
  [18163] = 17477,
  [18164] = 17478,
  [18165] = 17499,
  [18166] = 17539,
  [18167] = 17520,
  [18168] = 17521,
  [18169] = 17525,
  [18170] = 17486,
  [18171] = 17487,
  [18172] = 17509,
  [18173] = 17527,
  [18174] = 17504,
  [18175] = 17491,
  [18176] = 17608,
  [18177] = 17483,
  [18178] = 17530,
  [18179] = 17530,
  [18180] = 17502,
  [18181] = 17480,
  [18182] = 17553,
  [18183] = 17532,
  [18184] = 17535,
  [18185] = 17470,
  [18186] = 17473,
  [18187] = 17489,
  [18188] = 17492,
  [18189] = 17493,
  [18190] = 18190,
  [18191] = 17469,
  [18192] = 17471,
  [18193] = 17523,
  [18194] = 17507,
  [18195] = 18195,
  [18196] = 17520,
  [18197] = 17632,
  [18198] = 17464,
  [18199] = 17603,
  [18200] = 17521,
  [18201] = 17498,
  [18202] = 17525,
  [18203] = 17476,
  [18204] = 17477,
  [18205] = 17478,
  [18206] = 17527,
  [18207] = 17504,
  [18208] = 17530,
  [18209] = 17634,
  [18210] = 17465,
  [18211] = 17486,
  [18212] = 17487,
  [18213] = 8233,
  [18214] = 17532,
  [18215] = 5277,
  [18216] = 17491,
  [18217] = 17882,
  [18218] = 17539,
  [18219] = 17539,
  [18220] = 17497,
  [18221] = 17502,
  [18222] = 17472,
  [18223] = 17539,
  [18224] = 17469,
  [18225] = 17483,
  [18226] = 17466,
  [18227] = 17473,
  [18228] = 17489,
  [18229] = 17492,
  [18230] = 17493,
  [18231] = 17468,
  [18232] = 17539,
  [18233] = 17472,
  [18234] = 17470,
  [18235] = 17471,
  [18236] = 17507,
  [18237] = 17472,
  [18238] = 17547,
  [18239] = 17464,
  [18240] = 17478,
  [18241] = 17483,
  [18242] = 17594,
  [18243] = 17464,
  [18244] = 17476,
  [18245] = 17477,
  [18246] = 17478,
  [18247] = 17553,
  [18248] = 17483,
  [18249] = 17497,
  [18250] = 17546,
  [18251] = 17479,
  [18252] = 17486,
  [18253] = 17487,
  [18254] = 17632,
  [18255] = 17507,
  [18256] = 17472,
  [18257] = 17491,
  [18258] = 17539,
  [18259] = 17696,
  [18260] = 17634,
  [18261] = 17483,
  [18262] = 17502,
  [18263] = 17532,
  [18264] = 17580,
  [18265] = 17547,
  [18266] = 17547,
  [18267] = 17523,
  [18268] = 17473,
  [18269] = 17489,
  [18270] = 17492,
  [18271] = 17493,
  [18272] = 17523,
  [18273] = 17482,
  [18274] = 17613,
  [18275] = 17465,
  [18276] = 17466,
  [18277] = 17659,
  [18278] = 17468,
  [18279] = 17523,
  [18280] = 17464,
  [18281] = 17553,
  [18282] = 17468,
  [18283] = 17546,
  [18284] = 17535,
  [18285] = 17476,
  [18286] = 17477,
  [18287] = 17478,
  [18288] = 17591,
  [18289] = 17539,
  [18290] = 17698,
  [18291] = 17521,
  [18292] = 17482,
  [18293] = 17486,
  [18294] = 17487,
  [18295] = 18295,
  [18296] = 17474,
  [18297] = 17476,
  [18298] = 17491,
  [18299] = 17553,
  [18300] = 17580,
  [18301] = 17477,
  [18302] = 17603,
  [18303] = 17502,
  [18304] = 17547,
  [18305] = 17478,
  [18306] = 17593,
  [18307] = 17520,
  [18308] = 17521,
  [18309] = 17473,
  [18310] = 17489,
  [18311] = 17492,
  [18312] = 17493,
  [18313] = 17525,
  [18314] = 17527,
  [18315] = 17504,
  [18316] = 17525,
  [18317] = 17553,
  [18318] = 17530,
  [18319] = 17532,
  [18320] = 17469,
  [18321] = 17464,
  [18322] = 17527,
  [18323] = 17471,
  [18324] = 17504,
  [18325] = 17535,
  [18326] = 17476,
  [18327] = 17477,
  [18328] = 17478,
  [18329] = 17527,
  [18330] = 17474,
  [18331] = 17539,
  [18332] = 17509,
  [18333] = 17553,
  [18334] = 17486,
  [18335] = 17487,
  [18336] = 17530,
  [18337] = 17506,
  [18338] = 17591,
  [18339] = 17491,
  [18340] = 17520,
  [18341] = 17486,
  [18342] = 17546,
  [18343] = 17506,
  [18344] = 17502,
  [18345] = 17472,
  [18346] = 17487,
  [18347] = 17483,
  [18348] = 17539,
  [18349] = 17593,
  [18350] = 17473,
  [18351] = 17489,
  [18352] = 17492,
  [18353] = 17493,
  [18354] = 17594,
  [18355] = 17553,
  [18356] = 17557,
  [18357] = 17482,
  [18358] = 17480,
  [18359] = 17546,
  [18360] = 17602,
  [18361] = 17497,
  [18362] = 17464,
  [18363] = 17506,
  [18364] = 17594,
  [18365] = 17547,
  [18366] = 17882,
  [18367] = 17476,
  [18368] = 17477,
  [18369] = 17478,
  [18370] = 17491,
  [18371] = 18371,
  [18372] = 17547,
  [18373] = 17482,
  [18374] = 17521,
  [18375] = 17486,
  [18376] = 17487,
  [18377] = 17469,
  [18378] = 17468,
  [18379] = 17532,
  [18380] = 17491,
  [18381] = 17532,
  [18382] = 17553,
  [18383] = 17509,
  [18384] = 17602,
  [18385] = 17502,
  [18386] = 17506,
  [18387] = 17498,
  [18388] = 17591,
  [18389] = 17593,
  [18390] = 17594,
  [18391] = 17473,
  [18392] = 17489,
  [18393] = 17492,
  [18394] = 17493,
  [18395] = 17474,
  [18396] = 17482,
  [18397] = 17500,
  [18398] = 17504,
  [18399] = 17602,
  [18400] = 17502,
  [18401] = 17546,
  [18402] = 17608,
  [18403] = 17464,
  [18404] = 17476,
  [18405] = 17608,
  [18406] = 17520,
  [18407] = 17521,
  [18408] = 17476,
  [18409] = 17477,
  [18410] = 17478,
  [18411] = 17530,
  [18412] = 17532,
  [18413] = 17471,
  [18414] = 17472,
  [18415] = 17483,
  [18416] = 17486,
  [18417] = 17487,
  [18418] = 17632,
  [18419] = 17634,
  [18420] = 17465,
  [18421] = 17491,
  [18422] = 17546,
  [18423] = 17546,
  [18424] = 17482,
  [18425] = 17466,
  [18426] = 17502,
  [18427] = 17539,
  [18428] = 17508,
  [18429] = 17468,
  [18430] = 17532,
  [18431] = 17468,
  [18432] = 17473,
  [18433] = 17489,
  [18434] = 17492,
  [18435] = 17493,
  [18436] = 17473,
  [18437] = 17482,
  [18438] = 17489,
  [18439] = 17492,
  [18440] = 17493,
  [18441] = 17632,
  [18442] = 17482,
  [18443] = 17634,
  [18444] = 17464,
  [18445] = 17494,
  [18446] = 18371,
  [18447] = 17495,
  [18448] = 17520,
  [18449] = 17476,
  [18450] = 17477,
  [18451] = 17478,
  [18452] = 17521,
  [18453] = 17530,
  [18454] = 17532,
  [18455] = 17471,
  [18456] = 17472,
  [18457] = 17486,
  [18458] = 17487,
  [18459] = 17483,
  [18460] = 17539,
  [18461] = 17499,
  [18462] = 17491,
  [18463] = 17481,
  [18464] = 17591,
  [18465] = 17506,
  [18466] = 17547,
  [18467] = 17502,
  [18468] = 17468,
  [18469] = 17608,
  [18470] = 17469,
  [18471] = 17474,
  [18472] = 17482,
  [18473] = 17473,
  [18474] = 17489,
  [18475] = 17492,
  [18476] = 17493,
  [18477] = 17547,
  [18478] = 17509,
  [18479] = 17520,
  [18480] = 17591,
  [18481] = 17503,
  [18482] = 17520,
  [18483] = 17521,
  [18484] = 17530,
  [18485] = 17464,
  [18486] = 17593,
  [18487] = 17532,
  [18488] = 18488,
  [18489] = 17471,
  [18490] = 17476,
  [18491] = 17477,
  [18492] = 17478,
  [18493] = 17472,
  [18494] = 17503,
  [18495] = 17483,
  [18496] = 17539,
  [18497] = 18497,
  [18498] = 17486,
  [18499] = 17487,
  [18500] = 17553,
  [18501] = 17468,
  [18502] = 17594,
  [18503] = 17491,
  [18504] = 17469,
  [18505] = 18505,
  [18506] = 17602,
  [18507] = 17482,
  [18508] = 17502,
  [18509] = 17593,
  [18510] = 17594,
  [18511] = 17521,
  [18512] = 17608,
  [18513] = 17474,
  [18514] = 17473,
  [18515] = 17489,
  [18516] = 17492,
  [18517] = 17493,
  [18518] = 17547,
  [18519] = 17520,
  [18520] = 17521,
  [18521] = 17530,
  [18522] = 17532,
  [18523] = 17474,
  [18524] = 17471,
  [18525] = 17464,
  [18526] = 17547,
  [18527] = 17472,
  [18528] = 18113,
  [18529] = 17483,
  [18530] = 17476,
  [18531] = 17477,
  [18532] = 17478,
  [18533] = 18497,
  [18534] = 18534,
  [18535] = 17539,
  [18536] = 18536,
  [18537] = 17468,
  [18538] = 17486,
  [18539] = 17487,
  [18540] = 17591,
  [18541] = 17482,
  [18542] = 17534,
  [18543] = 17491,
  [18544] = 17593,
  [18545] = 17594,
  [18546] = 17591,
  [18547] = 18547,
  [18548] = 17502,
  [18549] = 17525,
  [18550] = 17632,
  [18551] = 17527,
  [18552] = 17480,
  [18553] = 17520,
  [18554] = 17473,
  [18555] = 17489,
  [18556] = 17492,
  [18557] = 17493,
  [18558] = 17521,
  [18559] = 17530,
  [18560] = 17532,
  [18561] = 17471,
  [18562] = 17506,
  [18563] = 17472,
  [18564] = 17464,
  [18565] = 17602,
  [18566] = 17483,
  [18567] = 17539,
  [18568] = 17634,
  [18569] = 17476,
  [18570] = 17477,
  [18571] = 17478,
  [18572] = 17468,
  [18573] = 17465,
  [18574] = 17482,
  [18575] = 17477,
  [18576] = 17504,
  [18577] = 17486,
  [18578] = 17487,
  [18579] = 17509,
  [18580] = 17470,
  [18581] = 17520,
  [18582] = 17491,
  [18583] = 17466,
  [18584] = 17546,
  [18585] = 17469,
  [18586] = 17521,
  [18587] = 17502,
  [18588] = 17530,
  [18589] = 17468,
  [18590] = 17532,
  [18591] = 17471,
  [18592] = 17472,
  [18593] = 17473,
  [18594] = 17489,
  [18595] = 17492,
  [18596] = 17493,
  [18597] = 17483,
  [18598] = 17539,
  [18599] = 17488,
  [18600] = 17468,
  [18601] = 17593,
  [18602] = 17594,
  [18603] = 17464,
  [18604] = 17464,
  [18605] = 17520,
  [18606] = 17521,
  [18607] = 17602,
  [18608] = 17476,
  [18609] = 17477,
  [18610] = 17478,
  [18611] = 17525,
  [18612] = 17527,
  [18613] = 17504,
  [18614] = 17482,
  [18615] = 17506,
  [18616] = 17486,
  [18617] = 17487,
  [18618] = 17530,
  [18619] = 17478,
  [18620] = 17532,
  [18621] = 17491,
  [18622] = 17608,
  [18623] = 17471,
  [18624] = 17602,
  [18625] = 17530,
  [18626] = 17502,
  [18627] = 17520,
  [18628] = 17613,
  [18629] = 17480,
  [18630] = 17469,
  [18631] = 17521,
  [18632] = 17473,
  [18633] = 17489,
  [18634] = 17492,
  [18635] = 17493,
  [18636] = 17530,
  [18637] = 17532,
  [18638] = 17471,
  [18639] = 17472,
  [18640] = 17471,
  [18641] = 17483,
  [18642] = 17539,
  [18643] = 17482,
  [18644] = 17484,
  [18645] = 17539,
  [18646] = 17696,
  [18647] = 17476,
  [18648] = 17477,
  [18649] = 17478,
  [18650] = 17468,
  [18651] = 17534,
  [18652] = 17546,
  [18653] = 17482,
  [18654] = 17547,
  [18655] = 17486,
  [18656] = 17487,
  [18657] = 17632,
  [18658] = 17497,
  [18659] = 17634,
  [18660] = 17491,
  [18661] = 17509,
  [18662] = 17882,
  [18663] = 17476,
  [18664] = 17507,
  [18665] = 17502,
  [18666] = 17520,
  [18667] = 17608,
  [18668] = 17472,
  [18669] = 17483,
  [18670] = 17534,
  [18671] = 17473,
  [18672] = 17489,
  [18673] = 17492,
  [18674] = 17493,
  [18675] = 17521,
  [18676] = 17530,
  [18677] = 17532,
  [18678] = 17523,
  [18679] = 17471,
  [18680] = 17472,
  [18681] = 17464,
  [18682] = 17477,
  [18683] = 17483,
  [18684] = 17539,
  [18685] = 17478,
  [18686] = 17476,
  [18687] = 17477,
  [18688] = 17478,
  [18689] = 17468,
  [18690] = 17608,
  [18691] = 17535,
  [18692] = 17482,
  [18693] = 17466,
  [18694] = 17486,
  [18695] = 17487,
  [18696] = 17465,
  [18697] = 17539,
  [18698] = 17466,
  [18699] = 17491,
  [18700] = 17481,
  [18701] = 17591,
  [18702] = 17557,
  [18703] = 17482,
  [18704] = 17502,
  [18705] = 17520,
  [18706] = 17503,
  [18707] = 17603,
  [18708] = 17521,
  [18709] = 17473,
  [18710] = 17489,
  [18711] = 17492,
  [18712] = 17493,
  [18713] = 17530,
  [18714] = 17532,
  [18715] = 17471,
  [18716] = 17472,
  [18717] = 17553,
  [18718] = 17483,
  [18719] = 17464,
  [18720] = 17632,
  [18721] = 17539,
  [18722] = 17553,
  [18723] = 17470,
  [18724] = 17476,
  [18725] = 17477,
  [18726] = 17478,
  [18727] = 17634,
  [18728] = 17468,
  [18729] = 17509,
  [18730] = 17486,
  [18731] = 17482,
  [18732] = 17486,
  [18733] = 17487,
  [18734] = 17520,
  [18735] = 17659,
  [18736] = 17474,
  [18737] = 17491,
  [18738] = 17487,
  [18739] = 17497,
  [18740] = 17521,
  [18741] = 17531,
  [18742] = 17502,
  [18743] = 17520,
  [18744] = 17525,
  [18745] = 17521,
  [18746] = 17530,
  [18747] = 17473,
  [18748] = 17489,
  [18749] = 17492,
  [18750] = 17493,
  [18751] = 17506,
  [18752] = 17532,
  [18753] = 17471,
  [18754] = 17472,
  [18755] = 17483,
  [18756] = 17539,
  [18757] = 17464,
  [18758] = 17491,
  [18759] = 17527,
  [18760] = 17468,
  [18761] = 17480,
  [18762] = 17476,
  [18763] = 17477,
  [18764] = 17478,
  [18765] = 17546,
  [18766] = 17591,
  [18767] = 17482,
  [18768] = 17593,
  [18769] = 17594,
  [18770] = 17486,
  [18771] = 17487,
  [18772] = 17468,
  [18773] = 17520,
  [18774] = 17521,
  [18775] = 17491,
  [18776] = 17471,
  [18777] = 17509,
  [18778] = 17504,
  [18779] = 17546,
  [18780] = 17502,
  [18781] = 17530,
  [18782] = 17547,
  [18783] = 17532,
  [18784] = 17471,
  [18785] = 17473,
  [18786] = 17489,
  [18787] = 17492,
  [18788] = 17493,
  [18789] = 17472,
  [18790] = 17483,
  [18791] = 17539,
  [18792] = 17591,
  [18793] = 17498,
  [18794] = 17464,
  [18795] = 17530,
  [18796] = 17593,
  [18797] = 17594,
  [18798] = 17468,
  [18799] = 17476,
  [18800] = 17477,
  [18801] = 17478,
  [18802] = 17602,
  [18803] = 17500,
  [18804] = 17465,
  [18805] = 17482,
  [18806] = 17502,
  [18807] = 17486,
  [18808] = 17487,
  [18809] = 17608,
  [18810] = 17465,
  [18811] = 17532,
  [18812] = 17491,
  [18813] = 17532,
  [18814] = 17602,
  [18815] = 17466,
  [18816] = 17520,
  [18817] = 17502,
  [18818] = 17521,
  [18819] = 17659,
  [18820] = 17530,
  [18821] = 17632,
  [18822] = 17473,
  [18823] = 17489,
  [18824] = 17492,
  [18825] = 17493,
  [18826] = 17634,
  [18827] = 17532,
  [18828] = 17471,
  [18829] = 17465,
  [18830] = 17466,
  [18831] = 17472,
  [18832] = 17464,
  [18833] = 17469,
  [18834] = 17468,
  [18835] = 17483,
  [18836] = 17476,
  [18837] = 17477,
  [18838] = 17478,
  [18839] = 17539,
  [18840] = 17486,
  [18841] = 17487,
  [18842] = 17491,
  [18843] = 17508,
  [18844] = 17497,
  [18845] = 17473,
  [18846] = 17502,
  [18847] = 17489,
  [18848] = 17473,
  [18849] = 17489,
  [18850] = 17492,
  [18851] = 17493,
  [18852] = 18852,
  [18853] = 17468,
  [18854] = 17492,
  [18855] = 17482,
  [18856] = 17493,
  [18857] = 17494,
  [18858] = 17495,
  [18859] = 17466,
  [18860] = 17476,
  [18861] = 17477,
  [18862] = 17478,
  [18863] = 17659,
  [18864] = 17486,
  [18865] = 17487,
  [18866] = 17499,
  [18867] = 17756,
  [18868] = 17632,
  [18869] = 17502,
  [18870] = 17520,
  [18871] = 17473,
  [18872] = 17489,
  [18873] = 17492,
  [18874] = 17493,
  [18875] = 17482,
  [18876] = 17521,
  [18877] = 17530,
  [18878] = 17483,
  [18879] = 17539,
  [18880] = 17471,
  [18881] = 17469,
  [18882] = 17882,
  [18883] = 17531,
  [18884] = 17547,
  [18885] = 17489,
  [18886] = 17492,
  [18887] = 17493,
  [18888] = 17520,
  [18889] = 17521,
  [18890] = 17530,
  [18891] = 17539,
  [18892] = 17520,
  [18893] = 17608,
  [18894] = 17521,
  [18895] = 17553,
  [18896] = 17608,
  [18897] = 17489,
  [18898] = 17492,
  [18899] = 17493,
  [18900] = 17520,
  [18901] = 17521,
  [18902] = 17539,
  [18903] = 17696,
  [18904] = 17698,
  [18905] = 17525,
  [18906] = 17527,
  [18907] = 17489,
  [18908] = 17492,
  [18909] = 17493,
  [18910] = 17921,
  [18911] = 17520,
  [18912] = 17521,
  [18913] = 17504,
  [18914] = 17530,
  [18915] = 17632,
  [18916] = 17532,
  [18917] = 17489,
  [18918] = 17492,
  [18919] = 17493,
  [18920] = 17539,
  [18921] = 17468,
  [18922] = 17520,
  [18923] = 17634,
  [18924] = 17469,
  [18925] = 17497,
  [18926] = 17465,
  [18927] = 17489,
  [18928] = 17492,
  [18929] = 17493,
  [18930] = 17521,
  [18931] = 17539,
  [18932] = 17756,
  [18933] = 17507,
  [18934] = 17471,
  [18935] = 17503,
  [18936] = 17608,
  [18937] = 17489,
  [18938] = 17492,
  [18939] = 17493,
  [18940] = 17520,
  [18941] = 17521,
  [18942] = 17539,
  [18943] = 17472,
  [18944] = 17507,
  [18945] = 17523,
  [18946] = 17483,
  [18947] = 17489,
  [18948] = 17492,
  [18949] = 17493,
  [18950] = 17465,
  [18951] = 17520,
  [18952] = 17521,
  [18953] = 17500,
  [18954] = 17634,
  [18955] = 17466,
  [18956] = 17497,
  [18957] = 17489,
  [18958] = 17492,
  [18959] = 17493,
  [18960] = 17539,
  [18961] = 17471,
  [18962] = 17520,
  [18963] = 17523,
  [18964] = 17591,
  [18965] = 17468,
  [18966] = 17535,
  [18967] = 17489,
  [18968] = 17492,
  [18969] = 17493,
  [18970] = 17521,
  [18971] = 17539,
  [18972] = 17482,
  [18973] = 17507,
  [18974] = 17472,
  [18975] = 17483,
  [18976] = 18024,
  [18977] = 17489,
  [18978] = 17492,
  [18979] = 17493,
  [18980] = 17520,
  [18981] = 17521,
  [18982] = 17539,
  [18983] = 17539,
  [18984] = 17464,
  [18985] = 17593,
  [18986] = 17523,
  [18987] = 17489,
  [18988] = 17492,
  [18989] = 17493,
  [18990] = 17632,
  [18991] = 17520,
  [18992] = 17521,
  [18993] = 17594,
  [18994] = 17632,
  [18995] = 17593,
  [18996] = 17613,
  [18997] = 17489,
  [18998] = 17492,
  [18999] = 17493,
  [19000] = 17539,
  [19001] = 17553,
  [19002] = 17594,
  [19003] = 17520,
  [19004] = 17521,
  [19005] = 17634,
  [19006] = 17539,
  [19007] = 17531,
  [19008] = 17777,
  [19009] = 17520,
  [19010] = 17521,
  [19011] = 17465,
  [19012] = 17539,
  [19013] = 17466,
  [19014] = 17476,
  [19015] = 17520,
  [19016] = 17521,
  [19017] = 17535,
  [19018] = 17539,
  [19019] = 17468,
  [19020] = 17553,
  [19021] = 17520,
  [19022] = 17521,
  [19023] = 17477,
  [19024] = 17539,
  [19025] = 17506,
  [19026] = 17478,
  [19027] = 17520,
  [19028] = 17521,
  [19029] = 17539,
  [19030] = 17539,
  [19031] = 17777,
  [19032] = 17482,
  [19033] = 17520,
  [19034] = 17521,
  [19035] = 17659,
  [19036] = 17539,
  [19037] = 17497,
  [19038] = 17921,
  [19039] = 17520,
  [19040] = 17521,
  [19041] = 17468,
  [19042] = 17539,
  [19043] = 17520,
  [19044] = 17468,
  [19045] = 17520,
  [19046] = 17521,
  [19047] = 17465,
  [19048] = 17539,
  [19049] = 17507,
  [19050] = 17486,
  [19051] = 17520,
  [19052] = 17521,
  [19053] = 17602,
  [19054] = 17539,
  [19055] = 17472,
  [19056] = 17487,
  [19057] = 17520,
  [19058] = 17521,
  [19059] = 17602,
  [19060] = 17539,
  [19061] = 17483,
  [19062] = 17506,
  [19063] = 17520,
  [19064] = 17521,
  [19065] = 17921,
  [19066] = 17539,
  [19067] = 17634,
  [19068] = 17491,
  [19069] = 17520,
  [19070] = 17521,
  [19071] = 17509,
  [19072] = 17539,
  [19073] = 19073,
  [19074] = 18497,
  [19075] = 17602,
  [19076] = 17520,
  [19077] = 17521,
  [19078] = 17539,
  [19079] = 17521,
  [19080] = 17520,
  [19081] = 17608,
  [19082] = 17466,
  [19083] = 17469,
  [19084] = 17497,
  [19085] = 17591,
  [19086] = 17521,
  [19087] = 17539,
  [19088] = 17546,
  [19089] = 17485,
  [19090] = 17523,
  [19091] = 17593,
  [19092] = 17632,
  [19093] = 17465,
  [19094] = 19094,
  [19095] = 17547,
  [19096] = 17594,
  [19097] = 18113,
  [19098] = 17539,
  [19099] = 17698,
  [19100] = 17466,
  [19101] = 18074,
  [19102] = 17498,
  [19103] = 17591,
  [19104] = 17593,
  [19105] = 17594,
  [19106] = 17591,
  [19107] = 17634,
  [19108] = 18547,
  [19109] = 17602,
  [19110] = 17500,
  [19111] = 17482,
  [19112] = 17465,
  [19113] = 17882,
  [19114] = 17466,
  [19115] = 17502,
  [19116] = 19116,
  [19117] = 17468,
  [19118] = 19118,
  [19119] = 17468,
  [19120] = 17535,
  [19121] = 17525,
  [19122] = 17471,
  [19123] = 17547,
  [19124] = 17508,
  [19125] = 17553,
  [19126] = 17464,
  [19127] = 17539,
  [19128] = 17534,
  [19129] = 17676,
  [19130] = 17474,
  [19131] = 17473,
  [19132] = 17489,
  [19133] = 17481,
  [19134] = 17492,
  [19135] = 17480,
  [19136] = 17474,
  [19137] = 17580,
  [19138] = 17777,
  [19139] = 17493,
  [19140] = 17494,
  [19141] = 17495,
  [19142] = 17482,
  [19143] = 17613,
  [19144] = 17499,
  [19145] = 17506,
  [19146] = 19146,
  [19147] = 19147,
  [19148] = 19148,
  [19149] = 17921,
  [19150] = 19150,
  [19151] = 17546,
  [19152] = 17509,
  [19153] = 19153,
  [19154] = 17553,
  [19155] = 17534,
  [19156] = 17608,
  [19157] = 17546,
  [19158] = 17527,
  [19159] = 19159,
  [19160] = 17608,
  [19161] = 17525,
  [19162] = 17504,
  [19163] = 17591,
  [19164] = 19164,
  [19165] = 17520,
  [19166] = 17521,
  [19167] = 17474,
  [19168] = 17525,
  [19169] = 17527,
  [19170] = 17504,
  [19171] = 17530,
  [19172] = 17608,
  [19173] = 17532,
  [19174] = 17593,
  [19175] = 17507,
  [19176] = 17469,
  [19177] = 17594,
  [19178] = 19178,
  [19179] = 17527,
  [19180] = 17471,
  [19181] = 18547,
  [19182] = 17591,
  [19183] = 17506,
  [19184] = 17476,
  [19185] = 17488,
  [19186] = 17547,
  [19187] = 19073,
  [19188] = 17477,
  [19189] = 17478,
  [19190] = 17602,
  [19191] = 17472,
  [19192] = 17602,
  [19193] = 17497,
  [19194] = 17553,
  [19195] = 17507,
  [19196] = 18371,
  [19197] = 17557,
  [19198] = 17485,
  [19199] = 17608,
  [19200] = 17472,
  [19201] = 17483,
  [19202] = 17464,
  [19203] = 17482,
  [19204] = 17593,
  [19205] = 17523,
  [19206] = 19206,
  [19207] = 18024,
  [19208] = 17482,
  [19209] = 17504,
  [19210] = 17483,
  [19211] = 17591,
  [19212] = 17593,
  [19213] = 17535,
  [19214] = 5323,
  [19215] = 19118,
  [19216] = 17594,
  [19217] = 17539,
  [19218] = 17534,
  [19219] = 17486,
  [19220] = 17480,
  [19221] = 19153,
  [19222] = 17522,
  [19223] = 17602,
  [19224] = 17506,
  [19225] = 17546,
  [19226] = 17608,
  [19227] = 17530,
  [19228] = 17553,
  [19229] = 17594,
  [19230] = 17509,
  [19231] = 17553,
  [19232] = 17464,
  [19233] = 17532,
  [19234] = 19146,
  [19235] = 19147,
  [19236] = 19148,
  [19237] = 18505,
  [19238] = 17632,
  [19239] = 17632,
  [19240] = 17777,
  [19241] = 17634,
  [19242] = 17474,
  [19243] = 17557,
  [19244] = 17634,
  [19245] = 17874,
  [19246] = 17525,
  [19247] = 19159,
  [19248] = 17465,
  [19249] = 17486,
  [19250] = 17506,
  [19251] = 17659,
  [19252] = 17487,
  [19253] = 19253,
  [19254] = 19254,
  [19255] = 17480,
  [19256] = 17546,
  [19257] = 17613,
  [19258] = 17465,
  [19259] = 17466,
  [19260] = 17468,
  [19261] = 17491,
  [19262] = 19073,
  [19263] = 17466,
  [19264] = 18534,
  [19265] = 17632,
  [19266] = 17547,
  [19267] = 17634,
  [19268] = 17465,
  [19269] = 17466,
  [19270] = 18195,
  [19271] = 17530,
  [19272] = 17468,
  [19273] = 17485,
  [19274] = 17632,
  [19275] = 17591,
  [19276] = 17593,
  [19277] = 17594,
  [19278] = 17632,
  [19279] = 18497,
  [19280] = 17602,
  [19281] = 17547,
  [19282] = 17476,
  [19283] = 17608,
  [19284] = 17634,
  [19285] = 17465,
  [19286] = 17522,
  [19287] = 17509,
  [19288] = 17659,
  [19289] = 17756,
  [19290] = 19118,
  [19291] = 17482,
  [19292] = 17632,
  [19293] = 17634,
  [19294] = 17465,
  [19295] = 17466,
  [19296] = 17468,
  [19297] = 17477,
  [19298] = 17478,
  [19299] = 17509,
  [19300] = 17466,
  [19301] = 17531,
  [19302] = 17520,
  [19303] = 17520,
  [19304] = 17632,
  [19305] = 17521,
  [19306] = 17482,
  [19307] = 17521,
  [19308] = 19146,
  [19309] = 19147,
  [19310] = 19148,
  [19311] = 17468,
  [19312] = 17591,
  [19313] = 17580,
  [19314] = 17528,
  [19315] = 18096,
  [19316] = 17498,
  [19317] = 17593,
  [19318] = 17500,
  [19319] = 17525,
  [19320] = 19159,
  [19321] = 18371,
  [19322] = 17527,
  [19323] = 19323,
  [19324] = 17504,
  [19325] = 17756,
  [19326] = 18536,
  [19327] = 17486,
  [19328] = 17594,
  [19329] = 17487,
  [19330] = 17530,
  [19331] = 17482,
  [19332] = 17481,
  [19333] = 17602,
  [19334] = 17502,
  [19335] = 19073,
  [19336] = 17634,
  [19337] = 17777,
  [19338] = 17687,
  [19339] = 17921,
  [19340] = 17547,
  [19341] = 17491,
  [19342] = 17485,
  [19343] = 17613,
  [19344] = 17520,
  [19345] = 17532,
  [19346] = 18852,
  [19347] = 17465,
  [19348] = 17521,
  [19349] = 17523,
  [19350] = 17466,
  [19351] = 18371,
  [19352] = 17468,
  [19353] = 19118,
  [19354] = 17488,
  [19355] = 17882,
  [19356] = 17509,
  [19357] = 17507,
  [19358] = 17520,
  [19359] = 17521,
  [19360] = 17498,
  [19361] = 17525,
  [19362] = 17525,
  [19363] = 19146,
  [19364] = 19147,
  [19365] = 19148,
  [19366] = 17696,
  [19367] = 17500,
  [19368] = 19159,
  [19369] = 17482,
  [19370] = 17698,
  [19371] = 17508,
  [19372] = 17527,
  [19373] = 19073,
  [19374] = 17534,
  [19375] = 17525,
  [19376] = 17527,
  [19377] = 17504,
  [19378] = 17504,
  [19379] = 17539,
  [19380] = 17485,
  [19381] = 17530,
  [19382] = 17530,
  [19383] = 17474,
  [19384] = 17502,
  [19385] = 17473,
  [19386] = 18505,
  [19387] = 17532,
  [19388] = 17482,
  [19389] = 17882,
  [19390] = 19118,
  [19391] = 17532,
  [19392] = 17547,
  [19393] = 17509,
  [19394] = 19146,
  [19395] = 19147,
  [19396] = 19148,
  [19397] = 17489,
  [19398] = 17492,
  [19399] = 17493,
  [19400] = 17494,
  [19401] = 17495,
  [19402] = 19073,
  [19403] = 17469,
  [19404] = 17469,
  [19405] = 17469,
  [19406] = 18534,
  [19407] = 17474,
  [19408] = 17532,
  [19409] = 17485,
  [19410] = 17527,
  [19411] = 17476,
  [19412] = 17520,
  [19413] = 17499,
  [19414] = 17521,
  [19415] = 17608,
  [19416] = 19118,
  [19417] = 17471,
  [19418] = 17525,
  [19419] = 17527,
  [19420] = 19146,
  [19421] = 19147,
  [19422] = 19148,
  [19423] = 17546,
  [19424] = 17504,
  [19425] = 17530,
  [19426] = 17508,
  [19427] = 17504,
  [19428] = 19073,
  [19429] = 17532,
  [19430] = 17471,
  [19431] = 17473,
  [19432] = 17469,
  [19433] = 17471,
  [19434] = 17489,
  [19435] = 17485,
  [19436] = 17492,
  [19437] = 17497,
  [19438] = 17493,
  [19439] = 17507,
  [19440] = 17471,
  [19441] = 17487,
  [19442] = 19118,
  [19443] = 17472,
  [19444] = 17483,
  [19445] = 17494,
  [19446] = 19146,
  [19447] = 19147,
  [19448] = 19148,
  [19449] = 18113,
  [19450] = 17523,
  [19451] = 17495,
  [19452] = 17520,
  [19453] = 17469,
  [19454] = 19073,
  [19455] = 17497,
  [19456] = 17497,
  [19457] = 17499,
  [19458] = 17507,
  [19459] = 17507,
  [19460] = 17530,
  [19461] = 17485,
  [19462] = 17472,
  [19463] = 17483,
  [19464] = 19464,
  [19465] = 17472,
  [19466] = 17535,
  [19467] = 17523,
  [19468] = 19118,
  [19469] = 17532,
  [19470] = 17539,
  [19471] = 19146,
  [19472] = 19147,
  [19473] = 19148,
  [19474] = 17483,
  [19475] = 19073,
  [19476] = 17659,
  [19477] = 17756,
  [19478] = 17472,
  [19479] = 17506,
  [19480] = 17509,
  [19481] = 17531,
  [19482] = 17485,
  [19483] = 17523,
  [19484] = 17535,
  [19485] = 17634,
  [19486] = 17534,
  [19487] = 17539,
  [19488] = 17539,
  [19489] = 19118,
  [19490] = 17531,
  [19491] = 19146,
  [19492] = 19147,
  [19493] = 19148,
  [19494] = 17468,
  [19495] = 19073,
  [19496] = 17737,
  [19497] = 17632,
  [19498] = 17634,
  [19499] = 17497,
  [19500] = 17465,
  [19501] = 17466,
  [19502] = 17485,
  [19503] = 17659,
  [19504] = 17469,
  [19505] = 17553,
  [19506] = 17507,
  [19507] = 18505,
  [19508] = 19118,
  [19509] = 17472,
  [19510] = 19146,
  [19511] = 19147,
  [19512] = 19148,
  [19513] = 17468,
  [19514] = 19073,
  [19515] = 17553,
  [19516] = 17520,
  [19517] = 17483,
  [19518] = 19518,
  [19519] = 17474,
  [19520] = 17521,
  [19521] = 17485,
  [19522] = 17525,
  [19523] = 17546,
  [19524] = 17527,
  [19525] = 17504,
  [19526] = 17474,
  [19527] = 19118,
  [19528] = 17591,
  [19529] = 19146,
  [19530] = 19147,
  [19531] = 19148,
  [19532] = 17506,
  [19533] = 19073,
  [19534] = 17468,
  [19535] = 17477,
  [19536] = 17489,
  [19537] = 17553,
  [19538] = 17523,
  [19539] = 17506,
  [19540] = 17480,
  [19541] = 17593,
  [19542] = 17546,
  [19543] = 19118,
  [19544] = 17492,
  [19545] = 19146,
  [19546] = 19147,
  [19547] = 19148,
  [19548] = 17530,
  [19549] = 19073,
  [19550] = 17539,
  [19551] = 17591,
  [19552] = 17480,
  [19553] = 17493,
  [19554] = 17546,
  [19555] = 17474,
  [19556] = 17593,
  [19557] = 17478,
  [19558] = 17594,
  [19559] = 19118,
  [19560] = 17535,
  [19561] = 19146,
  [19562] = 19147,
  [19563] = 19148,
  [19564] = 17547,
  [19565] = 19073,
  [19566] = 17506,
  [19567] = 17594,
  [19568] = 19568,
  [19569] = 17532,
  [19570] = 17547,
  [19571] = 17591,
  [19572] = 17742,
  [19573] = 17593,
  [19574] = 17509,
  [19575] = 19118,
  [19576] = 17594,
  [19577] = 19146,
  [19578] = 19147,
  [19579] = 19148,
  [19580] = 17546,
  [19581] = 19073,
  [19582] = 17602,
  [19583] = 17591,
  [19584] = 17593,
  [19585] = 18547,
  [19586] = 17594,
  [19587] = 17882,
  [19588] = 17602,
  [19589] = 17480,
  [19590] = 17520,
  [19591] = 19118,
  [19592] = 17608,
  [19593] = 19146,
  [19594] = 19147,
  [19595] = 19148,
  [19596] = 17602,
  [19597] = 19073,
  [19598] = 17632,
  [19599] = 17608,
  [19600] = 17546,
  [19601] = 17464,
  [19602] = 17491,
  [19603] = 17602,
  [19604] = 17547,
  [19605] = 18536,
  [19606] = 19606,
  [19607] = 19118,
  [19608] = 17553,
  [19609] = 19146,
  [19610] = 19147,
  [19611] = 19148,
  [19612] = 17469,
  [19613] = 19073,
  [19614] = 17632,
  [19615] = 17634,
  [19616] = 17465,
  [19617] = 17521,
  [19618] = 17466,
  [19619] = 17468,
  [19620] = 17482,
  [19621] = 17632,
  [19622] = 17634,
  [19623] = 19118,
  [19624] = 17465,
  [19625] = 19146,
  [19626] = 19147,
  [19627] = 19148,
  [19628] = 17466,
  [19629] = 19073,
  [19630] = 17659,
  [19631] = 17482,
  [19632] = 17468,
  [19633] = 17591,
  [19634] = 17482,
  [19635] = 17593,
  [19636] = 17613,
  [19637] = 17594,
  [19638] = 18024,
  [19639] = 19118,
  [19640] = 17602,
  [19641] = 19146,
  [19642] = 19147,
  [19643] = 19148,
  [19644] = 17469,
  [19645] = 19073,
  [19646] = 17634,
  [19647] = 17608,
  [19648] = 17608,
  [19649] = 17482,
  [19650] = 17921,
  [19651] = 17474,
  [19652] = 17547,
  [19653] = 17605,
  [19654] = 17481,
  [19655] = 19118,
  [19656] = 17632,
  [19657] = 19146,
  [19658] = 19147,
  [19659] = 19148,
  [19660] = 19660,
  [19661] = 19073,
  [19662] = 17476,
  [19663] = 17506,
  [19664] = 17634,
  [19665] = 17465,
  [19666] = 17466,
  [19667] = 19667,
  [19668] = 17468,
  [19669] = 17471,
  [19670] = 17882,
  [19671] = 19118,
  [19672] = 17482,
  [19673] = 19146,
  [19674] = 19147,
  [19675] = 19148,
  [19676] = 17480,
  [19677] = 19073,
  [19678] = 19253,
  [19679] = 17477,
  [19680] = 17482,
  [19681] = 17478,
  [19682] = 17471,
  [19683] = 17465,
  [19684] = 18505,
  [19685] = 17471,
  [19686] = 17506,
  [19687] = 19118,
  [19688] = 17485,
  [19689] = 19146,
  [19690] = 19147,
  [19691] = 19148,
  [19692] = 17471,
  [19693] = 19073,
  [19694] = 17466,
  [19695] = 18534,
  [19696] = 19254,
  [19697] = 17546,
  [19698] = 19698,
  [19699] = 17488,
  [19700] = 17591,
  [19701] = 17497,
  [19702] = 17484,
  [19703] = 19118,
  [19704] = 17486,
  [19705] = 19146,
  [19706] = 19147,
  [19707] = 19148,
  [19708] = 17465,
  [19709] = 17593,
  [19710] = 17487,
  [19711] = 17594,
  [19712] = 17480,
  [19713] = 17777,
  [19714] = 17602,
  [19715] = 17874,
  [19716] = 17509,
  [19717] = 17921,
  [19718] = 19118,
  [19719] = 17520,
  [19720] = 19146,
  [19721] = 19147,
  [19722] = 19148,
  [19723] = 19723,
  [19724] = 19146,
  [19725] = 17521,
  [19726] = 17491,
  [19727] = 17525,
  [19728] = 17534,
  [19729] = 19073,
  [19730] = 17527,
  [19731] = 17507,
  [19732] = 19147,
  [19733] = 19118,
  [19734] = 17504,
  [19735] = 19146,
  [19736] = 19147,
  [19737] = 19148,
  [19738] = 17488,
  [19739] = 17530,
  [19740] = 18534,
  [19741] = 19148,
  [19742] = 19159,
  [19743] = 17474,
  [19744] = 17608,
  [19745] = 17632,
  [19746] = 17532,
  [19747] = 17534,
  [19748] = 19118,
  [19749] = 17534,
  [19750] = 19146,
  [19751] = 19147,
  [19752] = 19148,
  [19753] = 17547,
  [19754] = 17469,
  [19755] = 17509,
  [19756] = 17509,
  [19757] = 17494,
  [19758] = 17525,
  [19759] = 17527,
  [19760] = 17504,
  [19761] = 17464,
  [19762] = 17509,
  [19763] = 19118,
  [19764] = 17483,
  [19765] = 19146,
  [19766] = 19147,
  [19767] = 19148,
  [19768] = 17608,
  [19769] = 17471,
  [19770] = 17484,
  [19771] = 17553,
  [19772] = 17591,
  [19773] = 17547,
  [19774] = 17498,
  [19775] = 17520,
  [19776] = 17472,
  [19777] = 17521,
  [19778] = 19118,
  [19779] = 17593,
  [19780] = 19146,
  [19781] = 19147,
  [19782] = 19148,
  [19783] = 17594,
  [19784] = 17500,
  [19785] = 17525,
  [19786] = 17527,
  [19787] = 17497,
  [19788] = 17504,
  [19789] = 17530,
  [19790] = 17632,
  [19791] = 17509,
  [19792] = 17532,
  [19793] = 19118,
  [19794] = 17507,
  [19795] = 19146,
  [19796] = 19147,
  [19797] = 19148,
  [19798] = 17472,
  [19799] = 17483,
  [19800] = 17483,
  [19801] = 17469,
  [19802] = 17502,
  [19803] = 17602,
  [19804] = 17488,
  [19805] = 17523,
  [19806] = 17468,
  [19807] = 17471,
  [19808] = 19118,
  [19809] = 17539,
  [19810] = 19146,
  [19811] = 19147,
  [19812] = 19148,
  [19813] = 17486,
  [19814] = 17520,
  [19815] = 17523,
  [19816] = 17602,
  [19817] = 17521,
  [19818] = 17539,
  [19819] = 17508,
  [19820] = 17480,
  [19821] = 17696,
  [19822] = 17698,
  [19823] = 19118,
  [19824] = 17525,
  [19825] = 19146,
  [19826] = 19147,
  [19827] = 19148,
  [19828] = 17527,
  [19829] = 17497,
  [19830] = 17504,
  [19831] = 17507,
  [19832] = 17530,
  [19833] = 17472,
  [19834] = 17483,
  [19835] = 17473,
  [19836] = 17495,
  [19837] = 17532,
  [19838] = 19118,
  [19839] = 17489,
  [19840] = 19146,
  [19841] = 19147,
  [19842] = 19148,
  [19843] = 17608,
  [19844] = 17523,
  [19845] = 17469,
  [19846] = 17634,
  [19847] = 17557,
  [19848] = 17465,
  [19849] = 17471,
  [19850] = 17632,
  [19851] = 17492,
  [19852] = 17493,
  [19853] = 19118,
  [19854] = 17494,
  [19855] = 19146,
  [19856] = 19147,
  [19857] = 19148,
  [19858] = 17509,
  [19859] = 17535,
  [19860] = 17534,
  [19861] = 17539,
  [19862] = 17634,
  [19863] = 17553,
  [19864] = 17495,
  [19865] = 17499,
  [19866] = 17632,
  [19867] = 17634,
  [19868] = 19118,
  [19869] = 17497,
  [19870] = 19146,
  [19871] = 19147,
  [19872] = 19148,
  [19873] = 17874,
  [19874] = 17507,
  [19875] = 17472,
  [19876] = 17483,
  [19877] = 17469,
  [19878] = 17593,
  [19879] = 17523,
  [19880] = 17553,
  [19881] = 17608,
  [19882] = 18371,
  [19883] = 19118,
  [19884] = 17486,
  [19885] = 19146,
  [19886] = 19147,
  [19887] = 19148,
  [19888] = 17509,
  [19889] = 17525,
  [19890] = 17487,
  [19891] = 17482,
  [19892] = 17527,
  [19893] = 19118,
  [19894] = 17488,
  [19895] = 17474,
  [19896] = 17504,
  [19897] = 17469,
  [19898] = 19118,
  [19899] = 17465,
  [19900] = 19146,
  [19901] = 19147,
  [19902] = 19148,
  [19903] = 17466,
  [19904] = 5329,
  [19905] = 17553,
  [19906] = 17487,
  [19907] = 17547,
  [19908] = 17506,
  [19909] = 17539,
  [19910] = 19910,
  [19911] = 18505,
  [19912] = 17509,
  [19913] = 19118,
  [19914] = 17497,
  [19915] = 19146,
  [19916] = 19147,
  [19917] = 19148,
  [19918] = 17506,
  [19919] = 17509,
  [19920] = 17480,
  [19921] = 17546,
  [19922] = 17535,
  [19923] = 17468,
  [19924] = 17910,
  [19925] = 18534,
  [19926] = 17546,
  [19927] = 17539,
  [19928] = 19118,
  [19929] = 17465,
  [19930] = 19146,
  [19931] = 19147,
  [19932] = 19148,
  [19933] = 17535,
  [19934] = 17466,
  [19935] = 19935,
  [19936] = 17547,
  [19937] = 17468,
  [19938] = 17527,
  [19939] = 17539,
  [19940] = 17509,
  [19941] = 17507,
  [19942] = 17491,
  [19943] = 17466,
  [19944] = 19146,
  [19945] = 19147,
  [19946] = 19148,
  [19947] = 17464,
  [19948] = 17591,
  [19949] = 17593,
  [19950] = 17594,
  [19951] = 17482,
  [19952] = 17547,
  [19953] = 17602,
  [19954] = 17468,
  [19955] = 17506,
  [19956] = 17553,
  [19957] = 17521,
  [19958] = 19146,
  [19959] = 19147,
  [19960] = 19148,
  [19961] = 17535,
  [19962] = 17608,
  [19963] = 17580,
  [19964] = 19964,
  [19965] = 17591,
  [19966] = 17593,
  [19967] = 17613,
  [19968] = 17594,
  [19969] = 17488,
  [19970] = 17632,
  [19971] = 17472,
  [19972] = 19146,
  [19973] = 19147,
  [19974] = 19148,
  [19975] = 17602,
  [19976] = 17634,
  [19977] = 17465,
  [19978] = 17466,
  [19979] = 17509,
  [19980] = 17468,
  [19981] = 17553,
  [19982] = 17608,
  [19983] = 17520,
  [19984] = 17520,
  [19985] = 17464,
  [19986] = 19146,
  [19987] = 19147,
  [19988] = 19148,
  [19989] = 17521,
  [19990] = 17525,
  [19991] = 17483,
  [19992] = 17482,
  [19993] = 17476,
  [19994] = 17491,
  [19995] = 17527,
  [19996] = 17477,
  [19997] = 17478,
  [19998] = 19146,
  [19999] = 19147,
  [20000] = 19148,
  [20001] = 17474,
  [20002] = 17534,
  [20003] = 17632,
  [20004] = 17520,
  [20005] = 17482,
  [20006] = 17520,
  [20007] = 17521,
  [20008] = 17634,
  [20009] = 17534,
  [20010] = 19146,
  [20011] = 19147,
  [20012] = 19148,
  [20013] = 18024,
  [20014] = 17465,
  [20015] = 19146,
  [20016] = 19147,
  [20017] = 19148,
  [20018] = 17466,
  [20019] = 17523,
  [20020] = 19146,
  [20021] = 19147,
  [20022] = 19148,
  [20023] = 17468,
  [20024] = 17506,
  [20025] = 19146,
  [20026] = 19147,
  [20027] = 19148,
  [20028] = 17482,
  [20029] = 17521,
  [20030] = 19146,
  [20031] = 19147,
  [20032] = 19148,
  [20033] = 17506,
  [20034] = 17520,
  [20035] = 19146,
  [20036] = 19147,
  [20037] = 19148,
  [20038] = 12754,
  [20039] = 17521,
  [20040] = 19146,
  [20041] = 19147,
  [20042] = 19148,
  [20043] = 17482,
  [20044] = 17476,
  [20045] = 19146,
  [20046] = 19147,
  [20047] = 19148,
  [20048] = 17632,
  [20049] = 20049,
  [20050] = 19146,
  [20051] = 19147,
  [20052] = 19148,
  [20053] = 17874,
  [20054] = 17482,
  [20055] = 19146,
  [20056] = 19147,
  [20057] = 19148,
  [20058] = 17486,
  [20059] = 17480,
  [20060] = 19146,
  [20061] = 19147,
  [20062] = 19148,
  [20063] = 17487,
  [20064] = 17634,
  [20065] = 19146,
  [20066] = 19147,
  [20067] = 19148,
  [20068] = 17546,
  [20069] = 17508,
  [20070] = 19146,
  [20071] = 19147,
  [20072] = 19148,
  [20073] = 17491,
  [20074] = 17477,
  [20075] = 17478,
  [20076] = 17509,
  [20077] = 17546,
  [20078] = 17520,
  [20079] = 17498,
  [20080] = 17539,
  [20081] = 17525,
  [20082] = 17696,
  [20083] = 17698,
  [20084] = 17525,
  [20085] = 17521,
  [20086] = 17497,
  [20087] = 17500,
  [20088] = 17527,
  [20089] = 17528,
  [20090] = 18096,
  [20091] = 17498,
  [20092] = 17504,
  [20093] = 17500,
  [20094] = 17509,
  [20095] = 17520,
  [20096] = 17521,
  [20097] = 17882,
  [20098] = 17509,
  [20099] = 17547,
  [20100] = 18083,
  [20101] = 19698,
  [20102] = 17502,
  [20103] = 17687,
  [20104] = 17737,
  [20105] = 17525,
  [20106] = 20106,
  [20107] = 20107,
  [20108] = 17527,
  [20109] = 17486,
  [20110] = 17547,
  [20111] = 17504,
  [20112] = 19606,
  [20113] = 20113,
  [20114] = 17487,
  [20115] = 17605,
  [20116] = 17696,
  [20117] = 17507,
  [20118] = 17698,
  [20119] = 17525,
  [20120] = 17527,
  [20121] = 18083,
  [20122] = 19698,
  [20123] = 17530,
  [20124] = 20107,
  [20125] = 17525,
  [20126] = 17504,
  [20127] = 17484,
  [20128] = 17532,
  [20129] = 19606,
  [20130] = 17530,
  [20131] = 17591,
  [20132] = 17532,
  [20133] = 17508,
  [20134] = 17527,
  [20135] = 17594,
  [20136] = 18083,
  [20137] = 19698,
  [20138] = 17530,
  [20139] = 20107,
  [20140] = 17593,
  [20141] = 17491,
  [20142] = 17603,
  [20143] = 19606,
  [20144] = 17594,
  [20145] = 17469,
  [20146] = 17473,
  [20147] = 17534,
  [20148] = 17504,
  [20149] = 17602,
  [20150] = 18083,
  [20151] = 17530,
  [20152] = 17469,
  [20153] = 17465,
  [20154] = 19606,
  [20155] = 17489,
  [20156] = 17492,
  [20157] = 17493,
  [20158] = 17471,
  [20159] = 17494,
  [20160] = 18083,
  [20161] = 17495,
  [20162] = 17471,
  [20163] = 18083,
  [20164] = 17882,
  [20165] = 17509,
  [20166] = 18083,
  [20167] = 17532,
  [20168] = 17527,
  [20169] = 18083,
  [20170] = 18083,
  [20171] = 18083,
  [20172] = 18083,
  [20173] = 18083,
  [20174] = 18083,
  [20175] = 18083,
  [20176] = 18083,
  [20177] = 18083,
  [20178] = 18083,
  [20179] = 18083,
  [20180] = 18083,
  [20181] = 18083,
  [20182] = 18083,
  [20183] = 18083,
  [20184] = 18083,
  [20185] = 18083,
  [20186] = 18083,
  [20187] = 18083,
  [20188] = 18083,
  [20189] = 18083,
  [20190] = 18083,
  [20191] = 18083,
  [20192] = 18083,
  [20193] = 18083,
  [20194] = 18083,
  [20195] = 18083,
  [20196] = 18083,
  [20197] = 18083,
  [20198] = 18083,
  [20199] = 18083,
  [20200] = 18083,
  [20201] = 18083,
  [20202] = 18083,
  [20203] = 18083,
  [20204] = 18083,
  [20205] = 18083,
  [20206] = 18083,
  [20207] = 18083,
  [20208] = 18083,
  [20209] = 18083,
  [20210] = 18083,
  [20211] = 18083,
  [20212] = 18083,
  [20213] = 18083,
  [20214] = 18083,
  [20215] = 18083,
  [20216] = 18083,
  [20217] = 17676,
  [20218] = 17499,
  [20219] = 20219,
  [20220] = 17608,
  [20221] = 19178,
  [20222] = 17532,
  [20223] = 19153,
  [20224] = 17509,
  [20225] = 17469,
  [20226] = 17696,
  [20227] = 17497,
  [20228] = 17698,
  [20229] = 17502,
  [20230] = 17520,
  [20231] = 17696,
  [20232] = 20219,
  [20233] = 19178,
  [20234] = 17521,
  [20235] = 17687,
  [20236] = 17525,
  [20237] = 17527,
  [20238] = 17504,
  [20239] = 17530,
  [20240] = 20219,
  [20241] = 19178,
  [20242] = 17698,
  [20243] = 17532,
  [20244] = 20244,
  [20245] = 17509,
  [20246] = 17469,
  [20247] = 17507,
  [20248] = 17498,
  [20249] = 17591,
  [20250] = 20107,
  [20251] = 17632,
  [20252] = 17471,
  [20253] = 17634,
  [20254] = 17465,
  [20255] = 17466,
  [20256] = 17497,
  [20257] = 17659,
  [20258] = 17500,
  [20259] = 17468,
  [20260] = 17507,
  [20261] = 17472,
  [20262] = 17593,
  [20263] = 18536,
  [20264] = 17502,
  [20265] = 17483,
  [20266] = 17594,
  [20267] = 17504,
  [20268] = 17497,
  [20269] = 19150,
  [20270] = 17469,
  [20271] = 17507,
  [20272] = 17472,
  [20273] = 17483,
  [20274] = 17602,
  [20275] = 17523,
  [20276] = 17523,
  [20277] = 17482,
  [20278] = 17530,
  [20279] = 17466,
  [20280] = 17508,
  [20281] = 17539,
  [20282] = 17525,
  [20283] = 17608,
  [20284] = 17472,
  [20285] = 17471,
  [20286] = 17473,
  [20287] = 17489,
  [20288] = 17471,
  [20289] = 17492,
  [20290] = 17527,
  [20291] = 17535,
  [20292] = 17483,
  [20293] = 17504,
  [20294] = 17488,
  [20295] = 17493,
  [20296] = 17494,
  [20297] = 17553,
  [20298] = 17659,
  [20299] = 17539,
  [20300] = 17495,
  [20301] = 17499,
  [20302] = 17553,
  [20303] = 17634,
  [20304] = 17504,
  [20305] = 17472,
  [20306] = 17532,
  [20307] = 19153,
  [20308] = 17534,
  [20309] = 17465,
  [20310] = 17523,
  [20311] = 17756,
  [20312] = 17530,
  [20313] = 17520,
  [20314] = 17553,
  [20315] = 17506,
  [20316] = 17521,
  [20317] = 17523,
  [20318] = 17696,
  [20319] = 17525,
  [20320] = 17497,
  [20321] = 17546,
  [20322] = 17469,
  [20323] = 17474,
  [20324] = 17507,
  [20325] = 17497,
  [20326] = 17466,
  [20327] = 17527,
  [20328] = 17472,
  [20329] = 17483,
  [20330] = 17506,
  [20331] = 17504,
  [20332] = 17547,
  [20333] = 17507,
  [20334] = 17530,
  [20335] = 17535,
  [20336] = 20219,
  [20337] = 17508,
  [20338] = 17488,
  [20339] = 17472,
  [20340] = 17634,
  [20341] = 17468,
  [20342] = 17480,
  [20343] = 17468,
  [20344] = 17476,
  [20345] = 17483,
  [20346] = 17696,
  [20347] = 17546,
  [20348] = 17534,
  [20349] = 17532,
  [20350] = 17506,
  [20351] = 20351,
  [20352] = 20352,
};

static TSCharacterRange sym_conversion_specification_character_set_6[] = {
  {'!', '!'}, {'%', '%'}, {',', ','}, {'@', '@'}, {'B', 'C'}, {'E', 'H'}, {'L', 'L'}, {'N', 'N'},
  {'S', 'S'}, {'X', 'X'}, {'a', 'i'}, {'l', 'l'}, {'n', 'o'}, {'s', 'u'}, {'x', 'x'},
};

static TSCharacterRange sym_conversion_specification_character_set_7[] = {
  {'!', '!'}, {'%', '%'}, {',', ','}, {'0', '9'}, {'@', '@'}, {'B', 'C'}, {'E', 'H'}, {'L', 'L'},
  {'N', 'N'}, {'S', 'S'}, {'X', 'X'}, {'a', 'i'}, {'l', 'l'}, {'n', 'o'}, {'s', 'u'}, {'x', 'x'},
};

static TSCharacterRange sym_prefix_operator_character_set_1[] = {
  {'!', '!'}, {'#', '&'}, {'*', '+'}, {'-', '/'}, {':', ':'}, {'<', '@'}, {'^', '^'}, {'|', '|'},
  {'~', '~'},
};

static TSCharacterRange sym_pow_operator_character_set_1[] = {
  {'!', '!'}, {'$', '&'}, {'*', '+'}, {'-', '/'}, {':', ':'}, {'<', '@'}, {'^', '^'}, {'|', '|'},
  {'~', '~'},
};

static TSCharacterRange sym_indexing_operator_character_set_1[] = {
  {'!', '!'}, {'$', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {':', ':'}, {'=', '@'}, {'^', '^'},
  {'|', '|'},
};

static TSCharacterRange sym_let_operator_character_set_1[] = {
  {'$', '$'}, {'&', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {'<', '>'}, {'@', '@'}, {'^', '^'},
  {'|', '|'},
};

static TSCharacterRange sym__lowercase_identifier_character_set_2[] = {
  {'\'', '\''}, {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7},
  {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee},
  {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf},
  {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3},
  {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa},
  {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963},
  {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc},
  {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36},
  {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03},
  {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48},
  {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10},
  {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9},
  {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3},
  {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f},
  {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca},
  {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59},
  {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6},
  {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37},
  {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049},
  {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715},
  {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd},
  {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b},
  {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e},
  {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59},
  {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf},
  {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054},
  {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107},
  {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f},
  {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d},
  {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6},
  {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c},
  {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff},
  {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1},
  {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c},
  {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c},
  {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2},
  {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e},
  {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb},
  {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e},
  {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9},
  {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79},
  {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0},
  {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d},
  {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592},
  {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767},
  {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c},
  {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7},
  {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1},
  {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075},
  {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173},
  {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241},
  {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303},
  {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348},
  {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459},
  {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640},
  {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746},
  {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938},
  {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47},
  {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f},
  {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47},
  {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6},
  {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543},
  {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe},
  {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7},
  {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152},
  {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e},
  {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244},
  {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb},
  {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544},
  {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734},
  {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36},
  {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006},
  {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d},
  {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22},
  {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47},
  {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b},
  {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c},
  {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df},
  {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
  {0xe0100, 0xe01ef},
};

static TSCharacterRange sym__lowercase_identifier_character_set_3[] = {
  {'_', '_'}, {'a', 'z'}, {0xb5, 0xb5}, {0xdf, 0xf6}, {0xf8, 0xff}, {0x101, 0x101}, {0x103, 0x103}, {0x105, 0x105},
  {0x107, 0x107}, {0x109, 0x109}, {0x10b, 0x10b}, {0x10d, 0x10d}, {0x10f, 0x10f}, {0x111, 0x111}, {0x113, 0x113}, {0x115, 0x115},
  {0x117, 0x117}, {0x119, 0x119}, {0x11b, 0x11b}, {0x11d, 0x11d}, {0x11f, 0x11f}, {0x121, 0x121}, {0x123, 0x123}, {0x125, 0x125},
  {0x127, 0x127}, {0x129, 0x129}, {0x12b, 0x12b}, {0x12d, 0x12d}, {0x12f, 0x12f}, {0x131, 0x131}, {0x133, 0x133}, {0x135, 0x135},
  {0x137, 0x138}, {0x13a, 0x13a}, {0x13c, 0x13c}, {0x13e, 0x13e}, {0x140, 0x140}, {0x142, 0x142}, {0x144, 0x144}, {0x146, 0x146},
  {0x148, 0x149}, {0x14b, 0x14b}, {0x14d, 0x14d}, {0x14f, 0x14f}, {0x151, 0x151}, {0x153, 0x153}, {0x155, 0x155}, {0x157, 0x157},
  {0x159, 0x159}, {0x15b, 0x15b}, {0x15d, 0x15d}, {0x15f, 0x15f}, {0x161, 0x161}, {0x163, 0x163}, {0x165, 0x165}, {0x167, 0x167},
  {0x169, 0x169}, {0x16b, 0x16b}, {0x16d, 0x16d}, {0x16f, 0x16f}, {0x171, 0x171}, {0x173, 0x173}, {0x175, 0x175}, {0x177, 0x177},
  {0x17a, 0x17a}, {0x17c, 0x17c}, {0x17e, 0x180}, {0x183, 0x183}, {0x185, 0x185}, {0x188, 0x188}, {0x18c, 0x18d}, {0x192, 0x192},
  {0x195, 0x195}, {0x199, 0x19b}, {0x19e, 0x19e}, {0x1a1, 0x1a1}, {0x1a3, 0x1a3}, {0x1a5, 0x1a5}, {0x1a8, 0x1a8}, {0x1aa, 0x1ab},
  {0x1ad, 0x1ad}, {0x1b0, 0x1b0}, {0x1b4, 0x1b4}, {0x1b6, 0x1b6}, {0x1b9, 0x1ba}, {0x1bd, 0x1bf}, {0x1c6, 0x1c6}, {0x1c9, 0x1c9},
  {0x1cc, 0x1cc}, {0x1ce, 0x1ce}, {0x1d0, 0x1d0}, {0x1d2, 0x1d2}, {0x1d4, 0x1d4}, {0x1d6, 0x1d6}, {0x1d8, 0x1d8}, {0x1da, 0x1da},
  {0x1dc, 0x1dd}, {0x1df, 0x1df}, {0x1e1, 0x1e1}, {0x1e3, 0x1e3}, {0x1e5, 0x1e5}, {0x1e7, 0x1e7}, {0x1e9, 0x1e9}, {0x1eb, 0x1eb},
  {0x1ed, 0x1ed}, {0x1ef, 0x1f0}, {0x1f3, 0x1f3}, {0x1f5, 0x1f5}, {0x1f9, 0x1f9}, {0x1fb, 0x1fb}, {0x1fd, 0x1fd}, {0x1ff, 0x1ff},
  {0x201, 0x201}, {0x203, 0x203}, {0x205, 0x205}, {0x207, 0x207}, {0x209, 0x209}, {0x20b, 0x20b}, {0x20d, 0x20d}, {0x20f, 0x20f},
  {0x211, 0x211}, {0x213, 0x213}, {0x215, 0x215}, {0x217, 0x217}, {0x219, 0x219}, {0x21b, 0x21b}, {0x21d, 0x21d}, {0x21f, 0x21f},
  {0x221, 0x221}, {0x223, 0x223}, {0x225, 0x225}, {0x227, 0x227}, {0x229, 0x229}, {0x22b, 0x22b}, {0x22d, 0x22d}, {0x22f, 0x22f},
  {0x231, 0x231}, {0x233, 0x239}, {0x23c, 0x23c}, {0x23f, 0x240}, {0x242, 0x242}, {0x247, 0x247}, {0x249, 0x249}, {0x24b, 0x24b},
  {0x24d, 0x24d}, {0x24f, 0x293}, {0x295, 0x2af}, {0x371, 0x371}, {0x373, 0x373}, {0x377, 0x377}, {0x37b, 0x37d}, {0x390, 0x390},
  {0x3ac, 0x3ce}, {0x3d0, 0x3d1}, {0x3d5, 0x3d7}, {0x3d9, 0x3d9}, {0x3db, 0x3db}, {0x3dd, 0x3dd}, {0x3df, 0x3df}, {0x3e1, 0x3e1},
  {0x3e3, 0x3e3}, {0x3e5, 0x3e5}, {0x3e7, 0x3e7}, {0x3e9, 0x3e9}, {0x3eb, 0x3eb}, {0x3ed, 0x3ed}, {0x3ef, 0x3f3}, {0x3f5, 0x3f5},
  {0x3f8, 0x3f8}, {0x3fb, 0x3fc}, {0x430, 0x45f}, {0x461, 0x461}, {0x463, 0x463}, {0x465, 0x465}, {0x467, 0x467}, {0x469, 0x469},
  {0x46b, 0x46b}, {0x46d, 0x46d}, {0x46f, 0x46f}, {0x471, 0x471}, {0x473, 0x473}, {0x475, 0x475}, {0x477, 0x477}, {0x479, 0x479},
  {0x47b, 0x47b}, {0x47d, 0x47d}, {0x47f, 0x47f}, {0x481, 0x481}, {0x48b, 0x48b}, {0x48d, 0x48d}, {0x48f, 0x48f}, {0x491, 0x491},
  {0x493, 0x493}, {0x495, 0x495}, {0x497, 0x497}, {0x499, 0x499}, {0x49b, 0x49b}, {0x49d, 0x49d}, {0x49f, 0x49f}, {0x4a1, 0x4a1},
  {0x4a3, 0x4a3}, {0x4a5, 0x4a5}, {0x4a7, 0x4a7}, {0x4a9, 0x4a9}, {0x4ab, 0x4ab}, {0x4ad, 0x4ad}, {0x4af, 0x4af}, {0x4b1, 0x4b1},
  {0x4b3, 0x4b3}, {0x4b5, 0x4b5}, {0x4b7, 0x4b7}, {0x4b9, 0x4b9}, {0x4bb, 0x4bb}, {0x4bd, 0x4bd}, {0x4bf, 0x4bf}, {0x4c2, 0x4c2},
  {0x4c4, 0x4c4}, {0x4c6, 0x4c6}, {0x4c8, 0x4c8}, {0x4ca, 0x4ca}, {0x4cc, 0x4cc}, {0x4ce, 0x4cf}, {0x4d1, 0x4d1}, {0x4d3, 0x4d3},
  {0x4d5, 0x4d5}, {0x4d7, 0x4d7}, {0x4d9, 0x4d9}, {0x4db, 0x4db}, {0x4dd, 0x4dd}, {0x4df, 0x4df}, {0x4e1, 0x4e1}, {0x4e3, 0x4e3},
  {0x4e5, 0x4e5}, {0x4e7, 0x4e7}, {0x4e9, 0x4e9}, {0x4eb, 0x4eb}, {0x4ed, 0x4ed}, {0x4ef, 0x4ef}, {0x4f1, 0x4f1}, {0x4f3, 0x4f3},
  {0x4f5, 0x4f5}, {0x4f7, 0x4f7}, {0x4f9, 0x4f9}, {0x4fb, 0x4fb}, {0x4fd, 0x4fd}, {0x4ff, 0x4ff}, {0x501, 0x501}, {0x503, 0x503},
  {0x505, 0x505}, {0x507, 0x507}, {0x509, 0x509}, {0x50b, 0x50b}, {0x50d, 0x50d}, {0x50f, 0x50f}, {0x511, 0x511}, {0x513, 0x513},
  {0x515, 0x515}, {0x517, 0x517}, {0x519, 0x519}, {0x51b, 0x51b}, {0x51d, 0x51d}, {0x51f, 0x51f}, {0x521, 0x521}, {0x523, 0x523},
  {0x525, 0x525}, {0x527, 0x527}, {0x529, 0x529}, {0x52b, 0x52b}, {0x52d, 0x52d}, {0x52f, 0x52f}, {0x560, 0x588}, {0x10d0, 0x10fa},
  {0x10fd, 0x10ff}, {0x13f8, 0x13fd}, {0x1c80, 0x1c88}, {0x1d00, 0x1d2b}, {0x1d6b, 0x1d77}, {0x1d79, 0x1d9a}, {0x1e01, 0x1e01}, {0x1e03, 0x1e03},
  {0x1e05, 0x1e05}, {0x1e07, 0x1e07}, {0x1e09, 0x1e09}, {0x1e0b, 0x1e0b}, {0x1e0d, 0x1e0d}, {0x1e0f, 0x1e0f}, {0x1e11, 0x1e11}, {0x1e13, 0x1e13},
  {0x1e15, 0x1e15}, {0x1e17, 0x1e17}, {0x1e19, 0x1e19}, {0x1e1b, 0x1e1b}, {0x1e1d, 0x1e1d}, {0x1e1f, 0x1e1f}, {0x1e21, 0x1e21}, {0x1e23, 0x1e23},
  {0x1e25, 0x1e25}, {0x1e27, 0x1e27}, {0x1e29, 0x1e29}, {0x1e2b, 0x1e2b}, {0x1e2d, 0x1e2d}, {0x1e2f, 0x1e2f}, {0x1e31, 0x1e31}, {0x1e33, 0x1e33},
  {0x1e35, 0x1e35}, {0x1e37, 0x1e37}, {0x1e39, 0x1e39}, {0x1e3b, 0x1e3b}, {0x1e3d, 0x1e3d}, {0x1e3f, 0x1e3f}, {0x1e41, 0x1e41}, {0x1e43, 0x1e43},
  {0x1e45, 0x1e45}, {0x1e47, 0x1e47}, {0x1e49, 0x1e49}, {0x1e4b, 0x1e4b}, {0x1e4d, 0x1e4d}, {0x1e4f, 0x1e4f}, {0x1e51, 0x1e51}, {0x1e53, 0x1e53},
  {0x1e55, 0x1e55}, {0x1e57, 0x1e57}, {0x1e59, 0x1e59}, {0x1e5b, 0x1e5b}, {0x1e5d, 0x1e5d}, {0x1e5f, 0x1e5f}, {0x1e61, 0x1e61}, {0x1e63, 0x1e63},
  {0x1e65, 0x1e65}, {0x1e67, 0x1e67}, {0x1e69, 0x1e69}, {0x1e6b, 0x1e6b}, {0x1e6d, 0x1e6d}, {0x1e6f, 0x1e6f}, {0x1e71, 0x1e71}, {0x1e73, 0x1e73},
  {0x1e75, 0x1e75}, {0x1e77, 0x1e77}, {0x1e79, 0x1e79}, {0x1e7b, 0x1e7b}, {0x1e7d, 0x1e7d}, {0x1e7f, 0x1e7f}, {0x1e81, 0x1e81}, {0x1e83, 0x1e83},
  {0x1e85, 0x1e85}, {0x1e87, 0x1e87}, {0x1e89, 0x1e89}, {0x1e8b, 0x1e8b}, {0x1e8d, 0x1e8d}, {0x1e8f, 0x1e8f}, {0x1e91, 0x1e91}, {0x1e93, 0x1e93},
  {0x1e95, 0x1e9d}, {0x1e9f, 0x1e9f}, {0x1ea1, 0x1ea1}, {0x1ea3, 0x1ea3}, {0x1ea5, 0x1ea5}, {0x1ea7, 0x1ea7}, {0x1ea9, 0x1ea9}, {0x1eab, 0x1eab},
  {0x1ead, 0x1ead}, {0x1eaf, 0x1eaf}, {0x1eb1, 0x1eb1}, {0x1eb3, 0x1eb3}, {0x1eb5, 0x1eb5}, {0x1eb7, 0x1eb7}, {0x1eb9, 0x1eb9}, {0x1ebb, 0x1ebb},
  {0x1ebd, 0x1ebd}, {0x1ebf, 0x1ebf}, {0x1ec1, 0x1ec1}, {0x1ec3, 0x1ec3}, {0x1ec5, 0x1ec5}, {0x1ec7, 0x1ec7}, {0x1ec9, 0x1ec9}, {0x1ecb, 0x1ecb},
  {0x1ecd, 0x1ecd}, {0x1ecf, 0x1ecf}, {0x1ed1, 0x1ed1}, {0x1ed3, 0x1ed3}, {0x1ed5, 0x1ed5}, {0x1ed7, 0x1ed7}, {0x1ed9, 0x1ed9}, {0x1edb, 0x1edb},
  {0x1edd, 0x1edd}, {0x1edf, 0x1edf}, {0x1ee1, 0x1ee1}, {0x1ee3, 0x1ee3}, {0x1ee5, 0x1ee5}, {0x1ee7, 0x1ee7}, {0x1ee9, 0x1ee9}, {0x1eeb, 0x1eeb},
  {0x1eed, 0x1eed}, {0x1eef, 0x1eef}, {0x1ef1, 0x1ef1}, {0x1ef3, 0x1ef3}, {0x1ef5, 0x1ef5}, {0x1ef7, 0x1ef7}, {0x1ef9, 0x1ef9}, {0x1efb, 0x1efb},
  {0x1efd, 0x1efd}, {0x1eff, 0x1f07}, {0x1f10, 0x1f15}, {0x1f20, 0x1f27}, {0x1f30, 0x1f37}, {0x1f40, 0x1f45}, {0x1f50, 0x1f57}, {0x1f60, 0x1f67},
  {0x1f70, 0x1f7d}, {0x1f80, 0x1f87}, {0x1f90, 0x1f97}, {0x1fa0, 0x1fa7}, {0x1fb0, 0x1fb4}, {0x1fb6, 0x1fb7}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fc7}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fd7}, {0x1fe0, 0x1fe7}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ff7}, {0x210a, 0x210a}, {0x210e, 0x210f},
  {0x2113, 0x2113}, {0x212f, 0x212f}, {0x2134, 0x2134}, {0x2139, 0x2139}, {0x213c, 0x213d}, {0x2146, 0x2149}, {0x214e, 0x214e}, {0x2184, 0x2184},
  {0x2c30, 0x2c5f}, {0x2c61, 0x2c61}, {0x2c65, 0x2c66}, {0x2c68, 0x2c68}, {0x2c6a, 0x2c6a}, {0x2c6c, 0x2c6c}, {0x2c71, 0x2c71}, {0x2c73, 0x2c74},
  {0x2c76, 0x2c7b}, {0x2c81, 0x2c81}, {0x2c83, 0x2c83}, {0x2c85, 0x2c85}, {0x2c87, 0x2c87}, {0x2c89, 0x2c89}, {0x2c8b, 0x2c8b}, {0x2c8d, 0x2c8d},
  {0x2c8f, 0x2c8f}, {0x2c91, 0x2c91}, {0x2c93, 0x2c93}, {0x2c95, 0x2c95}, {0x2c97, 0x2c97}, {0x2c99, 0x2c99}, {0x2c9b, 0x2c9b}, {0x2c9d, 0x2c9d},
  {0x2c9f, 0x2c9f}, {0x2ca1, 0x2ca1}, {0x2ca3, 0x2ca3}, {0x2ca5, 0x2ca5}, {0x2ca7, 0x2ca7}, {0x2ca9, 0x2ca9}, {0x2cab, 0x2cab}, {0x2cad, 0x2cad},
  {0x2caf, 0x2caf}, {0x2cb1, 0x2cb1}, {0x2cb3, 0x2cb3}, {0x2cb5, 0x2cb5}, {0x2cb7, 0x2cb7}, {0x2cb9, 0x2cb9}, {0x2cbb, 0x2cbb}, {0x2cbd, 0x2cbd},
  {0x2cbf, 0x2cbf}, {0x2cc1, 0x2cc1}, {0x2cc3, 0x2cc3}, {0x2cc5, 0x2cc5}, {0x2cc7, 0x2cc7}, {0x2cc9, 0x2cc9}, {0x2ccb, 0x2ccb}, {0x2ccd, 0x2ccd},
  {0x2ccf, 0x2ccf}, {0x2cd1, 0x2cd1}, {0x2cd3, 0x2cd3}, {0x2cd5, 0x2cd5}, {0x2cd7, 0x2cd7}, {0x2cd9, 0x2cd9}, {0x2cdb, 0x2cdb}, {0x2cdd, 0x2cdd},
  {0x2cdf, 0x2cdf}, {0x2ce1, 0x2ce1}, {0x2ce3, 0x2ce4}, {0x2cec, 0x2cec}, {0x2cee, 0x2cee}, {0x2cf3, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0xa641, 0xa641}, {0xa643, 0xa643}, {0xa645, 0xa645}, {0xa647, 0xa647}, {0xa649, 0xa649}, {0xa64b, 0xa64b}, {0xa64d, 0xa64d},
  {0xa64f, 0xa64f}, {0xa651, 0xa651}, {0xa653, 0xa653}, {0xa655, 0xa655}, {0xa657, 0xa657}, {0xa659, 0xa659}, {0xa65b, 0xa65b}, {0xa65d, 0xa65d},
  {0xa65f, 0xa65f}, {0xa661, 0xa661}, {0xa663, 0xa663}, {0xa665, 0xa665}, {0xa667, 0xa667}, {0xa669, 0xa669}, {0xa66b, 0xa66b}, {0xa66d, 0xa66d},
  {0xa681, 0xa681}, {0xa683, 0xa683}, {0xa685, 0xa685}, {0xa687, 0xa687}, {0xa689, 0xa689}, {0xa68b, 0xa68b}, {0xa68d, 0xa68d}, {0xa68f, 0xa68f},
  {0xa691, 0xa691}, {0xa693, 0xa693}, {0xa695, 0xa695}, {0xa697, 0xa697}, {0xa699, 0xa699}, {0xa69b, 0xa69b}, {0xa723, 0xa723}, {0xa725, 0xa725},
  {0xa727, 0xa727}, {0xa729, 0xa729}, {0xa72b, 0xa72b}, {0xa72d, 0xa72d}, {0xa72f, 0xa731}, {0xa733, 0xa733}, {0xa735, 0xa735}, {0xa737, 0xa737},
  {0xa739, 0xa739}, {0xa73b, 0xa73b}, {0xa73d, 0xa73d}, {0xa73f, 0xa73f}, {0xa741, 0xa741}, {0xa743, 0xa743}, {0xa745, 0xa745}, {0xa747, 0xa747},
  {0xa749, 0xa749}, {0xa74b, 0xa74b}, {0xa74d, 0xa74d}, {0xa74f, 0xa74f}, {0xa751, 0xa751}, {0xa753, 0xa753}, {0xa755, 0xa755}, {0xa757, 0xa757},
  {0xa759, 0xa759}, {0xa75b, 0xa75b}, {0xa75d, 0xa75d}, {0xa75f, 0xa75f}, {0xa761, 0xa761}, {0xa763, 0xa763}, {0xa765, 0xa765}, {0xa767, 0xa767},
  {0xa769, 0xa769}, {0xa76b, 0xa76b}, {0xa76d, 0xa76d}, {0xa76f, 0xa76f}, {0xa771, 0xa778}, {0xa77a, 0xa77a}, {0xa77c, 0xa77c}, {0xa77f, 0xa77f},
  {0xa781, 0xa781}, {0xa783, 0xa783}, {0xa785, 0xa785}, {0xa787, 0xa787}, {0xa78c, 0xa78c}, {0xa78e, 0xa78e}, {0xa791, 0xa791}, {0xa793, 0xa795},
  {0xa797, 0xa797}, {0xa799, 0xa799}, {0xa79b, 0xa79b}, {0xa79d, 0xa79d}, {0xa79f, 0xa79f}, {0xa7a1, 0xa7a1}, {0xa7a3, 0xa7a3}, {0xa7a5, 0xa7a5},
  {0xa7a7, 0xa7a7}, {0xa7a9, 0xa7a9}, {0xa7af, 0xa7af}, {0xa7b5, 0xa7b5}, {0xa7b7, 0xa7b7}, {0xa7b9, 0xa7b9}, {0xa7bb, 0xa7bb}, {0xa7bd, 0xa7bd},
  {0xa7bf, 0xa7bf}, {0xa7c1, 0xa7c1}, {0xa7c3, 0xa7c3}, {0xa7c8, 0xa7c8}, {0xa7ca, 0xa7ca}, {0xa7d1, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d5},
  {0xa7d7, 0xa7d7}, {0xa7d9, 0xa7d9}, {0xa7f6, 0xa7f6}, {0xa7fa, 0xa7fa}, {0xab30, 0xab5a}, {0xab60, 0xab68}, {0xab70, 0xabbf}, {0xfb00, 0xfb06},
  {0xfb13, 0xfb17}, {0xff41, 0xff5a}, {0x10428, 0x1044f}, {0x104d8, 0x104fb}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
};

static TSCharacterRange sym__uppercase_identifier_character_set_1[] = {
  {'A', 'Z'}, {0xc0, 0xd6}, {0xd8, 0xde}, {0x100, 0x100}, {0x102, 0x102}, {0x104, 0x104}, {0x106, 0x106}, {0x108, 0x108},
  {0x10a, 0x10a}, {0x10c, 0x10c}, {0x10e, 0x10e}, {0x110, 0x110}, {0x112, 0x112}, {0x114, 0x114}, {0x116, 0x116}, {0x118, 0x118},
  {0x11a, 0x11a}, {0x11c, 0x11c}, {0x11e, 0x11e}, {0x120, 0x120}, {0x122, 0x122}, {0x124, 0x124}, {0x126, 0x126}, {0x128, 0x128},
  {0x12a, 0x12a}, {0x12c, 0x12c}, {0x12e, 0x12e}, {0x130, 0x130}, {0x132, 0x132}, {0x134, 0x134}, {0x136, 0x136}, {0x139, 0x139},
  {0x13b, 0x13b}, {0x13d, 0x13d}, {0x13f, 0x13f}, {0x141, 0x141}, {0x143, 0x143}, {0x145, 0x145}, {0x147, 0x147}, {0x14a, 0x14a},
  {0x14c, 0x14c}, {0x14e, 0x14e}, {0x150, 0x150}, {0x152, 0x152}, {0x154, 0x154}, {0x156, 0x156}, {0x158, 0x158}, {0x15a, 0x15a},
  {0x15c, 0x15c}, {0x15e, 0x15e}, {0x160, 0x160}, {0x162, 0x162}, {0x164, 0x164}, {0x166, 0x166}, {0x168, 0x168}, {0x16a, 0x16a},
  {0x16c, 0x16c}, {0x16e, 0x16e}, {0x170, 0x170}, {0x172, 0x172}, {0x174, 0x174}, {0x176, 0x176}, {0x178, 0x179}, {0x17b, 0x17b},
  {0x17d, 0x17d}, {0x181, 0x182}, {0x184, 0x184}, {0x186, 0x187}, {0x189, 0x18b}, {0x18e, 0x191}, {0x193, 0x194}, {0x196, 0x198},
  {0x19c, 0x19d}, {0x19f, 0x1a0}, {0x1a2, 0x1a2}, {0x1a4, 0x1a4}, {0x1a6, 0x1a7}, {0x1a9, 0x1a9}, {0x1ac, 0x1ac}, {0x1ae, 0x1af},
  {0x1b1, 0x1b3}, {0x1b5, 0x1b5}, {0x1b7, 0x1b8}, {0x1bc, 0x1bc}, {0x1c4, 0x1c4}, {0x1c7, 0x1c7}, {0x1ca, 0x1ca}, {0x1cd, 0x1cd},
  {0x1cf, 0x1cf}, {0x1d1, 0x1d1}, {0x1d3, 0x1d3}, {0x1d5, 0x1d5}, {0x1d7, 0x1d7}, {0x1d9, 0x1d9}, {0x1db, 0x1db}, {0x1de, 0x1de},
  {0x1e0, 0x1e0}, {0x1e2, 0x1e2}, {0x1e4, 0x1e4}, {0x1e6, 0x1e6}, {0x1e8, 0x1e8}, {0x1ea, 0x1ea}, {0x1ec, 0x1ec}, {0x1ee, 0x1ee},
  {0x1f1, 0x1f1}, {0x1f4, 0x1f4}, {0x1f6, 0x1f8}, {0x1fa, 0x1fa}, {0x1fc, 0x1fc}, {0x1fe, 0x1fe}, {0x200, 0x200}, {0x202, 0x202},
  {0x204, 0x204}, {0x206, 0x206}, {0x208, 0x208}, {0x20a, 0x20a}, {0x20c, 0x20c}, {0x20e, 0x20e}, {0x210, 0x210}, {0x212, 0x212},
  {0x214, 0x214}, {0x216, 0x216}, {0x218, 0x218}, {0x21a, 0x21a}, {0x21c, 0x21c}, {0x21e, 0x21e}, {0x220, 0x220}, {0x222, 0x222},
  {0x224, 0x224}, {0x226, 0x226}, {0x228, 0x228}, {0x22a, 0x22a}, {0x22c, 0x22c}, {0x22e, 0x22e}, {0x230, 0x230}, {0x232, 0x232},
  {0x23a, 0x23b}, {0x23d, 0x23e}, {0x241, 0x241}, {0x243, 0x246}, {0x248, 0x248}, {0x24a, 0x24a}, {0x24c, 0x24c}, {0x24e, 0x24e},
  {0x370, 0x370}, {0x372, 0x372}, {0x376, 0x376}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x38f},
  {0x391, 0x3a1}, {0x3a3, 0x3ab}, {0x3cf, 0x3cf}, {0x3d2, 0x3d4}, {0x3d8, 0x3d8}, {0x3da, 0x3da}, {0x3dc, 0x3dc}, {0x3de, 0x3de},
  {0x3e0, 0x3e0}, {0x3e2, 0x3e2}, {0x3e4, 0x3e4}, {0x3e6, 0x3e6}, {0x3e8, 0x3e8}, {0x3ea, 0x3ea}, {0x3ec, 0x3ec}, {0x3ee, 0x3ee},
  {0x3f4, 0x3f4}, {0x3f7, 0x3f7}, {0x3f9, 0x3fa}, {0x3fd, 0x42f}, {0x460, 0x460}, {0x462, 0x462}, {0x464, 0x464}, {0x466, 0x466},
  {0x468, 0x468}, {0x46a, 0x46a}, {0x46c, 0x46c}, {0x46e, 0x46e}, {0x470, 0x470}, {0x472, 0x472}, {0x474, 0x474}, {0x476, 0x476},
  {0x478, 0x478}, {0x47a, 0x47a}, {0x47c, 0x47c}, {0x47e, 0x47e}, {0x480, 0x480}, {0x48a, 0x48a}, {0x48c, 0x48c}, {0x48e, 0x48e},
  {0x490, 0x490}, {0x492, 0x492}, {0x494, 0x494}, {0x496, 0x496}, {0x498, 0x498}, {0x49a, 0x49a}, {0x49c, 0x49c}, {0x49e, 0x49e},
  {0x4a0, 0x4a0}, {0x4a2, 0x4a2}, {0x4a4, 0x4a4}, {0x4a6, 0x4a6}, {0x4a8, 0x4a8}, {0x4aa, 0x4aa}, {0x4ac, 0x4ac}, {0x4ae, 0x4ae},
  {0x4b0, 0x4b0}, {0x4b2, 0x4b2}, {0x4b4, 0x4b4}, {0x4b6, 0x4b6}, {0x4b8, 0x4b8}, {0x4ba, 0x4ba}, {0x4bc, 0x4bc}, {0x4be, 0x4be},
  {0x4c0, 0x4c1}, {0x4c3, 0x4c3}, {0x4c5, 0x4c5}, {0x4c7, 0x4c7}, {0x4c9, 0x4c9}, {0x4cb, 0x4cb}, {0x4cd, 0x4cd}, {0x4d0, 0x4d0},
  {0x4d2, 0x4d2}, {0x4d4, 0x4d4}, {0x4d6, 0x4d6}, {0x4d8, 0x4d8}, {0x4da, 0x4da}, {0x4dc, 0x4dc}, {0x4de, 0x4de}, {0x4e0, 0x4e0},
  {0x4e2, 0x4e2}, {0x4e4, 0x4e4}, {0x4e6, 0x4e6}, {0x4e8, 0x4e8}, {0x4ea, 0x4ea}, {0x4ec, 0x4ec}, {0x4ee, 0x4ee}, {0x4f0, 0x4f0},
  {0x4f2, 0x4f2}, {0x4f4, 0x4f4}, {0x4f6, 0x4f6}, {0x4f8, 0x4f8}, {0x4fa, 0x4fa}, {0x4fc, 0x4fc}, {0x4fe, 0x4fe}, {0x500, 0x500},
  {0x502, 0x502}, {0x504, 0x504}, {0x506, 0x506}, {0x508, 0x508}, {0x50a, 0x50a}, {0x50c, 0x50c}, {0x50e, 0x50e}, {0x510, 0x510},
  {0x512, 0x512}, {0x514, 0x514}, {0x516, 0x516}, {0x518, 0x518}, {0x51a, 0x51a}, {0x51c, 0x51c}, {0x51e, 0x51e}, {0x520, 0x520},
  {0x522, 0x522}, {0x524, 0x524}, {0x526, 0x526}, {0x528, 0x528}, {0x52a, 0x52a}, {0x52c, 0x52c}, {0x52e, 0x52e}, {0x531, 0x556},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x13a0, 0x13f5}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1e00, 0x1e00}, {0x1e02, 0x1e02},
  {0x1e04, 0x1e04}, {0x1e06, 0x1e06}, {0x1e08, 0x1e08}, {0x1e0a, 0x1e0a}, {0x1e0c, 0x1e0c}, {0x1e0e, 0x1e0e}, {0x1e10, 0x1e10}, {0x1e12, 0x1e12},
  {0x1e14, 0x1e14}, {0x1e16, 0x1e16}, {0x1e18, 0x1e18}, {0x1e1a, 0x1e1a}, {0x1e1c, 0x1e1c}, {0x1e1e, 0x1e1e}, {0x1e20, 0x1e20}, {0x1e22, 0x1e22},
  {0x1e24, 0x1e24}, {0x1e26, 0x1e26}, {0x1e28, 0x1e28}, {0x1e2a, 0x1e2a}, {0x1e2c, 0x1e2c}, {0x1e2e, 0x1e2e}, {0x1e30, 0x1e30}, {0x1e32, 0x1e32},
  {0x1e34, 0x1e34}, {0x1e36, 0x1e36}, {0x1e38, 0x1e38}, {0x1e3a, 0x1e3a}, {0x1e3c, 0x1e3c}, {0x1e3e, 0x1e3e}, {0x1e40, 0x1e40}, {0x1e42, 0x1e42},
  {0x1e44, 0x1e44}, {0x1e46, 0x1e46}, {0x1e48, 0x1e48}, {0x1e4a, 0x1e4a}, {0x1e4c, 0x1e4c}, {0x1e4e, 0x1e4e}, {0x1e50, 0x1e50}, {0x1e52, 0x1e52},
  {0x1e54, 0x1e54}, {0x1e56, 0x1e56}, {0x1e58, 0x1e58}, {0x1e5a, 0x1e5a}, {0x1e5c, 0x1e5c}, {0x1e5e, 0x1e5e}, {0x1e60, 0x1e60}, {0x1e62, 0x1e62},
  {0x1e64, 0x1e64}, {0x1e66, 0x1e66}, {0x1e68, 0x1e68}, {0x1e6a, 0x1e6a}, {0x1e6c, 0x1e6c}, {0x1e6e, 0x1e6e}, {0x1e70, 0x1e70}, {0x1e72, 0x1e72},
  {0x1e74, 0x1e74}, {0x1e76, 0x1e76}, {0x1e78, 0x1e78}, {0x1e7a, 0x1e7a}, {0x1e7c, 0x1e7c}, {0x1e7e, 0x1e7e}, {0x1e80, 0x1e80}, {0x1e82, 0x1e82},
  {0x1e84, 0x1e84}, {0x1e86, 0x1e86}, {0x1e88, 0x1e88}, {0x1e8a, 0x1e8a}, {0x1e8c, 0x1e8c}, {0x1e8e, 0x1e8e}, {0x1e90, 0x1e90}, {0x1e92, 0x1e92},
  {0x1e94, 0x1e94}, {0x1e9e, 0x1e9e}, {0x1ea0, 0x1ea0}, {0x1ea2, 0x1ea2}, {0x1ea4, 0x1ea4}, {0x1ea6, 0x1ea6}, {0x1ea8, 0x1ea8}, {0x1eaa, 0x1eaa},
  {0x1eac, 0x1eac}, {0x1eae, 0x1eae}, {0x1eb0, 0x1eb0}, {0x1eb2, 0x1eb2}, {0x1eb4, 0x1eb4}, {0x1eb6, 0x1eb6}, {0x1eb8, 0x1eb8}, {0x1eba, 0x1eba},
  {0x1ebc, 0x1ebc}, {0x1ebe, 0x1ebe}, {0x1ec0, 0x1ec0}, {0x1ec2, 0x1ec2}, {0x1ec4, 0x1ec4}, {0x1ec6, 0x1ec6}, {0x1ec8, 0x1ec8}, {0x1eca, 0x1eca},
  {0x1ecc, 0x1ecc}, {0x1ece, 0x1ece}, {0x1ed0, 0x1ed0}, {0x1ed2, 0x1ed2}, {0x1ed4, 0x1ed4}, {0x1ed6, 0x1ed6}, {0x1ed8, 0x1ed8}, {0x1eda, 0x1eda},
  {0x1edc, 0x1edc}, {0x1ede, 0x1ede}, {0x1ee0, 0x1ee0}, {0x1ee2, 0x1ee2}, {0x1ee4, 0x1ee4}, {0x1ee6, 0x1ee6}, {0x1ee8, 0x1ee8}, {0x1eea, 0x1eea},
  {0x1eec, 0x1eec}, {0x1eee, 0x1eee}, {0x1ef0, 0x1ef0}, {0x1ef2, 0x1ef2}, {0x1ef4, 0x1ef4}, {0x1ef6, 0x1ef6}, {0x1ef8, 0x1ef8}, {0x1efa, 0x1efa},
  {0x1efc, 0x1efc}, {0x1efe, 0x1efe}, {0x1f08, 0x1f0f}, {0x1f18, 0x1f1d}, {0x1f28, 0x1f2f}, {0x1f38, 0x1f3f}, {0x1f48, 0x1f4d}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f5f}, {0x1f68, 0x1f6f}, {0x1fb8, 0x1fbb}, {0x1fc8, 0x1fcb}, {0x1fd8, 0x1fdb}, {0x1fe8, 0x1fec},
  {0x1ff8, 0x1ffb}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210b, 0x210d}, {0x2110, 0x2112}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124},
  {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x212d}, {0x2130, 0x2133}, {0x213e, 0x213f}, {0x2145, 0x2145}, {0x2183, 0x2183}, {0x2c00, 0x2c2f},
  {0x2c60, 0x2c60}, {0x2c62, 0x2c64}, {0x2c67, 0x2c67}, {0x2c69, 0x2c69}, {0x2c6b, 0x2c6b}, {0x2c6d, 0x2c70}, {0x2c72, 0x2c72}, {0x2c75, 0x2c75},
  {0x2c7e, 0x2c80}, {0x2c82, 0x2c82}, {0x2c84, 0x2c84}, {0x2c86, 0x2c86}, {0x2c88, 0x2c88}, {0x2c8a, 0x2c8a}, {0x2c8c, 0x2c8c}, {0x2c8e, 0x2c8e},
  {0x2c90, 0x2c90}, {0x2c92, 0x2c92}, {0x2c94, 0x2c94}, {0x2c96, 0x2c96}, {0x2c98, 0x2c98}, {0x2c9a, 0x2c9a}, {0x2c9c, 0x2c9c}, {0x2c9e, 0x2c9e},
  {0x2ca0, 0x2ca0}, {0x2ca2, 0x2ca2}, {0x2ca4, 0x2ca4}, {0x2ca6, 0x2ca6}, {0x2ca8, 0x2ca8}, {0x2caa, 0x2caa}, {0x2cac, 0x2cac}, {0x2cae, 0x2cae},
  {0x2cb0, 0x2cb0}, {0x2cb2, 0x2cb2}, {0x2cb4, 0x2cb4}, {0x2cb6, 0x2cb6}, {0x2cb8, 0x2cb8}, {0x2cba, 0x2cba}, {0x2cbc, 0x2cbc}, {0x2cbe, 0x2cbe},
  {0x2cc0, 0x2cc0}, {0x2cc2, 0x2cc2}, {0x2cc4, 0x2cc4}, {0x2cc6, 0x2cc6}, {0x2cc8, 0x2cc8}, {0x2cca, 0x2cca}, {0x2ccc, 0x2ccc}, {0x2cce, 0x2cce},
  {0x2cd0, 0x2cd0}, {0x2cd2, 0x2cd2}, {0x2cd4, 0x2cd4}, {0x2cd6, 0x2cd6}, {0x2cd8, 0x2cd8}, {0x2cda, 0x2cda}, {0x2cdc, 0x2cdc}, {0x2cde, 0x2cde},
  {0x2ce0, 0x2ce0}, {0x2ce2, 0x2ce2}, {0x2ceb, 0x2ceb}, {0x2ced, 0x2ced}, {0x2cf2, 0x2cf2}, {0xa640, 0xa640}, {0xa642, 0xa642}, {0xa644, 0xa644},
  {0xa646, 0xa646}, {0xa648, 0xa648}, {0xa64a, 0xa64a}, {0xa64c, 0xa64c}, {0xa64e, 0xa64e}, {0xa650, 0xa650}, {0xa652, 0xa652}, {0xa654, 0xa654},
  {0xa656, 0xa656}, {0xa658, 0xa658}, {0xa65a, 0xa65a}, {0xa65c, 0xa65c}, {0xa65e, 0xa65e}, {0xa660, 0xa660}, {0xa662, 0xa662}, {0xa664, 0xa664},
  {0xa666, 0xa666}, {0xa668, 0xa668}, {0xa66a, 0xa66a}, {0xa66c, 0xa66c}, {0xa680, 0xa680}, {0xa682, 0xa682}, {0xa684, 0xa684}, {0xa686, 0xa686},
  {0xa688, 0xa688}, {0xa68a, 0xa68a}, {0xa68c, 0xa68c}, {0xa68e, 0xa68e}, {0xa690, 0xa690}, {0xa692, 0xa692}, {0xa694, 0xa694}, {0xa696, 0xa696},
  {0xa698, 0xa698}, {0xa69a, 0xa69a}, {0xa722, 0xa722}, {0xa724, 0xa724}, {0xa726, 0xa726}, {0xa728, 0xa728}, {0xa72a, 0xa72a}, {0xa72c, 0xa72c},
  {0xa72e, 0xa72e}, {0xa732, 0xa732}, {0xa734, 0xa734}, {0xa736, 0xa736}, {0xa738, 0xa738}, {0xa73a, 0xa73a}, {0xa73c, 0xa73c}, {0xa73e, 0xa73e},
  {0xa740, 0xa740}, {0xa742, 0xa742}, {0xa744, 0xa744}, {0xa746, 0xa746}, {0xa748, 0xa748}, {0xa74a, 0xa74a}, {0xa74c, 0xa74c}, {0xa74e, 0xa74e},
  {0xa750, 0xa750}, {0xa752, 0xa752}, {0xa754, 0xa754}, {0xa756, 0xa756}, {0xa758, 0xa758}, {0xa75a, 0xa75a}, {0xa75c, 0xa75c}, {0xa75e, 0xa75e},
  {0xa760, 0xa760}, {0xa762, 0xa762}, {0xa764, 0xa764}, {0xa766, 0xa766}, {0xa768, 0xa768}, {0xa76a, 0xa76a}, {0xa76c, 0xa76c}, {0xa76e, 0xa76e},
  {0xa779, 0xa779}, {0xa77b, 0xa77b}, {0xa77d, 0xa77e}, {0xa780, 0xa780}, {0xa782, 0xa782}, {0xa784, 0xa784}, {0xa786, 0xa786}, {0xa78b, 0xa78b},
  {0xa78d, 0xa78d}, {0xa790, 0xa790}, {0xa792, 0xa792}, {0xa796, 0xa796}, {0xa798, 0xa798}, {0xa79a, 0xa79a}, {0xa79c, 0xa79c}, {0xa79e, 0xa79e},
  {0xa7a0, 0xa7a0}, {0xa7a2, 0xa7a2}, {0xa7a4, 0xa7a4}, {0xa7a6, 0xa7a6}, {0xa7a8, 0xa7a8}, {0xa7aa, 0xa7ae}, {0xa7b0, 0xa7b4}, {0xa7b6, 0xa7b6},
  {0xa7b8, 0xa7b8}, {0xa7ba, 0xa7ba}, {0xa7bc, 0xa7bc}, {0xa7be, 0xa7be}, {0xa7c0, 0xa7c0}, {0xa7c2, 0xa7c2}, {0xa7c4, 0xa7c7}, {0xa7c9, 0xa7c9},
  {0xa7d0, 0xa7d0}, {0xa7d6, 0xa7d6}, {0xa7d8, 0xa7d8}, {0xa7f5, 0xa7f5}, {0xff21, 0xff3a}, {0x10400, 0x10427}, {0x104b0, 0x104d3}, {0x10570, 0x1057a},
  {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(437);
      ADVANCE_MAP(
        '!', 469,
        '"', 609,
        '#', 549,
        '$', 417,
        '%', 583,
        '&', 545,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 503,
        '+', 468,
        ',', 466,
        '-', 471,
        '.', 500,
        '0', 586,
        ':', 453,
        ';', 511,
        '<', 547,
        '=', 447,
        '>', 543,
        '?', 450,
        '@', 649,
        '[', 478,
        '\\', 2,
        ']', 489,
        '^', 651,
        '`', 815,
        'a', 740,
        'c', 734,
        'd', 760,
        'e', 728,
        'i', 741,
        'l', 699,
        'm', 672,
        'o', 772,
        't', 720,
        'v', 670,
        'w', 724,
        '{', 506,
        '|', 475,
        '}', 512,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(433);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(617);
      if (lookahead == '\r') ADVANCE(1);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 617,
        '\r', 1,
        '#', 432,
        'o', 414,
        'u', 405,
        'x', 431,
        ' ', 623,
        '"', 623,
        '\'', 623,
        '\\', 623,
        'b', 623,
        'n', 623,
        'r', 623,
        't', 623,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(421);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 617,
        '\r', 1,
        'o', 414,
        'u', 405,
        'x', 431,
        ' ', 623,
        '"', 623,
        '\'', 623,
        '\\', 623,
        'b', 623,
        'n', 623,
        'r', 623,
        't', 623,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(421);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(606);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == '[') ADVANCE(608);
      if (lookahead == '\\') ADVANCE(362);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(607);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(607);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(606);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == '[') ADVANCE(278);
      if (lookahead == '\\') ADVANCE(362);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(280);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 469,
        '%', 583,
        '\'', 814,
        '(', 458,
        '+', 467,
        '-', 470,
        '.', 816,
        '[', 488,
        '\\', 207,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(469);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '[') ADVANCE(484);
      if (lookahead == '\\') ADVANCE(207);
      if (lookahead == 'l') ADVANCE(699);
      if (lookahead == '{') ADVANCE(248);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 549,
        '$', 417,
        '%', 583,
        '\'', 604,
        '(', 458,
        ')', 459,
        ',', 466,
        '.', 499,
        '0', 586,
        ':', 491,
        ';', 510,
        '>', 408,
        '?', 451,
        '[', 485,
        '\\', 207,
        ']', 489,
        '`', 815,
        '{', 508,
        '|', 473,
        '}', 512,
        '~', 449,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 549,
        '$', 417,
        '\'', 604,
        '(', 458,
        ')', 459,
        ',', 466,
        '.', 499,
        '0', 586,
        ':', 491,
        ';', 510,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        '{', 508,
        '|', 474,
        '~', 449,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 549,
        '$', 417,
        '\'', 604,
        '(', 458,
        '*', 503,
        '-', 275,
        '.', 499,
        '0', 586,
        ':', 452,
        ';', 269,
        '=', 447,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 803,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 670,
        '{', 506,
        '|', 473,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 549,
        '$', 417,
        '\'', 604,
        '(', 458,
        '*', 503,
        '-', 275,
        '.', 499,
        '0', 586,
        ':', 452,
        ';', 269,
        '=', 447,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 748,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 670,
        '{', 506,
        '|', 473,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 549,
        '$', 417,
        '\'', 604,
        '(', 458,
        '*', 503,
        '-', 275,
        '.', 499,
        '0', 586,
        ':', 457,
        '=', 447,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'c', 764,
        'e', 749,
        'i', 745,
        'm', 709,
        'v', 670,
        '{', 506,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(13);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 549,
        '$', 417,
        '\'', 604,
        '(', 458,
        '*', 503,
        '-', 275,
        '.', 499,
        '0', 586,
        ':', 276,
        '=', 447,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'c', 764,
        'e', 749,
        'i', 745,
        'm', 709,
        'v', 670,
        '{', 506,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(13);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 549,
        '$', 417,
        '\'', 604,
        '(', 458,
        '*', 503,
        '-', 275,
        '.', 499,
        '0', 586,
        ';', 269,
        '=', 447,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 803,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 670,
        '{', 506,
        '|', 473,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 549,
        '$', 417,
        '\'', 604,
        '(', 458,
        '*', 503,
        '-', 275,
        '.', 499,
        '0', 586,
        ';', 269,
        '=', 447,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 748,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 670,
        '{', 506,
        '|', 473,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 549,
        '$', 417,
        '\'', 604,
        '(', 458,
        '.', 499,
        '0', 586,
        ';', 269,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 506,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(16);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 549,
        '$', 417,
        '\'', 604,
        '(', 458,
        '.', 499,
        '0', 586,
        ';', 269,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 506,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 813,
        '$', 417,
        '%', 583,
        '\'', 604,
        '(', 458,
        ')', 459,
        '.', 816,
        '0', 586,
        ':', 490,
        ';', 269,
        '<', 260,
        '>', 408,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 699,
        'm', 675,
        'o', 773,
        't', 805,
        '{', 506,
        '~', 428,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 813,
        '$', 417,
        '%', 583,
        '\'', 604,
        '(', 458,
        '.', 499,
        '0', 586,
        ':', 271,
        ';', 269,
        '=', 447,
        '[', 482,
        '\\', 207,
        '`', 815,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 699,
        'm', 675,
        'o', 773,
        't', 805,
        '{', 506,
        '+', 598,
        '-', 598,
        '?', 428,
        '~', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 813,
        '$', 417,
        '%', 583,
        '\'', 604,
        '(', 458,
        '0', 586,
        ';', 269,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 740,
        'c', 735,
        'e', 803,
        'i', 741,
        'l', 699,
        'm', 675,
        'o', 773,
        't', 805,
        '{', 506,
        '+', 598,
        '-', 598,
        '?', 428,
        '~', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 813,
        '$', 417,
        '%', 583,
        '\'', 604,
        '(', 458,
        '0', 586,
        ';', 269,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 740,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 699,
        'm', 675,
        'o', 773,
        't', 805,
        '{', 506,
        '+', 598,
        '-', 598,
        '?', 428,
        '~', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 813,
        '$', 417,
        '%', 583,
        '\'', 604,
        '(', 458,
        '0', 586,
        ';', 269,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 740,
        'c', 735,
        'e', 748,
        'i', 741,
        'l', 699,
        'm', 675,
        'o', 773,
        't', 805,
        '{', 506,
        '+', 598,
        '-', 598,
        '?', 428,
        '~', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 813,
        '$', 417,
        '%', 583,
        '\'', 604,
        '(', 458,
        '0', 586,
        ';', 269,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 740,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 699,
        'm', 675,
        'o', 773,
        't', 805,
        '{', 506,
        '+', 598,
        '-', 598,
        '?', 428,
        '~', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 813,
        '$', 417,
        '\'', 604,
        '(', 458,
        '0', 586,
        ':', 452,
        ';', 269,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 506,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 813,
        '$', 417,
        '\'', 604,
        '(', 458,
        '0', 586,
        ':', 452,
        ';', 269,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 506,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 813,
        '$', 417,
        '\'', 604,
        '(', 458,
        '0', 586,
        ';', 269,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 506,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '#', 813,
        '$', 417,
        '\'', 604,
        '(', 458,
        '0', 586,
        ';', 269,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 506,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 417,
        '%', 583,
        '\'', 604,
        '(', 458,
        ')', 459,
        '+', 598,
        '-', 599,
        '.', 499,
        '0', 586,
        ':', 498,
        '[', 485,
        '\\', 207,
        ']', 489,
        '`', 815,
        'l', 699,
        'm', 678,
        '{', 508,
        '|', 282,
        '}', 512,
        '?', 428,
        '~', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(28);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 417,
        '%', 583,
        '\'', 604,
        '(', 458,
        '0', 586,
        ';', 510,
        '=', 447,
        '>', 408,
        '[', 482,
        '\\', 207,
        '`', 815,
        'c', 764,
        'e', 749,
        'i', 745,
        'l', 699,
        'm', 674,
        'v', 670,
        '{', 506,
        '+', 598,
        '-', 598,
        '?', 428,
        '~', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(29);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 417,
        '%', 583,
        '\'', 604,
        '(', 458,
        '0', 586,
        '[', 485,
        '\\', 207,
        '`', 815,
        'd', 760,
        'l', 699,
        'm', 678,
        '{', 508,
        '+', 598,
        '-', 598,
        '?', 428,
        '~', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(30);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 417,
        '%', 583,
        '\'', 604,
        '(', 458,
        '0', 586,
        '[', 485,
        '\\', 207,
        '`', 815,
        'd', 762,
        'l', 699,
        'm', 678,
        't', 761,
        '{', 508,
        '+', 598,
        '-', 598,
        '?', 428,
        '~', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(31);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 417,
        '%', 583,
        '\'', 604,
        '(', 458,
        '0', 586,
        '[', 485,
        '\\', 207,
        '`', 815,
        'd', 771,
        'l', 699,
        'm', 678,
        '{', 508,
        '+', 598,
        '-', 598,
        '?', 428,
        '~', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 417,
        '%', 583,
        '\'', 604,
        '(', 458,
        '0', 586,
        '[', 485,
        '\\', 207,
        '`', 815,
        'e', 749,
        'l', 699,
        'm', 678,
        '{', 508,
        '+', 598,
        '-', 598,
        '?', 428,
        '~', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 417,
        '%', 583,
        '\'', 604,
        '(', 458,
        '0', 586,
        '[', 485,
        '\\', 207,
        '`', 815,
        'l', 699,
        'm', 678,
        't', 721,
        '{', 508,
        '+', 598,
        '-', 598,
        '?', 428,
        '~', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(34);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 35:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 417,
        '%', 583,
        '\'', 604,
        '(', 458,
        '0', 586,
        '[', 485,
        '\\', 207,
        '`', 815,
        'l', 699,
        'm', 678,
        'w', 724,
        '{', 508,
        '+', 598,
        '-', 598,
        '?', 428,
        '~', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 36:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 417,
        '%', 583,
        '\'', 604,
        '(', 458,
        '0', 586,
        '[', 486,
        '\\', 207,
        '`', 815,
        'a', 740,
        'i', 746,
        'l', 699,
        'm', 678,
        '{', 508,
        '+', 598,
        '-', 598,
        '?', 428,
        '~', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(36);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 37:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 417,
        '\'', 604,
        '(', 458,
        ')', 459,
        '.', 816,
        '0', 586,
        ':', 490,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        '{', 508,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(37);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 38:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 417,
        '\'', 604,
        '(', 458,
        ')', 459,
        '.', 816,
        '0', 586,
        ':', 452,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        '{', 508,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(37);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 39:
      ADVANCE_MAP(
        '!', 631,
        '"', 609,
        '$', 417,
        '\'', 604,
        '(', 458,
        '.', 816,
        '0', 586,
        '[', 485,
        '\\', 207,
        '`', 815,
        'l', 699,
        'm', 678,
        '{', 508,
        '+', 598,
        '-', 598,
        '?', 428,
        '~', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(39);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 40:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 586,
        ':', 494,
        ';', 510,
        '<', 653,
        '=', 657,
        '>', 655,
        '?', 451,
        '[', 485,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'e', 731,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '}', 512,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(40);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 41:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 586,
        ':', 494,
        ';', 510,
        '<', 653,
        '=', 657,
        '>', 655,
        '?', 451,
        '[', 485,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'e', 731,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 476,
        '}', 512,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(41);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 586,
        ':', 494,
        ';', 510,
        '<', 653,
        '=', 657,
        '>', 655,
        '?', 451,
        '[', 485,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '}', 512,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(42);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 586,
        ':', 494,
        ';', 510,
        '<', 653,
        '=', 657,
        '>', 655,
        '?', 451,
        '[', 485,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 476,
        '}', 512,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 653,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 803,
        'i', 741,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 653,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 653,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 730,
        'i', 741,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 653,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 730,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 653,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 653,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'c', 735,
        'e', 730,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 653,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 728,
        'i', 741,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 653,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 728,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 653,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 748,
        'i', 741,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 653,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 54:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 653,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 785,
        'c', 735,
        'e', 728,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 653,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 785,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 785,
        'c', 764,
        'e', 729,
        'i', 745,
        'l', 684,
        'm', 708,
        'o', 776,
        'v', 670,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 785,
        'c', 764,
        'e', 749,
        'i', 745,
        'l', 684,
        'm', 708,
        'o', 776,
        'v', 670,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'd', 760,
        'e', 731,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'd', 760,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'd', 762,
        'e', 731,
        'l', 684,
        'm', 769,
        'o', 776,
        't', 761,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'd', 762,
        'l', 684,
        'm', 769,
        'o', 776,
        't', 761,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'd', 771,
        'e', 731,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'd', 771,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 64:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'e', 729,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 65:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'e', 731,
        'l', 684,
        'm', 769,
        'o', 776,
        't', 721,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 66:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'e', 731,
        'l', 684,
        'm', 769,
        'o', 776,
        'w', 724,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 67:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'e', 749,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'l', 684,
        'm', 769,
        'o', 776,
        't', 721,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 69:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'l', 684,
        'm', 769,
        'o', 776,
        'w', 724,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 70:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 486,
        '\\', 207,
        '`', 815,
        'a', 739,
        'e', 731,
        'i', 746,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 71:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 486,
        '\\', 207,
        '`', 815,
        'a', 739,
        'i', 746,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 72:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 454,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 785,
        'c', 764,
        'e', 729,
        'i', 745,
        'l', 684,
        'm', 708,
        'o', 776,
        'v', 670,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 73:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 454,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 785,
        'c', 764,
        'e', 749,
        'i', 745,
        'l', 684,
        'm', 708,
        'o', 776,
        'v', 670,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 74:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 454,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'd', 760,
        'e', 731,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 75:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 454,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'd', 760,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 76:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 454,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'd', 762,
        'e', 731,
        'l', 684,
        'm', 769,
        'o', 776,
        't', 761,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 77:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 454,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'd', 762,
        'l', 684,
        'm', 769,
        'o', 776,
        't', 761,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 78:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 454,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'd', 771,
        'e', 731,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 79:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 454,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'd', 771,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 454,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'e', 729,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 81:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 454,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'e', 731,
        'l', 684,
        'm', 769,
        'o', 776,
        't', 721,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 82:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 454,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'e', 731,
        'l', 684,
        'm', 769,
        'o', 776,
        'w', 724,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 83:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 454,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'e', 749,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 84:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 454,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'l', 684,
        'm', 769,
        'o', 776,
        't', 721,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 454,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'l', 684,
        'm', 769,
        'o', 776,
        'w', 724,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 86:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 454,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 486,
        '\\', 207,
        '`', 815,
        'a', 739,
        'e', 731,
        'i', 746,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 87:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 454,
        ';', 510,
        '<', 653,
        '?', 451,
        '[', 486,
        '\\', 207,
        '`', 815,
        'a', 739,
        'i', 746,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 88:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '&', 660,
        '\'', 604,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        '<', 654,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 755,
        'e', 804,
        'l', 683,
        'm', 676,
        'o', 776,
        't', 805,
        '{', 507,
        '|', 406,
        '%', 645,
        '/', 645,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '$', 657,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(88);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 89:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '&', 660,
        '\'', 604,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        '<', 654,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 755,
        'e', 804,
        'l', 683,
        'm', 676,
        'o', 776,
        '{', 507,
        '|', 406,
        '%', 645,
        '/', 645,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '$', 657,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(89);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 90:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 549,
        '&', 660,
        '\'', 604,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        '<', 654,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 755,
        'l', 683,
        'm', 676,
        'o', 776,
        '{', 507,
        '|', 406,
        '%', 645,
        '/', 645,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '$', 657,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(90);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 91:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 730,
        'i', 741,
        'l', 682,
        'm', 676,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(91);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 92:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 803,
        'i', 741,
        'l', 682,
        'm', 676,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(92);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 93:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 682,
        'm', 676,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(93);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 94:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 730,
        'i', 750,
        'l', 682,
        'm', 676,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 95:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 682,
        'm', 676,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 96:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'c', 735,
        'e', 730,
        'i', 750,
        'l', 682,
        'm', 676,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(96);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 97:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 728,
        'i', 741,
        'l', 682,
        'm', 676,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 98:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 728,
        'i', 750,
        'l', 682,
        'm', 676,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(98);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 748,
        'i', 741,
        'l', 682,
        'm', 676,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 100:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 682,
        'm', 676,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 785,
        'c', 735,
        'e', 728,
        'i', 750,
        'l', 682,
        'm', 676,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(101);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 102:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 785,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 682,
        'm', 676,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(102);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 103:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 803,
        'i', 741,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(103);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 104:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(104);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 105:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 730,
        'i', 741,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(105);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 106:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 730,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(106);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 107:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 108:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'c', 735,
        'e', 730,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(108);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 109:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 728,
        'i', 741,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(109);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 110:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 728,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(110);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 111:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 748,
        'i', 741,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(111);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 113:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 785,
        'c', 735,
        'e', 728,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(113);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 114:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 267,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 785,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(114);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 115:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 454,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 803,
        'i', 741,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(103);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 116:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 454,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(104);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 117:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 454,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 730,
        'i', 741,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(105);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 118:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 454,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 730,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(106);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 119:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 454,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 120:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 454,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'c', 735,
        'e', 730,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(108);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 121:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 454,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 728,
        'i', 741,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(109);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 122:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 454,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 728,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(110);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 123:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 454,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 748,
        'i', 741,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(111);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 124:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 454,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 739,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 125:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 454,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 785,
        'c', 735,
        'e', 728,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(113);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 126:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 813,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '0', 586,
        ':', 454,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 785,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 682,
        'm', 768,
        'o', 772,
        't', 805,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(114);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 127:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '#', 427,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        '-', 601,
        '.', 499,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 654,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 755,
        'l', 682,
        'm', 676,
        'o', 776,
        '{', 508,
        '|', 283,
        '%', 645,
        '/', 645,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(127);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 128:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 602,
        '/', 645,
        '0', 586,
        ':', 494,
        ';', 510,
        '<', 654,
        '=', 657,
        '>', 655,
        '[', 485,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'e', 731,
        'l', 682,
        'm', 677,
        'o', 776,
        '{', 508,
        '|', 477,
        '}', 512,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(128);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 129:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 602,
        '/', 645,
        '0', 586,
        ':', 494,
        ';', 510,
        '<', 654,
        '=', 657,
        '>', 655,
        '[', 485,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'l', 682,
        'm', 677,
        'o', 776,
        '{', 508,
        '|', 477,
        '}', 512,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(129);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 130:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 654,
        '=', 657,
        '>', 655,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 785,
        'c', 764,
        'e', 729,
        'i', 745,
        'l', 682,
        'm', 673,
        'o', 776,
        'v', 670,
        '{', 506,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(130);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 131:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 654,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 785,
        'c', 764,
        'e', 749,
        'i', 745,
        'l', 682,
        'm', 673,
        'o', 776,
        'v', 670,
        '{', 506,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(131);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 132:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 654,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'd', 760,
        'e', 731,
        'l', 682,
        'm', 677,
        'o', 776,
        '{', 508,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(132);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 133:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 654,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'd', 760,
        'l', 682,
        'm', 677,
        'o', 776,
        '{', 508,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(133);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 134:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 654,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'd', 762,
        'e', 731,
        'l', 682,
        'm', 677,
        'o', 776,
        't', 761,
        '{', 508,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(134);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 135:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 654,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'd', 762,
        'l', 682,
        'm', 677,
        'o', 776,
        't', 761,
        '{', 508,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(135);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 136:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 654,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'd', 771,
        'e', 731,
        'l', 682,
        'm', 677,
        'o', 776,
        '{', 508,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(136);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 137:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 654,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'd', 771,
        'l', 682,
        'm', 677,
        'o', 776,
        '{', 508,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(137);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 138:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 654,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'e', 729,
        'l', 682,
        'm', 677,
        'o', 776,
        '{', 508,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(138);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 139:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 654,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'e', 731,
        'l', 682,
        'm', 677,
        'o', 776,
        't', 721,
        '{', 508,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(139);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 140:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 654,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'e', 731,
        'l', 682,
        'm', 677,
        'o', 776,
        'w', 724,
        '{', 508,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(140);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 141:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 654,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'e', 731,
        'l', 682,
        'm', 677,
        'o', 776,
        '{', 508,
        '|', 476,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 142:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 654,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'e', 749,
        'l', 682,
        'm', 677,
        'o', 776,
        '{', 508,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(142);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 143:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 654,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'l', 682,
        'm', 677,
        'o', 776,
        't', 721,
        '{', 508,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(143);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 144:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 654,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'l', 682,
        'm', 677,
        'o', 776,
        'w', 724,
        '{', 508,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(144);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 145:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 654,
        '[', 485,
        '\\', 207,
        '`', 815,
        'a', 785,
        'l', 682,
        'm', 677,
        'o', 776,
        '{', 508,
        '|', 476,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(145);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 146:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 654,
        '[', 486,
        '\\', 207,
        '`', 815,
        'a', 739,
        'e', 731,
        'i', 746,
        'l', 682,
        'm', 677,
        'o', 776,
        '{', 508,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(146);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 147:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '%', 584,
        '&', 660,
        '\'', 604,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '/', 645,
        '0', 586,
        ':', 267,
        ';', 510,
        '<', 654,
        '[', 486,
        '\\', 207,
        '`', 815,
        'a', 739,
        'i', 746,
        'l', 682,
        'm', 677,
        'o', 776,
        '{', 508,
        '|', 477,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(147);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 148:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 602,
        '0', 586,
        ':', 455,
        ';', 510,
        '<', 654,
        '=', 657,
        '>', 655,
        '?', 451,
        '[', 485,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'e', 731,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '}', 512,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(152);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 149:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 602,
        '0', 586,
        ':', 455,
        ';', 510,
        '<', 654,
        '=', 657,
        '>', 655,
        '?', 451,
        '[', 485,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'e', 731,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 476,
        '}', 512,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(153);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 150:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 602,
        '0', 586,
        ':', 455,
        ';', 510,
        '<', 654,
        '=', 657,
        '>', 655,
        '?', 451,
        '[', 485,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '}', 512,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(154);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 151:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 602,
        '0', 586,
        ':', 455,
        ';', 510,
        '<', 654,
        '=', 657,
        '>', 655,
        '?', 451,
        '[', 485,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 476,
        '}', 512,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(155);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 152:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 602,
        '0', 586,
        ':', 494,
        ';', 510,
        '<', 654,
        '=', 657,
        '>', 655,
        '?', 451,
        '[', 485,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'e', 731,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '}', 512,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(152);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 153:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 602,
        '0', 586,
        ':', 494,
        ';', 510,
        '<', 654,
        '=', 657,
        '>', 655,
        '?', 451,
        '[', 485,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'e', 731,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 476,
        '}', 512,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(153);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 154:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 602,
        '0', 586,
        ':', 494,
        ';', 510,
        '<', 654,
        '=', 657,
        '>', 655,
        '?', 451,
        '[', 485,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 477,
        '}', 512,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(154);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 155:
      ADVANCE_MAP(
        '!', 632,
        '"', 609,
        '$', 656,
        '&', 660,
        '\'', 604,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 602,
        '0', 586,
        ':', 494,
        ';', 510,
        '<', 654,
        '=', 657,
        '>', 655,
        '?', 451,
        '[', 485,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 785,
        'l', 684,
        'm', 769,
        'o', 776,
        '{', 508,
        '|', 476,
        '}', 512,
        '~', 449,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(155);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 156:
      ADVANCE_MAP(
        '!', 632,
        '#', 427,
        '&', 660,
        ')', 459,
        '*', 642,
        '+', 600,
        '-', 601,
        '.', 499,
        ':', 273,
        '<', 654,
        '[', 278,
        'a', 358,
        'l', 287,
        'm', 292,
        'o', 378,
        '|', 406,
        '%', 645,
        '/', 645,
        '?', 428,
        '~', 428,
        '@', 651,
        '^', 651,
        '$', 657,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(156);
      END_STATE();
    case 157:
      ADVANCE_MAP(
        '!', 274,
        '"', 609,
        '#', 813,
        '&', 660,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        ':', 494,
        ';', 511,
        '<', 654,
        '[', 481,
        ']', 489,
        'a', 344,
        'c', 340,
        'd', 363,
        'e', 335,
        'i', 345,
        'l', 286,
        'm', 312,
        'o', 375,
        't', 326,
        'v', 284,
        'w', 328,
        '{', 505,
        '|', 477,
        '}', 512,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '$', 657,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(158);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      END_STATE();
    case 158:
      ADVANCE_MAP(
        '!', 274,
        '"', 609,
        '#', 813,
        '&', 660,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        ':', 494,
        ';', 511,
        '<', 654,
        '[', 481,
        ']', 489,
        'a', 344,
        'c', 340,
        'd', 363,
        'e', 335,
        'i', 345,
        'l', 286,
        'm', 312,
        'o', 375,
        't', 326,
        'v', 284,
        'w', 328,
        '{', 505,
        '|', 477,
        '}', 512,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '$', 657,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(158);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      END_STATE();
    case 159:
      ADVANCE_MAP(
        '!', 274,
        '#', 549,
        '&', 660,
        '(', 458,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        ':', 493,
        ';', 511,
        '<', 654,
        '[', 242,
        ']', 489,
        'a', 344,
        'c', 339,
        'd', 364,
        'e', 335,
        'i', 349,
        'l', 286,
        'm', 370,
        'o', 375,
        't', 366,
        'v', 284,
        'w', 328,
        '{', 243,
        '|', 477,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '$', 657,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(159);
      END_STATE();
    case 160:
      ADVANCE_MAP(
        '!', 274,
        '#', 549,
        '&', 660,
        ')', 459,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 602,
        '.', 499,
        ':', 494,
        ';', 510,
        '<', 654,
        '>', 655,
        '[', 250,
        ']', 489,
        'a', 385,
        'c', 369,
        'd', 363,
        'e', 334,
        'i', 350,
        'l', 288,
        'm', 313,
        'o', 378,
        't', 325,
        'v', 284,
        'w', 328,
        '{', 251,
        '|', 477,
        '}', 512,
        '$', 657,
        '=', 657,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(160);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '!', 274,
        '#', 549,
        '&', 660,
        ')', 459,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 602,
        '.', 499,
        ':', 494,
        ';', 510,
        '<', 654,
        '>', 655,
        '[', 250,
        ']', 489,
        'a', 385,
        'c', 369,
        'd', 363,
        'e', 334,
        'i', 350,
        'l', 288,
        'm', 313,
        'o', 378,
        't', 325,
        'v', 284,
        'w', 328,
        '{', 251,
        '|', 476,
        '}', 512,
        '$', 657,
        '=', 657,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(161);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '!', 274,
        '#', 549,
        '&', 660,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        '.', 499,
        ':', 267,
        ';', 510,
        '<', 654,
        '[', 279,
        'a', 344,
        'd', 364,
        'e', 333,
        'i', 351,
        'l', 288,
        'm', 371,
        'o', 378,
        't', 365,
        '|', 477,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '$', 657,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '!', 274,
        '#', 813,
        '&', 660,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 601,
        ':', 267,
        ';', 511,
        '<', 654,
        '[', 250,
        ']', 489,
        'a', 344,
        'c', 339,
        'd', 364,
        'e', 335,
        'i', 349,
        'l', 286,
        'm', 370,
        'o', 375,
        't', 366,
        'v', 284,
        '{', 251,
        '|', 477,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
        '$', 657,
        '=', 657,
        '>', 657,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '!', 274,
        '&', 660,
        '(', 458,
        ')', 459,
        '*', 642,
        '+', 600,
        ',', 466,
        '-', 602,
        ':', 494,
        ';', 510,
        '<', 654,
        '>', 655,
        '[', 247,
        ']', 489,
        'a', 344,
        'd', 363,
        'e', 334,
        'i', 351,
        'l', 288,
        'm', 371,
        'o', 378,
        't', 325,
        'w', 328,
        '{', 248,
        '|', 476,
        '}', 512,
        '$', 657,
        '=', 657,
        '%', 645,
        '/', 645,
        '@', 651,
        '^', 651,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '%', 583,
        '\'', 604,
        '(', 458,
        ')', 459,
        '+', 597,
        ',', 466,
        '-', 603,
        '.', 499,
        '0', 586,
        ':', 491,
        ';', 510,
        '=', 447,
        '[', 485,
        '\\', 207,
        ']', 489,
        '`', 815,
        'e', 804,
        '{', 507,
        '|', 473,
        '}', 512,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '%', 583,
        '\'', 604,
        '(', 458,
        '+', 597,
        ',', 466,
        '-', 603,
        '.', 816,
        '0', 586,
        ':', 495,
        ';', 510,
        '=', 447,
        '?', 450,
        '[', 485,
        '\\', 207,
        '`', 815,
        '{', 507,
        '|', 474,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '%', 583,
        '\'', 604,
        '(', 458,
        '0', 586,
        '[', 485,
        '\\', 207,
        '`', 815,
        'e', 804,
        'm', 765,
        'o', 773,
        '{', 507,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '%', 583,
        '\'', 604,
        '(', 458,
        '0', 586,
        '[', 485,
        '\\', 207,
        '`', 815,
        'o', 773,
        '{', 507,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        ')', 459,
        '*', 503,
        '+', 597,
        ',', 466,
        '-', 603,
        '.', 499,
        '0', 586,
        ':', 495,
        ';', 510,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'c', 764,
        'e', 749,
        'i', 745,
        'm', 709,
        'v', 670,
        '{', 505,
        '|', 473,
        '}', 512,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        ')', 459,
        '+', 597,
        ',', 466,
        '-', 603,
        '.', 499,
        '0', 586,
        ':', 495,
        ';', 510,
        '=', 447,
        '?', 450,
        '[', 485,
        '\\', 207,
        ']', 489,
        '`', 815,
        '{', 507,
        '|', 473,
        '}', 512,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        '*', 503,
        '+', 597,
        '-', 603,
        '.', 499,
        '0', 586,
        ':', 490,
        ';', 269,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 505,
        '|', 473,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        '*', 503,
        '+', 597,
        '-', 603,
        '.', 499,
        '0', 586,
        ':', 490,
        ';', 269,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 803,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 670,
        '{', 505,
        '|', 473,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        '*', 503,
        '+', 597,
        '-', 603,
        '.', 499,
        '0', 586,
        ':', 490,
        ';', 269,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 505,
        '|', 473,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        '*', 503,
        '+', 597,
        '-', 603,
        '.', 499,
        '0', 586,
        ':', 490,
        ';', 269,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 748,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 670,
        '{', 505,
        '|', 473,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        '+', 597,
        ',', 466,
        '-', 603,
        '.', 261,
        '0', 586,
        ':', 495,
        ';', 510,
        '=', 447,
        '?', 450,
        '[', 485,
        '\\', 207,
        '`', 815,
        '{', 507,
        '|', 474,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        '+', 597,
        ',', 466,
        '-', 603,
        '.', 261,
        '0', 586,
        ':', 456,
        ';', 510,
        '=', 447,
        '?', 450,
        '[', 485,
        '\\', 207,
        '`', 815,
        '{', 507,
        '|', 474,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        ',', 466,
        '.', 261,
        '0', 586,
        ':', 495,
        ';', 269,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 740,
        'c', 735,
        'e', 803,
        'i', 741,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 505,
        '|', 473,
        '~', 448,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        ',', 466,
        '.', 261,
        '0', 586,
        ':', 495,
        ';', 269,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 740,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 505,
        '|', 473,
        '~', 448,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        ',', 466,
        '.', 261,
        '0', 586,
        ':', 495,
        ';', 269,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 740,
        'c', 735,
        'e', 748,
        'i', 741,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 505,
        '|', 473,
        '~', 448,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        ',', 466,
        '.', 261,
        '0', 586,
        ':', 495,
        ';', 269,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 740,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 505,
        '|', 473,
        '~', 448,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        ',', 466,
        '.', 261,
        '0', 586,
        ':', 495,
        '=', 447,
        '?', 450,
        '[', 486,
        '\\', 207,
        '`', 815,
        'a', 740,
        'i', 746,
        '{', 507,
        '|', 473,
        '~', 448,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        ',', 466,
        '.', 499,
        '0', 586,
        ':', 495,
        ';', 269,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 740,
        'c', 735,
        'e', 803,
        'i', 741,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 505,
        '|', 473,
        '~', 448,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        ',', 466,
        '.', 499,
        '0', 586,
        ':', 495,
        ';', 269,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 740,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 505,
        '|', 473,
        '~', 448,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        ',', 466,
        '.', 499,
        '0', 586,
        ':', 495,
        ';', 269,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 740,
        'c', 735,
        'e', 748,
        'i', 741,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 505,
        '|', 473,
        '~', 448,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        ',', 466,
        '.', 499,
        '0', 586,
        ':', 495,
        ';', 269,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 740,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 505,
        '|', 473,
        '~', 448,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        ',', 466,
        '.', 499,
        '0', 586,
        ':', 495,
        '=', 447,
        '?', 450,
        '[', 486,
        '\\', 207,
        '`', 815,
        'a', 740,
        'i', 746,
        '{', 507,
        '|', 473,
        '~', 448,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        ',', 466,
        '.', 499,
        '0', 586,
        ':', 265,
        ';', 510,
        '[', 485,
        '\\', 207,
        '`', 815,
        'e', 804,
        '{', 507,
        '|', 474,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        '.', 816,
        '0', 586,
        '[', 485,
        '\\', 207,
        '`', 815,
        'e', 804,
        '{', 507,
        '|', 473,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        '0', 586,
        ':', 490,
        ';', 269,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 505,
        '~', 448,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        '0', 586,
        ':', 490,
        ';', 269,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 803,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 670,
        '{', 505,
        '~', 448,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 191:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        '0', 586,
        ':', 490,
        ';', 269,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 505,
        '~', 448,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 192:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        '0', 586,
        ':', 490,
        ';', 269,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 748,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 670,
        '{', 505,
        '~', 448,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        '0', 586,
        ':', 490,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        '`', 815,
        'c', 764,
        'e', 749,
        'i', 745,
        'm', 709,
        'v', 670,
        '{', 505,
        '~', 448,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        '0', 586,
        ':', 452,
        ';', 269,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 505,
        '~', 448,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 195:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        '0', 586,
        ':', 452,
        ';', 269,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        ']', 489,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 803,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 670,
        '{', 505,
        '~', 448,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        '0', 586,
        ':', 452,
        ';', 269,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 505,
        '~', 448,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 197:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        '0', 586,
        ':', 452,
        ';', 269,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        '`', 815,
        'a', 756,
        'c', 735,
        'e', 748,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 670,
        '{', 505,
        '~', 448,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 198:
      ADVANCE_MAP(
        '"', 609,
        '#', 548,
        '\'', 604,
        '(', 458,
        '0', 586,
        ':', 452,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 207,
        '`', 815,
        'c', 764,
        'e', 749,
        'i', 745,
        'm', 709,
        'v', 670,
        '{', 505,
        '~', 448,
        '+', 597,
        '-', 597,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 199:
      ADVANCE_MAP(
        '"', 609,
        '#', 813,
        '\'', 604,
        '(', 458,
        ')', 459,
        ',', 466,
        '0', 586,
        ':', 491,
        ';', 269,
        '=', 447,
        '[', 250,
        '\\', 207,
        ']', 489,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 509,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 200:
      ADVANCE_MAP(
        '"', 609,
        '#', 813,
        '\'', 604,
        '(', 458,
        '0', 586,
        ':', 490,
        ';', 269,
        '=', 447,
        '[', 250,
        '\\', 207,
        ']', 489,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 509,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 201:
      if (lookahead == '"') ADVANCE(609);
      if (lookahead == '%') ADVANCE(612);
      if (lookahead == '@') ADVANCE(613);
      if (lookahead == '[') ADVANCE(614);
      if (lookahead == '\\') ADVANCE(3);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(610);
      if (lookahead != 0) ADVANCE(615);
      END_STATE();
    case 202:
      ADVANCE_MAP(
        '#', 549,
        '(', 458,
        ')', 459,
        ',', 466,
        '-', 275,
        '.', 499,
        ':', 266,
        ';', 510,
        '=', 447,
        '[', 247,
        '\\', 207,
        'a', 756,
        'i', 746,
        'w', 724,
        '{', 248,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '#', 549,
        '(', 458,
        '*', 503,
        '-', 275,
        '.', 499,
        ':', 496,
        ';', 510,
        '=', 447,
        '[', 247,
        'a', 356,
        'c', 369,
        'i', 351,
        'w', 328,
        '{', 248,
        '}', 512,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      END_STATE();
    case 204:
      ADVANCE_MAP(
        '#', 549,
        ')', 459,
        ',', 466,
        '-', 275,
        '.', 500,
        ':', 491,
        ';', 510,
        '=', 447,
        '[', 278,
        '\\', 207,
        ']', 489,
        'w', 724,
        '|', 473,
        '}', 512,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 205:
      ADVANCE_MAP(
        '#', 549,
        ')', 459,
        ',', 466,
        '-', 275,
        '.', 499,
        ':', 491,
        ';', 510,
        '=', 447,
        '>', 543,
        '[', 278,
        '\\', 207,
        ']', 489,
        '`', 815,
        'w', 724,
        '|', 473,
        '}', 512,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '#', 549,
        ')', 459,
        ',', 466,
        '-', 275,
        '.', 499,
        ':', 491,
        ';', 510,
        '=', 447,
        '[', 250,
        '\\', 207,
        ']', 489,
        'c', 764,
        'e', 749,
        'i', 745,
        'm', 709,
        'v', 670,
        'w', 724,
        '{', 251,
        '|', 473,
        '}', 512,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 207:
      if (lookahead == '#') ADVANCE(432);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '#', 548,
        '%', 583,
        '\'', 814,
        '(', 458,
        ')', 459,
        '-', 275,
        ':', 265,
        '<', 546,
        '?', 450,
        '[', 483,
        '\\', 207,
        'm', 765,
        '{', 248,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 209:
      ADVANCE_MAP(
        '#', 548,
        '%', 583,
        '\'', 814,
        '(', 458,
        '<', 546,
        '?', 450,
        '[', 483,
        '\\', 207,
        't', 805,
        '{', 248,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 210:
      ADVANCE_MAP(
        '#', 548,
        '\'', 814,
        '(', 458,
        '*', 503,
        '-', 275,
        '.', 499,
        ':', 490,
        ';', 269,
        '<', 546,
        '=', 447,
        '?', 450,
        '[', 480,
        '\\', 207,
        ']', 489,
        'c', 735,
        'e', 803,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 670,
        '{', 243,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 211:
      ADVANCE_MAP(
        '#', 548,
        '\'', 814,
        '(', 458,
        '*', 503,
        '-', 275,
        '.', 499,
        ':', 490,
        ';', 269,
        '=', 447,
        '[', 487,
        '\\', 207,
        ']', 489,
        'a', 756,
        'c', 734,
        'e', 803,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 670,
        '{', 251,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 212:
      ADVANCE_MAP(
        '#', 548,
        '\'', 814,
        '(', 458,
        '*', 503,
        '-', 275,
        '.', 499,
        ':', 490,
        ';', 269,
        '=', 447,
        '[', 487,
        '\\', 207,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 670,
        '{', 251,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 213:
      ADVANCE_MAP(
        '#', 548,
        '\'', 814,
        '(', 458,
        '*', 503,
        '-', 275,
        '.', 499,
        ';', 269,
        '[', 487,
        '\\', 207,
        ']', 489,
        'a', 756,
        'c', 735,
        'e', 803,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 670,
        '{', 251,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 214:
      ADVANCE_MAP(
        '#', 548,
        '\'', 814,
        '(', 458,
        '*', 503,
        '-', 275,
        '.', 499,
        ';', 269,
        '[', 487,
        '\\', 207,
        'a', 756,
        'c', 735,
        'e', 748,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 670,
        '{', 251,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        '#', 548,
        '\'', 814,
        '(', 458,
        '<', 546,
        '?', 450,
        '[', 483,
        '\\', 207,
        'l', 714,
        '{', 248,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        '#', 548,
        '\'', 814,
        '*', 503,
        ',', 466,
        '-', 275,
        '.', 499,
        ':', 491,
        ';', 510,
        '=', 447,
        '[', 279,
        '\\', 207,
        'i', 746,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        '#', 548,
        '\'', 814,
        '*', 503,
        '-', 275,
        '.', 499,
        ':', 490,
        ';', 269,
        '=', 447,
        '[', 250,
        '\\', 207,
        ']', 489,
        'a', 756,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 251,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        '#', 548,
        '\'', 814,
        '*', 503,
        '-', 275,
        '.', 499,
        ':', 490,
        ';', 269,
        '=', 447,
        '[', 250,
        '\\', 207,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 251,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(218);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 219:
      ADVANCE_MAP(
        '#', 548,
        '\'', 814,
        '*', 503,
        '-', 275,
        '.', 499,
        ':', 490,
        ';', 269,
        '=', 447,
        '[', 250,
        '\\', 207,
        'c', 735,
        'e', 748,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 670,
        '{', 251,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        '#', 548,
        '\'', 814,
        '*', 503,
        '-', 275,
        '.', 499,
        ':', 490,
        '[', 250,
        '\\', 207,
        'c', 764,
        'e', 749,
        'i', 752,
        'm', 709,
        'v', 670,
        '{', 251,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        '#', 548,
        '\'', 814,
        '*', 503,
        '-', 275,
        '.', 499,
        ':', 276,
        '=', 447,
        '[', 250,
        '\\', 207,
        'c', 764,
        'e', 749,
        'i', 745,
        'm', 709,
        'v', 670,
        '{', 251,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '#', 548,
        '\'', 814,
        '*', 503,
        '-', 275,
        '.', 499,
        ';', 269,
        '[', 250,
        '\\', 207,
        ']', 489,
        'a', 756,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 251,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '#', 548,
        '\'', 814,
        '*', 503,
        '-', 275,
        '.', 499,
        ';', 269,
        '[', 250,
        '\\', 207,
        ']', 489,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 251,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '#', 548,
        '\'', 814,
        '*', 503,
        '-', 275,
        '.', 499,
        ';', 269,
        '[', 250,
        '\\', 207,
        'a', 756,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 251,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 225:
      ADVANCE_MAP(
        '#', 548,
        '\'', 814,
        '*', 503,
        '-', 275,
        '.', 499,
        ';', 269,
        '[', 250,
        '\\', 207,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 251,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '#', 548,
        ')', 459,
        '*', 503,
        '-', 275,
        ':', 498,
        '[', 278,
        '\\', 207,
        'a', 756,
        'c', 764,
        'w', 724,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '#', 548,
        '*', 503,
        '-', 275,
        ':', 496,
        ';', 510,
        '=', 447,
        '>', 543,
        '[', 279,
        '\\', 207,
        'a', 756,
        'c', 764,
        'i', 746,
        'w', 724,
        '}', 512,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        '#', 548,
        '*', 503,
        '-', 275,
        ':', 496,
        ';', 269,
        '=', 447,
        '[', 250,
        '\\', 207,
        ']', 489,
        'a', 756,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        'w', 724,
        '{', 251,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 229:
      ADVANCE_MAP(
        '#', 548,
        '*', 503,
        '-', 275,
        ':', 496,
        ';', 269,
        '=', 447,
        '[', 250,
        '\\', 207,
        ']', 489,
        'a', 756,
        'c', 734,
        'e', 803,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 670,
        'w', 724,
        '{', 251,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 230:
      ADVANCE_MAP(
        '#', 548,
        '*', 503,
        '-', 275,
        ':', 496,
        ';', 269,
        '=', 447,
        '[', 250,
        '\\', 207,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        'w', 724,
        '{', 251,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 231:
      ADVANCE_MAP(
        '#', 548,
        '*', 503,
        '-', 275,
        ':', 496,
        ';', 269,
        '=', 447,
        '[', 250,
        '\\', 207,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 750,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 670,
        'w', 724,
        '{', 251,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 232:
      ADVANCE_MAP(
        '#', 813,
        '%', 583,
        '(', 458,
        ')', 459,
        '*', 503,
        '+', 270,
        '-', 275,
        '.', 499,
        ':', 497,
        ';', 269,
        '=', 447,
        '[', 242,
        ']', 489,
        'a', 356,
        'c', 340,
        'e', 353,
        'i', 345,
        'l', 305,
        'm', 314,
        'o', 374,
        't', 403,
        'v', 284,
        'w', 328,
        '{', 243,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      END_STATE();
    case 233:
      ADVANCE_MAP(
        '#', 813,
        '(', 458,
        ')', 459,
        ',', 466,
        '-', 275,
        '.', 499,
        ':', 491,
        ';', 269,
        '=', 447,
        '[', 250,
        '\\', 207,
        ']', 489,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        'v', 670,
        '{', 251,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 234:
      ADVANCE_MAP(
        '#', 813,
        '(', 458,
        '*', 503,
        '-', 275,
        ':', 490,
        ';', 269,
        '=', 447,
        '[', 487,
        '\\', 207,
        ']', 489,
        'a', 756,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 251,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 235:
      ADVANCE_MAP(
        '#', 813,
        '(', 458,
        '*', 503,
        '-', 275,
        ':', 490,
        ';', 269,
        '=', 447,
        '[', 487,
        '\\', 207,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 251,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 236:
      ADVANCE_MAP(
        '#', 813,
        '(', 458,
        ':', 490,
        ';', 269,
        '=', 447,
        '[', 487,
        '\\', 207,
        ']', 489,
        'a', 756,
        'c', 735,
        'e', 803,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 251,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 237:
      ADVANCE_MAP(
        '#', 813,
        '(', 458,
        ':', 490,
        ';', 269,
        '=', 447,
        '[', 487,
        '\\', 207,
        'a', 756,
        'c', 735,
        'e', 748,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        '{', 251,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 238:
      ADVANCE_MAP(
        '#', 813,
        ')', 459,
        ':', 490,
        ';', 269,
        '[', 250,
        '\\', 207,
        ']', 489,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 747,
        'l', 699,
        'm', 707,
        'o', 773,
        't', 805,
        'v', 670,
        '{', 251,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 239:
      ADVANCE_MAP(
        '#', 813,
        '*', 503,
        '-', 275,
        ':', 271,
        ';', 269,
        '=', 447,
        '[', 250,
        '\\', 207,
        ']', 489,
        'a', 756,
        'c', 734,
        'e', 803,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        'w', 724,
        '{', 251,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '#', 813,
        '*', 503,
        '-', 275,
        ':', 271,
        ';', 269,
        '=', 447,
        '[', 250,
        '\\', 207,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 750,
        'l', 699,
        'm', 765,
        'o', 773,
        't', 805,
        'w', 724,
        '{', 251,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 241:
      if (lookahead == '%') ADVANCE(583);
      if (lookahead == '[') ADVANCE(488);
      if (lookahead == '\\') ADVANCE(207);
      if (lookahead == 't') ADVANCE(805);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 242:
      if (lookahead == '%') ADVANCE(577);
      if (lookahead == '@') ADVANCE(571);
      END_STATE();
    case 243:
      if (lookahead == '%') ADVANCE(579);
      END_STATE();
    case 244:
      if (lookahead == '%') ADVANCE(581);
      END_STATE();
    case 245:
      if (lookahead == '%') ADVANCE(582);
      END_STATE();
    case 246:
      if (lookahead == '%') ADVANCE(576);
      if (lookahead == '@') ADVANCE(570);
      END_STATE();
    case 247:
      if (lookahead == '%') ADVANCE(576);
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 248:
      if (lookahead == '%') ADVANCE(578);
      END_STATE();
    case 249:
      if (lookahead == '%') ADVANCE(619);
      if (lookahead == '@') ADVANCE(620);
      if (lookahead == '[') ADVANCE(621);
      if (lookahead == '|') ADVANCE(618);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(610);
      if (lookahead != 0) ADVANCE(622);
      END_STATE();
    case 250:
      if (lookahead == '%') ADVANCE(244);
      if (lookahead == '@') ADVANCE(571);
      END_STATE();
    case 251:
      if (lookahead == '%') ADVANCE(245);
      END_STATE();
    case 252:
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(459);
      if (lookahead == '[') ADVANCE(246);
      if (lookahead == '\\') ADVANCE(207);
      if (lookahead == 'v') ADVANCE(670);
      if (lookahead == '{') ADVANCE(248);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252);
      if (set_contains(sym_indexing_operator_character_set_1, 9, lookahead)) ADVANCE(666);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 253:
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '-') ADVANCE(275);
      if (lookahead == '.') ADVANCE(816);
      if (lookahead == '[') ADVANCE(484);
      if (lookahead == '\\') ADVANCE(207);
      if (lookahead == 'm') ADVANCE(765);
      if (lookahead == '{') ADVANCE(248);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(253);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 254:
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '.') ADVANCE(261);
      if (lookahead == '[') ADVANCE(488);
      if (lookahead == '\\') ADVANCE(207);
      if (lookahead == '{') ADVANCE(504);
      if (lookahead == '|') ADVANCE(473);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(254);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 255:
      ADVANCE_MAP(
        '(', 458,
        '.', 816,
        ':', 276,
        ';', 510,
        '=', 447,
        '>', 543,
        '[', 250,
        'c', 369,
        'e', 352,
        'i', 350,
        'm', 311,
        'v', 284,
        '{', 251,
        '}', 512,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(255);
      END_STATE();
    case 256:
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '[') ADVANCE(488);
      if (lookahead == '\\') ADVANCE(207);
      if (lookahead == '{') ADVANCE(504);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(256);
      if (set_contains(sym_indexing_operator_character_set_1, 9, lookahead)) ADVANCE(666);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 257:
      if (lookahead == '*') ADVANCE(264);
      if (lookahead == '.') ADVANCE(258);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(628);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(263);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(627);
      END_STATE();
    case 258:
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(628);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(412);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(627);
      END_STATE();
    case 259:
      ADVANCE_MAP(
        ',', 466,
        '.', 499,
        ':', 491,
        ';', 510,
        '=', 447,
        '[', 279,
        '\\', 207,
        ']', 489,
        'i', 746,
        '|', 473,
        '}', 512,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(259);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 260:
      if (lookahead == '-') ADVANCE(553);
      END_STATE();
    case 261:
      if (lookahead == '.') ADVANCE(464);
      END_STATE();
    case 262:
      if (lookahead == '.') ADVANCE(816);
      if (lookahead == '[') ADVANCE(278);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(580);
      END_STATE();
    case 263:
      if (lookahead == '.') ADVANCE(258);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(628);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(263);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(627);
      END_STATE();
    case 264:
      if (lookahead == '.') ADVANCE(258);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(628);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(627);
      END_STATE();
    case 265:
      if (lookahead == ':') ADVANCE(550);
      END_STATE();
    case 266:
      if (lookahead == ':') ADVANCE(550);
      if (lookahead == '=') ADVANCE(472);
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 267:
      if (lookahead == ':') ADVANCE(550);
      if (lookahead == '=') ADVANCE(665);
      END_STATE();
    case 268:
      ADVANCE_MAP(
        ':', 498,
        ';', 510,
        '=', 447,
        '>', 408,
        '[', 250,
        'c', 369,
        'e', 352,
        'i', 350,
        'm', 311,
        'v', 284,
        '{', 251,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(268);
      END_STATE();
    case 269:
      if (lookahead == ';') ADVANCE(438);
      END_STATE();
    case 270:
      if (lookahead == '=') ADVANCE(465);
      END_STATE();
    case 271:
      if (lookahead == '=') ADVANCE(472);
      END_STATE();
    case 272:
      if (lookahead == '=') ADVANCE(472);
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 273:
      if (lookahead == '=') ADVANCE(665);
      END_STATE();
    case 274:
      if (lookahead == '=') ADVANCE(652);
      END_STATE();
    case 275:
      if (lookahead == '>') ADVANCE(501);
      END_STATE();
    case 276:
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 277:
      if (lookahead == '>') ADVANCE(629);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(277);
      END_STATE();
    case 278:
      if (lookahead == '@') ADVANCE(570);
      END_STATE();
    case 279:
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 280:
      if (lookahead == '[') ADVANCE(278);
      if (lookahead == '\\') ADVANCE(362);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(280);
      END_STATE();
    case 281:
      if (lookahead == '[') ADVANCE(484);
      if (lookahead == '\\') ADVANCE(207);
      if (lookahead == 'l') ADVANCE(714);
      if (lookahead == '{') ADVANCE(248);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(281);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 282:
      if (lookahead == ']') ADVANCE(552);
      END_STATE();
    case 283:
      if (lookahead == ']') ADVANCE(552);
      if (lookahead == '|') ADVANCE(663);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 284:
      if (lookahead == 'a') ADVANCE(336);
      END_STATE();
    case 285:
      if (lookahead == 'a') ADVANCE(388);
      END_STATE();
    case 286:
      if (lookahead == 'a') ADVANCE(355);
      if (lookahead == 'e') ADVANCE(390);
      if (lookahead == 'o') ADVANCE(380);
      if (lookahead == 's') ADVANCE(410);
      if (lookahead == 'x') ADVANCE(368);
      END_STATE();
    case 287:
      if (lookahead == 'a') ADVANCE(355);
      if (lookahead == 'e') ADVANCE(397);
      if (lookahead == 'o') ADVANCE(380);
      if (lookahead == 's') ADVANCE(410);
      if (lookahead == 'x') ADVANCE(368);
      END_STATE();
    case 288:
      if (lookahead == 'a') ADVANCE(355);
      if (lookahead == 'o') ADVANCE(380);
      if (lookahead == 's') ADVANCE(410);
      if (lookahead == 'x') ADVANCE(368);
      END_STATE();
    case 289:
      if (lookahead == 'a') ADVANCE(331);
      END_STATE();
    case 290:
      if (lookahead == 'a') ADVANCE(341);
      END_STATE();
    case 291:
      if (lookahead == 'a') ADVANCE(338);
      END_STATE();
    case 292:
      if (lookahead == 'a') ADVANCE(394);
      if (lookahead == 'o') ADVANCE(298);
      END_STATE();
    case 293:
      if (lookahead == 'c') ADVANCE(337);
      if (lookahead == 'h') ADVANCE(317);
      if (lookahead == 'i') ADVANCE(395);
      END_STATE();
    case 294:
      if (lookahead == 'c') ADVANCE(315);
      if (lookahead == 't') ADVANCE(316);
      END_STATE();
    case 295:
      if (lookahead == 'c') ADVANCE(323);
      END_STATE();
    case 296:
      if (lookahead == 'd') ADVANCE(443);
      END_STATE();
    case 297:
      if (lookahead == 'd') ADVANCE(527);
      END_STATE();
    case 298:
      if (lookahead == 'd') ADVANCE(641);
      END_STATE();
    case 299:
      if (lookahead == 'd') ADVANCE(644);
      END_STATE();
    case 300:
      if (lookahead == 'd') ADVANCE(533);
      END_STATE();
    case 301:
      if (lookahead == 'd') ADVANCE(442);
      END_STATE();
    case 302:
      if (lookahead == 'd') ADVANCE(422);
      END_STATE();
    case 303:
      if (lookahead == 'd') ADVANCE(401);
      END_STATE();
    case 304:
      if (lookahead == 'd') ADVANCE(309);
      END_STATE();
    case 305:
      if (lookahead == 'e') ADVANCE(390);
      END_STATE();
    case 306:
      if (lookahead == 'e') ADVANCE(557);
      END_STATE();
    case 307:
      if (lookahead == 'e') ADVANCE(462);
      END_STATE();
    case 308:
      if (lookahead == 'e') ADVANCE(517);
      END_STATE();
    case 309:
      if (lookahead == 'e') ADVANCE(521);
      END_STATE();
    case 310:
      if (lookahead == 'e') ADVANCE(561);
      END_STATE();
    case 311:
      if (lookahead == 'e') ADVANCE(391);
      END_STATE();
    case 312:
      if (lookahead == 'e') ADVANCE(391);
      if (lookahead == 'o') ADVANCE(299);
      END_STATE();
    case 313:
      if (lookahead == 'e') ADVANCE(391);
      if (lookahead == 'o') ADVANCE(298);
      END_STATE();
    case 314:
      if (lookahead == 'e') ADVANCE(391);
      if (lookahead == 'o') ADVANCE(303);
      END_STATE();
    case 315:
      if (lookahead == 'e') ADVANCE(376);
      END_STATE();
    case 316:
      if (lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 317:
      if (lookahead == 'e') ADVANCE(384);
      END_STATE();
    case 318:
      if (lookahead == 'e') ADVANCE(346);
      END_STATE();
    case 319:
      if (lookahead == 'e') ADVANCE(347);
      END_STATE();
    case 320:
      if (lookahead == 'e') ADVANCE(381);
      END_STATE();
    case 321:
      if (lookahead == 'h') ADVANCE(529);
      END_STATE();
    case 322:
      if (lookahead == 'h') ADVANCE(372);
      END_STATE();
    case 323:
      if (lookahead == 'h') ADVANCE(424);
      END_STATE();
    case 324:
      if (lookahead == 'h') ADVANCE(317);
      if (lookahead == 'i') ADVANCE(395);
      END_STATE();
    case 325:
      if (lookahead == 'h') ADVANCE(319);
      END_STATE();
    case 326:
      if (lookahead == 'h') ADVANCE(319);
      if (lookahead == 'y') ADVANCE(377);
      END_STATE();
    case 327:
      if (lookahead == 'i') ADVANCE(404);
      END_STATE();
    case 328:
      if (lookahead == 'i') ADVANCE(396);
      END_STATE();
    case 329:
      if (lookahead == 'i') ADVANCE(373);
      END_STATE();
    case 330:
      if (lookahead == 'i') ADVANCE(392);
      END_STATE();
    case 331:
      if (lookahead == 'i') ADVANCE(357);
      END_STATE();
    case 332:
      if (lookahead == 'i') ADVANCE(290);
      END_STATE();
    case 333:
      if (lookahead == 'l') ADVANCE(387);
      END_STATE();
    case 334:
      if (lookahead == 'l') ADVANCE(387);
      if (lookahead == 'n') ADVANCE(297);
      END_STATE();
    case 335:
      if (lookahead == 'l') ADVANCE(387);
      if (lookahead == 'n') ADVANCE(297);
      if (lookahead == 'x') ADVANCE(294);
      END_STATE();
    case 336:
      if (lookahead == 'l') ADVANCE(525);
      END_STATE();
    case 337:
      if (lookahead == 'l') ADVANCE(402);
      END_STATE();
    case 338:
      if (lookahead == 'l') ADVANCE(460);
      END_STATE();
    case 339:
      if (lookahead == 'l') ADVANCE(285);
      END_STATE();
    case 340:
      if (lookahead == 'l') ADVANCE(285);
      if (lookahead == 'o') ADVANCE(354);
      END_STATE();
    case 341:
      if (lookahead == 'l') ADVANCE(327);
      END_STATE();
    case 342:
      if (lookahead == 'l') ADVANCE(308);
      END_STATE();
    case 343:
      if (lookahead == 'n') ADVANCE(629);
      END_STATE();
    case 344:
      if (lookahead == 'n') ADVANCE(296);
      if (lookahead == 's') ADVANCE(379);
      END_STATE();
    case 345:
      if (lookahead == 'n') ADVANCE(293);
      END_STATE();
    case 346:
      if (lookahead == 'n') ADVANCE(519);
      END_STATE();
    case 347:
      if (lookahead == 'n') ADVANCE(555);
      END_STATE();
    case 348:
      if (lookahead == 'n') ADVANCE(515);
      END_STATE();
    case 349:
      if (lookahead == 'n') ADVANCE(537);
      END_STATE();
    case 350:
      if (lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 351:
      if (lookahead == 'n') ADVANCE(535);
      END_STATE();
    case 352:
      if (lookahead == 'n') ADVANCE(297);
      END_STATE();
    case 353:
      if (lookahead == 'n') ADVANCE(297);
      if (lookahead == 'x') ADVANCE(294);
      END_STATE();
    case 354:
      if (lookahead == 'n') ADVANCE(389);
      END_STATE();
    case 355:
      if (lookahead == 'n') ADVANCE(298);
      END_STATE();
    case 356:
      if (lookahead == 'n') ADVANCE(301);
      END_STATE();
    case 357:
      if (lookahead == 'n') ADVANCE(393);
      END_STATE();
    case 358:
      if (lookahead == 'n') ADVANCE(302);
      if (lookahead == 's') ADVANCE(379);
      END_STATE();
    case 359:
      if (lookahead == 'n') ADVANCE(400);
      END_STATE();
    case 360:
      if (lookahead == 'n') ADVANCE(310);
      if (lookahead == 'w') ADVANCE(359);
      END_STATE();
    case 361:
      if (lookahead == 'n') ADVANCE(291);
      END_STATE();
    case 362:
      ADVANCE_MAP(
        'o', 414,
        'x', 431,
        ' ', 623,
        '"', 623,
        '\'', 623,
        '\\', 623,
        'b', 623,
        'n', 623,
        'r', 623,
        't', 623,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(421);
      END_STATE();
    case 363:
      if (lookahead == 'o') ADVANCE(559);
      END_STATE();
    case 364:
      if (lookahead == 'o') ADVANCE(360);
      END_STATE();
    case 365:
      if (lookahead == 'o') ADVANCE(563);
      END_STATE();
    case 366:
      if (lookahead == 'o') ADVANCE(563);
      if (lookahead == 'y') ADVANCE(377);
      END_STATE();
    case 367:
      if (lookahead == 'o') ADVANCE(565);
      END_STATE();
    case 368:
      if (lookahead == 'o') ADVANCE(380);
      END_STATE();
    case 369:
      if (lookahead == 'o') ADVANCE(354);
      END_STATE();
    case 370:
      if (lookahead == 'o') ADVANCE(299);
      END_STATE();
    case 371:
      if (lookahead == 'o') ADVANCE(298);
      END_STATE();
    case 372:
      if (lookahead == 'o') ADVANCE(300);
      END_STATE();
    case 373:
      if (lookahead == 'o') ADVANCE(348);
      END_STATE();
    case 374:
      if (lookahead == 'p') ADVANCE(318);
      END_STATE();
    case 375:
      if (lookahead == 'p') ADVANCE(318);
      if (lookahead == 'r') ADVANCE(662);
      END_STATE();
    case 376:
      if (lookahead == 'p') ADVANCE(398);
      END_STATE();
    case 377:
      if (lookahead == 'p') ADVANCE(307);
      END_STATE();
    case 378:
      if (lookahead == 'r') ADVANCE(662);
      END_STATE();
    case 379:
      if (lookahead == 'r') ADVANCE(638);
      END_STATE();
    case 380:
      if (lookahead == 'r') ADVANCE(641);
      END_STATE();
    case 381:
      if (lookahead == 'r') ADVANCE(539);
      END_STATE();
    case 382:
      if (lookahead == 'r') ADVANCE(289);
      END_STATE();
    case 383:
      if (lookahead == 'r') ADVANCE(361);
      END_STATE();
    case 384:
      if (lookahead == 'r') ADVANCE(330);
      END_STATE();
    case 385:
      if (lookahead == 's') ADVANCE(379);
      END_STATE();
    case 386:
      if (lookahead == 's') ADVANCE(523);
      END_STATE();
    case 387:
      if (lookahead == 's') ADVANCE(306);
      END_STATE();
    case 388:
      if (lookahead == 's') ADVANCE(386);
      END_STATE();
    case 389:
      if (lookahead == 's') ADVANCE(399);
      END_STATE();
    case 390:
      if (lookahead == 't') ADVANCE(439);
      END_STATE();
    case 391:
      if (lookahead == 't') ADVANCE(322);
      END_STATE();
    case 392:
      if (lookahead == 't') ADVANCE(531);
      END_STATE();
    case 393:
      if (lookahead == 't') ADVANCE(513);
      END_STATE();
    case 394:
      if (lookahead == 't') ADVANCE(295);
      END_STATE();
    case 395:
      if (lookahead == 't') ADVANCE(332);
      END_STATE();
    case 396:
      if (lookahead == 't') ADVANCE(321);
      END_STATE();
    case 397:
      if (lookahead == 't') ADVANCE(423);
      END_STATE();
    case 398:
      if (lookahead == 't') ADVANCE(329);
      END_STATE();
    case 399:
      if (lookahead == 't') ADVANCE(382);
      END_STATE();
    case 400:
      if (lookahead == 't') ADVANCE(367);
      END_STATE();
    case 401:
      if (lookahead == 'u') ADVANCE(342);
      END_STATE();
    case 402:
      if (lookahead == 'u') ADVANCE(304);
      END_STATE();
    case 403:
      if (lookahead == 'y') ADVANCE(377);
      END_STATE();
    case 404:
      if (lookahead == 'z') ADVANCE(320);
      END_STATE();
    case 405:
      if (lookahead == '{') ADVANCE(429);
      END_STATE();
    case 406:
      if (lookahead == '|') ADVANCE(663);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 407:
      if (lookahead == '}') ADVANCE(616);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(407);
      END_STATE();
    case 408:
      if (lookahead == '}') ADVANCE(568);
      END_STATE();
    case 409:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(418);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(595);
      END_STATE();
    case 410:
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(638);
      END_STATE();
    case 411:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(592);
      END_STATE();
    case 412:
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(628);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(412);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(627);
      END_STATE();
    case 413:
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(628);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(627);
      END_STATE();
    case 414:
      if (('0' <= lookahead && lookahead <= '3')) ADVANCE(416);
      END_STATE();
    case 415:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(626);
      END_STATE();
    case 416:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(415);
      END_STATE();
    case 417:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(569);
      END_STATE();
    case 418:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(595);
      END_STATE();
    case 419:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(277);
      END_STATE();
    case 420:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(624);
      END_STATE();
    case 421:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(420);
      END_STATE();
    case 422:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      END_STATE();
    case 423:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      END_STATE();
    case 424:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      END_STATE();
    case 425:
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 426:
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(648);
      END_STATE();
    case 427:
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(637);
      END_STATE();
    case 428:
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(633);
      END_STATE();
    case 429:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(407);
      END_STATE();
    case 430:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(625);
      END_STATE();
    case 431:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(430);
      END_STATE();
    case 432:
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 433:
      if (eof) ADVANCE(437);
      ADVANCE_MAP(
        '!', 469,
        '"', 609,
        '#', 549,
        '$', 417,
        '%', 583,
        '&', 545,
        '\'', 604,
        '(', 458,
        ')', 459,
        '*', 503,
        '+', 468,
        ',', 466,
        '-', 471,
        '.', 500,
        '0', 586,
        ':', 492,
        ';', 511,
        '<', 547,
        '=', 447,
        '>', 543,
        '?', 450,
        '@', 649,
        '[', 479,
        '\\', 2,
        ']', 489,
        '^', 651,
        '`', 815,
        'a', 740,
        'c', 734,
        'd', 760,
        'e', 728,
        'i', 741,
        'l', 699,
        'm', 672,
        'o', 772,
        't', 720,
        'v', 670,
        'w', 724,
        '{', 506,
        '|', 475,
        '}', 512,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(433);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 434:
      if (eof) ADVANCE(437);
      ADVANCE_MAP(
        '!', 469,
        '"', 609,
        '#', 548,
        '%', 583,
        '&', 544,
        '\'', 814,
        '(', 458,
        ')', 459,
        '*', 503,
        '+', 270,
        ',', 466,
        '-', 275,
        '.', 261,
        '0', 586,
        ':', 492,
        ';', 510,
        '<', 546,
        '=', 447,
        '>', 543,
        '?', 450,
        '[', 483,
        '\\', 207,
        ']', 489,
        '`', 815,
        '{', 507,
        '|', 473,
        '}', 512,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(434);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(587);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 435:
      if (eof) ADVANCE(437);
      ADVANCE_MAP(
        '#', 548,
        '&', 544,
        '\'', 814,
        ')', 459,
        '*', 503,
        ',', 466,
        '-', 275,
        '.', 499,
        ':', 276,
        ';', 510,
        '=', 447,
        '>', 543,
        '[', 278,
        '\\', 207,
        ']', 489,
        '|', 473,
        '}', 512,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(435);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 436:
      if (eof) ADVANCE(437);
      ADVANCE_MAP(
        '#', 813,
        '&', 544,
        ')', 459,
        '*', 503,
        ',', 466,
        '-', 275,
        ':', 272,
        ';', 269,
        '=', 447,
        '>', 543,
        '[', 250,
        '\\', 207,
        ']', 489,
        'a', 756,
        'c', 734,
        'e', 748,
        'i', 747,
        'l', 699,
        'm', 707,
        'o', 773,
        't', 805,
        'v', 670,
        'w', 724,
        '{', 251,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(436);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(811);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_COLON_GT);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(633);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(633);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(550);
      if (lookahead == '=') ADVANCE(472);
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(550);
      if (lookahead == '=') ADVANCE(665);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(550);
      if (lookahead == '=') ADVANCE(665);
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(550);
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_external);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_external);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_type);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(634);
      if (lookahead == '=') ADVANCE(465);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(634);
      if (lookahead == '>') ADVANCE(501);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(552);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(552);
      if (lookahead == '|') ADVANCE(662);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(552);
      if (lookahead == '|') ADVANCE(663);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(663);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(577);
      if (lookahead == '<') ADVANCE(542);
      if (lookahead == '>') ADVANCE(541);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead == '|') ADVANCE(551);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(577);
      if (lookahead == '<') ADVANCE(542);
      if (lookahead == '>') ADVANCE(541);
      if (lookahead == '@') ADVANCE(570);
      if (lookahead == '|') ADVANCE(551);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(577);
      if (lookahead == '<') ADVANCE(542);
      if (lookahead == '>') ADVANCE(541);
      if (lookahead == '@') ADVANCE(571);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(577);
      if (lookahead == '@') ADVANCE(571);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(577);
      if (lookahead == '@') ADVANCE(571);
      if (lookahead == '|') ADVANCE(551);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(576);
      if (lookahead == '<') ADVANCE(542);
      if (lookahead == '>') ADVANCE(541);
      if (lookahead == '@') ADVANCE(570);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(576);
      if (lookahead == '@') ADVANCE(570);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(576);
      if (lookahead == '@') ADVANCE(570);
      if (lookahead == '|') ADVANCE(551);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(576);
      if (lookahead == '@') ADVANCE(572);
      if (lookahead == '|') ADVANCE(551);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(244);
      if (lookahead == '@') ADVANCE(571);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '@') ADVANCE(570);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_COLON2);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(550);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(550);
      if (lookahead == '=') ADVANCE(472);
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(550);
      if (lookahead == '=') ADVANCE(665);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(550);
      if (lookahead == '=') ADVANCE(665);
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(550);
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(472);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(472);
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(464);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(648);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(579);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '<') ADVANCE(567);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(578);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '<') ADVANCE(567);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(245);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(438);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_constraint);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_constraint);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_exception);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_exception);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_module);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_open);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_include);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_include);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_class);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_val);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_val);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_end);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_with);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_inherit);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_inherit);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_method);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_method);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(736);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(337);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_in);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_initializer);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_initializer);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_LBRACK_GT);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_LBRACK_LT);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(659);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(553);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(637);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_LBRACK_PIPE);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACK);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_then);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_else);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_do);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_done);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_to);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_to);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_downto);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_downto);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_LBRACE_LT);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_GT_RBRACE);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_ocamlyacc_value);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(569);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      if (lookahead == '@') ADVANCE(574);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      if (lookahead == '@') ADVANCE(573);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT);
      if (lookahead == '@') ADVANCE(575);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT_AT);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT);
      if (lookahead == '%') ADVANCE(581);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
      if (lookahead == '%') ADVANCE(582);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(aux_sym_quoted_extension_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(580);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT_PERCENT);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT_PERCENT);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(645);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(aux_sym_number_token1);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(aux_sym_number_token1);
      ADVANCE_MAP(
        '.', 590,
        'B', 411,
        'b', 411,
        'E', 409,
        'e', 409,
        'O', 593,
        'o', 593,
        'X', 596,
        'x', 596,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(587);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(585);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(590);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(409);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(587);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(585);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(591);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(589);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(588);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(585);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(418);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(595);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(409);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(590);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(585);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(589);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(591);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(585);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '0' ||
          lookahead == '1' ||
          lookahead == '_') ADVANCE(592);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(585);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(594);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7') ||
          lookahead == '_') ADVANCE(594);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(585);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(595);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(585);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(588);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(634);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(634);
      if (lookahead == '>') ADVANCE(501);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(636);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(648);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(635);
      if (lookahead == '>') ADVANCE(426);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(647);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(635);
      if (lookahead == '>') ADVANCE(502);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(647);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '>') ADVANCE(501);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(aux_sym_character_content_token1);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(aux_sym_character_content_token2);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(aux_sym_character_content_token2);
      if (lookahead == '@') ADVANCE(570);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(aux_sym_string_content_token2);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      ADVANCE_MAP(
        '*', 264,
        '.', 258,
        'L', 628,
        'l', 628,
        'n', 628,
        ' ', 257,
        '#', 257,
        '+', 257,
        '-', 257,
        '0', 257,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(263);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(627);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      ADVANCE_MAP(
        '<', 419,
        '\\', 343,
        ' ', 629,
        ',', 629,
        '.', 629,
        ';', 629,
        '?', 629,
        '[', 629,
        ']', 629,
        '{', 629,
        '}', 629,
      );
      END_STATE();
    case 614:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '\\') ADVANCE(615);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '@' &&
          lookahead != '\\') ADVANCE(615);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(aux_sym_string_content_token4);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(aux_sym_string_content_token5);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(617);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      ADVANCE_MAP(
        '*', 264,
        '.', 258,
        'L', 628,
        'l', 628,
        'n', 628,
        ' ', 257,
        '#', 257,
        '+', 257,
        '-', 257,
        '0', 257,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(263);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(627);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      ADVANCE_MAP(
        '<', 419,
        '\\', 343,
        ' ', 629,
        ',', 629,
        '.', 629,
        ';', 629,
        '?', 629,
        '[', 629,
        ']', 629,
        '{', 629,
        '}', 629,
      );
      END_STATE();
    case 621:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      if (lookahead == '@') ADVANCE(611);
      if (lookahead != 0 &&
          lookahead != '%' &&
          lookahead != '|') ADVANCE(622);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '%' &&
          lookahead != '@' &&
          lookahead != '|') ADVANCE(622);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token1);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token2);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token3);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token4);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_conversion_specification);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_conversion_specification);
      if (lookahead == 'X' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          lookahead == 'o' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(627);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_pretty_printing_indication);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_pretty_printing_indication);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(651);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (lookahead == '=') ADVANCE(428);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(633);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (lookahead == '=') ADVANCE(658);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(633);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(633);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      if (lookahead == '>') ADVANCE(648);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(647);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(648);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_hash_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(637);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_pow_operator);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_pow_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(639);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_pow_operator);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_mult_operator);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == '*') ADVANCE(639);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(645);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == 'u') ADVANCE(738);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == 'u') ADVANCE(342);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_mult_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(645);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_mult_operator);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(aux_sym_add_operator_token1);
      if (lookahead == '>') ADVANCE(648);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(647);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(aux_sym_add_operator_token1);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(648);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_concat_operator);
      ADVANCE_MAP(
        '<', 650,
        '\\', 343,
        '.', 630,
        '?', 630,
        ' ', 629,
        ',', 629,
        ';', 629,
        '[', 629,
        ']', 629,
        '{', 629,
        '}', 629,
      );
      if (lookahead == '!' ||
          ('$' <= lookahead && lookahead <= '&') ||
          ('*' <= lookahead && lookahead <= '/') ||
          (':' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          ('|' <= lookahead && lookahead <= '~')) ADVANCE(651);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_concat_operator);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(277);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(651);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_concat_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(651);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_rel_operator);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '-') ADVANCE(554);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '-') ADVANCE(425);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '}') ADVANCE(568);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_rel_operator);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(569);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_rel_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_rel_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(633);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_and_operator);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_and_operator);
      if (lookahead == '&') ADVANCE(661);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_and_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_or_operator);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_or_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_or_operator);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_assign_operator);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_indexing_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(666);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_let_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_let_and_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_match_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(732);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(786);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(789);
      if (lookahead == 'e') ADVANCE(790);
      if (lookahead == 'o') ADVANCE(692);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(789);
      if (lookahead == 'e') ADVANCE(790);
      if (lookahead == 'o') ADVANCE(694);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(789);
      if (lookahead == 'e') ADVANCE(790);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(789);
      if (lookahead == 'o') ADVANCE(692);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(789);
      if (lookahead == 'o') ADVANCE(695);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(789);
      if (lookahead == 'o') ADVANCE(694);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(789);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(725);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(733);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(737);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(753);
      if (lookahead == 'e') ADVANCE(788);
      if (lookahead == 'o') ADVANCE(778);
      if (lookahead == 's') ADVANCE(807);
      if (lookahead == 'x') ADVANCE(766);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(753);
      if (lookahead == 'e') ADVANCE(797);
      if (lookahead == 'o') ADVANCE(778);
      if (lookahead == 's') ADVANCE(807);
      if (lookahead == 'x') ADVANCE(766);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(753);
      if (lookahead == 'o') ADVANCE(778);
      if (lookahead == 's') ADVANCE(807);
      if (lookahead == 'x') ADVANCE(766);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(736);
      if (lookahead == 'h') ADVANCE(712);
      if (lookahead == 'i') ADVANCE(798);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(736);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(716);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(706);
      if (lookahead == 't') ADVANCE(701);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(706);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(444);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(528);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(800);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(534);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(646);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(643);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(445);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(808);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(704);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(788);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(558);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(781);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(463);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(518);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(522);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(562);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(775);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(790);
      if (lookahead == 'o') ADVANCE(692);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(790);
      if (lookahead == 'o') ADVANCE(694);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(790);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(742);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(743);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(782);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(779);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(793);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(530);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(810);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(767);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(712);
      if (lookahead == 'i') ADVANCE(798);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(712);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(711);
      if (lookahead == 'o') ADVANCE(564);
      if (lookahead == 'y') ADVANCE(774);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(711);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(806);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(770);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(795);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(754);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(792);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(681);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(784);
      if (lookahead == 'n') ADVANCE(691);
      if (lookahead == 'x') ADVANCE(688);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(784);
      if (lookahead == 'n') ADVANCE(691);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(784);
      if (lookahead == 'x') ADVANCE(688);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(784);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(526);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(461);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(671);
      if (lookahead == 'o') ADVANCE(751);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(671);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(801);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(722);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(703);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(690);
      if (lookahead == 's') ADVANCE(777);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(690);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(536);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(520);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(556);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(516);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(718);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(538);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(685);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(691);
      if (lookahead == 'x') ADVANCE(688);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(691);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(686);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(787);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(719);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(694);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(791);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(697);
      if (lookahead == 's') ADVANCE(777);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(696);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(799);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(705);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(680);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(560);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(564);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(802);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(566);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(751);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(692);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(778);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(693);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(695);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(694);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(744);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(758);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(710);
      if (lookahead == 'r') ADVANCE(664);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(710);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(702);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(794);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(664);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(640);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(646);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(540);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(679);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(759);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(726);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(524);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(700);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(777);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(783);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(796);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(440);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(687);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(717);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(514);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(532);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(441);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(723);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(715);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(780);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(809);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(727);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(763);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'u') ADVANCE(738);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'u') ADVANCE(698);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'w') ADVANCE(757);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'x') ADVANCE(688);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'x') ADVANCE(689);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'y') ADVANCE(774);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'z') ADVANCE(713);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(640);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(811);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym__uppercase_identifier);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(812);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(aux_sym_directive_token1);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(aux_sym_type_variable_token1);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(aux_sym_tag_token1);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(aux_sym_attribute_id_token1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'a', 2,
        'b', 3,
        'e', 4,
        'f', 5,
        'i', 6,
        'l', 7,
        'm', 8,
        'n', 9,
        'o', 10,
        'p', 11,
        'r', 12,
        's', 13,
        't', 14,
        'v', 15,
        'w', 16,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 2:
      if (lookahead == 's') ADVANCE(17);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(18);
      END_STATE();
    case 4:
      if (lookahead == 'f') ADVANCE(19);
      END_STATE();
    case 5:
      if (lookahead == 'a') ADVANCE(20);
      if (lookahead == 'o') ADVANCE(21);
      if (lookahead == 'u') ADVANCE(22);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(23);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(24);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(25);
      if (lookahead == 'u') ADVANCE(26);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(27);
      if (lookahead == 'o') ADVANCE(28);
      END_STATE();
    case 10:
      if (lookahead == 'b') ADVANCE(29);
      if (lookahead == 'f') ADVANCE(30);
      END_STATE();
    case 11:
      if (lookahead == 'r') ADVANCE(31);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(32);
      END_STATE();
    case 13:
      if (lookahead == 'i') ADVANCE(33);
      if (lookahead == 't') ADVANCE(34);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(35);
      END_STATE();
    case 15:
      if (lookahead == 'i') ADVANCE(36);
      END_STATE();
    case 16:
      if (lookahead == 'h') ADVANCE(37);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(38);
      END_STATE();
    case 18:
      if (lookahead == 'g') ADVANCE(39);
      END_STATE();
    case 19:
      if (lookahead == 'f') ADVANCE(40);
      END_STATE();
    case 20:
      if (lookahead == 'l') ADVANCE(41);
      END_STATE();
    case 21:
      if (lookahead == 'r') ADVANCE(42);
      END_STATE();
    case 22:
      if (lookahead == 'n') ADVANCE(43);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 24:
      if (lookahead == 'z') ADVANCE(44);
      END_STATE();
    case 25:
      if (lookahead == 't') ADVANCE(45);
      END_STATE();
    case 26:
      if (lookahead == 't') ADVANCE(46);
      END_STATE();
    case 27:
      if (lookahead == 'w') ADVANCE(47);
      END_STATE();
    case 28:
      if (lookahead == 'n') ADVANCE(48);
      END_STATE();
    case 29:
      if (lookahead == 'j') ADVANCE(49);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 31:
      if (lookahead == 'i') ADVANCE(50);
      END_STATE();
    case 32:
      if (lookahead == 'c') ADVANCE(51);
      END_STATE();
    case 33:
      if (lookahead == 'g') ADVANCE(52);
      END_STATE();
    case 34:
      if (lookahead == 'r') ADVANCE(53);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(54);
      if (lookahead == 'y') ADVANCE(55);
      END_STATE();
    case 36:
      if (lookahead == 'r') ADVANCE(56);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(57);
      if (lookahead == 'i') ADVANCE(58);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 39:
      if (lookahead == 'i') ADVANCE(60);
      END_STATE();
    case 40:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 41:
      if (lookahead == 's') ADVANCE(62);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_fun);
      if (lookahead == 'c') ADVANCE(63);
      END_STATE();
    case 44:
      if (lookahead == 'y') ADVANCE(64);
      END_STATE();
    case 45:
      if (lookahead == 'c') ADVANCE(65);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(66);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 48:
      if (lookahead == 'r') ADVANCE(67);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 50:
      if (lookahead == 'v') ADVANCE(69);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_rec);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_sig);
      END_STATE();
    case 53:
      if (lookahead == 'u') ADVANCE(70);
      END_STATE();
    case 54:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 58:
      if (lookahead == 'l') ADVANCE(74);
      END_STATE();
    case 59:
      if (lookahead == 'r') ADVANCE(75);
      END_STATE();
    case 60:
      if (lookahead == 'n') ADVANCE(76);
      END_STATE();
    case 61:
      if (lookahead == 'c') ADVANCE(77);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(79);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_lazy);
      END_STATE();
    case 65:
      if (lookahead == 'h') ADVANCE(80);
      END_STATE();
    case 66:
      if (lookahead == 'b') ADVANCE(81);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 68:
      if (lookahead == 'c') ADVANCE(83);
      END_STATE();
    case 69:
      if (lookahead == 'a') ADVANCE(84);
      END_STATE();
    case 70:
      if (lookahead == 'c') ADVANCE(85);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 72:
      if (lookahead == 'u') ADVANCE(86);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 74:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_begin);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(90);
      if (lookahead == 'o') ADVANCE(91);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 81:
      if (lookahead == 'l') ADVANCE(92);
      END_STATE();
    case 82:
      if (lookahead == 'c') ADVANCE(93);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 84:
      if (lookahead == 't') ADVANCE(95);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 86:
      if (lookahead == 'a') ADVANCE(97);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_effect);
      END_STATE();
    case 90:
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 91:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_nonrec);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 97:
      if (lookahead == 'l') ADVANCE(102);
      END_STATE();
    case 98:
      if (lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_functor);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 434, .external_lex_state = 2},
  [2] = {.lex_state = 18, .external_lex_state = 3},
  [3] = {.lex_state = 18, .external_lex_state = 3},
  [4] = {.lex_state = 18, .external_lex_state = 3},
  [5] = {.lex_state = 18, .external_lex_state = 3},
  [6] = {.lex_state = 18, .external_lex_state = 3},
  [7] = {.lex_state = 18, .external_lex_state = 3},
  [8] = {.lex_state = 18, .external_lex_state = 3},
  [9] = {.lex_state = 18, .external_lex_state = 3},
  [10] = {.lex_state = 18, .external_lex_state = 3},
  [11] = {.lex_state = 18, .external_lex_state = 3},
  [12] = {.lex_state = 18, .external_lex_state = 3},
  [13] = {.lex_state = 18, .external_lex_state = 3},
  [14] = {.lex_state = 18, .external_lex_state = 3},
  [15] = {.lex_state = 18, .external_lex_state = 3},
  [16] = {.lex_state = 18, .external_lex_state = 3},
  [17] = {.lex_state = 18, .external_lex_state = 3},
  [18] = {.lex_state = 18, .external_lex_state = 3},
  [19] = {.lex_state = 18, .external_lex_state = 3},
  [20] = {.lex_state = 18, .external_lex_state = 3},
  [21] = {.lex_state = 18, .external_lex_state = 3},
  [22] = {.lex_state = 18, .external_lex_state = 3},
  [23] = {.lex_state = 18, .external_lex_state = 3},
  [24] = {.lex_state = 18, .external_lex_state = 3},
  [25] = {.lex_state = 18, .external_lex_state = 3},
  [26] = {.lex_state = 18, .external_lex_state = 3},
  [27] = {.lex_state = 18, .external_lex_state = 3},
  [28] = {.lex_state = 18, .external_lex_state = 3},
  [29] = {.lex_state = 18, .external_lex_state = 3},
  [30] = {.lex_state = 18, .external_lex_state = 3},
  [31] = {.lex_state = 18, .external_lex_state = 3},
  [32] = {.lex_state = 18, .external_lex_state = 3},
  [33] = {.lex_state = 18, .external_lex_state = 3},
  [34] = {.lex_state = 18, .external_lex_state = 3},
  [35] = {.lex_state = 18, .external_lex_state = 3},
  [36] = {.lex_state = 18, .external_lex_state = 3},
  [37] = {.lex_state = 18, .external_lex_state = 3},
  [38] = {.lex_state = 18, .external_lex_state = 3},
  [39] = {.lex_state = 18, .external_lex_state = 3},
  [40] = {.lex_state = 18, .external_lex_state = 3},
  [41] = {.lex_state = 18, .external_lex_state = 3},
  [42] = {.lex_state = 18, .external_lex_state = 3},
  [43] = {.lex_state = 18, .external_lex_state = 3},
  [44] = {.lex_state = 18, .external_lex_state = 3},
  [45] = {.lex_state = 18, .external_lex_state = 3},
  [46] = {.lex_state = 18, .external_lex_state = 3},
  [47] = {.lex_state = 18, .external_lex_state = 3},
  [48] = {.lex_state = 18, .external_lex_state = 3},
  [49] = {.lex_state = 18, .external_lex_state = 3},
  [50] = {.lex_state = 18, .external_lex_state = 3},
  [51] = {.lex_state = 18, .external_lex_state = 3},
  [52] = {.lex_state = 18, .external_lex_state = 3},
  [53] = {.lex_state = 18, .external_lex_state = 3},
  [54] = {.lex_state = 18, .external_lex_state = 3},
  [55] = {.lex_state = 18, .external_lex_state = 3},
  [56] = {.lex_state = 18, .external_lex_state = 3},
  [57] = {.lex_state = 18, .external_lex_state = 3},
  [58] = {.lex_state = 18, .external_lex_state = 3},
  [59] = {.lex_state = 18, .external_lex_state = 3},
  [60] = {.lex_state = 18, .external_lex_state = 3},
  [61] = {.lex_state = 18, .external_lex_state = 3},
  [62] = {.lex_state = 18, .external_lex_state = 3},
  [63] = {.lex_state = 18, .external_lex_state = 3},
  [64] = {.lex_state = 18, .external_lex_state = 3},
  [65] = {.lex_state = 18, .external_lex_state = 3},
  [66] = {.lex_state = 18, .external_lex_state = 3},
  [67] = {.lex_state = 18, .external_lex_state = 3},
  [68] = {.lex_state = 18, .external_lex_state = 3},
  [69] = {.lex_state = 18, .external_lex_state = 3},
  [70] = {.lex_state = 18, .external_lex_state = 3},
  [71] = {.lex_state = 18, .external_lex_state = 3},
  [72] = {.lex_state = 18, .external_lex_state = 3},
  [73] = {.lex_state = 18, .external_lex_state = 3},
  [74] = {.lex_state = 18, .external_lex_state = 3},
  [75] = {.lex_state = 18, .external_lex_state = 3},
  [76] = {.lex_state = 18, .external_lex_state = 3},
  [77] = {.lex_state = 18, .external_lex_state = 3},
  [78] = {.lex_state = 18, .external_lex_state = 3},
  [79] = {.lex_state = 18, .external_lex_state = 3},
  [80] = {.lex_state = 18, .external_lex_state = 3},
  [81] = {.lex_state = 18, .external_lex_state = 3},
  [82] = {.lex_state = 18, .external_lex_state = 3},
  [83] = {.lex_state = 18, .external_lex_state = 3},
  [84] = {.lex_state = 18, .external_lex_state = 3},
  [85] = {.lex_state = 18, .external_lex_state = 3},
  [86] = {.lex_state = 18, .external_lex_state = 3},
  [87] = {.lex_state = 18, .external_lex_state = 3},
  [88] = {.lex_state = 18, .external_lex_state = 3},
  [89] = {.lex_state = 18, .external_lex_state = 3},
  [90] = {.lex_state = 91, .external_lex_state = 3},
  [91] = {.lex_state = 97, .external_lex_state = 3},
  [92] = {.lex_state = 19, .external_lex_state = 3},
  [93] = {.lex_state = 19, .external_lex_state = 3},
  [94] = {.lex_state = 92, .external_lex_state = 3},
  [95] = {.lex_state = 99, .external_lex_state = 3},
  [96] = {.lex_state = 94, .external_lex_state = 3},
  [97] = {.lex_state = 98, .external_lex_state = 3},
  [98] = {.lex_state = 18, .external_lex_state = 3},
  [99] = {.lex_state = 19, .external_lex_state = 3},
  [100] = {.lex_state = 18, .external_lex_state = 3},
  [101] = {.lex_state = 19, .external_lex_state = 3},
  [102] = {.lex_state = 93, .external_lex_state = 3},
  [103] = {.lex_state = 18, .external_lex_state = 3},
  [104] = {.lex_state = 100, .external_lex_state = 3},
  [105] = {.lex_state = 19, .external_lex_state = 3},
  [106] = {.lex_state = 19, .external_lex_state = 3},
  [107] = {.lex_state = 18, .external_lex_state = 3},
  [108] = {.lex_state = 96, .external_lex_state = 3},
  [109] = {.lex_state = 18, .external_lex_state = 3},
  [110] = {.lex_state = 101, .external_lex_state = 3},
  [111] = {.lex_state = 18, .external_lex_state = 3},
  [112] = {.lex_state = 102, .external_lex_state = 3},
  [113] = {.lex_state = 95, .external_lex_state = 3},
  [114] = {.lex_state = 130, .external_lex_state = 3},
  [115] = {.lex_state = 130, .external_lex_state = 3},
  [116] = {.lex_state = 131, .external_lex_state = 3},
  [117] = {.lex_state = 131, .external_lex_state = 3},
  [118] = {.lex_state = 128, .external_lex_state = 3},
  [119] = {.lex_state = 128, .external_lex_state = 3},
  [120] = {.lex_state = 129, .external_lex_state = 3},
  [121] = {.lex_state = 129, .external_lex_state = 3},
  [122] = {.lex_state = 22, .external_lex_state = 3},
  [123] = {.lex_state = 20, .external_lex_state = 3},
  [124] = {.lex_state = 146, .external_lex_state = 3},
  [125] = {.lex_state = 21, .external_lex_state = 3},
  [126] = {.lex_state = 23, .external_lex_state = 3},
  [127] = {.lex_state = 146, .external_lex_state = 3},
  [128] = {.lex_state = 147, .external_lex_state = 3},
  [129] = {.lex_state = 147, .external_lex_state = 3},
  [130] = {.lex_state = 134, .external_lex_state = 3},
  [131] = {.lex_state = 127, .external_lex_state = 3},
  [132] = {.lex_state = 127, .external_lex_state = 3},
  [133] = {.lex_state = 127, .external_lex_state = 3},
  [134] = {.lex_state = 127, .external_lex_state = 3},
  [135] = {.lex_state = 127, .external_lex_state = 3},
  [136] = {.lex_state = 127, .external_lex_state = 3},
  [137] = {.lex_state = 127, .external_lex_state = 3},
  [138] = {.lex_state = 127, .external_lex_state = 3},
  [139] = {.lex_state = 127, .external_lex_state = 3},
  [140] = {.lex_state = 127, .external_lex_state = 3},
  [141] = {.lex_state = 127, .external_lex_state = 3},
  [142] = {.lex_state = 127, .external_lex_state = 3},
  [143] = {.lex_state = 127, .external_lex_state = 3},
  [144] = {.lex_state = 127, .external_lex_state = 3},
  [145] = {.lex_state = 127, .external_lex_state = 3},
  [146] = {.lex_state = 127, .external_lex_state = 3},
  [147] = {.lex_state = 127, .external_lex_state = 3},
  [148] = {.lex_state = 127, .external_lex_state = 3},
  [149] = {.lex_state = 18, .external_lex_state = 3},
  [150] = {.lex_state = 127, .external_lex_state = 3},
  [151] = {.lex_state = 127, .external_lex_state = 3},
  [152] = {.lex_state = 127, .external_lex_state = 3},
  [153] = {.lex_state = 127, .external_lex_state = 3},
  [154] = {.lex_state = 127, .external_lex_state = 3},
  [155] = {.lex_state = 127, .external_lex_state = 3},
  [156] = {.lex_state = 135, .external_lex_state = 3},
  [157] = {.lex_state = 127, .external_lex_state = 3},
  [158] = {.lex_state = 127, .external_lex_state = 3},
  [159] = {.lex_state = 127, .external_lex_state = 3},
  [160] = {.lex_state = 127, .external_lex_state = 3},
  [161] = {.lex_state = 127, .external_lex_state = 3},
  [162] = {.lex_state = 127, .external_lex_state = 3},
  [163] = {.lex_state = 127, .external_lex_state = 3},
  [164] = {.lex_state = 127, .external_lex_state = 3},
  [165] = {.lex_state = 127, .external_lex_state = 3},
  [166] = {.lex_state = 127, .external_lex_state = 3},
  [167] = {.lex_state = 127, .external_lex_state = 3},
  [168] = {.lex_state = 127, .external_lex_state = 3},
  [169] = {.lex_state = 127, .external_lex_state = 3},
  [170] = {.lex_state = 127, .external_lex_state = 3},
  [171] = {.lex_state = 127, .external_lex_state = 3},
  [172] = {.lex_state = 127, .external_lex_state = 3},
  [173] = {.lex_state = 127, .external_lex_state = 3},
  [174] = {.lex_state = 127, .external_lex_state = 3},
  [175] = {.lex_state = 127, .external_lex_state = 3},
  [176] = {.lex_state = 127, .external_lex_state = 3},
  [177] = {.lex_state = 127, .external_lex_state = 3},
  [178] = {.lex_state = 127, .external_lex_state = 3},
  [179] = {.lex_state = 127, .external_lex_state = 3},
  [180] = {.lex_state = 127, .external_lex_state = 3},
  [181] = {.lex_state = 127, .external_lex_state = 3},
  [182] = {.lex_state = 127, .external_lex_state = 3},
  [183] = {.lex_state = 127, .external_lex_state = 3},
  [184] = {.lex_state = 127, .external_lex_state = 3},
  [185] = {.lex_state = 127, .external_lex_state = 3},
  [186] = {.lex_state = 127, .external_lex_state = 3},
  [187] = {.lex_state = 127, .external_lex_state = 3},
  [188] = {.lex_state = 127, .external_lex_state = 3},
  [189] = {.lex_state = 127, .external_lex_state = 3},
  [190] = {.lex_state = 136, .external_lex_state = 3},
  [191] = {.lex_state = 127, .external_lex_state = 3},
  [192] = {.lex_state = 127, .external_lex_state = 3},
  [193] = {.lex_state = 127, .external_lex_state = 3},
  [194] = {.lex_state = 127, .external_lex_state = 3},
  [195] = {.lex_state = 127, .external_lex_state = 3},
  [196] = {.lex_state = 127, .external_lex_state = 3},
  [197] = {.lex_state = 127, .external_lex_state = 3},
  [198] = {.lex_state = 127, .external_lex_state = 3},
  [199] = {.lex_state = 19, .external_lex_state = 3},
  [200] = {.lex_state = 127, .external_lex_state = 3},
  [201] = {.lex_state = 127, .external_lex_state = 3},
  [202] = {.lex_state = 127, .external_lex_state = 3},
  [203] = {.lex_state = 127, .external_lex_state = 3},
  [204] = {.lex_state = 127, .external_lex_state = 3},
  [205] = {.lex_state = 127, .external_lex_state = 3},
  [206] = {.lex_state = 127, .external_lex_state = 3},
  [207] = {.lex_state = 127, .external_lex_state = 3},
  [208] = {.lex_state = 127, .external_lex_state = 3},
  [209] = {.lex_state = 127, .external_lex_state = 3},
  [210] = {.lex_state = 127, .external_lex_state = 3},
  [211] = {.lex_state = 127, .external_lex_state = 3},
  [212] = {.lex_state = 127, .external_lex_state = 3},
  [213] = {.lex_state = 127, .external_lex_state = 3},
  [214] = {.lex_state = 127, .external_lex_state = 3},
  [215] = {.lex_state = 127, .external_lex_state = 3},
  [216] = {.lex_state = 127, .external_lex_state = 3},
  [217] = {.lex_state = 139, .external_lex_state = 3},
  [218] = {.lex_state = 132, .external_lex_state = 3},
  [219] = {.lex_state = 140, .external_lex_state = 3},
  [220] = {.lex_state = 138, .external_lex_state = 3},
  [221] = {.lex_state = 127, .external_lex_state = 3},
  [222] = {.lex_state = 127, .external_lex_state = 3},
  [223] = {.lex_state = 127, .external_lex_state = 3},
  [224] = {.lex_state = 141, .external_lex_state = 3},
  [225] = {.lex_state = 127, .external_lex_state = 3},
  [226] = {.lex_state = 132, .external_lex_state = 3},
  [227] = {.lex_state = 139, .external_lex_state = 3},
  [228] = {.lex_state = 140, .external_lex_state = 3},
  [229] = {.lex_state = 143, .external_lex_state = 3},
  [230] = {.lex_state = 138, .external_lex_state = 3},
  [231] = {.lex_state = 133, .external_lex_state = 3},
  [232] = {.lex_state = 144, .external_lex_state = 3},
  [233] = {.lex_state = 142, .external_lex_state = 3},
  [234] = {.lex_state = 145, .external_lex_state = 3},
  [235] = {.lex_state = 137, .external_lex_state = 3},
  [236] = {.lex_state = 142, .external_lex_state = 3},
  [237] = {.lex_state = 133, .external_lex_state = 3},
  [238] = {.lex_state = 143, .external_lex_state = 3},
  [239] = {.lex_state = 144, .external_lex_state = 3},
  [240] = {.lex_state = 29, .external_lex_state = 3},
  [241] = {.lex_state = 28, .external_lex_state = 3},
  [242] = {.lex_state = 36, .external_lex_state = 3},
  [243] = {.lex_state = 31, .external_lex_state = 3},
  [244] = {.lex_state = 33, .external_lex_state = 3},
  [245] = {.lex_state = 33, .external_lex_state = 3},
  [246] = {.lex_state = 33, .external_lex_state = 3},
  [247] = {.lex_state = 33, .external_lex_state = 3},
  [248] = {.lex_state = 33, .external_lex_state = 3},
  [249] = {.lex_state = 33, .external_lex_state = 3},
  [250] = {.lex_state = 33, .external_lex_state = 3},
  [251] = {.lex_state = 33, .external_lex_state = 3},
  [252] = {.lex_state = 33, .external_lex_state = 3},
  [253] = {.lex_state = 33, .external_lex_state = 3},
  [254] = {.lex_state = 33, .external_lex_state = 3},
  [255] = {.lex_state = 33, .external_lex_state = 3},
  [256] = {.lex_state = 34, .external_lex_state = 3},
  [257] = {.lex_state = 33, .external_lex_state = 3},
  [258] = {.lex_state = 33, .external_lex_state = 3},
  [259] = {.lex_state = 33, .external_lex_state = 3},
  [260] = {.lex_state = 33, .external_lex_state = 3},
  [261] = {.lex_state = 33, .external_lex_state = 3},
  [262] = {.lex_state = 33, .external_lex_state = 3},
  [263] = {.lex_state = 33, .external_lex_state = 3},
  [264] = {.lex_state = 33, .external_lex_state = 3},
  [265] = {.lex_state = 33, .external_lex_state = 3},
  [266] = {.lex_state = 33, .external_lex_state = 3},
  [267] = {.lex_state = 33, .external_lex_state = 3},
  [268] = {.lex_state = 33, .external_lex_state = 3},
  [269] = {.lex_state = 28, .external_lex_state = 3},
  [270] = {.lex_state = 33, .external_lex_state = 3},
  [271] = {.lex_state = 33, .external_lex_state = 3},
  [272] = {.lex_state = 33, .external_lex_state = 3},
  [273] = {.lex_state = 33, .external_lex_state = 3},
  [274] = {.lex_state = 33, .external_lex_state = 3},
  [275] = {.lex_state = 33, .external_lex_state = 3},
  [276] = {.lex_state = 30, .external_lex_state = 3},
  [277] = {.lex_state = 33, .external_lex_state = 3},
  [278] = {.lex_state = 33, .external_lex_state = 3},
  [279] = {.lex_state = 33, .external_lex_state = 3},
  [280] = {.lex_state = 32, .external_lex_state = 3},
  [281] = {.lex_state = 33, .external_lex_state = 3},
  [282] = {.lex_state = 33, .external_lex_state = 3},
  [283] = {.lex_state = 33, .external_lex_state = 3},
  [284] = {.lex_state = 33, .external_lex_state = 3},
  [285] = {.lex_state = 33, .external_lex_state = 3},
  [286] = {.lex_state = 33, .external_lex_state = 3},
  [287] = {.lex_state = 33, .external_lex_state = 3},
  [288] = {.lex_state = 33, .external_lex_state = 3},
  [289] = {.lex_state = 35, .external_lex_state = 3},
  [290] = {.lex_state = 33, .external_lex_state = 3},
  [291] = {.lex_state = 33, .external_lex_state = 3},
  [292] = {.lex_state = 33, .external_lex_state = 3},
  [293] = {.lex_state = 28, .external_lex_state = 3},
  [294] = {.lex_state = 28, .external_lex_state = 3},
  [295] = {.lex_state = 28, .external_lex_state = 3},
  [296] = {.lex_state = 28, .external_lex_state = 3},
  [297] = {.lex_state = 28, .external_lex_state = 3},
  [298] = {.lex_state = 28, .external_lex_state = 3},
  [299] = {.lex_state = 28, .external_lex_state = 3},
  [300] = {.lex_state = 28, .external_lex_state = 3},
  [301] = {.lex_state = 28, .external_lex_state = 3},
  [302] = {.lex_state = 28, .external_lex_state = 3},
  [303] = {.lex_state = 28, .external_lex_state = 3},
  [304] = {.lex_state = 28, .external_lex_state = 3},
  [305] = {.lex_state = 28, .external_lex_state = 3},
  [306] = {.lex_state = 28, .external_lex_state = 3},
  [307] = {.lex_state = 28, .external_lex_state = 3},
  [308] = {.lex_state = 28, .external_lex_state = 3},
  [309] = {.lex_state = 28, .external_lex_state = 3},
  [310] = {.lex_state = 28, .external_lex_state = 3},
  [311] = {.lex_state = 28, .external_lex_state = 3},
  [312] = {.lex_state = 28, .external_lex_state = 3},
  [313] = {.lex_state = 28, .external_lex_state = 3},
  [314] = {.lex_state = 28, .external_lex_state = 3},
  [315] = {.lex_state = 28, .external_lex_state = 3},
  [316] = {.lex_state = 28, .external_lex_state = 3},
  [317] = {.lex_state = 28, .external_lex_state = 3},
  [318] = {.lex_state = 28, .external_lex_state = 3},
  [319] = {.lex_state = 28, .external_lex_state = 3},
  [320] = {.lex_state = 28, .external_lex_state = 3},
  [321] = {.lex_state = 28, .external_lex_state = 3},
  [322] = {.lex_state = 28, .external_lex_state = 3},
  [323] = {.lex_state = 28, .external_lex_state = 3},
  [324] = {.lex_state = 28, .external_lex_state = 3},
  [325] = {.lex_state = 28, .external_lex_state = 3},
  [326] = {.lex_state = 50, .external_lex_state = 3},
  [327] = {.lex_state = 28, .external_lex_state = 3},
  [328] = {.lex_state = 28, .external_lex_state = 3},
  [329] = {.lex_state = 28, .external_lex_state = 3},
  [330] = {.lex_state = 28, .external_lex_state = 3},
  [331] = {.lex_state = 28, .external_lex_state = 3},
  [332] = {.lex_state = 28, .external_lex_state = 3},
  [333] = {.lex_state = 28, .external_lex_state = 3},
  [334] = {.lex_state = 28, .external_lex_state = 3},
  [335] = {.lex_state = 28, .external_lex_state = 3},
  [336] = {.lex_state = 28, .external_lex_state = 3},
  [337] = {.lex_state = 28, .external_lex_state = 3},
  [338] = {.lex_state = 28, .external_lex_state = 3},
  [339] = {.lex_state = 28, .external_lex_state = 3},
  [340] = {.lex_state = 28, .external_lex_state = 3},
  [341] = {.lex_state = 28, .external_lex_state = 3},
  [342] = {.lex_state = 28, .external_lex_state = 3},
  [343] = {.lex_state = 28, .external_lex_state = 3},
  [344] = {.lex_state = 28, .external_lex_state = 3},
  [345] = {.lex_state = 28, .external_lex_state = 3},
  [346] = {.lex_state = 28, .external_lex_state = 3},
  [347] = {.lex_state = 28, .external_lex_state = 3},
  [348] = {.lex_state = 28, .external_lex_state = 3},
  [349] = {.lex_state = 28, .external_lex_state = 3},
  [350] = {.lex_state = 46, .external_lex_state = 3},
  [351] = {.lex_state = 28, .external_lex_state = 3},
  [352] = {.lex_state = 28, .external_lex_state = 3},
  [353] = {.lex_state = 28, .external_lex_state = 3},
  [354] = {.lex_state = 28, .external_lex_state = 3},
  [355] = {.lex_state = 28, .external_lex_state = 3},
  [356] = {.lex_state = 28, .external_lex_state = 3},
  [357] = {.lex_state = 28, .external_lex_state = 3},
  [358] = {.lex_state = 28, .external_lex_state = 3},
  [359] = {.lex_state = 28, .external_lex_state = 3},
  [360] = {.lex_state = 28, .external_lex_state = 3},
  [361] = {.lex_state = 28, .external_lex_state = 3},
  [362] = {.lex_state = 28, .external_lex_state = 3},
  [363] = {.lex_state = 28, .external_lex_state = 3},
  [364] = {.lex_state = 28, .external_lex_state = 3},
  [365] = {.lex_state = 28, .external_lex_state = 3},
  [366] = {.lex_state = 28, .external_lex_state = 3},
  [367] = {.lex_state = 28, .external_lex_state = 3},
  [368] = {.lex_state = 28, .external_lex_state = 3},
  [369] = {.lex_state = 28, .external_lex_state = 3},
  [370] = {.lex_state = 28, .external_lex_state = 3},
  [371] = {.lex_state = 28, .external_lex_state = 3},
  [372] = {.lex_state = 28, .external_lex_state = 3},
  [373] = {.lex_state = 28, .external_lex_state = 3},
  [374] = {.lex_state = 28, .external_lex_state = 3},
  [375] = {.lex_state = 28, .external_lex_state = 3},
  [376] = {.lex_state = 28, .external_lex_state = 3},
  [377] = {.lex_state = 28, .external_lex_state = 3},
  [378] = {.lex_state = 28, .external_lex_state = 3},
  [379] = {.lex_state = 28, .external_lex_state = 3},
  [380] = {.lex_state = 28, .external_lex_state = 3},
  [381] = {.lex_state = 28, .external_lex_state = 3},
  [382] = {.lex_state = 28, .external_lex_state = 3},
  [383] = {.lex_state = 28, .external_lex_state = 3},
  [384] = {.lex_state = 28, .external_lex_state = 3},
  [385] = {.lex_state = 28, .external_lex_state = 3},
  [386] = {.lex_state = 28, .external_lex_state = 3},
  [387] = {.lex_state = 28, .external_lex_state = 3},
  [388] = {.lex_state = 28, .external_lex_state = 3},
  [389] = {.lex_state = 28, .external_lex_state = 3},
  [390] = {.lex_state = 28, .external_lex_state = 3},
  [391] = {.lex_state = 28, .external_lex_state = 3},
  [392] = {.lex_state = 28, .external_lex_state = 3},
  [393] = {.lex_state = 28, .external_lex_state = 3},
  [394] = {.lex_state = 28, .external_lex_state = 3},
  [395] = {.lex_state = 28, .external_lex_state = 3},
  [396] = {.lex_state = 28, .external_lex_state = 3},
  [397] = {.lex_state = 28, .external_lex_state = 3},
  [398] = {.lex_state = 28, .external_lex_state = 3},
  [399] = {.lex_state = 28, .external_lex_state = 3},
  [400] = {.lex_state = 28, .external_lex_state = 3},
  [401] = {.lex_state = 28, .external_lex_state = 3},
  [402] = {.lex_state = 28, .external_lex_state = 3},
  [403] = {.lex_state = 28, .external_lex_state = 3},
  [404] = {.lex_state = 28, .external_lex_state = 3},
  [405] = {.lex_state = 28, .external_lex_state = 3},
  [406] = {.lex_state = 28, .external_lex_state = 3},
  [407] = {.lex_state = 28, .external_lex_state = 3},
  [408] = {.lex_state = 28, .external_lex_state = 3},
  [409] = {.lex_state = 28, .external_lex_state = 3},
  [410] = {.lex_state = 28, .external_lex_state = 3},
  [411] = {.lex_state = 28, .external_lex_state = 3},
  [412] = {.lex_state = 28, .external_lex_state = 3},
  [413] = {.lex_state = 28, .external_lex_state = 3},
  [414] = {.lex_state = 28, .external_lex_state = 3},
  [415] = {.lex_state = 28, .external_lex_state = 3},
  [416] = {.lex_state = 28, .external_lex_state = 3},
  [417] = {.lex_state = 28, .external_lex_state = 3},
  [418] = {.lex_state = 28, .external_lex_state = 3},
  [419] = {.lex_state = 28, .external_lex_state = 3},
  [420] = {.lex_state = 28, .external_lex_state = 3},
  [421] = {.lex_state = 28, .external_lex_state = 3},
  [422] = {.lex_state = 28, .external_lex_state = 3},
  [423] = {.lex_state = 28, .external_lex_state = 3},
  [424] = {.lex_state = 28, .external_lex_state = 3},
  [425] = {.lex_state = 28, .external_lex_state = 3},
  [426] = {.lex_state = 28, .external_lex_state = 3},
  [427] = {.lex_state = 28, .external_lex_state = 3},
  [428] = {.lex_state = 28, .external_lex_state = 3},
  [429] = {.lex_state = 28, .external_lex_state = 3},
  [430] = {.lex_state = 28, .external_lex_state = 3},
  [431] = {.lex_state = 28, .external_lex_state = 3},
  [432] = {.lex_state = 28, .external_lex_state = 3},
  [433] = {.lex_state = 28, .external_lex_state = 3},
  [434] = {.lex_state = 28, .external_lex_state = 3},
  [435] = {.lex_state = 28, .external_lex_state = 3},
  [436] = {.lex_state = 28, .external_lex_state = 3},
  [437] = {.lex_state = 28, .external_lex_state = 3},
  [438] = {.lex_state = 28, .external_lex_state = 3},
  [439] = {.lex_state = 28, .external_lex_state = 3},
  [440] = {.lex_state = 28, .external_lex_state = 3},
  [441] = {.lex_state = 28, .external_lex_state = 3},
  [442] = {.lex_state = 28, .external_lex_state = 3},
  [443] = {.lex_state = 28, .external_lex_state = 3},
  [444] = {.lex_state = 28, .external_lex_state = 3},
  [445] = {.lex_state = 28, .external_lex_state = 3},
  [446] = {.lex_state = 28, .external_lex_state = 3},
  [447] = {.lex_state = 28, .external_lex_state = 3},
  [448] = {.lex_state = 28, .external_lex_state = 3},
  [449] = {.lex_state = 28, .external_lex_state = 3},
  [450] = {.lex_state = 28, .external_lex_state = 3},
  [451] = {.lex_state = 28, .external_lex_state = 3},
  [452] = {.lex_state = 28, .external_lex_state = 3},
  [453] = {.lex_state = 28, .external_lex_state = 3},
  [454] = {.lex_state = 28, .external_lex_state = 3},
  [455] = {.lex_state = 28, .external_lex_state = 3},
  [456] = {.lex_state = 28, .external_lex_state = 3},
  [457] = {.lex_state = 28, .external_lex_state = 3},
  [458] = {.lex_state = 28, .external_lex_state = 3},
  [459] = {.lex_state = 28, .external_lex_state = 3},
  [460] = {.lex_state = 28, .external_lex_state = 3},
  [461] = {.lex_state = 28, .external_lex_state = 3},
  [462] = {.lex_state = 28, .external_lex_state = 3},
  [463] = {.lex_state = 28, .external_lex_state = 3},
  [464] = {.lex_state = 28, .external_lex_state = 3},
  [465] = {.lex_state = 28, .external_lex_state = 3},
  [466] = {.lex_state = 28, .external_lex_state = 3},
  [467] = {.lex_state = 28, .external_lex_state = 3},
  [468] = {.lex_state = 28, .external_lex_state = 3},
  [469] = {.lex_state = 28, .external_lex_state = 3},
  [470] = {.lex_state = 28, .external_lex_state = 3},
  [471] = {.lex_state = 28, .external_lex_state = 3},
  [472] = {.lex_state = 28, .external_lex_state = 3},
  [473] = {.lex_state = 28, .external_lex_state = 3},
  [474] = {.lex_state = 28, .external_lex_state = 3},
  [475] = {.lex_state = 28, .external_lex_state = 3},
  [476] = {.lex_state = 28, .external_lex_state = 3},
  [477] = {.lex_state = 28, .external_lex_state = 3},
  [478] = {.lex_state = 28, .external_lex_state = 3},
  [479] = {.lex_state = 28, .external_lex_state = 3},
  [480] = {.lex_state = 28, .external_lex_state = 3},
  [481] = {.lex_state = 28, .external_lex_state = 3},
  [482] = {.lex_state = 28, .external_lex_state = 3},
  [483] = {.lex_state = 28, .external_lex_state = 3},
  [484] = {.lex_state = 28, .external_lex_state = 3},
  [485] = {.lex_state = 28, .external_lex_state = 3},
  [486] = {.lex_state = 28, .external_lex_state = 3},
  [487] = {.lex_state = 28, .external_lex_state = 3},
  [488] = {.lex_state = 28, .external_lex_state = 3},
  [489] = {.lex_state = 28, .external_lex_state = 3},
  [490] = {.lex_state = 28, .external_lex_state = 3},
  [491] = {.lex_state = 28, .external_lex_state = 3},
  [492] = {.lex_state = 28, .external_lex_state = 3},
  [493] = {.lex_state = 28, .external_lex_state = 3},
  [494] = {.lex_state = 28, .external_lex_state = 3},
  [495] = {.lex_state = 28, .external_lex_state = 3},
  [496] = {.lex_state = 28, .external_lex_state = 3},
  [497] = {.lex_state = 28, .external_lex_state = 3},
  [498] = {.lex_state = 28, .external_lex_state = 3},
  [499] = {.lex_state = 32, .external_lex_state = 3},
  [500] = {.lex_state = 28, .external_lex_state = 3},
  [501] = {.lex_state = 28, .external_lex_state = 3},
  [502] = {.lex_state = 28, .external_lex_state = 3},
  [503] = {.lex_state = 28, .external_lex_state = 3},
  [504] = {.lex_state = 28, .external_lex_state = 3},
  [505] = {.lex_state = 28, .external_lex_state = 3},
  [506] = {.lex_state = 28, .external_lex_state = 3},
  [507] = {.lex_state = 28, .external_lex_state = 3},
  [508] = {.lex_state = 28, .external_lex_state = 3},
  [509] = {.lex_state = 28, .external_lex_state = 3},
  [510] = {.lex_state = 28, .external_lex_state = 3},
  [511] = {.lex_state = 28, .external_lex_state = 3},
  [512] = {.lex_state = 51, .external_lex_state = 3},
  [513] = {.lex_state = 32, .external_lex_state = 3},
  [514] = {.lex_state = 28, .external_lex_state = 3},
  [515] = {.lex_state = 28, .external_lex_state = 3},
  [516] = {.lex_state = 52, .external_lex_state = 3},
  [517] = {.lex_state = 28, .external_lex_state = 3},
  [518] = {.lex_state = 47, .external_lex_state = 3},
  [519] = {.lex_state = 28, .external_lex_state = 3},
  [520] = {.lex_state = 28, .external_lex_state = 3},
  [521] = {.lex_state = 28, .external_lex_state = 3},
  [522] = {.lex_state = 28, .external_lex_state = 3},
  [523] = {.lex_state = 28, .external_lex_state = 3},
  [524] = {.lex_state = 32, .external_lex_state = 3},
  [525] = {.lex_state = 28, .external_lex_state = 3},
  [526] = {.lex_state = 28, .external_lex_state = 3},
  [527] = {.lex_state = 28, .external_lex_state = 3},
  [528] = {.lex_state = 28, .external_lex_state = 3},
  [529] = {.lex_state = 28, .external_lex_state = 3},
  [530] = {.lex_state = 28, .external_lex_state = 3},
  [531] = {.lex_state = 28, .external_lex_state = 3},
  [532] = {.lex_state = 28, .external_lex_state = 3},
  [533] = {.lex_state = 28, .external_lex_state = 3},
  [534] = {.lex_state = 28, .external_lex_state = 3},
  [535] = {.lex_state = 28, .external_lex_state = 3},
  [536] = {.lex_state = 28, .external_lex_state = 3},
  [537] = {.lex_state = 28, .external_lex_state = 3},
  [538] = {.lex_state = 32, .external_lex_state = 3},
  [539] = {.lex_state = 28, .external_lex_state = 3},
  [540] = {.lex_state = 44, .external_lex_state = 3},
  [541] = {.lex_state = 28, .external_lex_state = 3},
  [542] = {.lex_state = 28, .external_lex_state = 3},
  [543] = {.lex_state = 28, .external_lex_state = 3},
  [544] = {.lex_state = 28, .external_lex_state = 3},
  [545] = {.lex_state = 28, .external_lex_state = 3},
  [546] = {.lex_state = 28, .external_lex_state = 3},
  [547] = {.lex_state = 28, .external_lex_state = 3},
  [548] = {.lex_state = 28, .external_lex_state = 3},
  [549] = {.lex_state = 28, .external_lex_state = 3},
  [550] = {.lex_state = 28, .external_lex_state = 3},
  [551] = {.lex_state = 28, .external_lex_state = 3},
  [552] = {.lex_state = 28, .external_lex_state = 3},
  [553] = {.lex_state = 28, .external_lex_state = 3},
  [554] = {.lex_state = 28, .external_lex_state = 3},
  [555] = {.lex_state = 28, .external_lex_state = 3},
  [556] = {.lex_state = 28, .external_lex_state = 3},
  [557] = {.lex_state = 28, .external_lex_state = 3},
  [558] = {.lex_state = 28, .external_lex_state = 3},
  [559] = {.lex_state = 28, .external_lex_state = 3},
  [560] = {.lex_state = 28, .external_lex_state = 3},
  [561] = {.lex_state = 28, .external_lex_state = 3},
  [562] = {.lex_state = 28, .external_lex_state = 3},
  [563] = {.lex_state = 28, .external_lex_state = 3},
  [564] = {.lex_state = 28, .external_lex_state = 3},
  [565] = {.lex_state = 28, .external_lex_state = 3},
  [566] = {.lex_state = 28, .external_lex_state = 3},
  [567] = {.lex_state = 28, .external_lex_state = 3},
  [568] = {.lex_state = 28, .external_lex_state = 3},
  [569] = {.lex_state = 28, .external_lex_state = 3},
  [570] = {.lex_state = 28, .external_lex_state = 3},
  [571] = {.lex_state = 28, .external_lex_state = 3},
  [572] = {.lex_state = 28, .external_lex_state = 3},
  [573] = {.lex_state = 28, .external_lex_state = 3},
  [574] = {.lex_state = 28, .external_lex_state = 3},
  [575] = {.lex_state = 28, .external_lex_state = 3},
  [576] = {.lex_state = 28, .external_lex_state = 3},
  [577] = {.lex_state = 28, .external_lex_state = 3},
  [578] = {.lex_state = 28, .external_lex_state = 3},
  [579] = {.lex_state = 28, .external_lex_state = 3},
  [580] = {.lex_state = 28, .external_lex_state = 3},
  [581] = {.lex_state = 28, .external_lex_state = 3},
  [582] = {.lex_state = 28, .external_lex_state = 3},
  [583] = {.lex_state = 28, .external_lex_state = 3},
  [584] = {.lex_state = 28, .external_lex_state = 3},
  [585] = {.lex_state = 28, .external_lex_state = 3},
  [586] = {.lex_state = 28, .external_lex_state = 3},
  [587] = {.lex_state = 28, .external_lex_state = 3},
  [588] = {.lex_state = 28, .external_lex_state = 3},
  [589] = {.lex_state = 28, .external_lex_state = 3},
  [590] = {.lex_state = 28, .external_lex_state = 3},
  [591] = {.lex_state = 28, .external_lex_state = 3},
  [592] = {.lex_state = 28, .external_lex_state = 3},
  [593] = {.lex_state = 28, .external_lex_state = 3},
  [594] = {.lex_state = 28, .external_lex_state = 3},
  [595] = {.lex_state = 28, .external_lex_state = 3},
  [596] = {.lex_state = 28, .external_lex_state = 3},
  [597] = {.lex_state = 28, .external_lex_state = 3},
  [598] = {.lex_state = 28, .external_lex_state = 3},
  [599] = {.lex_state = 28, .external_lex_state = 3},
  [600] = {.lex_state = 28, .external_lex_state = 3},
  [601] = {.lex_state = 28, .external_lex_state = 3},
  [602] = {.lex_state = 28, .external_lex_state = 3},
  [603] = {.lex_state = 28, .external_lex_state = 3},
  [604] = {.lex_state = 28, .external_lex_state = 3},
  [605] = {.lex_state = 28, .external_lex_state = 3},
  [606] = {.lex_state = 28, .external_lex_state = 3},
  [607] = {.lex_state = 28, .external_lex_state = 3},
  [608] = {.lex_state = 28, .external_lex_state = 3},
  [609] = {.lex_state = 28, .external_lex_state = 3},
  [610] = {.lex_state = 28, .external_lex_state = 3},
  [611] = {.lex_state = 28, .external_lex_state = 3},
  [612] = {.lex_state = 28, .external_lex_state = 3},
  [613] = {.lex_state = 28, .external_lex_state = 3},
  [614] = {.lex_state = 28, .external_lex_state = 3},
  [615] = {.lex_state = 28, .external_lex_state = 3},
  [616] = {.lex_state = 28, .external_lex_state = 3},
  [617] = {.lex_state = 28, .external_lex_state = 3},
  [618] = {.lex_state = 28, .external_lex_state = 3},
  [619] = {.lex_state = 28, .external_lex_state = 3},
  [620] = {.lex_state = 28, .external_lex_state = 3},
  [621] = {.lex_state = 28, .external_lex_state = 3},
  [622] = {.lex_state = 28, .external_lex_state = 3},
  [623] = {.lex_state = 28, .external_lex_state = 3},
  [624] = {.lex_state = 28, .external_lex_state = 3},
  [625] = {.lex_state = 28, .external_lex_state = 3},
  [626] = {.lex_state = 28, .external_lex_state = 3},
  [627] = {.lex_state = 28, .external_lex_state = 3},
  [628] = {.lex_state = 28, .external_lex_state = 3},
  [629] = {.lex_state = 28, .external_lex_state = 3},
  [630] = {.lex_state = 28, .external_lex_state = 3},
  [631] = {.lex_state = 28, .external_lex_state = 3},
  [632] = {.lex_state = 28, .external_lex_state = 3},
  [633] = {.lex_state = 28, .external_lex_state = 3},
  [634] = {.lex_state = 28, .external_lex_state = 3},
  [635] = {.lex_state = 28, .external_lex_state = 3},
  [636] = {.lex_state = 28, .external_lex_state = 3},
  [637] = {.lex_state = 28, .external_lex_state = 3},
  [638] = {.lex_state = 28, .external_lex_state = 3},
  [639] = {.lex_state = 28, .external_lex_state = 3},
  [640] = {.lex_state = 28, .external_lex_state = 3},
  [641] = {.lex_state = 28, .external_lex_state = 3},
  [642] = {.lex_state = 28, .external_lex_state = 3},
  [643] = {.lex_state = 28, .external_lex_state = 3},
  [644] = {.lex_state = 28, .external_lex_state = 3},
  [645] = {.lex_state = 28, .external_lex_state = 3},
  [646] = {.lex_state = 28, .external_lex_state = 3},
  [647] = {.lex_state = 28, .external_lex_state = 3},
  [648] = {.lex_state = 28, .external_lex_state = 3},
  [649] = {.lex_state = 28, .external_lex_state = 3},
  [650] = {.lex_state = 28, .external_lex_state = 3},
  [651] = {.lex_state = 28, .external_lex_state = 3},
  [652] = {.lex_state = 28, .external_lex_state = 3},
  [653] = {.lex_state = 28, .external_lex_state = 3},
  [654] = {.lex_state = 28, .external_lex_state = 3},
  [655] = {.lex_state = 28, .external_lex_state = 3},
  [656] = {.lex_state = 28, .external_lex_state = 3},
  [657] = {.lex_state = 45, .external_lex_state = 3},
  [658] = {.lex_state = 28, .external_lex_state = 3},
  [659] = {.lex_state = 28, .external_lex_state = 3},
  [660] = {.lex_state = 28, .external_lex_state = 3},
  [661] = {.lex_state = 28, .external_lex_state = 3},
  [662] = {.lex_state = 28, .external_lex_state = 3},
  [663] = {.lex_state = 28, .external_lex_state = 3},
  [664] = {.lex_state = 28, .external_lex_state = 3},
  [665] = {.lex_state = 28, .external_lex_state = 3},
  [666] = {.lex_state = 28, .external_lex_state = 3},
  [667] = {.lex_state = 28, .external_lex_state = 3},
  [668] = {.lex_state = 28, .external_lex_state = 3},
  [669] = {.lex_state = 28, .external_lex_state = 3},
  [670] = {.lex_state = 28, .external_lex_state = 3},
  [671] = {.lex_state = 28, .external_lex_state = 3},
  [672] = {.lex_state = 28, .external_lex_state = 3},
  [673] = {.lex_state = 28, .external_lex_state = 3},
  [674] = {.lex_state = 28, .external_lex_state = 3},
  [675] = {.lex_state = 28, .external_lex_state = 3},
  [676] = {.lex_state = 28, .external_lex_state = 3},
  [677] = {.lex_state = 28, .external_lex_state = 3},
  [678] = {.lex_state = 28, .external_lex_state = 3},
  [679] = {.lex_state = 28, .external_lex_state = 3},
  [680] = {.lex_state = 28, .external_lex_state = 3},
  [681] = {.lex_state = 53, .external_lex_state = 3},
  [682] = {.lex_state = 28, .external_lex_state = 3},
  [683] = {.lex_state = 28, .external_lex_state = 3},
  [684] = {.lex_state = 28, .external_lex_state = 3},
  [685] = {.lex_state = 28, .external_lex_state = 3},
  [686] = {.lex_state = 28, .external_lex_state = 3},
  [687] = {.lex_state = 28, .external_lex_state = 3},
  [688] = {.lex_state = 28, .external_lex_state = 3},
  [689] = {.lex_state = 28, .external_lex_state = 3},
  [690] = {.lex_state = 28, .external_lex_state = 3},
  [691] = {.lex_state = 28, .external_lex_state = 3},
  [692] = {.lex_state = 28, .external_lex_state = 3},
  [693] = {.lex_state = 28, .external_lex_state = 3},
  [694] = {.lex_state = 28, .external_lex_state = 3},
  [695] = {.lex_state = 28, .external_lex_state = 3},
  [696] = {.lex_state = 28, .external_lex_state = 3},
  [697] = {.lex_state = 28, .external_lex_state = 3},
  [698] = {.lex_state = 28, .external_lex_state = 3},
  [699] = {.lex_state = 28, .external_lex_state = 3},
  [700] = {.lex_state = 28, .external_lex_state = 3},
  [701] = {.lex_state = 28, .external_lex_state = 3},
  [702] = {.lex_state = 28, .external_lex_state = 3},
  [703] = {.lex_state = 28, .external_lex_state = 3},
  [704] = {.lex_state = 28, .external_lex_state = 3},
  [705] = {.lex_state = 28, .external_lex_state = 3},
  [706] = {.lex_state = 28, .external_lex_state = 3},
  [707] = {.lex_state = 28, .external_lex_state = 3},
  [708] = {.lex_state = 28, .external_lex_state = 3},
  [709] = {.lex_state = 28, .external_lex_state = 3},
  [710] = {.lex_state = 28, .external_lex_state = 3},
  [711] = {.lex_state = 28, .external_lex_state = 3},
  [712] = {.lex_state = 28, .external_lex_state = 3},
  [713] = {.lex_state = 28, .external_lex_state = 3},
  [714] = {.lex_state = 28, .external_lex_state = 3},
  [715] = {.lex_state = 28, .external_lex_state = 3},
  [716] = {.lex_state = 28, .external_lex_state = 3},
  [717] = {.lex_state = 28, .external_lex_state = 3},
  [718] = {.lex_state = 28, .external_lex_state = 3},
  [719] = {.lex_state = 28, .external_lex_state = 3},
  [720] = {.lex_state = 28, .external_lex_state = 3},
  [721] = {.lex_state = 28, .external_lex_state = 3},
  [722] = {.lex_state = 28, .external_lex_state = 3},
  [723] = {.lex_state = 28, .external_lex_state = 3},
  [724] = {.lex_state = 28, .external_lex_state = 3},
  [725] = {.lex_state = 28, .external_lex_state = 3},
  [726] = {.lex_state = 28, .external_lex_state = 3},
  [727] = {.lex_state = 28, .external_lex_state = 3},
  [728] = {.lex_state = 28, .external_lex_state = 3},
  [729] = {.lex_state = 28, .external_lex_state = 3},
  [730] = {.lex_state = 28, .external_lex_state = 3},
  [731] = {.lex_state = 28, .external_lex_state = 3},
  [732] = {.lex_state = 28, .external_lex_state = 3},
  [733] = {.lex_state = 28, .external_lex_state = 3},
  [734] = {.lex_state = 28, .external_lex_state = 3},
  [735] = {.lex_state = 28, .external_lex_state = 3},
  [736] = {.lex_state = 28, .external_lex_state = 3},
  [737] = {.lex_state = 28, .external_lex_state = 3},
  [738] = {.lex_state = 28, .external_lex_state = 3},
  [739] = {.lex_state = 28, .external_lex_state = 3},
  [740] = {.lex_state = 28, .external_lex_state = 3},
  [741] = {.lex_state = 28, .external_lex_state = 3},
  [742] = {.lex_state = 28, .external_lex_state = 3},
  [743] = {.lex_state = 28, .external_lex_state = 3},
  [744] = {.lex_state = 28, .external_lex_state = 3},
  [745] = {.lex_state = 28, .external_lex_state = 3},
  [746] = {.lex_state = 28, .external_lex_state = 3},
  [747] = {.lex_state = 28, .external_lex_state = 3},
  [748] = {.lex_state = 28, .external_lex_state = 3},
  [749] = {.lex_state = 28, .external_lex_state = 3},
  [750] = {.lex_state = 28, .external_lex_state = 3},
  [751] = {.lex_state = 28, .external_lex_state = 3},
  [752] = {.lex_state = 28, .external_lex_state = 3},
  [753] = {.lex_state = 28, .external_lex_state = 3},
  [754] = {.lex_state = 28, .external_lex_state = 3},
  [755] = {.lex_state = 28, .external_lex_state = 3},
  [756] = {.lex_state = 28, .external_lex_state = 3},
  [757] = {.lex_state = 28, .external_lex_state = 3},
  [758] = {.lex_state = 28, .external_lex_state = 3},
  [759] = {.lex_state = 28, .external_lex_state = 3},
  [760] = {.lex_state = 28, .external_lex_state = 3},
  [761] = {.lex_state = 28, .external_lex_state = 3},
  [762] = {.lex_state = 28, .external_lex_state = 3},
  [763] = {.lex_state = 28, .external_lex_state = 3},
  [764] = {.lex_state = 28, .external_lex_state = 3},
  [765] = {.lex_state = 28, .external_lex_state = 3},
  [766] = {.lex_state = 28, .external_lex_state = 3},
  [767] = {.lex_state = 28, .external_lex_state = 3},
  [768] = {.lex_state = 28, .external_lex_state = 3},
  [769] = {.lex_state = 28, .external_lex_state = 3},
  [770] = {.lex_state = 28, .external_lex_state = 3},
  [771] = {.lex_state = 28, .external_lex_state = 3},
  [772] = {.lex_state = 28, .external_lex_state = 3},
  [773] = {.lex_state = 28, .external_lex_state = 3},
  [774] = {.lex_state = 28, .external_lex_state = 3},
  [775] = {.lex_state = 28, .external_lex_state = 3},
  [776] = {.lex_state = 28, .external_lex_state = 3},
  [777] = {.lex_state = 28, .external_lex_state = 3},
  [778] = {.lex_state = 28, .external_lex_state = 3},
  [779] = {.lex_state = 28, .external_lex_state = 3},
  [780] = {.lex_state = 28, .external_lex_state = 3},
  [781] = {.lex_state = 28, .external_lex_state = 3},
  [782] = {.lex_state = 28, .external_lex_state = 3},
  [783] = {.lex_state = 28, .external_lex_state = 3},
  [784] = {.lex_state = 28, .external_lex_state = 3},
  [785] = {.lex_state = 28, .external_lex_state = 3},
  [786] = {.lex_state = 28, .external_lex_state = 3},
  [787] = {.lex_state = 28, .external_lex_state = 3},
  [788] = {.lex_state = 28, .external_lex_state = 3},
  [789] = {.lex_state = 28, .external_lex_state = 3},
  [790] = {.lex_state = 28, .external_lex_state = 3},
  [791] = {.lex_state = 28, .external_lex_state = 3},
  [792] = {.lex_state = 28, .external_lex_state = 3},
  [793] = {.lex_state = 28, .external_lex_state = 3},
  [794] = {.lex_state = 28, .external_lex_state = 3},
  [795] = {.lex_state = 28, .external_lex_state = 3},
  [796] = {.lex_state = 28, .external_lex_state = 3},
  [797] = {.lex_state = 28, .external_lex_state = 3},
  [798] = {.lex_state = 28, .external_lex_state = 3},
  [799] = {.lex_state = 28, .external_lex_state = 3},
  [800] = {.lex_state = 28, .external_lex_state = 3},
  [801] = {.lex_state = 28, .external_lex_state = 3},
  [802] = {.lex_state = 28, .external_lex_state = 3},
  [803] = {.lex_state = 28, .external_lex_state = 3},
  [804] = {.lex_state = 28, .external_lex_state = 3},
  [805] = {.lex_state = 28, .external_lex_state = 3},
  [806] = {.lex_state = 28, .external_lex_state = 3},
  [807] = {.lex_state = 28, .external_lex_state = 3},
  [808] = {.lex_state = 28, .external_lex_state = 3},
  [809] = {.lex_state = 28, .external_lex_state = 3},
  [810] = {.lex_state = 28, .external_lex_state = 3},
  [811] = {.lex_state = 28, .external_lex_state = 3},
  [812] = {.lex_state = 28, .external_lex_state = 3},
  [813] = {.lex_state = 28, .external_lex_state = 3},
  [814] = {.lex_state = 28, .external_lex_state = 3},
  [815] = {.lex_state = 28, .external_lex_state = 3},
  [816] = {.lex_state = 28, .external_lex_state = 3},
  [817] = {.lex_state = 28, .external_lex_state = 3},
  [818] = {.lex_state = 28, .external_lex_state = 3},
  [819] = {.lex_state = 28, .external_lex_state = 3},
  [820] = {.lex_state = 28, .external_lex_state = 3},
  [821] = {.lex_state = 28, .external_lex_state = 3},
  [822] = {.lex_state = 28, .external_lex_state = 3},
  [823] = {.lex_state = 28, .external_lex_state = 3},
  [824] = {.lex_state = 28, .external_lex_state = 3},
  [825] = {.lex_state = 28, .external_lex_state = 3},
  [826] = {.lex_state = 28, .external_lex_state = 3},
  [827] = {.lex_state = 28, .external_lex_state = 3},
  [828] = {.lex_state = 28, .external_lex_state = 3},
  [829] = {.lex_state = 28, .external_lex_state = 3},
  [830] = {.lex_state = 28, .external_lex_state = 3},
  [831] = {.lex_state = 28, .external_lex_state = 3},
  [832] = {.lex_state = 28, .external_lex_state = 3},
  [833] = {.lex_state = 28, .external_lex_state = 3},
  [834] = {.lex_state = 28, .external_lex_state = 3},
  [835] = {.lex_state = 28, .external_lex_state = 3},
  [836] = {.lex_state = 28, .external_lex_state = 3},
  [837] = {.lex_state = 28, .external_lex_state = 3},
  [838] = {.lex_state = 28, .external_lex_state = 3},
  [839] = {.lex_state = 28, .external_lex_state = 3},
  [840] = {.lex_state = 28, .external_lex_state = 3},
  [841] = {.lex_state = 28, .external_lex_state = 3},
  [842] = {.lex_state = 28, .external_lex_state = 3},
  [843] = {.lex_state = 28, .external_lex_state = 3},
  [844] = {.lex_state = 28, .external_lex_state = 3},
  [845] = {.lex_state = 28, .external_lex_state = 3},
  [846] = {.lex_state = 28, .external_lex_state = 3},
  [847] = {.lex_state = 28, .external_lex_state = 3},
  [848] = {.lex_state = 28, .external_lex_state = 3},
  [849] = {.lex_state = 28, .external_lex_state = 3},
  [850] = {.lex_state = 28, .external_lex_state = 3},
  [851] = {.lex_state = 28, .external_lex_state = 3},
  [852] = {.lex_state = 28, .external_lex_state = 3},
  [853] = {.lex_state = 28, .external_lex_state = 3},
  [854] = {.lex_state = 28, .external_lex_state = 3},
  [855] = {.lex_state = 28, .external_lex_state = 3},
  [856] = {.lex_state = 28, .external_lex_state = 3},
  [857] = {.lex_state = 28, .external_lex_state = 3},
  [858] = {.lex_state = 28, .external_lex_state = 3},
  [859] = {.lex_state = 28, .external_lex_state = 3},
  [860] = {.lex_state = 28, .external_lex_state = 3},
  [861] = {.lex_state = 28, .external_lex_state = 3},
  [862] = {.lex_state = 28, .external_lex_state = 3},
  [863] = {.lex_state = 28, .external_lex_state = 3},
  [864] = {.lex_state = 28, .external_lex_state = 3},
  [865] = {.lex_state = 28, .external_lex_state = 3},
  [866] = {.lex_state = 28, .external_lex_state = 3},
  [867] = {.lex_state = 28, .external_lex_state = 3},
  [868] = {.lex_state = 28, .external_lex_state = 3},
  [869] = {.lex_state = 28, .external_lex_state = 3},
  [870] = {.lex_state = 28, .external_lex_state = 3},
  [871] = {.lex_state = 28, .external_lex_state = 3},
  [872] = {.lex_state = 28, .external_lex_state = 3},
  [873] = {.lex_state = 28, .external_lex_state = 3},
  [874] = {.lex_state = 28, .external_lex_state = 3},
  [875] = {.lex_state = 28, .external_lex_state = 3},
  [876] = {.lex_state = 28, .external_lex_state = 3},
  [877] = {.lex_state = 28, .external_lex_state = 3},
  [878] = {.lex_state = 28, .external_lex_state = 3},
  [879] = {.lex_state = 28, .external_lex_state = 3},
  [880] = {.lex_state = 28, .external_lex_state = 3},
  [881] = {.lex_state = 28, .external_lex_state = 3},
  [882] = {.lex_state = 28, .external_lex_state = 3},
  [883] = {.lex_state = 28, .external_lex_state = 3},
  [884] = {.lex_state = 28, .external_lex_state = 3},
  [885] = {.lex_state = 28, .external_lex_state = 3},
  [886] = {.lex_state = 28, .external_lex_state = 3},
  [887] = {.lex_state = 28, .external_lex_state = 3},
  [888] = {.lex_state = 28, .external_lex_state = 3},
  [889] = {.lex_state = 28, .external_lex_state = 3},
  [890] = {.lex_state = 28, .external_lex_state = 3},
  [891] = {.lex_state = 28, .external_lex_state = 3},
  [892] = {.lex_state = 28, .external_lex_state = 3},
  [893] = {.lex_state = 28, .external_lex_state = 3},
  [894] = {.lex_state = 28, .external_lex_state = 3},
  [895] = {.lex_state = 28, .external_lex_state = 3},
  [896] = {.lex_state = 28, .external_lex_state = 3},
  [897] = {.lex_state = 28, .external_lex_state = 3},
  [898] = {.lex_state = 28, .external_lex_state = 3},
  [899] = {.lex_state = 28, .external_lex_state = 3},
  [900] = {.lex_state = 28, .external_lex_state = 3},
  [901] = {.lex_state = 28, .external_lex_state = 3},
  [902] = {.lex_state = 28, .external_lex_state = 3},
  [903] = {.lex_state = 28, .external_lex_state = 3},
  [904] = {.lex_state = 28, .external_lex_state = 3},
  [905] = {.lex_state = 28, .external_lex_state = 3},
  [906] = {.lex_state = 28, .external_lex_state = 3},
  [907] = {.lex_state = 28, .external_lex_state = 3},
  [908] = {.lex_state = 28, .external_lex_state = 3},
  [909] = {.lex_state = 28, .external_lex_state = 3},
  [910] = {.lex_state = 28, .external_lex_state = 3},
  [911] = {.lex_state = 28, .external_lex_state = 3},
  [912] = {.lex_state = 28, .external_lex_state = 3},
  [913] = {.lex_state = 28, .external_lex_state = 3},
  [914] = {.lex_state = 28, .external_lex_state = 3},
  [915] = {.lex_state = 28, .external_lex_state = 3},
  [916] = {.lex_state = 28, .external_lex_state = 3},
  [917] = {.lex_state = 28, .external_lex_state = 3},
  [918] = {.lex_state = 28, .external_lex_state = 3},
  [919] = {.lex_state = 28, .external_lex_state = 3},
  [920] = {.lex_state = 28, .external_lex_state = 3},
  [921] = {.lex_state = 28, .external_lex_state = 3},
  [922] = {.lex_state = 28, .external_lex_state = 3},
  [923] = {.lex_state = 28, .external_lex_state = 3},
  [924] = {.lex_state = 28, .external_lex_state = 3},
  [925] = {.lex_state = 28, .external_lex_state = 3},
  [926] = {.lex_state = 28, .external_lex_state = 3},
  [927] = {.lex_state = 28, .external_lex_state = 3},
  [928] = {.lex_state = 28, .external_lex_state = 3},
  [929] = {.lex_state = 28, .external_lex_state = 3},
  [930] = {.lex_state = 28, .external_lex_state = 3},
  [931] = {.lex_state = 28, .external_lex_state = 3},
  [932] = {.lex_state = 28, .external_lex_state = 3},
  [933] = {.lex_state = 28, .external_lex_state = 3},
  [934] = {.lex_state = 28, .external_lex_state = 3},
  [935] = {.lex_state = 28, .external_lex_state = 3},
  [936] = {.lex_state = 28, .external_lex_state = 3},
  [937] = {.lex_state = 28, .external_lex_state = 3},
  [938] = {.lex_state = 28, .external_lex_state = 3},
  [939] = {.lex_state = 28, .external_lex_state = 3},
  [940] = {.lex_state = 28, .external_lex_state = 3},
  [941] = {.lex_state = 28, .external_lex_state = 3},
  [942] = {.lex_state = 28, .external_lex_state = 3},
  [943] = {.lex_state = 28, .external_lex_state = 3},
  [944] = {.lex_state = 28, .external_lex_state = 3},
  [945] = {.lex_state = 28, .external_lex_state = 3},
  [946] = {.lex_state = 28, .external_lex_state = 3},
  [947] = {.lex_state = 28, .external_lex_state = 3},
  [948] = {.lex_state = 28, .external_lex_state = 3},
  [949] = {.lex_state = 28, .external_lex_state = 3},
  [950] = {.lex_state = 28, .external_lex_state = 3},
  [951] = {.lex_state = 28, .external_lex_state = 3},
  [952] = {.lex_state = 28, .external_lex_state = 3},
  [953] = {.lex_state = 28, .external_lex_state = 3},
  [954] = {.lex_state = 28, .external_lex_state = 3},
  [955] = {.lex_state = 28, .external_lex_state = 3},
  [956] = {.lex_state = 28, .external_lex_state = 3},
  [957] = {.lex_state = 28, .external_lex_state = 3},
  [958] = {.lex_state = 28, .external_lex_state = 3},
  [959] = {.lex_state = 28, .external_lex_state = 3},
  [960] = {.lex_state = 28, .external_lex_state = 3},
  [961] = {.lex_state = 28, .external_lex_state = 3},
  [962] = {.lex_state = 28, .external_lex_state = 3},
  [963] = {.lex_state = 28, .external_lex_state = 3},
  [964] = {.lex_state = 28, .external_lex_state = 3},
  [965] = {.lex_state = 28, .external_lex_state = 3},
  [966] = {.lex_state = 28, .external_lex_state = 3},
  [967] = {.lex_state = 28, .external_lex_state = 3},
  [968] = {.lex_state = 28, .external_lex_state = 3},
  [969] = {.lex_state = 28, .external_lex_state = 3},
  [970] = {.lex_state = 28, .external_lex_state = 3},
  [971] = {.lex_state = 28, .external_lex_state = 3},
  [972] = {.lex_state = 28, .external_lex_state = 3},
  [973] = {.lex_state = 28, .external_lex_state = 3},
  [974] = {.lex_state = 28, .external_lex_state = 3},
  [975] = {.lex_state = 28, .external_lex_state = 3},
  [976] = {.lex_state = 28, .external_lex_state = 3},
  [977] = {.lex_state = 28, .external_lex_state = 3},
  [978] = {.lex_state = 28, .external_lex_state = 3},
  [979] = {.lex_state = 28, .external_lex_state = 3},
  [980] = {.lex_state = 28, .external_lex_state = 3},
  [981] = {.lex_state = 28, .external_lex_state = 3},
  [982] = {.lex_state = 28, .external_lex_state = 3},
  [983] = {.lex_state = 28, .external_lex_state = 3},
  [984] = {.lex_state = 28, .external_lex_state = 3},
  [985] = {.lex_state = 28, .external_lex_state = 3},
  [986] = {.lex_state = 28, .external_lex_state = 3},
  [987] = {.lex_state = 28, .external_lex_state = 3},
  [988] = {.lex_state = 28, .external_lex_state = 3},
  [989] = {.lex_state = 28, .external_lex_state = 3},
  [990] = {.lex_state = 28, .external_lex_state = 3},
  [991] = {.lex_state = 28, .external_lex_state = 3},
  [992] = {.lex_state = 28, .external_lex_state = 3},
  [993] = {.lex_state = 28, .external_lex_state = 3},
  [994] = {.lex_state = 28, .external_lex_state = 3},
  [995] = {.lex_state = 28, .external_lex_state = 3},
  [996] = {.lex_state = 28, .external_lex_state = 3},
  [997] = {.lex_state = 28, .external_lex_state = 3},
  [998] = {.lex_state = 28, .external_lex_state = 3},
  [999] = {.lex_state = 28, .external_lex_state = 3},
  [1000] = {.lex_state = 28, .external_lex_state = 3},
  [1001] = {.lex_state = 28, .external_lex_state = 3},
  [1002] = {.lex_state = 28, .external_lex_state = 3},
  [1003] = {.lex_state = 28, .external_lex_state = 3},
  [1004] = {.lex_state = 28, .external_lex_state = 3},
  [1005] = {.lex_state = 28, .external_lex_state = 3},
  [1006] = {.lex_state = 28, .external_lex_state = 3},
  [1007] = {.lex_state = 28, .external_lex_state = 3},
  [1008] = {.lex_state = 28, .external_lex_state = 3},
  [1009] = {.lex_state = 28, .external_lex_state = 3},
  [1010] = {.lex_state = 28, .external_lex_state = 3},
  [1011] = {.lex_state = 28, .external_lex_state = 3},
  [1012] = {.lex_state = 28, .external_lex_state = 3},
  [1013] = {.lex_state = 28, .external_lex_state = 3},
  [1014] = {.lex_state = 28, .external_lex_state = 3},
  [1015] = {.lex_state = 28, .external_lex_state = 3},
  [1016] = {.lex_state = 28, .external_lex_state = 3},
  [1017] = {.lex_state = 28, .external_lex_state = 3},
  [1018] = {.lex_state = 28, .external_lex_state = 3},
  [1019] = {.lex_state = 28, .external_lex_state = 3},
  [1020] = {.lex_state = 28, .external_lex_state = 3},
  [1021] = {.lex_state = 28, .external_lex_state = 3},
  [1022] = {.lex_state = 28, .external_lex_state = 3},
  [1023] = {.lex_state = 28, .external_lex_state = 3},
  [1024] = {.lex_state = 28, .external_lex_state = 3},
  [1025] = {.lex_state = 28, .external_lex_state = 3},
  [1026] = {.lex_state = 28, .external_lex_state = 3},
  [1027] = {.lex_state = 28, .external_lex_state = 3},
  [1028] = {.lex_state = 28, .external_lex_state = 3},
  [1029] = {.lex_state = 28, .external_lex_state = 3},
  [1030] = {.lex_state = 28, .external_lex_state = 3},
  [1031] = {.lex_state = 28, .external_lex_state = 3},
  [1032] = {.lex_state = 28, .external_lex_state = 3},
  [1033] = {.lex_state = 28, .external_lex_state = 3},
  [1034] = {.lex_state = 28, .external_lex_state = 3},
  [1035] = {.lex_state = 28, .external_lex_state = 3},
  [1036] = {.lex_state = 28, .external_lex_state = 3},
  [1037] = {.lex_state = 28, .external_lex_state = 3},
  [1038] = {.lex_state = 28, .external_lex_state = 3},
  [1039] = {.lex_state = 28, .external_lex_state = 3},
  [1040] = {.lex_state = 28, .external_lex_state = 3},
  [1041] = {.lex_state = 28, .external_lex_state = 3},
  [1042] = {.lex_state = 28, .external_lex_state = 3},
  [1043] = {.lex_state = 28, .external_lex_state = 3},
  [1044] = {.lex_state = 28, .external_lex_state = 3},
  [1045] = {.lex_state = 28, .external_lex_state = 3},
  [1046] = {.lex_state = 28, .external_lex_state = 3},
  [1047] = {.lex_state = 28, .external_lex_state = 3},
  [1048] = {.lex_state = 28, .external_lex_state = 3},
  [1049] = {.lex_state = 28, .external_lex_state = 3},
  [1050] = {.lex_state = 28, .external_lex_state = 3},
  [1051] = {.lex_state = 28, .external_lex_state = 3},
  [1052] = {.lex_state = 28, .external_lex_state = 3},
  [1053] = {.lex_state = 28, .external_lex_state = 3},
  [1054] = {.lex_state = 28, .external_lex_state = 3},
  [1055] = {.lex_state = 28, .external_lex_state = 3},
  [1056] = {.lex_state = 28, .external_lex_state = 3},
  [1057] = {.lex_state = 28, .external_lex_state = 3},
  [1058] = {.lex_state = 28, .external_lex_state = 3},
  [1059] = {.lex_state = 28, .external_lex_state = 3},
  [1060] = {.lex_state = 28, .external_lex_state = 3},
  [1061] = {.lex_state = 28, .external_lex_state = 3},
  [1062] = {.lex_state = 28, .external_lex_state = 3},
  [1063] = {.lex_state = 28, .external_lex_state = 3},
  [1064] = {.lex_state = 28, .external_lex_state = 3},
  [1065] = {.lex_state = 28, .external_lex_state = 3},
  [1066] = {.lex_state = 28, .external_lex_state = 3},
  [1067] = {.lex_state = 28, .external_lex_state = 3},
  [1068] = {.lex_state = 28, .external_lex_state = 3},
  [1069] = {.lex_state = 28, .external_lex_state = 3},
  [1070] = {.lex_state = 28, .external_lex_state = 3},
  [1071] = {.lex_state = 28, .external_lex_state = 3},
  [1072] = {.lex_state = 28, .external_lex_state = 3},
  [1073] = {.lex_state = 28, .external_lex_state = 3},
  [1074] = {.lex_state = 28, .external_lex_state = 3},
  [1075] = {.lex_state = 28, .external_lex_state = 3},
  [1076] = {.lex_state = 28, .external_lex_state = 3},
  [1077] = {.lex_state = 28, .external_lex_state = 3},
  [1078] = {.lex_state = 28, .external_lex_state = 3},
  [1079] = {.lex_state = 28, .external_lex_state = 3},
  [1080] = {.lex_state = 28, .external_lex_state = 3},
  [1081] = {.lex_state = 28, .external_lex_state = 3},
  [1082] = {.lex_state = 28, .external_lex_state = 3},
  [1083] = {.lex_state = 28, .external_lex_state = 3},
  [1084] = {.lex_state = 28, .external_lex_state = 3},
  [1085] = {.lex_state = 28, .external_lex_state = 3},
  [1086] = {.lex_state = 28, .external_lex_state = 3},
  [1087] = {.lex_state = 28, .external_lex_state = 3},
  [1088] = {.lex_state = 28, .external_lex_state = 3},
  [1089] = {.lex_state = 28, .external_lex_state = 3},
  [1090] = {.lex_state = 28, .external_lex_state = 3},
  [1091] = {.lex_state = 28, .external_lex_state = 3},
  [1092] = {.lex_state = 28, .external_lex_state = 3},
  [1093] = {.lex_state = 28, .external_lex_state = 3},
  [1094] = {.lex_state = 28, .external_lex_state = 3},
  [1095] = {.lex_state = 28, .external_lex_state = 3},
  [1096] = {.lex_state = 28, .external_lex_state = 3},
  [1097] = {.lex_state = 28, .external_lex_state = 3},
  [1098] = {.lex_state = 28, .external_lex_state = 3},
  [1099] = {.lex_state = 28, .external_lex_state = 3},
  [1100] = {.lex_state = 28, .external_lex_state = 3},
  [1101] = {.lex_state = 28, .external_lex_state = 3},
  [1102] = {.lex_state = 28, .external_lex_state = 3},
  [1103] = {.lex_state = 28, .external_lex_state = 3},
  [1104] = {.lex_state = 28, .external_lex_state = 3},
  [1105] = {.lex_state = 28, .external_lex_state = 3},
  [1106] = {.lex_state = 28, .external_lex_state = 3},
  [1107] = {.lex_state = 28, .external_lex_state = 3},
  [1108] = {.lex_state = 28, .external_lex_state = 3},
  [1109] = {.lex_state = 28, .external_lex_state = 3},
  [1110] = {.lex_state = 28, .external_lex_state = 3},
  [1111] = {.lex_state = 28, .external_lex_state = 3},
  [1112] = {.lex_state = 28, .external_lex_state = 3},
  [1113] = {.lex_state = 28, .external_lex_state = 3},
  [1114] = {.lex_state = 28, .external_lex_state = 3},
  [1115] = {.lex_state = 28, .external_lex_state = 3},
  [1116] = {.lex_state = 28, .external_lex_state = 3},
  [1117] = {.lex_state = 28, .external_lex_state = 3},
  [1118] = {.lex_state = 28, .external_lex_state = 3},
  [1119] = {.lex_state = 28, .external_lex_state = 3},
  [1120] = {.lex_state = 28, .external_lex_state = 3},
  [1121] = {.lex_state = 28, .external_lex_state = 3},
  [1122] = {.lex_state = 28, .external_lex_state = 3},
  [1123] = {.lex_state = 28, .external_lex_state = 3},
  [1124] = {.lex_state = 28, .external_lex_state = 3},
  [1125] = {.lex_state = 28, .external_lex_state = 3},
  [1126] = {.lex_state = 28, .external_lex_state = 3},
  [1127] = {.lex_state = 28, .external_lex_state = 3},
  [1128] = {.lex_state = 28, .external_lex_state = 3},
  [1129] = {.lex_state = 28, .external_lex_state = 3},
  [1130] = {.lex_state = 28, .external_lex_state = 3},
  [1131] = {.lex_state = 28, .external_lex_state = 3},
  [1132] = {.lex_state = 28, .external_lex_state = 3},
  [1133] = {.lex_state = 28, .external_lex_state = 3},
  [1134] = {.lex_state = 28, .external_lex_state = 3},
  [1135] = {.lex_state = 28, .external_lex_state = 3},
  [1136] = {.lex_state = 28, .external_lex_state = 3},
  [1137] = {.lex_state = 28, .external_lex_state = 3},
  [1138] = {.lex_state = 28, .external_lex_state = 3},
  [1139] = {.lex_state = 28, .external_lex_state = 3},
  [1140] = {.lex_state = 28, .external_lex_state = 3},
  [1141] = {.lex_state = 28, .external_lex_state = 3},
  [1142] = {.lex_state = 28, .external_lex_state = 3},
  [1143] = {.lex_state = 28, .external_lex_state = 3},
  [1144] = {.lex_state = 28, .external_lex_state = 3},
  [1145] = {.lex_state = 28, .external_lex_state = 3},
  [1146] = {.lex_state = 28, .external_lex_state = 3},
  [1147] = {.lex_state = 28, .external_lex_state = 3},
  [1148] = {.lex_state = 28, .external_lex_state = 3},
  [1149] = {.lex_state = 28, .external_lex_state = 3},
  [1150] = {.lex_state = 28, .external_lex_state = 3},
  [1151] = {.lex_state = 28, .external_lex_state = 3},
  [1152] = {.lex_state = 28, .external_lex_state = 3},
  [1153] = {.lex_state = 28, .external_lex_state = 3},
  [1154] = {.lex_state = 28, .external_lex_state = 3},
  [1155] = {.lex_state = 28, .external_lex_state = 3},
  [1156] = {.lex_state = 28, .external_lex_state = 3},
  [1157] = {.lex_state = 28, .external_lex_state = 3},
  [1158] = {.lex_state = 28, .external_lex_state = 3},
  [1159] = {.lex_state = 28, .external_lex_state = 3},
  [1160] = {.lex_state = 28, .external_lex_state = 3},
  [1161] = {.lex_state = 28, .external_lex_state = 3},
  [1162] = {.lex_state = 28, .external_lex_state = 3},
  [1163] = {.lex_state = 28, .external_lex_state = 3},
  [1164] = {.lex_state = 28, .external_lex_state = 3},
  [1165] = {.lex_state = 28, .external_lex_state = 3},
  [1166] = {.lex_state = 28, .external_lex_state = 3},
  [1167] = {.lex_state = 28, .external_lex_state = 3},
  [1168] = {.lex_state = 28, .external_lex_state = 3},
  [1169] = {.lex_state = 28, .external_lex_state = 3},
  [1170] = {.lex_state = 28, .external_lex_state = 3},
  [1171] = {.lex_state = 28, .external_lex_state = 3},
  [1172] = {.lex_state = 28, .external_lex_state = 3},
  [1173] = {.lex_state = 28, .external_lex_state = 3},
  [1174] = {.lex_state = 28, .external_lex_state = 3},
  [1175] = {.lex_state = 28, .external_lex_state = 3},
  [1176] = {.lex_state = 28, .external_lex_state = 3},
  [1177] = {.lex_state = 28, .external_lex_state = 3},
  [1178] = {.lex_state = 28, .external_lex_state = 3},
  [1179] = {.lex_state = 28, .external_lex_state = 3},
  [1180] = {.lex_state = 28, .external_lex_state = 3},
  [1181] = {.lex_state = 28, .external_lex_state = 3},
  [1182] = {.lex_state = 28, .external_lex_state = 3},
  [1183] = {.lex_state = 28, .external_lex_state = 3},
  [1184] = {.lex_state = 28, .external_lex_state = 3},
  [1185] = {.lex_state = 28, .external_lex_state = 3},
  [1186] = {.lex_state = 28, .external_lex_state = 3},
  [1187] = {.lex_state = 28, .external_lex_state = 3},
  [1188] = {.lex_state = 28, .external_lex_state = 3},
  [1189] = {.lex_state = 28, .external_lex_state = 3},
  [1190] = {.lex_state = 28, .external_lex_state = 3},
  [1191] = {.lex_state = 28, .external_lex_state = 3},
  [1192] = {.lex_state = 28, .external_lex_state = 3},
  [1193] = {.lex_state = 28, .external_lex_state = 3},
  [1194] = {.lex_state = 28, .external_lex_state = 3},
  [1195] = {.lex_state = 28, .external_lex_state = 3},
  [1196] = {.lex_state = 28, .external_lex_state = 3},
  [1197] = {.lex_state = 28, .external_lex_state = 3},
  [1198] = {.lex_state = 28, .external_lex_state = 3},
  [1199] = {.lex_state = 28, .external_lex_state = 3},
  [1200] = {.lex_state = 28, .external_lex_state = 3},
  [1201] = {.lex_state = 28, .external_lex_state = 3},
  [1202] = {.lex_state = 28, .external_lex_state = 3},
  [1203] = {.lex_state = 28, .external_lex_state = 3},
  [1204] = {.lex_state = 28, .external_lex_state = 3},
  [1205] = {.lex_state = 28, .external_lex_state = 3},
  [1206] = {.lex_state = 28, .external_lex_state = 3},
  [1207] = {.lex_state = 28, .external_lex_state = 3},
  [1208] = {.lex_state = 28, .external_lex_state = 3},
  [1209] = {.lex_state = 28, .external_lex_state = 3},
  [1210] = {.lex_state = 28, .external_lex_state = 3},
  [1211] = {.lex_state = 28, .external_lex_state = 3},
  [1212] = {.lex_state = 28, .external_lex_state = 3},
  [1213] = {.lex_state = 28, .external_lex_state = 3},
  [1214] = {.lex_state = 28, .external_lex_state = 3},
  [1215] = {.lex_state = 28, .external_lex_state = 3},
  [1216] = {.lex_state = 28, .external_lex_state = 3},
  [1217] = {.lex_state = 28, .external_lex_state = 3},
  [1218] = {.lex_state = 28, .external_lex_state = 3},
  [1219] = {.lex_state = 28, .external_lex_state = 3},
  [1220] = {.lex_state = 28, .external_lex_state = 3},
  [1221] = {.lex_state = 28, .external_lex_state = 3},
  [1222] = {.lex_state = 28, .external_lex_state = 3},
  [1223] = {.lex_state = 28, .external_lex_state = 3},
  [1224] = {.lex_state = 28, .external_lex_state = 3},
  [1225] = {.lex_state = 28, .external_lex_state = 3},
  [1226] = {.lex_state = 28, .external_lex_state = 3},
  [1227] = {.lex_state = 28, .external_lex_state = 3},
  [1228] = {.lex_state = 28, .external_lex_state = 3},
  [1229] = {.lex_state = 28, .external_lex_state = 3},
  [1230] = {.lex_state = 28, .external_lex_state = 3},
  [1231] = {.lex_state = 28, .external_lex_state = 3},
  [1232] = {.lex_state = 28, .external_lex_state = 3},
  [1233] = {.lex_state = 28, .external_lex_state = 3},
  [1234] = {.lex_state = 28, .external_lex_state = 3},
  [1235] = {.lex_state = 28, .external_lex_state = 3},
  [1236] = {.lex_state = 28, .external_lex_state = 3},
  [1237] = {.lex_state = 28, .external_lex_state = 3},
  [1238] = {.lex_state = 28, .external_lex_state = 3},
  [1239] = {.lex_state = 28, .external_lex_state = 3},
  [1240] = {.lex_state = 28, .external_lex_state = 3},
  [1241] = {.lex_state = 28, .external_lex_state = 3},
  [1242] = {.lex_state = 28, .external_lex_state = 3},
  [1243] = {.lex_state = 28, .external_lex_state = 3},
  [1244] = {.lex_state = 28, .external_lex_state = 3},
  [1245] = {.lex_state = 28, .external_lex_state = 3},
  [1246] = {.lex_state = 28, .external_lex_state = 3},
  [1247] = {.lex_state = 28, .external_lex_state = 3},
  [1248] = {.lex_state = 28, .external_lex_state = 3},
  [1249] = {.lex_state = 28, .external_lex_state = 3},
  [1250] = {.lex_state = 28, .external_lex_state = 3},
  [1251] = {.lex_state = 28, .external_lex_state = 3},
  [1252] = {.lex_state = 28, .external_lex_state = 3},
  [1253] = {.lex_state = 28, .external_lex_state = 3},
  [1254] = {.lex_state = 28, .external_lex_state = 3},
  [1255] = {.lex_state = 28, .external_lex_state = 3},
  [1256] = {.lex_state = 28, .external_lex_state = 3},
  [1257] = {.lex_state = 28, .external_lex_state = 3},
  [1258] = {.lex_state = 28, .external_lex_state = 3},
  [1259] = {.lex_state = 28, .external_lex_state = 3},
  [1260] = {.lex_state = 28, .external_lex_state = 3},
  [1261] = {.lex_state = 28, .external_lex_state = 3},
  [1262] = {.lex_state = 28, .external_lex_state = 3},
  [1263] = {.lex_state = 28, .external_lex_state = 3},
  [1264] = {.lex_state = 28, .external_lex_state = 3},
  [1265] = {.lex_state = 28, .external_lex_state = 3},
  [1266] = {.lex_state = 28, .external_lex_state = 3},
  [1267] = {.lex_state = 28, .external_lex_state = 3},
  [1268] = {.lex_state = 28, .external_lex_state = 3},
  [1269] = {.lex_state = 28, .external_lex_state = 3},
  [1270] = {.lex_state = 28, .external_lex_state = 3},
  [1271] = {.lex_state = 28, .external_lex_state = 3},
  [1272] = {.lex_state = 28, .external_lex_state = 3},
  [1273] = {.lex_state = 28, .external_lex_state = 3},
  [1274] = {.lex_state = 28, .external_lex_state = 3},
  [1275] = {.lex_state = 28, .external_lex_state = 3},
  [1276] = {.lex_state = 28, .external_lex_state = 3},
  [1277] = {.lex_state = 28, .external_lex_state = 3},
  [1278] = {.lex_state = 28, .external_lex_state = 3},
  [1279] = {.lex_state = 28, .external_lex_state = 3},
  [1280] = {.lex_state = 28, .external_lex_state = 3},
  [1281] = {.lex_state = 28, .external_lex_state = 3},
  [1282] = {.lex_state = 28, .external_lex_state = 3},
  [1283] = {.lex_state = 28, .external_lex_state = 3},
  [1284] = {.lex_state = 28, .external_lex_state = 3},
  [1285] = {.lex_state = 28, .external_lex_state = 3},
  [1286] = {.lex_state = 28, .external_lex_state = 3},
  [1287] = {.lex_state = 28, .external_lex_state = 3},
  [1288] = {.lex_state = 28, .external_lex_state = 3},
  [1289] = {.lex_state = 28, .external_lex_state = 3},
  [1290] = {.lex_state = 28, .external_lex_state = 3},
  [1291] = {.lex_state = 28, .external_lex_state = 3},
  [1292] = {.lex_state = 28, .external_lex_state = 3},
  [1293] = {.lex_state = 28, .external_lex_state = 3},
  [1294] = {.lex_state = 28, .external_lex_state = 3},
  [1295] = {.lex_state = 28, .external_lex_state = 3},
  [1296] = {.lex_state = 28, .external_lex_state = 3},
  [1297] = {.lex_state = 28, .external_lex_state = 3},
  [1298] = {.lex_state = 28, .external_lex_state = 3},
  [1299] = {.lex_state = 28, .external_lex_state = 3},
  [1300] = {.lex_state = 28, .external_lex_state = 3},
  [1301] = {.lex_state = 28, .external_lex_state = 3},
  [1302] = {.lex_state = 28, .external_lex_state = 3},
  [1303] = {.lex_state = 28, .external_lex_state = 3},
  [1304] = {.lex_state = 28, .external_lex_state = 3},
  [1305] = {.lex_state = 28, .external_lex_state = 3},
  [1306] = {.lex_state = 28, .external_lex_state = 3},
  [1307] = {.lex_state = 28, .external_lex_state = 3},
  [1308] = {.lex_state = 28, .external_lex_state = 3},
  [1309] = {.lex_state = 28, .external_lex_state = 3},
  [1310] = {.lex_state = 28, .external_lex_state = 3},
  [1311] = {.lex_state = 28, .external_lex_state = 3},
  [1312] = {.lex_state = 28, .external_lex_state = 3},
  [1313] = {.lex_state = 28, .external_lex_state = 3},
  [1314] = {.lex_state = 28, .external_lex_state = 3},
  [1315] = {.lex_state = 28, .external_lex_state = 3},
  [1316] = {.lex_state = 28, .external_lex_state = 3},
  [1317] = {.lex_state = 28, .external_lex_state = 3},
  [1318] = {.lex_state = 28, .external_lex_state = 3},
  [1319] = {.lex_state = 28, .external_lex_state = 3},
  [1320] = {.lex_state = 28, .external_lex_state = 3},
  [1321] = {.lex_state = 28, .external_lex_state = 3},
  [1322] = {.lex_state = 28, .external_lex_state = 3},
  [1323] = {.lex_state = 28, .external_lex_state = 3},
  [1324] = {.lex_state = 28, .external_lex_state = 3},
  [1325] = {.lex_state = 28, .external_lex_state = 3},
  [1326] = {.lex_state = 28, .external_lex_state = 3},
  [1327] = {.lex_state = 28, .external_lex_state = 3},
  [1328] = {.lex_state = 28, .external_lex_state = 3},
  [1329] = {.lex_state = 28, .external_lex_state = 3},
  [1330] = {.lex_state = 28, .external_lex_state = 3},
  [1331] = {.lex_state = 28, .external_lex_state = 3},
  [1332] = {.lex_state = 28, .external_lex_state = 3},
  [1333] = {.lex_state = 28, .external_lex_state = 3},
  [1334] = {.lex_state = 28, .external_lex_state = 3},
  [1335] = {.lex_state = 28, .external_lex_state = 3},
  [1336] = {.lex_state = 28, .external_lex_state = 3},
  [1337] = {.lex_state = 28, .external_lex_state = 3},
  [1338] = {.lex_state = 28, .external_lex_state = 3},
  [1339] = {.lex_state = 28, .external_lex_state = 3},
  [1340] = {.lex_state = 28, .external_lex_state = 3},
  [1341] = {.lex_state = 28, .external_lex_state = 3},
  [1342] = {.lex_state = 28, .external_lex_state = 3},
  [1343] = {.lex_state = 28, .external_lex_state = 3},
  [1344] = {.lex_state = 28, .external_lex_state = 3},
  [1345] = {.lex_state = 28, .external_lex_state = 3},
  [1346] = {.lex_state = 28, .external_lex_state = 3},
  [1347] = {.lex_state = 28, .external_lex_state = 3},
  [1348] = {.lex_state = 28, .external_lex_state = 3},
  [1349] = {.lex_state = 28, .external_lex_state = 3},
  [1350] = {.lex_state = 28, .external_lex_state = 3},
  [1351] = {.lex_state = 28, .external_lex_state = 3},
  [1352] = {.lex_state = 28, .external_lex_state = 3},
  [1353] = {.lex_state = 28, .external_lex_state = 3},
  [1354] = {.lex_state = 28, .external_lex_state = 3},
  [1355] = {.lex_state = 28, .external_lex_state = 3},
  [1356] = {.lex_state = 28, .external_lex_state = 3},
  [1357] = {.lex_state = 28, .external_lex_state = 3},
  [1358] = {.lex_state = 28, .external_lex_state = 3},
  [1359] = {.lex_state = 28, .external_lex_state = 3},
  [1360] = {.lex_state = 28, .external_lex_state = 3},
  [1361] = {.lex_state = 28, .external_lex_state = 3},
  [1362] = {.lex_state = 28, .external_lex_state = 3},
  [1363] = {.lex_state = 28, .external_lex_state = 3},
  [1364] = {.lex_state = 28, .external_lex_state = 3},
  [1365] = {.lex_state = 28, .external_lex_state = 3},
  [1366] = {.lex_state = 28, .external_lex_state = 3},
  [1367] = {.lex_state = 28, .external_lex_state = 3},
  [1368] = {.lex_state = 28, .external_lex_state = 3},
  [1369] = {.lex_state = 28, .external_lex_state = 3},
  [1370] = {.lex_state = 28, .external_lex_state = 3},
  [1371] = {.lex_state = 28, .external_lex_state = 3},
  [1372] = {.lex_state = 28, .external_lex_state = 3},
  [1373] = {.lex_state = 28, .external_lex_state = 3},
  [1374] = {.lex_state = 28, .external_lex_state = 3},
  [1375] = {.lex_state = 28, .external_lex_state = 3},
  [1376] = {.lex_state = 28, .external_lex_state = 3},
  [1377] = {.lex_state = 28, .external_lex_state = 3},
  [1378] = {.lex_state = 28, .external_lex_state = 3},
  [1379] = {.lex_state = 28, .external_lex_state = 3},
  [1380] = {.lex_state = 28, .external_lex_state = 3},
  [1381] = {.lex_state = 28, .external_lex_state = 3},
  [1382] = {.lex_state = 28, .external_lex_state = 3},
  [1383] = {.lex_state = 28, .external_lex_state = 3},
  [1384] = {.lex_state = 28, .external_lex_state = 3},
  [1385] = {.lex_state = 28, .external_lex_state = 3},
  [1386] = {.lex_state = 28, .external_lex_state = 3},
  [1387] = {.lex_state = 28, .external_lex_state = 3},
  [1388] = {.lex_state = 28, .external_lex_state = 3},
  [1389] = {.lex_state = 28, .external_lex_state = 3},
  [1390] = {.lex_state = 28, .external_lex_state = 3},
  [1391] = {.lex_state = 28, .external_lex_state = 3},
  [1392] = {.lex_state = 28, .external_lex_state = 3},
  [1393] = {.lex_state = 28, .external_lex_state = 3},
  [1394] = {.lex_state = 28, .external_lex_state = 3},
  [1395] = {.lex_state = 28, .external_lex_state = 3},
  [1396] = {.lex_state = 28, .external_lex_state = 3},
  [1397] = {.lex_state = 28, .external_lex_state = 3},
  [1398] = {.lex_state = 28, .external_lex_state = 3},
  [1399] = {.lex_state = 28, .external_lex_state = 3},
  [1400] = {.lex_state = 28, .external_lex_state = 3},
  [1401] = {.lex_state = 28, .external_lex_state = 3},
  [1402] = {.lex_state = 28, .external_lex_state = 3},
  [1403] = {.lex_state = 28, .external_lex_state = 3},
  [1404] = {.lex_state = 28, .external_lex_state = 3},
  [1405] = {.lex_state = 28, .external_lex_state = 3},
  [1406] = {.lex_state = 28, .external_lex_state = 3},
  [1407] = {.lex_state = 28, .external_lex_state = 3},
  [1408] = {.lex_state = 28, .external_lex_state = 3},
  [1409] = {.lex_state = 28, .external_lex_state = 3},
  [1410] = {.lex_state = 28, .external_lex_state = 3},
  [1411] = {.lex_state = 28, .external_lex_state = 3},
  [1412] = {.lex_state = 28, .external_lex_state = 3},
  [1413] = {.lex_state = 28, .external_lex_state = 3},
  [1414] = {.lex_state = 28, .external_lex_state = 3},
  [1415] = {.lex_state = 28, .external_lex_state = 3},
  [1416] = {.lex_state = 28, .external_lex_state = 3},
  [1417] = {.lex_state = 28, .external_lex_state = 3},
  [1418] = {.lex_state = 28, .external_lex_state = 3},
  [1419] = {.lex_state = 28, .external_lex_state = 3},
  [1420] = {.lex_state = 28, .external_lex_state = 3},
  [1421] = {.lex_state = 28, .external_lex_state = 3},
  [1422] = {.lex_state = 28, .external_lex_state = 3},
  [1423] = {.lex_state = 28, .external_lex_state = 3},
  [1424] = {.lex_state = 28, .external_lex_state = 3},
  [1425] = {.lex_state = 28, .external_lex_state = 3},
  [1426] = {.lex_state = 28, .external_lex_state = 3},
  [1427] = {.lex_state = 28, .external_lex_state = 3},
  [1428] = {.lex_state = 28, .external_lex_state = 3},
  [1429] = {.lex_state = 28, .external_lex_state = 3},
  [1430] = {.lex_state = 28, .external_lex_state = 3},
  [1431] = {.lex_state = 28, .external_lex_state = 3},
  [1432] = {.lex_state = 28, .external_lex_state = 3},
  [1433] = {.lex_state = 28, .external_lex_state = 3},
  [1434] = {.lex_state = 28, .external_lex_state = 3},
  [1435] = {.lex_state = 28, .external_lex_state = 3},
  [1436] = {.lex_state = 28, .external_lex_state = 3},
  [1437] = {.lex_state = 28, .external_lex_state = 3},
  [1438] = {.lex_state = 28, .external_lex_state = 3},
  [1439] = {.lex_state = 28, .external_lex_state = 3},
  [1440] = {.lex_state = 28, .external_lex_state = 3},
  [1441] = {.lex_state = 28, .external_lex_state = 3},
  [1442] = {.lex_state = 28, .external_lex_state = 3},
  [1443] = {.lex_state = 28, .external_lex_state = 3},
  [1444] = {.lex_state = 28, .external_lex_state = 3},
  [1445] = {.lex_state = 28, .external_lex_state = 3},
  [1446] = {.lex_state = 28, .external_lex_state = 3},
  [1447] = {.lex_state = 28, .external_lex_state = 3},
  [1448] = {.lex_state = 28, .external_lex_state = 3},
  [1449] = {.lex_state = 28, .external_lex_state = 3},
  [1450] = {.lex_state = 28, .external_lex_state = 3},
  [1451] = {.lex_state = 28, .external_lex_state = 3},
  [1452] = {.lex_state = 28, .external_lex_state = 3},
  [1453] = {.lex_state = 28, .external_lex_state = 3},
  [1454] = {.lex_state = 28, .external_lex_state = 3},
  [1455] = {.lex_state = 28, .external_lex_state = 3},
  [1456] = {.lex_state = 28, .external_lex_state = 3},
  [1457] = {.lex_state = 28, .external_lex_state = 3},
  [1458] = {.lex_state = 28, .external_lex_state = 3},
  [1459] = {.lex_state = 28, .external_lex_state = 3},
  [1460] = {.lex_state = 28, .external_lex_state = 3},
  [1461] = {.lex_state = 28, .external_lex_state = 3},
  [1462] = {.lex_state = 28, .external_lex_state = 3},
  [1463] = {.lex_state = 28, .external_lex_state = 3},
  [1464] = {.lex_state = 28, .external_lex_state = 3},
  [1465] = {.lex_state = 28, .external_lex_state = 3},
  [1466] = {.lex_state = 28, .external_lex_state = 3},
  [1467] = {.lex_state = 28, .external_lex_state = 3},
  [1468] = {.lex_state = 28, .external_lex_state = 3},
  [1469] = {.lex_state = 28, .external_lex_state = 3},
  [1470] = {.lex_state = 28, .external_lex_state = 3},
  [1471] = {.lex_state = 28, .external_lex_state = 3},
  [1472] = {.lex_state = 28, .external_lex_state = 3},
  [1473] = {.lex_state = 28, .external_lex_state = 3},
  [1474] = {.lex_state = 28, .external_lex_state = 3},
  [1475] = {.lex_state = 28, .external_lex_state = 3},
  [1476] = {.lex_state = 28, .external_lex_state = 3},
  [1477] = {.lex_state = 28, .external_lex_state = 3},
  [1478] = {.lex_state = 28, .external_lex_state = 3},
  [1479] = {.lex_state = 28, .external_lex_state = 3},
  [1480] = {.lex_state = 28, .external_lex_state = 3},
  [1481] = {.lex_state = 28, .external_lex_state = 3},
  [1482] = {.lex_state = 28, .external_lex_state = 3},
  [1483] = {.lex_state = 28, .external_lex_state = 3},
  [1484] = {.lex_state = 28, .external_lex_state = 3},
  [1485] = {.lex_state = 28, .external_lex_state = 3},
  [1486] = {.lex_state = 28, .external_lex_state = 3},
  [1487] = {.lex_state = 28, .external_lex_state = 3},
  [1488] = {.lex_state = 28, .external_lex_state = 3},
  [1489] = {.lex_state = 28, .external_lex_state = 3},
  [1490] = {.lex_state = 28, .external_lex_state = 3},
  [1491] = {.lex_state = 28, .external_lex_state = 3},
  [1492] = {.lex_state = 28, .external_lex_state = 3},
  [1493] = {.lex_state = 28, .external_lex_state = 3},
  [1494] = {.lex_state = 28, .external_lex_state = 3},
  [1495] = {.lex_state = 28, .external_lex_state = 3},
  [1496] = {.lex_state = 28, .external_lex_state = 3},
  [1497] = {.lex_state = 28, .external_lex_state = 3},
  [1498] = {.lex_state = 28, .external_lex_state = 3},
  [1499] = {.lex_state = 28, .external_lex_state = 3},
  [1500] = {.lex_state = 28, .external_lex_state = 3},
  [1501] = {.lex_state = 28, .external_lex_state = 3},
  [1502] = {.lex_state = 28, .external_lex_state = 3},
  [1503] = {.lex_state = 28, .external_lex_state = 3},
  [1504] = {.lex_state = 28, .external_lex_state = 3},
  [1505] = {.lex_state = 28, .external_lex_state = 3},
  [1506] = {.lex_state = 28, .external_lex_state = 3},
  [1507] = {.lex_state = 28, .external_lex_state = 3},
  [1508] = {.lex_state = 28, .external_lex_state = 3},
  [1509] = {.lex_state = 28, .external_lex_state = 3},
  [1510] = {.lex_state = 28, .external_lex_state = 3},
  [1511] = {.lex_state = 28, .external_lex_state = 3},
  [1512] = {.lex_state = 28, .external_lex_state = 3},
  [1513] = {.lex_state = 28, .external_lex_state = 3},
  [1514] = {.lex_state = 28, .external_lex_state = 3},
  [1515] = {.lex_state = 28, .external_lex_state = 3},
  [1516] = {.lex_state = 28, .external_lex_state = 3},
  [1517] = {.lex_state = 28, .external_lex_state = 3},
  [1518] = {.lex_state = 28, .external_lex_state = 3},
  [1519] = {.lex_state = 28, .external_lex_state = 3},
  [1520] = {.lex_state = 28, .external_lex_state = 3},
  [1521] = {.lex_state = 28, .external_lex_state = 3},
  [1522] = {.lex_state = 28, .external_lex_state = 3},
  [1523] = {.lex_state = 28, .external_lex_state = 3},
  [1524] = {.lex_state = 28, .external_lex_state = 3},
  [1525] = {.lex_state = 28, .external_lex_state = 3},
  [1526] = {.lex_state = 28, .external_lex_state = 3},
  [1527] = {.lex_state = 28, .external_lex_state = 3},
  [1528] = {.lex_state = 28, .external_lex_state = 3},
  [1529] = {.lex_state = 28, .external_lex_state = 3},
  [1530] = {.lex_state = 28, .external_lex_state = 3},
  [1531] = {.lex_state = 28, .external_lex_state = 3},
  [1532] = {.lex_state = 28, .external_lex_state = 3},
  [1533] = {.lex_state = 28, .external_lex_state = 3},
  [1534] = {.lex_state = 28, .external_lex_state = 3},
  [1535] = {.lex_state = 28, .external_lex_state = 3},
  [1536] = {.lex_state = 28, .external_lex_state = 3},
  [1537] = {.lex_state = 28, .external_lex_state = 3},
  [1538] = {.lex_state = 28, .external_lex_state = 3},
  [1539] = {.lex_state = 28, .external_lex_state = 3},
  [1540] = {.lex_state = 28, .external_lex_state = 3},
  [1541] = {.lex_state = 28, .external_lex_state = 3},
  [1542] = {.lex_state = 28, .external_lex_state = 3},
  [1543] = {.lex_state = 28, .external_lex_state = 3},
  [1544] = {.lex_state = 28, .external_lex_state = 3},
  [1545] = {.lex_state = 28, .external_lex_state = 3},
  [1546] = {.lex_state = 28, .external_lex_state = 3},
  [1547] = {.lex_state = 28, .external_lex_state = 3},
  [1548] = {.lex_state = 28, .external_lex_state = 3},
  [1549] = {.lex_state = 28, .external_lex_state = 3},
  [1550] = {.lex_state = 28, .external_lex_state = 3},
  [1551] = {.lex_state = 28, .external_lex_state = 3},
  [1552] = {.lex_state = 28, .external_lex_state = 3},
  [1553] = {.lex_state = 28, .external_lex_state = 3},
  [1554] = {.lex_state = 28, .external_lex_state = 3},
  [1555] = {.lex_state = 28, .external_lex_state = 3},
  [1556] = {.lex_state = 28, .external_lex_state = 3},
  [1557] = {.lex_state = 28, .external_lex_state = 3},
  [1558] = {.lex_state = 28, .external_lex_state = 3},
  [1559] = {.lex_state = 28, .external_lex_state = 3},
  [1560] = {.lex_state = 28, .external_lex_state = 3},
  [1561] = {.lex_state = 28, .external_lex_state = 3},
  [1562] = {.lex_state = 28, .external_lex_state = 3},
  [1563] = {.lex_state = 28, .external_lex_state = 3},
  [1564] = {.lex_state = 28, .external_lex_state = 3},
  [1565] = {.lex_state = 28, .external_lex_state = 3},
  [1566] = {.lex_state = 28, .external_lex_state = 3},
  [1567] = {.lex_state = 28, .external_lex_state = 3},
  [1568] = {.lex_state = 28, .external_lex_state = 3},
  [1569] = {.lex_state = 28, .external_lex_state = 3},
  [1570] = {.lex_state = 28, .external_lex_state = 3},
  [1571] = {.lex_state = 28, .external_lex_state = 3},
  [1572] = {.lex_state = 28, .external_lex_state = 3},
  [1573] = {.lex_state = 28, .external_lex_state = 3},
  [1574] = {.lex_state = 28, .external_lex_state = 3},
  [1575] = {.lex_state = 28, .external_lex_state = 3},
  [1576] = {.lex_state = 28, .external_lex_state = 3},
  [1577] = {.lex_state = 28, .external_lex_state = 3},
  [1578] = {.lex_state = 28, .external_lex_state = 3},
  [1579] = {.lex_state = 28, .external_lex_state = 3},
  [1580] = {.lex_state = 28, .external_lex_state = 3},
  [1581] = {.lex_state = 28, .external_lex_state = 3},
  [1582] = {.lex_state = 28, .external_lex_state = 3},
  [1583] = {.lex_state = 28, .external_lex_state = 3},
  [1584] = {.lex_state = 28, .external_lex_state = 3},
  [1585] = {.lex_state = 121, .external_lex_state = 3},
  [1586] = {.lex_state = 28, .external_lex_state = 3},
  [1587] = {.lex_state = 28, .external_lex_state = 3},
  [1588] = {.lex_state = 28, .external_lex_state = 3},
  [1589] = {.lex_state = 28, .external_lex_state = 3},
  [1590] = {.lex_state = 28, .external_lex_state = 3},
  [1591] = {.lex_state = 28, .external_lex_state = 3},
  [1592] = {.lex_state = 28, .external_lex_state = 3},
  [1593] = {.lex_state = 28, .external_lex_state = 3},
  [1594] = {.lex_state = 28, .external_lex_state = 3},
  [1595] = {.lex_state = 28, .external_lex_state = 3},
  [1596] = {.lex_state = 28, .external_lex_state = 3},
  [1597] = {.lex_state = 28, .external_lex_state = 3},
  [1598] = {.lex_state = 28, .external_lex_state = 3},
  [1599] = {.lex_state = 28, .external_lex_state = 3},
  [1600] = {.lex_state = 28, .external_lex_state = 3},
  [1601] = {.lex_state = 28, .external_lex_state = 3},
  [1602] = {.lex_state = 28, .external_lex_state = 3},
  [1603] = {.lex_state = 28, .external_lex_state = 3},
  [1604] = {.lex_state = 28, .external_lex_state = 3},
  [1605] = {.lex_state = 28, .external_lex_state = 3},
  [1606] = {.lex_state = 28, .external_lex_state = 3},
  [1607] = {.lex_state = 28, .external_lex_state = 3},
  [1608] = {.lex_state = 28, .external_lex_state = 3},
  [1609] = {.lex_state = 28, .external_lex_state = 3},
  [1610] = {.lex_state = 28, .external_lex_state = 3},
  [1611] = {.lex_state = 117, .external_lex_state = 3},
  [1612] = {.lex_state = 28, .external_lex_state = 3},
  [1613] = {.lex_state = 28, .external_lex_state = 3},
  [1614] = {.lex_state = 28, .external_lex_state = 3},
  [1615] = {.lex_state = 28, .external_lex_state = 3},
  [1616] = {.lex_state = 28, .external_lex_state = 3},
  [1617] = {.lex_state = 28, .external_lex_state = 3},
  [1618] = {.lex_state = 28, .external_lex_state = 3},
  [1619] = {.lex_state = 28, .external_lex_state = 3},
  [1620] = {.lex_state = 28, .external_lex_state = 3},
  [1621] = {.lex_state = 28, .external_lex_state = 3},
  [1622] = {.lex_state = 28, .external_lex_state = 3},
  [1623] = {.lex_state = 28, .external_lex_state = 3},
  [1624] = {.lex_state = 28, .external_lex_state = 3},
  [1625] = {.lex_state = 28, .external_lex_state = 3},
  [1626] = {.lex_state = 28, .external_lex_state = 3},
  [1627] = {.lex_state = 28, .external_lex_state = 3},
  [1628] = {.lex_state = 28, .external_lex_state = 3},
  [1629] = {.lex_state = 28, .external_lex_state = 3},
  [1630] = {.lex_state = 28, .external_lex_state = 3},
  [1631] = {.lex_state = 28, .external_lex_state = 3},
  [1632] = {.lex_state = 28, .external_lex_state = 3},
  [1633] = {.lex_state = 28, .external_lex_state = 3},
  [1634] = {.lex_state = 28, .external_lex_state = 3},
  [1635] = {.lex_state = 28, .external_lex_state = 3},
  [1636] = {.lex_state = 28, .external_lex_state = 3},
  [1637] = {.lex_state = 28, .external_lex_state = 3},
  [1638] = {.lex_state = 28, .external_lex_state = 3},
  [1639] = {.lex_state = 28, .external_lex_state = 3},
  [1640] = {.lex_state = 28, .external_lex_state = 3},
  [1641] = {.lex_state = 28, .external_lex_state = 3},
  [1642] = {.lex_state = 28, .external_lex_state = 3},
  [1643] = {.lex_state = 28, .external_lex_state = 3},
  [1644] = {.lex_state = 28, .external_lex_state = 3},
  [1645] = {.lex_state = 28, .external_lex_state = 3},
  [1646] = {.lex_state = 28, .external_lex_state = 3},
  [1647] = {.lex_state = 28, .external_lex_state = 3},
  [1648] = {.lex_state = 28, .external_lex_state = 3},
  [1649] = {.lex_state = 28, .external_lex_state = 3},
  [1650] = {.lex_state = 28, .external_lex_state = 3},
  [1651] = {.lex_state = 28, .external_lex_state = 3},
  [1652] = {.lex_state = 28, .external_lex_state = 3},
  [1653] = {.lex_state = 28, .external_lex_state = 3},
  [1654] = {.lex_state = 28, .external_lex_state = 3},
  [1655] = {.lex_state = 28, .external_lex_state = 3},
  [1656] = {.lex_state = 28, .external_lex_state = 3},
  [1657] = {.lex_state = 28, .external_lex_state = 3},
  [1658] = {.lex_state = 28, .external_lex_state = 3},
  [1659] = {.lex_state = 28, .external_lex_state = 3},
  [1660] = {.lex_state = 28, .external_lex_state = 3},
  [1661] = {.lex_state = 28, .external_lex_state = 3},
  [1662] = {.lex_state = 28, .external_lex_state = 3},
  [1663] = {.lex_state = 28, .external_lex_state = 3},
  [1664] = {.lex_state = 28, .external_lex_state = 3},
  [1665] = {.lex_state = 54, .external_lex_state = 3},
  [1666] = {.lex_state = 28, .external_lex_state = 3},
  [1667] = {.lex_state = 28, .external_lex_state = 3},
  [1668] = {.lex_state = 28, .external_lex_state = 3},
  [1669] = {.lex_state = 28, .external_lex_state = 3},
  [1670] = {.lex_state = 28, .external_lex_state = 3},
  [1671] = {.lex_state = 28, .external_lex_state = 3},
  [1672] = {.lex_state = 28, .external_lex_state = 3},
  [1673] = {.lex_state = 28, .external_lex_state = 3},
  [1674] = {.lex_state = 28, .external_lex_state = 3},
  [1675] = {.lex_state = 28, .external_lex_state = 3},
  [1676] = {.lex_state = 28, .external_lex_state = 3},
  [1677] = {.lex_state = 28, .external_lex_state = 3},
  [1678] = {.lex_state = 28, .external_lex_state = 3},
  [1679] = {.lex_state = 28, .external_lex_state = 3},
  [1680] = {.lex_state = 28, .external_lex_state = 3},
  [1681] = {.lex_state = 28, .external_lex_state = 3},
  [1682] = {.lex_state = 28, .external_lex_state = 3},
  [1683] = {.lex_state = 28, .external_lex_state = 3},
  [1684] = {.lex_state = 28, .external_lex_state = 3},
  [1685] = {.lex_state = 28, .external_lex_state = 3},
  [1686] = {.lex_state = 28, .external_lex_state = 3},
  [1687] = {.lex_state = 28, .external_lex_state = 3},
  [1688] = {.lex_state = 28, .external_lex_state = 3},
  [1689] = {.lex_state = 28, .external_lex_state = 3},
  [1690] = {.lex_state = 28, .external_lex_state = 3},
  [1691] = {.lex_state = 28, .external_lex_state = 3},
  [1692] = {.lex_state = 28, .external_lex_state = 3},
  [1693] = {.lex_state = 28, .external_lex_state = 3},
  [1694] = {.lex_state = 28, .external_lex_state = 3},
  [1695] = {.lex_state = 28, .external_lex_state = 3},
  [1696] = {.lex_state = 28, .external_lex_state = 3},
  [1697] = {.lex_state = 28, .external_lex_state = 3},
  [1698] = {.lex_state = 28, .external_lex_state = 3},
  [1699] = {.lex_state = 28, .external_lex_state = 3},
  [1700] = {.lex_state = 28, .external_lex_state = 3},
  [1701] = {.lex_state = 28, .external_lex_state = 3},
  [1702] = {.lex_state = 28, .external_lex_state = 3},
  [1703] = {.lex_state = 49, .external_lex_state = 3},
  [1704] = {.lex_state = 28, .external_lex_state = 3},
  [1705] = {.lex_state = 121, .external_lex_state = 3},
  [1706] = {.lex_state = 28, .external_lex_state = 3},
  [1707] = {.lex_state = 28, .external_lex_state = 3},
  [1708] = {.lex_state = 28, .external_lex_state = 3},
  [1709] = {.lex_state = 28, .external_lex_state = 3},
  [1710] = {.lex_state = 28, .external_lex_state = 3},
  [1711] = {.lex_state = 28, .external_lex_state = 3},
  [1712] = {.lex_state = 28, .external_lex_state = 3},
  [1713] = {.lex_state = 28, .external_lex_state = 3},
  [1714] = {.lex_state = 28, .external_lex_state = 3},
  [1715] = {.lex_state = 28, .external_lex_state = 3},
  [1716] = {.lex_state = 28, .external_lex_state = 3},
  [1717] = {.lex_state = 28, .external_lex_state = 3},
  [1718] = {.lex_state = 28, .external_lex_state = 3},
  [1719] = {.lex_state = 28, .external_lex_state = 3},
  [1720] = {.lex_state = 28, .external_lex_state = 3},
  [1721] = {.lex_state = 28, .external_lex_state = 3},
  [1722] = {.lex_state = 28, .external_lex_state = 3},
  [1723] = {.lex_state = 28, .external_lex_state = 3},
  [1724] = {.lex_state = 28, .external_lex_state = 3},
  [1725] = {.lex_state = 28, .external_lex_state = 3},
  [1726] = {.lex_state = 28, .external_lex_state = 3},
  [1727] = {.lex_state = 28, .external_lex_state = 3},
  [1728] = {.lex_state = 28, .external_lex_state = 3},
  [1729] = {.lex_state = 28, .external_lex_state = 3},
  [1730] = {.lex_state = 28, .external_lex_state = 3},
  [1731] = {.lex_state = 28, .external_lex_state = 3},
  [1732] = {.lex_state = 28, .external_lex_state = 3},
  [1733] = {.lex_state = 28, .external_lex_state = 3},
  [1734] = {.lex_state = 28, .external_lex_state = 3},
  [1735] = {.lex_state = 28, .external_lex_state = 3},
  [1736] = {.lex_state = 117, .external_lex_state = 3},
  [1737] = {.lex_state = 28, .external_lex_state = 3},
  [1738] = {.lex_state = 28, .external_lex_state = 3},
  [1739] = {.lex_state = 28, .external_lex_state = 3},
  [1740] = {.lex_state = 28, .external_lex_state = 3},
  [1741] = {.lex_state = 28, .external_lex_state = 3},
  [1742] = {.lex_state = 28, .external_lex_state = 3},
  [1743] = {.lex_state = 28, .external_lex_state = 3},
  [1744] = {.lex_state = 28, .external_lex_state = 3},
  [1745] = {.lex_state = 28, .external_lex_state = 3},
  [1746] = {.lex_state = 28, .external_lex_state = 3},
  [1747] = {.lex_state = 28, .external_lex_state = 3},
  [1748] = {.lex_state = 28, .external_lex_state = 3},
  [1749] = {.lex_state = 28, .external_lex_state = 3},
  [1750] = {.lex_state = 28, .external_lex_state = 3},
  [1751] = {.lex_state = 28, .external_lex_state = 3},
  [1752] = {.lex_state = 28, .external_lex_state = 3},
  [1753] = {.lex_state = 28, .external_lex_state = 3},
  [1754] = {.lex_state = 28, .external_lex_state = 3},
  [1755] = {.lex_state = 28, .external_lex_state = 3},
  [1756] = {.lex_state = 28, .external_lex_state = 3},
  [1757] = {.lex_state = 28, .external_lex_state = 3},
  [1758] = {.lex_state = 28, .external_lex_state = 3},
  [1759] = {.lex_state = 28, .external_lex_state = 3},
  [1760] = {.lex_state = 28, .external_lex_state = 3},
  [1761] = {.lex_state = 28, .external_lex_state = 3},
  [1762] = {.lex_state = 28, .external_lex_state = 3},
  [1763] = {.lex_state = 28, .external_lex_state = 3},
  [1764] = {.lex_state = 28, .external_lex_state = 3},
  [1765] = {.lex_state = 28, .external_lex_state = 3},
  [1766] = {.lex_state = 28, .external_lex_state = 3},
  [1767] = {.lex_state = 28, .external_lex_state = 3},
  [1768] = {.lex_state = 28, .external_lex_state = 3},
  [1769] = {.lex_state = 28, .external_lex_state = 3},
  [1770] = {.lex_state = 28, .external_lex_state = 3},
  [1771] = {.lex_state = 28, .external_lex_state = 3},
  [1772] = {.lex_state = 28, .external_lex_state = 3},
  [1773] = {.lex_state = 28, .external_lex_state = 3},
  [1774] = {.lex_state = 28, .external_lex_state = 3},
  [1775] = {.lex_state = 28, .external_lex_state = 3},
  [1776] = {.lex_state = 28, .external_lex_state = 3},
  [1777] = {.lex_state = 28, .external_lex_state = 3},
  [1778] = {.lex_state = 28, .external_lex_state = 3},
  [1779] = {.lex_state = 28, .external_lex_state = 3},
  [1780] = {.lex_state = 28, .external_lex_state = 3},
  [1781] = {.lex_state = 28, .external_lex_state = 3},
  [1782] = {.lex_state = 28, .external_lex_state = 3},
  [1783] = {.lex_state = 28, .external_lex_state = 3},
  [1784] = {.lex_state = 28, .external_lex_state = 3},
  [1785] = {.lex_state = 28, .external_lex_state = 3},
  [1786] = {.lex_state = 28, .external_lex_state = 3},
  [1787] = {.lex_state = 28, .external_lex_state = 3},
  [1788] = {.lex_state = 28, .external_lex_state = 3},
  [1789] = {.lex_state = 28, .external_lex_state = 3},
  [1790] = {.lex_state = 28, .external_lex_state = 3},
  [1791] = {.lex_state = 28, .external_lex_state = 3},
  [1792] = {.lex_state = 28, .external_lex_state = 3},
  [1793] = {.lex_state = 28, .external_lex_state = 3},
  [1794] = {.lex_state = 28, .external_lex_state = 3},
  [1795] = {.lex_state = 28, .external_lex_state = 3},
  [1796] = {.lex_state = 28, .external_lex_state = 3},
  [1797] = {.lex_state = 28, .external_lex_state = 3},
  [1798] = {.lex_state = 28, .external_lex_state = 3},
  [1799] = {.lex_state = 28, .external_lex_state = 3},
  [1800] = {.lex_state = 28, .external_lex_state = 3},
  [1801] = {.lex_state = 28, .external_lex_state = 3},
  [1802] = {.lex_state = 28, .external_lex_state = 3},
  [1803] = {.lex_state = 28, .external_lex_state = 3},
  [1804] = {.lex_state = 28, .external_lex_state = 3},
  [1805] = {.lex_state = 28, .external_lex_state = 3},
  [1806] = {.lex_state = 28, .external_lex_state = 3},
  [1807] = {.lex_state = 28, .external_lex_state = 3},
  [1808] = {.lex_state = 28, .external_lex_state = 3},
  [1809] = {.lex_state = 28, .external_lex_state = 3},
  [1810] = {.lex_state = 28, .external_lex_state = 3},
  [1811] = {.lex_state = 28, .external_lex_state = 3},
  [1812] = {.lex_state = 28, .external_lex_state = 3},
  [1813] = {.lex_state = 28, .external_lex_state = 3},
  [1814] = {.lex_state = 28, .external_lex_state = 3},
  [1815] = {.lex_state = 28, .external_lex_state = 3},
  [1816] = {.lex_state = 28, .external_lex_state = 3},
  [1817] = {.lex_state = 48, .external_lex_state = 3},
  [1818] = {.lex_state = 28, .external_lex_state = 3},
  [1819] = {.lex_state = 28, .external_lex_state = 3},
  [1820] = {.lex_state = 28, .external_lex_state = 3},
  [1821] = {.lex_state = 28, .external_lex_state = 3},
  [1822] = {.lex_state = 28, .external_lex_state = 3},
  [1823] = {.lex_state = 28, .external_lex_state = 3},
  [1824] = {.lex_state = 28, .external_lex_state = 3},
  [1825] = {.lex_state = 28, .external_lex_state = 3},
  [1826] = {.lex_state = 28, .external_lex_state = 3},
  [1827] = {.lex_state = 28, .external_lex_state = 3},
  [1828] = {.lex_state = 28, .external_lex_state = 3},
  [1829] = {.lex_state = 28, .external_lex_state = 3},
  [1830] = {.lex_state = 28, .external_lex_state = 3},
  [1831] = {.lex_state = 28, .external_lex_state = 3},
  [1832] = {.lex_state = 28, .external_lex_state = 3},
  [1833] = {.lex_state = 28, .external_lex_state = 3},
  [1834] = {.lex_state = 28, .external_lex_state = 3},
  [1835] = {.lex_state = 28, .external_lex_state = 3},
  [1836] = {.lex_state = 28, .external_lex_state = 3},
  [1837] = {.lex_state = 28, .external_lex_state = 3},
  [1838] = {.lex_state = 28, .external_lex_state = 3},
  [1839] = {.lex_state = 28, .external_lex_state = 3},
  [1840] = {.lex_state = 28, .external_lex_state = 3},
  [1841] = {.lex_state = 28, .external_lex_state = 3},
  [1842] = {.lex_state = 28, .external_lex_state = 3},
  [1843] = {.lex_state = 28, .external_lex_state = 3},
  [1844] = {.lex_state = 28, .external_lex_state = 3},
  [1845] = {.lex_state = 28, .external_lex_state = 3},
  [1846] = {.lex_state = 28, .external_lex_state = 3},
  [1847] = {.lex_state = 28, .external_lex_state = 3},
  [1848] = {.lex_state = 28, .external_lex_state = 3},
  [1849] = {.lex_state = 28, .external_lex_state = 3},
  [1850] = {.lex_state = 28, .external_lex_state = 3},
  [1851] = {.lex_state = 28, .external_lex_state = 3},
  [1852] = {.lex_state = 28, .external_lex_state = 3},
  [1853] = {.lex_state = 28, .external_lex_state = 3},
  [1854] = {.lex_state = 28, .external_lex_state = 3},
  [1855] = {.lex_state = 28, .external_lex_state = 3},
  [1856] = {.lex_state = 28, .external_lex_state = 3},
  [1857] = {.lex_state = 28, .external_lex_state = 3},
  [1858] = {.lex_state = 28, .external_lex_state = 3},
  [1859] = {.lex_state = 28, .external_lex_state = 3},
  [1860] = {.lex_state = 28, .external_lex_state = 3},
  [1861] = {.lex_state = 28, .external_lex_state = 3},
  [1862] = {.lex_state = 28, .external_lex_state = 3},
  [1863] = {.lex_state = 28, .external_lex_state = 3},
  [1864] = {.lex_state = 28, .external_lex_state = 3},
  [1865] = {.lex_state = 28, .external_lex_state = 3},
  [1866] = {.lex_state = 28, .external_lex_state = 3},
  [1867] = {.lex_state = 28, .external_lex_state = 3},
  [1868] = {.lex_state = 28, .external_lex_state = 3},
  [1869] = {.lex_state = 28, .external_lex_state = 3},
  [1870] = {.lex_state = 28, .external_lex_state = 3},
  [1871] = {.lex_state = 28, .external_lex_state = 3},
  [1872] = {.lex_state = 28, .external_lex_state = 3},
  [1873] = {.lex_state = 28, .external_lex_state = 3},
  [1874] = {.lex_state = 28, .external_lex_state = 3},
  [1875] = {.lex_state = 28, .external_lex_state = 3},
  [1876] = {.lex_state = 28, .external_lex_state = 3},
  [1877] = {.lex_state = 28, .external_lex_state = 3},
  [1878] = {.lex_state = 28, .external_lex_state = 3},
  [1879] = {.lex_state = 28, .external_lex_state = 3},
  [1880] = {.lex_state = 28, .external_lex_state = 3},
  [1881] = {.lex_state = 28, .external_lex_state = 3},
  [1882] = {.lex_state = 28, .external_lex_state = 3},
  [1883] = {.lex_state = 28, .external_lex_state = 3},
  [1884] = {.lex_state = 28, .external_lex_state = 3},
  [1885] = {.lex_state = 28, .external_lex_state = 3},
  [1886] = {.lex_state = 28, .external_lex_state = 3},
  [1887] = {.lex_state = 28, .external_lex_state = 3},
  [1888] = {.lex_state = 28, .external_lex_state = 3},
  [1889] = {.lex_state = 28, .external_lex_state = 3},
  [1890] = {.lex_state = 28, .external_lex_state = 3},
  [1891] = {.lex_state = 28, .external_lex_state = 3},
  [1892] = {.lex_state = 28, .external_lex_state = 3},
  [1893] = {.lex_state = 28, .external_lex_state = 3},
  [1894] = {.lex_state = 28, .external_lex_state = 3},
  [1895] = {.lex_state = 28, .external_lex_state = 3},
  [1896] = {.lex_state = 28, .external_lex_state = 3},
  [1897] = {.lex_state = 28, .external_lex_state = 3},
  [1898] = {.lex_state = 28, .external_lex_state = 3},
  [1899] = {.lex_state = 28, .external_lex_state = 3},
  [1900] = {.lex_state = 28, .external_lex_state = 3},
  [1901] = {.lex_state = 28, .external_lex_state = 3},
  [1902] = {.lex_state = 28, .external_lex_state = 3},
  [1903] = {.lex_state = 28, .external_lex_state = 3},
  [1904] = {.lex_state = 28, .external_lex_state = 3},
  [1905] = {.lex_state = 28, .external_lex_state = 3},
  [1906] = {.lex_state = 28, .external_lex_state = 3},
  [1907] = {.lex_state = 28, .external_lex_state = 3},
  [1908] = {.lex_state = 28, .external_lex_state = 3},
  [1909] = {.lex_state = 28, .external_lex_state = 3},
  [1910] = {.lex_state = 28, .external_lex_state = 3},
  [1911] = {.lex_state = 28, .external_lex_state = 3},
  [1912] = {.lex_state = 28, .external_lex_state = 3},
  [1913] = {.lex_state = 28, .external_lex_state = 3},
  [1914] = {.lex_state = 28, .external_lex_state = 3},
  [1915] = {.lex_state = 28, .external_lex_state = 3},
  [1916] = {.lex_state = 28, .external_lex_state = 3},
  [1917] = {.lex_state = 28, .external_lex_state = 3},
  [1918] = {.lex_state = 28, .external_lex_state = 3},
  [1919] = {.lex_state = 28, .external_lex_state = 3},
  [1920] = {.lex_state = 28, .external_lex_state = 3},
  [1921] = {.lex_state = 28, .external_lex_state = 3},
  [1922] = {.lex_state = 28, .external_lex_state = 3},
  [1923] = {.lex_state = 28, .external_lex_state = 3},
  [1924] = {.lex_state = 28, .external_lex_state = 3},
  [1925] = {.lex_state = 28, .external_lex_state = 3},
  [1926] = {.lex_state = 28, .external_lex_state = 3},
  [1927] = {.lex_state = 28, .external_lex_state = 3},
  [1928] = {.lex_state = 28, .external_lex_state = 3},
  [1929] = {.lex_state = 28, .external_lex_state = 3},
  [1930] = {.lex_state = 28, .external_lex_state = 3},
  [1931] = {.lex_state = 28, .external_lex_state = 3},
  [1932] = {.lex_state = 28, .external_lex_state = 3},
  [1933] = {.lex_state = 28, .external_lex_state = 3},
  [1934] = {.lex_state = 28, .external_lex_state = 3},
  [1935] = {.lex_state = 28, .external_lex_state = 3},
  [1936] = {.lex_state = 28, .external_lex_state = 3},
  [1937] = {.lex_state = 28, .external_lex_state = 3},
  [1938] = {.lex_state = 28, .external_lex_state = 3},
  [1939] = {.lex_state = 28, .external_lex_state = 3},
  [1940] = {.lex_state = 28, .external_lex_state = 3},
  [1941] = {.lex_state = 28, .external_lex_state = 3},
  [1942] = {.lex_state = 28, .external_lex_state = 3},
  [1943] = {.lex_state = 28, .external_lex_state = 3},
  [1944] = {.lex_state = 28, .external_lex_state = 3},
  [1945] = {.lex_state = 28, .external_lex_state = 3},
  [1946] = {.lex_state = 28, .external_lex_state = 3},
  [1947] = {.lex_state = 28, .external_lex_state = 3},
  [1948] = {.lex_state = 28, .external_lex_state = 3},
  [1949] = {.lex_state = 28, .external_lex_state = 3},
  [1950] = {.lex_state = 28, .external_lex_state = 3},
  [1951] = {.lex_state = 28, .external_lex_state = 3},
  [1952] = {.lex_state = 28, .external_lex_state = 3},
  [1953] = {.lex_state = 28, .external_lex_state = 3},
  [1954] = {.lex_state = 28, .external_lex_state = 3},
  [1955] = {.lex_state = 28, .external_lex_state = 3},
  [1956] = {.lex_state = 28, .external_lex_state = 3},
  [1957] = {.lex_state = 28, .external_lex_state = 3},
  [1958] = {.lex_state = 28, .external_lex_state = 3},
  [1959] = {.lex_state = 28, .external_lex_state = 3},
  [1960] = {.lex_state = 28, .external_lex_state = 3},
  [1961] = {.lex_state = 28, .external_lex_state = 3},
  [1962] = {.lex_state = 28, .external_lex_state = 3},
  [1963] = {.lex_state = 28, .external_lex_state = 3},
  [1964] = {.lex_state = 28, .external_lex_state = 3},
  [1965] = {.lex_state = 28, .external_lex_state = 3},
  [1966] = {.lex_state = 28, .external_lex_state = 3},
  [1967] = {.lex_state = 28, .external_lex_state = 3},
  [1968] = {.lex_state = 28, .external_lex_state = 3},
  [1969] = {.lex_state = 28, .external_lex_state = 3},
  [1970] = {.lex_state = 28, .external_lex_state = 3},
  [1971] = {.lex_state = 28, .external_lex_state = 3},
  [1972] = {.lex_state = 28, .external_lex_state = 3},
  [1973] = {.lex_state = 28, .external_lex_state = 3},
  [1974] = {.lex_state = 28, .external_lex_state = 3},
  [1975] = {.lex_state = 28, .external_lex_state = 3},
  [1976] = {.lex_state = 28, .external_lex_state = 3},
  [1977] = {.lex_state = 28, .external_lex_state = 3},
  [1978] = {.lex_state = 28, .external_lex_state = 3},
  [1979] = {.lex_state = 28, .external_lex_state = 3},
  [1980] = {.lex_state = 28, .external_lex_state = 3},
  [1981] = {.lex_state = 28, .external_lex_state = 3},
  [1982] = {.lex_state = 28, .external_lex_state = 3},
  [1983] = {.lex_state = 28, .external_lex_state = 3},
  [1984] = {.lex_state = 28, .external_lex_state = 3},
  [1985] = {.lex_state = 28, .external_lex_state = 3},
  [1986] = {.lex_state = 55, .external_lex_state = 3},
  [1987] = {.lex_state = 28, .external_lex_state = 3},
  [1988] = {.lex_state = 28, .external_lex_state = 3},
  [1989] = {.lex_state = 28, .external_lex_state = 3},
  [1990] = {.lex_state = 28, .external_lex_state = 3},
  [1991] = {.lex_state = 28, .external_lex_state = 3},
  [1992] = {.lex_state = 28, .external_lex_state = 3},
  [1993] = {.lex_state = 28, .external_lex_state = 3},
  [1994] = {.lex_state = 28, .external_lex_state = 3},
  [1995] = {.lex_state = 28, .external_lex_state = 3},
  [1996] = {.lex_state = 28, .external_lex_state = 3},
  [1997] = {.lex_state = 28, .external_lex_state = 3},
  [1998] = {.lex_state = 28, .external_lex_state = 3},
  [1999] = {.lex_state = 28, .external_lex_state = 3},
  [2000] = {.lex_state = 28, .external_lex_state = 3},
  [2001] = {.lex_state = 28, .external_lex_state = 3},
  [2002] = {.lex_state = 28, .external_lex_state = 3},
  [2003] = {.lex_state = 28, .external_lex_state = 3},
  [2004] = {.lex_state = 28, .external_lex_state = 3},
  [2005] = {.lex_state = 28, .external_lex_state = 3},
  [2006] = {.lex_state = 28, .external_lex_state = 3},
  [2007] = {.lex_state = 28, .external_lex_state = 3},
  [2008] = {.lex_state = 28, .external_lex_state = 3},
  [2009] = {.lex_state = 28, .external_lex_state = 3},
  [2010] = {.lex_state = 28, .external_lex_state = 3},
  [2011] = {.lex_state = 28, .external_lex_state = 3},
  [2012] = {.lex_state = 28, .external_lex_state = 3},
  [2013] = {.lex_state = 28, .external_lex_state = 3},
  [2014] = {.lex_state = 28, .external_lex_state = 3},
  [2015] = {.lex_state = 28, .external_lex_state = 3},
  [2016] = {.lex_state = 28, .external_lex_state = 3},
  [2017] = {.lex_state = 28, .external_lex_state = 3},
  [2018] = {.lex_state = 28, .external_lex_state = 3},
  [2019] = {.lex_state = 28, .external_lex_state = 3},
  [2020] = {.lex_state = 28, .external_lex_state = 3},
  [2021] = {.lex_state = 28, .external_lex_state = 3},
  [2022] = {.lex_state = 28, .external_lex_state = 3},
  [2023] = {.lex_state = 28, .external_lex_state = 3},
  [2024] = {.lex_state = 28, .external_lex_state = 3},
  [2025] = {.lex_state = 28, .external_lex_state = 3},
  [2026] = {.lex_state = 28, .external_lex_state = 3},
  [2027] = {.lex_state = 28, .external_lex_state = 3},
  [2028] = {.lex_state = 28, .external_lex_state = 3},
  [2029] = {.lex_state = 28, .external_lex_state = 3},
  [2030] = {.lex_state = 28, .external_lex_state = 3},
  [2031] = {.lex_state = 28, .external_lex_state = 3},
  [2032] = {.lex_state = 28, .external_lex_state = 3},
  [2033] = {.lex_state = 28, .external_lex_state = 3},
  [2034] = {.lex_state = 28, .external_lex_state = 3},
  [2035] = {.lex_state = 28, .external_lex_state = 3},
  [2036] = {.lex_state = 28, .external_lex_state = 3},
  [2037] = {.lex_state = 28, .external_lex_state = 3},
  [2038] = {.lex_state = 28, .external_lex_state = 3},
  [2039] = {.lex_state = 28, .external_lex_state = 3},
  [2040] = {.lex_state = 28, .external_lex_state = 3},
  [2041] = {.lex_state = 28, .external_lex_state = 3},
  [2042] = {.lex_state = 28, .external_lex_state = 3},
  [2043] = {.lex_state = 28, .external_lex_state = 3},
  [2044] = {.lex_state = 28, .external_lex_state = 3},
  [2045] = {.lex_state = 28, .external_lex_state = 3},
  [2046] = {.lex_state = 28, .external_lex_state = 3},
  [2047] = {.lex_state = 28, .external_lex_state = 3},
  [2048] = {.lex_state = 28, .external_lex_state = 3},
  [2049] = {.lex_state = 28, .external_lex_state = 3},
  [2050] = {.lex_state = 28, .external_lex_state = 3},
  [2051] = {.lex_state = 28, .external_lex_state = 3},
  [2052] = {.lex_state = 28, .external_lex_state = 3},
  [2053] = {.lex_state = 28, .external_lex_state = 3},
  [2054] = {.lex_state = 28, .external_lex_state = 3},
  [2055] = {.lex_state = 28, .external_lex_state = 3},
  [2056] = {.lex_state = 28, .external_lex_state = 3},
  [2057] = {.lex_state = 28, .external_lex_state = 3},
  [2058] = {.lex_state = 28, .external_lex_state = 3},
  [2059] = {.lex_state = 28, .external_lex_state = 3},
  [2060] = {.lex_state = 28, .external_lex_state = 3},
  [2061] = {.lex_state = 28, .external_lex_state = 3},
  [2062] = {.lex_state = 28, .external_lex_state = 3},
  [2063] = {.lex_state = 28, .external_lex_state = 3},
  [2064] = {.lex_state = 28, .external_lex_state = 3},
  [2065] = {.lex_state = 28, .external_lex_state = 3},
  [2066] = {.lex_state = 28, .external_lex_state = 3},
  [2067] = {.lex_state = 28, .external_lex_state = 3},
  [2068] = {.lex_state = 28, .external_lex_state = 3},
  [2069] = {.lex_state = 28, .external_lex_state = 3},
  [2070] = {.lex_state = 28, .external_lex_state = 3},
  [2071] = {.lex_state = 28, .external_lex_state = 3},
  [2072] = {.lex_state = 28, .external_lex_state = 3},
  [2073] = {.lex_state = 28, .external_lex_state = 3},
  [2074] = {.lex_state = 28, .external_lex_state = 3},
  [2075] = {.lex_state = 28, .external_lex_state = 3},
  [2076] = {.lex_state = 28, .external_lex_state = 3},
  [2077] = {.lex_state = 28, .external_lex_state = 3},
  [2078] = {.lex_state = 28, .external_lex_state = 3},
  [2079] = {.lex_state = 28, .external_lex_state = 3},
  [2080] = {.lex_state = 28, .external_lex_state = 3},
  [2081] = {.lex_state = 28, .external_lex_state = 3},
  [2082] = {.lex_state = 28, .external_lex_state = 3},
  [2083] = {.lex_state = 28, .external_lex_state = 3},
  [2084] = {.lex_state = 28, .external_lex_state = 3},
  [2085] = {.lex_state = 28, .external_lex_state = 3},
  [2086] = {.lex_state = 28, .external_lex_state = 3},
  [2087] = {.lex_state = 28, .external_lex_state = 3},
  [2088] = {.lex_state = 28, .external_lex_state = 3},
  [2089] = {.lex_state = 28, .external_lex_state = 3},
  [2090] = {.lex_state = 28, .external_lex_state = 3},
  [2091] = {.lex_state = 28, .external_lex_state = 3},
  [2092] = {.lex_state = 28, .external_lex_state = 3},
  [2093] = {.lex_state = 28, .external_lex_state = 3},
  [2094] = {.lex_state = 28, .external_lex_state = 3},
  [2095] = {.lex_state = 115, .external_lex_state = 3},
  [2096] = {.lex_state = 28, .external_lex_state = 3},
  [2097] = {.lex_state = 28, .external_lex_state = 3},
  [2098] = {.lex_state = 28, .external_lex_state = 3},
  [2099] = {.lex_state = 28, .external_lex_state = 3},
  [2100] = {.lex_state = 28, .external_lex_state = 3},
  [2101] = {.lex_state = 28, .external_lex_state = 3},
  [2102] = {.lex_state = 28, .external_lex_state = 3},
  [2103] = {.lex_state = 28, .external_lex_state = 3},
  [2104] = {.lex_state = 28, .external_lex_state = 3},
  [2105] = {.lex_state = 28, .external_lex_state = 3},
  [2106] = {.lex_state = 28, .external_lex_state = 3},
  [2107] = {.lex_state = 28, .external_lex_state = 3},
  [2108] = {.lex_state = 28, .external_lex_state = 3},
  [2109] = {.lex_state = 28, .external_lex_state = 3},
  [2110] = {.lex_state = 28, .external_lex_state = 3},
  [2111] = {.lex_state = 28, .external_lex_state = 3},
  [2112] = {.lex_state = 28, .external_lex_state = 3},
  [2113] = {.lex_state = 28, .external_lex_state = 3},
  [2114] = {.lex_state = 28, .external_lex_state = 3},
  [2115] = {.lex_state = 28, .external_lex_state = 3},
  [2116] = {.lex_state = 28, .external_lex_state = 3},
  [2117] = {.lex_state = 28, .external_lex_state = 3},
  [2118] = {.lex_state = 28, .external_lex_state = 3},
  [2119] = {.lex_state = 28, .external_lex_state = 3},
  [2120] = {.lex_state = 28, .external_lex_state = 3},
  [2121] = {.lex_state = 28, .external_lex_state = 3},
  [2122] = {.lex_state = 28, .external_lex_state = 3},
  [2123] = {.lex_state = 28, .external_lex_state = 3},
  [2124] = {.lex_state = 28, .external_lex_state = 3},
  [2125] = {.lex_state = 28, .external_lex_state = 3},
  [2126] = {.lex_state = 28, .external_lex_state = 3},
  [2127] = {.lex_state = 28, .external_lex_state = 3},
  [2128] = {.lex_state = 28, .external_lex_state = 3},
  [2129] = {.lex_state = 28, .external_lex_state = 3},
  [2130] = {.lex_state = 28, .external_lex_state = 3},
  [2131] = {.lex_state = 28, .external_lex_state = 3},
  [2132] = {.lex_state = 28, .external_lex_state = 3},
  [2133] = {.lex_state = 28, .external_lex_state = 3},
  [2134] = {.lex_state = 28, .external_lex_state = 3},
  [2135] = {.lex_state = 28, .external_lex_state = 3},
  [2136] = {.lex_state = 28, .external_lex_state = 3},
  [2137] = {.lex_state = 28, .external_lex_state = 3},
  [2138] = {.lex_state = 28, .external_lex_state = 3},
  [2139] = {.lex_state = 28, .external_lex_state = 3},
  [2140] = {.lex_state = 28, .external_lex_state = 3},
  [2141] = {.lex_state = 28, .external_lex_state = 3},
  [2142] = {.lex_state = 28, .external_lex_state = 3},
  [2143] = {.lex_state = 28, .external_lex_state = 3},
  [2144] = {.lex_state = 28, .external_lex_state = 3},
  [2145] = {.lex_state = 28, .external_lex_state = 3},
  [2146] = {.lex_state = 28, .external_lex_state = 3},
  [2147] = {.lex_state = 28, .external_lex_state = 3},
  [2148] = {.lex_state = 28, .external_lex_state = 3},
  [2149] = {.lex_state = 28, .external_lex_state = 3},
  [2150] = {.lex_state = 28, .external_lex_state = 3},
  [2151] = {.lex_state = 28, .external_lex_state = 3},
  [2152] = {.lex_state = 28, .external_lex_state = 3},
  [2153] = {.lex_state = 28, .external_lex_state = 3},
  [2154] = {.lex_state = 28, .external_lex_state = 3},
  [2155] = {.lex_state = 28, .external_lex_state = 3},
  [2156] = {.lex_state = 28, .external_lex_state = 3},
  [2157] = {.lex_state = 28, .external_lex_state = 3},
  [2158] = {.lex_state = 28, .external_lex_state = 3},
  [2159] = {.lex_state = 28, .external_lex_state = 3},
  [2160] = {.lex_state = 28, .external_lex_state = 3},
  [2161] = {.lex_state = 28, .external_lex_state = 3},
  [2162] = {.lex_state = 28, .external_lex_state = 3},
  [2163] = {.lex_state = 28, .external_lex_state = 3},
  [2164] = {.lex_state = 115, .external_lex_state = 3},
  [2165] = {.lex_state = 28, .external_lex_state = 3},
  [2166] = {.lex_state = 28, .external_lex_state = 3},
  [2167] = {.lex_state = 28, .external_lex_state = 3},
  [2168] = {.lex_state = 28, .external_lex_state = 3},
  [2169] = {.lex_state = 28, .external_lex_state = 3},
  [2170] = {.lex_state = 28, .external_lex_state = 3},
  [2171] = {.lex_state = 28, .external_lex_state = 3},
  [2172] = {.lex_state = 28, .external_lex_state = 3},
  [2173] = {.lex_state = 28, .external_lex_state = 3},
  [2174] = {.lex_state = 28, .external_lex_state = 3},
  [2175] = {.lex_state = 28, .external_lex_state = 3},
  [2176] = {.lex_state = 28, .external_lex_state = 3},
  [2177] = {.lex_state = 28, .external_lex_state = 3},
  [2178] = {.lex_state = 28, .external_lex_state = 3},
  [2179] = {.lex_state = 28, .external_lex_state = 3},
  [2180] = {.lex_state = 28, .external_lex_state = 3},
  [2181] = {.lex_state = 28, .external_lex_state = 3},
  [2182] = {.lex_state = 28, .external_lex_state = 3},
  [2183] = {.lex_state = 28, .external_lex_state = 3},
  [2184] = {.lex_state = 28, .external_lex_state = 3},
  [2185] = {.lex_state = 28, .external_lex_state = 3},
  [2186] = {.lex_state = 28, .external_lex_state = 3},
  [2187] = {.lex_state = 28, .external_lex_state = 3},
  [2188] = {.lex_state = 28, .external_lex_state = 3},
  [2189] = {.lex_state = 28, .external_lex_state = 3},
  [2190] = {.lex_state = 28, .external_lex_state = 3},
  [2191] = {.lex_state = 28, .external_lex_state = 3},
  [2192] = {.lex_state = 28, .external_lex_state = 3},
  [2193] = {.lex_state = 28, .external_lex_state = 3},
  [2194] = {.lex_state = 28, .external_lex_state = 3},
  [2195] = {.lex_state = 28, .external_lex_state = 3},
  [2196] = {.lex_state = 28, .external_lex_state = 3},
  [2197] = {.lex_state = 28, .external_lex_state = 3},
  [2198] = {.lex_state = 28, .external_lex_state = 3},
  [2199] = {.lex_state = 28, .external_lex_state = 3},
  [2200] = {.lex_state = 28, .external_lex_state = 3},
  [2201] = {.lex_state = 28, .external_lex_state = 3},
  [2202] = {.lex_state = 28, .external_lex_state = 3},
  [2203] = {.lex_state = 28, .external_lex_state = 3},
  [2204] = {.lex_state = 28, .external_lex_state = 3},
  [2205] = {.lex_state = 28, .external_lex_state = 3},
  [2206] = {.lex_state = 28, .external_lex_state = 3},
  [2207] = {.lex_state = 28, .external_lex_state = 3},
  [2208] = {.lex_state = 28, .external_lex_state = 3},
  [2209] = {.lex_state = 28, .external_lex_state = 3},
  [2210] = {.lex_state = 28, .external_lex_state = 3},
  [2211] = {.lex_state = 28, .external_lex_state = 3},
  [2212] = {.lex_state = 28, .external_lex_state = 3},
  [2213] = {.lex_state = 28, .external_lex_state = 3},
  [2214] = {.lex_state = 28, .external_lex_state = 3},
  [2215] = {.lex_state = 28, .external_lex_state = 3},
  [2216] = {.lex_state = 28, .external_lex_state = 3},
  [2217] = {.lex_state = 28, .external_lex_state = 3},
  [2218] = {.lex_state = 28, .external_lex_state = 3},
  [2219] = {.lex_state = 28, .external_lex_state = 3},
  [2220] = {.lex_state = 28, .external_lex_state = 3},
  [2221] = {.lex_state = 28, .external_lex_state = 3},
  [2222] = {.lex_state = 28, .external_lex_state = 3},
  [2223] = {.lex_state = 28, .external_lex_state = 3},
  [2224] = {.lex_state = 28, .external_lex_state = 3},
  [2225] = {.lex_state = 28, .external_lex_state = 3},
  [2226] = {.lex_state = 28, .external_lex_state = 3},
  [2227] = {.lex_state = 28, .external_lex_state = 3},
  [2228] = {.lex_state = 28, .external_lex_state = 3},
  [2229] = {.lex_state = 28, .external_lex_state = 3},
  [2230] = {.lex_state = 28, .external_lex_state = 3},
  [2231] = {.lex_state = 28, .external_lex_state = 3},
  [2232] = {.lex_state = 28, .external_lex_state = 3},
  [2233] = {.lex_state = 28, .external_lex_state = 3},
  [2234] = {.lex_state = 28, .external_lex_state = 3},
  [2235] = {.lex_state = 28, .external_lex_state = 3},
  [2236] = {.lex_state = 28, .external_lex_state = 3},
  [2237] = {.lex_state = 28, .external_lex_state = 3},
  [2238] = {.lex_state = 28, .external_lex_state = 3},
  [2239] = {.lex_state = 28, .external_lex_state = 3},
  [2240] = {.lex_state = 28, .external_lex_state = 3},
  [2241] = {.lex_state = 28, .external_lex_state = 3},
  [2242] = {.lex_state = 28, .external_lex_state = 3},
  [2243] = {.lex_state = 28, .external_lex_state = 3},
  [2244] = {.lex_state = 28, .external_lex_state = 3},
  [2245] = {.lex_state = 28, .external_lex_state = 3},
  [2246] = {.lex_state = 28, .external_lex_state = 3},
  [2247] = {.lex_state = 28, .external_lex_state = 3},
  [2248] = {.lex_state = 28, .external_lex_state = 3},
  [2249] = {.lex_state = 28, .external_lex_state = 3},
  [2250] = {.lex_state = 28, .external_lex_state = 3},
  [2251] = {.lex_state = 28, .external_lex_state = 3},
  [2252] = {.lex_state = 28, .external_lex_state = 3},
  [2253] = {.lex_state = 28, .external_lex_state = 3},
  [2254] = {.lex_state = 28, .external_lex_state = 3},
  [2255] = {.lex_state = 28, .external_lex_state = 3},
  [2256] = {.lex_state = 28, .external_lex_state = 3},
  [2257] = {.lex_state = 28, .external_lex_state = 3},
  [2258] = {.lex_state = 28, .external_lex_state = 3},
  [2259] = {.lex_state = 28, .external_lex_state = 3},
  [2260] = {.lex_state = 28, .external_lex_state = 3},
  [2261] = {.lex_state = 28, .external_lex_state = 3},
  [2262] = {.lex_state = 28, .external_lex_state = 3},
  [2263] = {.lex_state = 28, .external_lex_state = 3},
  [2264] = {.lex_state = 28, .external_lex_state = 3},
  [2265] = {.lex_state = 28, .external_lex_state = 3},
  [2266] = {.lex_state = 28, .external_lex_state = 3},
  [2267] = {.lex_state = 28, .external_lex_state = 3},
  [2268] = {.lex_state = 28, .external_lex_state = 3},
  [2269] = {.lex_state = 28, .external_lex_state = 3},
  [2270] = {.lex_state = 28, .external_lex_state = 3},
  [2271] = {.lex_state = 28, .external_lex_state = 3},
  [2272] = {.lex_state = 28, .external_lex_state = 3},
  [2273] = {.lex_state = 28, .external_lex_state = 3},
  [2274] = {.lex_state = 28, .external_lex_state = 3},
  [2275] = {.lex_state = 28, .external_lex_state = 3},
  [2276] = {.lex_state = 28, .external_lex_state = 3},
  [2277] = {.lex_state = 28, .external_lex_state = 3},
  [2278] = {.lex_state = 28, .external_lex_state = 3},
  [2279] = {.lex_state = 28, .external_lex_state = 3},
  [2280] = {.lex_state = 28, .external_lex_state = 3},
  [2281] = {.lex_state = 28, .external_lex_state = 3},
  [2282] = {.lex_state = 28, .external_lex_state = 3},
  [2283] = {.lex_state = 28, .external_lex_state = 3},
  [2284] = {.lex_state = 28, .external_lex_state = 3},
  [2285] = {.lex_state = 28, .external_lex_state = 3},
  [2286] = {.lex_state = 28, .external_lex_state = 3},
  [2287] = {.lex_state = 28, .external_lex_state = 3},
  [2288] = {.lex_state = 28, .external_lex_state = 3},
  [2289] = {.lex_state = 28, .external_lex_state = 3},
  [2290] = {.lex_state = 28, .external_lex_state = 3},
  [2291] = {.lex_state = 28, .external_lex_state = 3},
  [2292] = {.lex_state = 28, .external_lex_state = 3},
  [2293] = {.lex_state = 28, .external_lex_state = 3},
  [2294] = {.lex_state = 28, .external_lex_state = 3},
  [2295] = {.lex_state = 28, .external_lex_state = 3},
  [2296] = {.lex_state = 28, .external_lex_state = 3},
  [2297] = {.lex_state = 28, .external_lex_state = 3},
  [2298] = {.lex_state = 28, .external_lex_state = 3},
  [2299] = {.lex_state = 28, .external_lex_state = 3},
  [2300] = {.lex_state = 28, .external_lex_state = 3},
  [2301] = {.lex_state = 28, .external_lex_state = 3},
  [2302] = {.lex_state = 28, .external_lex_state = 3},
  [2303] = {.lex_state = 28, .external_lex_state = 3},
  [2304] = {.lex_state = 28, .external_lex_state = 3},
  [2305] = {.lex_state = 28, .external_lex_state = 3},
  [2306] = {.lex_state = 28, .external_lex_state = 3},
  [2307] = {.lex_state = 28, .external_lex_state = 3},
  [2308] = {.lex_state = 28, .external_lex_state = 3},
  [2309] = {.lex_state = 28, .external_lex_state = 3},
  [2310] = {.lex_state = 28, .external_lex_state = 3},
  [2311] = {.lex_state = 28, .external_lex_state = 3},
  [2312] = {.lex_state = 28, .external_lex_state = 3},
  [2313] = {.lex_state = 28, .external_lex_state = 3},
  [2314] = {.lex_state = 28, .external_lex_state = 3},
  [2315] = {.lex_state = 28, .external_lex_state = 3},
  [2316] = {.lex_state = 28, .external_lex_state = 3},
  [2317] = {.lex_state = 28, .external_lex_state = 3},
  [2318] = {.lex_state = 28, .external_lex_state = 3},
  [2319] = {.lex_state = 28, .external_lex_state = 3},
  [2320] = {.lex_state = 28, .external_lex_state = 3},
  [2321] = {.lex_state = 28, .external_lex_state = 3},
  [2322] = {.lex_state = 28, .external_lex_state = 3},
  [2323] = {.lex_state = 28, .external_lex_state = 3},
  [2324] = {.lex_state = 28, .external_lex_state = 3},
  [2325] = {.lex_state = 28, .external_lex_state = 3},
  [2326] = {.lex_state = 28, .external_lex_state = 3},
  [2327] = {.lex_state = 28, .external_lex_state = 3},
  [2328] = {.lex_state = 28, .external_lex_state = 3},
  [2329] = {.lex_state = 28, .external_lex_state = 3},
  [2330] = {.lex_state = 28, .external_lex_state = 3},
  [2331] = {.lex_state = 123, .external_lex_state = 3},
  [2332] = {.lex_state = 28, .external_lex_state = 3},
  [2333] = {.lex_state = 28, .external_lex_state = 3},
  [2334] = {.lex_state = 28, .external_lex_state = 3},
  [2335] = {.lex_state = 28, .external_lex_state = 3},
  [2336] = {.lex_state = 28, .external_lex_state = 3},
  [2337] = {.lex_state = 28, .external_lex_state = 3},
  [2338] = {.lex_state = 28, .external_lex_state = 3},
  [2339] = {.lex_state = 28, .external_lex_state = 3},
  [2340] = {.lex_state = 28, .external_lex_state = 3},
  [2341] = {.lex_state = 28, .external_lex_state = 3},
  [2342] = {.lex_state = 28, .external_lex_state = 3},
  [2343] = {.lex_state = 28, .external_lex_state = 3},
  [2344] = {.lex_state = 28, .external_lex_state = 3},
  [2345] = {.lex_state = 28, .external_lex_state = 3},
  [2346] = {.lex_state = 28, .external_lex_state = 3},
  [2347] = {.lex_state = 28, .external_lex_state = 3},
  [2348] = {.lex_state = 28, .external_lex_state = 3},
  [2349] = {.lex_state = 28, .external_lex_state = 3},
  [2350] = {.lex_state = 28, .external_lex_state = 3},
  [2351] = {.lex_state = 28, .external_lex_state = 3},
  [2352] = {.lex_state = 28, .external_lex_state = 3},
  [2353] = {.lex_state = 28, .external_lex_state = 3},
  [2354] = {.lex_state = 28, .external_lex_state = 3},
  [2355] = {.lex_state = 28, .external_lex_state = 3},
  [2356] = {.lex_state = 28, .external_lex_state = 3},
  [2357] = {.lex_state = 28, .external_lex_state = 3},
  [2358] = {.lex_state = 28, .external_lex_state = 3},
  [2359] = {.lex_state = 28, .external_lex_state = 3},
  [2360] = {.lex_state = 28, .external_lex_state = 3},
  [2361] = {.lex_state = 28, .external_lex_state = 3},
  [2362] = {.lex_state = 28, .external_lex_state = 3},
  [2363] = {.lex_state = 28, .external_lex_state = 3},
  [2364] = {.lex_state = 28, .external_lex_state = 3},
  [2365] = {.lex_state = 28, .external_lex_state = 3},
  [2366] = {.lex_state = 28, .external_lex_state = 3},
  [2367] = {.lex_state = 28, .external_lex_state = 3},
  [2368] = {.lex_state = 28, .external_lex_state = 3},
  [2369] = {.lex_state = 28, .external_lex_state = 3},
  [2370] = {.lex_state = 28, .external_lex_state = 3},
  [2371] = {.lex_state = 28, .external_lex_state = 3},
  [2372] = {.lex_state = 28, .external_lex_state = 3},
  [2373] = {.lex_state = 28, .external_lex_state = 3},
  [2374] = {.lex_state = 28, .external_lex_state = 3},
  [2375] = {.lex_state = 28, .external_lex_state = 3},
  [2376] = {.lex_state = 28, .external_lex_state = 3},
  [2377] = {.lex_state = 28, .external_lex_state = 3},
  [2378] = {.lex_state = 28, .external_lex_state = 3},
  [2379] = {.lex_state = 28, .external_lex_state = 3},
  [2380] = {.lex_state = 28, .external_lex_state = 3},
  [2381] = {.lex_state = 28, .external_lex_state = 3},
  [2382] = {.lex_state = 28, .external_lex_state = 3},
  [2383] = {.lex_state = 28, .external_lex_state = 3},
  [2384] = {.lex_state = 28, .external_lex_state = 3},
  [2385] = {.lex_state = 28, .external_lex_state = 3},
  [2386] = {.lex_state = 28, .external_lex_state = 3},
  [2387] = {.lex_state = 123, .external_lex_state = 3},
  [2388] = {.lex_state = 118, .external_lex_state = 3},
  [2389] = {.lex_state = 122, .external_lex_state = 3},
  [2390] = {.lex_state = 118, .external_lex_state = 3},
  [2391] = {.lex_state = 28, .external_lex_state = 3},
  [2392] = {.lex_state = 122, .external_lex_state = 3},
  [2393] = {.lex_state = 28, .external_lex_state = 3},
  [2394] = {.lex_state = 28, .external_lex_state = 3},
  [2395] = {.lex_state = 124, .external_lex_state = 3},
  [2396] = {.lex_state = 116, .external_lex_state = 3},
  [2397] = {.lex_state = 116, .external_lex_state = 3},
  [2398] = {.lex_state = 124, .external_lex_state = 3},
  [2399] = {.lex_state = 120, .external_lex_state = 3},
  [2400] = {.lex_state = 120, .external_lex_state = 3},
  [2401] = {.lex_state = 125, .external_lex_state = 3},
  [2402] = {.lex_state = 125, .external_lex_state = 3},
  [2403] = {.lex_state = 119, .external_lex_state = 3},
  [2404] = {.lex_state = 126, .external_lex_state = 3},
  [2405] = {.lex_state = 126, .external_lex_state = 3},
  [2406] = {.lex_state = 119, .external_lex_state = 3},
  [2407] = {.lex_state = 72, .external_lex_state = 3},
  [2408] = {.lex_state = 73, .external_lex_state = 3},
  [2409] = {.lex_state = 41, .external_lex_state = 3},
  [2410] = {.lex_state = 43, .external_lex_state = 3},
  [2411] = {.lex_state = 40, .external_lex_state = 3},
  [2412] = {.lex_state = 72, .external_lex_state = 3},
  [2413] = {.lex_state = 72, .external_lex_state = 3},
  [2414] = {.lex_state = 42, .external_lex_state = 3},
  [2415] = {.lex_state = 73, .external_lex_state = 3},
  [2416] = {.lex_state = 73, .external_lex_state = 3},
  [2417] = {.lex_state = 41, .external_lex_state = 3},
  [2418] = {.lex_state = 41, .external_lex_state = 3},
  [2419] = {.lex_state = 43, .external_lex_state = 3},
  [2420] = {.lex_state = 40, .external_lex_state = 3},
  [2421] = {.lex_state = 86, .external_lex_state = 3},
  [2422] = {.lex_state = 43, .external_lex_state = 3},
  [2423] = {.lex_state = 40, .external_lex_state = 3},
  [2424] = {.lex_state = 88, .external_lex_state = 3},
  [2425] = {.lex_state = 182, .external_lex_state = 3},
  [2426] = {.lex_state = 42, .external_lex_state = 3},
  [2427] = {.lex_state = 88, .external_lex_state = 3},
  [2428] = {.lex_state = 182, .external_lex_state = 3},
  [2429] = {.lex_state = 88, .external_lex_state = 3},
  [2430] = {.lex_state = 87, .external_lex_state = 3},
  [2431] = {.lex_state = 88, .external_lex_state = 3},
  [2432] = {.lex_state = 42, .external_lex_state = 3},
  [2433] = {.lex_state = 88, .external_lex_state = 3},
  [2434] = {.lex_state = 88, .external_lex_state = 3},
  [2435] = {.lex_state = 88, .external_lex_state = 3},
  [2436] = {.lex_state = 88, .external_lex_state = 3},
  [2437] = {.lex_state = 184, .external_lex_state = 3},
  [2438] = {.lex_state = 184, .external_lex_state = 3},
  [2439] = {.lex_state = 183, .external_lex_state = 3},
  [2440] = {.lex_state = 185, .external_lex_state = 3},
  [2441] = {.lex_state = 185, .external_lex_state = 3},
  [2442] = {.lex_state = 183, .external_lex_state = 3},
  [2443] = {.lex_state = 76, .external_lex_state = 3},
  [2444] = {.lex_state = 78, .external_lex_state = 3},
  [2445] = {.lex_state = 89, .external_lex_state = 3},
  [2446] = {.lex_state = 89, .external_lex_state = 3},
  [2447] = {.lex_state = 89, .external_lex_state = 3},
  [2448] = {.lex_state = 89, .external_lex_state = 3},
  [2449] = {.lex_state = 89, .external_lex_state = 3},
  [2450] = {.lex_state = 89, .external_lex_state = 3},
  [2451] = {.lex_state = 81, .external_lex_state = 3},
  [2452] = {.lex_state = 74, .external_lex_state = 3},
  [2453] = {.lex_state = 82, .external_lex_state = 3},
  [2454] = {.lex_state = 80, .external_lex_state = 3},
  [2455] = {.lex_state = 89, .external_lex_state = 3},
  [2456] = {.lex_state = 89, .external_lex_state = 3},
  [2457] = {.lex_state = 89, .external_lex_state = 3},
  [2458] = {.lex_state = 89, .external_lex_state = 3},
  [2459] = {.lex_state = 86, .external_lex_state = 3},
  [2460] = {.lex_state = 89, .external_lex_state = 3},
  [2461] = {.lex_state = 86, .external_lex_state = 3},
  [2462] = {.lex_state = 77, .external_lex_state = 3},
  [2463] = {.lex_state = 182, .external_lex_state = 3},
  [2464] = {.lex_state = 85, .external_lex_state = 3},
  [2465] = {.lex_state = 79, .external_lex_state = 3},
  [2466] = {.lex_state = 84, .external_lex_state = 3},
  [2467] = {.lex_state = 87, .external_lex_state = 3},
  [2468] = {.lex_state = 87, .external_lex_state = 3},
  [2469] = {.lex_state = 83, .external_lex_state = 3},
  [2470] = {.lex_state = 75, .external_lex_state = 3},
  [2471] = {.lex_state = 184, .external_lex_state = 3},
  [2472] = {.lex_state = 24, .external_lex_state = 3},
  [2473] = {.lex_state = 24, .external_lex_state = 3},
  [2474] = {.lex_state = 25, .external_lex_state = 3},
  [2475] = {.lex_state = 185, .external_lex_state = 3},
  [2476] = {.lex_state = 25, .external_lex_state = 3},
  [2477] = {.lex_state = 183, .external_lex_state = 3},
  [2478] = {.lex_state = 76, .external_lex_state = 3},
  [2479] = {.lex_state = 24, .external_lex_state = 3},
  [2480] = {.lex_state = 25, .external_lex_state = 3},
  [2481] = {.lex_state = 76, .external_lex_state = 3},
  [2482] = {.lex_state = 78, .external_lex_state = 3},
  [2483] = {.lex_state = 77, .external_lex_state = 3},
  [2484] = {.lex_state = 77, .external_lex_state = 3},
  [2485] = {.lex_state = 81, .external_lex_state = 3},
  [2486] = {.lex_state = 74, .external_lex_state = 3},
  [2487] = {.lex_state = 82, .external_lex_state = 3},
  [2488] = {.lex_state = 80, .external_lex_state = 3},
  [2489] = {.lex_state = 81, .external_lex_state = 3},
  [2490] = {.lex_state = 74, .external_lex_state = 3},
  [2491] = {.lex_state = 82, .external_lex_state = 3},
  [2492] = {.lex_state = 80, .external_lex_state = 3},
  [2493] = {.lex_state = 78, .external_lex_state = 3},
  [2494] = {.lex_state = 79, .external_lex_state = 3},
  [2495] = {.lex_state = 85, .external_lex_state = 3},
  [2496] = {.lex_state = 10, .external_lex_state = 3},
  [2497] = {.lex_state = 10, .external_lex_state = 3},
  [2498] = {.lex_state = 79, .external_lex_state = 3},
  [2499] = {.lex_state = 75, .external_lex_state = 3},
  [2500] = {.lex_state = 83, .external_lex_state = 3},
  [2501] = {.lex_state = 85, .external_lex_state = 3},
  [2502] = {.lex_state = 10, .external_lex_state = 3},
  [2503] = {.lex_state = 75, .external_lex_state = 3},
  [2504] = {.lex_state = 11, .external_lex_state = 3},
  [2505] = {.lex_state = 11, .external_lex_state = 3},
  [2506] = {.lex_state = 11, .external_lex_state = 3},
  [2507] = {.lex_state = 83, .external_lex_state = 3},
  [2508] = {.lex_state = 84, .external_lex_state = 3},
  [2509] = {.lex_state = 84, .external_lex_state = 3},
  [2510] = {.lex_state = 90, .external_lex_state = 3},
  [2511] = {.lex_state = 90, .external_lex_state = 3},
  [2512] = {.lex_state = 90, .external_lex_state = 3},
  [2513] = {.lex_state = 90, .external_lex_state = 3},
  [2514] = {.lex_state = 90, .external_lex_state = 3},
  [2515] = {.lex_state = 90, .external_lex_state = 3},
  [2516] = {.lex_state = 90, .external_lex_state = 3},
  [2517] = {.lex_state = 173, .external_lex_state = 3},
  [2518] = {.lex_state = 173, .external_lex_state = 3},
  [2519] = {.lex_state = 171, .external_lex_state = 3},
  [2520] = {.lex_state = 12, .external_lex_state = 3},
  [2521] = {.lex_state = 173, .external_lex_state = 3},
  [2522] = {.lex_state = 173, .external_lex_state = 3},
  [2523] = {.lex_state = 173, .external_lex_state = 3},
  [2524] = {.lex_state = 171, .external_lex_state = 3},
  [2525] = {.lex_state = 173, .external_lex_state = 3},
  [2526] = {.lex_state = 12, .external_lex_state = 3},
  [2527] = {.lex_state = 171, .external_lex_state = 3},
  [2528] = {.lex_state = 171, .external_lex_state = 3},
  [2529] = {.lex_state = 173, .external_lex_state = 3},
  [2530] = {.lex_state = 171, .external_lex_state = 3},
  [2531] = {.lex_state = 171, .external_lex_state = 3},
  [2532] = {.lex_state = 171, .external_lex_state = 3},
  [2533] = {.lex_state = 171, .external_lex_state = 3},
  [2534] = {.lex_state = 171, .external_lex_state = 3},
  [2535] = {.lex_state = 12, .external_lex_state = 3},
  [2536] = {.lex_state = 173, .external_lex_state = 3},
  [2537] = {.lex_state = 171, .external_lex_state = 3},
  [2538] = {.lex_state = 173, .external_lex_state = 3},
  [2539] = {.lex_state = 173, .external_lex_state = 3},
  [2540] = {.lex_state = 165, .external_lex_state = 3},
  [2541] = {.lex_state = 172, .external_lex_state = 3},
  [2542] = {.lex_state = 174, .external_lex_state = 3},
  [2543] = {.lex_state = 165, .external_lex_state = 3},
  [2544] = {.lex_state = 172, .external_lex_state = 3},
  [2545] = {.lex_state = 172, .external_lex_state = 3},
  [2546] = {.lex_state = 174, .external_lex_state = 3},
  [2547] = {.lex_state = 172, .external_lex_state = 3},
  [2548] = {.lex_state = 172, .external_lex_state = 3},
  [2549] = {.lex_state = 172, .external_lex_state = 3},
  [2550] = {.lex_state = 172, .external_lex_state = 3},
  [2551] = {.lex_state = 172, .external_lex_state = 3},
  [2552] = {.lex_state = 172, .external_lex_state = 3},
  [2553] = {.lex_state = 174, .external_lex_state = 3},
  [2554] = {.lex_state = 174, .external_lex_state = 3},
  [2555] = {.lex_state = 174, .external_lex_state = 3},
  [2556] = {.lex_state = 174, .external_lex_state = 3},
  [2557] = {.lex_state = 174, .external_lex_state = 3},
  [2558] = {.lex_state = 172, .external_lex_state = 3},
  [2559] = {.lex_state = 174, .external_lex_state = 3},
  [2560] = {.lex_state = 174, .external_lex_state = 3},
  [2561] = {.lex_state = 174, .external_lex_state = 3},
  [2562] = {.lex_state = 173, .external_lex_state = 3},
  [2563] = {.lex_state = 171, .external_lex_state = 3},
  [2564] = {.lex_state = 165, .external_lex_state = 3},
  [2565] = {.lex_state = 186, .external_lex_state = 3},
  [2566] = {.lex_state = 174, .external_lex_state = 3},
  [2567] = {.lex_state = 165, .external_lex_state = 3},
  [2568] = {.lex_state = 187, .external_lex_state = 3},
  [2569] = {.lex_state = 186, .external_lex_state = 3},
  [2570] = {.lex_state = 172, .external_lex_state = 3},
  [2571] = {.lex_state = 187, .external_lex_state = 3},
  [2572] = {.lex_state = 165, .external_lex_state = 3},
  [2573] = {.lex_state = 169, .external_lex_state = 3},
  [2574] = {.lex_state = 165, .external_lex_state = 3},
  [2575] = {.lex_state = 165, .external_lex_state = 3},
  [2576] = {.lex_state = 165, .external_lex_state = 3},
  [2577] = {.lex_state = 165, .external_lex_state = 3},
  [2578] = {.lex_state = 169, .external_lex_state = 3},
  [2579] = {.lex_state = 165, .external_lex_state = 3},
  [2580] = {.lex_state = 169, .external_lex_state = 3},
  [2581] = {.lex_state = 169, .external_lex_state = 3},
  [2582] = {.lex_state = 165, .external_lex_state = 3},
  [2583] = {.lex_state = 165, .external_lex_state = 3},
  [2584] = {.lex_state = 165, .external_lex_state = 3},
  [2585] = {.lex_state = 165, .external_lex_state = 3},
  [2586] = {.lex_state = 165, .external_lex_state = 3},
  [2587] = {.lex_state = 165, .external_lex_state = 3},
  [2588] = {.lex_state = 165, .external_lex_state = 3},
  [2589] = {.lex_state = 165, .external_lex_state = 3},
  [2590] = {.lex_state = 165, .external_lex_state = 3},
  [2591] = {.lex_state = 169, .external_lex_state = 3},
  [2592] = {.lex_state = 165, .external_lex_state = 3},
  [2593] = {.lex_state = 165, .external_lex_state = 3},
  [2594] = {.lex_state = 165, .external_lex_state = 3},
  [2595] = {.lex_state = 165, .external_lex_state = 3},
  [2596] = {.lex_state = 165, .external_lex_state = 3},
  [2597] = {.lex_state = 165, .external_lex_state = 3},
  [2598] = {.lex_state = 165, .external_lex_state = 3},
  [2599] = {.lex_state = 165, .external_lex_state = 3},
  [2600] = {.lex_state = 165, .external_lex_state = 3},
  [2601] = {.lex_state = 165, .external_lex_state = 3},
  [2602] = {.lex_state = 165, .external_lex_state = 3},
  [2603] = {.lex_state = 165, .external_lex_state = 3},
  [2604] = {.lex_state = 165, .external_lex_state = 3},
  [2605] = {.lex_state = 165, .external_lex_state = 3},
  [2606] = {.lex_state = 165, .external_lex_state = 3},
  [2607] = {.lex_state = 165, .external_lex_state = 3},
  [2608] = {.lex_state = 165, .external_lex_state = 3},
  [2609] = {.lex_state = 165, .external_lex_state = 3},
  [2610] = {.lex_state = 165, .external_lex_state = 3},
  [2611] = {.lex_state = 165, .external_lex_state = 3},
  [2612] = {.lex_state = 165, .external_lex_state = 3},
  [2613] = {.lex_state = 165, .external_lex_state = 3},
  [2614] = {.lex_state = 165, .external_lex_state = 3},
  [2615] = {.lex_state = 165, .external_lex_state = 3},
  [2616] = {.lex_state = 165, .external_lex_state = 3},
  [2617] = {.lex_state = 165, .external_lex_state = 3},
  [2618] = {.lex_state = 165, .external_lex_state = 3},
  [2619] = {.lex_state = 165, .external_lex_state = 3},
  [2620] = {.lex_state = 165, .external_lex_state = 3},
  [2621] = {.lex_state = 169, .external_lex_state = 3},
  [2622] = {.lex_state = 167, .external_lex_state = 3},
  [2623] = {.lex_state = 167, .external_lex_state = 3},
  [2624] = {.lex_state = 167, .external_lex_state = 3},
  [2625] = {.lex_state = 167, .external_lex_state = 3},
  [2626] = {.lex_state = 167, .external_lex_state = 3},
  [2627] = {.lex_state = 186, .external_lex_state = 3},
  [2628] = {.lex_state = 167, .external_lex_state = 3},
  [2629] = {.lex_state = 167, .external_lex_state = 3},
  [2630] = {.lex_state = 167, .external_lex_state = 3},
  [2631] = {.lex_state = 167, .external_lex_state = 3},
  [2632] = {.lex_state = 167, .external_lex_state = 3},
  [2633] = {.lex_state = 167, .external_lex_state = 3},
  [2634] = {.lex_state = 167, .external_lex_state = 3},
  [2635] = {.lex_state = 167, .external_lex_state = 3},
  [2636] = {.lex_state = 167, .external_lex_state = 3},
  [2637] = {.lex_state = 167, .external_lex_state = 3},
  [2638] = {.lex_state = 167, .external_lex_state = 3},
  [2639] = {.lex_state = 167, .external_lex_state = 3},
  [2640] = {.lex_state = 167, .external_lex_state = 3},
  [2641] = {.lex_state = 167, .external_lex_state = 3},
  [2642] = {.lex_state = 167, .external_lex_state = 3},
  [2643] = {.lex_state = 167, .external_lex_state = 3},
  [2644] = {.lex_state = 167, .external_lex_state = 3},
  [2645] = {.lex_state = 167, .external_lex_state = 3},
  [2646] = {.lex_state = 167, .external_lex_state = 3},
  [2647] = {.lex_state = 167, .external_lex_state = 3},
  [2648] = {.lex_state = 167, .external_lex_state = 3},
  [2649] = {.lex_state = 167, .external_lex_state = 3},
  [2650] = {.lex_state = 167, .external_lex_state = 3},
  [2651] = {.lex_state = 167, .external_lex_state = 3},
  [2652] = {.lex_state = 167, .external_lex_state = 3},
  [2653] = {.lex_state = 167, .external_lex_state = 3},
  [2654] = {.lex_state = 167, .external_lex_state = 3},
  [2655] = {.lex_state = 167, .external_lex_state = 3},
  [2656] = {.lex_state = 167, .external_lex_state = 3},
  [2657] = {.lex_state = 167, .external_lex_state = 3},
  [2658] = {.lex_state = 167, .external_lex_state = 3},
  [2659] = {.lex_state = 167, .external_lex_state = 3},
  [2660] = {.lex_state = 167, .external_lex_state = 3},
  [2661] = {.lex_state = 167, .external_lex_state = 3},
  [2662] = {.lex_state = 167, .external_lex_state = 3},
  [2663] = {.lex_state = 167, .external_lex_state = 3},
  [2664] = {.lex_state = 167, .external_lex_state = 3},
  [2665] = {.lex_state = 167, .external_lex_state = 3},
  [2666] = {.lex_state = 167, .external_lex_state = 3},
  [2667] = {.lex_state = 167, .external_lex_state = 3},
  [2668] = {.lex_state = 167, .external_lex_state = 3},
  [2669] = {.lex_state = 167, .external_lex_state = 3},
  [2670] = {.lex_state = 167, .external_lex_state = 3},
  [2671] = {.lex_state = 165, .external_lex_state = 3},
  [2672] = {.lex_state = 165, .external_lex_state = 3},
  [2673] = {.lex_state = 8, .external_lex_state = 3},
  [2674] = {.lex_state = 165, .external_lex_state = 3},
  [2675] = {.lex_state = 165, .external_lex_state = 3},
  [2676] = {.lex_state = 165, .external_lex_state = 3},
  [2677] = {.lex_state = 165, .external_lex_state = 3},
  [2678] = {.lex_state = 165, .external_lex_state = 3},
  [2679] = {.lex_state = 165, .external_lex_state = 3},
  [2680] = {.lex_state = 165, .external_lex_state = 3},
  [2681] = {.lex_state = 165, .external_lex_state = 3},
  [2682] = {.lex_state = 165, .external_lex_state = 3},
  [2683] = {.lex_state = 165, .external_lex_state = 3},
  [2684] = {.lex_state = 165, .external_lex_state = 3},
  [2685] = {.lex_state = 165, .external_lex_state = 3},
  [2686] = {.lex_state = 165, .external_lex_state = 3},
  [2687] = {.lex_state = 165, .external_lex_state = 3},
  [2688] = {.lex_state = 165, .external_lex_state = 3},
  [2689] = {.lex_state = 165, .external_lex_state = 3},
  [2690] = {.lex_state = 165, .external_lex_state = 3},
  [2691] = {.lex_state = 165, .external_lex_state = 3},
  [2692] = {.lex_state = 165, .external_lex_state = 3},
  [2693] = {.lex_state = 165, .external_lex_state = 3},
  [2694] = {.lex_state = 210, .external_lex_state = 2},
  [2695] = {.lex_state = 165, .external_lex_state = 3},
  [2696] = {.lex_state = 165, .external_lex_state = 3},
  [2697] = {.lex_state = 165, .external_lex_state = 3},
  [2698] = {.lex_state = 165, .external_lex_state = 3},
  [2699] = {.lex_state = 165, .external_lex_state = 3},
  [2700] = {.lex_state = 165, .external_lex_state = 3},
  [2701] = {.lex_state = 165, .external_lex_state = 3},
  [2702] = {.lex_state = 165, .external_lex_state = 3},
  [2703] = {.lex_state = 165, .external_lex_state = 3},
  [2704] = {.lex_state = 165, .external_lex_state = 3},
  [2705] = {.lex_state = 165, .external_lex_state = 3},
  [2706] = {.lex_state = 165, .external_lex_state = 3},
  [2707] = {.lex_state = 165, .external_lex_state = 3},
  [2708] = {.lex_state = 165, .external_lex_state = 3},
  [2709] = {.lex_state = 165, .external_lex_state = 3},
  [2710] = {.lex_state = 165, .external_lex_state = 3},
  [2711] = {.lex_state = 165, .external_lex_state = 3},
  [2712] = {.lex_state = 165, .external_lex_state = 3},
  [2713] = {.lex_state = 165, .external_lex_state = 3},
  [2714] = {.lex_state = 165, .external_lex_state = 3},
  [2715] = {.lex_state = 165, .external_lex_state = 3},
  [2716] = {.lex_state = 165, .external_lex_state = 3},
  [2717] = {.lex_state = 165, .external_lex_state = 3},
  [2718] = {.lex_state = 165, .external_lex_state = 3},
  [2719] = {.lex_state = 165, .external_lex_state = 3},
  [2720] = {.lex_state = 165, .external_lex_state = 3},
  [2721] = {.lex_state = 165, .external_lex_state = 3},
  [2722] = {.lex_state = 165, .external_lex_state = 3},
  [2723] = {.lex_state = 165, .external_lex_state = 3},
  [2724] = {.lex_state = 165, .external_lex_state = 3},
  [2725] = {.lex_state = 165, .external_lex_state = 3},
  [2726] = {.lex_state = 165, .external_lex_state = 3},
  [2727] = {.lex_state = 165, .external_lex_state = 3},
  [2728] = {.lex_state = 165, .external_lex_state = 3},
  [2729] = {.lex_state = 165, .external_lex_state = 3},
  [2730] = {.lex_state = 165, .external_lex_state = 3},
  [2731] = {.lex_state = 165, .external_lex_state = 3},
  [2732] = {.lex_state = 165, .external_lex_state = 3},
  [2733] = {.lex_state = 165, .external_lex_state = 3},
  [2734] = {.lex_state = 165, .external_lex_state = 3},
  [2735] = {.lex_state = 165, .external_lex_state = 3},
  [2736] = {.lex_state = 165, .external_lex_state = 3},
  [2737] = {.lex_state = 165, .external_lex_state = 3},
  [2738] = {.lex_state = 165, .external_lex_state = 3},
  [2739] = {.lex_state = 165, .external_lex_state = 3},
  [2740] = {.lex_state = 165, .external_lex_state = 3},
  [2741] = {.lex_state = 165, .external_lex_state = 3},
  [2742] = {.lex_state = 165, .external_lex_state = 3},
  [2743] = {.lex_state = 165, .external_lex_state = 3},
  [2744] = {.lex_state = 165, .external_lex_state = 3},
  [2745] = {.lex_state = 165, .external_lex_state = 3},
  [2746] = {.lex_state = 165, .external_lex_state = 3},
  [2747] = {.lex_state = 165, .external_lex_state = 3},
  [2748] = {.lex_state = 165, .external_lex_state = 3},
  [2749] = {.lex_state = 165, .external_lex_state = 3},
  [2750] = {.lex_state = 165, .external_lex_state = 3},
  [2751] = {.lex_state = 165, .external_lex_state = 3},
  [2752] = {.lex_state = 165, .external_lex_state = 3},
  [2753] = {.lex_state = 165, .external_lex_state = 3},
  [2754] = {.lex_state = 165, .external_lex_state = 3},
  [2755] = {.lex_state = 165, .external_lex_state = 3},
  [2756] = {.lex_state = 165, .external_lex_state = 3},
  [2757] = {.lex_state = 165, .external_lex_state = 3},
  [2758] = {.lex_state = 165, .external_lex_state = 3},
  [2759] = {.lex_state = 165, .external_lex_state = 3},
  [2760] = {.lex_state = 165, .external_lex_state = 3},
  [2761] = {.lex_state = 165, .external_lex_state = 3},
  [2762] = {.lex_state = 165, .external_lex_state = 3},
  [2763] = {.lex_state = 165, .external_lex_state = 3},
  [2764] = {.lex_state = 165, .external_lex_state = 3},
  [2765] = {.lex_state = 165, .external_lex_state = 3},
  [2766] = {.lex_state = 165, .external_lex_state = 3},
  [2767] = {.lex_state = 165, .external_lex_state = 3},
  [2768] = {.lex_state = 165, .external_lex_state = 3},
  [2769] = {.lex_state = 165, .external_lex_state = 3},
  [2770] = {.lex_state = 165, .external_lex_state = 3},
  [2771] = {.lex_state = 165, .external_lex_state = 3},
  [2772] = {.lex_state = 165, .external_lex_state = 3},
  [2773] = {.lex_state = 165, .external_lex_state = 3},
  [2774] = {.lex_state = 165, .external_lex_state = 3},
  [2775] = {.lex_state = 165, .external_lex_state = 3},
  [2776] = {.lex_state = 165, .external_lex_state = 3},
  [2777] = {.lex_state = 165, .external_lex_state = 3},
  [2778] = {.lex_state = 165, .external_lex_state = 3},
  [2779] = {.lex_state = 165, .external_lex_state = 3},
  [2780] = {.lex_state = 165, .external_lex_state = 3},
  [2781] = {.lex_state = 165, .external_lex_state = 3},
  [2782] = {.lex_state = 165, .external_lex_state = 3},
  [2783] = {.lex_state = 165, .external_lex_state = 3},
  [2784] = {.lex_state = 165, .external_lex_state = 3},
  [2785] = {.lex_state = 165, .external_lex_state = 3},
  [2786] = {.lex_state = 165, .external_lex_state = 3},
  [2787] = {.lex_state = 165, .external_lex_state = 3},
  [2788] = {.lex_state = 165, .external_lex_state = 3},
  [2789] = {.lex_state = 165, .external_lex_state = 3},
  [2790] = {.lex_state = 165, .external_lex_state = 3},
  [2791] = {.lex_state = 165, .external_lex_state = 3},
  [2792] = {.lex_state = 165, .external_lex_state = 3},
  [2793] = {.lex_state = 165, .external_lex_state = 3},
  [2794] = {.lex_state = 165, .external_lex_state = 3},
  [2795] = {.lex_state = 8, .external_lex_state = 3},
  [2796] = {.lex_state = 165, .external_lex_state = 3},
  [2797] = {.lex_state = 165, .external_lex_state = 3},
  [2798] = {.lex_state = 165, .external_lex_state = 3},
  [2799] = {.lex_state = 165, .external_lex_state = 3},
  [2800] = {.lex_state = 165, .external_lex_state = 3},
  [2801] = {.lex_state = 165, .external_lex_state = 3},
  [2802] = {.lex_state = 165, .external_lex_state = 3},
  [2803] = {.lex_state = 165, .external_lex_state = 3},
  [2804] = {.lex_state = 165, .external_lex_state = 3},
  [2805] = {.lex_state = 165, .external_lex_state = 3},
  [2806] = {.lex_state = 165, .external_lex_state = 3},
  [2807] = {.lex_state = 165, .external_lex_state = 3},
  [2808] = {.lex_state = 165, .external_lex_state = 3},
  [2809] = {.lex_state = 165, .external_lex_state = 3},
  [2810] = {.lex_state = 165, .external_lex_state = 3},
  [2811] = {.lex_state = 165, .external_lex_state = 3},
  [2812] = {.lex_state = 165, .external_lex_state = 3},
  [2813] = {.lex_state = 165, .external_lex_state = 3},
  [2814] = {.lex_state = 165, .external_lex_state = 3},
  [2815] = {.lex_state = 165, .external_lex_state = 3},
  [2816] = {.lex_state = 165, .external_lex_state = 3},
  [2817] = {.lex_state = 165, .external_lex_state = 3},
  [2818] = {.lex_state = 165, .external_lex_state = 3},
  [2819] = {.lex_state = 165, .external_lex_state = 3},
  [2820] = {.lex_state = 165, .external_lex_state = 3},
  [2821] = {.lex_state = 165, .external_lex_state = 3},
  [2822] = {.lex_state = 165, .external_lex_state = 3},
  [2823] = {.lex_state = 165, .external_lex_state = 3},
  [2824] = {.lex_state = 165, .external_lex_state = 3},
  [2825] = {.lex_state = 165, .external_lex_state = 3},
  [2826] = {.lex_state = 165, .external_lex_state = 3},
  [2827] = {.lex_state = 165, .external_lex_state = 3},
  [2828] = {.lex_state = 165, .external_lex_state = 3},
  [2829] = {.lex_state = 165, .external_lex_state = 3},
  [2830] = {.lex_state = 165, .external_lex_state = 3},
  [2831] = {.lex_state = 165, .external_lex_state = 3},
  [2832] = {.lex_state = 165, .external_lex_state = 3},
  [2833] = {.lex_state = 165, .external_lex_state = 3},
  [2834] = {.lex_state = 165, .external_lex_state = 3},
  [2835] = {.lex_state = 165, .external_lex_state = 3},
  [2836] = {.lex_state = 165, .external_lex_state = 3},
  [2837] = {.lex_state = 165, .external_lex_state = 3},
  [2838] = {.lex_state = 165, .external_lex_state = 3},
  [2839] = {.lex_state = 165, .external_lex_state = 3},
  [2840] = {.lex_state = 165, .external_lex_state = 3},
  [2841] = {.lex_state = 165, .external_lex_state = 3},
  [2842] = {.lex_state = 165, .external_lex_state = 3},
  [2843] = {.lex_state = 165, .external_lex_state = 3},
  [2844] = {.lex_state = 165, .external_lex_state = 3},
  [2845] = {.lex_state = 165, .external_lex_state = 3},
  [2846] = {.lex_state = 165, .external_lex_state = 3},
  [2847] = {.lex_state = 165, .external_lex_state = 3},
  [2848] = {.lex_state = 165, .external_lex_state = 3},
  [2849] = {.lex_state = 165, .external_lex_state = 3},
  [2850] = {.lex_state = 165, .external_lex_state = 3},
  [2851] = {.lex_state = 165, .external_lex_state = 3},
  [2852] = {.lex_state = 165, .external_lex_state = 3},
  [2853] = {.lex_state = 165, .external_lex_state = 3},
  [2854] = {.lex_state = 165, .external_lex_state = 3},
  [2855] = {.lex_state = 165, .external_lex_state = 3},
  [2856] = {.lex_state = 165, .external_lex_state = 3},
  [2857] = {.lex_state = 165, .external_lex_state = 3},
  [2858] = {.lex_state = 165, .external_lex_state = 3},
  [2859] = {.lex_state = 165, .external_lex_state = 3},
  [2860] = {.lex_state = 165, .external_lex_state = 3},
  [2861] = {.lex_state = 165, .external_lex_state = 3},
  [2862] = {.lex_state = 165, .external_lex_state = 3},
  [2863] = {.lex_state = 165, .external_lex_state = 3},
  [2864] = {.lex_state = 165, .external_lex_state = 3},
  [2865] = {.lex_state = 165, .external_lex_state = 3},
  [2866] = {.lex_state = 165, .external_lex_state = 3},
  [2867] = {.lex_state = 8, .external_lex_state = 3},
  [2868] = {.lex_state = 165, .external_lex_state = 3},
  [2869] = {.lex_state = 165, .external_lex_state = 3},
  [2870] = {.lex_state = 165, .external_lex_state = 3},
  [2871] = {.lex_state = 165, .external_lex_state = 3},
  [2872] = {.lex_state = 165, .external_lex_state = 3},
  [2873] = {.lex_state = 165, .external_lex_state = 3},
  [2874] = {.lex_state = 165, .external_lex_state = 3},
  [2875] = {.lex_state = 165, .external_lex_state = 3},
  [2876] = {.lex_state = 165, .external_lex_state = 3},
  [2877] = {.lex_state = 165, .external_lex_state = 3},
  [2878] = {.lex_state = 165, .external_lex_state = 3},
  [2879] = {.lex_state = 165, .external_lex_state = 3},
  [2880] = {.lex_state = 165, .external_lex_state = 3},
  [2881] = {.lex_state = 165, .external_lex_state = 3},
  [2882] = {.lex_state = 165, .external_lex_state = 3},
  [2883] = {.lex_state = 165, .external_lex_state = 3},
  [2884] = {.lex_state = 165, .external_lex_state = 3},
  [2885] = {.lex_state = 165, .external_lex_state = 3},
  [2886] = {.lex_state = 165, .external_lex_state = 3},
  [2887] = {.lex_state = 165, .external_lex_state = 3},
  [2888] = {.lex_state = 165, .external_lex_state = 3},
  [2889] = {.lex_state = 165, .external_lex_state = 3},
  [2890] = {.lex_state = 165, .external_lex_state = 3},
  [2891] = {.lex_state = 165, .external_lex_state = 3},
  [2892] = {.lex_state = 165, .external_lex_state = 3},
  [2893] = {.lex_state = 165, .external_lex_state = 3},
  [2894] = {.lex_state = 165, .external_lex_state = 3},
  [2895] = {.lex_state = 50, .external_lex_state = 3},
  [2896] = {.lex_state = 165, .external_lex_state = 3},
  [2897] = {.lex_state = 165, .external_lex_state = 3},
  [2898] = {.lex_state = 165, .external_lex_state = 3},
  [2899] = {.lex_state = 46, .external_lex_state = 3},
  [2900] = {.lex_state = 46, .external_lex_state = 3},
  [2901] = {.lex_state = 165, .external_lex_state = 3},
  [2902] = {.lex_state = 165, .external_lex_state = 3},
  [2903] = {.lex_state = 165, .external_lex_state = 3},
  [2904] = {.lex_state = 46, .external_lex_state = 3},
  [2905] = {.lex_state = 46, .external_lex_state = 3},
  [2906] = {.lex_state = 46, .external_lex_state = 3},
  [2907] = {.lex_state = 165, .external_lex_state = 3},
  [2908] = {.lex_state = 46, .external_lex_state = 3},
  [2909] = {.lex_state = 46, .external_lex_state = 3},
  [2910] = {.lex_state = 165, .external_lex_state = 3},
  [2911] = {.lex_state = 46, .external_lex_state = 3},
  [2912] = {.lex_state = 165, .external_lex_state = 3},
  [2913] = {.lex_state = 165, .external_lex_state = 3},
  [2914] = {.lex_state = 46, .external_lex_state = 3},
  [2915] = {.lex_state = 50, .external_lex_state = 3},
  [2916] = {.lex_state = 165, .external_lex_state = 3},
  [2917] = {.lex_state = 165, .external_lex_state = 3},
  [2918] = {.lex_state = 50, .external_lex_state = 3},
  [2919] = {.lex_state = 50, .external_lex_state = 3},
  [2920] = {.lex_state = 50, .external_lex_state = 3},
  [2921] = {.lex_state = 165, .external_lex_state = 3},
  [2922] = {.lex_state = 50, .external_lex_state = 3},
  [2923] = {.lex_state = 50, .external_lex_state = 3},
  [2924] = {.lex_state = 50, .external_lex_state = 3},
  [2925] = {.lex_state = 165, .external_lex_state = 3},
  [2926] = {.lex_state = 46, .external_lex_state = 3},
  [2927] = {.lex_state = 165, .external_lex_state = 3},
  [2928] = {.lex_state = 165, .external_lex_state = 3},
  [2929] = {.lex_state = 165, .external_lex_state = 3},
  [2930] = {.lex_state = 169, .external_lex_state = 3},
  [2931] = {.lex_state = 50, .external_lex_state = 3},
  [2932] = {.lex_state = 50, .external_lex_state = 3},
  [2933] = {.lex_state = 46, .external_lex_state = 3},
  [2934] = {.lex_state = 165, .external_lex_state = 3},
  [2935] = {.lex_state = 50, .external_lex_state = 3},
  [2936] = {.lex_state = 165, .external_lex_state = 3},
  [2937] = {.lex_state = 50, .external_lex_state = 3},
  [2938] = {.lex_state = 52, .external_lex_state = 3},
  [2939] = {.lex_state = 165, .external_lex_state = 3},
  [2940] = {.lex_state = 187, .external_lex_state = 3},
  [2941] = {.lex_state = 165, .external_lex_state = 3},
  [2942] = {.lex_state = 8, .external_lex_state = 3},
  [2943] = {.lex_state = 165, .external_lex_state = 3},
  [2944] = {.lex_state = 165, .external_lex_state = 3},
  [2945] = {.lex_state = 8, .external_lex_state = 4},
  [2946] = {.lex_state = 52, .external_lex_state = 3},
  [2947] = {.lex_state = 165, .external_lex_state = 3},
  [2948] = {.lex_state = 52, .external_lex_state = 3},
  [2949] = {.lex_state = 52, .external_lex_state = 3},
  [2950] = {.lex_state = 165, .external_lex_state = 3},
  [2951] = {.lex_state = 165, .external_lex_state = 3},
  [2952] = {.lex_state = 8, .external_lex_state = 3},
  [2953] = {.lex_state = 165, .external_lex_state = 3},
  [2954] = {.lex_state = 44, .external_lex_state = 3},
  [2955] = {.lex_state = 165, .external_lex_state = 3},
  [2956] = {.lex_state = 165, .external_lex_state = 3},
  [2957] = {.lex_state = 165, .external_lex_state = 3},
  [2958] = {.lex_state = 165, .external_lex_state = 3},
  [2959] = {.lex_state = 8, .external_lex_state = 4},
  [2960] = {.lex_state = 165, .external_lex_state = 3},
  [2961] = {.lex_state = 165, .external_lex_state = 3},
  [2962] = {.lex_state = 165, .external_lex_state = 3},
  [2963] = {.lex_state = 187, .external_lex_state = 3},
  [2964] = {.lex_state = 165, .external_lex_state = 3},
  [2965] = {.lex_state = 165, .external_lex_state = 3},
  [2966] = {.lex_state = 165, .external_lex_state = 3},
  [2967] = {.lex_state = 165, .external_lex_state = 3},
  [2968] = {.lex_state = 165, .external_lex_state = 3},
  [2969] = {.lex_state = 8, .external_lex_state = 4},
  [2970] = {.lex_state = 50, .external_lex_state = 3},
  [2971] = {.lex_state = 165, .external_lex_state = 3},
  [2972] = {.lex_state = 187, .external_lex_state = 3},
  [2973] = {.lex_state = 187, .external_lex_state = 3},
  [2974] = {.lex_state = 165, .external_lex_state = 3},
  [2975] = {.lex_state = 165, .external_lex_state = 3},
  [2976] = {.lex_state = 165, .external_lex_state = 3},
  [2977] = {.lex_state = 165, .external_lex_state = 3},
  [2978] = {.lex_state = 8, .external_lex_state = 4},
  [2979] = {.lex_state = 165, .external_lex_state = 3},
  [2980] = {.lex_state = 165, .external_lex_state = 3},
  [2981] = {.lex_state = 187, .external_lex_state = 3},
  [2982] = {.lex_state = 165, .external_lex_state = 3},
  [2983] = {.lex_state = 165, .external_lex_state = 3},
  [2984] = {.lex_state = 8, .external_lex_state = 4},
  [2985] = {.lex_state = 165, .external_lex_state = 3},
  [2986] = {.lex_state = 165, .external_lex_state = 3},
  [2987] = {.lex_state = 165, .external_lex_state = 3},
  [2988] = {.lex_state = 187, .external_lex_state = 3},
  [2989] = {.lex_state = 165, .external_lex_state = 3},
  [2990] = {.lex_state = 165, .external_lex_state = 3},
  [2991] = {.lex_state = 8, .external_lex_state = 4},
  [2992] = {.lex_state = 44, .external_lex_state = 3},
  [2993] = {.lex_state = 165, .external_lex_state = 3},
  [2994] = {.lex_state = 165, .external_lex_state = 3},
  [2995] = {.lex_state = 52, .external_lex_state = 3},
  [2996] = {.lex_state = 50, .external_lex_state = 3},
  [2997] = {.lex_state = 165, .external_lex_state = 3},
  [2998] = {.lex_state = 44, .external_lex_state = 3},
  [2999] = {.lex_state = 165, .external_lex_state = 3},
  [3000] = {.lex_state = 8, .external_lex_state = 4},
  [3001] = {.lex_state = 52, .external_lex_state = 3},
  [3002] = {.lex_state = 165, .external_lex_state = 3},
  [3003] = {.lex_state = 165, .external_lex_state = 3},
  [3004] = {.lex_state = 47, .external_lex_state = 3},
  [3005] = {.lex_state = 44, .external_lex_state = 3},
  [3006] = {.lex_state = 47, .external_lex_state = 3},
  [3007] = {.lex_state = 165, .external_lex_state = 3},
  [3008] = {.lex_state = 8, .external_lex_state = 4},
  [3009] = {.lex_state = 165, .external_lex_state = 3},
  [3010] = {.lex_state = 8, .external_lex_state = 4},
  [3011] = {.lex_state = 187, .external_lex_state = 3},
  [3012] = {.lex_state = 165, .external_lex_state = 3},
  [3013] = {.lex_state = 165, .external_lex_state = 3},
  [3014] = {.lex_state = 187, .external_lex_state = 3},
  [3015] = {.lex_state = 165, .external_lex_state = 3},
  [3016] = {.lex_state = 187, .external_lex_state = 3},
  [3017] = {.lex_state = 165, .external_lex_state = 3},
  [3018] = {.lex_state = 165, .external_lex_state = 3},
  [3019] = {.lex_state = 8, .external_lex_state = 4},
  [3020] = {.lex_state = 8, .external_lex_state = 4},
  [3021] = {.lex_state = 46, .external_lex_state = 3},
  [3022] = {.lex_state = 165, .external_lex_state = 3},
  [3023] = {.lex_state = 165, .external_lex_state = 3},
  [3024] = {.lex_state = 50, .external_lex_state = 3},
  [3025] = {.lex_state = 187, .external_lex_state = 3},
  [3026] = {.lex_state = 46, .external_lex_state = 3},
  [3027] = {.lex_state = 165, .external_lex_state = 3},
  [3028] = {.lex_state = 187, .external_lex_state = 3},
  [3029] = {.lex_state = 165, .external_lex_state = 3},
  [3030] = {.lex_state = 8, .external_lex_state = 4},
  [3031] = {.lex_state = 46, .external_lex_state = 3},
  [3032] = {.lex_state = 46, .external_lex_state = 3},
  [3033] = {.lex_state = 46, .external_lex_state = 3},
  [3034] = {.lex_state = 46, .external_lex_state = 3},
  [3035] = {.lex_state = 165, .external_lex_state = 3},
  [3036] = {.lex_state = 46, .external_lex_state = 3},
  [3037] = {.lex_state = 8, .external_lex_state = 4},
  [3038] = {.lex_state = 46, .external_lex_state = 3},
  [3039] = {.lex_state = 46, .external_lex_state = 3},
  [3040] = {.lex_state = 46, .external_lex_state = 3},
  [3041] = {.lex_state = 46, .external_lex_state = 3},
  [3042] = {.lex_state = 46, .external_lex_state = 3},
  [3043] = {.lex_state = 46, .external_lex_state = 3},
  [3044] = {.lex_state = 165, .external_lex_state = 3},
  [3045] = {.lex_state = 8, .external_lex_state = 4},
  [3046] = {.lex_state = 165, .external_lex_state = 3},
  [3047] = {.lex_state = 46, .external_lex_state = 3},
  [3048] = {.lex_state = 46, .external_lex_state = 3},
  [3049] = {.lex_state = 165, .external_lex_state = 3},
  [3050] = {.lex_state = 46, .external_lex_state = 3},
  [3051] = {.lex_state = 46, .external_lex_state = 3},
  [3052] = {.lex_state = 46, .external_lex_state = 3},
  [3053] = {.lex_state = 46, .external_lex_state = 3},
  [3054] = {.lex_state = 165, .external_lex_state = 3},
  [3055] = {.lex_state = 8, .external_lex_state = 4},
  [3056] = {.lex_state = 46, .external_lex_state = 3},
  [3057] = {.lex_state = 46, .external_lex_state = 3},
  [3058] = {.lex_state = 46, .external_lex_state = 3},
  [3059] = {.lex_state = 46, .external_lex_state = 3},
  [3060] = {.lex_state = 46, .external_lex_state = 3},
  [3061] = {.lex_state = 46, .external_lex_state = 3},
  [3062] = {.lex_state = 46, .external_lex_state = 3},
  [3063] = {.lex_state = 165, .external_lex_state = 3},
  [3064] = {.lex_state = 8, .external_lex_state = 4},
  [3065] = {.lex_state = 46, .external_lex_state = 3},
  [3066] = {.lex_state = 46, .external_lex_state = 3},
  [3067] = {.lex_state = 46, .external_lex_state = 3},
  [3068] = {.lex_state = 46, .external_lex_state = 3},
  [3069] = {.lex_state = 44, .external_lex_state = 3},
  [3070] = {.lex_state = 165, .external_lex_state = 3},
  [3071] = {.lex_state = 44, .external_lex_state = 3},
  [3072] = {.lex_state = 46, .external_lex_state = 3},
  [3073] = {.lex_state = 52, .external_lex_state = 3},
  [3074] = {.lex_state = 8, .external_lex_state = 4},
  [3075] = {.lex_state = 46, .external_lex_state = 3},
  [3076] = {.lex_state = 46, .external_lex_state = 3},
  [3077] = {.lex_state = 46, .external_lex_state = 3},
  [3078] = {.lex_state = 187, .external_lex_state = 3},
  [3079] = {.lex_state = 165, .external_lex_state = 3},
  [3080] = {.lex_state = 165, .external_lex_state = 3},
  [3081] = {.lex_state = 46, .external_lex_state = 3},
  [3082] = {.lex_state = 187, .external_lex_state = 3},
  [3083] = {.lex_state = 8, .external_lex_state = 4},
  [3084] = {.lex_state = 51, .external_lex_state = 3},
  [3085] = {.lex_state = 51, .external_lex_state = 3},
  [3086] = {.lex_state = 46, .external_lex_state = 3},
  [3087] = {.lex_state = 46, .external_lex_state = 3},
  [3088] = {.lex_state = 165, .external_lex_state = 3},
  [3089] = {.lex_state = 8, .external_lex_state = 4},
  [3090] = {.lex_state = 46, .external_lex_state = 3},
  [3091] = {.lex_state = 46, .external_lex_state = 3},
  [3092] = {.lex_state = 46, .external_lex_state = 3},
  [3093] = {.lex_state = 8, .external_lex_state = 4},
  [3094] = {.lex_state = 46, .external_lex_state = 3},
  [3095] = {.lex_state = 46, .external_lex_state = 3},
  [3096] = {.lex_state = 46, .external_lex_state = 3},
  [3097] = {.lex_state = 8, .external_lex_state = 4},
  [3098] = {.lex_state = 187, .external_lex_state = 3},
  [3099] = {.lex_state = 165, .external_lex_state = 3},
  [3100] = {.lex_state = 46, .external_lex_state = 3},
  [3101] = {.lex_state = 165, .external_lex_state = 3},
  [3102] = {.lex_state = 8, .external_lex_state = 4},
  [3103] = {.lex_state = 165, .external_lex_state = 3},
  [3104] = {.lex_state = 187, .external_lex_state = 3},
  [3105] = {.lex_state = 8, .external_lex_state = 4},
  [3106] = {.lex_state = 46, .external_lex_state = 3},
  [3107] = {.lex_state = 46, .external_lex_state = 3},
  [3108] = {.lex_state = 187, .external_lex_state = 3},
  [3109] = {.lex_state = 165, .external_lex_state = 3},
  [3110] = {.lex_state = 8, .external_lex_state = 4},
  [3111] = {.lex_state = 46, .external_lex_state = 3},
  [3112] = {.lex_state = 165, .external_lex_state = 3},
  [3113] = {.lex_state = 8, .external_lex_state = 4},
  [3114] = {.lex_state = 46, .external_lex_state = 3},
  [3115] = {.lex_state = 46, .external_lex_state = 3},
  [3116] = {.lex_state = 8, .external_lex_state = 4},
  [3117] = {.lex_state = 46, .external_lex_state = 3},
  [3118] = {.lex_state = 46, .external_lex_state = 3},
  [3119] = {.lex_state = 50, .external_lex_state = 3},
  [3120] = {.lex_state = 44, .external_lex_state = 3},
  [3121] = {.lex_state = 165, .external_lex_state = 3},
  [3122] = {.lex_state = 187, .external_lex_state = 3},
  [3123] = {.lex_state = 8, .external_lex_state = 4},
  [3124] = {.lex_state = 165, .external_lex_state = 3},
  [3125] = {.lex_state = 165, .external_lex_state = 3},
  [3126] = {.lex_state = 165, .external_lex_state = 3},
  [3127] = {.lex_state = 8, .external_lex_state = 4},
  [3128] = {.lex_state = 46, .external_lex_state = 3},
  [3129] = {.lex_state = 52, .external_lex_state = 3},
  [3130] = {.lex_state = 8, .external_lex_state = 4},
  [3131] = {.lex_state = 165, .external_lex_state = 3},
  [3132] = {.lex_state = 46, .external_lex_state = 3},
  [3133] = {.lex_state = 165, .external_lex_state = 3},
  [3134] = {.lex_state = 8, .external_lex_state = 4},
  [3135] = {.lex_state = 44, .external_lex_state = 3},
  [3136] = {.lex_state = 8, .external_lex_state = 4},
  [3137] = {.lex_state = 47, .external_lex_state = 3},
  [3138] = {.lex_state = 165, .external_lex_state = 3},
  [3139] = {.lex_state = 187, .external_lex_state = 3},
  [3140] = {.lex_state = 8, .external_lex_state = 4},
  [3141] = {.lex_state = 187, .external_lex_state = 3},
  [3142] = {.lex_state = 8, .external_lex_state = 4},
  [3143] = {.lex_state = 47, .external_lex_state = 3},
  [3144] = {.lex_state = 47, .external_lex_state = 3},
  [3145] = {.lex_state = 47, .external_lex_state = 3},
  [3146] = {.lex_state = 165, .external_lex_state = 3},
  [3147] = {.lex_state = 8, .external_lex_state = 4},
  [3148] = {.lex_state = 47, .external_lex_state = 3},
  [3149] = {.lex_state = 47, .external_lex_state = 3},
  [3150] = {.lex_state = 47, .external_lex_state = 3},
  [3151] = {.lex_state = 50, .external_lex_state = 3},
  [3152] = {.lex_state = 165, .external_lex_state = 3},
  [3153] = {.lex_state = 8, .external_lex_state = 4},
  [3154] = {.lex_state = 50, .external_lex_state = 3},
  [3155] = {.lex_state = 50, .external_lex_state = 3},
  [3156] = {.lex_state = 50, .external_lex_state = 3},
  [3157] = {.lex_state = 50, .external_lex_state = 3},
  [3158] = {.lex_state = 50, .external_lex_state = 3},
  [3159] = {.lex_state = 50, .external_lex_state = 3},
  [3160] = {.lex_state = 165, .external_lex_state = 3},
  [3161] = {.lex_state = 8, .external_lex_state = 4},
  [3162] = {.lex_state = 165, .external_lex_state = 3},
  [3163] = {.lex_state = 50, .external_lex_state = 3},
  [3164] = {.lex_state = 50, .external_lex_state = 3},
  [3165] = {.lex_state = 50, .external_lex_state = 3},
  [3166] = {.lex_state = 50, .external_lex_state = 3},
  [3167] = {.lex_state = 50, .external_lex_state = 3},
  [3168] = {.lex_state = 50, .external_lex_state = 3},
  [3169] = {.lex_state = 44, .external_lex_state = 3},
  [3170] = {.lex_state = 8, .external_lex_state = 4},
  [3171] = {.lex_state = 165, .external_lex_state = 3},
  [3172] = {.lex_state = 50, .external_lex_state = 3},
  [3173] = {.lex_state = 50, .external_lex_state = 3},
  [3174] = {.lex_state = 165, .external_lex_state = 3},
  [3175] = {.lex_state = 50, .external_lex_state = 3},
  [3176] = {.lex_state = 50, .external_lex_state = 3},
  [3177] = {.lex_state = 50, .external_lex_state = 3},
  [3178] = {.lex_state = 187, .external_lex_state = 3},
  [3179] = {.lex_state = 8, .external_lex_state = 4},
  [3180] = {.lex_state = 50, .external_lex_state = 3},
  [3181] = {.lex_state = 50, .external_lex_state = 3},
  [3182] = {.lex_state = 50, .external_lex_state = 3},
  [3183] = {.lex_state = 50, .external_lex_state = 3},
  [3184] = {.lex_state = 50, .external_lex_state = 3},
  [3185] = {.lex_state = 50, .external_lex_state = 3},
  [3186] = {.lex_state = 50, .external_lex_state = 3},
  [3187] = {.lex_state = 50, .external_lex_state = 3},
  [3188] = {.lex_state = 44, .external_lex_state = 3},
  [3189] = {.lex_state = 8, .external_lex_state = 4},
  [3190] = {.lex_state = 50, .external_lex_state = 3},
  [3191] = {.lex_state = 50, .external_lex_state = 3},
  [3192] = {.lex_state = 50, .external_lex_state = 3},
  [3193] = {.lex_state = 50, .external_lex_state = 3},
  [3194] = {.lex_state = 50, .external_lex_state = 3},
  [3195] = {.lex_state = 44, .external_lex_state = 3},
  [3196] = {.lex_state = 165, .external_lex_state = 3},
  [3197] = {.lex_state = 52, .external_lex_state = 3},
  [3198] = {.lex_state = 165, .external_lex_state = 3},
  [3199] = {.lex_state = 8, .external_lex_state = 4},
  [3200] = {.lex_state = 50, .external_lex_state = 3},
  [3201] = {.lex_state = 50, .external_lex_state = 3},
  [3202] = {.lex_state = 50, .external_lex_state = 3},
  [3203] = {.lex_state = 50, .external_lex_state = 3},
  [3204] = {.lex_state = 50, .external_lex_state = 3},
  [3205] = {.lex_state = 52, .external_lex_state = 3},
  [3206] = {.lex_state = 165, .external_lex_state = 3},
  [3207] = {.lex_state = 165, .external_lex_state = 3},
  [3208] = {.lex_state = 8, .external_lex_state = 4},
  [3209] = {.lex_state = 50, .external_lex_state = 3},
  [3210] = {.lex_state = 50, .external_lex_state = 3},
  [3211] = {.lex_state = 165, .external_lex_state = 3},
  [3212] = {.lex_state = 8, .external_lex_state = 4},
  [3213] = {.lex_state = 165, .external_lex_state = 3},
  [3214] = {.lex_state = 165, .external_lex_state = 3},
  [3215] = {.lex_state = 187, .external_lex_state = 3},
  [3216] = {.lex_state = 47, .external_lex_state = 3},
  [3217] = {.lex_state = 51, .external_lex_state = 3},
  [3218] = {.lex_state = 8, .external_lex_state = 4},
  [3219] = {.lex_state = 50, .external_lex_state = 3},
  [3220] = {.lex_state = 47, .external_lex_state = 3},
  [3221] = {.lex_state = 51, .external_lex_state = 3},
  [3222] = {.lex_state = 51, .external_lex_state = 3},
  [3223] = {.lex_state = 51, .external_lex_state = 3},
  [3224] = {.lex_state = 51, .external_lex_state = 3},
  [3225] = {.lex_state = 51, .external_lex_state = 3},
  [3226] = {.lex_state = 51, .external_lex_state = 3},
  [3227] = {.lex_state = 50, .external_lex_state = 3},
  [3228] = {.lex_state = 50, .external_lex_state = 3},
  [3229] = {.lex_state = 165, .external_lex_state = 3},
  [3230] = {.lex_state = 50, .external_lex_state = 3},
  [3231] = {.lex_state = 165, .external_lex_state = 3},
  [3232] = {.lex_state = 50, .external_lex_state = 3},
  [3233] = {.lex_state = 50, .external_lex_state = 3},
  [3234] = {.lex_state = 187, .external_lex_state = 3},
  [3235] = {.lex_state = 50, .external_lex_state = 3},
  [3236] = {.lex_state = 50, .external_lex_state = 3},
  [3237] = {.lex_state = 50, .external_lex_state = 3},
  [3238] = {.lex_state = 50, .external_lex_state = 3},
  [3239] = {.lex_state = 51, .external_lex_state = 3},
  [3240] = {.lex_state = 51, .external_lex_state = 3},
  [3241] = {.lex_state = 50, .external_lex_state = 3},
  [3242] = {.lex_state = 50, .external_lex_state = 3},
  [3243] = {.lex_state = 165, .external_lex_state = 3},
  [3244] = {.lex_state = 187, .external_lex_state = 3},
  [3245] = {.lex_state = 46, .external_lex_state = 3},
  [3246] = {.lex_state = 46, .external_lex_state = 3},
  [3247] = {.lex_state = 46, .external_lex_state = 3},
  [3248] = {.lex_state = 46, .external_lex_state = 3},
  [3249] = {.lex_state = 46, .external_lex_state = 3},
  [3250] = {.lex_state = 46, .external_lex_state = 3},
  [3251] = {.lex_state = 187, .external_lex_state = 3},
  [3252] = {.lex_state = 46, .external_lex_state = 3},
  [3253] = {.lex_state = 46, .external_lex_state = 3},
  [3254] = {.lex_state = 46, .external_lex_state = 3},
  [3255] = {.lex_state = 46, .external_lex_state = 3},
  [3256] = {.lex_state = 46, .external_lex_state = 3},
  [3257] = {.lex_state = 46, .external_lex_state = 3},
  [3258] = {.lex_state = 46, .external_lex_state = 3},
  [3259] = {.lex_state = 46, .external_lex_state = 3},
  [3260] = {.lex_state = 46, .external_lex_state = 3},
  [3261] = {.lex_state = 46, .external_lex_state = 3},
  [3262] = {.lex_state = 46, .external_lex_state = 3},
  [3263] = {.lex_state = 46, .external_lex_state = 3},
  [3264] = {.lex_state = 46, .external_lex_state = 3},
  [3265] = {.lex_state = 52, .external_lex_state = 3},
  [3266] = {.lex_state = 50, .external_lex_state = 3},
  [3267] = {.lex_state = 50, .external_lex_state = 3},
  [3268] = {.lex_state = 50, .external_lex_state = 3},
  [3269] = {.lex_state = 50, .external_lex_state = 3},
  [3270] = {.lex_state = 50, .external_lex_state = 3},
  [3271] = {.lex_state = 50, .external_lex_state = 3},
  [3272] = {.lex_state = 50, .external_lex_state = 3},
  [3273] = {.lex_state = 50, .external_lex_state = 3},
  [3274] = {.lex_state = 50, .external_lex_state = 3},
  [3275] = {.lex_state = 50, .external_lex_state = 3},
  [3276] = {.lex_state = 50, .external_lex_state = 3},
  [3277] = {.lex_state = 50, .external_lex_state = 3},
  [3278] = {.lex_state = 50, .external_lex_state = 3},
  [3279] = {.lex_state = 50, .external_lex_state = 3},
  [3280] = {.lex_state = 50, .external_lex_state = 3},
  [3281] = {.lex_state = 50, .external_lex_state = 3},
  [3282] = {.lex_state = 50, .external_lex_state = 3},
  [3283] = {.lex_state = 51, .external_lex_state = 3},
  [3284] = {.lex_state = 165, .external_lex_state = 3},
  [3285] = {.lex_state = 165, .external_lex_state = 3},
  [3286] = {.lex_state = 165, .external_lex_state = 3},
  [3287] = {.lex_state = 44, .external_lex_state = 3},
  [3288] = {.lex_state = 165, .external_lex_state = 3},
  [3289] = {.lex_state = 165, .external_lex_state = 3},
  [3290] = {.lex_state = 165, .external_lex_state = 3},
  [3291] = {.lex_state = 165, .external_lex_state = 3},
  [3292] = {.lex_state = 165, .external_lex_state = 3},
  [3293] = {.lex_state = 44, .external_lex_state = 3},
  [3294] = {.lex_state = 44, .external_lex_state = 3},
  [3295] = {.lex_state = 44, .external_lex_state = 3},
  [3296] = {.lex_state = 44, .external_lex_state = 3},
  [3297] = {.lex_state = 44, .external_lex_state = 3},
  [3298] = {.lex_state = 44, .external_lex_state = 3},
  [3299] = {.lex_state = 51, .external_lex_state = 3},
  [3300] = {.lex_state = 44, .external_lex_state = 3},
  [3301] = {.lex_state = 165, .external_lex_state = 3},
  [3302] = {.lex_state = 51, .external_lex_state = 3},
  [3303] = {.lex_state = 165, .external_lex_state = 3},
  [3304] = {.lex_state = 165, .external_lex_state = 3},
  [3305] = {.lex_state = 44, .external_lex_state = 3},
  [3306] = {.lex_state = 44, .external_lex_state = 3},
  [3307] = {.lex_state = 51, .external_lex_state = 3},
  [3308] = {.lex_state = 51, .external_lex_state = 3},
  [3309] = {.lex_state = 44, .external_lex_state = 3},
  [3310] = {.lex_state = 44, .external_lex_state = 3},
  [3311] = {.lex_state = 44, .external_lex_state = 3},
  [3312] = {.lex_state = 44, .external_lex_state = 3},
  [3313] = {.lex_state = 44, .external_lex_state = 3},
  [3314] = {.lex_state = 44, .external_lex_state = 3},
  [3315] = {.lex_state = 44, .external_lex_state = 3},
  [3316] = {.lex_state = 44, .external_lex_state = 3},
  [3317] = {.lex_state = 44, .external_lex_state = 3},
  [3318] = {.lex_state = 44, .external_lex_state = 3},
  [3319] = {.lex_state = 44, .external_lex_state = 3},
  [3320] = {.lex_state = 44, .external_lex_state = 3},
  [3321] = {.lex_state = 44, .external_lex_state = 3},
  [3322] = {.lex_state = 44, .external_lex_state = 3},
  [3323] = {.lex_state = 44, .external_lex_state = 3},
  [3324] = {.lex_state = 44, .external_lex_state = 3},
  [3325] = {.lex_state = 45, .external_lex_state = 3},
  [3326] = {.lex_state = 45, .external_lex_state = 3},
  [3327] = {.lex_state = 44, .external_lex_state = 3},
  [3328] = {.lex_state = 44, .external_lex_state = 3},
  [3329] = {.lex_state = 44, .external_lex_state = 3},
  [3330] = {.lex_state = 44, .external_lex_state = 3},
  [3331] = {.lex_state = 165, .external_lex_state = 3},
  [3332] = {.lex_state = 44, .external_lex_state = 3},
  [3333] = {.lex_state = 44, .external_lex_state = 3},
  [3334] = {.lex_state = 44, .external_lex_state = 3},
  [3335] = {.lex_state = 44, .external_lex_state = 3},
  [3336] = {.lex_state = 165, .external_lex_state = 3},
  [3337] = {.lex_state = 44, .external_lex_state = 3},
  [3338] = {.lex_state = 44, .external_lex_state = 3},
  [3339] = {.lex_state = 44, .external_lex_state = 3},
  [3340] = {.lex_state = 44, .external_lex_state = 3},
  [3341] = {.lex_state = 44, .external_lex_state = 3},
  [3342] = {.lex_state = 165, .external_lex_state = 3},
  [3343] = {.lex_state = 44, .external_lex_state = 3},
  [3344] = {.lex_state = 44, .external_lex_state = 3},
  [3345] = {.lex_state = 44, .external_lex_state = 3},
  [3346] = {.lex_state = 44, .external_lex_state = 3},
  [3347] = {.lex_state = 44, .external_lex_state = 3},
  [3348] = {.lex_state = 45, .external_lex_state = 3},
  [3349] = {.lex_state = 44, .external_lex_state = 3},
  [3350] = {.lex_state = 165, .external_lex_state = 3},
  [3351] = {.lex_state = 44, .external_lex_state = 3},
  [3352] = {.lex_state = 45, .external_lex_state = 3},
  [3353] = {.lex_state = 45, .external_lex_state = 3},
  [3354] = {.lex_state = 45, .external_lex_state = 3},
  [3355] = {.lex_state = 45, .external_lex_state = 3},
  [3356] = {.lex_state = 45, .external_lex_state = 3},
  [3357] = {.lex_state = 45, .external_lex_state = 3},
  [3358] = {.lex_state = 53, .external_lex_state = 3},
  [3359] = {.lex_state = 53, .external_lex_state = 3},
  [3360] = {.lex_state = 165, .external_lex_state = 3},
  [3361] = {.lex_state = 52, .external_lex_state = 3},
  [3362] = {.lex_state = 52, .external_lex_state = 3},
  [3363] = {.lex_state = 52, .external_lex_state = 3},
  [3364] = {.lex_state = 52, .external_lex_state = 3},
  [3365] = {.lex_state = 52, .external_lex_state = 3},
  [3366] = {.lex_state = 52, .external_lex_state = 3},
  [3367] = {.lex_state = 45, .external_lex_state = 3},
  [3368] = {.lex_state = 44, .external_lex_state = 3},
  [3369] = {.lex_state = 52, .external_lex_state = 3},
  [3370] = {.lex_state = 44, .external_lex_state = 3},
  [3371] = {.lex_state = 44, .external_lex_state = 3},
  [3372] = {.lex_state = 44, .external_lex_state = 3},
  [3373] = {.lex_state = 44, .external_lex_state = 3},
  [3374] = {.lex_state = 44, .external_lex_state = 3},
  [3375] = {.lex_state = 44, .external_lex_state = 3},
  [3376] = {.lex_state = 44, .external_lex_state = 3},
  [3377] = {.lex_state = 44, .external_lex_state = 3},
  [3378] = {.lex_state = 52, .external_lex_state = 3},
  [3379] = {.lex_state = 52, .external_lex_state = 3},
  [3380] = {.lex_state = 52, .external_lex_state = 3},
  [3381] = {.lex_state = 52, .external_lex_state = 3},
  [3382] = {.lex_state = 52, .external_lex_state = 3},
  [3383] = {.lex_state = 52, .external_lex_state = 3},
  [3384] = {.lex_state = 165, .external_lex_state = 3},
  [3385] = {.lex_state = 47, .external_lex_state = 3},
  [3386] = {.lex_state = 44, .external_lex_state = 3},
  [3387] = {.lex_state = 44, .external_lex_state = 3},
  [3388] = {.lex_state = 44, .external_lex_state = 3},
  [3389] = {.lex_state = 52, .external_lex_state = 3},
  [3390] = {.lex_state = 44, .external_lex_state = 3},
  [3391] = {.lex_state = 165, .external_lex_state = 3},
  [3392] = {.lex_state = 52, .external_lex_state = 3},
  [3393] = {.lex_state = 52, .external_lex_state = 3},
  [3394] = {.lex_state = 52, .external_lex_state = 3},
  [3395] = {.lex_state = 52, .external_lex_state = 3},
  [3396] = {.lex_state = 52, .external_lex_state = 3},
  [3397] = {.lex_state = 47, .external_lex_state = 3},
  [3398] = {.lex_state = 52, .external_lex_state = 3},
  [3399] = {.lex_state = 44, .external_lex_state = 3},
  [3400] = {.lex_state = 52, .external_lex_state = 3},
  [3401] = {.lex_state = 52, .external_lex_state = 3},
  [3402] = {.lex_state = 44, .external_lex_state = 3},
  [3403] = {.lex_state = 44, .external_lex_state = 3},
  [3404] = {.lex_state = 52, .external_lex_state = 3},
  [3405] = {.lex_state = 45, .external_lex_state = 3},
  [3406] = {.lex_state = 47, .external_lex_state = 3},
  [3407] = {.lex_state = 52, .external_lex_state = 3},
  [3408] = {.lex_state = 52, .external_lex_state = 3},
  [3409] = {.lex_state = 52, .external_lex_state = 3},
  [3410] = {.lex_state = 52, .external_lex_state = 3},
  [3411] = {.lex_state = 52, .external_lex_state = 3},
  [3412] = {.lex_state = 52, .external_lex_state = 3},
  [3413] = {.lex_state = 52, .external_lex_state = 3},
  [3414] = {.lex_state = 52, .external_lex_state = 3},
  [3415] = {.lex_state = 52, .external_lex_state = 3},
  [3416] = {.lex_state = 52, .external_lex_state = 3},
  [3417] = {.lex_state = 47, .external_lex_state = 3},
  [3418] = {.lex_state = 51, .external_lex_state = 3},
  [3419] = {.lex_state = 52, .external_lex_state = 3},
  [3420] = {.lex_state = 52, .external_lex_state = 3},
  [3421] = {.lex_state = 52, .external_lex_state = 3},
  [3422] = {.lex_state = 51, .external_lex_state = 3},
  [3423] = {.lex_state = 51, .external_lex_state = 3},
  [3424] = {.lex_state = 165, .external_lex_state = 3},
  [3425] = {.lex_state = 166, .external_lex_state = 3},
  [3426] = {.lex_state = 166, .external_lex_state = 3},
  [3427] = {.lex_state = 51, .external_lex_state = 3},
  [3428] = {.lex_state = 52, .external_lex_state = 3},
  [3429] = {.lex_state = 51, .external_lex_state = 3},
  [3430] = {.lex_state = 44, .external_lex_state = 3},
  [3431] = {.lex_state = 44, .external_lex_state = 3},
  [3432] = {.lex_state = 44, .external_lex_state = 3},
  [3433] = {.lex_state = 51, .external_lex_state = 3},
  [3434] = {.lex_state = 165, .external_lex_state = 3},
  [3435] = {.lex_state = 52, .external_lex_state = 3},
  [3436] = {.lex_state = 44, .external_lex_state = 3},
  [3437] = {.lex_state = 44, .external_lex_state = 3},
  [3438] = {.lex_state = 165, .external_lex_state = 3},
  [3439] = {.lex_state = 44, .external_lex_state = 3},
  [3440] = {.lex_state = 52, .external_lex_state = 3},
  [3441] = {.lex_state = 44, .external_lex_state = 3},
  [3442] = {.lex_state = 52, .external_lex_state = 3},
  [3443] = {.lex_state = 52, .external_lex_state = 3},
  [3444] = {.lex_state = 52, .external_lex_state = 3},
  [3445] = {.lex_state = 52, .external_lex_state = 3},
  [3446] = {.lex_state = 52, .external_lex_state = 3},
  [3447] = {.lex_state = 52, .external_lex_state = 3},
  [3448] = {.lex_state = 52, .external_lex_state = 3},
  [3449] = {.lex_state = 52, .external_lex_state = 3},
  [3450] = {.lex_state = 51, .external_lex_state = 3},
  [3451] = {.lex_state = 51, .external_lex_state = 3},
  [3452] = {.lex_state = 8, .external_lex_state = 3},
  [3453] = {.lex_state = 51, .external_lex_state = 3},
  [3454] = {.lex_state = 8, .external_lex_state = 3},
  [3455] = {.lex_state = 165, .external_lex_state = 3},
  [3456] = {.lex_state = 51, .external_lex_state = 3},
  [3457] = {.lex_state = 52, .external_lex_state = 3},
  [3458] = {.lex_state = 52, .external_lex_state = 3},
  [3459] = {.lex_state = 165, .external_lex_state = 3},
  [3460] = {.lex_state = 165, .external_lex_state = 3},
  [3461] = {.lex_state = 52, .external_lex_state = 3},
  [3462] = {.lex_state = 165, .external_lex_state = 3},
  [3463] = {.lex_state = 52, .external_lex_state = 3},
  [3464] = {.lex_state = 52, .external_lex_state = 3},
  [3465] = {.lex_state = 53, .external_lex_state = 3},
  [3466] = {.lex_state = 53, .external_lex_state = 3},
  [3467] = {.lex_state = 53, .external_lex_state = 3},
  [3468] = {.lex_state = 53, .external_lex_state = 3},
  [3469] = {.lex_state = 53, .external_lex_state = 3},
  [3470] = {.lex_state = 53, .external_lex_state = 3},
  [3471] = {.lex_state = 53, .external_lex_state = 3},
  [3472] = {.lex_state = 165, .external_lex_state = 3},
  [3473] = {.lex_state = 53, .external_lex_state = 3},
  [3474] = {.lex_state = 53, .external_lex_state = 3},
  [3475] = {.lex_state = 47, .external_lex_state = 3},
  [3476] = {.lex_state = 47, .external_lex_state = 3},
  [3477] = {.lex_state = 47, .external_lex_state = 3},
  [3478] = {.lex_state = 47, .external_lex_state = 3},
  [3479] = {.lex_state = 47, .external_lex_state = 3},
  [3480] = {.lex_state = 47, .external_lex_state = 3},
  [3481] = {.lex_state = 47, .external_lex_state = 3},
  [3482] = {.lex_state = 47, .external_lex_state = 3},
  [3483] = {.lex_state = 47, .external_lex_state = 3},
  [3484] = {.lex_state = 47, .external_lex_state = 3},
  [3485] = {.lex_state = 47, .external_lex_state = 3},
  [3486] = {.lex_state = 47, .external_lex_state = 3},
  [3487] = {.lex_state = 47, .external_lex_state = 3},
  [3488] = {.lex_state = 47, .external_lex_state = 3},
  [3489] = {.lex_state = 47, .external_lex_state = 3},
  [3490] = {.lex_state = 47, .external_lex_state = 3},
  [3491] = {.lex_state = 47, .external_lex_state = 3},
  [3492] = {.lex_state = 47, .external_lex_state = 3},
  [3493] = {.lex_state = 47, .external_lex_state = 3},
  [3494] = {.lex_state = 47, .external_lex_state = 3},
  [3495] = {.lex_state = 47, .external_lex_state = 3},
  [3496] = {.lex_state = 47, .external_lex_state = 3},
  [3497] = {.lex_state = 47, .external_lex_state = 3},
  [3498] = {.lex_state = 47, .external_lex_state = 3},
  [3499] = {.lex_state = 47, .external_lex_state = 3},
  [3500] = {.lex_state = 47, .external_lex_state = 3},
  [3501] = {.lex_state = 47, .external_lex_state = 3},
  [3502] = {.lex_state = 47, .external_lex_state = 3},
  [3503] = {.lex_state = 47, .external_lex_state = 3},
  [3504] = {.lex_state = 47, .external_lex_state = 3},
  [3505] = {.lex_state = 47, .external_lex_state = 3},
  [3506] = {.lex_state = 47, .external_lex_state = 3},
  [3507] = {.lex_state = 47, .external_lex_state = 3},
  [3508] = {.lex_state = 47, .external_lex_state = 3},
  [3509] = {.lex_state = 44, .external_lex_state = 3},
  [3510] = {.lex_state = 47, .external_lex_state = 3},
  [3511] = {.lex_state = 44, .external_lex_state = 3},
  [3512] = {.lex_state = 47, .external_lex_state = 3},
  [3513] = {.lex_state = 47, .external_lex_state = 3},
  [3514] = {.lex_state = 52, .external_lex_state = 3},
  [3515] = {.lex_state = 47, .external_lex_state = 3},
  [3516] = {.lex_state = 44, .external_lex_state = 3},
  [3517] = {.lex_state = 51, .external_lex_state = 3},
  [3518] = {.lex_state = 51, .external_lex_state = 3},
  [3519] = {.lex_state = 47, .external_lex_state = 3},
  [3520] = {.lex_state = 51, .external_lex_state = 3},
  [3521] = {.lex_state = 47, .external_lex_state = 3},
  [3522] = {.lex_state = 51, .external_lex_state = 3},
  [3523] = {.lex_state = 51, .external_lex_state = 3},
  [3524] = {.lex_state = 51, .external_lex_state = 3},
  [3525] = {.lex_state = 51, .external_lex_state = 3},
  [3526] = {.lex_state = 168, .external_lex_state = 3},
  [3527] = {.lex_state = 165, .external_lex_state = 3},
  [3528] = {.lex_state = 51, .external_lex_state = 3},
  [3529] = {.lex_state = 51, .external_lex_state = 3},
  [3530] = {.lex_state = 165, .external_lex_state = 3},
  [3531] = {.lex_state = 51, .external_lex_state = 3},
  [3532] = {.lex_state = 51, .external_lex_state = 3},
  [3533] = {.lex_state = 168, .external_lex_state = 3},
  [3534] = {.lex_state = 165, .external_lex_state = 3},
  [3535] = {.lex_state = 47, .external_lex_state = 3},
  [3536] = {.lex_state = 51, .external_lex_state = 3},
  [3537] = {.lex_state = 51, .external_lex_state = 3},
  [3538] = {.lex_state = 165, .external_lex_state = 3},
  [3539] = {.lex_state = 51, .external_lex_state = 3},
  [3540] = {.lex_state = 168, .external_lex_state = 3},
  [3541] = {.lex_state = 165, .external_lex_state = 3},
  [3542] = {.lex_state = 51, .external_lex_state = 3},
  [3543] = {.lex_state = 51, .external_lex_state = 3},
  [3544] = {.lex_state = 165, .external_lex_state = 3},
  [3545] = {.lex_state = 51, .external_lex_state = 3},
  [3546] = {.lex_state = 168, .external_lex_state = 3},
  [3547] = {.lex_state = 165, .external_lex_state = 3},
  [3548] = {.lex_state = 51, .external_lex_state = 3},
  [3549] = {.lex_state = 51, .external_lex_state = 3},
  [3550] = {.lex_state = 165, .external_lex_state = 3},
  [3551] = {.lex_state = 51, .external_lex_state = 3},
  [3552] = {.lex_state = 51, .external_lex_state = 3},
  [3553] = {.lex_state = 168, .external_lex_state = 3},
  [3554] = {.lex_state = 165, .external_lex_state = 3},
  [3555] = {.lex_state = 47, .external_lex_state = 3},
  [3556] = {.lex_state = 51, .external_lex_state = 3},
  [3557] = {.lex_state = 47, .external_lex_state = 3},
  [3558] = {.lex_state = 51, .external_lex_state = 3},
  [3559] = {.lex_state = 165, .external_lex_state = 3},
  [3560] = {.lex_state = 51, .external_lex_state = 3},
  [3561] = {.lex_state = 51, .external_lex_state = 3},
  [3562] = {.lex_state = 165, .external_lex_state = 3},
  [3563] = {.lex_state = 51, .external_lex_state = 3},
  [3564] = {.lex_state = 51, .external_lex_state = 3},
  [3565] = {.lex_state = 51, .external_lex_state = 3},
  [3566] = {.lex_state = 165, .external_lex_state = 3},
  [3567] = {.lex_state = 51, .external_lex_state = 3},
  [3568] = {.lex_state = 47, .external_lex_state = 3},
  [3569] = {.lex_state = 165, .external_lex_state = 3},
  [3570] = {.lex_state = 51, .external_lex_state = 3},
  [3571] = {.lex_state = 51, .external_lex_state = 3},
  [3572] = {.lex_state = 51, .external_lex_state = 3},
  [3573] = {.lex_state = 165, .external_lex_state = 3},
  [3574] = {.lex_state = 165, .external_lex_state = 3},
  [3575] = {.lex_state = 51, .external_lex_state = 3},
  [3576] = {.lex_state = 51, .external_lex_state = 3},
  [3577] = {.lex_state = 51, .external_lex_state = 3},
  [3578] = {.lex_state = 165, .external_lex_state = 3},
  [3579] = {.lex_state = 51, .external_lex_state = 3},
  [3580] = {.lex_state = 47, .external_lex_state = 3},
  [3581] = {.lex_state = 165, .external_lex_state = 3},
  [3582] = {.lex_state = 165, .external_lex_state = 3},
  [3583] = {.lex_state = 51, .external_lex_state = 3},
  [3584] = {.lex_state = 47, .external_lex_state = 3},
  [3585] = {.lex_state = 165, .external_lex_state = 3},
  [3586] = {.lex_state = 47, .external_lex_state = 3},
  [3587] = {.lex_state = 51, .external_lex_state = 3},
  [3588] = {.lex_state = 165, .external_lex_state = 3},
  [3589] = {.lex_state = 165, .external_lex_state = 3},
  [3590] = {.lex_state = 165, .external_lex_state = 3},
  [3591] = {.lex_state = 165, .external_lex_state = 3},
  [3592] = {.lex_state = 51, .external_lex_state = 3},
  [3593] = {.lex_state = 165, .external_lex_state = 3},
  [3594] = {.lex_state = 165, .external_lex_state = 3},
  [3595] = {.lex_state = 165, .external_lex_state = 3},
  [3596] = {.lex_state = 165, .external_lex_state = 3},
  [3597] = {.lex_state = 52, .external_lex_state = 3},
  [3598] = {.lex_state = 52, .external_lex_state = 3},
  [3599] = {.lex_state = 52, .external_lex_state = 3},
  [3600] = {.lex_state = 165, .external_lex_state = 3},
  [3601] = {.lex_state = 52, .external_lex_state = 3},
  [3602] = {.lex_state = 52, .external_lex_state = 3},
  [3603] = {.lex_state = 165, .external_lex_state = 3},
  [3604] = {.lex_state = 52, .external_lex_state = 3},
  [3605] = {.lex_state = 51, .external_lex_state = 3},
  [3606] = {.lex_state = 51, .external_lex_state = 3},
  [3607] = {.lex_state = 165, .external_lex_state = 3},
  [3608] = {.lex_state = 165, .external_lex_state = 3},
  [3609] = {.lex_state = 52, .external_lex_state = 3},
  [3610] = {.lex_state = 52, .external_lex_state = 3},
  [3611] = {.lex_state = 52, .external_lex_state = 3},
  [3612] = {.lex_state = 165, .external_lex_state = 3},
  [3613] = {.lex_state = 51, .external_lex_state = 3},
  [3614] = {.lex_state = 52, .external_lex_state = 3},
  [3615] = {.lex_state = 165, .external_lex_state = 3},
  [3616] = {.lex_state = 52, .external_lex_state = 3},
  [3617] = {.lex_state = 52, .external_lex_state = 3},
  [3618] = {.lex_state = 51, .external_lex_state = 3},
  [3619] = {.lex_state = 165, .external_lex_state = 3},
  [3620] = {.lex_state = 51, .external_lex_state = 3},
  [3621] = {.lex_state = 165, .external_lex_state = 3},
  [3622] = {.lex_state = 51, .external_lex_state = 3},
  [3623] = {.lex_state = 52, .external_lex_state = 3},
  [3624] = {.lex_state = 51, .external_lex_state = 3},
  [3625] = {.lex_state = 165, .external_lex_state = 3},
  [3626] = {.lex_state = 52, .external_lex_state = 3},
  [3627] = {.lex_state = 51, .external_lex_state = 3},
  [3628] = {.lex_state = 165, .external_lex_state = 3},
  [3629] = {.lex_state = 52, .external_lex_state = 3},
  [3630] = {.lex_state = 51, .external_lex_state = 3},
  [3631] = {.lex_state = 52, .external_lex_state = 3},
  [3632] = {.lex_state = 165, .external_lex_state = 3},
  [3633] = {.lex_state = 165, .external_lex_state = 3},
  [3634] = {.lex_state = 47, .external_lex_state = 3},
  [3635] = {.lex_state = 165, .external_lex_state = 3},
  [3636] = {.lex_state = 47, .external_lex_state = 3},
  [3637] = {.lex_state = 165, .external_lex_state = 3},
  [3638] = {.lex_state = 52, .external_lex_state = 3},
  [3639] = {.lex_state = 165, .external_lex_state = 3},
  [3640] = {.lex_state = 165, .external_lex_state = 3},
  [3641] = {.lex_state = 52, .external_lex_state = 3},
  [3642] = {.lex_state = 165, .external_lex_state = 3},
  [3643] = {.lex_state = 165, .external_lex_state = 3},
  [3644] = {.lex_state = 165, .external_lex_state = 3},
  [3645] = {.lex_state = 165, .external_lex_state = 3},
  [3646] = {.lex_state = 52, .external_lex_state = 3},
  [3647] = {.lex_state = 165, .external_lex_state = 3},
  [3648] = {.lex_state = 165, .external_lex_state = 3},
  [3649] = {.lex_state = 51, .external_lex_state = 3},
  [3650] = {.lex_state = 51, .external_lex_state = 3},
  [3651] = {.lex_state = 165, .external_lex_state = 3},
  [3652] = {.lex_state = 165, .external_lex_state = 3},
  [3653] = {.lex_state = 165, .external_lex_state = 3},
  [3654] = {.lex_state = 165, .external_lex_state = 3},
  [3655] = {.lex_state = 165, .external_lex_state = 3},
  [3656] = {.lex_state = 165, .external_lex_state = 3},
  [3657] = {.lex_state = 165, .external_lex_state = 3},
  [3658] = {.lex_state = 165, .external_lex_state = 3},
  [3659] = {.lex_state = 165, .external_lex_state = 3},
  [3660] = {.lex_state = 165, .external_lex_state = 3},
  [3661] = {.lex_state = 165, .external_lex_state = 3},
  [3662] = {.lex_state = 165, .external_lex_state = 3},
  [3663] = {.lex_state = 165, .external_lex_state = 3},
  [3664] = {.lex_state = 165, .external_lex_state = 3},
  [3665] = {.lex_state = 165, .external_lex_state = 3},
  [3666] = {.lex_state = 165, .external_lex_state = 3},
  [3667] = {.lex_state = 165, .external_lex_state = 3},
  [3668] = {.lex_state = 165, .external_lex_state = 3},
  [3669] = {.lex_state = 165, .external_lex_state = 3},
  [3670] = {.lex_state = 165, .external_lex_state = 3},
  [3671] = {.lex_state = 47, .external_lex_state = 3},
  [3672] = {.lex_state = 47, .external_lex_state = 3},
  [3673] = {.lex_state = 165, .external_lex_state = 3},
  [3674] = {.lex_state = 47, .external_lex_state = 3},
  [3675] = {.lex_state = 47, .external_lex_state = 3},
  [3676] = {.lex_state = 165, .external_lex_state = 3},
  [3677] = {.lex_state = 47, .external_lex_state = 3},
  [3678] = {.lex_state = 47, .external_lex_state = 3},
  [3679] = {.lex_state = 47, .external_lex_state = 3},
  [3680] = {.lex_state = 165, .external_lex_state = 3},
  [3681] = {.lex_state = 47, .external_lex_state = 3},
  [3682] = {.lex_state = 47, .external_lex_state = 3},
  [3683] = {.lex_state = 165, .external_lex_state = 3},
  [3684] = {.lex_state = 47, .external_lex_state = 3},
  [3685] = {.lex_state = 47, .external_lex_state = 3},
  [3686] = {.lex_state = 47, .external_lex_state = 3},
  [3687] = {.lex_state = 165, .external_lex_state = 3},
  [3688] = {.lex_state = 47, .external_lex_state = 3},
  [3689] = {.lex_state = 47, .external_lex_state = 3},
  [3690] = {.lex_state = 165, .external_lex_state = 3},
  [3691] = {.lex_state = 47, .external_lex_state = 3},
  [3692] = {.lex_state = 47, .external_lex_state = 3},
  [3693] = {.lex_state = 165, .external_lex_state = 3},
  [3694] = {.lex_state = 165, .external_lex_state = 3},
  [3695] = {.lex_state = 51, .external_lex_state = 3},
  [3696] = {.lex_state = 165, .external_lex_state = 3},
  [3697] = {.lex_state = 47, .external_lex_state = 3},
  [3698] = {.lex_state = 165, .external_lex_state = 3},
  [3699] = {.lex_state = 165, .external_lex_state = 3},
  [3700] = {.lex_state = 165, .external_lex_state = 3},
  [3701] = {.lex_state = 47, .external_lex_state = 3},
  [3702] = {.lex_state = 165, .external_lex_state = 3},
  [3703] = {.lex_state = 165, .external_lex_state = 3},
  [3704] = {.lex_state = 168, .external_lex_state = 3},
  [3705] = {.lex_state = 165, .external_lex_state = 3},
  [3706] = {.lex_state = 51, .external_lex_state = 3},
  [3707] = {.lex_state = 51, .external_lex_state = 3},
  [3708] = {.lex_state = 51, .external_lex_state = 3},
  [3709] = {.lex_state = 165, .external_lex_state = 3},
  [3710] = {.lex_state = 51, .external_lex_state = 3},
  [3711] = {.lex_state = 51, .external_lex_state = 3},
  [3712] = {.lex_state = 165, .external_lex_state = 3},
  [3713] = {.lex_state = 47, .external_lex_state = 3},
  [3714] = {.lex_state = 51, .external_lex_state = 3},
  [3715] = {.lex_state = 165, .external_lex_state = 3},
  [3716] = {.lex_state = 8, .external_lex_state = 3},
  [3717] = {.lex_state = 8, .external_lex_state = 3},
  [3718] = {.lex_state = 8, .external_lex_state = 3},
  [3719] = {.lex_state = 8, .external_lex_state = 3},
  [3720] = {.lex_state = 45, .external_lex_state = 3},
  [3721] = {.lex_state = 8, .external_lex_state = 3},
  [3722] = {.lex_state = 8, .external_lex_state = 3},
  [3723] = {.lex_state = 45, .external_lex_state = 3},
  [3724] = {.lex_state = 45, .external_lex_state = 3},
  [3725] = {.lex_state = 45, .external_lex_state = 3},
  [3726] = {.lex_state = 54, .external_lex_state = 3},
  [3727] = {.lex_state = 8, .external_lex_state = 3},
  [3728] = {.lex_state = 54, .external_lex_state = 3},
  [3729] = {.lex_state = 54, .external_lex_state = 3},
  [3730] = {.lex_state = 54, .external_lex_state = 3},
  [3731] = {.lex_state = 8, .external_lex_state = 3},
  [3732] = {.lex_state = 53, .external_lex_state = 3},
  [3733] = {.lex_state = 54, .external_lex_state = 3},
  [3734] = {.lex_state = 54, .external_lex_state = 3},
  [3735] = {.lex_state = 54, .external_lex_state = 3},
  [3736] = {.lex_state = 45, .external_lex_state = 3},
  [3737] = {.lex_state = 8, .external_lex_state = 3},
  [3738] = {.lex_state = 8, .external_lex_state = 3},
  [3739] = {.lex_state = 45, .external_lex_state = 3},
  [3740] = {.lex_state = 53, .external_lex_state = 3},
  [3741] = {.lex_state = 45, .external_lex_state = 3},
  [3742] = {.lex_state = 54, .external_lex_state = 3},
  [3743] = {.lex_state = 8, .external_lex_state = 3},
  [3744] = {.lex_state = 54, .external_lex_state = 3},
  [3745] = {.lex_state = 8, .external_lex_state = 3},
  [3746] = {.lex_state = 45, .external_lex_state = 3},
  [3747] = {.lex_state = 49, .external_lex_state = 3},
  [3748] = {.lex_state = 8, .external_lex_state = 3},
  [3749] = {.lex_state = 8, .external_lex_state = 3},
  [3750] = {.lex_state = 117, .external_lex_state = 3},
  [3751] = {.lex_state = 8, .external_lex_state = 3},
  [3752] = {.lex_state = 8, .external_lex_state = 3},
  [3753] = {.lex_state = 49, .external_lex_state = 3},
  [3754] = {.lex_state = 8, .external_lex_state = 3},
  [3755] = {.lex_state = 53, .external_lex_state = 3},
  [3756] = {.lex_state = 8, .external_lex_state = 3},
  [3757] = {.lex_state = 8, .external_lex_state = 3},
  [3758] = {.lex_state = 53, .external_lex_state = 3},
  [3759] = {.lex_state = 53, .external_lex_state = 3},
  [3760] = {.lex_state = 53, .external_lex_state = 3},
  [3761] = {.lex_state = 53, .external_lex_state = 3},
  [3762] = {.lex_state = 53, .external_lex_state = 3},
  [3763] = {.lex_state = 53, .external_lex_state = 3},
  [3764] = {.lex_state = 53, .external_lex_state = 3},
  [3765] = {.lex_state = 53, .external_lex_state = 3},
  [3766] = {.lex_state = 53, .external_lex_state = 3},
  [3767] = {.lex_state = 53, .external_lex_state = 3},
  [3768] = {.lex_state = 53, .external_lex_state = 3},
  [3769] = {.lex_state = 53, .external_lex_state = 3},
  [3770] = {.lex_state = 8, .external_lex_state = 3},
  [3771] = {.lex_state = 53, .external_lex_state = 3},
  [3772] = {.lex_state = 53, .external_lex_state = 3},
  [3773] = {.lex_state = 53, .external_lex_state = 3},
  [3774] = {.lex_state = 53, .external_lex_state = 3},
  [3775] = {.lex_state = 53, .external_lex_state = 3},
  [3776] = {.lex_state = 53, .external_lex_state = 3},
  [3777] = {.lex_state = 8, .external_lex_state = 3},
  [3778] = {.lex_state = 53, .external_lex_state = 3},
  [3779] = {.lex_state = 53, .external_lex_state = 3},
  [3780] = {.lex_state = 53, .external_lex_state = 3},
  [3781] = {.lex_state = 53, .external_lex_state = 3},
  [3782] = {.lex_state = 53, .external_lex_state = 3},
  [3783] = {.lex_state = 53, .external_lex_state = 3},
  [3784] = {.lex_state = 53, .external_lex_state = 3},
  [3785] = {.lex_state = 53, .external_lex_state = 3},
  [3786] = {.lex_state = 53, .external_lex_state = 3},
  [3787] = {.lex_state = 53, .external_lex_state = 3},
  [3788] = {.lex_state = 53, .external_lex_state = 3},
  [3789] = {.lex_state = 53, .external_lex_state = 3},
  [3790] = {.lex_state = 8, .external_lex_state = 3},
  [3791] = {.lex_state = 8, .external_lex_state = 3},
  [3792] = {.lex_state = 53, .external_lex_state = 3},
  [3793] = {.lex_state = 53, .external_lex_state = 3},
  [3794] = {.lex_state = 53, .external_lex_state = 3},
  [3795] = {.lex_state = 53, .external_lex_state = 3},
  [3796] = {.lex_state = 53, .external_lex_state = 3},
  [3797] = {.lex_state = 8, .external_lex_state = 3},
  [3798] = {.lex_state = 53, .external_lex_state = 3},
  [3799] = {.lex_state = 8, .external_lex_state = 3},
  [3800] = {.lex_state = 53, .external_lex_state = 3},
  [3801] = {.lex_state = 53, .external_lex_state = 3},
  [3802] = {.lex_state = 53, .external_lex_state = 3},
  [3803] = {.lex_state = 53, .external_lex_state = 3},
  [3804] = {.lex_state = 53, .external_lex_state = 3},
  [3805] = {.lex_state = 53, .external_lex_state = 3},
  [3806] = {.lex_state = 53, .external_lex_state = 3},
  [3807] = {.lex_state = 49, .external_lex_state = 3},
  [3808] = {.lex_state = 49, .external_lex_state = 3},
  [3809] = {.lex_state = 53, .external_lex_state = 3},
  [3810] = {.lex_state = 53, .external_lex_state = 3},
  [3811] = {.lex_state = 53, .external_lex_state = 3},
  [3812] = {.lex_state = 53, .external_lex_state = 3},
  [3813] = {.lex_state = 49, .external_lex_state = 3},
  [3814] = {.lex_state = 49, .external_lex_state = 3},
  [3815] = {.lex_state = 49, .external_lex_state = 3},
  [3816] = {.lex_state = 121, .external_lex_state = 3},
  [3817] = {.lex_state = 8, .external_lex_state = 3},
  [3818] = {.lex_state = 8, .external_lex_state = 3},
  [3819] = {.lex_state = 8, .external_lex_state = 3},
  [3820] = {.lex_state = 54, .external_lex_state = 3},
  [3821] = {.lex_state = 54, .external_lex_state = 3},
  [3822] = {.lex_state = 8, .external_lex_state = 3},
  [3823] = {.lex_state = 49, .external_lex_state = 3},
  [3824] = {.lex_state = 8, .external_lex_state = 3},
  [3825] = {.lex_state = 49, .external_lex_state = 3},
  [3826] = {.lex_state = 53, .external_lex_state = 3},
  [3827] = {.lex_state = 53, .external_lex_state = 3},
  [3828] = {.lex_state = 8, .external_lex_state = 3},
  [3829] = {.lex_state = 8, .external_lex_state = 3},
  [3830] = {.lex_state = 8, .external_lex_state = 3},
  [3831] = {.lex_state = 45, .external_lex_state = 3},
  [3832] = {.lex_state = 45, .external_lex_state = 3},
  [3833] = {.lex_state = 45, .external_lex_state = 3},
  [3834] = {.lex_state = 45, .external_lex_state = 3},
  [3835] = {.lex_state = 45, .external_lex_state = 3},
  [3836] = {.lex_state = 45, .external_lex_state = 3},
  [3837] = {.lex_state = 45, .external_lex_state = 3},
  [3838] = {.lex_state = 8, .external_lex_state = 3},
  [3839] = {.lex_state = 8, .external_lex_state = 3},
  [3840] = {.lex_state = 45, .external_lex_state = 3},
  [3841] = {.lex_state = 45, .external_lex_state = 3},
  [3842] = {.lex_state = 45, .external_lex_state = 3},
  [3843] = {.lex_state = 45, .external_lex_state = 3},
  [3844] = {.lex_state = 45, .external_lex_state = 3},
  [3845] = {.lex_state = 45, .external_lex_state = 3},
  [3846] = {.lex_state = 45, .external_lex_state = 3},
  [3847] = {.lex_state = 45, .external_lex_state = 3},
  [3848] = {.lex_state = 45, .external_lex_state = 3},
  [3849] = {.lex_state = 45, .external_lex_state = 3},
  [3850] = {.lex_state = 8, .external_lex_state = 3},
  [3851] = {.lex_state = 45, .external_lex_state = 3},
  [3852] = {.lex_state = 45, .external_lex_state = 3},
  [3853] = {.lex_state = 45, .external_lex_state = 3},
  [3854] = {.lex_state = 45, .external_lex_state = 3},
  [3855] = {.lex_state = 45, .external_lex_state = 3},
  [3856] = {.lex_state = 45, .external_lex_state = 3},
  [3857] = {.lex_state = 45, .external_lex_state = 3},
  [3858] = {.lex_state = 8, .external_lex_state = 3},
  [3859] = {.lex_state = 8, .external_lex_state = 3},
  [3860] = {.lex_state = 8, .external_lex_state = 3},
  [3861] = {.lex_state = 45, .external_lex_state = 3},
  [3862] = {.lex_state = 45, .external_lex_state = 3},
  [3863] = {.lex_state = 45, .external_lex_state = 3},
  [3864] = {.lex_state = 45, .external_lex_state = 3},
  [3865] = {.lex_state = 45, .external_lex_state = 3},
  [3866] = {.lex_state = 45, .external_lex_state = 3},
  [3867] = {.lex_state = 45, .external_lex_state = 3},
  [3868] = {.lex_state = 45, .external_lex_state = 3},
  [3869] = {.lex_state = 45, .external_lex_state = 3},
  [3870] = {.lex_state = 45, .external_lex_state = 3},
  [3871] = {.lex_state = 45, .external_lex_state = 3},
  [3872] = {.lex_state = 45, .external_lex_state = 3},
  [3873] = {.lex_state = 45, .external_lex_state = 3},
  [3874] = {.lex_state = 45, .external_lex_state = 3},
  [3875] = {.lex_state = 45, .external_lex_state = 3},
  [3876] = {.lex_state = 45, .external_lex_state = 3},
  [3877] = {.lex_state = 45, .external_lex_state = 3},
  [3878] = {.lex_state = 45, .external_lex_state = 3},
  [3879] = {.lex_state = 45, .external_lex_state = 3},
  [3880] = {.lex_state = 45, .external_lex_state = 3},
  [3881] = {.lex_state = 45, .external_lex_state = 3},
  [3882] = {.lex_state = 45, .external_lex_state = 3},
  [3883] = {.lex_state = 45, .external_lex_state = 3},
  [3884] = {.lex_state = 45, .external_lex_state = 3},
  [3885] = {.lex_state = 45, .external_lex_state = 3},
  [3886] = {.lex_state = 45, .external_lex_state = 3},
  [3887] = {.lex_state = 45, .external_lex_state = 3},
  [3888] = {.lex_state = 45, .external_lex_state = 3},
  [3889] = {.lex_state = 45, .external_lex_state = 3},
  [3890] = {.lex_state = 45, .external_lex_state = 3},
  [3891] = {.lex_state = 45, .external_lex_state = 3},
  [3892] = {.lex_state = 8, .external_lex_state = 3},
  [3893] = {.lex_state = 45, .external_lex_state = 3},
  [3894] = {.lex_state = 45, .external_lex_state = 3},
  [3895] = {.lex_state = 45, .external_lex_state = 3},
  [3896] = {.lex_state = 8, .external_lex_state = 3},
  [3897] = {.lex_state = 8, .external_lex_state = 3},
  [3898] = {.lex_state = 8, .external_lex_state = 3},
  [3899] = {.lex_state = 8, .external_lex_state = 3},
  [3900] = {.lex_state = 8, .external_lex_state = 3},
  [3901] = {.lex_state = 49, .external_lex_state = 3},
  [3902] = {.lex_state = 53, .external_lex_state = 3},
  [3903] = {.lex_state = 53, .external_lex_state = 3},
  [3904] = {.lex_state = 53, .external_lex_state = 3},
  [3905] = {.lex_state = 53, .external_lex_state = 3},
  [3906] = {.lex_state = 53, .external_lex_state = 3},
  [3907] = {.lex_state = 53, .external_lex_state = 3},
  [3908] = {.lex_state = 8, .external_lex_state = 3},
  [3909] = {.lex_state = 53, .external_lex_state = 3},
  [3910] = {.lex_state = 53, .external_lex_state = 3},
  [3911] = {.lex_state = 53, .external_lex_state = 3},
  [3912] = {.lex_state = 53, .external_lex_state = 3},
  [3913] = {.lex_state = 45, .external_lex_state = 3},
  [3914] = {.lex_state = 53, .external_lex_state = 3},
  [3915] = {.lex_state = 53, .external_lex_state = 3},
  [3916] = {.lex_state = 53, .external_lex_state = 3},
  [3917] = {.lex_state = 53, .external_lex_state = 3},
  [3918] = {.lex_state = 53, .external_lex_state = 3},
  [3919] = {.lex_state = 53, .external_lex_state = 3},
  [3920] = {.lex_state = 53, .external_lex_state = 3},
  [3921] = {.lex_state = 53, .external_lex_state = 3},
  [3922] = {.lex_state = 53, .external_lex_state = 3},
  [3923] = {.lex_state = 53, .external_lex_state = 3},
  [3924] = {.lex_state = 45, .external_lex_state = 3},
  [3925] = {.lex_state = 45, .external_lex_state = 3},
  [3926] = {.lex_state = 45, .external_lex_state = 3},
  [3927] = {.lex_state = 45, .external_lex_state = 3},
  [3928] = {.lex_state = 8, .external_lex_state = 3},
  [3929] = {.lex_state = 8, .external_lex_state = 3},
  [3930] = {.lex_state = 8, .external_lex_state = 3},
  [3931] = {.lex_state = 8, .external_lex_state = 3},
  [3932] = {.lex_state = 45, .external_lex_state = 3},
  [3933] = {.lex_state = 49, .external_lex_state = 3},
  [3934] = {.lex_state = 8, .external_lex_state = 3},
  [3935] = {.lex_state = 8, .external_lex_state = 3},
  [3936] = {.lex_state = 49, .external_lex_state = 3},
  [3937] = {.lex_state = 54, .external_lex_state = 3},
  [3938] = {.lex_state = 54, .external_lex_state = 3},
  [3939] = {.lex_state = 8, .external_lex_state = 3},
  [3940] = {.lex_state = 8, .external_lex_state = 3},
  [3941] = {.lex_state = 49, .external_lex_state = 3},
  [3942] = {.lex_state = 54, .external_lex_state = 3},
  [3943] = {.lex_state = 8, .external_lex_state = 3},
  [3944] = {.lex_state = 49, .external_lex_state = 3},
  [3945] = {.lex_state = 49, .external_lex_state = 3},
  [3946] = {.lex_state = 54, .external_lex_state = 3},
  [3947] = {.lex_state = 49, .external_lex_state = 3},
  [3948] = {.lex_state = 121, .external_lex_state = 3},
  [3949] = {.lex_state = 49, .external_lex_state = 3},
  [3950] = {.lex_state = 8, .external_lex_state = 3},
  [3951] = {.lex_state = 55, .external_lex_state = 3},
  [3952] = {.lex_state = 49, .external_lex_state = 3},
  [3953] = {.lex_state = 55, .external_lex_state = 3},
  [3954] = {.lex_state = 49, .external_lex_state = 3},
  [3955] = {.lex_state = 55, .external_lex_state = 3},
  [3956] = {.lex_state = 49, .external_lex_state = 3},
  [3957] = {.lex_state = 8, .external_lex_state = 3},
  [3958] = {.lex_state = 8, .external_lex_state = 3},
  [3959] = {.lex_state = 115, .external_lex_state = 3},
  [3960] = {.lex_state = 122, .external_lex_state = 3},
  [3961] = {.lex_state = 49, .external_lex_state = 3},
  [3962] = {.lex_state = 54, .external_lex_state = 3},
  [3963] = {.lex_state = 49, .external_lex_state = 3},
  [3964] = {.lex_state = 8, .external_lex_state = 3},
  [3965] = {.lex_state = 8, .external_lex_state = 3},
  [3966] = {.lex_state = 48, .external_lex_state = 3},
  [3967] = {.lex_state = 54, .external_lex_state = 3},
  [3968] = {.lex_state = 49, .external_lex_state = 3},
  [3969] = {.lex_state = 54, .external_lex_state = 3},
  [3970] = {.lex_state = 49, .external_lex_state = 3},
  [3971] = {.lex_state = 54, .external_lex_state = 3},
  [3972] = {.lex_state = 49, .external_lex_state = 3},
  [3973] = {.lex_state = 54, .external_lex_state = 3},
  [3974] = {.lex_state = 49, .external_lex_state = 3},
  [3975] = {.lex_state = 49, .external_lex_state = 3},
  [3976] = {.lex_state = 8, .external_lex_state = 3},
  [3977] = {.lex_state = 54, .external_lex_state = 3},
  [3978] = {.lex_state = 117, .external_lex_state = 3},
  [3979] = {.lex_state = 8, .external_lex_state = 3},
  [3980] = {.lex_state = 49, .external_lex_state = 3},
  [3981] = {.lex_state = 49, .external_lex_state = 3},
  [3982] = {.lex_state = 8, .external_lex_state = 3},
  [3983] = {.lex_state = 8, .external_lex_state = 3},
  [3984] = {.lex_state = 54, .external_lex_state = 3},
  [3985] = {.lex_state = 49, .external_lex_state = 3},
  [3986] = {.lex_state = 54, .external_lex_state = 3},
  [3987] = {.lex_state = 8, .external_lex_state = 3},
  [3988] = {.lex_state = 49, .external_lex_state = 3},
  [3989] = {.lex_state = 49, .external_lex_state = 3},
  [3990] = {.lex_state = 8, .external_lex_state = 3},
  [3991] = {.lex_state = 55, .external_lex_state = 3},
  [3992] = {.lex_state = 54, .external_lex_state = 3},
  [3993] = {.lex_state = 54, .external_lex_state = 3},
  [3994] = {.lex_state = 54, .external_lex_state = 3},
  [3995] = {.lex_state = 8, .external_lex_state = 3},
  [3996] = {.lex_state = 49, .external_lex_state = 3},
  [3997] = {.lex_state = 54, .external_lex_state = 3},
  [3998] = {.lex_state = 54, .external_lex_state = 3},
  [3999] = {.lex_state = 49, .external_lex_state = 3},
  [4000] = {.lex_state = 8, .external_lex_state = 3},
  [4001] = {.lex_state = 54, .external_lex_state = 3},
  [4002] = {.lex_state = 48, .external_lex_state = 3},
  [4003] = {.lex_state = 49, .external_lex_state = 3},
  [4004] = {.lex_state = 49, .external_lex_state = 3},
  [4005] = {.lex_state = 49, .external_lex_state = 3},
  [4006] = {.lex_state = 54, .external_lex_state = 3},
  [4007] = {.lex_state = 54, .external_lex_state = 3},
  [4008] = {.lex_state = 8, .external_lex_state = 3},
  [4009] = {.lex_state = 49, .external_lex_state = 3},
  [4010] = {.lex_state = 8, .external_lex_state = 3},
  [4011] = {.lex_state = 8, .external_lex_state = 3},
  [4012] = {.lex_state = 49, .external_lex_state = 3},
  [4013] = {.lex_state = 49, .external_lex_state = 3},
  [4014] = {.lex_state = 48, .external_lex_state = 3},
  [4015] = {.lex_state = 54, .external_lex_state = 3},
  [4016] = {.lex_state = 49, .external_lex_state = 3},
  [4017] = {.lex_state = 49, .external_lex_state = 3},
  [4018] = {.lex_state = 49, .external_lex_state = 3},
  [4019] = {.lex_state = 54, .external_lex_state = 3},
  [4020] = {.lex_state = 49, .external_lex_state = 3},
  [4021] = {.lex_state = 8, .external_lex_state = 3},
  [4022] = {.lex_state = 48, .external_lex_state = 3},
  [4023] = {.lex_state = 54, .external_lex_state = 3},
  [4024] = {.lex_state = 49, .external_lex_state = 3},
  [4025] = {.lex_state = 54, .external_lex_state = 3},
  [4026] = {.lex_state = 49, .external_lex_state = 3},
  [4027] = {.lex_state = 54, .external_lex_state = 3},
  [4028] = {.lex_state = 8, .external_lex_state = 3},
  [4029] = {.lex_state = 54, .external_lex_state = 3},
  [4030] = {.lex_state = 49, .external_lex_state = 3},
  [4031] = {.lex_state = 54, .external_lex_state = 3},
  [4032] = {.lex_state = 54, .external_lex_state = 3},
  [4033] = {.lex_state = 49, .external_lex_state = 3},
  [4034] = {.lex_state = 54, .external_lex_state = 3},
  [4035] = {.lex_state = 49, .external_lex_state = 3},
  [4036] = {.lex_state = 54, .external_lex_state = 3},
  [4037] = {.lex_state = 54, .external_lex_state = 3},
  [4038] = {.lex_state = 8, .external_lex_state = 3},
  [4039] = {.lex_state = 49, .external_lex_state = 3},
  [4040] = {.lex_state = 54, .external_lex_state = 3},
  [4041] = {.lex_state = 54, .external_lex_state = 3},
  [4042] = {.lex_state = 8, .external_lex_state = 3},
  [4043] = {.lex_state = 54, .external_lex_state = 3},
  [4044] = {.lex_state = 54, .external_lex_state = 3},
  [4045] = {.lex_state = 54, .external_lex_state = 3},
  [4046] = {.lex_state = 8, .external_lex_state = 3},
  [4047] = {.lex_state = 8, .external_lex_state = 3},
  [4048] = {.lex_state = 8, .external_lex_state = 3},
  [4049] = {.lex_state = 49, .external_lex_state = 3},
  [4050] = {.lex_state = 8, .external_lex_state = 3},
  [4051] = {.lex_state = 49, .external_lex_state = 3},
  [4052] = {.lex_state = 54, .external_lex_state = 3},
  [4053] = {.lex_state = 8, .external_lex_state = 3},
  [4054] = {.lex_state = 8, .external_lex_state = 3},
  [4055] = {.lex_state = 49, .external_lex_state = 3},
  [4056] = {.lex_state = 54, .external_lex_state = 3},
  [4057] = {.lex_state = 54, .external_lex_state = 3},
  [4058] = {.lex_state = 54, .external_lex_state = 3},
  [4059] = {.lex_state = 54, .external_lex_state = 3},
  [4060] = {.lex_state = 49, .external_lex_state = 3},
  [4061] = {.lex_state = 49, .external_lex_state = 3},
  [4062] = {.lex_state = 49, .external_lex_state = 3},
  [4063] = {.lex_state = 49, .external_lex_state = 3},
  [4064] = {.lex_state = 48, .external_lex_state = 3},
  [4065] = {.lex_state = 48, .external_lex_state = 3},
  [4066] = {.lex_state = 8, .external_lex_state = 3},
  [4067] = {.lex_state = 49, .external_lex_state = 3},
  [4068] = {.lex_state = 49, .external_lex_state = 3},
  [4069] = {.lex_state = 48, .external_lex_state = 3},
  [4070] = {.lex_state = 49, .external_lex_state = 3},
  [4071] = {.lex_state = 48, .external_lex_state = 3},
  [4072] = {.lex_state = 49, .external_lex_state = 3},
  [4073] = {.lex_state = 54, .external_lex_state = 3},
  [4074] = {.lex_state = 54, .external_lex_state = 3},
  [4075] = {.lex_state = 54, .external_lex_state = 3},
  [4076] = {.lex_state = 54, .external_lex_state = 3},
  [4077] = {.lex_state = 54, .external_lex_state = 3},
  [4078] = {.lex_state = 54, .external_lex_state = 3},
  [4079] = {.lex_state = 48, .external_lex_state = 3},
  [4080] = {.lex_state = 54, .external_lex_state = 3},
  [4081] = {.lex_state = 49, .external_lex_state = 3},
  [4082] = {.lex_state = 54, .external_lex_state = 3},
  [4083] = {.lex_state = 54, .external_lex_state = 3},
  [4084] = {.lex_state = 54, .external_lex_state = 3},
  [4085] = {.lex_state = 54, .external_lex_state = 3},
  [4086] = {.lex_state = 8, .external_lex_state = 3},
  [4087] = {.lex_state = 49, .external_lex_state = 3},
  [4088] = {.lex_state = 54, .external_lex_state = 3},
  [4089] = {.lex_state = 54, .external_lex_state = 3},
  [4090] = {.lex_state = 48, .external_lex_state = 3},
  [4091] = {.lex_state = 54, .external_lex_state = 3},
  [4092] = {.lex_state = 54, .external_lex_state = 3},
  [4093] = {.lex_state = 54, .external_lex_state = 3},
  [4094] = {.lex_state = 54, .external_lex_state = 3},
  [4095] = {.lex_state = 54, .external_lex_state = 3},
  [4096] = {.lex_state = 54, .external_lex_state = 3},
  [4097] = {.lex_state = 55, .external_lex_state = 3},
  [4098] = {.lex_state = 54, .external_lex_state = 3},
  [4099] = {.lex_state = 54, .external_lex_state = 3},
  [4100] = {.lex_state = 54, .external_lex_state = 3},
  [4101] = {.lex_state = 55, .external_lex_state = 3},
  [4102] = {.lex_state = 8, .external_lex_state = 3},
  [4103] = {.lex_state = 49, .external_lex_state = 3},
  [4104] = {.lex_state = 48, .external_lex_state = 3},
  [4105] = {.lex_state = 49, .external_lex_state = 3},
  [4106] = {.lex_state = 8, .external_lex_state = 3},
  [4107] = {.lex_state = 55, .external_lex_state = 3},
  [4108] = {.lex_state = 54, .external_lex_state = 3},
  [4109] = {.lex_state = 8, .external_lex_state = 3},
  [4110] = {.lex_state = 8, .external_lex_state = 3},
  [4111] = {.lex_state = 49, .external_lex_state = 3},
  [4112] = {.lex_state = 49, .external_lex_state = 3},
  [4113] = {.lex_state = 8, .external_lex_state = 3},
  [4114] = {.lex_state = 55, .external_lex_state = 3},
  [4115] = {.lex_state = 55, .external_lex_state = 3},
  [4116] = {.lex_state = 54, .external_lex_state = 3},
  [4117] = {.lex_state = 8, .external_lex_state = 3},
  [4118] = {.lex_state = 54, .external_lex_state = 3},
  [4119] = {.lex_state = 54, .external_lex_state = 3},
  [4120] = {.lex_state = 49, .external_lex_state = 3},
  [4121] = {.lex_state = 54, .external_lex_state = 3},
  [4122] = {.lex_state = 49, .external_lex_state = 3},
  [4123] = {.lex_state = 54, .external_lex_state = 3},
  [4124] = {.lex_state = 54, .external_lex_state = 3},
  [4125] = {.lex_state = 54, .external_lex_state = 3},
  [4126] = {.lex_state = 8, .external_lex_state = 3},
  [4127] = {.lex_state = 49, .external_lex_state = 3},
  [4128] = {.lex_state = 54, .external_lex_state = 3},
  [4129] = {.lex_state = 117, .external_lex_state = 3},
  [4130] = {.lex_state = 55, .external_lex_state = 3},
  [4131] = {.lex_state = 8, .external_lex_state = 3},
  [4132] = {.lex_state = 49, .external_lex_state = 3},
  [4133] = {.lex_state = 118, .external_lex_state = 3},
  [4134] = {.lex_state = 49, .external_lex_state = 3},
  [4135] = {.lex_state = 123, .external_lex_state = 3},
  [4136] = {.lex_state = 49, .external_lex_state = 3},
  [4137] = {.lex_state = 49, .external_lex_state = 3},
  [4138] = {.lex_state = 49, .external_lex_state = 3},
  [4139] = {.lex_state = 49, .external_lex_state = 3},
  [4140] = {.lex_state = 49, .external_lex_state = 3},
  [4141] = {.lex_state = 49, .external_lex_state = 3},
  [4142] = {.lex_state = 8, .external_lex_state = 3},
  [4143] = {.lex_state = 55, .external_lex_state = 3},
  [4144] = {.lex_state = 8, .external_lex_state = 3},
  [4145] = {.lex_state = 49, .external_lex_state = 3},
  [4146] = {.lex_state = 8, .external_lex_state = 3},
  [4147] = {.lex_state = 49, .external_lex_state = 3},
  [4148] = {.lex_state = 49, .external_lex_state = 3},
  [4149] = {.lex_state = 8, .external_lex_state = 3},
  [4150] = {.lex_state = 49, .external_lex_state = 3},
  [4151] = {.lex_state = 121, .external_lex_state = 3},
  [4152] = {.lex_state = 49, .external_lex_state = 3},
  [4153] = {.lex_state = 55, .external_lex_state = 3},
  [4154] = {.lex_state = 48, .external_lex_state = 3},
  [4155] = {.lex_state = 55, .external_lex_state = 3},
  [4156] = {.lex_state = 48, .external_lex_state = 3},
  [4157] = {.lex_state = 8, .external_lex_state = 3},
  [4158] = {.lex_state = 55, .external_lex_state = 3},
  [4159] = {.lex_state = 55, .external_lex_state = 3},
  [4160] = {.lex_state = 48, .external_lex_state = 3},
  [4161] = {.lex_state = 55, .external_lex_state = 3},
  [4162] = {.lex_state = 55, .external_lex_state = 3},
  [4163] = {.lex_state = 55, .external_lex_state = 3},
  [4164] = {.lex_state = 48, .external_lex_state = 3},
  [4165] = {.lex_state = 8, .external_lex_state = 3},
  [4166] = {.lex_state = 8, .external_lex_state = 3},
  [4167] = {.lex_state = 8, .external_lex_state = 3},
  [4168] = {.lex_state = 8, .external_lex_state = 3},
  [4169] = {.lex_state = 8, .external_lex_state = 3},
  [4170] = {.lex_state = 55, .external_lex_state = 3},
  [4171] = {.lex_state = 122, .external_lex_state = 3},
  [4172] = {.lex_state = 8, .external_lex_state = 3},
  [4173] = {.lex_state = 48, .external_lex_state = 3},
  [4174] = {.lex_state = 8, .external_lex_state = 3},
  [4175] = {.lex_state = 55, .external_lex_state = 3},
  [4176] = {.lex_state = 8, .external_lex_state = 3},
  [4177] = {.lex_state = 55, .external_lex_state = 3},
  [4178] = {.lex_state = 8, .external_lex_state = 3},
  [4179] = {.lex_state = 8, .external_lex_state = 3},
  [4180] = {.lex_state = 8, .external_lex_state = 3},
  [4181] = {.lex_state = 8, .external_lex_state = 3},
  [4182] = {.lex_state = 8, .external_lex_state = 3},
  [4183] = {.lex_state = 123, .external_lex_state = 3},
  [4184] = {.lex_state = 8, .external_lex_state = 3},
  [4185] = {.lex_state = 8, .external_lex_state = 3},
  [4186] = {.lex_state = 8, .external_lex_state = 3},
  [4187] = {.lex_state = 8, .external_lex_state = 3},
  [4188] = {.lex_state = 48, .external_lex_state = 3},
  [4189] = {.lex_state = 48, .external_lex_state = 3},
  [4190] = {.lex_state = 48, .external_lex_state = 3},
  [4191] = {.lex_state = 55, .external_lex_state = 3},
  [4192] = {.lex_state = 8, .external_lex_state = 3},
  [4193] = {.lex_state = 48, .external_lex_state = 3},
  [4194] = {.lex_state = 8, .external_lex_state = 3},
  [4195] = {.lex_state = 8, .external_lex_state = 3},
  [4196] = {.lex_state = 55, .external_lex_state = 3},
  [4197] = {.lex_state = 48, .external_lex_state = 3},
  [4198] = {.lex_state = 55, .external_lex_state = 3},
  [4199] = {.lex_state = 48, .external_lex_state = 3},
  [4200] = {.lex_state = 48, .external_lex_state = 3},
  [4201] = {.lex_state = 8, .external_lex_state = 3},
  [4202] = {.lex_state = 8, .external_lex_state = 3},
  [4203] = {.lex_state = 8, .external_lex_state = 3},
  [4204] = {.lex_state = 122, .external_lex_state = 3},
  [4205] = {.lex_state = 55, .external_lex_state = 3},
  [4206] = {.lex_state = 8, .external_lex_state = 3},
  [4207] = {.lex_state = 48, .external_lex_state = 3},
  [4208] = {.lex_state = 55, .external_lex_state = 3},
  [4209] = {.lex_state = 55, .external_lex_state = 3},
  [4210] = {.lex_state = 8, .external_lex_state = 3},
  [4211] = {.lex_state = 55, .external_lex_state = 3},
  [4212] = {.lex_state = 8, .external_lex_state = 3},
  [4213] = {.lex_state = 55, .external_lex_state = 3},
  [4214] = {.lex_state = 55, .external_lex_state = 3},
  [4215] = {.lex_state = 8, .external_lex_state = 3},
  [4216] = {.lex_state = 8, .external_lex_state = 3},
  [4217] = {.lex_state = 55, .external_lex_state = 3},
  [4218] = {.lex_state = 8, .external_lex_state = 3},
  [4219] = {.lex_state = 8, .external_lex_state = 3},
  [4220] = {.lex_state = 8, .external_lex_state = 3},
  [4221] = {.lex_state = 8, .external_lex_state = 3},
  [4222] = {.lex_state = 55, .external_lex_state = 3},
  [4223] = {.lex_state = 55, .external_lex_state = 3},
  [4224] = {.lex_state = 48, .external_lex_state = 3},
  [4225] = {.lex_state = 8, .external_lex_state = 3},
  [4226] = {.lex_state = 8, .external_lex_state = 3},
  [4227] = {.lex_state = 55, .external_lex_state = 3},
  [4228] = {.lex_state = 55, .external_lex_state = 3},
  [4229] = {.lex_state = 8, .external_lex_state = 3},
  [4230] = {.lex_state = 55, .external_lex_state = 3},
  [4231] = {.lex_state = 55, .external_lex_state = 3},
  [4232] = {.lex_state = 8, .external_lex_state = 3},
  [4233] = {.lex_state = 48, .external_lex_state = 3},
  [4234] = {.lex_state = 8, .external_lex_state = 3},
  [4235] = {.lex_state = 8, .external_lex_state = 3},
  [4236] = {.lex_state = 55, .external_lex_state = 3},
  [4237] = {.lex_state = 8, .external_lex_state = 3},
  [4238] = {.lex_state = 55, .external_lex_state = 3},
  [4239] = {.lex_state = 48, .external_lex_state = 3},
  [4240] = {.lex_state = 124, .external_lex_state = 3},
  [4241] = {.lex_state = 48, .external_lex_state = 3},
  [4242] = {.lex_state = 48, .external_lex_state = 3},
  [4243] = {.lex_state = 8, .external_lex_state = 3},
  [4244] = {.lex_state = 8, .external_lex_state = 3},
  [4245] = {.lex_state = 48, .external_lex_state = 3},
  [4246] = {.lex_state = 55, .external_lex_state = 3},
  [4247] = {.lex_state = 8, .external_lex_state = 3},
  [4248] = {.lex_state = 8, .external_lex_state = 3},
  [4249] = {.lex_state = 8, .external_lex_state = 3},
  [4250] = {.lex_state = 8, .external_lex_state = 3},
  [4251] = {.lex_state = 8, .external_lex_state = 3},
  [4252] = {.lex_state = 48, .external_lex_state = 3},
  [4253] = {.lex_state = 8, .external_lex_state = 3},
  [4254] = {.lex_state = 8, .external_lex_state = 3},
  [4255] = {.lex_state = 115, .external_lex_state = 3},
  [4256] = {.lex_state = 116, .external_lex_state = 3},
  [4257] = {.lex_state = 8, .external_lex_state = 3},
  [4258] = {.lex_state = 48, .external_lex_state = 3},
  [4259] = {.lex_state = 55, .external_lex_state = 3},
  [4260] = {.lex_state = 55, .external_lex_state = 3},
  [4261] = {.lex_state = 8, .external_lex_state = 3},
  [4262] = {.lex_state = 8, .external_lex_state = 3},
  [4263] = {.lex_state = 8, .external_lex_state = 3},
  [4264] = {.lex_state = 8, .external_lex_state = 3},
  [4265] = {.lex_state = 55, .external_lex_state = 3},
  [4266] = {.lex_state = 8, .external_lex_state = 3},
  [4267] = {.lex_state = 8, .external_lex_state = 3},
  [4268] = {.lex_state = 8, .external_lex_state = 3},
  [4269] = {.lex_state = 8, .external_lex_state = 3},
  [4270] = {.lex_state = 8, .external_lex_state = 3},
  [4271] = {.lex_state = 8, .external_lex_state = 3},
  [4272] = {.lex_state = 8, .external_lex_state = 3},
  [4273] = {.lex_state = 55, .external_lex_state = 3},
  [4274] = {.lex_state = 55, .external_lex_state = 3},
  [4275] = {.lex_state = 8, .external_lex_state = 3},
  [4276] = {.lex_state = 8, .external_lex_state = 3},
  [4277] = {.lex_state = 48, .external_lex_state = 3},
  [4278] = {.lex_state = 8, .external_lex_state = 3},
  [4279] = {.lex_state = 55, .external_lex_state = 3},
  [4280] = {.lex_state = 55, .external_lex_state = 3},
  [4281] = {.lex_state = 48, .external_lex_state = 3},
  [4282] = {.lex_state = 55, .external_lex_state = 3},
  [4283] = {.lex_state = 55, .external_lex_state = 3},
  [4284] = {.lex_state = 48, .external_lex_state = 3},
  [4285] = {.lex_state = 55, .external_lex_state = 3},
  [4286] = {.lex_state = 48, .external_lex_state = 3},
  [4287] = {.lex_state = 8, .external_lex_state = 3},
  [4288] = {.lex_state = 55, .external_lex_state = 3},
  [4289] = {.lex_state = 48, .external_lex_state = 3},
  [4290] = {.lex_state = 8, .external_lex_state = 3},
  [4291] = {.lex_state = 55, .external_lex_state = 3},
  [4292] = {.lex_state = 48, .external_lex_state = 3},
  [4293] = {.lex_state = 8, .external_lex_state = 3},
  [4294] = {.lex_state = 8, .external_lex_state = 3},
  [4295] = {.lex_state = 55, .external_lex_state = 3},
  [4296] = {.lex_state = 8, .external_lex_state = 3},
  [4297] = {.lex_state = 48, .external_lex_state = 3},
  [4298] = {.lex_state = 8, .external_lex_state = 3},
  [4299] = {.lex_state = 48, .external_lex_state = 3},
  [4300] = {.lex_state = 55, .external_lex_state = 3},
  [4301] = {.lex_state = 8, .external_lex_state = 3},
  [4302] = {.lex_state = 48, .external_lex_state = 3},
  [4303] = {.lex_state = 55, .external_lex_state = 3},
  [4304] = {.lex_state = 48, .external_lex_state = 3},
  [4305] = {.lex_state = 48, .external_lex_state = 3},
  [4306] = {.lex_state = 8, .external_lex_state = 3},
  [4307] = {.lex_state = 48, .external_lex_state = 3},
  [4308] = {.lex_state = 48, .external_lex_state = 3},
  [4309] = {.lex_state = 55, .external_lex_state = 3},
  [4310] = {.lex_state = 48, .external_lex_state = 3},
  [4311] = {.lex_state = 48, .external_lex_state = 3},
  [4312] = {.lex_state = 48, .external_lex_state = 3},
  [4313] = {.lex_state = 48, .external_lex_state = 3},
  [4314] = {.lex_state = 48, .external_lex_state = 3},
  [4315] = {.lex_state = 48, .external_lex_state = 3},
  [4316] = {.lex_state = 48, .external_lex_state = 3},
  [4317] = {.lex_state = 48, .external_lex_state = 3},
  [4318] = {.lex_state = 48, .external_lex_state = 3},
  [4319] = {.lex_state = 55, .external_lex_state = 3},
  [4320] = {.lex_state = 55, .external_lex_state = 3},
  [4321] = {.lex_state = 55, .external_lex_state = 3},
  [4322] = {.lex_state = 8, .external_lex_state = 3},
  [4323] = {.lex_state = 8, .external_lex_state = 3},
  [4324] = {.lex_state = 8, .external_lex_state = 3},
  [4325] = {.lex_state = 48, .external_lex_state = 3},
  [4326] = {.lex_state = 48, .external_lex_state = 3},
  [4327] = {.lex_state = 8, .external_lex_state = 3},
  [4328] = {.lex_state = 48, .external_lex_state = 3},
  [4329] = {.lex_state = 55, .external_lex_state = 3},
  [4330] = {.lex_state = 48, .external_lex_state = 3},
  [4331] = {.lex_state = 55, .external_lex_state = 3},
  [4332] = {.lex_state = 48, .external_lex_state = 3},
  [4333] = {.lex_state = 8, .external_lex_state = 3},
  [4334] = {.lex_state = 8, .external_lex_state = 3},
  [4335] = {.lex_state = 8, .external_lex_state = 3},
  [4336] = {.lex_state = 8, .external_lex_state = 3},
  [4337] = {.lex_state = 48, .external_lex_state = 3},
  [4338] = {.lex_state = 48, .external_lex_state = 3},
  [4339] = {.lex_state = 123, .external_lex_state = 3},
  [4340] = {.lex_state = 48, .external_lex_state = 3},
  [4341] = {.lex_state = 8, .external_lex_state = 3},
  [4342] = {.lex_state = 8, .external_lex_state = 3},
  [4343] = {.lex_state = 8, .external_lex_state = 3},
  [4344] = {.lex_state = 8, .external_lex_state = 3},
  [4345] = {.lex_state = 8, .external_lex_state = 3},
  [4346] = {.lex_state = 8, .external_lex_state = 3},
  [4347] = {.lex_state = 8, .external_lex_state = 3},
  [4348] = {.lex_state = 8, .external_lex_state = 3},
  [4349] = {.lex_state = 8, .external_lex_state = 3},
  [4350] = {.lex_state = 8, .external_lex_state = 3},
  [4351] = {.lex_state = 8, .external_lex_state = 3},
  [4352] = {.lex_state = 8, .external_lex_state = 3},
  [4353] = {.lex_state = 8, .external_lex_state = 3},
  [4354] = {.lex_state = 48, .external_lex_state = 3},
  [4355] = {.lex_state = 118, .external_lex_state = 3},
  [4356] = {.lex_state = 8, .external_lex_state = 3},
  [4357] = {.lex_state = 8, .external_lex_state = 3},
  [4358] = {.lex_state = 8, .external_lex_state = 3},
  [4359] = {.lex_state = 48, .external_lex_state = 3},
  [4360] = {.lex_state = 8, .external_lex_state = 3},
  [4361] = {.lex_state = 48, .external_lex_state = 3},
  [4362] = {.lex_state = 8, .external_lex_state = 3},
  [4363] = {.lex_state = 48, .external_lex_state = 3},
  [4364] = {.lex_state = 8, .external_lex_state = 3},
  [4365] = {.lex_state = 118, .external_lex_state = 3},
  [4366] = {.lex_state = 48, .external_lex_state = 3},
  [4367] = {.lex_state = 8, .external_lex_state = 3},
  [4368] = {.lex_state = 48, .external_lex_state = 3},
  [4369] = {.lex_state = 48, .external_lex_state = 3},
  [4370] = {.lex_state = 8, .external_lex_state = 3},
  [4371] = {.lex_state = 55, .external_lex_state = 3},
  [4372] = {.lex_state = 55, .external_lex_state = 3},
  [4373] = {.lex_state = 48, .external_lex_state = 3},
  [4374] = {.lex_state = 48, .external_lex_state = 3},
  [4375] = {.lex_state = 8, .external_lex_state = 3},
  [4376] = {.lex_state = 8, .external_lex_state = 3},
  [4377] = {.lex_state = 55, .external_lex_state = 3},
  [4378] = {.lex_state = 8, .external_lex_state = 3},
  [4379] = {.lex_state = 8, .external_lex_state = 3},
  [4380] = {.lex_state = 8, .external_lex_state = 3},
  [4381] = {.lex_state = 8, .external_lex_state = 3},
  [4382] = {.lex_state = 55, .external_lex_state = 3},
  [4383] = {.lex_state = 48, .external_lex_state = 3},
  [4384] = {.lex_state = 8, .external_lex_state = 3},
  [4385] = {.lex_state = 55, .external_lex_state = 3},
  [4386] = {.lex_state = 55, .external_lex_state = 3},
  [4387] = {.lex_state = 55, .external_lex_state = 3},
  [4388] = {.lex_state = 8, .external_lex_state = 3},
  [4389] = {.lex_state = 55, .external_lex_state = 3},
  [4390] = {.lex_state = 8, .external_lex_state = 3},
  [4391] = {.lex_state = 48, .external_lex_state = 3},
  [4392] = {.lex_state = 48, .external_lex_state = 3},
  [4393] = {.lex_state = 8, .external_lex_state = 3},
  [4394] = {.lex_state = 48, .external_lex_state = 3},
  [4395] = {.lex_state = 8, .external_lex_state = 3},
  [4396] = {.lex_state = 55, .external_lex_state = 3},
  [4397] = {.lex_state = 55, .external_lex_state = 3},
  [4398] = {.lex_state = 48, .external_lex_state = 3},
  [4399] = {.lex_state = 55, .external_lex_state = 3},
  [4400] = {.lex_state = 8, .external_lex_state = 3},
  [4401] = {.lex_state = 8, .external_lex_state = 3},
  [4402] = {.lex_state = 48, .external_lex_state = 3},
  [4403] = {.lex_state = 55, .external_lex_state = 3},
  [4404] = {.lex_state = 55, .external_lex_state = 3},
  [4405] = {.lex_state = 8, .external_lex_state = 3},
  [4406] = {.lex_state = 8, .external_lex_state = 3},
  [4407] = {.lex_state = 8, .external_lex_state = 3},
  [4408] = {.lex_state = 115, .external_lex_state = 3},
  [4409] = {.lex_state = 8, .external_lex_state = 3},
  [4410] = {.lex_state = 48, .external_lex_state = 3},
  [4411] = {.lex_state = 8, .external_lex_state = 3},
  [4412] = {.lex_state = 55, .external_lex_state = 3},
  [4413] = {.lex_state = 48, .external_lex_state = 3},
  [4414] = {.lex_state = 8, .external_lex_state = 3},
  [4415] = {.lex_state = 55, .external_lex_state = 3},
  [4416] = {.lex_state = 55, .external_lex_state = 3},
  [4417] = {.lex_state = 55, .external_lex_state = 3},
  [4418] = {.lex_state = 8, .external_lex_state = 3},
  [4419] = {.lex_state = 8, .external_lex_state = 3},
  [4420] = {.lex_state = 8, .external_lex_state = 3},
  [4421] = {.lex_state = 8, .external_lex_state = 3},
  [4422] = {.lex_state = 8, .external_lex_state = 3},
  [4423] = {.lex_state = 8, .external_lex_state = 3},
  [4424] = {.lex_state = 8, .external_lex_state = 3},
  [4425] = {.lex_state = 48, .external_lex_state = 3},
  [4426] = {.lex_state = 55, .external_lex_state = 3},
  [4427] = {.lex_state = 55, .external_lex_state = 3},
  [4428] = {.lex_state = 48, .external_lex_state = 3},
  [4429] = {.lex_state = 8, .external_lex_state = 3},
  [4430] = {.lex_state = 55, .external_lex_state = 3},
  [4431] = {.lex_state = 8, .external_lex_state = 3},
  [4432] = {.lex_state = 55, .external_lex_state = 3},
  [4433] = {.lex_state = 48, .external_lex_state = 3},
  [4434] = {.lex_state = 8, .external_lex_state = 3},
  [4435] = {.lex_state = 8, .external_lex_state = 3},
  [4436] = {.lex_state = 55, .external_lex_state = 3},
  [4437] = {.lex_state = 8, .external_lex_state = 3},
  [4438] = {.lex_state = 48, .external_lex_state = 3},
  [4439] = {.lex_state = 8, .external_lex_state = 3},
  [4440] = {.lex_state = 124, .external_lex_state = 3},
  [4441] = {.lex_state = 8, .external_lex_state = 3},
  [4442] = {.lex_state = 8, .external_lex_state = 3},
  [4443] = {.lex_state = 8, .external_lex_state = 3},
  [4444] = {.lex_state = 116, .external_lex_state = 3},
  [4445] = {.lex_state = 8, .external_lex_state = 3},
  [4446] = {.lex_state = 8, .external_lex_state = 3},
  [4447] = {.lex_state = 8, .external_lex_state = 3},
  [4448] = {.lex_state = 125, .external_lex_state = 3},
  [4449] = {.lex_state = 8, .external_lex_state = 3},
  [4450] = {.lex_state = 8, .external_lex_state = 3},
  [4451] = {.lex_state = 8, .external_lex_state = 3},
  [4452] = {.lex_state = 8, .external_lex_state = 3},
  [4453] = {.lex_state = 8, .external_lex_state = 3},
  [4454] = {.lex_state = 8, .external_lex_state = 3},
  [4455] = {.lex_state = 8, .external_lex_state = 3},
  [4456] = {.lex_state = 8, .external_lex_state = 3},
  [4457] = {.lex_state = 8, .external_lex_state = 3},
  [4458] = {.lex_state = 8, .external_lex_state = 3},
  [4459] = {.lex_state = 8, .external_lex_state = 3},
  [4460] = {.lex_state = 124, .external_lex_state = 3},
  [4461] = {.lex_state = 8, .external_lex_state = 3},
  [4462] = {.lex_state = 8, .external_lex_state = 3},
  [4463] = {.lex_state = 8, .external_lex_state = 3},
  [4464] = {.lex_state = 8, .external_lex_state = 3},
  [4465] = {.lex_state = 8, .external_lex_state = 3},
  [4466] = {.lex_state = 8, .external_lex_state = 3},
  [4467] = {.lex_state = 8, .external_lex_state = 3},
  [4468] = {.lex_state = 8, .external_lex_state = 3},
  [4469] = {.lex_state = 8, .external_lex_state = 3},
  [4470] = {.lex_state = 120, .external_lex_state = 3},
  [4471] = {.lex_state = 8, .external_lex_state = 3},
  [4472] = {.lex_state = 8, .external_lex_state = 3},
  [4473] = {.lex_state = 116, .external_lex_state = 3},
  [4474] = {.lex_state = 8, .external_lex_state = 3},
  [4475] = {.lex_state = 8, .external_lex_state = 3},
  [4476] = {.lex_state = 8, .external_lex_state = 3},
  [4477] = {.lex_state = 8, .external_lex_state = 3},
  [4478] = {.lex_state = 8, .external_lex_state = 3},
  [4479] = {.lex_state = 8, .external_lex_state = 3},
  [4480] = {.lex_state = 8, .external_lex_state = 3},
  [4481] = {.lex_state = 8, .external_lex_state = 3},
  [4482] = {.lex_state = 8, .external_lex_state = 3},
  [4483] = {.lex_state = 8, .external_lex_state = 3},
  [4484] = {.lex_state = 8, .external_lex_state = 3},
  [4485] = {.lex_state = 8, .external_lex_state = 3},
  [4486] = {.lex_state = 8, .external_lex_state = 3},
  [4487] = {.lex_state = 8, .external_lex_state = 3},
  [4488] = {.lex_state = 8, .external_lex_state = 3},
  [4489] = {.lex_state = 8, .external_lex_state = 3},
  [4490] = {.lex_state = 8, .external_lex_state = 3},
  [4491] = {.lex_state = 8, .external_lex_state = 3},
  [4492] = {.lex_state = 8, .external_lex_state = 3},
  [4493] = {.lex_state = 8, .external_lex_state = 3},
  [4494] = {.lex_state = 8, .external_lex_state = 3},
  [4495] = {.lex_state = 8, .external_lex_state = 3},
  [4496] = {.lex_state = 8, .external_lex_state = 3},
  [4497] = {.lex_state = 8, .external_lex_state = 3},
  [4498] = {.lex_state = 8, .external_lex_state = 3},
  [4499] = {.lex_state = 8, .external_lex_state = 3},
  [4500] = {.lex_state = 8, .external_lex_state = 3},
  [4501] = {.lex_state = 8, .external_lex_state = 3},
  [4502] = {.lex_state = 8, .external_lex_state = 3},
  [4503] = {.lex_state = 8, .external_lex_state = 3},
  [4504] = {.lex_state = 8, .external_lex_state = 3},
  [4505] = {.lex_state = 8, .external_lex_state = 3},
  [4506] = {.lex_state = 8, .external_lex_state = 3},
  [4507] = {.lex_state = 8, .external_lex_state = 3},
  [4508] = {.lex_state = 8, .external_lex_state = 3},
  [4509] = {.lex_state = 8, .external_lex_state = 3},
  [4510] = {.lex_state = 8, .external_lex_state = 3},
  [4511] = {.lex_state = 8, .external_lex_state = 3},
  [4512] = {.lex_state = 8, .external_lex_state = 3},
  [4513] = {.lex_state = 8, .external_lex_state = 3},
  [4514] = {.lex_state = 8, .external_lex_state = 3},
  [4515] = {.lex_state = 166, .external_lex_state = 3},
  [4516] = {.lex_state = 166, .external_lex_state = 3},
  [4517] = {.lex_state = 8, .external_lex_state = 3},
  [4518] = {.lex_state = 166, .external_lex_state = 3},
  [4519] = {.lex_state = 166, .external_lex_state = 3},
  [4520] = {.lex_state = 120, .external_lex_state = 3},
  [4521] = {.lex_state = 8, .external_lex_state = 3},
  [4522] = {.lex_state = 166, .external_lex_state = 3},
  [4523] = {.lex_state = 166, .external_lex_state = 3},
  [4524] = {.lex_state = 8, .external_lex_state = 3},
  [4525] = {.lex_state = 126, .external_lex_state = 3},
  [4526] = {.lex_state = 120, .external_lex_state = 3},
  [4527] = {.lex_state = 8, .external_lex_state = 3},
  [4528] = {.lex_state = 166, .external_lex_state = 3},
  [4529] = {.lex_state = 125, .external_lex_state = 3},
  [4530] = {.lex_state = 8, .external_lex_state = 3},
  [4531] = {.lex_state = 8, .external_lex_state = 3},
  [4532] = {.lex_state = 166, .external_lex_state = 3},
  [4533] = {.lex_state = 125, .external_lex_state = 3},
  [4534] = {.lex_state = 166, .external_lex_state = 3},
  [4535] = {.lex_state = 8, .external_lex_state = 3},
  [4536] = {.lex_state = 8, .external_lex_state = 3},
  [4537] = {.lex_state = 8, .external_lex_state = 3},
  [4538] = {.lex_state = 8, .external_lex_state = 3},
  [4539] = {.lex_state = 8, .external_lex_state = 3},
  [4540] = {.lex_state = 166, .external_lex_state = 3},
  [4541] = {.lex_state = 8, .external_lex_state = 3},
  [4542] = {.lex_state = 8, .external_lex_state = 3},
  [4543] = {.lex_state = 8, .external_lex_state = 3},
  [4544] = {.lex_state = 166, .external_lex_state = 3},
  [4545] = {.lex_state = 119, .external_lex_state = 3},
  [4546] = {.lex_state = 166, .external_lex_state = 3},
  [4547] = {.lex_state = 8, .external_lex_state = 3},
  [4548] = {.lex_state = 8, .external_lex_state = 3},
  [4549] = {.lex_state = 8, .external_lex_state = 3},
  [4550] = {.lex_state = 8, .external_lex_state = 3},
  [4551] = {.lex_state = 8, .external_lex_state = 3},
  [4552] = {.lex_state = 8, .external_lex_state = 3},
  [4553] = {.lex_state = 8, .external_lex_state = 3},
  [4554] = {.lex_state = 8, .external_lex_state = 3},
  [4555] = {.lex_state = 166, .external_lex_state = 3},
  [4556] = {.lex_state = 8, .external_lex_state = 3},
  [4557] = {.lex_state = 8, .external_lex_state = 3},
  [4558] = {.lex_state = 8, .external_lex_state = 3},
  [4559] = {.lex_state = 166, .external_lex_state = 3},
  [4560] = {.lex_state = 8, .external_lex_state = 3},
  [4561] = {.lex_state = 8, .external_lex_state = 3},
  [4562] = {.lex_state = 166, .external_lex_state = 3},
  [4563] = {.lex_state = 8, .external_lex_state = 3},
  [4564] = {.lex_state = 8, .external_lex_state = 3},
  [4565] = {.lex_state = 166, .external_lex_state = 3},
  [4566] = {.lex_state = 166, .external_lex_state = 3},
  [4567] = {.lex_state = 166, .external_lex_state = 3},
  [4568] = {.lex_state = 166, .external_lex_state = 3},
  [4569] = {.lex_state = 166, .external_lex_state = 3},
  [4570] = {.lex_state = 8, .external_lex_state = 3},
  [4571] = {.lex_state = 8, .external_lex_state = 3},
  [4572] = {.lex_state = 8, .external_lex_state = 3},
  [4573] = {.lex_state = 166, .external_lex_state = 3},
  [4574] = {.lex_state = 8, .external_lex_state = 3},
  [4575] = {.lex_state = 8, .external_lex_state = 3},
  [4576] = {.lex_state = 8, .external_lex_state = 3},
  [4577] = {.lex_state = 8, .external_lex_state = 3},
  [4578] = {.lex_state = 8, .external_lex_state = 3},
  [4579] = {.lex_state = 126, .external_lex_state = 3},
  [4580] = {.lex_state = 8, .external_lex_state = 3},
  [4581] = {.lex_state = 8, .external_lex_state = 3},
  [4582] = {.lex_state = 8, .external_lex_state = 3},
  [4583] = {.lex_state = 8, .external_lex_state = 3},
  [4584] = {.lex_state = 8, .external_lex_state = 3},
  [4585] = {.lex_state = 8, .external_lex_state = 3},
  [4586] = {.lex_state = 119, .external_lex_state = 3},
  [4587] = {.lex_state = 119, .external_lex_state = 3},
  [4588] = {.lex_state = 8, .external_lex_state = 3},
  [4589] = {.lex_state = 8, .external_lex_state = 3},
  [4590] = {.lex_state = 8, .external_lex_state = 3},
  [4591] = {.lex_state = 8, .external_lex_state = 3},
  [4592] = {.lex_state = 8, .external_lex_state = 3},
  [4593] = {.lex_state = 8, .external_lex_state = 3},
  [4594] = {.lex_state = 8, .external_lex_state = 3},
  [4595] = {.lex_state = 8, .external_lex_state = 3},
  [4596] = {.lex_state = 8, .external_lex_state = 3},
  [4597] = {.lex_state = 8, .external_lex_state = 3},
  [4598] = {.lex_state = 8, .external_lex_state = 3},
  [4599] = {.lex_state = 166, .external_lex_state = 3},
  [4600] = {.lex_state = 166, .external_lex_state = 3},
  [4601] = {.lex_state = 166, .external_lex_state = 3},
  [4602] = {.lex_state = 166, .external_lex_state = 3},
  [4603] = {.lex_state = 166, .external_lex_state = 3},
  [4604] = {.lex_state = 8, .external_lex_state = 3},
  [4605] = {.lex_state = 8, .external_lex_state = 3},
  [4606] = {.lex_state = 8, .external_lex_state = 3},
  [4607] = {.lex_state = 8, .external_lex_state = 3},
  [4608] = {.lex_state = 8, .external_lex_state = 3},
  [4609] = {.lex_state = 8, .external_lex_state = 3},
  [4610] = {.lex_state = 8, .external_lex_state = 3},
  [4611] = {.lex_state = 8, .external_lex_state = 3},
  [4612] = {.lex_state = 166, .external_lex_state = 3},
  [4613] = {.lex_state = 126, .external_lex_state = 3},
  [4614] = {.lex_state = 8, .external_lex_state = 3},
  [4615] = {.lex_state = 8, .external_lex_state = 3},
  [4616] = {.lex_state = 8, .external_lex_state = 3},
  [4617] = {.lex_state = 8, .external_lex_state = 3},
  [4618] = {.lex_state = 8, .external_lex_state = 3},
  [4619] = {.lex_state = 8, .external_lex_state = 3},
  [4620] = {.lex_state = 8, .external_lex_state = 3},
  [4621] = {.lex_state = 8, .external_lex_state = 3},
  [4622] = {.lex_state = 166, .external_lex_state = 3},
  [4623] = {.lex_state = 166, .external_lex_state = 3},
  [4624] = {.lex_state = 166, .external_lex_state = 3},
  [4625] = {.lex_state = 72, .external_lex_state = 3},
  [4626] = {.lex_state = 166, .external_lex_state = 3},
  [4627] = {.lex_state = 166, .external_lex_state = 3},
  [4628] = {.lex_state = 72, .external_lex_state = 3},
  [4629] = {.lex_state = 166, .external_lex_state = 3},
  [4630] = {.lex_state = 166, .external_lex_state = 3},
  [4631] = {.lex_state = 166, .external_lex_state = 3},
  [4632] = {.lex_state = 166, .external_lex_state = 3},
  [4633] = {.lex_state = 166, .external_lex_state = 3},
  [4634] = {.lex_state = 166, .external_lex_state = 3},
  [4635] = {.lex_state = 166, .external_lex_state = 3},
  [4636] = {.lex_state = 166, .external_lex_state = 3},
  [4637] = {.lex_state = 166, .external_lex_state = 3},
  [4638] = {.lex_state = 166, .external_lex_state = 3},
  [4639] = {.lex_state = 166, .external_lex_state = 3},
  [4640] = {.lex_state = 166, .external_lex_state = 3},
  [4641] = {.lex_state = 166, .external_lex_state = 3},
  [4642] = {.lex_state = 166, .external_lex_state = 3},
  [4643] = {.lex_state = 166, .external_lex_state = 3},
  [4644] = {.lex_state = 166, .external_lex_state = 3},
  [4645] = {.lex_state = 166, .external_lex_state = 3},
  [4646] = {.lex_state = 166, .external_lex_state = 3},
  [4647] = {.lex_state = 166, .external_lex_state = 3},
  [4648] = {.lex_state = 72, .external_lex_state = 3},
  [4649] = {.lex_state = 166, .external_lex_state = 3},
  [4650] = {.lex_state = 166, .external_lex_state = 3},
  [4651] = {.lex_state = 166, .external_lex_state = 3},
  [4652] = {.lex_state = 166, .external_lex_state = 3},
  [4653] = {.lex_state = 166, .external_lex_state = 3},
  [4654] = {.lex_state = 166, .external_lex_state = 3},
  [4655] = {.lex_state = 166, .external_lex_state = 3},
  [4656] = {.lex_state = 166, .external_lex_state = 3},
  [4657] = {.lex_state = 166, .external_lex_state = 3},
  [4658] = {.lex_state = 166, .external_lex_state = 3},
  [4659] = {.lex_state = 166, .external_lex_state = 3},
  [4660] = {.lex_state = 166, .external_lex_state = 3},
  [4661] = {.lex_state = 166, .external_lex_state = 3},
  [4662] = {.lex_state = 166, .external_lex_state = 3},
  [4663] = {.lex_state = 166, .external_lex_state = 3},
  [4664] = {.lex_state = 166, .external_lex_state = 3},
  [4665] = {.lex_state = 166, .external_lex_state = 3},
  [4666] = {.lex_state = 166, .external_lex_state = 3},
  [4667] = {.lex_state = 166, .external_lex_state = 3},
  [4668] = {.lex_state = 166, .external_lex_state = 3},
  [4669] = {.lex_state = 166, .external_lex_state = 3},
  [4670] = {.lex_state = 166, .external_lex_state = 3},
  [4671] = {.lex_state = 166, .external_lex_state = 3},
  [4672] = {.lex_state = 166, .external_lex_state = 3},
  [4673] = {.lex_state = 166, .external_lex_state = 3},
  [4674] = {.lex_state = 18, .external_lex_state = 3},
  [4675] = {.lex_state = 166, .external_lex_state = 3},
  [4676] = {.lex_state = 166, .external_lex_state = 3},
  [4677] = {.lex_state = 166, .external_lex_state = 3},
  [4678] = {.lex_state = 166, .external_lex_state = 3},
  [4679] = {.lex_state = 166, .external_lex_state = 3},
  [4680] = {.lex_state = 166, .external_lex_state = 3},
  [4681] = {.lex_state = 166, .external_lex_state = 3},
  [4682] = {.lex_state = 166, .external_lex_state = 3},
  [4683] = {.lex_state = 166, .external_lex_state = 3},
  [4684] = {.lex_state = 166, .external_lex_state = 3},
  [4685] = {.lex_state = 166, .external_lex_state = 3},
  [4686] = {.lex_state = 166, .external_lex_state = 3},
  [4687] = {.lex_state = 166, .external_lex_state = 3},
  [4688] = {.lex_state = 166, .external_lex_state = 3},
  [4689] = {.lex_state = 166, .external_lex_state = 3},
  [4690] = {.lex_state = 166, .external_lex_state = 3},
  [4691] = {.lex_state = 166, .external_lex_state = 3},
  [4692] = {.lex_state = 166, .external_lex_state = 3},
  [4693] = {.lex_state = 72, .external_lex_state = 3},
  [4694] = {.lex_state = 166, .external_lex_state = 3},
  [4695] = {.lex_state = 166, .external_lex_state = 3},
  [4696] = {.lex_state = 166, .external_lex_state = 3},
  [4697] = {.lex_state = 166, .external_lex_state = 3},
  [4698] = {.lex_state = 166, .external_lex_state = 3},
  [4699] = {.lex_state = 166, .external_lex_state = 3},
  [4700] = {.lex_state = 166, .external_lex_state = 3},
  [4701] = {.lex_state = 166, .external_lex_state = 3},
  [4702] = {.lex_state = 166, .external_lex_state = 3},
  [4703] = {.lex_state = 166, .external_lex_state = 3},
  [4704] = {.lex_state = 166, .external_lex_state = 3},
  [4705] = {.lex_state = 166, .external_lex_state = 3},
  [4706] = {.lex_state = 166, .external_lex_state = 3},
  [4707] = {.lex_state = 166, .external_lex_state = 3},
  [4708] = {.lex_state = 72, .external_lex_state = 3},
  [4709] = {.lex_state = 166, .external_lex_state = 3},
  [4710] = {.lex_state = 166, .external_lex_state = 3},
  [4711] = {.lex_state = 166, .external_lex_state = 3},
  [4712] = {.lex_state = 166, .external_lex_state = 3},
  [4713] = {.lex_state = 166, .external_lex_state = 3},
  [4714] = {.lex_state = 72, .external_lex_state = 3},
  [4715] = {.lex_state = 72, .external_lex_state = 3},
  [4716] = {.lex_state = 72, .external_lex_state = 3},
  [4717] = {.lex_state = 72, .external_lex_state = 3},
  [4718] = {.lex_state = 72, .external_lex_state = 3},
  [4719] = {.lex_state = 18, .external_lex_state = 3},
  [4720] = {.lex_state = 166, .external_lex_state = 3},
  [4721] = {.lex_state = 18, .external_lex_state = 3},
  [4722] = {.lex_state = 166, .external_lex_state = 3},
  [4723] = {.lex_state = 72, .external_lex_state = 3},
  [4724] = {.lex_state = 166, .external_lex_state = 3},
  [4725] = {.lex_state = 166, .external_lex_state = 3},
  [4726] = {.lex_state = 166, .external_lex_state = 3},
  [4727] = {.lex_state = 166, .external_lex_state = 3},
  [4728] = {.lex_state = 166, .external_lex_state = 3},
  [4729] = {.lex_state = 72, .external_lex_state = 3},
  [4730] = {.lex_state = 72, .external_lex_state = 3},
  [4731] = {.lex_state = 72, .external_lex_state = 3},
  [4732] = {.lex_state = 72, .external_lex_state = 3},
  [4733] = {.lex_state = 72, .external_lex_state = 3},
  [4734] = {.lex_state = 72, .external_lex_state = 3},
  [4735] = {.lex_state = 72, .external_lex_state = 3},
  [4736] = {.lex_state = 72, .external_lex_state = 3},
  [4737] = {.lex_state = 72, .external_lex_state = 3},
  [4738] = {.lex_state = 72, .external_lex_state = 3},
  [4739] = {.lex_state = 72, .external_lex_state = 3},
  [4740] = {.lex_state = 72, .external_lex_state = 3},
  [4741] = {.lex_state = 72, .external_lex_state = 3},
  [4742] = {.lex_state = 72, .external_lex_state = 3},
  [4743] = {.lex_state = 72, .external_lex_state = 3},
  [4744] = {.lex_state = 72, .external_lex_state = 3},
  [4745] = {.lex_state = 166, .external_lex_state = 3},
  [4746] = {.lex_state = 72, .external_lex_state = 3},
  [4747] = {.lex_state = 72, .external_lex_state = 3},
  [4748] = {.lex_state = 72, .external_lex_state = 3},
  [4749] = {.lex_state = 72, .external_lex_state = 3},
  [4750] = {.lex_state = 72, .external_lex_state = 3},
  [4751] = {.lex_state = 72, .external_lex_state = 3},
  [4752] = {.lex_state = 72, .external_lex_state = 3},
  [4753] = {.lex_state = 73, .external_lex_state = 3},
  [4754] = {.lex_state = 72, .external_lex_state = 3},
  [4755] = {.lex_state = 72, .external_lex_state = 3},
  [4756] = {.lex_state = 72, .external_lex_state = 3},
  [4757] = {.lex_state = 72, .external_lex_state = 3},
  [4758] = {.lex_state = 72, .external_lex_state = 3},
  [4759] = {.lex_state = 72, .external_lex_state = 3},
  [4760] = {.lex_state = 73, .external_lex_state = 3},
  [4761] = {.lex_state = 72, .external_lex_state = 3},
  [4762] = {.lex_state = 72, .external_lex_state = 3},
  [4763] = {.lex_state = 73, .external_lex_state = 3},
  [4764] = {.lex_state = 72, .external_lex_state = 3},
  [4765] = {.lex_state = 72, .external_lex_state = 3},
  [4766] = {.lex_state = 72, .external_lex_state = 3},
  [4767] = {.lex_state = 73, .external_lex_state = 3},
  [4768] = {.lex_state = 72, .external_lex_state = 3},
  [4769] = {.lex_state = 166, .external_lex_state = 3},
  [4770] = {.lex_state = 73, .external_lex_state = 3},
  [4771] = {.lex_state = 72, .external_lex_state = 3},
  [4772] = {.lex_state = 166, .external_lex_state = 3},
  [4773] = {.lex_state = 166, .external_lex_state = 3},
  [4774] = {.lex_state = 72, .external_lex_state = 3},
  [4775] = {.lex_state = 72, .external_lex_state = 3},
  [4776] = {.lex_state = 72, .external_lex_state = 3},
  [4777] = {.lex_state = 72, .external_lex_state = 3},
  [4778] = {.lex_state = 72, .external_lex_state = 3},
  [4779] = {.lex_state = 72, .external_lex_state = 3},
  [4780] = {.lex_state = 72, .external_lex_state = 3},
  [4781] = {.lex_state = 72, .external_lex_state = 3},
  [4782] = {.lex_state = 72, .external_lex_state = 3},
  [4783] = {.lex_state = 166, .external_lex_state = 3},
  [4784] = {.lex_state = 72, .external_lex_state = 3},
  [4785] = {.lex_state = 72, .external_lex_state = 3},
  [4786] = {.lex_state = 72, .external_lex_state = 3},
  [4787] = {.lex_state = 72, .external_lex_state = 3},
  [4788] = {.lex_state = 72, .external_lex_state = 3},
  [4789] = {.lex_state = 72, .external_lex_state = 3},
  [4790] = {.lex_state = 72, .external_lex_state = 3},
  [4791] = {.lex_state = 166, .external_lex_state = 3},
  [4792] = {.lex_state = 72, .external_lex_state = 3},
  [4793] = {.lex_state = 72, .external_lex_state = 3},
  [4794] = {.lex_state = 166, .external_lex_state = 3},
  [4795] = {.lex_state = 72, .external_lex_state = 3},
  [4796] = {.lex_state = 166, .external_lex_state = 3},
  [4797] = {.lex_state = 166, .external_lex_state = 3},
  [4798] = {.lex_state = 166, .external_lex_state = 3},
  [4799] = {.lex_state = 166, .external_lex_state = 3},
  [4800] = {.lex_state = 166, .external_lex_state = 3},
  [4801] = {.lex_state = 166, .external_lex_state = 3},
  [4802] = {.lex_state = 166, .external_lex_state = 3},
  [4803] = {.lex_state = 166, .external_lex_state = 3},
  [4804] = {.lex_state = 166, .external_lex_state = 3},
  [4805] = {.lex_state = 166, .external_lex_state = 3},
  [4806] = {.lex_state = 166, .external_lex_state = 3},
  [4807] = {.lex_state = 166, .external_lex_state = 3},
  [4808] = {.lex_state = 166, .external_lex_state = 3},
  [4809] = {.lex_state = 166, .external_lex_state = 3},
  [4810] = {.lex_state = 166, .external_lex_state = 3},
  [4811] = {.lex_state = 166, .external_lex_state = 3},
  [4812] = {.lex_state = 166, .external_lex_state = 3},
  [4813] = {.lex_state = 166, .external_lex_state = 3},
  [4814] = {.lex_state = 166, .external_lex_state = 3},
  [4815] = {.lex_state = 166, .external_lex_state = 3},
  [4816] = {.lex_state = 166, .external_lex_state = 3},
  [4817] = {.lex_state = 72, .external_lex_state = 3},
  [4818] = {.lex_state = 72, .external_lex_state = 3},
  [4819] = {.lex_state = 72, .external_lex_state = 3},
  [4820] = {.lex_state = 72, .external_lex_state = 3},
  [4821] = {.lex_state = 166, .external_lex_state = 3},
  [4822] = {.lex_state = 166, .external_lex_state = 3},
  [4823] = {.lex_state = 166, .external_lex_state = 3},
  [4824] = {.lex_state = 166, .external_lex_state = 3},
  [4825] = {.lex_state = 166, .external_lex_state = 3},
  [4826] = {.lex_state = 166, .external_lex_state = 3},
  [4827] = {.lex_state = 166, .external_lex_state = 3},
  [4828] = {.lex_state = 73, .external_lex_state = 3},
  [4829] = {.lex_state = 166, .external_lex_state = 3},
  [4830] = {.lex_state = 166, .external_lex_state = 3},
  [4831] = {.lex_state = 166, .external_lex_state = 3},
  [4832] = {.lex_state = 166, .external_lex_state = 3},
  [4833] = {.lex_state = 73, .external_lex_state = 3},
  [4834] = {.lex_state = 166, .external_lex_state = 3},
  [4835] = {.lex_state = 166, .external_lex_state = 3},
  [4836] = {.lex_state = 72, .external_lex_state = 3},
  [4837] = {.lex_state = 166, .external_lex_state = 3},
  [4838] = {.lex_state = 166, .external_lex_state = 3},
  [4839] = {.lex_state = 166, .external_lex_state = 3},
  [4840] = {.lex_state = 166, .external_lex_state = 3},
  [4841] = {.lex_state = 73, .external_lex_state = 3},
  [4842] = {.lex_state = 72, .external_lex_state = 3},
  [4843] = {.lex_state = 72, .external_lex_state = 3},
  [4844] = {.lex_state = 72, .external_lex_state = 3},
  [4845] = {.lex_state = 72, .external_lex_state = 3},
  [4846] = {.lex_state = 73, .external_lex_state = 3},
  [4847] = {.lex_state = 72, .external_lex_state = 3},
  [4848] = {.lex_state = 72, .external_lex_state = 3},
  [4849] = {.lex_state = 72, .external_lex_state = 3},
  [4850] = {.lex_state = 18, .external_lex_state = 3},
  [4851] = {.lex_state = 72, .external_lex_state = 3},
  [4852] = {.lex_state = 72, .external_lex_state = 3},
  [4853] = {.lex_state = 73, .external_lex_state = 3},
  [4854] = {.lex_state = 72, .external_lex_state = 3},
  [4855] = {.lex_state = 73, .external_lex_state = 3},
  [4856] = {.lex_state = 72, .external_lex_state = 3},
  [4857] = {.lex_state = 72, .external_lex_state = 3},
  [4858] = {.lex_state = 72, .external_lex_state = 3},
  [4859] = {.lex_state = 73, .external_lex_state = 3},
  [4860] = {.lex_state = 73, .external_lex_state = 3},
  [4861] = {.lex_state = 73, .external_lex_state = 3},
  [4862] = {.lex_state = 73, .external_lex_state = 3},
  [4863] = {.lex_state = 73, .external_lex_state = 3},
  [4864] = {.lex_state = 73, .external_lex_state = 3},
  [4865] = {.lex_state = 73, .external_lex_state = 3},
  [4866] = {.lex_state = 73, .external_lex_state = 3},
  [4867] = {.lex_state = 73, .external_lex_state = 3},
  [4868] = {.lex_state = 166, .external_lex_state = 3},
  [4869] = {.lex_state = 73, .external_lex_state = 3},
  [4870] = {.lex_state = 73, .external_lex_state = 3},
  [4871] = {.lex_state = 73, .external_lex_state = 3},
  [4872] = {.lex_state = 73, .external_lex_state = 3},
  [4873] = {.lex_state = 166, .external_lex_state = 3},
  [4874] = {.lex_state = 166, .external_lex_state = 3},
  [4875] = {.lex_state = 73, .external_lex_state = 3},
  [4876] = {.lex_state = 73, .external_lex_state = 3},
  [4877] = {.lex_state = 73, .external_lex_state = 3},
  [4878] = {.lex_state = 73, .external_lex_state = 3},
  [4879] = {.lex_state = 41, .external_lex_state = 3},
  [4880] = {.lex_state = 73, .external_lex_state = 3},
  [4881] = {.lex_state = 73, .external_lex_state = 3},
  [4882] = {.lex_state = 73, .external_lex_state = 3},
  [4883] = {.lex_state = 73, .external_lex_state = 3},
  [4884] = {.lex_state = 73, .external_lex_state = 3},
  [4885] = {.lex_state = 73, .external_lex_state = 3},
  [4886] = {.lex_state = 73, .external_lex_state = 3},
  [4887] = {.lex_state = 73, .external_lex_state = 3},
  [4888] = {.lex_state = 73, .external_lex_state = 3},
  [4889] = {.lex_state = 73, .external_lex_state = 3},
  [4890] = {.lex_state = 73, .external_lex_state = 3},
  [4891] = {.lex_state = 73, .external_lex_state = 3},
  [4892] = {.lex_state = 73, .external_lex_state = 3},
  [4893] = {.lex_state = 73, .external_lex_state = 3},
  [4894] = {.lex_state = 73, .external_lex_state = 3},
  [4895] = {.lex_state = 73, .external_lex_state = 3},
  [4896] = {.lex_state = 73, .external_lex_state = 3},
  [4897] = {.lex_state = 73, .external_lex_state = 3},
  [4898] = {.lex_state = 166, .external_lex_state = 3},
  [4899] = {.lex_state = 73, .external_lex_state = 3},
  [4900] = {.lex_state = 73, .external_lex_state = 3},
  [4901] = {.lex_state = 73, .external_lex_state = 3},
  [4902] = {.lex_state = 73, .external_lex_state = 3},
  [4903] = {.lex_state = 73, .external_lex_state = 3},
  [4904] = {.lex_state = 73, .external_lex_state = 3},
  [4905] = {.lex_state = 73, .external_lex_state = 3},
  [4906] = {.lex_state = 73, .external_lex_state = 3},
  [4907] = {.lex_state = 73, .external_lex_state = 3},
  [4908] = {.lex_state = 41, .external_lex_state = 3},
  [4909] = {.lex_state = 166, .external_lex_state = 3},
  [4910] = {.lex_state = 73, .external_lex_state = 3},
  [4911] = {.lex_state = 73, .external_lex_state = 3},
  [4912] = {.lex_state = 73, .external_lex_state = 3},
  [4913] = {.lex_state = 73, .external_lex_state = 3},
  [4914] = {.lex_state = 41, .external_lex_state = 3},
  [4915] = {.lex_state = 41, .external_lex_state = 3},
  [4916] = {.lex_state = 41, .external_lex_state = 3},
  [4917] = {.lex_state = 73, .external_lex_state = 3},
  [4918] = {.lex_state = 41, .external_lex_state = 3},
  [4919] = {.lex_state = 41, .external_lex_state = 3},
  [4920] = {.lex_state = 41, .external_lex_state = 3},
  [4921] = {.lex_state = 73, .external_lex_state = 3},
  [4922] = {.lex_state = 73, .external_lex_state = 3},
  [4923] = {.lex_state = 73, .external_lex_state = 3},
  [4924] = {.lex_state = 73, .external_lex_state = 3},
  [4925] = {.lex_state = 73, .external_lex_state = 3},
  [4926] = {.lex_state = 73, .external_lex_state = 3},
  [4927] = {.lex_state = 73, .external_lex_state = 3},
  [4928] = {.lex_state = 41, .external_lex_state = 3},
  [4929] = {.lex_state = 73, .external_lex_state = 3},
  [4930] = {.lex_state = 73, .external_lex_state = 3},
  [4931] = {.lex_state = 73, .external_lex_state = 3},
  [4932] = {.lex_state = 41, .external_lex_state = 3},
  [4933] = {.lex_state = 73, .external_lex_state = 3},
  [4934] = {.lex_state = 73, .external_lex_state = 3},
  [4935] = {.lex_state = 73, .external_lex_state = 3},
  [4936] = {.lex_state = 73, .external_lex_state = 3},
  [4937] = {.lex_state = 73, .external_lex_state = 3},
  [4938] = {.lex_state = 73, .external_lex_state = 3},
  [4939] = {.lex_state = 73, .external_lex_state = 3},
  [4940] = {.lex_state = 73, .external_lex_state = 3},
  [4941] = {.lex_state = 73, .external_lex_state = 3},
  [4942] = {.lex_state = 73, .external_lex_state = 3},
  [4943] = {.lex_state = 73, .external_lex_state = 3},
  [4944] = {.lex_state = 73, .external_lex_state = 3},
  [4945] = {.lex_state = 166, .external_lex_state = 3},
  [4946] = {.lex_state = 73, .external_lex_state = 3},
  [4947] = {.lex_state = 73, .external_lex_state = 3},
  [4948] = {.lex_state = 41, .external_lex_state = 3},
  [4949] = {.lex_state = 8, .external_lex_state = 3},
  [4950] = {.lex_state = 166, .external_lex_state = 3},
  [4951] = {.lex_state = 41, .external_lex_state = 3},
  [4952] = {.lex_state = 41, .external_lex_state = 3},
  [4953] = {.lex_state = 41, .external_lex_state = 3},
  [4954] = {.lex_state = 40, .external_lex_state = 3},
  [4955] = {.lex_state = 41, .external_lex_state = 3},
  [4956] = {.lex_state = 8, .external_lex_state = 3},
  [4957] = {.lex_state = 166, .external_lex_state = 3},
  [4958] = {.lex_state = 40, .external_lex_state = 3},
  [4959] = {.lex_state = 40, .external_lex_state = 3},
  [4960] = {.lex_state = 40, .external_lex_state = 3},
  [4961] = {.lex_state = 40, .external_lex_state = 3},
  [4962] = {.lex_state = 40, .external_lex_state = 3},
  [4963] = {.lex_state = 40, .external_lex_state = 3},
  [4964] = {.lex_state = 166, .external_lex_state = 3},
  [4965] = {.lex_state = 41, .external_lex_state = 3},
  [4966] = {.lex_state = 40, .external_lex_state = 3},
  [4967] = {.lex_state = 40, .external_lex_state = 3},
  [4968] = {.lex_state = 43, .external_lex_state = 3},
  [4969] = {.lex_state = 166, .external_lex_state = 3},
  [4970] = {.lex_state = 166, .external_lex_state = 3},
  [4971] = {.lex_state = 40, .external_lex_state = 3},
  [4972] = {.lex_state = 40, .external_lex_state = 3},
  [4973] = {.lex_state = 166, .external_lex_state = 3},
  [4974] = {.lex_state = 18, .external_lex_state = 3},
  [4975] = {.lex_state = 166, .external_lex_state = 3},
  [4976] = {.lex_state = 43, .external_lex_state = 3},
  [4977] = {.lex_state = 166, .external_lex_state = 3},
  [4978] = {.lex_state = 166, .external_lex_state = 3},
  [4979] = {.lex_state = 166, .external_lex_state = 3},
  [4980] = {.lex_state = 166, .external_lex_state = 3},
  [4981] = {.lex_state = 166, .external_lex_state = 3},
  [4982] = {.lex_state = 166, .external_lex_state = 3},
  [4983] = {.lex_state = 166, .external_lex_state = 3},
  [4984] = {.lex_state = 166, .external_lex_state = 3},
  [4985] = {.lex_state = 166, .external_lex_state = 3},
  [4986] = {.lex_state = 166, .external_lex_state = 3},
  [4987] = {.lex_state = 41, .external_lex_state = 3},
  [4988] = {.lex_state = 166, .external_lex_state = 3},
  [4989] = {.lex_state = 166, .external_lex_state = 3},
  [4990] = {.lex_state = 166, .external_lex_state = 3},
  [4991] = {.lex_state = 41, .external_lex_state = 3},
  [4992] = {.lex_state = 166, .external_lex_state = 3},
  [4993] = {.lex_state = 41, .external_lex_state = 3},
  [4994] = {.lex_state = 166, .external_lex_state = 3},
  [4995] = {.lex_state = 43, .external_lex_state = 3},
  [4996] = {.lex_state = 166, .external_lex_state = 3},
  [4997] = {.lex_state = 166, .external_lex_state = 3},
  [4998] = {.lex_state = 166, .external_lex_state = 3},
  [4999] = {.lex_state = 166, .external_lex_state = 3},
  [5000] = {.lex_state = 166, .external_lex_state = 3},
  [5001] = {.lex_state = 166, .external_lex_state = 3},
  [5002] = {.lex_state = 41, .external_lex_state = 3},
  [5003] = {.lex_state = 166, .external_lex_state = 3},
  [5004] = {.lex_state = 166, .external_lex_state = 3},
  [5005] = {.lex_state = 166, .external_lex_state = 3},
  [5006] = {.lex_state = 166, .external_lex_state = 3},
  [5007] = {.lex_state = 166, .external_lex_state = 3},
  [5008] = {.lex_state = 41, .external_lex_state = 3},
  [5009] = {.lex_state = 166, .external_lex_state = 3},
  [5010] = {.lex_state = 41, .external_lex_state = 3},
  [5011] = {.lex_state = 166, .external_lex_state = 3},
  [5012] = {.lex_state = 166, .external_lex_state = 3},
  [5013] = {.lex_state = 43, .external_lex_state = 3},
  [5014] = {.lex_state = 166, .external_lex_state = 3},
  [5015] = {.lex_state = 41, .external_lex_state = 3},
  [5016] = {.lex_state = 41, .external_lex_state = 3},
  [5017] = {.lex_state = 166, .external_lex_state = 3},
  [5018] = {.lex_state = 41, .external_lex_state = 3},
  [5019] = {.lex_state = 166, .external_lex_state = 3},
  [5020] = {.lex_state = 43, .external_lex_state = 3},
  [5021] = {.lex_state = 41, .external_lex_state = 3},
  [5022] = {.lex_state = 41, .external_lex_state = 3},
  [5023] = {.lex_state = 41, .external_lex_state = 3},
  [5024] = {.lex_state = 41, .external_lex_state = 3},
  [5025] = {.lex_state = 43, .external_lex_state = 3},
  [5026] = {.lex_state = 166, .external_lex_state = 3},
  [5027] = {.lex_state = 166, .external_lex_state = 3},
  [5028] = {.lex_state = 43, .external_lex_state = 3},
  [5029] = {.lex_state = 41, .external_lex_state = 3},
  [5030] = {.lex_state = 166, .external_lex_state = 3},
  [5031] = {.lex_state = 166, .external_lex_state = 3},
  [5032] = {.lex_state = 41, .external_lex_state = 3},
  [5033] = {.lex_state = 41, .external_lex_state = 3},
  [5034] = {.lex_state = 41, .external_lex_state = 3},
  [5035] = {.lex_state = 41, .external_lex_state = 3},
  [5036] = {.lex_state = 41, .external_lex_state = 3},
  [5037] = {.lex_state = 41, .external_lex_state = 3},
  [5038] = {.lex_state = 166, .external_lex_state = 3},
  [5039] = {.lex_state = 41, .external_lex_state = 3},
  [5040] = {.lex_state = 41, .external_lex_state = 3},
  [5041] = {.lex_state = 41, .external_lex_state = 3},
  [5042] = {.lex_state = 166, .external_lex_state = 3},
  [5043] = {.lex_state = 41, .external_lex_state = 3},
  [5044] = {.lex_state = 166, .external_lex_state = 3},
  [5045] = {.lex_state = 166, .external_lex_state = 3},
  [5046] = {.lex_state = 41, .external_lex_state = 3},
  [5047] = {.lex_state = 41, .external_lex_state = 3},
  [5048] = {.lex_state = 41, .external_lex_state = 3},
  [5049] = {.lex_state = 41, .external_lex_state = 3},
  [5050] = {.lex_state = 41, .external_lex_state = 3},
  [5051] = {.lex_state = 166, .external_lex_state = 3},
  [5052] = {.lex_state = 41, .external_lex_state = 3},
  [5053] = {.lex_state = 41, .external_lex_state = 3},
  [5054] = {.lex_state = 41, .external_lex_state = 3},
  [5055] = {.lex_state = 41, .external_lex_state = 3},
  [5056] = {.lex_state = 41, .external_lex_state = 3},
  [5057] = {.lex_state = 41, .external_lex_state = 3},
  [5058] = {.lex_state = 166, .external_lex_state = 3},
  [5059] = {.lex_state = 41, .external_lex_state = 3},
  [5060] = {.lex_state = 41, .external_lex_state = 3},
  [5061] = {.lex_state = 41, .external_lex_state = 3},
  [5062] = {.lex_state = 41, .external_lex_state = 3},
  [5063] = {.lex_state = 41, .external_lex_state = 3},
  [5064] = {.lex_state = 41, .external_lex_state = 3},
  [5065] = {.lex_state = 166, .external_lex_state = 3},
  [5066] = {.lex_state = 41, .external_lex_state = 3},
  [5067] = {.lex_state = 41, .external_lex_state = 3},
  [5068] = {.lex_state = 41, .external_lex_state = 3},
  [5069] = {.lex_state = 41, .external_lex_state = 3},
  [5070] = {.lex_state = 72, .external_lex_state = 3},
  [5071] = {.lex_state = 166, .external_lex_state = 3},
  [5072] = {.lex_state = 41, .external_lex_state = 3},
  [5073] = {.lex_state = 41, .external_lex_state = 3},
  [5074] = {.lex_state = 41, .external_lex_state = 3},
  [5075] = {.lex_state = 41, .external_lex_state = 3},
  [5076] = {.lex_state = 41, .external_lex_state = 3},
  [5077] = {.lex_state = 43, .external_lex_state = 3},
  [5078] = {.lex_state = 166, .external_lex_state = 3},
  [5079] = {.lex_state = 8, .external_lex_state = 3},
  [5080] = {.lex_state = 41, .external_lex_state = 3},
  [5081] = {.lex_state = 41, .external_lex_state = 3},
  [5082] = {.lex_state = 41, .external_lex_state = 3},
  [5083] = {.lex_state = 41, .external_lex_state = 3},
  [5084] = {.lex_state = 41, .external_lex_state = 3},
  [5085] = {.lex_state = 41, .external_lex_state = 3},
  [5086] = {.lex_state = 41, .external_lex_state = 3},
  [5087] = {.lex_state = 43, .external_lex_state = 3},
  [5088] = {.lex_state = 41, .external_lex_state = 3},
  [5089] = {.lex_state = 43, .external_lex_state = 3},
  [5090] = {.lex_state = 41, .external_lex_state = 3},
  [5091] = {.lex_state = 41, .external_lex_state = 3},
  [5092] = {.lex_state = 41, .external_lex_state = 3},
  [5093] = {.lex_state = 41, .external_lex_state = 3},
  [5094] = {.lex_state = 41, .external_lex_state = 3},
  [5095] = {.lex_state = 41, .external_lex_state = 3},
  [5096] = {.lex_state = 41, .external_lex_state = 3},
  [5097] = {.lex_state = 19, .external_lex_state = 3},
  [5098] = {.lex_state = 41, .external_lex_state = 3},
  [5099] = {.lex_state = 40, .external_lex_state = 3},
  [5100] = {.lex_state = 43, .external_lex_state = 3},
  [5101] = {.lex_state = 43, .external_lex_state = 3},
  [5102] = {.lex_state = 43, .external_lex_state = 3},
  [5103] = {.lex_state = 43, .external_lex_state = 3},
  [5104] = {.lex_state = 42, .external_lex_state = 3},
  [5105] = {.lex_state = 43, .external_lex_state = 3},
  [5106] = {.lex_state = 43, .external_lex_state = 3},
  [5107] = {.lex_state = 43, .external_lex_state = 3},
  [5108] = {.lex_state = 43, .external_lex_state = 3},
  [5109] = {.lex_state = 73, .external_lex_state = 3},
  [5110] = {.lex_state = 43, .external_lex_state = 3},
  [5111] = {.lex_state = 40, .external_lex_state = 3},
  [5112] = {.lex_state = 19, .external_lex_state = 3},
  [5113] = {.lex_state = 43, .external_lex_state = 3},
  [5114] = {.lex_state = 72, .external_lex_state = 3},
  [5115] = {.lex_state = 40, .external_lex_state = 3},
  [5116] = {.lex_state = 40, .external_lex_state = 3},
  [5117] = {.lex_state = 42, .external_lex_state = 3},
  [5118] = {.lex_state = 43, .external_lex_state = 3},
  [5119] = {.lex_state = 40, .external_lex_state = 3},
  [5120] = {.lex_state = 43, .external_lex_state = 3},
  [5121] = {.lex_state = 40, .external_lex_state = 3},
  [5122] = {.lex_state = 43, .external_lex_state = 3},
  [5123] = {.lex_state = 43, .external_lex_state = 3},
  [5124] = {.lex_state = 40, .external_lex_state = 3},
  [5125] = {.lex_state = 40, .external_lex_state = 3},
  [5126] = {.lex_state = 43, .external_lex_state = 3},
  [5127] = {.lex_state = 40, .external_lex_state = 3},
  [5128] = {.lex_state = 43, .external_lex_state = 3},
  [5129] = {.lex_state = 42, .external_lex_state = 3},
  [5130] = {.lex_state = 43, .external_lex_state = 3},
  [5131] = {.lex_state = 40, .external_lex_state = 3},
  [5132] = {.lex_state = 182, .external_lex_state = 3},
  [5133] = {.lex_state = 43, .external_lex_state = 3},
  [5134] = {.lex_state = 40, .external_lex_state = 3},
  [5135] = {.lex_state = 43, .external_lex_state = 3},
  [5136] = {.lex_state = 40, .external_lex_state = 3},
  [5137] = {.lex_state = 40, .external_lex_state = 3},
  [5138] = {.lex_state = 40, .external_lex_state = 3},
  [5139] = {.lex_state = 40, .external_lex_state = 3},
  [5140] = {.lex_state = 40, .external_lex_state = 3},
  [5141] = {.lex_state = 40, .external_lex_state = 3},
  [5142] = {.lex_state = 40, .external_lex_state = 3},
  [5143] = {.lex_state = 40, .external_lex_state = 3},
  [5144] = {.lex_state = 40, .external_lex_state = 3},
  [5145] = {.lex_state = 40, .external_lex_state = 3},
  [5146] = {.lex_state = 40, .external_lex_state = 3},
  [5147] = {.lex_state = 40, .external_lex_state = 3},
  [5148] = {.lex_state = 43, .external_lex_state = 3},
  [5149] = {.lex_state = 40, .external_lex_state = 3},
  [5150] = {.lex_state = 40, .external_lex_state = 3},
  [5151] = {.lex_state = 40, .external_lex_state = 3},
  [5152] = {.lex_state = 40, .external_lex_state = 3},
  [5153] = {.lex_state = 40, .external_lex_state = 3},
  [5154] = {.lex_state = 40, .external_lex_state = 3},
  [5155] = {.lex_state = 40, .external_lex_state = 3},
  [5156] = {.lex_state = 40, .external_lex_state = 3},
  [5157] = {.lex_state = 43, .external_lex_state = 3},
  [5158] = {.lex_state = 40, .external_lex_state = 3},
  [5159] = {.lex_state = 43, .external_lex_state = 3},
  [5160] = {.lex_state = 40, .external_lex_state = 3},
  [5161] = {.lex_state = 43, .external_lex_state = 3},
  [5162] = {.lex_state = 182, .external_lex_state = 3},
  [5163] = {.lex_state = 43, .external_lex_state = 3},
  [5164] = {.lex_state = 43, .external_lex_state = 3},
  [5165] = {.lex_state = 40, .external_lex_state = 3},
  [5166] = {.lex_state = 43, .external_lex_state = 3},
  [5167] = {.lex_state = 40, .external_lex_state = 3},
  [5168] = {.lex_state = 43, .external_lex_state = 3},
  [5169] = {.lex_state = 40, .external_lex_state = 3},
  [5170] = {.lex_state = 40, .external_lex_state = 3},
  [5171] = {.lex_state = 40, .external_lex_state = 3},
  [5172] = {.lex_state = 40, .external_lex_state = 3},
  [5173] = {.lex_state = 40, .external_lex_state = 3},
  [5174] = {.lex_state = 43, .external_lex_state = 3},
  [5175] = {.lex_state = 43, .external_lex_state = 3},
  [5176] = {.lex_state = 43, .external_lex_state = 3},
  [5177] = {.lex_state = 40, .external_lex_state = 3},
  [5178] = {.lex_state = 43, .external_lex_state = 3},
  [5179] = {.lex_state = 40, .external_lex_state = 3},
  [5180] = {.lex_state = 43, .external_lex_state = 3},
  [5181] = {.lex_state = 43, .external_lex_state = 3},
  [5182] = {.lex_state = 40, .external_lex_state = 3},
  [5183] = {.lex_state = 40, .external_lex_state = 3},
  [5184] = {.lex_state = 43, .external_lex_state = 3},
  [5185] = {.lex_state = 40, .external_lex_state = 3},
  [5186] = {.lex_state = 40, .external_lex_state = 3},
  [5187] = {.lex_state = 40, .external_lex_state = 3},
  [5188] = {.lex_state = 40, .external_lex_state = 3},
  [5189] = {.lex_state = 42, .external_lex_state = 3},
  [5190] = {.lex_state = 40, .external_lex_state = 3},
  [5191] = {.lex_state = 43, .external_lex_state = 3},
  [5192] = {.lex_state = 40, .external_lex_state = 3},
  [5193] = {.lex_state = 40, .external_lex_state = 3},
  [5194] = {.lex_state = 40, .external_lex_state = 3},
  [5195] = {.lex_state = 40, .external_lex_state = 3},
  [5196] = {.lex_state = 43, .external_lex_state = 3},
  [5197] = {.lex_state = 40, .external_lex_state = 3},
  [5198] = {.lex_state = 40, .external_lex_state = 3},
  [5199] = {.lex_state = 40, .external_lex_state = 3},
  [5200] = {.lex_state = 43, .external_lex_state = 3},
  [5201] = {.lex_state = 40, .external_lex_state = 3},
  [5202] = {.lex_state = 72, .external_lex_state = 3},
  [5203] = {.lex_state = 40, .external_lex_state = 3},
  [5204] = {.lex_state = 43, .external_lex_state = 3},
  [5205] = {.lex_state = 43, .external_lex_state = 3},
  [5206] = {.lex_state = 43, .external_lex_state = 3},
  [5207] = {.lex_state = 40, .external_lex_state = 3},
  [5208] = {.lex_state = 43, .external_lex_state = 3},
  [5209] = {.lex_state = 40, .external_lex_state = 3},
  [5210] = {.lex_state = 43, .external_lex_state = 3},
  [5211] = {.lex_state = 43, .external_lex_state = 3},
  [5212] = {.lex_state = 42, .external_lex_state = 3},
  [5213] = {.lex_state = 43, .external_lex_state = 3},
  [5214] = {.lex_state = 43, .external_lex_state = 3},
  [5215] = {.lex_state = 43, .external_lex_state = 3},
  [5216] = {.lex_state = 43, .external_lex_state = 3},
  [5217] = {.lex_state = 40, .external_lex_state = 3},
  [5218] = {.lex_state = 43, .external_lex_state = 3},
  [5219] = {.lex_state = 43, .external_lex_state = 3},
  [5220] = {.lex_state = 43, .external_lex_state = 3},
  [5221] = {.lex_state = 42, .external_lex_state = 3},
  [5222] = {.lex_state = 42, .external_lex_state = 3},
  [5223] = {.lex_state = 43, .external_lex_state = 3},
  [5224] = {.lex_state = 43, .external_lex_state = 3},
  [5225] = {.lex_state = 43, .external_lex_state = 3},
  [5226] = {.lex_state = 40, .external_lex_state = 3},
  [5227] = {.lex_state = 43, .external_lex_state = 3},
  [5228] = {.lex_state = 43, .external_lex_state = 3},
  [5229] = {.lex_state = 43, .external_lex_state = 3},
  [5230] = {.lex_state = 43, .external_lex_state = 3},
  [5231] = {.lex_state = 43, .external_lex_state = 3},
  [5232] = {.lex_state = 43, .external_lex_state = 3},
  [5233] = {.lex_state = 43, .external_lex_state = 3},
  [5234] = {.lex_state = 43, .external_lex_state = 3},
  [5235] = {.lex_state = 43, .external_lex_state = 3},
  [5236] = {.lex_state = 41, .external_lex_state = 3},
  [5237] = {.lex_state = 43, .external_lex_state = 3},
  [5238] = {.lex_state = 40, .external_lex_state = 3},
  [5239] = {.lex_state = 40, .external_lex_state = 3},
  [5240] = {.lex_state = 43, .external_lex_state = 3},
  [5241] = {.lex_state = 43, .external_lex_state = 3},
  [5242] = {.lex_state = 43, .external_lex_state = 3},
  [5243] = {.lex_state = 43, .external_lex_state = 3},
  [5244] = {.lex_state = 40, .external_lex_state = 3},
  [5245] = {.lex_state = 43, .external_lex_state = 3},
  [5246] = {.lex_state = 40, .external_lex_state = 3},
  [5247] = {.lex_state = 40, .external_lex_state = 3},
  [5248] = {.lex_state = 42, .external_lex_state = 3},
  [5249] = {.lex_state = 40, .external_lex_state = 3},
  [5250] = {.lex_state = 40, .external_lex_state = 3},
  [5251] = {.lex_state = 40, .external_lex_state = 3},
  [5252] = {.lex_state = 40, .external_lex_state = 3},
  [5253] = {.lex_state = 42, .external_lex_state = 3},
  [5254] = {.lex_state = 43, .external_lex_state = 3},
  [5255] = {.lex_state = 18, .external_lex_state = 3},
  [5256] = {.lex_state = 40, .external_lex_state = 3},
  [5257] = {.lex_state = 184, .external_lex_state = 3},
  [5258] = {.lex_state = 42, .external_lex_state = 3},
  [5259] = {.lex_state = 42, .external_lex_state = 3},
  [5260] = {.lex_state = 43, .external_lex_state = 3},
  [5261] = {.lex_state = 43, .external_lex_state = 3},
  [5262] = {.lex_state = 184, .external_lex_state = 3},
  [5263] = {.lex_state = 43, .external_lex_state = 3},
  [5264] = {.lex_state = 177, .external_lex_state = 3},
  [5265] = {.lex_state = 179, .external_lex_state = 3},
  [5266] = {.lex_state = 42, .external_lex_state = 3},
  [5267] = {.lex_state = 42, .external_lex_state = 3},
  [5268] = {.lex_state = 42, .external_lex_state = 3},
  [5269] = {.lex_state = 42, .external_lex_state = 3},
  [5270] = {.lex_state = 42, .external_lex_state = 3},
  [5271] = {.lex_state = 177, .external_lex_state = 3},
  [5272] = {.lex_state = 42, .external_lex_state = 3},
  [5273] = {.lex_state = 42, .external_lex_state = 3},
  [5274] = {.lex_state = 177, .external_lex_state = 3},
  [5275] = {.lex_state = 182, .external_lex_state = 3},
  [5276] = {.lex_state = 42, .external_lex_state = 3},
  [5277] = {.lex_state = 157, .external_lex_state = 2},
  [5278] = {.lex_state = 73, .external_lex_state = 3},
  [5279] = {.lex_state = 183, .external_lex_state = 3},
  [5280] = {.lex_state = 42, .external_lex_state = 3},
  [5281] = {.lex_state = 42, .external_lex_state = 3},
  [5282] = {.lex_state = 177, .external_lex_state = 3},
  [5283] = {.lex_state = 42, .external_lex_state = 3},
  [5284] = {.lex_state = 182, .external_lex_state = 3},
  [5285] = {.lex_state = 42, .external_lex_state = 3},
  [5286] = {.lex_state = 42, .external_lex_state = 3},
  [5287] = {.lex_state = 185, .external_lex_state = 3},
  [5288] = {.lex_state = 42, .external_lex_state = 3},
  [5289] = {.lex_state = 73, .external_lex_state = 3},
  [5290] = {.lex_state = 42, .external_lex_state = 3},
  [5291] = {.lex_state = 177, .external_lex_state = 3},
  [5292] = {.lex_state = 42, .external_lex_state = 3},
  [5293] = {.lex_state = 42, .external_lex_state = 3},
  [5294] = {.lex_state = 42, .external_lex_state = 3},
  [5295] = {.lex_state = 42, .external_lex_state = 3},
  [5296] = {.lex_state = 42, .external_lex_state = 3},
  [5297] = {.lex_state = 42, .external_lex_state = 3},
  [5298] = {.lex_state = 42, .external_lex_state = 3},
  [5299] = {.lex_state = 42, .external_lex_state = 3},
  [5300] = {.lex_state = 184, .external_lex_state = 3},
  [5301] = {.lex_state = 177, .external_lex_state = 3},
  [5302] = {.lex_state = 42, .external_lex_state = 3},
  [5303] = {.lex_state = 183, .external_lex_state = 3},
  [5304] = {.lex_state = 177, .external_lex_state = 3},
  [5305] = {.lex_state = 177, .external_lex_state = 3},
  [5306] = {.lex_state = 42, .external_lex_state = 3},
  [5307] = {.lex_state = 42, .external_lex_state = 3},
  [5308] = {.lex_state = 185, .external_lex_state = 3},
  [5309] = {.lex_state = 182, .external_lex_state = 3},
  [5310] = {.lex_state = 42, .external_lex_state = 3},
  [5311] = {.lex_state = 42, .external_lex_state = 3},
  [5312] = {.lex_state = 42, .external_lex_state = 3},
  [5313] = {.lex_state = 42, .external_lex_state = 3},
  [5314] = {.lex_state = 42, .external_lex_state = 3},
  [5315] = {.lex_state = 42, .external_lex_state = 3},
  [5316] = {.lex_state = 179, .external_lex_state = 3},
  [5317] = {.lex_state = 182, .external_lex_state = 3},
  [5318] = {.lex_state = 42, .external_lex_state = 3},
  [5319] = {.lex_state = 42, .external_lex_state = 3},
  [5320] = {.lex_state = 149, .external_lex_state = 3},
  [5321] = {.lex_state = 43, .external_lex_state = 3},
  [5322] = {.lex_state = 42, .external_lex_state = 3},
  [5323] = {.lex_state = 157, .external_lex_state = 2},
  [5324] = {.lex_state = 42, .external_lex_state = 3},
  [5325] = {.lex_state = 42, .external_lex_state = 3},
  [5326] = {.lex_state = 179, .external_lex_state = 3},
  [5327] = {.lex_state = 42, .external_lex_state = 3},
  [5328] = {.lex_state = 42, .external_lex_state = 3},
  [5329] = {.lex_state = 157, .external_lex_state = 2},
  [5330] = {.lex_state = 42, .external_lex_state = 3},
  [5331] = {.lex_state = 42, .external_lex_state = 3},
  [5332] = {.lex_state = 42, .external_lex_state = 3},
  [5333] = {.lex_state = 42, .external_lex_state = 3},
  [5334] = {.lex_state = 42, .external_lex_state = 3},
  [5335] = {.lex_state = 42, .external_lex_state = 3},
  [5336] = {.lex_state = 177, .external_lex_state = 3},
  [5337] = {.lex_state = 42, .external_lex_state = 3},
  [5338] = {.lex_state = 42, .external_lex_state = 3},
  [5339] = {.lex_state = 42, .external_lex_state = 3},
  [5340] = {.lex_state = 42, .external_lex_state = 3},
  [5341] = {.lex_state = 42, .external_lex_state = 3},
  [5342] = {.lex_state = 42, .external_lex_state = 3},
  [5343] = {.lex_state = 42, .external_lex_state = 3},
  [5344] = {.lex_state = 42, .external_lex_state = 3},
  [5345] = {.lex_state = 42, .external_lex_state = 3},
  [5346] = {.lex_state = 42, .external_lex_state = 3},
  [5347] = {.lex_state = 179, .external_lex_state = 3},
  [5348] = {.lex_state = 179, .external_lex_state = 3},
  [5349] = {.lex_state = 42, .external_lex_state = 3},
  [5350] = {.lex_state = 42, .external_lex_state = 3},
  [5351] = {.lex_state = 42, .external_lex_state = 3},
  [5352] = {.lex_state = 179, .external_lex_state = 3},
  [5353] = {.lex_state = 42, .external_lex_state = 3},
  [5354] = {.lex_state = 42, .external_lex_state = 3},
  [5355] = {.lex_state = 184, .external_lex_state = 3},
  [5356] = {.lex_state = 42, .external_lex_state = 3},
  [5357] = {.lex_state = 179, .external_lex_state = 3},
  [5358] = {.lex_state = 42, .external_lex_state = 3},
  [5359] = {.lex_state = 42, .external_lex_state = 3},
  [5360] = {.lex_state = 179, .external_lex_state = 3},
  [5361] = {.lex_state = 177, .external_lex_state = 3},
  [5362] = {.lex_state = 42, .external_lex_state = 3},
  [5363] = {.lex_state = 42, .external_lex_state = 3},
  [5364] = {.lex_state = 184, .external_lex_state = 3},
  [5365] = {.lex_state = 179, .external_lex_state = 3},
  [5366] = {.lex_state = 179, .external_lex_state = 3},
  [5367] = {.lex_state = 179, .external_lex_state = 3},
  [5368] = {.lex_state = 42, .external_lex_state = 3},
  [5369] = {.lex_state = 177, .external_lex_state = 3},
  [5370] = {.lex_state = 184, .external_lex_state = 3},
  [5371] = {.lex_state = 42, .external_lex_state = 3},
  [5372] = {.lex_state = 42, .external_lex_state = 3},
  [5373] = {.lex_state = 42, .external_lex_state = 3},
  [5374] = {.lex_state = 42, .external_lex_state = 3},
  [5375] = {.lex_state = 42, .external_lex_state = 3},
  [5376] = {.lex_state = 42, .external_lex_state = 3},
  [5377] = {.lex_state = 182, .external_lex_state = 3},
  [5378] = {.lex_state = 184, .external_lex_state = 3},
  [5379] = {.lex_state = 185, .external_lex_state = 3},
  [5380] = {.lex_state = 180, .external_lex_state = 3},
  [5381] = {.lex_state = 180, .external_lex_state = 3},
  [5382] = {.lex_state = 182, .external_lex_state = 3},
  [5383] = {.lex_state = 182, .external_lex_state = 3},
  [5384] = {.lex_state = 184, .external_lex_state = 3},
  [5385] = {.lex_state = 182, .external_lex_state = 3},
  [5386] = {.lex_state = 184, .external_lex_state = 3},
  [5387] = {.lex_state = 182, .external_lex_state = 3},
  [5388] = {.lex_state = 86, .external_lex_state = 3},
  [5389] = {.lex_state = 178, .external_lex_state = 3},
  [5390] = {.lex_state = 86, .external_lex_state = 3},
  [5391] = {.lex_state = 86, .external_lex_state = 3},
  [5392] = {.lex_state = 184, .external_lex_state = 3},
  [5393] = {.lex_state = 86, .external_lex_state = 3},
  [5394] = {.lex_state = 184, .external_lex_state = 3},
  [5395] = {.lex_state = 182, .external_lex_state = 3},
  [5396] = {.lex_state = 86, .external_lex_state = 3},
  [5397] = {.lex_state = 86, .external_lex_state = 3},
  [5398] = {.lex_state = 86, .external_lex_state = 3},
  [5399] = {.lex_state = 182, .external_lex_state = 3},
  [5400] = {.lex_state = 182, .external_lex_state = 3},
  [5401] = {.lex_state = 184, .external_lex_state = 3},
  [5402] = {.lex_state = 182, .external_lex_state = 3},
  [5403] = {.lex_state = 184, .external_lex_state = 3},
  [5404] = {.lex_state = 182, .external_lex_state = 3},
  [5405] = {.lex_state = 182, .external_lex_state = 3},
  [5406] = {.lex_state = 182, .external_lex_state = 3},
  [5407] = {.lex_state = 184, .external_lex_state = 3},
  [5408] = {.lex_state = 86, .external_lex_state = 3},
  [5409] = {.lex_state = 182, .external_lex_state = 3},
  [5410] = {.lex_state = 86, .external_lex_state = 3},
  [5411] = {.lex_state = 182, .external_lex_state = 3},
  [5412] = {.lex_state = 182, .external_lex_state = 3},
  [5413] = {.lex_state = 182, .external_lex_state = 3},
  [5414] = {.lex_state = 184, .external_lex_state = 3},
  [5415] = {.lex_state = 180, .external_lex_state = 3},
  [5416] = {.lex_state = 184, .external_lex_state = 3},
  [5417] = {.lex_state = 184, .external_lex_state = 3},
  [5418] = {.lex_state = 184, .external_lex_state = 3},
  [5419] = {.lex_state = 184, .external_lex_state = 3},
  [5420] = {.lex_state = 184, .external_lex_state = 3},
  [5421] = {.lex_state = 148, .external_lex_state = 3},
  [5422] = {.lex_state = 180, .external_lex_state = 3},
  [5423] = {.lex_state = 182, .external_lex_state = 3},
  [5424] = {.lex_state = 182, .external_lex_state = 3},
  [5425] = {.lex_state = 182, .external_lex_state = 3},
  [5426] = {.lex_state = 182, .external_lex_state = 3},
  [5427] = {.lex_state = 182, .external_lex_state = 3},
  [5428] = {.lex_state = 182, .external_lex_state = 3},
  [5429] = {.lex_state = 182, .external_lex_state = 3},
  [5430] = {.lex_state = 182, .external_lex_state = 3},
  [5431] = {.lex_state = 182, .external_lex_state = 3},
  [5432] = {.lex_state = 182, .external_lex_state = 3},
  [5433] = {.lex_state = 182, .external_lex_state = 3},
  [5434] = {.lex_state = 182, .external_lex_state = 3},
  [5435] = {.lex_state = 182, .external_lex_state = 3},
  [5436] = {.lex_state = 182, .external_lex_state = 3},
  [5437] = {.lex_state = 182, .external_lex_state = 3},
  [5438] = {.lex_state = 182, .external_lex_state = 3},
  [5439] = {.lex_state = 182, .external_lex_state = 3},
  [5440] = {.lex_state = 182, .external_lex_state = 3},
  [5441] = {.lex_state = 178, .external_lex_state = 3},
  [5442] = {.lex_state = 182, .external_lex_state = 3},
  [5443] = {.lex_state = 182, .external_lex_state = 3},
  [5444] = {.lex_state = 182, .external_lex_state = 3},
  [5445] = {.lex_state = 182, .external_lex_state = 3},
  [5446] = {.lex_state = 182, .external_lex_state = 3},
  [5447] = {.lex_state = 184, .external_lex_state = 3},
  [5448] = {.lex_state = 86, .external_lex_state = 3},
  [5449] = {.lex_state = 184, .external_lex_state = 3},
  [5450] = {.lex_state = 184, .external_lex_state = 3},
  [5451] = {.lex_state = 184, .external_lex_state = 3},
  [5452] = {.lex_state = 184, .external_lex_state = 3},
  [5453] = {.lex_state = 184, .external_lex_state = 3},
  [5454] = {.lex_state = 184, .external_lex_state = 3},
  [5455] = {.lex_state = 184, .external_lex_state = 3},
  [5456] = {.lex_state = 182, .external_lex_state = 3},
  [5457] = {.lex_state = 182, .external_lex_state = 3},
  [5458] = {.lex_state = 184, .external_lex_state = 3},
  [5459] = {.lex_state = 184, .external_lex_state = 3},
  [5460] = {.lex_state = 184, .external_lex_state = 3},
  [5461] = {.lex_state = 184, .external_lex_state = 3},
  [5462] = {.lex_state = 184, .external_lex_state = 3},
  [5463] = {.lex_state = 184, .external_lex_state = 3},
  [5464] = {.lex_state = 184, .external_lex_state = 3},
  [5465] = {.lex_state = 184, .external_lex_state = 3},
  [5466] = {.lex_state = 184, .external_lex_state = 3},
  [5467] = {.lex_state = 184, .external_lex_state = 3},
  [5468] = {.lex_state = 184, .external_lex_state = 3},
  [5469] = {.lex_state = 184, .external_lex_state = 3},
  [5470] = {.lex_state = 184, .external_lex_state = 3},
  [5471] = {.lex_state = 182, .external_lex_state = 3},
  [5472] = {.lex_state = 184, .external_lex_state = 3},
  [5473] = {.lex_state = 184, .external_lex_state = 3},
  [5474] = {.lex_state = 184, .external_lex_state = 3},
  [5475] = {.lex_state = 183, .external_lex_state = 3},
  [5476] = {.lex_state = 184, .external_lex_state = 3},
  [5477] = {.lex_state = 184, .external_lex_state = 3},
  [5478] = {.lex_state = 184, .external_lex_state = 3},
  [5479] = {.lex_state = 151, .external_lex_state = 3},
  [5480] = {.lex_state = 184, .external_lex_state = 3},
  [5481] = {.lex_state = 86, .external_lex_state = 3},
  [5482] = {.lex_state = 183, .external_lex_state = 3},
  [5483] = {.lex_state = 184, .external_lex_state = 3},
  [5484] = {.lex_state = 182, .external_lex_state = 3},
  [5485] = {.lex_state = 184, .external_lex_state = 3},
  [5486] = {.lex_state = 178, .external_lex_state = 3},
  [5487] = {.lex_state = 178, .external_lex_state = 3},
  [5488] = {.lex_state = 182, .external_lex_state = 3},
  [5489] = {.lex_state = 178, .external_lex_state = 3},
  [5490] = {.lex_state = 184, .external_lex_state = 3},
  [5491] = {.lex_state = 184, .external_lex_state = 3},
  [5492] = {.lex_state = 178, .external_lex_state = 3},
  [5493] = {.lex_state = 178, .external_lex_state = 3},
  [5494] = {.lex_state = 184, .external_lex_state = 3},
  [5495] = {.lex_state = 41, .external_lex_state = 3},
  [5496] = {.lex_state = 183, .external_lex_state = 3},
  [5497] = {.lex_state = 185, .external_lex_state = 3},
  [5498] = {.lex_state = 178, .external_lex_state = 3},
  [5499] = {.lex_state = 178, .external_lex_state = 3},
  [5500] = {.lex_state = 178, .external_lex_state = 3},
  [5501] = {.lex_state = 180, .external_lex_state = 3},
  [5502] = {.lex_state = 41, .external_lex_state = 3},
  [5503] = {.lex_state = 183, .external_lex_state = 3},
  [5504] = {.lex_state = 180, .external_lex_state = 3},
  [5505] = {.lex_state = 178, .external_lex_state = 3},
  [5506] = {.lex_state = 180, .external_lex_state = 3},
  [5507] = {.lex_state = 180, .external_lex_state = 3},
  [5508] = {.lex_state = 185, .external_lex_state = 3},
  [5509] = {.lex_state = 180, .external_lex_state = 3},
  [5510] = {.lex_state = 182, .external_lex_state = 3},
  [5511] = {.lex_state = 182, .external_lex_state = 3},
  [5512] = {.lex_state = 184, .external_lex_state = 3},
  [5513] = {.lex_state = 184, .external_lex_state = 3},
  [5514] = {.lex_state = 185, .external_lex_state = 3},
  [5515] = {.lex_state = 182, .external_lex_state = 3},
  [5516] = {.lex_state = 180, .external_lex_state = 3},
  [5517] = {.lex_state = 180, .external_lex_state = 3},
  [5518] = {.lex_state = 182, .external_lex_state = 3},
  [5519] = {.lex_state = 182, .external_lex_state = 3},
  [5520] = {.lex_state = 183, .external_lex_state = 3},
  [5521] = {.lex_state = 183, .external_lex_state = 3},
  [5522] = {.lex_state = 86, .external_lex_state = 3},
  [5523] = {.lex_state = 87, .external_lex_state = 3},
  [5524] = {.lex_state = 43, .external_lex_state = 3},
  [5525] = {.lex_state = 183, .external_lex_state = 3},
  [5526] = {.lex_state = 86, .external_lex_state = 3},
  [5527] = {.lex_state = 86, .external_lex_state = 3},
  [5528] = {.lex_state = 86, .external_lex_state = 3},
  [5529] = {.lex_state = 86, .external_lex_state = 3},
  [5530] = {.lex_state = 185, .external_lex_state = 3},
  [5531] = {.lex_state = 86, .external_lex_state = 3},
  [5532] = {.lex_state = 185, .external_lex_state = 3},
  [5533] = {.lex_state = 40, .external_lex_state = 3},
  [5534] = {.lex_state = 185, .external_lex_state = 3},
  [5535] = {.lex_state = 183, .external_lex_state = 3},
  [5536] = {.lex_state = 183, .external_lex_state = 3},
  [5537] = {.lex_state = 185, .external_lex_state = 3},
  [5538] = {.lex_state = 185, .external_lex_state = 3},
  [5539] = {.lex_state = 43, .external_lex_state = 3},
  [5540] = {.lex_state = 185, .external_lex_state = 3},
  [5541] = {.lex_state = 183, .external_lex_state = 3},
  [5542] = {.lex_state = 185, .external_lex_state = 3},
  [5543] = {.lex_state = 86, .external_lex_state = 3},
  [5544] = {.lex_state = 86, .external_lex_state = 3},
  [5545] = {.lex_state = 86, .external_lex_state = 3},
  [5546] = {.lex_state = 86, .external_lex_state = 3},
  [5547] = {.lex_state = 40, .external_lex_state = 3},
  [5548] = {.lex_state = 86, .external_lex_state = 3},
  [5549] = {.lex_state = 86, .external_lex_state = 3},
  [5550] = {.lex_state = 86, .external_lex_state = 3},
  [5551] = {.lex_state = 86, .external_lex_state = 3},
  [5552] = {.lex_state = 183, .external_lex_state = 3},
  [5553] = {.lex_state = 183, .external_lex_state = 3},
  [5554] = {.lex_state = 86, .external_lex_state = 3},
  [5555] = {.lex_state = 86, .external_lex_state = 3},
  [5556] = {.lex_state = 185, .external_lex_state = 3},
  [5557] = {.lex_state = 86, .external_lex_state = 3},
  [5558] = {.lex_state = 185, .external_lex_state = 3},
  [5559] = {.lex_state = 185, .external_lex_state = 3},
  [5560] = {.lex_state = 86, .external_lex_state = 3},
  [5561] = {.lex_state = 86, .external_lex_state = 3},
  [5562] = {.lex_state = 86, .external_lex_state = 3},
  [5563] = {.lex_state = 86, .external_lex_state = 3},
  [5564] = {.lex_state = 185, .external_lex_state = 3},
  [5565] = {.lex_state = 185, .external_lex_state = 3},
  [5566] = {.lex_state = 185, .external_lex_state = 3},
  [5567] = {.lex_state = 86, .external_lex_state = 3},
  [5568] = {.lex_state = 86, .external_lex_state = 3},
  [5569] = {.lex_state = 185, .external_lex_state = 3},
  [5570] = {.lex_state = 185, .external_lex_state = 3},
  [5571] = {.lex_state = 185, .external_lex_state = 3},
  [5572] = {.lex_state = 185, .external_lex_state = 3},
  [5573] = {.lex_state = 86, .external_lex_state = 3},
  [5574] = {.lex_state = 185, .external_lex_state = 3},
  [5575] = {.lex_state = 185, .external_lex_state = 3},
  [5576] = {.lex_state = 185, .external_lex_state = 3},
  [5577] = {.lex_state = 86, .external_lex_state = 3},
  [5578] = {.lex_state = 86, .external_lex_state = 3},
  [5579] = {.lex_state = 185, .external_lex_state = 3},
  [5580] = {.lex_state = 86, .external_lex_state = 3},
  [5581] = {.lex_state = 86, .external_lex_state = 3},
  [5582] = {.lex_state = 86, .external_lex_state = 3},
  [5583] = {.lex_state = 86, .external_lex_state = 3},
  [5584] = {.lex_state = 86, .external_lex_state = 3},
  [5585] = {.lex_state = 86, .external_lex_state = 3},
  [5586] = {.lex_state = 86, .external_lex_state = 3},
  [5587] = {.lex_state = 183, .external_lex_state = 3},
  [5588] = {.lex_state = 183, .external_lex_state = 3},
  [5589] = {.lex_state = 185, .external_lex_state = 3},
  [5590] = {.lex_state = 86, .external_lex_state = 3},
  [5591] = {.lex_state = 185, .external_lex_state = 3},
  [5592] = {.lex_state = 86, .external_lex_state = 3},
  [5593] = {.lex_state = 86, .external_lex_state = 3},
  [5594] = {.lex_state = 86, .external_lex_state = 3},
  [5595] = {.lex_state = 86, .external_lex_state = 3},
  [5596] = {.lex_state = 86, .external_lex_state = 3},
  [5597] = {.lex_state = 86, .external_lex_state = 3},
  [5598] = {.lex_state = 86, .external_lex_state = 3},
  [5599] = {.lex_state = 86, .external_lex_state = 3},
  [5600] = {.lex_state = 86, .external_lex_state = 3},
  [5601] = {.lex_state = 86, .external_lex_state = 3},
  [5602] = {.lex_state = 86, .external_lex_state = 3},
  [5603] = {.lex_state = 86, .external_lex_state = 3},
  [5604] = {.lex_state = 86, .external_lex_state = 3},
  [5605] = {.lex_state = 86, .external_lex_state = 3},
  [5606] = {.lex_state = 86, .external_lex_state = 3},
  [5607] = {.lex_state = 86, .external_lex_state = 3},
  [5608] = {.lex_state = 86, .external_lex_state = 3},
  [5609] = {.lex_state = 86, .external_lex_state = 3},
  [5610] = {.lex_state = 86, .external_lex_state = 3},
  [5611] = {.lex_state = 86, .external_lex_state = 3},
  [5612] = {.lex_state = 86, .external_lex_state = 3},
  [5613] = {.lex_state = 185, .external_lex_state = 3},
  [5614] = {.lex_state = 86, .external_lex_state = 3},
  [5615] = {.lex_state = 185, .external_lex_state = 3},
  [5616] = {.lex_state = 183, .external_lex_state = 3},
  [5617] = {.lex_state = 183, .external_lex_state = 3},
  [5618] = {.lex_state = 185, .external_lex_state = 3},
  [5619] = {.lex_state = 183, .external_lex_state = 3},
  [5620] = {.lex_state = 185, .external_lex_state = 3},
  [5621] = {.lex_state = 86, .external_lex_state = 3},
  [5622] = {.lex_state = 185, .external_lex_state = 3},
  [5623] = {.lex_state = 185, .external_lex_state = 3},
  [5624] = {.lex_state = 183, .external_lex_state = 3},
  [5625] = {.lex_state = 86, .external_lex_state = 3},
  [5626] = {.lex_state = 185, .external_lex_state = 3},
  [5627] = {.lex_state = 86, .external_lex_state = 3},
  [5628] = {.lex_state = 86, .external_lex_state = 3},
  [5629] = {.lex_state = 86, .external_lex_state = 3},
  [5630] = {.lex_state = 86, .external_lex_state = 3},
  [5631] = {.lex_state = 185, .external_lex_state = 3},
  [5632] = {.lex_state = 86, .external_lex_state = 3},
  [5633] = {.lex_state = 87, .external_lex_state = 3},
  [5634] = {.lex_state = 185, .external_lex_state = 3},
  [5635] = {.lex_state = 87, .external_lex_state = 3},
  [5636] = {.lex_state = 87, .external_lex_state = 3},
  [5637] = {.lex_state = 87, .external_lex_state = 3},
  [5638] = {.lex_state = 87, .external_lex_state = 3},
  [5639] = {.lex_state = 87, .external_lex_state = 3},
  [5640] = {.lex_state = 87, .external_lex_state = 3},
  [5641] = {.lex_state = 185, .external_lex_state = 3},
  [5642] = {.lex_state = 185, .external_lex_state = 3},
  [5643] = {.lex_state = 183, .external_lex_state = 3},
  [5644] = {.lex_state = 183, .external_lex_state = 3},
  [5645] = {.lex_state = 183, .external_lex_state = 3},
  [5646] = {.lex_state = 87, .external_lex_state = 3},
  [5647] = {.lex_state = 185, .external_lex_state = 3},
  [5648] = {.lex_state = 183, .external_lex_state = 3},
  [5649] = {.lex_state = 86, .external_lex_state = 3},
  [5650] = {.lex_state = 86, .external_lex_state = 3},
  [5651] = {.lex_state = 185, .external_lex_state = 3},
  [5652] = {.lex_state = 185, .external_lex_state = 3},
  [5653] = {.lex_state = 185, .external_lex_state = 3},
  [5654] = {.lex_state = 183, .external_lex_state = 3},
  [5655] = {.lex_state = 185, .external_lex_state = 3},
  [5656] = {.lex_state = 185, .external_lex_state = 3},
  [5657] = {.lex_state = 86, .external_lex_state = 3},
  [5658] = {.lex_state = 86, .external_lex_state = 3},
  [5659] = {.lex_state = 86, .external_lex_state = 3},
  [5660] = {.lex_state = 185, .external_lex_state = 3},
  [5661] = {.lex_state = 183, .external_lex_state = 3},
  [5662] = {.lex_state = 86, .external_lex_state = 3},
  [5663] = {.lex_state = 86, .external_lex_state = 3},
  [5664] = {.lex_state = 183, .external_lex_state = 3},
  [5665] = {.lex_state = 87, .external_lex_state = 3},
  [5666] = {.lex_state = 183, .external_lex_state = 3},
  [5667] = {.lex_state = 183, .external_lex_state = 3},
  [5668] = {.lex_state = 183, .external_lex_state = 3},
  [5669] = {.lex_state = 183, .external_lex_state = 3},
  [5670] = {.lex_state = 183, .external_lex_state = 3},
  [5671] = {.lex_state = 185, .external_lex_state = 3},
  [5672] = {.lex_state = 183, .external_lex_state = 3},
  [5673] = {.lex_state = 87, .external_lex_state = 3},
  [5674] = {.lex_state = 183, .external_lex_state = 3},
  [5675] = {.lex_state = 183, .external_lex_state = 3},
  [5676] = {.lex_state = 183, .external_lex_state = 3},
  [5677] = {.lex_state = 183, .external_lex_state = 3},
  [5678] = {.lex_state = 183, .external_lex_state = 3},
  [5679] = {.lex_state = 185, .external_lex_state = 3},
  [5680] = {.lex_state = 185, .external_lex_state = 3},
  [5681] = {.lex_state = 86, .external_lex_state = 3},
  [5682] = {.lex_state = 86, .external_lex_state = 3},
  [5683] = {.lex_state = 185, .external_lex_state = 3},
  [5684] = {.lex_state = 185, .external_lex_state = 3},
  [5685] = {.lex_state = 185, .external_lex_state = 3},
  [5686] = {.lex_state = 86, .external_lex_state = 3},
  [5687] = {.lex_state = 183, .external_lex_state = 3},
  [5688] = {.lex_state = 183, .external_lex_state = 3},
  [5689] = {.lex_state = 183, .external_lex_state = 3},
  [5690] = {.lex_state = 183, .external_lex_state = 3},
  [5691] = {.lex_state = 183, .external_lex_state = 3},
  [5692] = {.lex_state = 183, .external_lex_state = 3},
  [5693] = {.lex_state = 183, .external_lex_state = 3},
  [5694] = {.lex_state = 183, .external_lex_state = 3},
  [5695] = {.lex_state = 183, .external_lex_state = 3},
  [5696] = {.lex_state = 183, .external_lex_state = 3},
  [5697] = {.lex_state = 150, .external_lex_state = 3},
  [5698] = {.lex_state = 183, .external_lex_state = 3},
  [5699] = {.lex_state = 185, .external_lex_state = 3},
  [5700] = {.lex_state = 183, .external_lex_state = 3},
  [5701] = {.lex_state = 183, .external_lex_state = 3},
  [5702] = {.lex_state = 183, .external_lex_state = 3},
  [5703] = {.lex_state = 183, .external_lex_state = 3},
  [5704] = {.lex_state = 185, .external_lex_state = 3},
  [5705] = {.lex_state = 183, .external_lex_state = 3},
  [5706] = {.lex_state = 183, .external_lex_state = 3},
  [5707] = {.lex_state = 87, .external_lex_state = 3},
  [5708] = {.lex_state = 8, .external_lex_state = 3},
  [5709] = {.lex_state = 76, .external_lex_state = 3},
  [5710] = {.lex_state = 87, .external_lex_state = 3},
  [5711] = {.lex_state = 87, .external_lex_state = 3},
  [5712] = {.lex_state = 76, .external_lex_state = 3},
  [5713] = {.lex_state = 76, .external_lex_state = 3},
  [5714] = {.lex_state = 8, .external_lex_state = 3},
  [5715] = {.lex_state = 76, .external_lex_state = 3},
  [5716] = {.lex_state = 87, .external_lex_state = 3},
  [5717] = {.lex_state = 76, .external_lex_state = 3},
  [5718] = {.lex_state = 87, .external_lex_state = 3},
  [5719] = {.lex_state = 8, .external_lex_state = 3},
  [5720] = {.lex_state = 87, .external_lex_state = 3},
  [5721] = {.lex_state = 87, .external_lex_state = 3},
  [5722] = {.lex_state = 76, .external_lex_state = 3},
  [5723] = {.lex_state = 87, .external_lex_state = 3},
  [5724] = {.lex_state = 87, .external_lex_state = 3},
  [5725] = {.lex_state = 87, .external_lex_state = 3},
  [5726] = {.lex_state = 87, .external_lex_state = 3},
  [5727] = {.lex_state = 87, .external_lex_state = 3},
  [5728] = {.lex_state = 87, .external_lex_state = 3},
  [5729] = {.lex_state = 87, .external_lex_state = 3},
  [5730] = {.lex_state = 87, .external_lex_state = 3},
  [5731] = {.lex_state = 87, .external_lex_state = 3},
  [5732] = {.lex_state = 87, .external_lex_state = 3},
  [5733] = {.lex_state = 87, .external_lex_state = 3},
  [5734] = {.lex_state = 76, .external_lex_state = 3},
  [5735] = {.lex_state = 87, .external_lex_state = 3},
  [5736] = {.lex_state = 76, .external_lex_state = 3},
  [5737] = {.lex_state = 87, .external_lex_state = 3},
  [5738] = {.lex_state = 87, .external_lex_state = 3},
  [5739] = {.lex_state = 76, .external_lex_state = 3},
  [5740] = {.lex_state = 87, .external_lex_state = 3},
  [5741] = {.lex_state = 8, .external_lex_state = 3},
  [5742] = {.lex_state = 87, .external_lex_state = 3},
  [5743] = {.lex_state = 87, .external_lex_state = 3},
  [5744] = {.lex_state = 76, .external_lex_state = 3},
  [5745] = {.lex_state = 76, .external_lex_state = 3},
  [5746] = {.lex_state = 42, .external_lex_state = 3},
  [5747] = {.lex_state = 87, .external_lex_state = 3},
  [5748] = {.lex_state = 87, .external_lex_state = 3},
  [5749] = {.lex_state = 8, .external_lex_state = 3},
  [5750] = {.lex_state = 87, .external_lex_state = 3},
  [5751] = {.lex_state = 87, .external_lex_state = 3},
  [5752] = {.lex_state = 8, .external_lex_state = 3},
  [5753] = {.lex_state = 87, .external_lex_state = 3},
  [5754] = {.lex_state = 87, .external_lex_state = 3},
  [5755] = {.lex_state = 87, .external_lex_state = 3},
  [5756] = {.lex_state = 87, .external_lex_state = 3},
  [5757] = {.lex_state = 87, .external_lex_state = 3},
  [5758] = {.lex_state = 87, .external_lex_state = 3},
  [5759] = {.lex_state = 87, .external_lex_state = 3},
  [5760] = {.lex_state = 87, .external_lex_state = 3},
  [5761] = {.lex_state = 87, .external_lex_state = 3},
  [5762] = {.lex_state = 87, .external_lex_state = 3},
  [5763] = {.lex_state = 87, .external_lex_state = 3},
  [5764] = {.lex_state = 87, .external_lex_state = 3},
  [5765] = {.lex_state = 87, .external_lex_state = 3},
  [5766] = {.lex_state = 87, .external_lex_state = 3},
  [5767] = {.lex_state = 87, .external_lex_state = 3},
  [5768] = {.lex_state = 87, .external_lex_state = 3},
  [5769] = {.lex_state = 87, .external_lex_state = 3},
  [5770] = {.lex_state = 87, .external_lex_state = 3},
  [5771] = {.lex_state = 87, .external_lex_state = 3},
  [5772] = {.lex_state = 87, .external_lex_state = 3},
  [5773] = {.lex_state = 87, .external_lex_state = 3},
  [5774] = {.lex_state = 87, .external_lex_state = 3},
  [5775] = {.lex_state = 87, .external_lex_state = 3},
  [5776] = {.lex_state = 8, .external_lex_state = 3},
  [5777] = {.lex_state = 87, .external_lex_state = 3},
  [5778] = {.lex_state = 87, .external_lex_state = 3},
  [5779] = {.lex_state = 87, .external_lex_state = 3},
  [5780] = {.lex_state = 87, .external_lex_state = 3},
  [5781] = {.lex_state = 8, .external_lex_state = 3},
  [5782] = {.lex_state = 42, .external_lex_state = 3},
  [5783] = {.lex_state = 87, .external_lex_state = 3},
  [5784] = {.lex_state = 87, .external_lex_state = 3},
  [5785] = {.lex_state = 87, .external_lex_state = 3},
  [5786] = {.lex_state = 87, .external_lex_state = 3},
  [5787] = {.lex_state = 87, .external_lex_state = 3},
  [5788] = {.lex_state = 87, .external_lex_state = 3},
  [5789] = {.lex_state = 87, .external_lex_state = 3},
  [5790] = {.lex_state = 87, .external_lex_state = 3},
  [5791] = {.lex_state = 87, .external_lex_state = 3},
  [5792] = {.lex_state = 87, .external_lex_state = 3},
  [5793] = {.lex_state = 87, .external_lex_state = 3},
  [5794] = {.lex_state = 87, .external_lex_state = 3},
  [5795] = {.lex_state = 87, .external_lex_state = 3},
  [5796] = {.lex_state = 87, .external_lex_state = 3},
  [5797] = {.lex_state = 87, .external_lex_state = 3},
  [5798] = {.lex_state = 8, .external_lex_state = 3},
  [5799] = {.lex_state = 87, .external_lex_state = 3},
  [5800] = {.lex_state = 87, .external_lex_state = 3},
  [5801] = {.lex_state = 87, .external_lex_state = 3},
  [5802] = {.lex_state = 17, .external_lex_state = 3},
  [5803] = {.lex_state = 76, .external_lex_state = 3},
  [5804] = {.lex_state = 76, .external_lex_state = 3},
  [5805] = {.lex_state = 76, .external_lex_state = 3},
  [5806] = {.lex_state = 76, .external_lex_state = 3},
  [5807] = {.lex_state = 76, .external_lex_state = 3},
  [5808] = {.lex_state = 77, .external_lex_state = 3},
  [5809] = {.lex_state = 76, .external_lex_state = 3},
  [5810] = {.lex_state = 76, .external_lex_state = 3},
  [5811] = {.lex_state = 17, .external_lex_state = 3},
  [5812] = {.lex_state = 16, .external_lex_state = 3},
  [5813] = {.lex_state = 76, .external_lex_state = 3},
  [5814] = {.lex_state = 17, .external_lex_state = 3},
  [5815] = {.lex_state = 76, .external_lex_state = 3},
  [5816] = {.lex_state = 76, .external_lex_state = 3},
  [5817] = {.lex_state = 76, .external_lex_state = 3},
  [5818] = {.lex_state = 76, .external_lex_state = 3},
  [5819] = {.lex_state = 16, .external_lex_state = 3},
  [5820] = {.lex_state = 76, .external_lex_state = 3},
  [5821] = {.lex_state = 16, .external_lex_state = 3},
  [5822] = {.lex_state = 16, .external_lex_state = 3},
  [5823] = {.lex_state = 16, .external_lex_state = 3},
  [5824] = {.lex_state = 17, .external_lex_state = 3},
  [5825] = {.lex_state = 76, .external_lex_state = 3},
  [5826] = {.lex_state = 16, .external_lex_state = 3},
  [5827] = {.lex_state = 16, .external_lex_state = 3},
  [5828] = {.lex_state = 76, .external_lex_state = 3},
  [5829] = {.lex_state = 17, .external_lex_state = 3},
  [5830] = {.lex_state = 74, .external_lex_state = 3},
  [5831] = {.lex_state = 16, .external_lex_state = 3},
  [5832] = {.lex_state = 77, .external_lex_state = 3},
  [5833] = {.lex_state = 77, .external_lex_state = 3},
  [5834] = {.lex_state = 77, .external_lex_state = 3},
  [5835] = {.lex_state = 74, .external_lex_state = 3},
  [5836] = {.lex_state = 17, .external_lex_state = 3},
  [5837] = {.lex_state = 77, .external_lex_state = 3},
  [5838] = {.lex_state = 77, .external_lex_state = 3},
  [5839] = {.lex_state = 77, .external_lex_state = 3},
  [5840] = {.lex_state = 16, .external_lex_state = 3},
  [5841] = {.lex_state = 16, .external_lex_state = 3},
  [5842] = {.lex_state = 17, .external_lex_state = 3},
  [5843] = {.lex_state = 16, .external_lex_state = 3},
  [5844] = {.lex_state = 16, .external_lex_state = 3},
  [5845] = {.lex_state = 81, .external_lex_state = 3},
  [5846] = {.lex_state = 16, .external_lex_state = 3},
  [5847] = {.lex_state = 17, .external_lex_state = 3},
  [5848] = {.lex_state = 17, .external_lex_state = 3},
  [5849] = {.lex_state = 17, .external_lex_state = 3},
  [5850] = {.lex_state = 74, .external_lex_state = 3},
  [5851] = {.lex_state = 78, .external_lex_state = 3},
  [5852] = {.lex_state = 78, .external_lex_state = 3},
  [5853] = {.lex_state = 16, .external_lex_state = 3},
  [5854] = {.lex_state = 17, .external_lex_state = 3},
  [5855] = {.lex_state = 16, .external_lex_state = 3},
  [5856] = {.lex_state = 17, .external_lex_state = 3},
  [5857] = {.lex_state = 17, .external_lex_state = 3},
  [5858] = {.lex_state = 17, .external_lex_state = 3},
  [5859] = {.lex_state = 80, .external_lex_state = 3},
  [5860] = {.lex_state = 78, .external_lex_state = 3},
  [5861] = {.lex_state = 16, .external_lex_state = 3},
  [5862] = {.lex_state = 76, .external_lex_state = 3},
  [5863] = {.lex_state = 16, .external_lex_state = 3},
  [5864] = {.lex_state = 76, .external_lex_state = 3},
  [5865] = {.lex_state = 74, .external_lex_state = 3},
  [5866] = {.lex_state = 17, .external_lex_state = 3},
  [5867] = {.lex_state = 17, .external_lex_state = 3},
  [5868] = {.lex_state = 17, .external_lex_state = 3},
  [5869] = {.lex_state = 17, .external_lex_state = 3},
  [5870] = {.lex_state = 17, .external_lex_state = 3},
  [5871] = {.lex_state = 17, .external_lex_state = 3},
  [5872] = {.lex_state = 16, .external_lex_state = 3},
  [5873] = {.lex_state = 76, .external_lex_state = 3},
  [5874] = {.lex_state = 76, .external_lex_state = 3},
  [5875] = {.lex_state = 76, .external_lex_state = 3},
  [5876] = {.lex_state = 76, .external_lex_state = 3},
  [5877] = {.lex_state = 17, .external_lex_state = 3},
  [5878] = {.lex_state = 16, .external_lex_state = 3},
  [5879] = {.lex_state = 16, .external_lex_state = 3},
  [5880] = {.lex_state = 76, .external_lex_state = 3},
  [5881] = {.lex_state = 16, .external_lex_state = 3},
  [5882] = {.lex_state = 74, .external_lex_state = 3},
  [5883] = {.lex_state = 17, .external_lex_state = 3},
  [5884] = {.lex_state = 16, .external_lex_state = 3},
  [5885] = {.lex_state = 17, .external_lex_state = 3},
  [5886] = {.lex_state = 17, .external_lex_state = 3},
  [5887] = {.lex_state = 17, .external_lex_state = 3},
  [5888] = {.lex_state = 16, .external_lex_state = 3},
  [5889] = {.lex_state = 17, .external_lex_state = 3},
  [5890] = {.lex_state = 78, .external_lex_state = 3},
  [5891] = {.lex_state = 17, .external_lex_state = 3},
  [5892] = {.lex_state = 17, .external_lex_state = 3},
  [5893] = {.lex_state = 17, .external_lex_state = 3},
  [5894] = {.lex_state = 16, .external_lex_state = 3},
  [5895] = {.lex_state = 78, .external_lex_state = 3},
  [5896] = {.lex_state = 17, .external_lex_state = 3},
  [5897] = {.lex_state = 17, .external_lex_state = 3},
  [5898] = {.lex_state = 17, .external_lex_state = 3},
  [5899] = {.lex_state = 17, .external_lex_state = 3},
  [5900] = {.lex_state = 17, .external_lex_state = 3},
  [5901] = {.lex_state = 78, .external_lex_state = 3},
  [5902] = {.lex_state = 78, .external_lex_state = 3},
  [5903] = {.lex_state = 78, .external_lex_state = 3},
  [5904] = {.lex_state = 17, .external_lex_state = 3},
  [5905] = {.lex_state = 78, .external_lex_state = 3},
  [5906] = {.lex_state = 78, .external_lex_state = 3},
  [5907] = {.lex_state = 78, .external_lex_state = 3},
  [5908] = {.lex_state = 81, .external_lex_state = 3},
  [5909] = {.lex_state = 74, .external_lex_state = 3},
  [5910] = {.lex_state = 82, .external_lex_state = 3},
  [5911] = {.lex_state = 80, .external_lex_state = 3},
  [5912] = {.lex_state = 17, .external_lex_state = 3},
  [5913] = {.lex_state = 17, .external_lex_state = 3},
  [5914] = {.lex_state = 76, .external_lex_state = 3},
  [5915] = {.lex_state = 76, .external_lex_state = 3},
  [5916] = {.lex_state = 80, .external_lex_state = 3},
  [5917] = {.lex_state = 80, .external_lex_state = 3},
  [5918] = {.lex_state = 76, .external_lex_state = 3},
  [5919] = {.lex_state = 17, .external_lex_state = 3},
  [5920] = {.lex_state = 74, .external_lex_state = 3},
  [5921] = {.lex_state = 80, .external_lex_state = 3},
  [5922] = {.lex_state = 76, .external_lex_state = 3},
  [5923] = {.lex_state = 80, .external_lex_state = 3},
  [5924] = {.lex_state = 76, .external_lex_state = 3},
  [5925] = {.lex_state = 76, .external_lex_state = 3},
  [5926] = {.lex_state = 81, .external_lex_state = 3},
  [5927] = {.lex_state = 76, .external_lex_state = 3},
  [5928] = {.lex_state = 76, .external_lex_state = 3},
  [5929] = {.lex_state = 76, .external_lex_state = 3},
  [5930] = {.lex_state = 80, .external_lex_state = 3},
  [5931] = {.lex_state = 76, .external_lex_state = 3},
  [5932] = {.lex_state = 76, .external_lex_state = 3},
  [5933] = {.lex_state = 80, .external_lex_state = 3},
  [5934] = {.lex_state = 82, .external_lex_state = 3},
  [5935] = {.lex_state = 76, .external_lex_state = 3},
  [5936] = {.lex_state = 77, .external_lex_state = 3},
  [5937] = {.lex_state = 76, .external_lex_state = 3},
  [5938] = {.lex_state = 80, .external_lex_state = 3},
  [5939] = {.lex_state = 74, .external_lex_state = 3},
  [5940] = {.lex_state = 76, .external_lex_state = 3},
  [5941] = {.lex_state = 76, .external_lex_state = 3},
  [5942] = {.lex_state = 41, .external_lex_state = 3},
  [5943] = {.lex_state = 76, .external_lex_state = 3},
  [5944] = {.lex_state = 74, .external_lex_state = 3},
  [5945] = {.lex_state = 159, .external_lex_state = 2},
  [5946] = {.lex_state = 17, .external_lex_state = 3},
  [5947] = {.lex_state = 74, .external_lex_state = 3},
  [5948] = {.lex_state = 77, .external_lex_state = 3},
  [5949] = {.lex_state = 76, .external_lex_state = 3},
  [5950] = {.lex_state = 76, .external_lex_state = 3},
  [5951] = {.lex_state = 82, .external_lex_state = 3},
  [5952] = {.lex_state = 16, .external_lex_state = 3},
  [5953] = {.lex_state = 16, .external_lex_state = 3},
  [5954] = {.lex_state = 17, .external_lex_state = 3},
  [5955] = {.lex_state = 76, .external_lex_state = 3},
  [5956] = {.lex_state = 86, .external_lex_state = 3},
  [5957] = {.lex_state = 76, .external_lex_state = 3},
  [5958] = {.lex_state = 17, .external_lex_state = 3},
  [5959] = {.lex_state = 16, .external_lex_state = 3},
  [5960] = {.lex_state = 16, .external_lex_state = 3},
  [5961] = {.lex_state = 16, .external_lex_state = 3},
  [5962] = {.lex_state = 82, .external_lex_state = 3},
  [5963] = {.lex_state = 16, .external_lex_state = 3},
  [5964] = {.lex_state = 76, .external_lex_state = 3},
  [5965] = {.lex_state = 16, .external_lex_state = 3},
  [5966] = {.lex_state = 76, .external_lex_state = 3},
  [5967] = {.lex_state = 81, .external_lex_state = 3},
  [5968] = {.lex_state = 16, .external_lex_state = 3},
  [5969] = {.lex_state = 76, .external_lex_state = 3},
  [5970] = {.lex_state = 17, .external_lex_state = 3},
  [5971] = {.lex_state = 80, .external_lex_state = 3},
  [5972] = {.lex_state = 16, .external_lex_state = 3},
  [5973] = {.lex_state = 16, .external_lex_state = 3},
  [5974] = {.lex_state = 16, .external_lex_state = 3},
  [5975] = {.lex_state = 76, .external_lex_state = 3},
  [5976] = {.lex_state = 16, .external_lex_state = 3},
  [5977] = {.lex_state = 159, .external_lex_state = 2},
  [5978] = {.lex_state = 17, .external_lex_state = 3},
  [5979] = {.lex_state = 76, .external_lex_state = 3},
  [5980] = {.lex_state = 159, .external_lex_state = 2},
  [5981] = {.lex_state = 76, .external_lex_state = 3},
  [5982] = {.lex_state = 16, .external_lex_state = 3},
  [5983] = {.lex_state = 16, .external_lex_state = 3},
  [5984] = {.lex_state = 16, .external_lex_state = 3},
  [5985] = {.lex_state = 17, .external_lex_state = 3},
  [5986] = {.lex_state = 17, .external_lex_state = 3},
  [5987] = {.lex_state = 16, .external_lex_state = 3},
  [5988] = {.lex_state = 16, .external_lex_state = 3},
  [5989] = {.lex_state = 16, .external_lex_state = 3},
  [5990] = {.lex_state = 17, .external_lex_state = 3},
  [5991] = {.lex_state = 17, .external_lex_state = 3},
  [5992] = {.lex_state = 17, .external_lex_state = 3},
  [5993] = {.lex_state = 16, .external_lex_state = 3},
  [5994] = {.lex_state = 16, .external_lex_state = 3},
  [5995] = {.lex_state = 16, .external_lex_state = 3},
  [5996] = {.lex_state = 16, .external_lex_state = 3},
  [5997] = {.lex_state = 76, .external_lex_state = 3},
  [5998] = {.lex_state = 16, .external_lex_state = 3},
  [5999] = {.lex_state = 16, .external_lex_state = 3},
  [6000] = {.lex_state = 16, .external_lex_state = 3},
  [6001] = {.lex_state = 16, .external_lex_state = 3},
  [6002] = {.lex_state = 17, .external_lex_state = 3},
  [6003] = {.lex_state = 16, .external_lex_state = 3},
  [6004] = {.lex_state = 16, .external_lex_state = 3},
  [6005] = {.lex_state = 16, .external_lex_state = 3},
  [6006] = {.lex_state = 16, .external_lex_state = 3},
  [6007] = {.lex_state = 76, .external_lex_state = 3},
  [6008] = {.lex_state = 16, .external_lex_state = 3},
  [6009] = {.lex_state = 16, .external_lex_state = 3},
  [6010] = {.lex_state = 16, .external_lex_state = 3},
  [6011] = {.lex_state = 16, .external_lex_state = 3},
  [6012] = {.lex_state = 76, .external_lex_state = 3},
  [6013] = {.lex_state = 16, .external_lex_state = 3},
  [6014] = {.lex_state = 16, .external_lex_state = 3},
  [6015] = {.lex_state = 17, .external_lex_state = 3},
  [6016] = {.lex_state = 16, .external_lex_state = 3},
  [6017] = {.lex_state = 16, .external_lex_state = 3},
  [6018] = {.lex_state = 16, .external_lex_state = 3},
  [6019] = {.lex_state = 16, .external_lex_state = 3},
  [6020] = {.lex_state = 17, .external_lex_state = 3},
  [6021] = {.lex_state = 16, .external_lex_state = 3},
  [6022] = {.lex_state = 16, .external_lex_state = 3},
  [6023] = {.lex_state = 16, .external_lex_state = 3},
  [6024] = {.lex_state = 17, .external_lex_state = 3},
  [6025] = {.lex_state = 17, .external_lex_state = 3},
  [6026] = {.lex_state = 16, .external_lex_state = 3},
  [6027] = {.lex_state = 16, .external_lex_state = 3},
  [6028] = {.lex_state = 16, .external_lex_state = 3},
  [6029] = {.lex_state = 17, .external_lex_state = 3},
  [6030] = {.lex_state = 16, .external_lex_state = 3},
  [6031] = {.lex_state = 17, .external_lex_state = 3},
  [6032] = {.lex_state = 17, .external_lex_state = 3},
  [6033] = {.lex_state = 17, .external_lex_state = 3},
  [6034] = {.lex_state = 17, .external_lex_state = 3},
  [6035] = {.lex_state = 80, .external_lex_state = 3},
  [6036] = {.lex_state = 17, .external_lex_state = 3},
  [6037] = {.lex_state = 82, .external_lex_state = 3},
  [6038] = {.lex_state = 16, .external_lex_state = 3},
  [6039] = {.lex_state = 17, .external_lex_state = 3},
  [6040] = {.lex_state = 82, .external_lex_state = 3},
  [6041] = {.lex_state = 159, .external_lex_state = 2},
  [6042] = {.lex_state = 16, .external_lex_state = 3},
  [6043] = {.lex_state = 17, .external_lex_state = 3},
  [6044] = {.lex_state = 82, .external_lex_state = 3},
  [6045] = {.lex_state = 17, .external_lex_state = 3},
  [6046] = {.lex_state = 17, .external_lex_state = 3},
  [6047] = {.lex_state = 76, .external_lex_state = 3},
  [6048] = {.lex_state = 16, .external_lex_state = 3},
  [6049] = {.lex_state = 76, .external_lex_state = 3},
  [6050] = {.lex_state = 76, .external_lex_state = 3},
  [6051] = {.lex_state = 17, .external_lex_state = 3},
  [6052] = {.lex_state = 17, .external_lex_state = 3},
  [6053] = {.lex_state = 16, .external_lex_state = 3},
  [6054] = {.lex_state = 76, .external_lex_state = 3},
  [6055] = {.lex_state = 76, .external_lex_state = 3},
  [6056] = {.lex_state = 76, .external_lex_state = 3},
  [6057] = {.lex_state = 76, .external_lex_state = 3},
  [6058] = {.lex_state = 82, .external_lex_state = 3},
  [6059] = {.lex_state = 17, .external_lex_state = 3},
  [6060] = {.lex_state = 76, .external_lex_state = 3},
  [6061] = {.lex_state = 17, .external_lex_state = 3},
  [6062] = {.lex_state = 77, .external_lex_state = 3},
  [6063] = {.lex_state = 76, .external_lex_state = 3},
  [6064] = {.lex_state = 16, .external_lex_state = 3},
  [6065] = {.lex_state = 17, .external_lex_state = 3},
  [6066] = {.lex_state = 76, .external_lex_state = 3},
  [6067] = {.lex_state = 76, .external_lex_state = 3},
  [6068] = {.lex_state = 81, .external_lex_state = 3},
  [6069] = {.lex_state = 82, .external_lex_state = 3},
  [6070] = {.lex_state = 76, .external_lex_state = 3},
  [6071] = {.lex_state = 16, .external_lex_state = 3},
  [6072] = {.lex_state = 81, .external_lex_state = 3},
  [6073] = {.lex_state = 81, .external_lex_state = 3},
  [6074] = {.lex_state = 81, .external_lex_state = 3},
  [6075] = {.lex_state = 81, .external_lex_state = 3},
  [6076] = {.lex_state = 81, .external_lex_state = 3},
  [6077] = {.lex_state = 81, .external_lex_state = 3},
  [6078] = {.lex_state = 76, .external_lex_state = 3},
  [6079] = {.lex_state = 76, .external_lex_state = 3},
  [6080] = {.lex_state = 76, .external_lex_state = 3},
  [6081] = {.lex_state = 17, .external_lex_state = 3},
  [6082] = {.lex_state = 17, .external_lex_state = 3},
  [6083] = {.lex_state = 17, .external_lex_state = 3},
  [6084] = {.lex_state = 76, .external_lex_state = 3},
  [6085] = {.lex_state = 17, .external_lex_state = 3},
  [6086] = {.lex_state = 16, .external_lex_state = 3},
  [6087] = {.lex_state = 17, .external_lex_state = 3},
  [6088] = {.lex_state = 17, .external_lex_state = 3},
  [6089] = {.lex_state = 76, .external_lex_state = 3},
  [6090] = {.lex_state = 17, .external_lex_state = 3},
  [6091] = {.lex_state = 76, .external_lex_state = 3},
  [6092] = {.lex_state = 17, .external_lex_state = 3},
  [6093] = {.lex_state = 76, .external_lex_state = 3},
  [6094] = {.lex_state = 77, .external_lex_state = 3},
  [6095] = {.lex_state = 17, .external_lex_state = 3},
  [6096] = {.lex_state = 16, .external_lex_state = 3},
  [6097] = {.lex_state = 74, .external_lex_state = 3},
  [6098] = {.lex_state = 76, .external_lex_state = 3},
  [6099] = {.lex_state = 82, .external_lex_state = 3},
  [6100] = {.lex_state = 76, .external_lex_state = 3},
  [6101] = {.lex_state = 17, .external_lex_state = 3},
  [6102] = {.lex_state = 17, .external_lex_state = 3},
  [6103] = {.lex_state = 17, .external_lex_state = 3},
  [6104] = {.lex_state = 17, .external_lex_state = 3},
  [6105] = {.lex_state = 16, .external_lex_state = 3},
  [6106] = {.lex_state = 82, .external_lex_state = 3},
  [6107] = {.lex_state = 16, .external_lex_state = 3},
  [6108] = {.lex_state = 81, .external_lex_state = 3},
  [6109] = {.lex_state = 78, .external_lex_state = 3},
  [6110] = {.lex_state = 74, .external_lex_state = 3},
  [6111] = {.lex_state = 81, .external_lex_state = 3},
  [6112] = {.lex_state = 82, .external_lex_state = 3},
  [6113] = {.lex_state = 85, .external_lex_state = 3},
  [6114] = {.lex_state = 80, .external_lex_state = 3},
  [6115] = {.lex_state = 84, .external_lex_state = 3},
  [6116] = {.lex_state = 75, .external_lex_state = 3},
  [6117] = {.lex_state = 85, .external_lex_state = 3},
  [6118] = {.lex_state = 83, .external_lex_state = 3},
  [6119] = {.lex_state = 78, .external_lex_state = 3},
  [6120] = {.lex_state = 78, .external_lex_state = 3},
  [6121] = {.lex_state = 78, .external_lex_state = 3},
  [6122] = {.lex_state = 79, .external_lex_state = 3},
  [6123] = {.lex_state = 74, .external_lex_state = 3},
  [6124] = {.lex_state = 434, .external_lex_state = 2},
  [6125] = {.lex_state = 74, .external_lex_state = 3},
  [6126] = {.lex_state = 78, .external_lex_state = 3},
  [6127] = {.lex_state = 78, .external_lex_state = 3},
  [6128] = {.lex_state = 74, .external_lex_state = 3},
  [6129] = {.lex_state = 78, .external_lex_state = 3},
  [6130] = {.lex_state = 78, .external_lex_state = 3},
  [6131] = {.lex_state = 74, .external_lex_state = 3},
  [6132] = {.lex_state = 83, .external_lex_state = 3},
  [6133] = {.lex_state = 74, .external_lex_state = 3},
  [6134] = {.lex_state = 81, .external_lex_state = 3},
  [6135] = {.lex_state = 79, .external_lex_state = 3},
  [6136] = {.lex_state = 77, .external_lex_state = 3},
  [6137] = {.lex_state = 74, .external_lex_state = 3},
  [6138] = {.lex_state = 78, .external_lex_state = 3},
  [6139] = {.lex_state = 77, .external_lex_state = 3},
  [6140] = {.lex_state = 82, .external_lex_state = 3},
  [6141] = {.lex_state = 78, .external_lex_state = 3},
  [6142] = {.lex_state = 79, .external_lex_state = 3},
  [6143] = {.lex_state = 81, .external_lex_state = 3},
  [6144] = {.lex_state = 79, .external_lex_state = 3},
  [6145] = {.lex_state = 82, .external_lex_state = 3},
  [6146] = {.lex_state = 78, .external_lex_state = 3},
  [6147] = {.lex_state = 74, .external_lex_state = 3},
  [6148] = {.lex_state = 74, .external_lex_state = 3},
  [6149] = {.lex_state = 83, .external_lex_state = 3},
  [6150] = {.lex_state = 77, .external_lex_state = 3},
  [6151] = {.lex_state = 82, .external_lex_state = 3},
  [6152] = {.lex_state = 77, .external_lex_state = 3},
  [6153] = {.lex_state = 82, .external_lex_state = 3},
  [6154] = {.lex_state = 77, .external_lex_state = 3},
  [6155] = {.lex_state = 84, .external_lex_state = 3},
  [6156] = {.lex_state = 75, .external_lex_state = 3},
  [6157] = {.lex_state = 82, .external_lex_state = 3},
  [6158] = {.lex_state = 77, .external_lex_state = 3},
  [6159] = {.lex_state = 74, .external_lex_state = 3},
  [6160] = {.lex_state = 82, .external_lex_state = 3},
  [6161] = {.lex_state = 74, .external_lex_state = 3},
  [6162] = {.lex_state = 80, .external_lex_state = 3},
  [6163] = {.lex_state = 78, .external_lex_state = 3},
  [6164] = {.lex_state = 74, .external_lex_state = 3},
  [6165] = {.lex_state = 74, .external_lex_state = 3},
  [6166] = {.lex_state = 82, .external_lex_state = 3},
  [6167] = {.lex_state = 78, .external_lex_state = 3},
  [6168] = {.lex_state = 82, .external_lex_state = 3},
  [6169] = {.lex_state = 82, .external_lex_state = 3},
  [6170] = {.lex_state = 79, .external_lex_state = 3},
  [6171] = {.lex_state = 78, .external_lex_state = 3},
  [6172] = {.lex_state = 81, .external_lex_state = 3},
  [6173] = {.lex_state = 78, .external_lex_state = 3},
  [6174] = {.lex_state = 82, .external_lex_state = 3},
  [6175] = {.lex_state = 82, .external_lex_state = 3},
  [6176] = {.lex_state = 79, .external_lex_state = 3},
  [6177] = {.lex_state = 79, .external_lex_state = 3},
  [6178] = {.lex_state = 80, .external_lex_state = 3},
  [6179] = {.lex_state = 78, .external_lex_state = 3},
  [6180] = {.lex_state = 82, .external_lex_state = 3},
  [6181] = {.lex_state = 78, .external_lex_state = 3},
  [6182] = {.lex_state = 77, .external_lex_state = 3},
  [6183] = {.lex_state = 78, .external_lex_state = 3},
  [6184] = {.lex_state = 78, .external_lex_state = 3},
  [6185] = {.lex_state = 77, .external_lex_state = 3},
  [6186] = {.lex_state = 78, .external_lex_state = 3},
  [6187] = {.lex_state = 78, .external_lex_state = 3},
  [6188] = {.lex_state = 82, .external_lex_state = 3},
  [6189] = {.lex_state = 83, .external_lex_state = 3},
  [6190] = {.lex_state = 82, .external_lex_state = 3},
  [6191] = {.lex_state = 74, .external_lex_state = 3},
  [6192] = {.lex_state = 82, .external_lex_state = 3},
  [6193] = {.lex_state = 74, .external_lex_state = 3},
  [6194] = {.lex_state = 82, .external_lex_state = 3},
  [6195] = {.lex_state = 82, .external_lex_state = 3},
  [6196] = {.lex_state = 78, .external_lex_state = 3},
  [6197] = {.lex_state = 78, .external_lex_state = 3},
  [6198] = {.lex_state = 82, .external_lex_state = 3},
  [6199] = {.lex_state = 82, .external_lex_state = 3},
  [6200] = {.lex_state = 78, .external_lex_state = 3},
  [6201] = {.lex_state = 81, .external_lex_state = 3},
  [6202] = {.lex_state = 78, .external_lex_state = 3},
  [6203] = {.lex_state = 78, .external_lex_state = 3},
  [6204] = {.lex_state = 78, .external_lex_state = 3},
  [6205] = {.lex_state = 82, .external_lex_state = 3},
  [6206] = {.lex_state = 78, .external_lex_state = 3},
  [6207] = {.lex_state = 78, .external_lex_state = 3},
  [6208] = {.lex_state = 80, .external_lex_state = 3},
  [6209] = {.lex_state = 74, .external_lex_state = 3},
  [6210] = {.lex_state = 82, .external_lex_state = 3},
  [6211] = {.lex_state = 78, .external_lex_state = 3},
  [6212] = {.lex_state = 82, .external_lex_state = 3},
  [6213] = {.lex_state = 82, .external_lex_state = 3},
  [6214] = {.lex_state = 84, .external_lex_state = 3},
  [6215] = {.lex_state = 82, .external_lex_state = 3},
  [6216] = {.lex_state = 78, .external_lex_state = 3},
  [6217] = {.lex_state = 82, .external_lex_state = 3},
  [6218] = {.lex_state = 82, .external_lex_state = 3},
  [6219] = {.lex_state = 78, .external_lex_state = 3},
  [6220] = {.lex_state = 78, .external_lex_state = 3},
  [6221] = {.lex_state = 82, .external_lex_state = 3},
  [6222] = {.lex_state = 85, .external_lex_state = 3},
  [6223] = {.lex_state = 78, .external_lex_state = 3},
  [6224] = {.lex_state = 77, .external_lex_state = 3},
  [6225] = {.lex_state = 82, .external_lex_state = 3},
  [6226] = {.lex_state = 83, .external_lex_state = 3},
  [6227] = {.lex_state = 77, .external_lex_state = 3},
  [6228] = {.lex_state = 77, .external_lex_state = 3},
  [6229] = {.lex_state = 77, .external_lex_state = 3},
  [6230] = {.lex_state = 74, .external_lex_state = 3},
  [6231] = {.lex_state = 77, .external_lex_state = 3},
  [6232] = {.lex_state = 81, .external_lex_state = 3},
  [6233] = {.lex_state = 82, .external_lex_state = 3},
  [6234] = {.lex_state = 82, .external_lex_state = 3},
  [6235] = {.lex_state = 77, .external_lex_state = 3},
  [6236] = {.lex_state = 78, .external_lex_state = 3},
  [6237] = {.lex_state = 74, .external_lex_state = 3},
  [6238] = {.lex_state = 78, .external_lex_state = 3},
  [6239] = {.lex_state = 74, .external_lex_state = 3},
  [6240] = {.lex_state = 82, .external_lex_state = 3},
  [6241] = {.lex_state = 78, .external_lex_state = 3},
  [6242] = {.lex_state = 81, .external_lex_state = 3},
  [6243] = {.lex_state = 82, .external_lex_state = 3},
  [6244] = {.lex_state = 82, .external_lex_state = 3},
  [6245] = {.lex_state = 82, .external_lex_state = 3},
  [6246] = {.lex_state = 81, .external_lex_state = 3},
  [6247] = {.lex_state = 81, .external_lex_state = 3},
  [6248] = {.lex_state = 82, .external_lex_state = 3},
  [6249] = {.lex_state = 74, .external_lex_state = 3},
  [6250] = {.lex_state = 74, .external_lex_state = 3},
  [6251] = {.lex_state = 74, .external_lex_state = 3},
  [6252] = {.lex_state = 82, .external_lex_state = 3},
  [6253] = {.lex_state = 81, .external_lex_state = 3},
  [6254] = {.lex_state = 74, .external_lex_state = 3},
  [6255] = {.lex_state = 74, .external_lex_state = 3},
  [6256] = {.lex_state = 74, .external_lex_state = 3},
  [6257] = {.lex_state = 74, .external_lex_state = 3},
  [6258] = {.lex_state = 82, .external_lex_state = 3},
  [6259] = {.lex_state = 85, .external_lex_state = 3},
  [6260] = {.lex_state = 77, .external_lex_state = 3},
  [6261] = {.lex_state = 74, .external_lex_state = 3},
  [6262] = {.lex_state = 77, .external_lex_state = 3},
  [6263] = {.lex_state = 77, .external_lex_state = 3},
  [6264] = {.lex_state = 78, .external_lex_state = 3},
  [6265] = {.lex_state = 78, .external_lex_state = 3},
  [6266] = {.lex_state = 78, .external_lex_state = 3},
  [6267] = {.lex_state = 82, .external_lex_state = 3},
  [6268] = {.lex_state = 78, .external_lex_state = 3},
  [6269] = {.lex_state = 78, .external_lex_state = 3},
  [6270] = {.lex_state = 82, .external_lex_state = 3},
  [6271] = {.lex_state = 82, .external_lex_state = 3},
  [6272] = {.lex_state = 78, .external_lex_state = 3},
  [6273] = {.lex_state = 77, .external_lex_state = 3},
  [6274] = {.lex_state = 82, .external_lex_state = 3},
  [6275] = {.lex_state = 82, .external_lex_state = 3},
  [6276] = {.lex_state = 78, .external_lex_state = 3},
  [6277] = {.lex_state = 78, .external_lex_state = 3},
  [6278] = {.lex_state = 78, .external_lex_state = 3},
  [6279] = {.lex_state = 78, .external_lex_state = 3},
  [6280] = {.lex_state = 77, .external_lex_state = 3},
  [6281] = {.lex_state = 78, .external_lex_state = 3},
  [6282] = {.lex_state = 78, .external_lex_state = 3},
  [6283] = {.lex_state = 82, .external_lex_state = 3},
  [6284] = {.lex_state = 78, .external_lex_state = 3},
  [6285] = {.lex_state = 78, .external_lex_state = 3},
  [6286] = {.lex_state = 78, .external_lex_state = 3},
  [6287] = {.lex_state = 78, .external_lex_state = 3},
  [6288] = {.lex_state = 80, .external_lex_state = 3},
  [6289] = {.lex_state = 81, .external_lex_state = 3},
  [6290] = {.lex_state = 82, .external_lex_state = 3},
  [6291] = {.lex_state = 82, .external_lex_state = 3},
  [6292] = {.lex_state = 82, .external_lex_state = 3},
  [6293] = {.lex_state = 77, .external_lex_state = 3},
  [6294] = {.lex_state = 81, .external_lex_state = 3},
  [6295] = {.lex_state = 80, .external_lex_state = 3},
  [6296] = {.lex_state = 78, .external_lex_state = 3},
  [6297] = {.lex_state = 80, .external_lex_state = 3},
  [6298] = {.lex_state = 80, .external_lex_state = 3},
  [6299] = {.lex_state = 82, .external_lex_state = 3},
  [6300] = {.lex_state = 81, .external_lex_state = 3},
  [6301] = {.lex_state = 78, .external_lex_state = 3},
  [6302] = {.lex_state = 82, .external_lex_state = 3},
  [6303] = {.lex_state = 80, .external_lex_state = 3},
  [6304] = {.lex_state = 74, .external_lex_state = 3},
  [6305] = {.lex_state = 81, .external_lex_state = 3},
  [6306] = {.lex_state = 82, .external_lex_state = 3},
  [6307] = {.lex_state = 83, .external_lex_state = 3},
  [6308] = {.lex_state = 82, .external_lex_state = 3},
  [6309] = {.lex_state = 78, .external_lex_state = 3},
  [6310] = {.lex_state = 82, .external_lex_state = 3},
  [6311] = {.lex_state = 78, .external_lex_state = 3},
  [6312] = {.lex_state = 81, .external_lex_state = 3},
  [6313] = {.lex_state = 83, .external_lex_state = 3},
  [6314] = {.lex_state = 77, .external_lex_state = 3},
  [6315] = {.lex_state = 81, .external_lex_state = 3},
  [6316] = {.lex_state = 80, .external_lex_state = 3},
  [6317] = {.lex_state = 81, .external_lex_state = 3},
  [6318] = {.lex_state = 81, .external_lex_state = 3},
  [6319] = {.lex_state = 79, .external_lex_state = 3},
  [6320] = {.lex_state = 77, .external_lex_state = 3},
  [6321] = {.lex_state = 79, .external_lex_state = 3},
  [6322] = {.lex_state = 74, .external_lex_state = 3},
  [6323] = {.lex_state = 81, .external_lex_state = 3},
  [6324] = {.lex_state = 77, .external_lex_state = 3},
  [6325] = {.lex_state = 77, .external_lex_state = 3},
  [6326] = {.lex_state = 77, .external_lex_state = 3},
  [6327] = {.lex_state = 77, .external_lex_state = 3},
  [6328] = {.lex_state = 77, .external_lex_state = 3},
  [6329] = {.lex_state = 74, .external_lex_state = 3},
  [6330] = {.lex_state = 84, .external_lex_state = 3},
  [6331] = {.lex_state = 77, .external_lex_state = 3},
  [6332] = {.lex_state = 82, .external_lex_state = 3},
  [6333] = {.lex_state = 84, .external_lex_state = 3},
  [6334] = {.lex_state = 77, .external_lex_state = 3},
  [6335] = {.lex_state = 77, .external_lex_state = 3},
  [6336] = {.lex_state = 77, .external_lex_state = 3},
  [6337] = {.lex_state = 77, .external_lex_state = 3},
  [6338] = {.lex_state = 77, .external_lex_state = 3},
  [6339] = {.lex_state = 77, .external_lex_state = 3},
  [6340] = {.lex_state = 80, .external_lex_state = 3},
  [6341] = {.lex_state = 77, .external_lex_state = 3},
  [6342] = {.lex_state = 84, .external_lex_state = 3},
  [6343] = {.lex_state = 83, .external_lex_state = 3},
  [6344] = {.lex_state = 82, .external_lex_state = 3},
  [6345] = {.lex_state = 77, .external_lex_state = 3},
  [6346] = {.lex_state = 77, .external_lex_state = 3},
  [6347] = {.lex_state = 75, .external_lex_state = 3},
  [6348] = {.lex_state = 86, .external_lex_state = 3},
  [6349] = {.lex_state = 77, .external_lex_state = 3},
  [6350] = {.lex_state = 80, .external_lex_state = 3},
  [6351] = {.lex_state = 77, .external_lex_state = 3},
  [6352] = {.lex_state = 77, .external_lex_state = 3},
  [6353] = {.lex_state = 77, .external_lex_state = 3},
  [6354] = {.lex_state = 74, .external_lex_state = 3},
  [6355] = {.lex_state = 81, .external_lex_state = 3},
  [6356] = {.lex_state = 77, .external_lex_state = 3},
  [6357] = {.lex_state = 74, .external_lex_state = 3},
  [6358] = {.lex_state = 80, .external_lex_state = 3},
  [6359] = {.lex_state = 82, .external_lex_state = 3},
  [6360] = {.lex_state = 81, .external_lex_state = 3},
  [6361] = {.lex_state = 82, .external_lex_state = 3},
  [6362] = {.lex_state = 81, .external_lex_state = 3},
  [6363] = {.lex_state = 80, .external_lex_state = 3},
  [6364] = {.lex_state = 80, .external_lex_state = 3},
  [6365] = {.lex_state = 77, .external_lex_state = 3},
  [6366] = {.lex_state = 80, .external_lex_state = 3},
  [6367] = {.lex_state = 82, .external_lex_state = 3},
  [6368] = {.lex_state = 74, .external_lex_state = 3},
  [6369] = {.lex_state = 82, .external_lex_state = 3},
  [6370] = {.lex_state = 80, .external_lex_state = 3},
  [6371] = {.lex_state = 80, .external_lex_state = 3},
  [6372] = {.lex_state = 80, .external_lex_state = 3},
  [6373] = {.lex_state = 74, .external_lex_state = 3},
  [6374] = {.lex_state = 80, .external_lex_state = 3},
  [6375] = {.lex_state = 80, .external_lex_state = 3},
  [6376] = {.lex_state = 80, .external_lex_state = 3},
  [6377] = {.lex_state = 81, .external_lex_state = 3},
  [6378] = {.lex_state = 80, .external_lex_state = 3},
  [6379] = {.lex_state = 74, .external_lex_state = 3},
  [6380] = {.lex_state = 80, .external_lex_state = 3},
  [6381] = {.lex_state = 80, .external_lex_state = 3},
  [6382] = {.lex_state = 80, .external_lex_state = 3},
  [6383] = {.lex_state = 80, .external_lex_state = 3},
  [6384] = {.lex_state = 74, .external_lex_state = 3},
  [6385] = {.lex_state = 81, .external_lex_state = 3},
  [6386] = {.lex_state = 80, .external_lex_state = 3},
  [6387] = {.lex_state = 80, .external_lex_state = 3},
  [6388] = {.lex_state = 80, .external_lex_state = 3},
  [6389] = {.lex_state = 80, .external_lex_state = 3},
  [6390] = {.lex_state = 82, .external_lex_state = 3},
  [6391] = {.lex_state = 80, .external_lex_state = 3},
  [6392] = {.lex_state = 80, .external_lex_state = 3},
  [6393] = {.lex_state = 80, .external_lex_state = 3},
  [6394] = {.lex_state = 80, .external_lex_state = 3},
  [6395] = {.lex_state = 80, .external_lex_state = 3},
  [6396] = {.lex_state = 74, .external_lex_state = 3},
  [6397] = {.lex_state = 80, .external_lex_state = 3},
  [6398] = {.lex_state = 82, .external_lex_state = 3},
  [6399] = {.lex_state = 77, .external_lex_state = 3},
  [6400] = {.lex_state = 80, .external_lex_state = 3},
  [6401] = {.lex_state = 80, .external_lex_state = 3},
  [6402] = {.lex_state = 80, .external_lex_state = 3},
  [6403] = {.lex_state = 82, .external_lex_state = 3},
  [6404] = {.lex_state = 84, .external_lex_state = 3},
  [6405] = {.lex_state = 85, .external_lex_state = 3},
  [6406] = {.lex_state = 78, .external_lex_state = 3},
  [6407] = {.lex_state = 78, .external_lex_state = 3},
  [6408] = {.lex_state = 78, .external_lex_state = 3},
  [6409] = {.lex_state = 78, .external_lex_state = 3},
  [6410] = {.lex_state = 80, .external_lex_state = 3},
  [6411] = {.lex_state = 80, .external_lex_state = 3},
  [6412] = {.lex_state = 80, .external_lex_state = 3},
  [6413] = {.lex_state = 80, .external_lex_state = 3},
  [6414] = {.lex_state = 80, .external_lex_state = 3},
  [6415] = {.lex_state = 81, .external_lex_state = 3},
  [6416] = {.lex_state = 80, .external_lex_state = 3},
  [6417] = {.lex_state = 80, .external_lex_state = 3},
  [6418] = {.lex_state = 79, .external_lex_state = 3},
  [6419] = {.lex_state = 80, .external_lex_state = 3},
  [6420] = {.lex_state = 83, .external_lex_state = 3},
  [6421] = {.lex_state = 80, .external_lex_state = 3},
  [6422] = {.lex_state = 74, .external_lex_state = 3},
  [6423] = {.lex_state = 80, .external_lex_state = 3},
  [6424] = {.lex_state = 80, .external_lex_state = 3},
  [6425] = {.lex_state = 82, .external_lex_state = 3},
  [6426] = {.lex_state = 82, .external_lex_state = 3},
  [6427] = {.lex_state = 80, .external_lex_state = 3},
  [6428] = {.lex_state = 77, .external_lex_state = 3},
  [6429] = {.lex_state = 75, .external_lex_state = 3},
  [6430] = {.lex_state = 80, .external_lex_state = 3},
  [6431] = {.lex_state = 85, .external_lex_state = 3},
  [6432] = {.lex_state = 85, .external_lex_state = 3},
  [6433] = {.lex_state = 85, .external_lex_state = 3},
  [6434] = {.lex_state = 84, .external_lex_state = 3},
  [6435] = {.lex_state = 84, .external_lex_state = 3},
  [6436] = {.lex_state = 79, .external_lex_state = 3},
  [6437] = {.lex_state = 81, .external_lex_state = 3},
  [6438] = {.lex_state = 434, .external_lex_state = 2},
  [6439] = {.lex_state = 77, .external_lex_state = 3},
  [6440] = {.lex_state = 78, .external_lex_state = 3},
  [6441] = {.lex_state = 81, .external_lex_state = 3},
  [6442] = {.lex_state = 82, .external_lex_state = 3},
  [6443] = {.lex_state = 434, .external_lex_state = 2},
  [6444] = {.lex_state = 80, .external_lex_state = 3},
  [6445] = {.lex_state = 74, .external_lex_state = 3},
  [6446] = {.lex_state = 80, .external_lex_state = 3},
  [6447] = {.lex_state = 80, .external_lex_state = 3},
  [6448] = {.lex_state = 77, .external_lex_state = 3},
  [6449] = {.lex_state = 80, .external_lex_state = 3},
  [6450] = {.lex_state = 80, .external_lex_state = 3},
  [6451] = {.lex_state = 74, .external_lex_state = 3},
  [6452] = {.lex_state = 80, .external_lex_state = 3},
  [6453] = {.lex_state = 85, .external_lex_state = 3},
  [6454] = {.lex_state = 80, .external_lex_state = 3},
  [6455] = {.lex_state = 85, .external_lex_state = 3},
  [6456] = {.lex_state = 85, .external_lex_state = 3},
  [6457] = {.lex_state = 80, .external_lex_state = 3},
  [6458] = {.lex_state = 80, .external_lex_state = 3},
  [6459] = {.lex_state = 80, .external_lex_state = 3},
  [6460] = {.lex_state = 74, .external_lex_state = 3},
  [6461] = {.lex_state = 74, .external_lex_state = 3},
  [6462] = {.lex_state = 77, .external_lex_state = 3},
  [6463] = {.lex_state = 84, .external_lex_state = 3},
  [6464] = {.lex_state = 87, .external_lex_state = 3},
  [6465] = {.lex_state = 80, .external_lex_state = 3},
  [6466] = {.lex_state = 43, .external_lex_state = 3},
  [6467] = {.lex_state = 78, .external_lex_state = 3},
  [6468] = {.lex_state = 82, .external_lex_state = 3},
  [6469] = {.lex_state = 77, .external_lex_state = 3},
  [6470] = {.lex_state = 81, .external_lex_state = 3},
  [6471] = {.lex_state = 80, .external_lex_state = 3},
  [6472] = {.lex_state = 83, .external_lex_state = 3},
  [6473] = {.lex_state = 78, .external_lex_state = 3},
  [6474] = {.lex_state = 80, .external_lex_state = 3},
  [6475] = {.lex_state = 74, .external_lex_state = 3},
  [6476] = {.lex_state = 77, .external_lex_state = 3},
  [6477] = {.lex_state = 74, .external_lex_state = 3},
  [6478] = {.lex_state = 74, .external_lex_state = 3},
  [6479] = {.lex_state = 77, .external_lex_state = 3},
  [6480] = {.lex_state = 82, .external_lex_state = 3},
  [6481] = {.lex_state = 77, .external_lex_state = 3},
  [6482] = {.lex_state = 80, .external_lex_state = 3},
  [6483] = {.lex_state = 77, .external_lex_state = 3},
  [6484] = {.lex_state = 75, .external_lex_state = 3},
  [6485] = {.lex_state = 80, .external_lex_state = 3},
  [6486] = {.lex_state = 82, .external_lex_state = 3},
  [6487] = {.lex_state = 80, .external_lex_state = 3},
  [6488] = {.lex_state = 77, .external_lex_state = 3},
  [6489] = {.lex_state = 75, .external_lex_state = 3},
  [6490] = {.lex_state = 75, .external_lex_state = 3},
  [6491] = {.lex_state = 80, .external_lex_state = 3},
  [6492] = {.lex_state = 75, .external_lex_state = 3},
  [6493] = {.lex_state = 82, .external_lex_state = 3},
  [6494] = {.lex_state = 78, .external_lex_state = 3},
  [6495] = {.lex_state = 81, .external_lex_state = 3},
  [6496] = {.lex_state = 80, .external_lex_state = 3},
  [6497] = {.lex_state = 75, .external_lex_state = 3},
  [6498] = {.lex_state = 75, .external_lex_state = 3},
  [6499] = {.lex_state = 75, .external_lex_state = 3},
  [6500] = {.lex_state = 84, .external_lex_state = 3},
  [6501] = {.lex_state = 77, .external_lex_state = 3},
  [6502] = {.lex_state = 83, .external_lex_state = 3},
  [6503] = {.lex_state = 77, .external_lex_state = 3},
  [6504] = {.lex_state = 77, .external_lex_state = 3},
  [6505] = {.lex_state = 86, .external_lex_state = 3},
  [6506] = {.lex_state = 77, .external_lex_state = 3},
  [6507] = {.lex_state = 77, .external_lex_state = 3},
  [6508] = {.lex_state = 78, .external_lex_state = 3},
  [6509] = {.lex_state = 81, .external_lex_state = 3},
  [6510] = {.lex_state = 82, .external_lex_state = 3},
  [6511] = {.lex_state = 77, .external_lex_state = 3},
  [6512] = {.lex_state = 74, .external_lex_state = 3},
  [6513] = {.lex_state = 81, .external_lex_state = 3},
  [6514] = {.lex_state = 77, .external_lex_state = 3},
  [6515] = {.lex_state = 81, .external_lex_state = 3},
  [6516] = {.lex_state = 74, .external_lex_state = 3},
  [6517] = {.lex_state = 80, .external_lex_state = 3},
  [6518] = {.lex_state = 77, .external_lex_state = 3},
  [6519] = {.lex_state = 74, .external_lex_state = 3},
  [6520] = {.lex_state = 77, .external_lex_state = 3},
  [6521] = {.lex_state = 78, .external_lex_state = 3},
  [6522] = {.lex_state = 81, .external_lex_state = 3},
  [6523] = {.lex_state = 77, .external_lex_state = 3},
  [6524] = {.lex_state = 80, .external_lex_state = 3},
  [6525] = {.lex_state = 434, .external_lex_state = 2},
  [6526] = {.lex_state = 74, .external_lex_state = 3},
  [6527] = {.lex_state = 82, .external_lex_state = 3},
  [6528] = {.lex_state = 74, .external_lex_state = 3},
  [6529] = {.lex_state = 74, .external_lex_state = 3},
  [6530] = {.lex_state = 81, .external_lex_state = 3},
  [6531] = {.lex_state = 434, .external_lex_state = 2},
  [6532] = {.lex_state = 81, .external_lex_state = 3},
  [6533] = {.lex_state = 81, .external_lex_state = 3},
  [6534] = {.lex_state = 81, .external_lex_state = 3},
  [6535] = {.lex_state = 81, .external_lex_state = 3},
  [6536] = {.lex_state = 81, .external_lex_state = 3},
  [6537] = {.lex_state = 74, .external_lex_state = 3},
  [6538] = {.lex_state = 77, .external_lex_state = 3},
  [6539] = {.lex_state = 81, .external_lex_state = 3},
  [6540] = {.lex_state = 81, .external_lex_state = 3},
  [6541] = {.lex_state = 81, .external_lex_state = 3},
  [6542] = {.lex_state = 81, .external_lex_state = 3},
  [6543] = {.lex_state = 81, .external_lex_state = 3},
  [6544] = {.lex_state = 81, .external_lex_state = 3},
  [6545] = {.lex_state = 81, .external_lex_state = 3},
  [6546] = {.lex_state = 81, .external_lex_state = 3},
  [6547] = {.lex_state = 434, .external_lex_state = 2},
  [6548] = {.lex_state = 81, .external_lex_state = 3},
  [6549] = {.lex_state = 81, .external_lex_state = 3},
  [6550] = {.lex_state = 81, .external_lex_state = 3},
  [6551] = {.lex_state = 81, .external_lex_state = 3},
  [6552] = {.lex_state = 81, .external_lex_state = 3},
  [6553] = {.lex_state = 81, .external_lex_state = 3},
  [6554] = {.lex_state = 78, .external_lex_state = 3},
  [6555] = {.lex_state = 81, .external_lex_state = 3},
  [6556] = {.lex_state = 81, .external_lex_state = 3},
  [6557] = {.lex_state = 81, .external_lex_state = 3},
  [6558] = {.lex_state = 81, .external_lex_state = 3},
  [6559] = {.lex_state = 81, .external_lex_state = 3},
  [6560] = {.lex_state = 81, .external_lex_state = 3},
  [6561] = {.lex_state = 81, .external_lex_state = 3},
  [6562] = {.lex_state = 81, .external_lex_state = 3},
  [6563] = {.lex_state = 81, .external_lex_state = 3},
  [6564] = {.lex_state = 74, .external_lex_state = 3},
  [6565] = {.lex_state = 81, .external_lex_state = 3},
  [6566] = {.lex_state = 81, .external_lex_state = 3},
  [6567] = {.lex_state = 81, .external_lex_state = 3},
  [6568] = {.lex_state = 81, .external_lex_state = 3},
  [6569] = {.lex_state = 81, .external_lex_state = 3},
  [6570] = {.lex_state = 81, .external_lex_state = 3},
  [6571] = {.lex_state = 82, .external_lex_state = 3},
  [6572] = {.lex_state = 74, .external_lex_state = 3},
  [6573] = {.lex_state = 77, .external_lex_state = 3},
  [6574] = {.lex_state = 77, .external_lex_state = 3},
  [6575] = {.lex_state = 81, .external_lex_state = 3},
  [6576] = {.lex_state = 82, .external_lex_state = 3},
  [6577] = {.lex_state = 78, .external_lex_state = 3},
  [6578] = {.lex_state = 434, .external_lex_state = 2},
  [6579] = {.lex_state = 74, .external_lex_state = 3},
  [6580] = {.lex_state = 77, .external_lex_state = 3},
  [6581] = {.lex_state = 74, .external_lex_state = 3},
  [6582] = {.lex_state = 74, .external_lex_state = 3},
  [6583] = {.lex_state = 74, .external_lex_state = 3},
  [6584] = {.lex_state = 74, .external_lex_state = 3},
  [6585] = {.lex_state = 81, .external_lex_state = 3},
  [6586] = {.lex_state = 74, .external_lex_state = 3},
  [6587] = {.lex_state = 81, .external_lex_state = 3},
  [6588] = {.lex_state = 77, .external_lex_state = 3},
  [6589] = {.lex_state = 77, .external_lex_state = 3},
  [6590] = {.lex_state = 74, .external_lex_state = 3},
  [6591] = {.lex_state = 434, .external_lex_state = 2},
  [6592] = {.lex_state = 74, .external_lex_state = 3},
  [6593] = {.lex_state = 78, .external_lex_state = 3},
  [6594] = {.lex_state = 74, .external_lex_state = 3},
  [6595] = {.lex_state = 78, .external_lex_state = 3},
  [6596] = {.lex_state = 74, .external_lex_state = 3},
  [6597] = {.lex_state = 74, .external_lex_state = 3},
  [6598] = {.lex_state = 74, .external_lex_state = 3},
  [6599] = {.lex_state = 74, .external_lex_state = 3},
  [6600] = {.lex_state = 74, .external_lex_state = 3},
  [6601] = {.lex_state = 74, .external_lex_state = 3},
  [6602] = {.lex_state = 81, .external_lex_state = 3},
  [6603] = {.lex_state = 74, .external_lex_state = 3},
  [6604] = {.lex_state = 77, .external_lex_state = 3},
  [6605] = {.lex_state = 77, .external_lex_state = 3},
  [6606] = {.lex_state = 74, .external_lex_state = 3},
  [6607] = {.lex_state = 74, .external_lex_state = 3},
  [6608] = {.lex_state = 74, .external_lex_state = 3},
  [6609] = {.lex_state = 78, .external_lex_state = 3},
  [6610] = {.lex_state = 82, .external_lex_state = 3},
  [6611] = {.lex_state = 79, .external_lex_state = 3},
  [6612] = {.lex_state = 83, .external_lex_state = 3},
  [6613] = {.lex_state = 11, .external_lex_state = 3},
  [6614] = {.lex_state = 84, .external_lex_state = 3},
  [6615] = {.lex_state = 75, .external_lex_state = 3},
  [6616] = {.lex_state = 75, .external_lex_state = 3},
  [6617] = {.lex_state = 10, .external_lex_state = 3},
  [6618] = {.lex_state = 79, .external_lex_state = 3},
  [6619] = {.lex_state = 85, .external_lex_state = 3},
  [6620] = {.lex_state = 79, .external_lex_state = 3},
  [6621] = {.lex_state = 83, .external_lex_state = 3},
  [6622] = {.lex_state = 79, .external_lex_state = 3},
  [6623] = {.lex_state = 159, .external_lex_state = 2},
  [6624] = {.lex_state = 79, .external_lex_state = 3},
  [6625] = {.lex_state = 11, .external_lex_state = 3},
  [6626] = {.lex_state = 11, .external_lex_state = 3},
  [6627] = {.lex_state = 11, .external_lex_state = 3},
  [6628] = {.lex_state = 10, .external_lex_state = 3},
  [6629] = {.lex_state = 75, .external_lex_state = 3},
  [6630] = {.lex_state = 85, .external_lex_state = 3},
  [6631] = {.lex_state = 85, .external_lex_state = 3},
  [6632] = {.lex_state = 85, .external_lex_state = 3},
  [6633] = {.lex_state = 84, .external_lex_state = 3},
  [6634] = {.lex_state = 85, .external_lex_state = 3},
  [6635] = {.lex_state = 11, .external_lex_state = 3},
  [6636] = {.lex_state = 159, .external_lex_state = 2},
  [6637] = {.lex_state = 11, .external_lex_state = 3},
  [6638] = {.lex_state = 75, .external_lex_state = 3},
  [6639] = {.lex_state = 83, .external_lex_state = 3},
  [6640] = {.lex_state = 75, .external_lex_state = 3},
  [6641] = {.lex_state = 85, .external_lex_state = 3},
  [6642] = {.lex_state = 11, .external_lex_state = 3},
  [6643] = {.lex_state = 84, .external_lex_state = 3},
  [6644] = {.lex_state = 75, .external_lex_state = 3},
  [6645] = {.lex_state = 79, .external_lex_state = 3},
  [6646] = {.lex_state = 79, .external_lex_state = 3},
  [6647] = {.lex_state = 83, .external_lex_state = 3},
  [6648] = {.lex_state = 11, .external_lex_state = 3},
  [6649] = {.lex_state = 79, .external_lex_state = 3},
  [6650] = {.lex_state = 75, .external_lex_state = 3},
  [6651] = {.lex_state = 75, .external_lex_state = 3},
  [6652] = {.lex_state = 24, .external_lex_state = 3},
  [6653] = {.lex_state = 84, .external_lex_state = 3},
  [6654] = {.lex_state = 434, .external_lex_state = 2},
  [6655] = {.lex_state = 75, .external_lex_state = 3},
  [6656] = {.lex_state = 75, .external_lex_state = 3},
  [6657] = {.lex_state = 10, .external_lex_state = 3},
  [6658] = {.lex_state = 10, .external_lex_state = 3},
  [6659] = {.lex_state = 85, .external_lex_state = 3},
  [6660] = {.lex_state = 85, .external_lex_state = 3},
  [6661] = {.lex_state = 10, .external_lex_state = 3},
  [6662] = {.lex_state = 85, .external_lex_state = 3},
  [6663] = {.lex_state = 84, .external_lex_state = 3},
  [6664] = {.lex_state = 84, .external_lex_state = 3},
  [6665] = {.lex_state = 85, .external_lex_state = 3},
  [6666] = {.lex_state = 85, .external_lex_state = 3},
  [6667] = {.lex_state = 11, .external_lex_state = 3},
  [6668] = {.lex_state = 85, .external_lex_state = 3},
  [6669] = {.lex_state = 79, .external_lex_state = 3},
  [6670] = {.lex_state = 84, .external_lex_state = 3},
  [6671] = {.lex_state = 11, .external_lex_state = 3},
  [6672] = {.lex_state = 11, .external_lex_state = 3},
  [6673] = {.lex_state = 11, .external_lex_state = 3},
  [6674] = {.lex_state = 79, .external_lex_state = 3},
  [6675] = {.lex_state = 11, .external_lex_state = 3},
  [6676] = {.lex_state = 84, .external_lex_state = 3},
  [6677] = {.lex_state = 79, .external_lex_state = 3},
  [6678] = {.lex_state = 11, .external_lex_state = 3},
  [6679] = {.lex_state = 11, .external_lex_state = 3},
  [6680] = {.lex_state = 11, .external_lex_state = 3},
  [6681] = {.lex_state = 79, .external_lex_state = 3},
  [6682] = {.lex_state = 85, .external_lex_state = 3},
  [6683] = {.lex_state = 10, .external_lex_state = 3},
  [6684] = {.lex_state = 10, .external_lex_state = 3},
  [6685] = {.lex_state = 75, .external_lex_state = 3},
  [6686] = {.lex_state = 75, .external_lex_state = 3},
  [6687] = {.lex_state = 11, .external_lex_state = 3},
  [6688] = {.lex_state = 10, .external_lex_state = 3},
  [6689] = {.lex_state = 11, .external_lex_state = 3},
  [6690] = {.lex_state = 75, .external_lex_state = 3},
  [6691] = {.lex_state = 85, .external_lex_state = 3},
  [6692] = {.lex_state = 75, .external_lex_state = 3},
  [6693] = {.lex_state = 85, .external_lex_state = 3},
  [6694] = {.lex_state = 79, .external_lex_state = 3},
  [6695] = {.lex_state = 11, .external_lex_state = 3},
  [6696] = {.lex_state = 83, .external_lex_state = 3},
  [6697] = {.lex_state = 11, .external_lex_state = 3},
  [6698] = {.lex_state = 85, .external_lex_state = 3},
  [6699] = {.lex_state = 11, .external_lex_state = 3},
  [6700] = {.lex_state = 11, .external_lex_state = 3},
  [6701] = {.lex_state = 75, .external_lex_state = 3},
  [6702] = {.lex_state = 11, .external_lex_state = 3},
  [6703] = {.lex_state = 79, .external_lex_state = 3},
  [6704] = {.lex_state = 11, .external_lex_state = 3},
  [6705] = {.lex_state = 75, .external_lex_state = 3},
  [6706] = {.lex_state = 11, .external_lex_state = 3},
  [6707] = {.lex_state = 79, .external_lex_state = 3},
  [6708] = {.lex_state = 10, .external_lex_state = 3},
  [6709] = {.lex_state = 11, .external_lex_state = 3},
  [6710] = {.lex_state = 11, .external_lex_state = 3},
  [6711] = {.lex_state = 75, .external_lex_state = 3},
  [6712] = {.lex_state = 79, .external_lex_state = 3},
  [6713] = {.lex_state = 11, .external_lex_state = 3},
  [6714] = {.lex_state = 11, .external_lex_state = 3},
  [6715] = {.lex_state = 11, .external_lex_state = 3},
  [6716] = {.lex_state = 159, .external_lex_state = 2},
  [6717] = {.lex_state = 10, .external_lex_state = 3},
  [6718] = {.lex_state = 83, .external_lex_state = 3},
  [6719] = {.lex_state = 79, .external_lex_state = 3},
  [6720] = {.lex_state = 85, .external_lex_state = 3},
  [6721] = {.lex_state = 75, .external_lex_state = 3},
  [6722] = {.lex_state = 79, .external_lex_state = 3},
  [6723] = {.lex_state = 79, .external_lex_state = 3},
  [6724] = {.lex_state = 79, .external_lex_state = 3},
  [6725] = {.lex_state = 11, .external_lex_state = 3},
  [6726] = {.lex_state = 11, .external_lex_state = 3},
  [6727] = {.lex_state = 11, .external_lex_state = 3},
  [6728] = {.lex_state = 79, .external_lex_state = 3},
  [6729] = {.lex_state = 11, .external_lex_state = 3},
  [6730] = {.lex_state = 83, .external_lex_state = 3},
  [6731] = {.lex_state = 75, .external_lex_state = 3},
  [6732] = {.lex_state = 159, .external_lex_state = 2},
  [6733] = {.lex_state = 84, .external_lex_state = 3},
  [6734] = {.lex_state = 85, .external_lex_state = 3},
  [6735] = {.lex_state = 79, .external_lex_state = 3},
  [6736] = {.lex_state = 10, .external_lex_state = 3},
  [6737] = {.lex_state = 83, .external_lex_state = 3},
  [6738] = {.lex_state = 11, .external_lex_state = 3},
  [6739] = {.lex_state = 83, .external_lex_state = 3},
  [6740] = {.lex_state = 84, .external_lex_state = 3},
  [6741] = {.lex_state = 10, .external_lex_state = 3},
  [6742] = {.lex_state = 79, .external_lex_state = 3},
  [6743] = {.lex_state = 79, .external_lex_state = 3},
  [6744] = {.lex_state = 11, .external_lex_state = 3},
  [6745] = {.lex_state = 11, .external_lex_state = 3},
  [6746] = {.lex_state = 11, .external_lex_state = 3},
  [6747] = {.lex_state = 434, .external_lex_state = 2},
  [6748] = {.lex_state = 83, .external_lex_state = 3},
  [6749] = {.lex_state = 159, .external_lex_state = 2},
  [6750] = {.lex_state = 11, .external_lex_state = 3},
  [6751] = {.lex_state = 79, .external_lex_state = 3},
  [6752] = {.lex_state = 84, .external_lex_state = 3},
  [6753] = {.lex_state = 84, .external_lex_state = 3},
  [6754] = {.lex_state = 83, .external_lex_state = 3},
  [6755] = {.lex_state = 85, .external_lex_state = 3},
  [6756] = {.lex_state = 11, .external_lex_state = 3},
  [6757] = {.lex_state = 10, .external_lex_state = 3},
  [6758] = {.lex_state = 10, .external_lex_state = 3},
  [6759] = {.lex_state = 75, .external_lex_state = 3},
  [6760] = {.lex_state = 10, .external_lex_state = 3},
  [6761] = {.lex_state = 434, .external_lex_state = 2},
  [6762] = {.lex_state = 83, .external_lex_state = 3},
  [6763] = {.lex_state = 11, .external_lex_state = 3},
  [6764] = {.lex_state = 75, .external_lex_state = 3},
  [6765] = {.lex_state = 11, .external_lex_state = 3},
  [6766] = {.lex_state = 79, .external_lex_state = 3},
  [6767] = {.lex_state = 11, .external_lex_state = 3},
  [6768] = {.lex_state = 10, .external_lex_state = 3},
  [6769] = {.lex_state = 11, .external_lex_state = 3},
  [6770] = {.lex_state = 79, .external_lex_state = 3},
  [6771] = {.lex_state = 11, .external_lex_state = 3},
  [6772] = {.lex_state = 84, .external_lex_state = 3},
  [6773] = {.lex_state = 11, .external_lex_state = 3},
  [6774] = {.lex_state = 79, .external_lex_state = 3},
  [6775] = {.lex_state = 10, .external_lex_state = 3},
  [6776] = {.lex_state = 75, .external_lex_state = 3},
  [6777] = {.lex_state = 75, .external_lex_state = 3},
  [6778] = {.lex_state = 79, .external_lex_state = 3},
  [6779] = {.lex_state = 87, .external_lex_state = 3},
  [6780] = {.lex_state = 84, .external_lex_state = 3},
  [6781] = {.lex_state = 85, .external_lex_state = 3},
  [6782] = {.lex_state = 85, .external_lex_state = 3},
  [6783] = {.lex_state = 85, .external_lex_state = 3},
  [6784] = {.lex_state = 85, .external_lex_state = 3},
  [6785] = {.lex_state = 83, .external_lex_state = 3},
  [6786] = {.lex_state = 84, .external_lex_state = 3},
  [6787] = {.lex_state = 84, .external_lex_state = 3},
  [6788] = {.lex_state = 79, .external_lex_state = 3},
  [6789] = {.lex_state = 85, .external_lex_state = 3},
  [6790] = {.lex_state = 79, .external_lex_state = 3},
  [6791] = {.lex_state = 84, .external_lex_state = 3},
  [6792] = {.lex_state = 85, .external_lex_state = 3},
  [6793] = {.lex_state = 85, .external_lex_state = 3},
  [6794] = {.lex_state = 83, .external_lex_state = 3},
  [6795] = {.lex_state = 84, .external_lex_state = 3},
  [6796] = {.lex_state = 84, .external_lex_state = 3},
  [6797] = {.lex_state = 85, .external_lex_state = 3},
  [6798] = {.lex_state = 84, .external_lex_state = 3},
  [6799] = {.lex_state = 11, .external_lex_state = 3},
  [6800] = {.lex_state = 84, .external_lex_state = 3},
  [6801] = {.lex_state = 10, .external_lex_state = 3},
  [6802] = {.lex_state = 75, .external_lex_state = 3},
  [6803] = {.lex_state = 10, .external_lex_state = 3},
  [6804] = {.lex_state = 10, .external_lex_state = 3},
  [6805] = {.lex_state = 11, .external_lex_state = 3},
  [6806] = {.lex_state = 84, .external_lex_state = 3},
  [6807] = {.lex_state = 10, .external_lex_state = 3},
  [6808] = {.lex_state = 75, .external_lex_state = 3},
  [6809] = {.lex_state = 75, .external_lex_state = 3},
  [6810] = {.lex_state = 84, .external_lex_state = 3},
  [6811] = {.lex_state = 84, .external_lex_state = 3},
  [6812] = {.lex_state = 83, .external_lex_state = 3},
  [6813] = {.lex_state = 83, .external_lex_state = 3},
  [6814] = {.lex_state = 83, .external_lex_state = 3},
  [6815] = {.lex_state = 83, .external_lex_state = 3},
  [6816] = {.lex_state = 84, .external_lex_state = 3},
  [6817] = {.lex_state = 84, .external_lex_state = 3},
  [6818] = {.lex_state = 75, .external_lex_state = 3},
  [6819] = {.lex_state = 83, .external_lex_state = 3},
  [6820] = {.lex_state = 10, .external_lex_state = 3},
  [6821] = {.lex_state = 83, .external_lex_state = 3},
  [6822] = {.lex_state = 11, .external_lex_state = 3},
  [6823] = {.lex_state = 75, .external_lex_state = 3},
  [6824] = {.lex_state = 75, .external_lex_state = 3},
  [6825] = {.lex_state = 75, .external_lex_state = 3},
  [6826] = {.lex_state = 11, .external_lex_state = 3},
  [6827] = {.lex_state = 83, .external_lex_state = 3},
  [6828] = {.lex_state = 84, .external_lex_state = 3},
  [6829] = {.lex_state = 84, .external_lex_state = 3},
  [6830] = {.lex_state = 83, .external_lex_state = 3},
  [6831] = {.lex_state = 75, .external_lex_state = 3},
  [6832] = {.lex_state = 85, .external_lex_state = 3},
  [6833] = {.lex_state = 10, .external_lex_state = 3},
  [6834] = {.lex_state = 83, .external_lex_state = 3},
  [6835] = {.lex_state = 83, .external_lex_state = 3},
  [6836] = {.lex_state = 83, .external_lex_state = 3},
  [6837] = {.lex_state = 83, .external_lex_state = 3},
  [6838] = {.lex_state = 79, .external_lex_state = 3},
  [6839] = {.lex_state = 10, .external_lex_state = 3},
  [6840] = {.lex_state = 75, .external_lex_state = 3},
  [6841] = {.lex_state = 11, .external_lex_state = 3},
  [6842] = {.lex_state = 84, .external_lex_state = 3},
  [6843] = {.lex_state = 75, .external_lex_state = 3},
  [6844] = {.lex_state = 79, .external_lex_state = 3},
  [6845] = {.lex_state = 75, .external_lex_state = 3},
  [6846] = {.lex_state = 11, .external_lex_state = 3},
  [6847] = {.lex_state = 84, .external_lex_state = 3},
  [6848] = {.lex_state = 85, .external_lex_state = 3},
  [6849] = {.lex_state = 79, .external_lex_state = 3},
  [6850] = {.lex_state = 11, .external_lex_state = 3},
  [6851] = {.lex_state = 83, .external_lex_state = 3},
  [6852] = {.lex_state = 83, .external_lex_state = 3},
  [6853] = {.lex_state = 10, .external_lex_state = 3},
  [6854] = {.lex_state = 83, .external_lex_state = 3},
  [6855] = {.lex_state = 11, .external_lex_state = 3},
  [6856] = {.lex_state = 84, .external_lex_state = 3},
  [6857] = {.lex_state = 84, .external_lex_state = 3},
  [6858] = {.lex_state = 85, .external_lex_state = 3},
  [6859] = {.lex_state = 83, .external_lex_state = 3},
  [6860] = {.lex_state = 79, .external_lex_state = 3},
  [6861] = {.lex_state = 84, .external_lex_state = 3},
  [6862] = {.lex_state = 84, .external_lex_state = 3},
  [6863] = {.lex_state = 84, .external_lex_state = 3},
  [6864] = {.lex_state = 85, .external_lex_state = 3},
  [6865] = {.lex_state = 75, .external_lex_state = 3},
  [6866] = {.lex_state = 83, .external_lex_state = 3},
  [6867] = {.lex_state = 75, .external_lex_state = 3},
  [6868] = {.lex_state = 83, .external_lex_state = 3},
  [6869] = {.lex_state = 83, .external_lex_state = 3},
  [6870] = {.lex_state = 83, .external_lex_state = 3},
  [6871] = {.lex_state = 75, .external_lex_state = 3},
  [6872] = {.lex_state = 84, .external_lex_state = 3},
  [6873] = {.lex_state = 79, .external_lex_state = 3},
  [6874] = {.lex_state = 87, .external_lex_state = 3},
  [6875] = {.lex_state = 75, .external_lex_state = 3},
  [6876] = {.lex_state = 84, .external_lex_state = 3},
  [6877] = {.lex_state = 10, .external_lex_state = 3},
  [6878] = {.lex_state = 83, .external_lex_state = 3},
  [6879] = {.lex_state = 79, .external_lex_state = 3},
  [6880] = {.lex_state = 83, .external_lex_state = 3},
  [6881] = {.lex_state = 79, .external_lex_state = 3},
  [6882] = {.lex_state = 11, .external_lex_state = 3},
  [6883] = {.lex_state = 79, .external_lex_state = 3},
  [6884] = {.lex_state = 11, .external_lex_state = 3},
  [6885] = {.lex_state = 10, .external_lex_state = 3},
  [6886] = {.lex_state = 84, .external_lex_state = 3},
  [6887] = {.lex_state = 10, .external_lex_state = 3},
  [6888] = {.lex_state = 75, .external_lex_state = 3},
  [6889] = {.lex_state = 84, .external_lex_state = 3},
  [6890] = {.lex_state = 75, .external_lex_state = 3},
  [6891] = {.lex_state = 79, .external_lex_state = 3},
  [6892] = {.lex_state = 75, .external_lex_state = 3},
  [6893] = {.lex_state = 75, .external_lex_state = 3},
  [6894] = {.lex_state = 79, .external_lex_state = 3},
  [6895] = {.lex_state = 75, .external_lex_state = 3},
  [6896] = {.lex_state = 10, .external_lex_state = 3},
  [6897] = {.lex_state = 83, .external_lex_state = 3},
  [6898] = {.lex_state = 84, .external_lex_state = 3},
  [6899] = {.lex_state = 10, .external_lex_state = 3},
  [6900] = {.lex_state = 75, .external_lex_state = 3},
  [6901] = {.lex_state = 75, .external_lex_state = 3},
  [6902] = {.lex_state = 11, .external_lex_state = 3},
  [6903] = {.lex_state = 85, .external_lex_state = 3},
  [6904] = {.lex_state = 85, .external_lex_state = 3},
  [6905] = {.lex_state = 11, .external_lex_state = 3},
  [6906] = {.lex_state = 79, .external_lex_state = 3},
  [6907] = {.lex_state = 83, .external_lex_state = 3},
  [6908] = {.lex_state = 85, .external_lex_state = 3},
  [6909] = {.lex_state = 75, .external_lex_state = 3},
  [6910] = {.lex_state = 84, .external_lex_state = 3},
  [6911] = {.lex_state = 79, .external_lex_state = 3},
  [6912] = {.lex_state = 75, .external_lex_state = 3},
  [6913] = {.lex_state = 85, .external_lex_state = 3},
  [6914] = {.lex_state = 11, .external_lex_state = 3},
  [6915] = {.lex_state = 79, .external_lex_state = 3},
  [6916] = {.lex_state = 79, .external_lex_state = 3},
  [6917] = {.lex_state = 75, .external_lex_state = 3},
  [6918] = {.lex_state = 75, .external_lex_state = 3},
  [6919] = {.lex_state = 10, .external_lex_state = 3},
  [6920] = {.lex_state = 79, .external_lex_state = 3},
  [6921] = {.lex_state = 75, .external_lex_state = 3},
  [6922] = {.lex_state = 85, .external_lex_state = 3},
  [6923] = {.lex_state = 79, .external_lex_state = 3},
  [6924] = {.lex_state = 10, .external_lex_state = 3},
  [6925] = {.lex_state = 11, .external_lex_state = 3},
  [6926] = {.lex_state = 83, .external_lex_state = 3},
  [6927] = {.lex_state = 75, .external_lex_state = 3},
  [6928] = {.lex_state = 83, .external_lex_state = 3},
  [6929] = {.lex_state = 85, .external_lex_state = 3},
  [6930] = {.lex_state = 75, .external_lex_state = 3},
  [6931] = {.lex_state = 10, .external_lex_state = 3},
  [6932] = {.lex_state = 84, .external_lex_state = 3},
  [6933] = {.lex_state = 75, .external_lex_state = 3},
  [6934] = {.lex_state = 84, .external_lex_state = 3},
  [6935] = {.lex_state = 85, .external_lex_state = 3},
  [6936] = {.lex_state = 84, .external_lex_state = 3},
  [6937] = {.lex_state = 75, .external_lex_state = 3},
  [6938] = {.lex_state = 83, .external_lex_state = 3},
  [6939] = {.lex_state = 83, .external_lex_state = 3},
  [6940] = {.lex_state = 75, .external_lex_state = 3},
  [6941] = {.lex_state = 79, .external_lex_state = 3},
  [6942] = {.lex_state = 79, .external_lex_state = 3},
  [6943] = {.lex_state = 84, .external_lex_state = 3},
  [6944] = {.lex_state = 83, .external_lex_state = 3},
  [6945] = {.lex_state = 159, .external_lex_state = 2},
  [6946] = {.lex_state = 83, .external_lex_state = 3},
  [6947] = {.lex_state = 84, .external_lex_state = 3},
  [6948] = {.lex_state = 83, .external_lex_state = 3},
  [6949] = {.lex_state = 10, .external_lex_state = 3},
  [6950] = {.lex_state = 85, .external_lex_state = 3},
  [6951] = {.lex_state = 75, .external_lex_state = 3},
  [6952] = {.lex_state = 10, .external_lex_state = 3},
  [6953] = {.lex_state = 79, .external_lex_state = 3},
  [6954] = {.lex_state = 85, .external_lex_state = 3},
  [6955] = {.lex_state = 79, .external_lex_state = 3},
  [6956] = {.lex_state = 85, .external_lex_state = 3},
  [6957] = {.lex_state = 79, .external_lex_state = 3},
  [6958] = {.lex_state = 79, .external_lex_state = 3},
  [6959] = {.lex_state = 79, .external_lex_state = 3},
  [6960] = {.lex_state = 84, .external_lex_state = 3},
  [6961] = {.lex_state = 10, .external_lex_state = 3},
  [6962] = {.lex_state = 11, .external_lex_state = 3},
  [6963] = {.lex_state = 79, .external_lex_state = 3},
  [6964] = {.lex_state = 10, .external_lex_state = 3},
  [6965] = {.lex_state = 10, .external_lex_state = 3},
  [6966] = {.lex_state = 10, .external_lex_state = 3},
  [6967] = {.lex_state = 79, .external_lex_state = 3},
  [6968] = {.lex_state = 10, .external_lex_state = 3},
  [6969] = {.lex_state = 10, .external_lex_state = 3},
  [6970] = {.lex_state = 10, .external_lex_state = 3},
  [6971] = {.lex_state = 84, .external_lex_state = 3},
  [6972] = {.lex_state = 75, .external_lex_state = 3},
  [6973] = {.lex_state = 10, .external_lex_state = 3},
  [6974] = {.lex_state = 11, .external_lex_state = 3},
  [6975] = {.lex_state = 83, .external_lex_state = 3},
  [6976] = {.lex_state = 10, .external_lex_state = 3},
  [6977] = {.lex_state = 10, .external_lex_state = 3},
  [6978] = {.lex_state = 10, .external_lex_state = 3},
  [6979] = {.lex_state = 83, .external_lex_state = 3},
  [6980] = {.lex_state = 84, .external_lex_state = 3},
  [6981] = {.lex_state = 10, .external_lex_state = 3},
  [6982] = {.lex_state = 79, .external_lex_state = 3},
  [6983] = {.lex_state = 11, .external_lex_state = 3},
  [6984] = {.lex_state = 10, .external_lex_state = 3},
  [6985] = {.lex_state = 83, .external_lex_state = 3},
  [6986] = {.lex_state = 79, .external_lex_state = 3},
  [6987] = {.lex_state = 11, .external_lex_state = 3},
  [6988] = {.lex_state = 83, .external_lex_state = 3},
  [6989] = {.lex_state = 83, .external_lex_state = 3},
  [6990] = {.lex_state = 79, .external_lex_state = 3},
  [6991] = {.lex_state = 83, .external_lex_state = 3},
  [6992] = {.lex_state = 75, .external_lex_state = 3},
  [6993] = {.lex_state = 75, .external_lex_state = 3},
  [6994] = {.lex_state = 25, .external_lex_state = 3},
  [6995] = {.lex_state = 83, .external_lex_state = 3},
  [6996] = {.lex_state = 83, .external_lex_state = 3},
  [6997] = {.lex_state = 83, .external_lex_state = 3},
  [6998] = {.lex_state = 83, .external_lex_state = 3},
  [6999] = {.lex_state = 83, .external_lex_state = 3},
  [7000] = {.lex_state = 79, .external_lex_state = 3},
  [7001] = {.lex_state = 83, .external_lex_state = 3},
  [7002] = {.lex_state = 83, .external_lex_state = 3},
  [7003] = {.lex_state = 79, .external_lex_state = 3},
  [7004] = {.lex_state = 11, .external_lex_state = 3},
  [7005] = {.lex_state = 11, .external_lex_state = 3},
  [7006] = {.lex_state = 84, .external_lex_state = 3},
  [7007] = {.lex_state = 79, .external_lex_state = 3},
  [7008] = {.lex_state = 85, .external_lex_state = 3},
  [7009] = {.lex_state = 83, .external_lex_state = 3},
  [7010] = {.lex_state = 83, .external_lex_state = 3},
  [7011] = {.lex_state = 10, .external_lex_state = 3},
  [7012] = {.lex_state = 83, .external_lex_state = 3},
  [7013] = {.lex_state = 75, .external_lex_state = 3},
  [7014] = {.lex_state = 75, .external_lex_state = 3},
  [7015] = {.lex_state = 85, .external_lex_state = 3},
  [7016] = {.lex_state = 83, .external_lex_state = 3},
  [7017] = {.lex_state = 85, .external_lex_state = 3},
  [7018] = {.lex_state = 159, .external_lex_state = 2},
  [7019] = {.lex_state = 434, .external_lex_state = 2},
  [7020] = {.lex_state = 83, .external_lex_state = 3},
  [7021] = {.lex_state = 10, .external_lex_state = 3},
  [7022] = {.lex_state = 10, .external_lex_state = 3},
  [7023] = {.lex_state = 85, .external_lex_state = 3},
  [7024] = {.lex_state = 10, .external_lex_state = 3},
  [7025] = {.lex_state = 10, .external_lex_state = 3},
  [7026] = {.lex_state = 84, .external_lex_state = 3},
  [7027] = {.lex_state = 10, .external_lex_state = 3},
  [7028] = {.lex_state = 11, .external_lex_state = 3},
  [7029] = {.lex_state = 75, .external_lex_state = 3},
  [7030] = {.lex_state = 75, .external_lex_state = 3},
  [7031] = {.lex_state = 434, .external_lex_state = 2},
  [7032] = {.lex_state = 84, .external_lex_state = 3},
  [7033] = {.lex_state = 83, .external_lex_state = 3},
  [7034] = {.lex_state = 10, .external_lex_state = 3},
  [7035] = {.lex_state = 10, .external_lex_state = 3},
  [7036] = {.lex_state = 434, .external_lex_state = 2},
  [7037] = {.lex_state = 10, .external_lex_state = 3},
  [7038] = {.lex_state = 10, .external_lex_state = 3},
  [7039] = {.lex_state = 85, .external_lex_state = 3},
  [7040] = {.lex_state = 76, .external_lex_state = 3},
  [7041] = {.lex_state = 10, .external_lex_state = 3},
  [7042] = {.lex_state = 11, .external_lex_state = 3},
  [7043] = {.lex_state = 83, .external_lex_state = 3},
  [7044] = {.lex_state = 11, .external_lex_state = 3},
  [7045] = {.lex_state = 11, .external_lex_state = 3},
  [7046] = {.lex_state = 85, .external_lex_state = 3},
  [7047] = {.lex_state = 10, .external_lex_state = 3},
  [7048] = {.lex_state = 10, .external_lex_state = 3},
  [7049] = {.lex_state = 83, .external_lex_state = 3},
  [7050] = {.lex_state = 11, .external_lex_state = 3},
  [7051] = {.lex_state = 10, .external_lex_state = 3},
  [7052] = {.lex_state = 83, .external_lex_state = 3},
  [7053] = {.lex_state = 85, .external_lex_state = 3},
  [7054] = {.lex_state = 84, .external_lex_state = 3},
  [7055] = {.lex_state = 11, .external_lex_state = 3},
  [7056] = {.lex_state = 75, .external_lex_state = 3},
  [7057] = {.lex_state = 11, .external_lex_state = 3},
  [7058] = {.lex_state = 85, .external_lex_state = 3},
  [7059] = {.lex_state = 84, .external_lex_state = 3},
  [7060] = {.lex_state = 10, .external_lex_state = 3},
  [7061] = {.lex_state = 10, .external_lex_state = 3},
  [7062] = {.lex_state = 84, .external_lex_state = 3},
  [7063] = {.lex_state = 85, .external_lex_state = 3},
  [7064] = {.lex_state = 84, .external_lex_state = 3},
  [7065] = {.lex_state = 84, .external_lex_state = 3},
  [7066] = {.lex_state = 85, .external_lex_state = 3},
  [7067] = {.lex_state = 75, .external_lex_state = 3},
  [7068] = {.lex_state = 11, .external_lex_state = 3},
  [7069] = {.lex_state = 11, .external_lex_state = 3},
  [7070] = {.lex_state = 84, .external_lex_state = 3},
  [7071] = {.lex_state = 84, .external_lex_state = 3},
  [7072] = {.lex_state = 10, .external_lex_state = 3},
  [7073] = {.lex_state = 85, .external_lex_state = 3},
  [7074] = {.lex_state = 79, .external_lex_state = 3},
  [7075] = {.lex_state = 10, .external_lex_state = 3},
  [7076] = {.lex_state = 84, .external_lex_state = 3},
  [7077] = {.lex_state = 85, .external_lex_state = 3},
  [7078] = {.lex_state = 85, .external_lex_state = 3},
  [7079] = {.lex_state = 85, .external_lex_state = 3},
  [7080] = {.lex_state = 85, .external_lex_state = 3},
  [7081] = {.lex_state = 79, .external_lex_state = 3},
  [7082] = {.lex_state = 10, .external_lex_state = 3},
  [7083] = {.lex_state = 10, .external_lex_state = 3},
  [7084] = {.lex_state = 10, .external_lex_state = 3},
  [7085] = {.lex_state = 79, .external_lex_state = 3},
  [7086] = {.lex_state = 85, .external_lex_state = 3},
  [7087] = {.lex_state = 79, .external_lex_state = 3},
  [7088] = {.lex_state = 10, .external_lex_state = 3},
  [7089] = {.lex_state = 10, .external_lex_state = 3},
  [7090] = {.lex_state = 84, .external_lex_state = 3},
  [7091] = {.lex_state = 10, .external_lex_state = 3},
  [7092] = {.lex_state = 79, .external_lex_state = 3},
  [7093] = {.lex_state = 79, .external_lex_state = 3},
  [7094] = {.lex_state = 11, .external_lex_state = 3},
  [7095] = {.lex_state = 10, .external_lex_state = 3},
  [7096] = {.lex_state = 10, .external_lex_state = 3},
  [7097] = {.lex_state = 84, .external_lex_state = 3},
  [7098] = {.lex_state = 75, .external_lex_state = 3},
  [7099] = {.lex_state = 79, .external_lex_state = 3},
  [7100] = {.lex_state = 85, .external_lex_state = 3},
  [7101] = {.lex_state = 10, .external_lex_state = 3},
  [7102] = {.lex_state = 84, .external_lex_state = 3},
  [7103] = {.lex_state = 85, .external_lex_state = 3},
  [7104] = {.lex_state = 84, .external_lex_state = 3},
  [7105] = {.lex_state = 83, .external_lex_state = 3},
  [7106] = {.lex_state = 84, .external_lex_state = 3},
  [7107] = {.lex_state = 84, .external_lex_state = 3},
  [7108] = {.lex_state = 83, .external_lex_state = 3},
  [7109] = {.lex_state = 10, .external_lex_state = 3},
  [7110] = {.lex_state = 75, .external_lex_state = 3},
  [7111] = {.lex_state = 85, .external_lex_state = 3},
  [7112] = {.lex_state = 85, .external_lex_state = 3},
  [7113] = {.lex_state = 79, .external_lex_state = 3},
  [7114] = {.lex_state = 84, .external_lex_state = 3},
  [7115] = {.lex_state = 75, .external_lex_state = 3},
  [7116] = {.lex_state = 85, .external_lex_state = 3},
  [7117] = {.lex_state = 75, .external_lex_state = 3},
  [7118] = {.lex_state = 85, .external_lex_state = 3},
  [7119] = {.lex_state = 85, .external_lex_state = 3},
  [7120] = {.lex_state = 85, .external_lex_state = 3},
  [7121] = {.lex_state = 10, .external_lex_state = 3},
  [7122] = {.lex_state = 84, .external_lex_state = 3},
  [7123] = {.lex_state = 434, .external_lex_state = 2},
  [7124] = {.lex_state = 75, .external_lex_state = 3},
  [7125] = {.lex_state = 85, .external_lex_state = 3},
  [7126] = {.lex_state = 11, .external_lex_state = 3},
  [7127] = {.lex_state = 84, .external_lex_state = 3},
  [7128] = {.lex_state = 85, .external_lex_state = 3},
  [7129] = {.lex_state = 83, .external_lex_state = 3},
  [7130] = {.lex_state = 10, .external_lex_state = 3},
  [7131] = {.lex_state = 10, .external_lex_state = 3},
  [7132] = {.lex_state = 84, .external_lex_state = 3},
  [7133] = {.lex_state = 83, .external_lex_state = 3},
  [7134] = {.lex_state = 83, .external_lex_state = 3},
  [7135] = {.lex_state = 434, .external_lex_state = 2},
  [7136] = {.lex_state = 75, .external_lex_state = 3},
  [7137] = {.lex_state = 10, .external_lex_state = 3},
  [7138] = {.lex_state = 85, .external_lex_state = 3},
  [7139] = {.lex_state = 75, .external_lex_state = 3},
  [7140] = {.lex_state = 84, .external_lex_state = 3},
  [7141] = {.lex_state = 85, .external_lex_state = 3},
  [7142] = {.lex_state = 85, .external_lex_state = 3},
  [7143] = {.lex_state = 85, .external_lex_state = 3},
  [7144] = {.lex_state = 79, .external_lex_state = 3},
  [7145] = {.lex_state = 84, .external_lex_state = 3},
  [7146] = {.lex_state = 83, .external_lex_state = 3},
  [7147] = {.lex_state = 85, .external_lex_state = 3},
  [7148] = {.lex_state = 10, .external_lex_state = 3},
  [7149] = {.lex_state = 84, .external_lex_state = 3},
  [7150] = {.lex_state = 11, .external_lex_state = 3},
  [7151] = {.lex_state = 11, .external_lex_state = 3},
  [7152] = {.lex_state = 85, .external_lex_state = 3},
  [7153] = {.lex_state = 11, .external_lex_state = 3},
  [7154] = {.lex_state = 11, .external_lex_state = 3},
  [7155] = {.lex_state = 79, .external_lex_state = 3},
  [7156] = {.lex_state = 75, .external_lex_state = 3},
  [7157] = {.lex_state = 159, .external_lex_state = 2},
  [7158] = {.lex_state = 159, .external_lex_state = 2},
  [7159] = {.lex_state = 159, .external_lex_state = 2},
  [7160] = {.lex_state = 161, .external_lex_state = 2},
  [7161] = {.lex_state = 161, .external_lex_state = 2},
  [7162] = {.lex_state = 159, .external_lex_state = 2},
  [7163] = {.lex_state = 159, .external_lex_state = 2},
  [7164] = {.lex_state = 159, .external_lex_state = 2},
  [7165] = {.lex_state = 159, .external_lex_state = 2},
  [7166] = {.lex_state = 159, .external_lex_state = 2},
  [7167] = {.lex_state = 161, .external_lex_state = 2},
  [7168] = {.lex_state = 159, .external_lex_state = 2},
  [7169] = {.lex_state = 161, .external_lex_state = 2},
  [7170] = {.lex_state = 161, .external_lex_state = 2},
  [7171] = {.lex_state = 161, .external_lex_state = 2},
  [7172] = {.lex_state = 171, .external_lex_state = 3},
  [7173] = {.lex_state = 159, .external_lex_state = 2},
  [7174] = {.lex_state = 159, .external_lex_state = 2},
  [7175] = {.lex_state = 161, .external_lex_state = 2},
  [7176] = {.lex_state = 161, .external_lex_state = 2},
  [7177] = {.lex_state = 159, .external_lex_state = 2},
  [7178] = {.lex_state = 25, .external_lex_state = 3},
  [7179] = {.lex_state = 25, .external_lex_state = 3},
  [7180] = {.lex_state = 25, .external_lex_state = 3},
  [7181] = {.lex_state = 159, .external_lex_state = 2},
  [7182] = {.lex_state = 25, .external_lex_state = 3},
  [7183] = {.lex_state = 159, .external_lex_state = 2},
  [7184] = {.lex_state = 159, .external_lex_state = 2},
  [7185] = {.lex_state = 159, .external_lex_state = 2},
  [7186] = {.lex_state = 159, .external_lex_state = 2},
  [7187] = {.lex_state = 159, .external_lex_state = 2},
  [7188] = {.lex_state = 159, .external_lex_state = 2},
  [7189] = {.lex_state = 159, .external_lex_state = 2},
  [7190] = {.lex_state = 159, .external_lex_state = 2},
  [7191] = {.lex_state = 159, .external_lex_state = 2},
  [7192] = {.lex_state = 159, .external_lex_state = 2},
  [7193] = {.lex_state = 159, .external_lex_state = 2},
  [7194] = {.lex_state = 159, .external_lex_state = 2},
  [7195] = {.lex_state = 159, .external_lex_state = 2},
  [7196] = {.lex_state = 159, .external_lex_state = 2},
  [7197] = {.lex_state = 159, .external_lex_state = 2},
  [7198] = {.lex_state = 77, .external_lex_state = 3},
  [7199] = {.lex_state = 81, .external_lex_state = 3},
  [7200] = {.lex_state = 74, .external_lex_state = 3},
  [7201] = {.lex_state = 25, .external_lex_state = 3},
  [7202] = {.lex_state = 82, .external_lex_state = 3},
  [7203] = {.lex_state = 25, .external_lex_state = 3},
  [7204] = {.lex_state = 80, .external_lex_state = 3},
  [7205] = {.lex_state = 25, .external_lex_state = 3},
  [7206] = {.lex_state = 196, .external_lex_state = 3},
  [7207] = {.lex_state = 24, .external_lex_state = 3},
  [7208] = {.lex_state = 25, .external_lex_state = 3},
  [7209] = {.lex_state = 24, .external_lex_state = 3},
  [7210] = {.lex_state = 24, .external_lex_state = 3},
  [7211] = {.lex_state = 24, .external_lex_state = 3},
  [7212] = {.lex_state = 25, .external_lex_state = 3},
  [7213] = {.lex_state = 25, .external_lex_state = 3},
  [7214] = {.lex_state = 25, .external_lex_state = 3},
  [7215] = {.lex_state = 25, .external_lex_state = 3},
  [7216] = {.lex_state = 25, .external_lex_state = 3},
  [7217] = {.lex_state = 159, .external_lex_state = 2},
  [7218] = {.lex_state = 25, .external_lex_state = 3},
  [7219] = {.lex_state = 25, .external_lex_state = 3},
  [7220] = {.lex_state = 25, .external_lex_state = 3},
  [7221] = {.lex_state = 25, .external_lex_state = 3},
  [7222] = {.lex_state = 25, .external_lex_state = 3},
  [7223] = {.lex_state = 25, .external_lex_state = 3},
  [7224] = {.lex_state = 25, .external_lex_state = 3},
  [7225] = {.lex_state = 173, .external_lex_state = 3},
  [7226] = {.lex_state = 173, .external_lex_state = 3},
  [7227] = {.lex_state = 161, .external_lex_state = 2},
  [7228] = {.lex_state = 161, .external_lex_state = 2},
  [7229] = {.lex_state = 78, .external_lex_state = 3},
  [7230] = {.lex_state = 76, .external_lex_state = 3},
  [7231] = {.lex_state = 24, .external_lex_state = 3},
  [7232] = {.lex_state = 194, .external_lex_state = 3},
  [7233] = {.lex_state = 161, .external_lex_state = 2},
  [7234] = {.lex_state = 76, .external_lex_state = 3},
  [7235] = {.lex_state = 161, .external_lex_state = 2},
  [7236] = {.lex_state = 161, .external_lex_state = 2},
  [7237] = {.lex_state = 161, .external_lex_state = 2},
  [7238] = {.lex_state = 24, .external_lex_state = 3},
  [7239] = {.lex_state = 24, .external_lex_state = 3},
  [7240] = {.lex_state = 24, .external_lex_state = 3},
  [7241] = {.lex_state = 24, .external_lex_state = 3},
  [7242] = {.lex_state = 24, .external_lex_state = 3},
  [7243] = {.lex_state = 24, .external_lex_state = 3},
  [7244] = {.lex_state = 24, .external_lex_state = 3},
  [7245] = {.lex_state = 24, .external_lex_state = 3},
  [7246] = {.lex_state = 159, .external_lex_state = 2},
  [7247] = {.lex_state = 24, .external_lex_state = 3},
  [7248] = {.lex_state = 159, .external_lex_state = 2},
  [7249] = {.lex_state = 161, .external_lex_state = 2},
  [7250] = {.lex_state = 161, .external_lex_state = 2},
  [7251] = {.lex_state = 161, .external_lex_state = 2},
  [7252] = {.lex_state = 161, .external_lex_state = 2},
  [7253] = {.lex_state = 161, .external_lex_state = 2},
  [7254] = {.lex_state = 161, .external_lex_state = 2},
  [7255] = {.lex_state = 161, .external_lex_state = 2},
  [7256] = {.lex_state = 161, .external_lex_state = 2},
  [7257] = {.lex_state = 161, .external_lex_state = 2},
  [7258] = {.lex_state = 161, .external_lex_state = 2},
  [7259] = {.lex_state = 161, .external_lex_state = 2},
  [7260] = {.lex_state = 161, .external_lex_state = 2},
  [7261] = {.lex_state = 161, .external_lex_state = 2},
  [7262] = {.lex_state = 161, .external_lex_state = 2},
  [7263] = {.lex_state = 161, .external_lex_state = 2},
  [7264] = {.lex_state = 161, .external_lex_state = 2},
  [7265] = {.lex_state = 24, .external_lex_state = 3},
  [7266] = {.lex_state = 161, .external_lex_state = 2},
  [7267] = {.lex_state = 161, .external_lex_state = 2},
  [7268] = {.lex_state = 161, .external_lex_state = 2},
  [7269] = {.lex_state = 161, .external_lex_state = 2},
  [7270] = {.lex_state = 161, .external_lex_state = 2},
  [7271] = {.lex_state = 161, .external_lex_state = 2},
  [7272] = {.lex_state = 161, .external_lex_state = 2},
  [7273] = {.lex_state = 161, .external_lex_state = 2},
  [7274] = {.lex_state = 161, .external_lex_state = 2},
  [7275] = {.lex_state = 161, .external_lex_state = 2},
  [7276] = {.lex_state = 161, .external_lex_state = 2},
  [7277] = {.lex_state = 161, .external_lex_state = 2},
  [7278] = {.lex_state = 161, .external_lex_state = 2},
  [7279] = {.lex_state = 161, .external_lex_state = 2},
  [7280] = {.lex_state = 161, .external_lex_state = 2},
  [7281] = {.lex_state = 161, .external_lex_state = 2},
  [7282] = {.lex_state = 161, .external_lex_state = 2},
  [7283] = {.lex_state = 161, .external_lex_state = 2},
  [7284] = {.lex_state = 161, .external_lex_state = 2},
  [7285] = {.lex_state = 161, .external_lex_state = 2},
  [7286] = {.lex_state = 161, .external_lex_state = 2},
  [7287] = {.lex_state = 161, .external_lex_state = 2},
  [7288] = {.lex_state = 161, .external_lex_state = 2},
  [7289] = {.lex_state = 161, .external_lex_state = 2},
  [7290] = {.lex_state = 161, .external_lex_state = 2},
  [7291] = {.lex_state = 159, .external_lex_state = 2},
  [7292] = {.lex_state = 161, .external_lex_state = 2},
  [7293] = {.lex_state = 159, .external_lex_state = 2},
  [7294] = {.lex_state = 159, .external_lex_state = 2},
  [7295] = {.lex_state = 24, .external_lex_state = 3},
  [7296] = {.lex_state = 159, .external_lex_state = 2},
  [7297] = {.lex_state = 159, .external_lex_state = 2},
  [7298] = {.lex_state = 161, .external_lex_state = 2},
  [7299] = {.lex_state = 159, .external_lex_state = 2},
  [7300] = {.lex_state = 24, .external_lex_state = 3},
  [7301] = {.lex_state = 24, .external_lex_state = 3},
  [7302] = {.lex_state = 24, .external_lex_state = 3},
  [7303] = {.lex_state = 24, .external_lex_state = 3},
  [7304] = {.lex_state = 161, .external_lex_state = 2},
  [7305] = {.lex_state = 161, .external_lex_state = 2},
  [7306] = {.lex_state = 161, .external_lex_state = 2},
  [7307] = {.lex_state = 161, .external_lex_state = 2},
  [7308] = {.lex_state = 161, .external_lex_state = 2},
  [7309] = {.lex_state = 161, .external_lex_state = 2},
  [7310] = {.lex_state = 161, .external_lex_state = 2},
  [7311] = {.lex_state = 161, .external_lex_state = 2},
  [7312] = {.lex_state = 161, .external_lex_state = 2},
  [7313] = {.lex_state = 161, .external_lex_state = 2},
  [7314] = {.lex_state = 161, .external_lex_state = 2},
  [7315] = {.lex_state = 161, .external_lex_state = 2},
  [7316] = {.lex_state = 161, .external_lex_state = 2},
  [7317] = {.lex_state = 161, .external_lex_state = 2},
  [7318] = {.lex_state = 159, .external_lex_state = 2},
  [7319] = {.lex_state = 159, .external_lex_state = 2},
  [7320] = {.lex_state = 159, .external_lex_state = 2},
  [7321] = {.lex_state = 161, .external_lex_state = 2},
  [7322] = {.lex_state = 161, .external_lex_state = 2},
  [7323] = {.lex_state = 159, .external_lex_state = 2},
  [7324] = {.lex_state = 161, .external_lex_state = 2},
  [7325] = {.lex_state = 161, .external_lex_state = 2},
  [7326] = {.lex_state = 159, .external_lex_state = 2},
  [7327] = {.lex_state = 159, .external_lex_state = 2},
  [7328] = {.lex_state = 159, .external_lex_state = 2},
  [7329] = {.lex_state = 159, .external_lex_state = 2},
  [7330] = {.lex_state = 159, .external_lex_state = 2},
  [7331] = {.lex_state = 161, .external_lex_state = 2},
  [7332] = {.lex_state = 161, .external_lex_state = 2},
  [7333] = {.lex_state = 159, .external_lex_state = 2},
  [7334] = {.lex_state = 161, .external_lex_state = 2},
  [7335] = {.lex_state = 159, .external_lex_state = 2},
  [7336] = {.lex_state = 161, .external_lex_state = 2},
  [7337] = {.lex_state = 161, .external_lex_state = 2},
  [7338] = {.lex_state = 161, .external_lex_state = 2},
  [7339] = {.lex_state = 171, .external_lex_state = 3},
  [7340] = {.lex_state = 159, .external_lex_state = 2},
  [7341] = {.lex_state = 159, .external_lex_state = 2},
  [7342] = {.lex_state = 161, .external_lex_state = 2},
  [7343] = {.lex_state = 161, .external_lex_state = 2},
  [7344] = {.lex_state = 159, .external_lex_state = 2},
  [7345] = {.lex_state = 171, .external_lex_state = 3},
  [7346] = {.lex_state = 171, .external_lex_state = 3},
  [7347] = {.lex_state = 171, .external_lex_state = 3},
  [7348] = {.lex_state = 171, .external_lex_state = 3},
  [7349] = {.lex_state = 171, .external_lex_state = 3},
  [7350] = {.lex_state = 171, .external_lex_state = 3},
  [7351] = {.lex_state = 171, .external_lex_state = 3},
  [7352] = {.lex_state = 171, .external_lex_state = 3},
  [7353] = {.lex_state = 171, .external_lex_state = 3},
  [7354] = {.lex_state = 10, .external_lex_state = 3},
  [7355] = {.lex_state = 171, .external_lex_state = 3},
  [7356] = {.lex_state = 171, .external_lex_state = 3},
  [7357] = {.lex_state = 81, .external_lex_state = 3},
  [7358] = {.lex_state = 160, .external_lex_state = 2},
  [7359] = {.lex_state = 81, .external_lex_state = 3},
  [7360] = {.lex_state = 173, .external_lex_state = 3},
  [7361] = {.lex_state = 74, .external_lex_state = 3},
  [7362] = {.lex_state = 85, .external_lex_state = 3},
  [7363] = {.lex_state = 74, .external_lex_state = 3},
  [7364] = {.lex_state = 160, .external_lex_state = 2},
  [7365] = {.lex_state = 82, .external_lex_state = 3},
  [7366] = {.lex_state = 82, .external_lex_state = 3},
  [7367] = {.lex_state = 80, .external_lex_state = 3},
  [7368] = {.lex_state = 80, .external_lex_state = 3},
  [7369] = {.lex_state = 173, .external_lex_state = 3},
  [7370] = {.lex_state = 171, .external_lex_state = 3},
  [7371] = {.lex_state = 173, .external_lex_state = 3},
  [7372] = {.lex_state = 173, .external_lex_state = 3},
  [7373] = {.lex_state = 171, .external_lex_state = 3},
  [7374] = {.lex_state = 171, .external_lex_state = 3},
  [7375] = {.lex_state = 173, .external_lex_state = 3},
  [7376] = {.lex_state = 83, .external_lex_state = 3},
  [7377] = {.lex_state = 11, .external_lex_state = 3},
  [7378] = {.lex_state = 171, .external_lex_state = 3},
  [7379] = {.lex_state = 173, .external_lex_state = 3},
  [7380] = {.lex_state = 173, .external_lex_state = 3},
  [7381] = {.lex_state = 171, .external_lex_state = 3},
  [7382] = {.lex_state = 171, .external_lex_state = 3},
  [7383] = {.lex_state = 171, .external_lex_state = 3},
  [7384] = {.lex_state = 160, .external_lex_state = 2},
  [7385] = {.lex_state = 173, .external_lex_state = 3},
  [7386] = {.lex_state = 171, .external_lex_state = 3},
  [7387] = {.lex_state = 160, .external_lex_state = 2},
  [7388] = {.lex_state = 173, .external_lex_state = 3},
  [7389] = {.lex_state = 173, .external_lex_state = 3},
  [7390] = {.lex_state = 173, .external_lex_state = 3},
  [7391] = {.lex_state = 173, .external_lex_state = 3},
  [7392] = {.lex_state = 171, .external_lex_state = 3},
  [7393] = {.lex_state = 160, .external_lex_state = 2},
  [7394] = {.lex_state = 160, .external_lex_state = 2},
  [7395] = {.lex_state = 159, .external_lex_state = 2},
  [7396] = {.lex_state = 160, .external_lex_state = 2},
  [7397] = {.lex_state = 173, .external_lex_state = 3},
  [7398] = {.lex_state = 159, .external_lex_state = 2},
  [7399] = {.lex_state = 163, .external_lex_state = 2},
  [7400] = {.lex_state = 160, .external_lex_state = 2},
  [7401] = {.lex_state = 160, .external_lex_state = 2},
  [7402] = {.lex_state = 160, .external_lex_state = 2},
  [7403] = {.lex_state = 173, .external_lex_state = 3},
  [7404] = {.lex_state = 173, .external_lex_state = 3},
  [7405] = {.lex_state = 173, .external_lex_state = 3},
  [7406] = {.lex_state = 173, .external_lex_state = 3},
  [7407] = {.lex_state = 173, .external_lex_state = 3},
  [7408] = {.lex_state = 173, .external_lex_state = 3},
  [7409] = {.lex_state = 173, .external_lex_state = 3},
  [7410] = {.lex_state = 173, .external_lex_state = 3},
  [7411] = {.lex_state = 173, .external_lex_state = 3},
  [7412] = {.lex_state = 160, .external_lex_state = 2},
  [7413] = {.lex_state = 173, .external_lex_state = 3},
  [7414] = {.lex_state = 171, .external_lex_state = 3},
  [7415] = {.lex_state = 173, .external_lex_state = 3},
  [7416] = {.lex_state = 173, .external_lex_state = 3},
  [7417] = {.lex_state = 173, .external_lex_state = 3},
  [7418] = {.lex_state = 173, .external_lex_state = 3},
  [7419] = {.lex_state = 173, .external_lex_state = 3},
  [7420] = {.lex_state = 173, .external_lex_state = 3},
  [7421] = {.lex_state = 173, .external_lex_state = 3},
  [7422] = {.lex_state = 173, .external_lex_state = 3},
  [7423] = {.lex_state = 173, .external_lex_state = 3},
  [7424] = {.lex_state = 173, .external_lex_state = 3},
  [7425] = {.lex_state = 171, .external_lex_state = 3},
  [7426] = {.lex_state = 171, .external_lex_state = 3},
  [7427] = {.lex_state = 173, .external_lex_state = 3},
  [7428] = {.lex_state = 171, .external_lex_state = 3},
  [7429] = {.lex_state = 79, .external_lex_state = 3},
  [7430] = {.lex_state = 173, .external_lex_state = 3},
  [7431] = {.lex_state = 173, .external_lex_state = 3},
  [7432] = {.lex_state = 173, .external_lex_state = 3},
  [7433] = {.lex_state = 173, .external_lex_state = 3},
  [7434] = {.lex_state = 173, .external_lex_state = 3},
  [7435] = {.lex_state = 173, .external_lex_state = 3},
  [7436] = {.lex_state = 173, .external_lex_state = 3},
  [7437] = {.lex_state = 173, .external_lex_state = 3},
  [7438] = {.lex_state = 173, .external_lex_state = 3},
  [7439] = {.lex_state = 173, .external_lex_state = 3},
  [7440] = {.lex_state = 78, .external_lex_state = 3},
  [7441] = {.lex_state = 173, .external_lex_state = 3},
  [7442] = {.lex_state = 173, .external_lex_state = 3},
  [7443] = {.lex_state = 173, .external_lex_state = 3},
  [7444] = {.lex_state = 173, .external_lex_state = 3},
  [7445] = {.lex_state = 173, .external_lex_state = 3},
  [7446] = {.lex_state = 173, .external_lex_state = 3},
  [7447] = {.lex_state = 159, .external_lex_state = 2},
  [7448] = {.lex_state = 159, .external_lex_state = 2},
  [7449] = {.lex_state = 78, .external_lex_state = 3},
  [7450] = {.lex_state = 159, .external_lex_state = 2},
  [7451] = {.lex_state = 159, .external_lex_state = 2},
  [7452] = {.lex_state = 159, .external_lex_state = 2},
  [7453] = {.lex_state = 159, .external_lex_state = 2},
  [7454] = {.lex_state = 160, .external_lex_state = 2},
  [7455] = {.lex_state = 159, .external_lex_state = 2},
  [7456] = {.lex_state = 171, .external_lex_state = 3},
  [7457] = {.lex_state = 160, .external_lex_state = 2},
  [7458] = {.lex_state = 171, .external_lex_state = 3},
  [7459] = {.lex_state = 159, .external_lex_state = 2},
  [7460] = {.lex_state = 159, .external_lex_state = 2},
  [7461] = {.lex_state = 160, .external_lex_state = 2},
  [7462] = {.lex_state = 160, .external_lex_state = 2},
  [7463] = {.lex_state = 160, .external_lex_state = 2},
  [7464] = {.lex_state = 159, .external_lex_state = 2},
  [7465] = {.lex_state = 159, .external_lex_state = 2},
  [7466] = {.lex_state = 159, .external_lex_state = 2},
  [7467] = {.lex_state = 160, .external_lex_state = 2},
  [7468] = {.lex_state = 171, .external_lex_state = 3},
  [7469] = {.lex_state = 159, .external_lex_state = 2},
  [7470] = {.lex_state = 159, .external_lex_state = 2},
  [7471] = {.lex_state = 159, .external_lex_state = 2},
  [7472] = {.lex_state = 159, .external_lex_state = 2},
  [7473] = {.lex_state = 159, .external_lex_state = 2},
  [7474] = {.lex_state = 171, .external_lex_state = 3},
  [7475] = {.lex_state = 160, .external_lex_state = 2},
  [7476] = {.lex_state = 171, .external_lex_state = 3},
  [7477] = {.lex_state = 159, .external_lex_state = 2},
  [7478] = {.lex_state = 171, .external_lex_state = 3},
  [7479] = {.lex_state = 160, .external_lex_state = 2},
  [7480] = {.lex_state = 171, .external_lex_state = 3},
  [7481] = {.lex_state = 171, .external_lex_state = 3},
  [7482] = {.lex_state = 171, .external_lex_state = 3},
  [7483] = {.lex_state = 171, .external_lex_state = 3},
  [7484] = {.lex_state = 171, .external_lex_state = 3},
  [7485] = {.lex_state = 160, .external_lex_state = 2},
  [7486] = {.lex_state = 173, .external_lex_state = 3},
  [7487] = {.lex_state = 160, .external_lex_state = 2},
  [7488] = {.lex_state = 163, .external_lex_state = 2},
  [7489] = {.lex_state = 171, .external_lex_state = 3},
  [7490] = {.lex_state = 160, .external_lex_state = 2},
  [7491] = {.lex_state = 173, .external_lex_state = 3},
  [7492] = {.lex_state = 171, .external_lex_state = 3},
  [7493] = {.lex_state = 173, .external_lex_state = 3},
  [7494] = {.lex_state = 77, .external_lex_state = 3},
  [7495] = {.lex_state = 160, .external_lex_state = 2},
  [7496] = {.lex_state = 171, .external_lex_state = 3},
  [7497] = {.lex_state = 171, .external_lex_state = 3},
  [7498] = {.lex_state = 171, .external_lex_state = 3},
  [7499] = {.lex_state = 171, .external_lex_state = 3},
  [7500] = {.lex_state = 171, .external_lex_state = 3},
  [7501] = {.lex_state = 160, .external_lex_state = 2},
  [7502] = {.lex_state = 171, .external_lex_state = 3},
  [7503] = {.lex_state = 171, .external_lex_state = 3},
  [7504] = {.lex_state = 171, .external_lex_state = 3},
  [7505] = {.lex_state = 77, .external_lex_state = 3},
  [7506] = {.lex_state = 171, .external_lex_state = 3},
  [7507] = {.lex_state = 171, .external_lex_state = 3},
  [7508] = {.lex_state = 171, .external_lex_state = 3},
  [7509] = {.lex_state = 171, .external_lex_state = 3},
  [7510] = {.lex_state = 171, .external_lex_state = 3},
  [7511] = {.lex_state = 173, .external_lex_state = 3},
  [7512] = {.lex_state = 173, .external_lex_state = 3},
  [7513] = {.lex_state = 173, .external_lex_state = 3},
  [7514] = {.lex_state = 171, .external_lex_state = 3},
  [7515] = {.lex_state = 171, .external_lex_state = 3},
  [7516] = {.lex_state = 160, .external_lex_state = 2},
  [7517] = {.lex_state = 160, .external_lex_state = 2},
  [7518] = {.lex_state = 173, .external_lex_state = 3},
  [7519] = {.lex_state = 173, .external_lex_state = 3},
  [7520] = {.lex_state = 171, .external_lex_state = 3},
  [7521] = {.lex_state = 173, .external_lex_state = 3},
  [7522] = {.lex_state = 173, .external_lex_state = 3},
  [7523] = {.lex_state = 171, .external_lex_state = 3},
  [7524] = {.lex_state = 173, .external_lex_state = 3},
  [7525] = {.lex_state = 160, .external_lex_state = 2},
  [7526] = {.lex_state = 160, .external_lex_state = 2},
  [7527] = {.lex_state = 160, .external_lex_state = 2},
  [7528] = {.lex_state = 160, .external_lex_state = 2},
  [7529] = {.lex_state = 160, .external_lex_state = 2},
  [7530] = {.lex_state = 160, .external_lex_state = 2},
  [7531] = {.lex_state = 160, .external_lex_state = 2},
  [7532] = {.lex_state = 160, .external_lex_state = 2},
  [7533] = {.lex_state = 160, .external_lex_state = 2},
  [7534] = {.lex_state = 160, .external_lex_state = 2},
  [7535] = {.lex_state = 160, .external_lex_state = 2},
  [7536] = {.lex_state = 160, .external_lex_state = 2},
  [7537] = {.lex_state = 160, .external_lex_state = 2},
  [7538] = {.lex_state = 160, .external_lex_state = 2},
  [7539] = {.lex_state = 160, .external_lex_state = 2},
  [7540] = {.lex_state = 160, .external_lex_state = 2},
  [7541] = {.lex_state = 160, .external_lex_state = 2},
  [7542] = {.lex_state = 160, .external_lex_state = 2},
  [7543] = {.lex_state = 160, .external_lex_state = 2},
  [7544] = {.lex_state = 160, .external_lex_state = 2},
  [7545] = {.lex_state = 160, .external_lex_state = 2},
  [7546] = {.lex_state = 160, .external_lex_state = 2},
  [7547] = {.lex_state = 171, .external_lex_state = 3},
  [7548] = {.lex_state = 160, .external_lex_state = 2},
  [7549] = {.lex_state = 160, .external_lex_state = 2},
  [7550] = {.lex_state = 160, .external_lex_state = 2},
  [7551] = {.lex_state = 160, .external_lex_state = 2},
  [7552] = {.lex_state = 160, .external_lex_state = 2},
  [7553] = {.lex_state = 160, .external_lex_state = 2},
  [7554] = {.lex_state = 160, .external_lex_state = 2},
  [7555] = {.lex_state = 160, .external_lex_state = 2},
  [7556] = {.lex_state = 160, .external_lex_state = 2},
  [7557] = {.lex_state = 160, .external_lex_state = 2},
  [7558] = {.lex_state = 160, .external_lex_state = 2},
  [7559] = {.lex_state = 160, .external_lex_state = 2},
  [7560] = {.lex_state = 160, .external_lex_state = 2},
  [7561] = {.lex_state = 160, .external_lex_state = 2},
  [7562] = {.lex_state = 160, .external_lex_state = 2},
  [7563] = {.lex_state = 160, .external_lex_state = 2},
  [7564] = {.lex_state = 160, .external_lex_state = 2},
  [7565] = {.lex_state = 160, .external_lex_state = 2},
  [7566] = {.lex_state = 160, .external_lex_state = 2},
  [7567] = {.lex_state = 160, .external_lex_state = 2},
  [7568] = {.lex_state = 160, .external_lex_state = 2},
  [7569] = {.lex_state = 75, .external_lex_state = 3},
  [7570] = {.lex_state = 160, .external_lex_state = 2},
  [7571] = {.lex_state = 160, .external_lex_state = 2},
  [7572] = {.lex_state = 160, .external_lex_state = 2},
  [7573] = {.lex_state = 160, .external_lex_state = 2},
  [7574] = {.lex_state = 160, .external_lex_state = 2},
  [7575] = {.lex_state = 160, .external_lex_state = 2},
  [7576] = {.lex_state = 160, .external_lex_state = 2},
  [7577] = {.lex_state = 160, .external_lex_state = 2},
  [7578] = {.lex_state = 160, .external_lex_state = 2},
  [7579] = {.lex_state = 160, .external_lex_state = 2},
  [7580] = {.lex_state = 160, .external_lex_state = 2},
  [7581] = {.lex_state = 171, .external_lex_state = 3},
  [7582] = {.lex_state = 171, .external_lex_state = 3},
  [7583] = {.lex_state = 171, .external_lex_state = 3},
  [7584] = {.lex_state = 171, .external_lex_state = 3},
  [7585] = {.lex_state = 171, .external_lex_state = 3},
  [7586] = {.lex_state = 160, .external_lex_state = 2},
  [7587] = {.lex_state = 160, .external_lex_state = 2},
  [7588] = {.lex_state = 84, .external_lex_state = 3},
  [7589] = {.lex_state = 163, .external_lex_state = 2},
  [7590] = {.lex_state = 160, .external_lex_state = 2},
  [7591] = {.lex_state = 171, .external_lex_state = 3},
  [7592] = {.lex_state = 159, .external_lex_state = 2},
  [7593] = {.lex_state = 434, .external_lex_state = 2},
  [7594] = {.lex_state = 434, .external_lex_state = 2},
  [7595] = {.lex_state = 434, .external_lex_state = 2},
  [7596] = {.lex_state = 85, .external_lex_state = 3},
  [7597] = {.lex_state = 10, .external_lex_state = 3},
  [7598] = {.lex_state = 434, .external_lex_state = 2},
  [7599] = {.lex_state = 434, .external_lex_state = 2},
  [7600] = {.lex_state = 11, .external_lex_state = 3},
  [7601] = {.lex_state = 11, .external_lex_state = 3},
  [7602] = {.lex_state = 434, .external_lex_state = 2},
  [7603] = {.lex_state = 11, .external_lex_state = 3},
  [7604] = {.lex_state = 434, .external_lex_state = 2},
  [7605] = {.lex_state = 434, .external_lex_state = 2},
  [7606] = {.lex_state = 197, .external_lex_state = 3},
  [7607] = {.lex_state = 10, .external_lex_state = 3},
  [7608] = {.lex_state = 434, .external_lex_state = 2},
  [7609] = {.lex_state = 434, .external_lex_state = 2},
  [7610] = {.lex_state = 10, .external_lex_state = 3},
  [7611] = {.lex_state = 75, .external_lex_state = 3},
  [7612] = {.lex_state = 172, .external_lex_state = 3},
  [7613] = {.lex_state = 75, .external_lex_state = 3},
  [7614] = {.lex_state = 434, .external_lex_state = 2},
  [7615] = {.lex_state = 434, .external_lex_state = 2},
  [7616] = {.lex_state = 79, .external_lex_state = 3},
  [7617] = {.lex_state = 83, .external_lex_state = 3},
  [7618] = {.lex_state = 434, .external_lex_state = 2},
  [7619] = {.lex_state = 434, .external_lex_state = 2},
  [7620] = {.lex_state = 434, .external_lex_state = 2},
  [7621] = {.lex_state = 83, .external_lex_state = 3},
  [7622] = {.lex_state = 11, .external_lex_state = 3},
  [7623] = {.lex_state = 434, .external_lex_state = 2},
  [7624] = {.lex_state = 434, .external_lex_state = 2},
  [7625] = {.lex_state = 434, .external_lex_state = 2},
  [7626] = {.lex_state = 434, .external_lex_state = 2},
  [7627] = {.lex_state = 84, .external_lex_state = 3},
  [7628] = {.lex_state = 11, .external_lex_state = 3},
  [7629] = {.lex_state = 84, .external_lex_state = 3},
  [7630] = {.lex_state = 174, .external_lex_state = 3},
  [7631] = {.lex_state = 11, .external_lex_state = 3},
  [7632] = {.lex_state = 85, .external_lex_state = 3},
  [7633] = {.lex_state = 434, .external_lex_state = 2},
  [7634] = {.lex_state = 434, .external_lex_state = 2},
  [7635] = {.lex_state = 174, .external_lex_state = 3},
  [7636] = {.lex_state = 434, .external_lex_state = 2},
  [7637] = {.lex_state = 434, .external_lex_state = 2},
  [7638] = {.lex_state = 11, .external_lex_state = 3},
  [7639] = {.lex_state = 195, .external_lex_state = 3},
  [7640] = {.lex_state = 10, .external_lex_state = 3},
  [7641] = {.lex_state = 434, .external_lex_state = 2},
  [7642] = {.lex_state = 434, .external_lex_state = 2},
  [7643] = {.lex_state = 434, .external_lex_state = 2},
  [7644] = {.lex_state = 10, .external_lex_state = 3},
  [7645] = {.lex_state = 434, .external_lex_state = 2},
  [7646] = {.lex_state = 10, .external_lex_state = 3},
  [7647] = {.lex_state = 172, .external_lex_state = 3},
  [7648] = {.lex_state = 79, .external_lex_state = 3},
  [7649] = {.lex_state = 10, .external_lex_state = 3},
  [7650] = {.lex_state = 12, .external_lex_state = 3},
  [7651] = {.lex_state = 174, .external_lex_state = 3},
  [7652] = {.lex_state = 174, .external_lex_state = 3},
  [7653] = {.lex_state = 174, .external_lex_state = 3},
  [7654] = {.lex_state = 174, .external_lex_state = 3},
  [7655] = {.lex_state = 12, .external_lex_state = 3},
  [7656] = {.lex_state = 12, .external_lex_state = 3},
  [7657] = {.lex_state = 174, .external_lex_state = 3},
  [7658] = {.lex_state = 12, .external_lex_state = 3},
  [7659] = {.lex_state = 12, .external_lex_state = 3},
  [7660] = {.lex_state = 12, .external_lex_state = 3},
  [7661] = {.lex_state = 12, .external_lex_state = 3},
  [7662] = {.lex_state = 434, .external_lex_state = 2},
  [7663] = {.lex_state = 12, .external_lex_state = 3},
  [7664] = {.lex_state = 172, .external_lex_state = 3},
  [7665] = {.lex_state = 161, .external_lex_state = 2},
  [7666] = {.lex_state = 172, .external_lex_state = 3},
  [7667] = {.lex_state = 172, .external_lex_state = 3},
  [7668] = {.lex_state = 172, .external_lex_state = 3},
  [7669] = {.lex_state = 199, .external_lex_state = 3},
  [7670] = {.lex_state = 215, .external_lex_state = 2},
  [7671] = {.lex_state = 209, .external_lex_state = 2},
  [7672] = {.lex_state = 209, .external_lex_state = 2},
  [7673] = {.lex_state = 12, .external_lex_state = 3},
  [7674] = {.lex_state = 434, .external_lex_state = 2},
  [7675] = {.lex_state = 172, .external_lex_state = 3},
  [7676] = {.lex_state = 12, .external_lex_state = 3},
  [7677] = {.lex_state = 172, .external_lex_state = 3},
  [7678] = {.lex_state = 172, .external_lex_state = 3},
  [7679] = {.lex_state = 12, .external_lex_state = 3},
  [7680] = {.lex_state = 172, .external_lex_state = 3},
  [7681] = {.lex_state = 12, .external_lex_state = 3},
  [7682] = {.lex_state = 161, .external_lex_state = 2},
  [7683] = {.lex_state = 12, .external_lex_state = 3},
  [7684] = {.lex_state = 12, .external_lex_state = 3},
  [7685] = {.lex_state = 215, .external_lex_state = 2},
  [7686] = {.lex_state = 12, .external_lex_state = 3},
  [7687] = {.lex_state = 12, .external_lex_state = 3},
  [7688] = {.lex_state = 172, .external_lex_state = 3},
  [7689] = {.lex_state = 172, .external_lex_state = 3},
  [7690] = {.lex_state = 215, .external_lex_state = 2},
  [7691] = {.lex_state = 434, .external_lex_state = 2},
  [7692] = {.lex_state = 172, .external_lex_state = 3},
  [7693] = {.lex_state = 172, .external_lex_state = 3},
  [7694] = {.lex_state = 172, .external_lex_state = 3},
  [7695] = {.lex_state = 12, .external_lex_state = 3},
  [7696] = {.lex_state = 172, .external_lex_state = 3},
  [7697] = {.lex_state = 172, .external_lex_state = 3},
  [7698] = {.lex_state = 172, .external_lex_state = 3},
  [7699] = {.lex_state = 172, .external_lex_state = 3},
  [7700] = {.lex_state = 12, .external_lex_state = 3},
  [7701] = {.lex_state = 215, .external_lex_state = 2},
  [7702] = {.lex_state = 172, .external_lex_state = 3},
  [7703] = {.lex_state = 172, .external_lex_state = 3},
  [7704] = {.lex_state = 172, .external_lex_state = 3},
  [7705] = {.lex_state = 174, .external_lex_state = 3},
  [7706] = {.lex_state = 174, .external_lex_state = 3},
  [7707] = {.lex_state = 12, .external_lex_state = 3},
  [7708] = {.lex_state = 12, .external_lex_state = 3},
  [7709] = {.lex_state = 12, .external_lex_state = 3},
  [7710] = {.lex_state = 174, .external_lex_state = 3},
  [7711] = {.lex_state = 12, .external_lex_state = 3},
  [7712] = {.lex_state = 12, .external_lex_state = 3},
  [7713] = {.lex_state = 172, .external_lex_state = 3},
  [7714] = {.lex_state = 174, .external_lex_state = 3},
  [7715] = {.lex_state = 174, .external_lex_state = 3},
  [7716] = {.lex_state = 436, .external_lex_state = 2},
  [7717] = {.lex_state = 174, .external_lex_state = 3},
  [7718] = {.lex_state = 434, .external_lex_state = 2},
  [7719] = {.lex_state = 434, .external_lex_state = 2},
  [7720] = {.lex_state = 200, .external_lex_state = 3},
  [7721] = {.lex_state = 174, .external_lex_state = 3},
  [7722] = {.lex_state = 434, .external_lex_state = 2},
  [7723] = {.lex_state = 434, .external_lex_state = 2},
  [7724] = {.lex_state = 172, .external_lex_state = 3},
  [7725] = {.lex_state = 172, .external_lex_state = 3},
  [7726] = {.lex_state = 434, .external_lex_state = 2},
  [7727] = {.lex_state = 161, .external_lex_state = 2},
  [7728] = {.lex_state = 172, .external_lex_state = 3},
  [7729] = {.lex_state = 172, .external_lex_state = 3},
  [7730] = {.lex_state = 12, .external_lex_state = 3},
  [7731] = {.lex_state = 161, .external_lex_state = 2},
  [7732] = {.lex_state = 215, .external_lex_state = 2},
  [7733] = {.lex_state = 172, .external_lex_state = 3},
  [7734] = {.lex_state = 172, .external_lex_state = 3},
  [7735] = {.lex_state = 172, .external_lex_state = 3},
  [7736] = {.lex_state = 172, .external_lex_state = 3},
  [7737] = {.lex_state = 161, .external_lex_state = 2},
  [7738] = {.lex_state = 172, .external_lex_state = 3},
  [7739] = {.lex_state = 12, .external_lex_state = 3},
  [7740] = {.lex_state = 12, .external_lex_state = 3},
  [7741] = {.lex_state = 12, .external_lex_state = 3},
  [7742] = {.lex_state = 174, .external_lex_state = 3},
  [7743] = {.lex_state = 161, .external_lex_state = 2},
  [7744] = {.lex_state = 12, .external_lex_state = 3},
  [7745] = {.lex_state = 161, .external_lex_state = 2},
  [7746] = {.lex_state = 434, .external_lex_state = 2},
  [7747] = {.lex_state = 434, .external_lex_state = 2},
  [7748] = {.lex_state = 161, .external_lex_state = 2},
  [7749] = {.lex_state = 12, .external_lex_state = 3},
  [7750] = {.lex_state = 12, .external_lex_state = 3},
  [7751] = {.lex_state = 172, .external_lex_state = 3},
  [7752] = {.lex_state = 434, .external_lex_state = 2},
  [7753] = {.lex_state = 434, .external_lex_state = 2},
  [7754] = {.lex_state = 434, .external_lex_state = 2},
  [7755] = {.lex_state = 172, .external_lex_state = 3},
  [7756] = {.lex_state = 434, .external_lex_state = 2},
  [7757] = {.lex_state = 434, .external_lex_state = 2},
  [7758] = {.lex_state = 161, .external_lex_state = 2},
  [7759] = {.lex_state = 161, .external_lex_state = 2},
  [7760] = {.lex_state = 161, .external_lex_state = 2},
  [7761] = {.lex_state = 161, .external_lex_state = 2},
  [7762] = {.lex_state = 161, .external_lex_state = 2},
  [7763] = {.lex_state = 161, .external_lex_state = 2},
  [7764] = {.lex_state = 434, .external_lex_state = 2},
  [7765] = {.lex_state = 434, .external_lex_state = 2},
  [7766] = {.lex_state = 434, .external_lex_state = 2},
  [7767] = {.lex_state = 434, .external_lex_state = 2},
  [7768] = {.lex_state = 434, .external_lex_state = 2},
  [7769] = {.lex_state = 434, .external_lex_state = 2},
  [7770] = {.lex_state = 172, .external_lex_state = 3},
  [7771] = {.lex_state = 215, .external_lex_state = 2},
  [7772] = {.lex_state = 215, .external_lex_state = 2},
  [7773] = {.lex_state = 174, .external_lex_state = 3},
  [7774] = {.lex_state = 172, .external_lex_state = 3},
  [7775] = {.lex_state = 161, .external_lex_state = 2},
  [7776] = {.lex_state = 434, .external_lex_state = 2},
  [7777] = {.lex_state = 434, .external_lex_state = 2},
  [7778] = {.lex_state = 215, .external_lex_state = 2},
  [7779] = {.lex_state = 161, .external_lex_state = 2},
  [7780] = {.lex_state = 161, .external_lex_state = 2},
  [7781] = {.lex_state = 161, .external_lex_state = 2},
  [7782] = {.lex_state = 161, .external_lex_state = 2},
  [7783] = {.lex_state = 434, .external_lex_state = 2},
  [7784] = {.lex_state = 434, .external_lex_state = 2},
  [7785] = {.lex_state = 434, .external_lex_state = 2},
  [7786] = {.lex_state = 434, .external_lex_state = 2},
  [7787] = {.lex_state = 434, .external_lex_state = 2},
  [7788] = {.lex_state = 434, .external_lex_state = 2},
  [7789] = {.lex_state = 12, .external_lex_state = 3},
  [7790] = {.lex_state = 434, .external_lex_state = 2},
  [7791] = {.lex_state = 434, .external_lex_state = 2},
  [7792] = {.lex_state = 174, .external_lex_state = 3},
  [7793] = {.lex_state = 434, .external_lex_state = 2},
  [7794] = {.lex_state = 174, .external_lex_state = 3},
  [7795] = {.lex_state = 434, .external_lex_state = 2},
  [7796] = {.lex_state = 434, .external_lex_state = 2},
  [7797] = {.lex_state = 161, .external_lex_state = 2},
  [7798] = {.lex_state = 174, .external_lex_state = 3},
  [7799] = {.lex_state = 12, .external_lex_state = 3},
  [7800] = {.lex_state = 12, .external_lex_state = 3},
  [7801] = {.lex_state = 12, .external_lex_state = 3},
  [7802] = {.lex_state = 12, .external_lex_state = 3},
  [7803] = {.lex_state = 12, .external_lex_state = 3},
  [7804] = {.lex_state = 434, .external_lex_state = 2},
  [7805] = {.lex_state = 434, .external_lex_state = 2},
  [7806] = {.lex_state = 174, .external_lex_state = 3},
  [7807] = {.lex_state = 434, .external_lex_state = 2},
  [7808] = {.lex_state = 434, .external_lex_state = 2},
  [7809] = {.lex_state = 209, .external_lex_state = 2},
  [7810] = {.lex_state = 215, .external_lex_state = 2},
  [7811] = {.lex_state = 215, .external_lex_state = 2},
  [7812] = {.lex_state = 215, .external_lex_state = 2},
  [7813] = {.lex_state = 161, .external_lex_state = 2},
  [7814] = {.lex_state = 434, .external_lex_state = 2},
  [7815] = {.lex_state = 434, .external_lex_state = 2},
  [7816] = {.lex_state = 174, .external_lex_state = 3},
  [7817] = {.lex_state = 174, .external_lex_state = 3},
  [7818] = {.lex_state = 12, .external_lex_state = 3},
  [7819] = {.lex_state = 12, .external_lex_state = 3},
  [7820] = {.lex_state = 12, .external_lex_state = 3},
  [7821] = {.lex_state = 215, .external_lex_state = 2},
  [7822] = {.lex_state = 12, .external_lex_state = 3},
  [7823] = {.lex_state = 434, .external_lex_state = 2},
  [7824] = {.lex_state = 434, .external_lex_state = 2},
  [7825] = {.lex_state = 12, .external_lex_state = 3},
  [7826] = {.lex_state = 12, .external_lex_state = 3},
  [7827] = {.lex_state = 12, .external_lex_state = 3},
  [7828] = {.lex_state = 12, .external_lex_state = 3},
  [7829] = {.lex_state = 12, .external_lex_state = 3},
  [7830] = {.lex_state = 174, .external_lex_state = 3},
  [7831] = {.lex_state = 161, .external_lex_state = 2},
  [7832] = {.lex_state = 434, .external_lex_state = 2},
  [7833] = {.lex_state = 434, .external_lex_state = 2},
  [7834] = {.lex_state = 12, .external_lex_state = 3},
  [7835] = {.lex_state = 434, .external_lex_state = 2},
  [7836] = {.lex_state = 434, .external_lex_state = 2},
  [7837] = {.lex_state = 12, .external_lex_state = 3},
  [7838] = {.lex_state = 12, .external_lex_state = 3},
  [7839] = {.lex_state = 12, .external_lex_state = 3},
  [7840] = {.lex_state = 12, .external_lex_state = 3},
  [7841] = {.lex_state = 434, .external_lex_state = 2},
  [7842] = {.lex_state = 434, .external_lex_state = 2},
  [7843] = {.lex_state = 12, .external_lex_state = 3},
  [7844] = {.lex_state = 12, .external_lex_state = 3},
  [7845] = {.lex_state = 12, .external_lex_state = 3},
  [7846] = {.lex_state = 12, .external_lex_state = 3},
  [7847] = {.lex_state = 174, .external_lex_state = 3},
  [7848] = {.lex_state = 434, .external_lex_state = 2},
  [7849] = {.lex_state = 434, .external_lex_state = 2},
  [7850] = {.lex_state = 12, .external_lex_state = 3},
  [7851] = {.lex_state = 12, .external_lex_state = 3},
  [7852] = {.lex_state = 12, .external_lex_state = 3},
  [7853] = {.lex_state = 12, .external_lex_state = 3},
  [7854] = {.lex_state = 12, .external_lex_state = 3},
  [7855] = {.lex_state = 12, .external_lex_state = 3},
  [7856] = {.lex_state = 12, .external_lex_state = 3},
  [7857] = {.lex_state = 434, .external_lex_state = 2},
  [7858] = {.lex_state = 434, .external_lex_state = 2},
  [7859] = {.lex_state = 12, .external_lex_state = 3},
  [7860] = {.lex_state = 12, .external_lex_state = 3},
  [7861] = {.lex_state = 12, .external_lex_state = 3},
  [7862] = {.lex_state = 174, .external_lex_state = 3},
  [7863] = {.lex_state = 174, .external_lex_state = 3},
  [7864] = {.lex_state = 12, .external_lex_state = 3},
  [7865] = {.lex_state = 12, .external_lex_state = 3},
  [7866] = {.lex_state = 12, .external_lex_state = 3},
  [7867] = {.lex_state = 434, .external_lex_state = 2},
  [7868] = {.lex_state = 12, .external_lex_state = 3},
  [7869] = {.lex_state = 12, .external_lex_state = 3},
  [7870] = {.lex_state = 12, .external_lex_state = 3},
  [7871] = {.lex_state = 174, .external_lex_state = 3},
  [7872] = {.lex_state = 12, .external_lex_state = 3},
  [7873] = {.lex_state = 172, .external_lex_state = 3},
  [7874] = {.lex_state = 12, .external_lex_state = 3},
  [7875] = {.lex_state = 12, .external_lex_state = 3},
  [7876] = {.lex_state = 172, .external_lex_state = 3},
  [7877] = {.lex_state = 209, .external_lex_state = 2},
  [7878] = {.lex_state = 434, .external_lex_state = 2},
  [7879] = {.lex_state = 215, .external_lex_state = 2},
  [7880] = {.lex_state = 172, .external_lex_state = 3},
  [7881] = {.lex_state = 172, .external_lex_state = 3},
  [7882] = {.lex_state = 172, .external_lex_state = 3},
  [7883] = {.lex_state = 172, .external_lex_state = 3},
  [7884] = {.lex_state = 215, .external_lex_state = 2},
  [7885] = {.lex_state = 172, .external_lex_state = 3},
  [7886] = {.lex_state = 172, .external_lex_state = 3},
  [7887] = {.lex_state = 172, .external_lex_state = 3},
  [7888] = {.lex_state = 172, .external_lex_state = 3},
  [7889] = {.lex_state = 215, .external_lex_state = 2},
  [7890] = {.lex_state = 434, .external_lex_state = 2},
  [7891] = {.lex_state = 434, .external_lex_state = 2},
  [7892] = {.lex_state = 172, .external_lex_state = 3},
  [7893] = {.lex_state = 172, .external_lex_state = 3},
  [7894] = {.lex_state = 434, .external_lex_state = 2},
  [7895] = {.lex_state = 172, .external_lex_state = 3},
  [7896] = {.lex_state = 174, .external_lex_state = 3},
  [7897] = {.lex_state = 12, .external_lex_state = 3},
  [7898] = {.lex_state = 172, .external_lex_state = 3},
  [7899] = {.lex_state = 434, .external_lex_state = 2},
  [7900] = {.lex_state = 12, .external_lex_state = 3},
  [7901] = {.lex_state = 172, .external_lex_state = 3},
  [7902] = {.lex_state = 434, .external_lex_state = 2},
  [7903] = {.lex_state = 174, .external_lex_state = 3},
  [7904] = {.lex_state = 172, .external_lex_state = 3},
  [7905] = {.lex_state = 172, .external_lex_state = 3},
  [7906] = {.lex_state = 215, .external_lex_state = 2},
  [7907] = {.lex_state = 434, .external_lex_state = 2},
  [7908] = {.lex_state = 172, .external_lex_state = 3},
  [7909] = {.lex_state = 172, .external_lex_state = 3},
  [7910] = {.lex_state = 434, .external_lex_state = 2},
  [7911] = {.lex_state = 174, .external_lex_state = 3},
  [7912] = {.lex_state = 174, .external_lex_state = 3},
  [7913] = {.lex_state = 172, .external_lex_state = 3},
  [7914] = {.lex_state = 215, .external_lex_state = 2},
  [7915] = {.lex_state = 434, .external_lex_state = 2},
  [7916] = {.lex_state = 215, .external_lex_state = 2},
  [7917] = {.lex_state = 172, .external_lex_state = 3},
  [7918] = {.lex_state = 434, .external_lex_state = 2},
  [7919] = {.lex_state = 174, .external_lex_state = 3},
  [7920] = {.lex_state = 39, .external_lex_state = 3},
  [7921] = {.lex_state = 174, .external_lex_state = 3},
  [7922] = {.lex_state = 174, .external_lex_state = 3},
  [7923] = {.lex_state = 174, .external_lex_state = 3},
  [7924] = {.lex_state = 174, .external_lex_state = 3},
  [7925] = {.lex_state = 39, .external_lex_state = 3},
  [7926] = {.lex_state = 174, .external_lex_state = 3},
  [7927] = {.lex_state = 172, .external_lex_state = 3},
  [7928] = {.lex_state = 172, .external_lex_state = 3},
  [7929] = {.lex_state = 434, .external_lex_state = 2},
  [7930] = {.lex_state = 174, .external_lex_state = 3},
  [7931] = {.lex_state = 174, .external_lex_state = 3},
  [7932] = {.lex_state = 174, .external_lex_state = 3},
  [7933] = {.lex_state = 174, .external_lex_state = 3},
  [7934] = {.lex_state = 174, .external_lex_state = 3},
  [7935] = {.lex_state = 172, .external_lex_state = 3},
  [7936] = {.lex_state = 174, .external_lex_state = 3},
  [7937] = {.lex_state = 39, .external_lex_state = 3},
  [7938] = {.lex_state = 434, .external_lex_state = 2},
  [7939] = {.lex_state = 434, .external_lex_state = 2},
  [7940] = {.lex_state = 174, .external_lex_state = 3},
  [7941] = {.lex_state = 174, .external_lex_state = 3},
  [7942] = {.lex_state = 174, .external_lex_state = 3},
  [7943] = {.lex_state = 174, .external_lex_state = 3},
  [7944] = {.lex_state = 434, .external_lex_state = 2},
  [7945] = {.lex_state = 174, .external_lex_state = 3},
  [7946] = {.lex_state = 209, .external_lex_state = 2},
  [7947] = {.lex_state = 174, .external_lex_state = 3},
  [7948] = {.lex_state = 174, .external_lex_state = 3},
  [7949] = {.lex_state = 172, .external_lex_state = 3},
  [7950] = {.lex_state = 12, .external_lex_state = 3},
  [7951] = {.lex_state = 174, .external_lex_state = 3},
  [7952] = {.lex_state = 215, .external_lex_state = 2},
  [7953] = {.lex_state = 215, .external_lex_state = 2},
  [7954] = {.lex_state = 174, .external_lex_state = 3},
  [7955] = {.lex_state = 12, .external_lex_state = 3},
  [7956] = {.lex_state = 12, .external_lex_state = 3},
  [7957] = {.lex_state = 174, .external_lex_state = 3},
  [7958] = {.lex_state = 434, .external_lex_state = 2},
  [7959] = {.lex_state = 174, .external_lex_state = 3},
  [7960] = {.lex_state = 174, .external_lex_state = 3},
  [7961] = {.lex_state = 174, .external_lex_state = 3},
  [7962] = {.lex_state = 174, .external_lex_state = 3},
  [7963] = {.lex_state = 174, .external_lex_state = 3},
  [7964] = {.lex_state = 172, .external_lex_state = 3},
  [7965] = {.lex_state = 12, .external_lex_state = 3},
  [7966] = {.lex_state = 434, .external_lex_state = 2},
  [7967] = {.lex_state = 174, .external_lex_state = 3},
  [7968] = {.lex_state = 12, .external_lex_state = 3},
  [7969] = {.lex_state = 172, .external_lex_state = 3},
  [7970] = {.lex_state = 174, .external_lex_state = 3},
  [7971] = {.lex_state = 174, .external_lex_state = 3},
  [7972] = {.lex_state = 434, .external_lex_state = 2},
  [7973] = {.lex_state = 174, .external_lex_state = 3},
  [7974] = {.lex_state = 12, .external_lex_state = 3},
  [7975] = {.lex_state = 209, .external_lex_state = 2},
  [7976] = {.lex_state = 174, .external_lex_state = 3},
  [7977] = {.lex_state = 434, .external_lex_state = 2},
  [7978] = {.lex_state = 163, .external_lex_state = 2},
  [7979] = {.lex_state = 163, .external_lex_state = 2},
  [7980] = {.lex_state = 163, .external_lex_state = 2},
  [7981] = {.lex_state = 163, .external_lex_state = 2},
  [7982] = {.lex_state = 163, .external_lex_state = 2},
  [7983] = {.lex_state = 163, .external_lex_state = 2},
  [7984] = {.lex_state = 163, .external_lex_state = 2},
  [7985] = {.lex_state = 163, .external_lex_state = 2},
  [7986] = {.lex_state = 163, .external_lex_state = 2},
  [7987] = {.lex_state = 163, .external_lex_state = 2},
  [7988] = {.lex_state = 163, .external_lex_state = 2},
  [7989] = {.lex_state = 163, .external_lex_state = 2},
  [7990] = {.lex_state = 163, .external_lex_state = 2},
  [7991] = {.lex_state = 163, .external_lex_state = 2},
  [7992] = {.lex_state = 163, .external_lex_state = 2},
  [7993] = {.lex_state = 163, .external_lex_state = 2},
  [7994] = {.lex_state = 163, .external_lex_state = 2},
  [7995] = {.lex_state = 163, .external_lex_state = 2},
  [7996] = {.lex_state = 434, .external_lex_state = 2},
  [7997] = {.lex_state = 434, .external_lex_state = 2},
  [7998] = {.lex_state = 434, .external_lex_state = 2},
  [7999] = {.lex_state = 163, .external_lex_state = 2},
  [8000] = {.lex_state = 163, .external_lex_state = 2},
  [8001] = {.lex_state = 163, .external_lex_state = 2},
  [8002] = {.lex_state = 163, .external_lex_state = 2},
  [8003] = {.lex_state = 163, .external_lex_state = 2},
  [8004] = {.lex_state = 160, .external_lex_state = 2},
  [8005] = {.lex_state = 434, .external_lex_state = 2},
  [8006] = {.lex_state = 434, .external_lex_state = 2},
  [8007] = {.lex_state = 434, .external_lex_state = 2},
  [8008] = {.lex_state = 9, .external_lex_state = 3},
  [8009] = {.lex_state = 9, .external_lex_state = 3},
  [8010] = {.lex_state = 160, .external_lex_state = 2},
  [8011] = {.lex_state = 434, .external_lex_state = 2},
  [8012] = {.lex_state = 434, .external_lex_state = 2},
  [8013] = {.lex_state = 163, .external_lex_state = 2},
  [8014] = {.lex_state = 163, .external_lex_state = 2},
  [8015] = {.lex_state = 163, .external_lex_state = 2},
  [8016] = {.lex_state = 434, .external_lex_state = 2},
  [8017] = {.lex_state = 163, .external_lex_state = 2},
  [8018] = {.lex_state = 163, .external_lex_state = 2},
  [8019] = {.lex_state = 163, .external_lex_state = 2},
  [8020] = {.lex_state = 9, .external_lex_state = 3},
  [8021] = {.lex_state = 434, .external_lex_state = 2},
  [8022] = {.lex_state = 434, .external_lex_state = 2},
  [8023] = {.lex_state = 434, .external_lex_state = 2},
  [8024] = {.lex_state = 434, .external_lex_state = 2},
  [8025] = {.lex_state = 163, .external_lex_state = 2},
  [8026] = {.lex_state = 163, .external_lex_state = 2},
  [8027] = {.lex_state = 434, .external_lex_state = 2},
  [8028] = {.lex_state = 434, .external_lex_state = 2},
  [8029] = {.lex_state = 434, .external_lex_state = 2},
  [8030] = {.lex_state = 434, .external_lex_state = 2},
  [8031] = {.lex_state = 434, .external_lex_state = 2},
  [8032] = {.lex_state = 434, .external_lex_state = 2},
  [8033] = {.lex_state = 163, .external_lex_state = 2},
  [8034] = {.lex_state = 163, .external_lex_state = 2},
  [8035] = {.lex_state = 434, .external_lex_state = 2},
  [8036] = {.lex_state = 434, .external_lex_state = 2},
  [8037] = {.lex_state = 434, .external_lex_state = 2},
  [8038] = {.lex_state = 434, .external_lex_state = 2},
  [8039] = {.lex_state = 434, .external_lex_state = 2},
  [8040] = {.lex_state = 434, .external_lex_state = 2},
  [8041] = {.lex_state = 434, .external_lex_state = 2},
  [8042] = {.lex_state = 163, .external_lex_state = 2},
  [8043] = {.lex_state = 434, .external_lex_state = 2},
  [8044] = {.lex_state = 434, .external_lex_state = 2},
  [8045] = {.lex_state = 436, .external_lex_state = 2},
  [8046] = {.lex_state = 434, .external_lex_state = 2},
  [8047] = {.lex_state = 163, .external_lex_state = 2},
  [8048] = {.lex_state = 163, .external_lex_state = 2},
  [8049] = {.lex_state = 434, .external_lex_state = 2},
  [8050] = {.lex_state = 434, .external_lex_state = 2},
  [8051] = {.lex_state = 434, .external_lex_state = 2},
  [8052] = {.lex_state = 163, .external_lex_state = 2},
  [8053] = {.lex_state = 163, .external_lex_state = 2},
  [8054] = {.lex_state = 434, .external_lex_state = 2},
  [8055] = {.lex_state = 434, .external_lex_state = 2},
  [8056] = {.lex_state = 163, .external_lex_state = 2},
  [8057] = {.lex_state = 434, .external_lex_state = 2},
  [8058] = {.lex_state = 434, .external_lex_state = 2},
  [8059] = {.lex_state = 434, .external_lex_state = 2},
  [8060] = {.lex_state = 9, .external_lex_state = 3},
  [8061] = {.lex_state = 434, .external_lex_state = 2},
  [8062] = {.lex_state = 434, .external_lex_state = 2},
  [8063] = {.lex_state = 434, .external_lex_state = 2},
  [8064] = {.lex_state = 434, .external_lex_state = 2},
  [8065] = {.lex_state = 434, .external_lex_state = 2},
  [8066] = {.lex_state = 434, .external_lex_state = 2},
  [8067] = {.lex_state = 434, .external_lex_state = 2},
  [8068] = {.lex_state = 434, .external_lex_state = 2},
  [8069] = {.lex_state = 434, .external_lex_state = 2},
  [8070] = {.lex_state = 434, .external_lex_state = 2},
  [8071] = {.lex_state = 434, .external_lex_state = 2},
  [8072] = {.lex_state = 434, .external_lex_state = 2},
  [8073] = {.lex_state = 434, .external_lex_state = 2},
  [8074] = {.lex_state = 163, .external_lex_state = 2},
  [8075] = {.lex_state = 434, .external_lex_state = 2},
  [8076] = {.lex_state = 434, .external_lex_state = 2},
  [8077] = {.lex_state = 434, .external_lex_state = 2},
  [8078] = {.lex_state = 163, .external_lex_state = 2},
  [8079] = {.lex_state = 434, .external_lex_state = 2},
  [8080] = {.lex_state = 434, .external_lex_state = 2},
  [8081] = {.lex_state = 434, .external_lex_state = 2},
  [8082] = {.lex_state = 434, .external_lex_state = 2},
  [8083] = {.lex_state = 434, .external_lex_state = 2},
  [8084] = {.lex_state = 163, .external_lex_state = 2},
  [8085] = {.lex_state = 160, .external_lex_state = 2},
  [8086] = {.lex_state = 163, .external_lex_state = 2},
  [8087] = {.lex_state = 163, .external_lex_state = 2},
  [8088] = {.lex_state = 160, .external_lex_state = 2},
  [8089] = {.lex_state = 163, .external_lex_state = 2},
  [8090] = {.lex_state = 163, .external_lex_state = 2},
  [8091] = {.lex_state = 163, .external_lex_state = 2},
  [8092] = {.lex_state = 163, .external_lex_state = 2},
  [8093] = {.lex_state = 163, .external_lex_state = 2},
  [8094] = {.lex_state = 163, .external_lex_state = 2},
  [8095] = {.lex_state = 163, .external_lex_state = 2},
  [8096] = {.lex_state = 160, .external_lex_state = 2},
  [8097] = {.lex_state = 163, .external_lex_state = 2},
  [8098] = {.lex_state = 163, .external_lex_state = 2},
  [8099] = {.lex_state = 163, .external_lex_state = 2},
  [8100] = {.lex_state = 163, .external_lex_state = 2},
  [8101] = {.lex_state = 160, .external_lex_state = 2},
  [8102] = {.lex_state = 163, .external_lex_state = 2},
  [8103] = {.lex_state = 163, .external_lex_state = 2},
  [8104] = {.lex_state = 163, .external_lex_state = 2},
  [8105] = {.lex_state = 163, .external_lex_state = 2},
  [8106] = {.lex_state = 160, .external_lex_state = 2},
  [8107] = {.lex_state = 160, .external_lex_state = 2},
  [8108] = {.lex_state = 9, .external_lex_state = 3},
  [8109] = {.lex_state = 434, .external_lex_state = 2},
  [8110] = {.lex_state = 434, .external_lex_state = 2},
  [8111] = {.lex_state = 434, .external_lex_state = 2},
  [8112] = {.lex_state = 434, .external_lex_state = 2},
  [8113] = {.lex_state = 434, .external_lex_state = 2},
  [8114] = {.lex_state = 163, .external_lex_state = 2},
  [8115] = {.lex_state = 163, .external_lex_state = 2},
  [8116] = {.lex_state = 163, .external_lex_state = 2},
  [8117] = {.lex_state = 9, .external_lex_state = 3},
  [8118] = {.lex_state = 160, .external_lex_state = 2},
  [8119] = {.lex_state = 163, .external_lex_state = 2},
  [8120] = {.lex_state = 160, .external_lex_state = 2},
  [8121] = {.lex_state = 160, .external_lex_state = 2},
  [8122] = {.lex_state = 163, .external_lex_state = 2},
  [8123] = {.lex_state = 163, .external_lex_state = 2},
  [8124] = {.lex_state = 160, .external_lex_state = 2},
  [8125] = {.lex_state = 160, .external_lex_state = 2},
  [8126] = {.lex_state = 163, .external_lex_state = 2},
  [8127] = {.lex_state = 160, .external_lex_state = 2},
  [8128] = {.lex_state = 436, .external_lex_state = 2},
  [8129] = {.lex_state = 163, .external_lex_state = 2},
  [8130] = {.lex_state = 163, .external_lex_state = 2},
  [8131] = {.lex_state = 160, .external_lex_state = 2},
  [8132] = {.lex_state = 163, .external_lex_state = 2},
  [8133] = {.lex_state = 160, .external_lex_state = 2},
  [8134] = {.lex_state = 163, .external_lex_state = 2},
  [8135] = {.lex_state = 160, .external_lex_state = 2},
  [8136] = {.lex_state = 160, .external_lex_state = 2},
  [8137] = {.lex_state = 160, .external_lex_state = 2},
  [8138] = {.lex_state = 28, .external_lex_state = 3},
  [8139] = {.lex_state = 434, .external_lex_state = 2},
  [8140] = {.lex_state = 434, .external_lex_state = 2},
  [8141] = {.lex_state = 434, .external_lex_state = 2},
  [8142] = {.lex_state = 434, .external_lex_state = 2},
  [8143] = {.lex_state = 39, .external_lex_state = 3},
  [8144] = {.lex_state = 163, .external_lex_state = 2},
  [8145] = {.lex_state = 160, .external_lex_state = 2},
  [8146] = {.lex_state = 163, .external_lex_state = 2},
  [8147] = {.lex_state = 163, .external_lex_state = 2},
  [8148] = {.lex_state = 434, .external_lex_state = 2},
  [8149] = {.lex_state = 434, .external_lex_state = 2},
  [8150] = {.lex_state = 160, .external_lex_state = 2},
  [8151] = {.lex_state = 160, .external_lex_state = 2},
  [8152] = {.lex_state = 160, .external_lex_state = 2},
  [8153] = {.lex_state = 434, .external_lex_state = 2},
  [8154] = {.lex_state = 160, .external_lex_state = 2},
  [8155] = {.lex_state = 160, .external_lex_state = 2},
  [8156] = {.lex_state = 160, .external_lex_state = 2},
  [8157] = {.lex_state = 160, .external_lex_state = 2},
  [8158] = {.lex_state = 160, .external_lex_state = 2},
  [8159] = {.lex_state = 160, .external_lex_state = 2},
  [8160] = {.lex_state = 163, .external_lex_state = 2},
  [8161] = {.lex_state = 157, .external_lex_state = 2},
  [8162] = {.lex_state = 157, .external_lex_state = 2},
  [8163] = {.lex_state = 157, .external_lex_state = 2},
  [8164] = {.lex_state = 157, .external_lex_state = 2},
  [8165] = {.lex_state = 163, .external_lex_state = 2},
  [8166] = {.lex_state = 163, .external_lex_state = 2},
  [8167] = {.lex_state = 157, .external_lex_state = 2},
  [8168] = {.lex_state = 163, .external_lex_state = 2},
  [8169] = {.lex_state = 208, .external_lex_state = 2},
  [8170] = {.lex_state = 157, .external_lex_state = 2},
  [8171] = {.lex_state = 157, .external_lex_state = 2},
  [8172] = {.lex_state = 157, .external_lex_state = 2},
  [8173] = {.lex_state = 157, .external_lex_state = 2},
  [8174] = {.lex_state = 157, .external_lex_state = 2},
  [8175] = {.lex_state = 157, .external_lex_state = 2},
  [8176] = {.lex_state = 163, .external_lex_state = 2},
  [8177] = {.lex_state = 163, .external_lex_state = 2},
  [8178] = {.lex_state = 157, .external_lex_state = 2},
  [8179] = {.lex_state = 208, .external_lex_state = 2},
  [8180] = {.lex_state = 157, .external_lex_state = 2},
  [8181] = {.lex_state = 157, .external_lex_state = 2},
  [8182] = {.lex_state = 163, .external_lex_state = 2},
  [8183] = {.lex_state = 163, .external_lex_state = 2},
  [8184] = {.lex_state = 163, .external_lex_state = 2},
  [8185] = {.lex_state = 157, .external_lex_state = 2},
  [8186] = {.lex_state = 157, .external_lex_state = 2},
  [8187] = {.lex_state = 163, .external_lex_state = 2},
  [8188] = {.lex_state = 163, .external_lex_state = 2},
  [8189] = {.lex_state = 163, .external_lex_state = 2},
  [8190] = {.lex_state = 163, .external_lex_state = 2},
  [8191] = {.lex_state = 208, .external_lex_state = 2},
  [8192] = {.lex_state = 163, .external_lex_state = 2},
  [8193] = {.lex_state = 163, .external_lex_state = 2},
  [8194] = {.lex_state = 28, .external_lex_state = 3},
  [8195] = {.lex_state = 163, .external_lex_state = 2},
  [8196] = {.lex_state = 163, .external_lex_state = 2},
  [8197] = {.lex_state = 163, .external_lex_state = 2},
  [8198] = {.lex_state = 157, .external_lex_state = 2},
  [8199] = {.lex_state = 163, .external_lex_state = 2},
  [8200] = {.lex_state = 163, .external_lex_state = 2},
  [8201] = {.lex_state = 163, .external_lex_state = 2},
  [8202] = {.lex_state = 163, .external_lex_state = 2},
  [8203] = {.lex_state = 163, .external_lex_state = 2},
  [8204] = {.lex_state = 163, .external_lex_state = 2},
  [8205] = {.lex_state = 157, .external_lex_state = 2},
  [8206] = {.lex_state = 163, .external_lex_state = 2},
  [8207] = {.lex_state = 157, .external_lex_state = 2},
  [8208] = {.lex_state = 157, .external_lex_state = 2},
  [8209] = {.lex_state = 12, .external_lex_state = 3},
  [8210] = {.lex_state = 163, .external_lex_state = 2},
  [8211] = {.lex_state = 157, .external_lex_state = 2},
  [8212] = {.lex_state = 163, .external_lex_state = 2},
  [8213] = {.lex_state = 163, .external_lex_state = 2},
  [8214] = {.lex_state = 157, .external_lex_state = 2},
  [8215] = {.lex_state = 28, .external_lex_state = 3},
  [8216] = {.lex_state = 157, .external_lex_state = 2},
  [8217] = {.lex_state = 157, .external_lex_state = 2},
  [8218] = {.lex_state = 163, .external_lex_state = 2},
  [8219] = {.lex_state = 157, .external_lex_state = 2},
  [8220] = {.lex_state = 163, .external_lex_state = 2},
  [8221] = {.lex_state = 163, .external_lex_state = 2},
  [8222] = {.lex_state = 208, .external_lex_state = 2},
  [8223] = {.lex_state = 157, .external_lex_state = 2},
  [8224] = {.lex_state = 163, .external_lex_state = 2},
  [8225] = {.lex_state = 163, .external_lex_state = 2},
  [8226] = {.lex_state = 163, .external_lex_state = 2},
  [8227] = {.lex_state = 163, .external_lex_state = 2},
  [8228] = {.lex_state = 163, .external_lex_state = 2},
  [8229] = {.lex_state = 163, .external_lex_state = 2},
  [8230] = {.lex_state = 157, .external_lex_state = 2},
  [8231] = {.lex_state = 157, .external_lex_state = 2},
  [8232] = {.lex_state = 157, .external_lex_state = 2},
  [8233] = {.lex_state = 28, .external_lex_state = 3},
  [8234] = {.lex_state = 157, .external_lex_state = 2},
  [8235] = {.lex_state = 157, .external_lex_state = 2},
  [8236] = {.lex_state = 157, .external_lex_state = 2},
  [8237] = {.lex_state = 157, .external_lex_state = 2},
  [8238] = {.lex_state = 157, .external_lex_state = 2},
  [8239] = {.lex_state = 157, .external_lex_state = 2},
  [8240] = {.lex_state = 157, .external_lex_state = 2},
  [8241] = {.lex_state = 157, .external_lex_state = 2},
  [8242] = {.lex_state = 157, .external_lex_state = 2},
  [8243] = {.lex_state = 163, .external_lex_state = 2},
  [8244] = {.lex_state = 157, .external_lex_state = 2},
  [8245] = {.lex_state = 157, .external_lex_state = 2},
  [8246] = {.lex_state = 157, .external_lex_state = 2},
  [8247] = {.lex_state = 157, .external_lex_state = 2},
  [8248] = {.lex_state = 157, .external_lex_state = 2},
  [8249] = {.lex_state = 157, .external_lex_state = 2},
  [8250] = {.lex_state = 157, .external_lex_state = 2},
  [8251] = {.lex_state = 157, .external_lex_state = 2},
  [8252] = {.lex_state = 157, .external_lex_state = 2},
  [8253] = {.lex_state = 157, .external_lex_state = 2},
  [8254] = {.lex_state = 163, .external_lex_state = 2},
  [8255] = {.lex_state = 157, .external_lex_state = 2},
  [8256] = {.lex_state = 157, .external_lex_state = 2},
  [8257] = {.lex_state = 12, .external_lex_state = 3},
  [8258] = {.lex_state = 157, .external_lex_state = 2},
  [8259] = {.lex_state = 157, .external_lex_state = 2},
  [8260] = {.lex_state = 157, .external_lex_state = 2},
  [8261] = {.lex_state = 157, .external_lex_state = 2},
  [8262] = {.lex_state = 12, .external_lex_state = 3},
  [8263] = {.lex_state = 12, .external_lex_state = 3},
  [8264] = {.lex_state = 170, .external_lex_state = 3},
  [8265] = {.lex_state = 157, .external_lex_state = 2},
  [8266] = {.lex_state = 157, .external_lex_state = 2},
  [8267] = {.lex_state = 157, .external_lex_state = 2},
  [8268] = {.lex_state = 157, .external_lex_state = 2},
  [8269] = {.lex_state = 157, .external_lex_state = 2},
  [8270] = {.lex_state = 157, .external_lex_state = 2},
  [8271] = {.lex_state = 163, .external_lex_state = 2},
  [8272] = {.lex_state = 157, .external_lex_state = 2},
  [8273] = {.lex_state = 157, .external_lex_state = 2},
  [8274] = {.lex_state = 157, .external_lex_state = 2},
  [8275] = {.lex_state = 157, .external_lex_state = 2},
  [8276] = {.lex_state = 157, .external_lex_state = 2},
  [8277] = {.lex_state = 157, .external_lex_state = 2},
  [8278] = {.lex_state = 157, .external_lex_state = 2},
  [8279] = {.lex_state = 157, .external_lex_state = 2},
  [8280] = {.lex_state = 157, .external_lex_state = 2},
  [8281] = {.lex_state = 157, .external_lex_state = 2},
  [8282] = {.lex_state = 157, .external_lex_state = 2},
  [8283] = {.lex_state = 157, .external_lex_state = 2},
  [8284] = {.lex_state = 157, .external_lex_state = 2},
  [8285] = {.lex_state = 157, .external_lex_state = 2},
  [8286] = {.lex_state = 157, .external_lex_state = 2},
  [8287] = {.lex_state = 157, .external_lex_state = 2},
  [8288] = {.lex_state = 157, .external_lex_state = 2},
  [8289] = {.lex_state = 157, .external_lex_state = 2},
  [8290] = {.lex_state = 12, .external_lex_state = 3},
  [8291] = {.lex_state = 165, .external_lex_state = 3},
  [8292] = {.lex_state = 12, .external_lex_state = 3},
  [8293] = {.lex_state = 157, .external_lex_state = 2},
  [8294] = {.lex_state = 157, .external_lex_state = 2},
  [8295] = {.lex_state = 170, .external_lex_state = 3},
  [8296] = {.lex_state = 12, .external_lex_state = 3},
  [8297] = {.lex_state = 157, .external_lex_state = 2},
  [8298] = {.lex_state = 157, .external_lex_state = 2},
  [8299] = {.lex_state = 12, .external_lex_state = 3},
  [8300] = {.lex_state = 157, .external_lex_state = 2},
  [8301] = {.lex_state = 157, .external_lex_state = 2},
  [8302] = {.lex_state = 157, .external_lex_state = 2},
  [8303] = {.lex_state = 157, .external_lex_state = 2},
  [8304] = {.lex_state = 165, .external_lex_state = 3},
  [8305] = {.lex_state = 157, .external_lex_state = 2},
  [8306] = {.lex_state = 157, .external_lex_state = 2},
  [8307] = {.lex_state = 157, .external_lex_state = 2},
  [8308] = {.lex_state = 163, .external_lex_state = 2},
  [8309] = {.lex_state = 157, .external_lex_state = 2},
  [8310] = {.lex_state = 157, .external_lex_state = 2},
  [8311] = {.lex_state = 157, .external_lex_state = 2},
  [8312] = {.lex_state = 157, .external_lex_state = 2},
  [8313] = {.lex_state = 157, .external_lex_state = 2},
  [8314] = {.lex_state = 157, .external_lex_state = 2},
  [8315] = {.lex_state = 157, .external_lex_state = 2},
  [8316] = {.lex_state = 208, .external_lex_state = 2},
  [8317] = {.lex_state = 157, .external_lex_state = 2},
  [8318] = {.lex_state = 157, .external_lex_state = 2},
  [8319] = {.lex_state = 208, .external_lex_state = 2},
  [8320] = {.lex_state = 208, .external_lex_state = 2},
  [8321] = {.lex_state = 157, .external_lex_state = 2},
  [8322] = {.lex_state = 157, .external_lex_state = 2},
  [8323] = {.lex_state = 208, .external_lex_state = 2},
  [8324] = {.lex_state = 434, .external_lex_state = 2},
  [8325] = {.lex_state = 232, .external_lex_state = 2},
  [8326] = {.lex_state = 208, .external_lex_state = 2},
  [8327] = {.lex_state = 208, .external_lex_state = 2},
  [8328] = {.lex_state = 157, .external_lex_state = 2},
  [8329] = {.lex_state = 157, .external_lex_state = 2},
  [8330] = {.lex_state = 434, .external_lex_state = 2},
  [8331] = {.lex_state = 232, .external_lex_state = 2},
  [8332] = {.lex_state = 208, .external_lex_state = 2},
  [8333] = {.lex_state = 208, .external_lex_state = 2},
  [8334] = {.lex_state = 157, .external_lex_state = 2},
  [8335] = {.lex_state = 208, .external_lex_state = 2},
  [8336] = {.lex_state = 208, .external_lex_state = 2},
  [8337] = {.lex_state = 208, .external_lex_state = 2},
  [8338] = {.lex_state = 208, .external_lex_state = 2},
  [8339] = {.lex_state = 434, .external_lex_state = 2},
  [8340] = {.lex_state = 198, .external_lex_state = 3},
  [8341] = {.lex_state = 157, .external_lex_state = 2},
  [8342] = {.lex_state = 208, .external_lex_state = 2},
  [8343] = {.lex_state = 208, .external_lex_state = 2},
  [8344] = {.lex_state = 434, .external_lex_state = 2},
  [8345] = {.lex_state = 170, .external_lex_state = 3},
  [8346] = {.lex_state = 157, .external_lex_state = 2},
  [8347] = {.lex_state = 208, .external_lex_state = 2},
  [8348] = {.lex_state = 157, .external_lex_state = 2},
  [8349] = {.lex_state = 208, .external_lex_state = 2},
  [8350] = {.lex_state = 157, .external_lex_state = 2},
  [8351] = {.lex_state = 208, .external_lex_state = 2},
  [8352] = {.lex_state = 208, .external_lex_state = 2},
  [8353] = {.lex_state = 157, .external_lex_state = 2},
  [8354] = {.lex_state = 434, .external_lex_state = 2},
  [8355] = {.lex_state = 208, .external_lex_state = 2},
  [8356] = {.lex_state = 157, .external_lex_state = 2},
  [8357] = {.lex_state = 208, .external_lex_state = 2},
  [8358] = {.lex_state = 157, .external_lex_state = 2},
  [8359] = {.lex_state = 208, .external_lex_state = 2},
  [8360] = {.lex_state = 208, .external_lex_state = 2},
  [8361] = {.lex_state = 157, .external_lex_state = 2},
  [8362] = {.lex_state = 208, .external_lex_state = 2},
  [8363] = {.lex_state = 157, .external_lex_state = 2},
  [8364] = {.lex_state = 186, .external_lex_state = 3},
  [8365] = {.lex_state = 208, .external_lex_state = 2},
  [8366] = {.lex_state = 157, .external_lex_state = 2},
  [8367] = {.lex_state = 170, .external_lex_state = 3},
  [8368] = {.lex_state = 170, .external_lex_state = 3},
  [8369] = {.lex_state = 186, .external_lex_state = 3},
  [8370] = {.lex_state = 208, .external_lex_state = 2},
  [8371] = {.lex_state = 157, .external_lex_state = 2},
  [8372] = {.lex_state = 208, .external_lex_state = 2},
  [8373] = {.lex_state = 165, .external_lex_state = 3},
  [8374] = {.lex_state = 208, .external_lex_state = 2},
  [8375] = {.lex_state = 208, .external_lex_state = 2},
  [8376] = {.lex_state = 208, .external_lex_state = 2},
  [8377] = {.lex_state = 157, .external_lex_state = 2},
  [8378] = {.lex_state = 208, .external_lex_state = 2},
  [8379] = {.lex_state = 157, .external_lex_state = 2},
  [8380] = {.lex_state = 169, .external_lex_state = 3},
  [8381] = {.lex_state = 434, .external_lex_state = 2},
  [8382] = {.lex_state = 165, .external_lex_state = 3},
  [8383] = {.lex_state = 157, .external_lex_state = 2},
  [8384] = {.lex_state = 157, .external_lex_state = 2},
  [8385] = {.lex_state = 208, .external_lex_state = 2},
  [8386] = {.lex_state = 157, .external_lex_state = 2},
  [8387] = {.lex_state = 157, .external_lex_state = 2},
  [8388] = {.lex_state = 157, .external_lex_state = 2},
  [8389] = {.lex_state = 157, .external_lex_state = 2},
  [8390] = {.lex_state = 157, .external_lex_state = 2},
  [8391] = {.lex_state = 170, .external_lex_state = 3},
  [8392] = {.lex_state = 157, .external_lex_state = 2},
  [8393] = {.lex_state = 157, .external_lex_state = 2},
  [8394] = {.lex_state = 157, .external_lex_state = 2},
  [8395] = {.lex_state = 208, .external_lex_state = 2},
  [8396] = {.lex_state = 169, .external_lex_state = 3},
  [8397] = {.lex_state = 157, .external_lex_state = 2},
  [8398] = {.lex_state = 208, .external_lex_state = 2},
  [8399] = {.lex_state = 434, .external_lex_state = 2},
  [8400] = {.lex_state = 208, .external_lex_state = 2},
  [8401] = {.lex_state = 157, .external_lex_state = 2},
  [8402] = {.lex_state = 208, .external_lex_state = 2},
  [8403] = {.lex_state = 157, .external_lex_state = 2},
  [8404] = {.lex_state = 434, .external_lex_state = 2},
  [8405] = {.lex_state = 208, .external_lex_state = 2},
  [8406] = {.lex_state = 157, .external_lex_state = 2},
  [8407] = {.lex_state = 157, .external_lex_state = 2},
  [8408] = {.lex_state = 157, .external_lex_state = 2},
  [8409] = {.lex_state = 208, .external_lex_state = 2},
  [8410] = {.lex_state = 208, .external_lex_state = 2},
  [8411] = {.lex_state = 208, .external_lex_state = 2},
  [8412] = {.lex_state = 157, .external_lex_state = 2},
  [8413] = {.lex_state = 157, .external_lex_state = 2},
  [8414] = {.lex_state = 434, .external_lex_state = 2},
  [8415] = {.lex_state = 157, .external_lex_state = 2},
  [8416] = {.lex_state = 157, .external_lex_state = 2},
  [8417] = {.lex_state = 157, .external_lex_state = 2},
  [8418] = {.lex_state = 208, .external_lex_state = 2},
  [8419] = {.lex_state = 157, .external_lex_state = 2},
  [8420] = {.lex_state = 208, .external_lex_state = 2},
  [8421] = {.lex_state = 157, .external_lex_state = 2},
  [8422] = {.lex_state = 165, .external_lex_state = 3},
  [8423] = {.lex_state = 157, .external_lex_state = 2},
  [8424] = {.lex_state = 157, .external_lex_state = 2},
  [8425] = {.lex_state = 157, .external_lex_state = 2},
  [8426] = {.lex_state = 434, .external_lex_state = 2},
  [8427] = {.lex_state = 208, .external_lex_state = 2},
  [8428] = {.lex_state = 208, .external_lex_state = 2},
  [8429] = {.lex_state = 208, .external_lex_state = 2},
  [8430] = {.lex_state = 157, .external_lex_state = 2},
  [8431] = {.lex_state = 157, .external_lex_state = 2},
  [8432] = {.lex_state = 208, .external_lex_state = 2},
  [8433] = {.lex_state = 157, .external_lex_state = 2},
  [8434] = {.lex_state = 208, .external_lex_state = 2},
  [8435] = {.lex_state = 157, .external_lex_state = 2},
  [8436] = {.lex_state = 165, .external_lex_state = 3},
  [8437] = {.lex_state = 434, .external_lex_state = 2},
  [8438] = {.lex_state = 157, .external_lex_state = 2},
  [8439] = {.lex_state = 169, .external_lex_state = 3},
  [8440] = {.lex_state = 169, .external_lex_state = 3},
  [8441] = {.lex_state = 169, .external_lex_state = 3},
  [8442] = {.lex_state = 169, .external_lex_state = 3},
  [8443] = {.lex_state = 157, .external_lex_state = 2},
  [8444] = {.lex_state = 434, .external_lex_state = 2},
  [8445] = {.lex_state = 169, .external_lex_state = 3},
  [8446] = {.lex_state = 434, .external_lex_state = 2},
  [8447] = {.lex_state = 157, .external_lex_state = 2},
  [8448] = {.lex_state = 157, .external_lex_state = 2},
  [8449] = {.lex_state = 169, .external_lex_state = 3},
  [8450] = {.lex_state = 169, .external_lex_state = 3},
  [8451] = {.lex_state = 434, .external_lex_state = 2},
  [8452] = {.lex_state = 169, .external_lex_state = 3},
  [8453] = {.lex_state = 434, .external_lex_state = 2},
  [8454] = {.lex_state = 434, .external_lex_state = 2},
  [8455] = {.lex_state = 434, .external_lex_state = 2},
  [8456] = {.lex_state = 169, .external_lex_state = 3},
  [8457] = {.lex_state = 169, .external_lex_state = 3},
  [8458] = {.lex_state = 157, .external_lex_state = 2},
  [8459] = {.lex_state = 169, .external_lex_state = 3},
  [8460] = {.lex_state = 169, .external_lex_state = 3},
  [8461] = {.lex_state = 169, .external_lex_state = 3},
  [8462] = {.lex_state = 169, .external_lex_state = 3},
  [8463] = {.lex_state = 169, .external_lex_state = 3},
  [8464] = {.lex_state = 169, .external_lex_state = 3},
  [8465] = {.lex_state = 169, .external_lex_state = 3},
  [8466] = {.lex_state = 169, .external_lex_state = 3},
  [8467] = {.lex_state = 169, .external_lex_state = 3},
  [8468] = {.lex_state = 169, .external_lex_state = 3},
  [8469] = {.lex_state = 434, .external_lex_state = 2},
  [8470] = {.lex_state = 434, .external_lex_state = 2},
  [8471] = {.lex_state = 169, .external_lex_state = 3},
  [8472] = {.lex_state = 169, .external_lex_state = 3},
  [8473] = {.lex_state = 169, .external_lex_state = 3},
  [8474] = {.lex_state = 169, .external_lex_state = 3},
  [8475] = {.lex_state = 434, .external_lex_state = 2},
  [8476] = {.lex_state = 169, .external_lex_state = 3},
  [8477] = {.lex_state = 169, .external_lex_state = 3},
  [8478] = {.lex_state = 434, .external_lex_state = 2},
  [8479] = {.lex_state = 434, .external_lex_state = 2},
  [8480] = {.lex_state = 434, .external_lex_state = 2},
  [8481] = {.lex_state = 157, .external_lex_state = 2},
  [8482] = {.lex_state = 157, .external_lex_state = 2},
  [8483] = {.lex_state = 157, .external_lex_state = 2},
  [8484] = {.lex_state = 157, .external_lex_state = 2},
  [8485] = {.lex_state = 157, .external_lex_state = 2},
  [8486] = {.lex_state = 157, .external_lex_state = 2},
  [8487] = {.lex_state = 157, .external_lex_state = 2},
  [8488] = {.lex_state = 157, .external_lex_state = 2},
  [8489] = {.lex_state = 157, .external_lex_state = 2},
  [8490] = {.lex_state = 157, .external_lex_state = 2},
  [8491] = {.lex_state = 434, .external_lex_state = 2},
  [8492] = {.lex_state = 169, .external_lex_state = 3},
  [8493] = {.lex_state = 169, .external_lex_state = 3},
  [8494] = {.lex_state = 169, .external_lex_state = 3},
  [8495] = {.lex_state = 157, .external_lex_state = 2},
  [8496] = {.lex_state = 169, .external_lex_state = 3},
  [8497] = {.lex_state = 434, .external_lex_state = 2},
  [8498] = {.lex_state = 434, .external_lex_state = 2},
  [8499] = {.lex_state = 434, .external_lex_state = 2},
  [8500] = {.lex_state = 164, .external_lex_state = 2},
  [8501] = {.lex_state = 434, .external_lex_state = 2},
  [8502] = {.lex_state = 434, .external_lex_state = 2},
  [8503] = {.lex_state = 434, .external_lex_state = 2},
  [8504] = {.lex_state = 434, .external_lex_state = 2},
  [8505] = {.lex_state = 157, .external_lex_state = 2},
  [8506] = {.lex_state = 157, .external_lex_state = 2},
  [8507] = {.lex_state = 434, .external_lex_state = 2},
  [8508] = {.lex_state = 434, .external_lex_state = 2},
  [8509] = {.lex_state = 434, .external_lex_state = 2},
  [8510] = {.lex_state = 434, .external_lex_state = 2},
  [8511] = {.lex_state = 434, .external_lex_state = 2},
  [8512] = {.lex_state = 169, .external_lex_state = 3},
  [8513] = {.lex_state = 169, .external_lex_state = 3},
  [8514] = {.lex_state = 157, .external_lex_state = 2},
  [8515] = {.lex_state = 434, .external_lex_state = 2},
  [8516] = {.lex_state = 157, .external_lex_state = 2},
  [8517] = {.lex_state = 434, .external_lex_state = 2},
  [8518] = {.lex_state = 157, .external_lex_state = 2},
  [8519] = {.lex_state = 434, .external_lex_state = 2},
  [8520] = {.lex_state = 434, .external_lex_state = 2},
  [8521] = {.lex_state = 157, .external_lex_state = 2},
  [8522] = {.lex_state = 157, .external_lex_state = 2},
  [8523] = {.lex_state = 157, .external_lex_state = 2},
  [8524] = {.lex_state = 157, .external_lex_state = 2},
  [8525] = {.lex_state = 157, .external_lex_state = 2},
  [8526] = {.lex_state = 157, .external_lex_state = 2},
  [8527] = {.lex_state = 157, .external_lex_state = 2},
  [8528] = {.lex_state = 157, .external_lex_state = 2},
  [8529] = {.lex_state = 157, .external_lex_state = 2},
  [8530] = {.lex_state = 157, .external_lex_state = 2},
  [8531] = {.lex_state = 164, .external_lex_state = 2},
  [8532] = {.lex_state = 157, .external_lex_state = 2},
  [8533] = {.lex_state = 157, .external_lex_state = 2},
  [8534] = {.lex_state = 434, .external_lex_state = 2},
  [8535] = {.lex_state = 434, .external_lex_state = 2},
  [8536] = {.lex_state = 434, .external_lex_state = 2},
  [8537] = {.lex_state = 434, .external_lex_state = 2},
  [8538] = {.lex_state = 434, .external_lex_state = 2},
  [8539] = {.lex_state = 434, .external_lex_state = 2},
  [8540] = {.lex_state = 434, .external_lex_state = 2},
  [8541] = {.lex_state = 434, .external_lex_state = 2},
  [8542] = {.lex_state = 434, .external_lex_state = 2},
  [8543] = {.lex_state = 434, .external_lex_state = 2},
  [8544] = {.lex_state = 434, .external_lex_state = 2},
  [8545] = {.lex_state = 169, .external_lex_state = 3},
  [8546] = {.lex_state = 434, .external_lex_state = 2},
  [8547] = {.lex_state = 434, .external_lex_state = 2},
  [8548] = {.lex_state = 169, .external_lex_state = 3},
  [8549] = {.lex_state = 434, .external_lex_state = 2},
  [8550] = {.lex_state = 169, .external_lex_state = 3},
  [8551] = {.lex_state = 169, .external_lex_state = 3},
  [8552] = {.lex_state = 434, .external_lex_state = 2},
  [8553] = {.lex_state = 157, .external_lex_state = 2},
  [8554] = {.lex_state = 434, .external_lex_state = 2},
  [8555] = {.lex_state = 434, .external_lex_state = 2},
  [8556] = {.lex_state = 434, .external_lex_state = 2},
  [8557] = {.lex_state = 164, .external_lex_state = 2},
  [8558] = {.lex_state = 434, .external_lex_state = 2},
  [8559] = {.lex_state = 434, .external_lex_state = 2},
  [8560] = {.lex_state = 434, .external_lex_state = 2},
  [8561] = {.lex_state = 434, .external_lex_state = 2},
  [8562] = {.lex_state = 157, .external_lex_state = 2},
  [8563] = {.lex_state = 434, .external_lex_state = 2},
  [8564] = {.lex_state = 434, .external_lex_state = 2},
  [8565] = {.lex_state = 169, .external_lex_state = 3},
  [8566] = {.lex_state = 434, .external_lex_state = 2},
  [8567] = {.lex_state = 434, .external_lex_state = 2},
  [8568] = {.lex_state = 434, .external_lex_state = 2},
  [8569] = {.lex_state = 434, .external_lex_state = 2},
  [8570] = {.lex_state = 169, .external_lex_state = 3},
  [8571] = {.lex_state = 434, .external_lex_state = 2},
  [8572] = {.lex_state = 169, .external_lex_state = 3},
  [8573] = {.lex_state = 169, .external_lex_state = 3},
  [8574] = {.lex_state = 434, .external_lex_state = 2},
  [8575] = {.lex_state = 434, .external_lex_state = 2},
  [8576] = {.lex_state = 434, .external_lex_state = 2},
  [8577] = {.lex_state = 434, .external_lex_state = 2},
  [8578] = {.lex_state = 157, .external_lex_state = 2},
  [8579] = {.lex_state = 434, .external_lex_state = 2},
  [8580] = {.lex_state = 157, .external_lex_state = 2},
  [8581] = {.lex_state = 181, .external_lex_state = 3},
  [8582] = {.lex_state = 169, .external_lex_state = 3},
  [8583] = {.lex_state = 434, .external_lex_state = 2},
  [8584] = {.lex_state = 434, .external_lex_state = 2},
  [8585] = {.lex_state = 434, .external_lex_state = 2},
  [8586] = {.lex_state = 434, .external_lex_state = 2},
  [8587] = {.lex_state = 169, .external_lex_state = 3},
  [8588] = {.lex_state = 169, .external_lex_state = 3},
  [8589] = {.lex_state = 434, .external_lex_state = 2},
  [8590] = {.lex_state = 434, .external_lex_state = 2},
  [8591] = {.lex_state = 169, .external_lex_state = 3},
  [8592] = {.lex_state = 434, .external_lex_state = 2},
  [8593] = {.lex_state = 434, .external_lex_state = 2},
  [8594] = {.lex_state = 434, .external_lex_state = 2},
  [8595] = {.lex_state = 434, .external_lex_state = 2},
  [8596] = {.lex_state = 434, .external_lex_state = 2},
  [8597] = {.lex_state = 434, .external_lex_state = 2},
  [8598] = {.lex_state = 434, .external_lex_state = 2},
  [8599] = {.lex_state = 434, .external_lex_state = 2},
  [8600] = {.lex_state = 434, .external_lex_state = 2},
  [8601] = {.lex_state = 434, .external_lex_state = 2},
  [8602] = {.lex_state = 434, .external_lex_state = 2},
  [8603] = {.lex_state = 434, .external_lex_state = 2},
  [8604] = {.lex_state = 434, .external_lex_state = 2},
  [8605] = {.lex_state = 181, .external_lex_state = 3},
  [8606] = {.lex_state = 434, .external_lex_state = 2},
  [8607] = {.lex_state = 434, .external_lex_state = 2},
  [8608] = {.lex_state = 434, .external_lex_state = 2},
  [8609] = {.lex_state = 434, .external_lex_state = 2},
  [8610] = {.lex_state = 434, .external_lex_state = 2},
  [8611] = {.lex_state = 434, .external_lex_state = 2},
  [8612] = {.lex_state = 434, .external_lex_state = 2},
  [8613] = {.lex_state = 434, .external_lex_state = 2},
  [8614] = {.lex_state = 434, .external_lex_state = 2},
  [8615] = {.lex_state = 434, .external_lex_state = 2},
  [8616] = {.lex_state = 434, .external_lex_state = 2},
  [8617] = {.lex_state = 434, .external_lex_state = 2},
  [8618] = {.lex_state = 434, .external_lex_state = 2},
  [8619] = {.lex_state = 434, .external_lex_state = 2},
  [8620] = {.lex_state = 434, .external_lex_state = 2},
  [8621] = {.lex_state = 434, .external_lex_state = 2},
  [8622] = {.lex_state = 434, .external_lex_state = 2},
  [8623] = {.lex_state = 434, .external_lex_state = 2},
  [8624] = {.lex_state = 434, .external_lex_state = 2},
  [8625] = {.lex_state = 434, .external_lex_state = 2},
  [8626] = {.lex_state = 434, .external_lex_state = 2},
  [8627] = {.lex_state = 434, .external_lex_state = 2},
  [8628] = {.lex_state = 434, .external_lex_state = 2},
  [8629] = {.lex_state = 434, .external_lex_state = 2},
  [8630] = {.lex_state = 434, .external_lex_state = 2},
  [8631] = {.lex_state = 434, .external_lex_state = 2},
  [8632] = {.lex_state = 434, .external_lex_state = 2},
  [8633] = {.lex_state = 434, .external_lex_state = 2},
  [8634] = {.lex_state = 434, .external_lex_state = 2},
  [8635] = {.lex_state = 434, .external_lex_state = 2},
  [8636] = {.lex_state = 434, .external_lex_state = 2},
  [8637] = {.lex_state = 181, .external_lex_state = 3},
  [8638] = {.lex_state = 181, .external_lex_state = 3},
  [8639] = {.lex_state = 434, .external_lex_state = 2},
  [8640] = {.lex_state = 434, .external_lex_state = 2},
  [8641] = {.lex_state = 181, .external_lex_state = 3},
  [8642] = {.lex_state = 434, .external_lex_state = 2},
  [8643] = {.lex_state = 186, .external_lex_state = 3},
  [8644] = {.lex_state = 434, .external_lex_state = 2},
  [8645] = {.lex_state = 434, .external_lex_state = 2},
  [8646] = {.lex_state = 181, .external_lex_state = 3},
  [8647] = {.lex_state = 157, .external_lex_state = 2},
  [8648] = {.lex_state = 181, .external_lex_state = 3},
  [8649] = {.lex_state = 434, .external_lex_state = 2},
  [8650] = {.lex_state = 434, .external_lex_state = 2},
  [8651] = {.lex_state = 434, .external_lex_state = 2},
  [8652] = {.lex_state = 434, .external_lex_state = 2},
  [8653] = {.lex_state = 434, .external_lex_state = 2},
  [8654] = {.lex_state = 434, .external_lex_state = 2},
  [8655] = {.lex_state = 434, .external_lex_state = 2},
  [8656] = {.lex_state = 434, .external_lex_state = 2},
  [8657] = {.lex_state = 434, .external_lex_state = 2},
  [8658] = {.lex_state = 434, .external_lex_state = 2},
  [8659] = {.lex_state = 434, .external_lex_state = 2},
  [8660] = {.lex_state = 181, .external_lex_state = 3},
  [8661] = {.lex_state = 434, .external_lex_state = 2},
  [8662] = {.lex_state = 434, .external_lex_state = 2},
  [8663] = {.lex_state = 181, .external_lex_state = 3},
  [8664] = {.lex_state = 434, .external_lex_state = 2},
  [8665] = {.lex_state = 181, .external_lex_state = 3},
  [8666] = {.lex_state = 434, .external_lex_state = 2},
  [8667] = {.lex_state = 434, .external_lex_state = 2},
  [8668] = {.lex_state = 169, .external_lex_state = 3},
  [8669] = {.lex_state = 434, .external_lex_state = 2},
  [8670] = {.lex_state = 181, .external_lex_state = 3},
  [8671] = {.lex_state = 434, .external_lex_state = 2},
  [8672] = {.lex_state = 434, .external_lex_state = 2},
  [8673] = {.lex_state = 434, .external_lex_state = 2},
  [8674] = {.lex_state = 434, .external_lex_state = 2},
  [8675] = {.lex_state = 434, .external_lex_state = 2},
  [8676] = {.lex_state = 186, .external_lex_state = 3},
  [8677] = {.lex_state = 434, .external_lex_state = 2},
  [8678] = {.lex_state = 434, .external_lex_state = 2},
  [8679] = {.lex_state = 169, .external_lex_state = 3},
  [8680] = {.lex_state = 434, .external_lex_state = 2},
  [8681] = {.lex_state = 434, .external_lex_state = 2},
  [8682] = {.lex_state = 434, .external_lex_state = 2},
  [8683] = {.lex_state = 169, .external_lex_state = 3},
  [8684] = {.lex_state = 434, .external_lex_state = 2},
  [8685] = {.lex_state = 434, .external_lex_state = 2},
  [8686] = {.lex_state = 434, .external_lex_state = 2},
  [8687] = {.lex_state = 434, .external_lex_state = 2},
  [8688] = {.lex_state = 434, .external_lex_state = 2},
  [8689] = {.lex_state = 434, .external_lex_state = 2},
  [8690] = {.lex_state = 434, .external_lex_state = 2},
  [8691] = {.lex_state = 434, .external_lex_state = 2},
  [8692] = {.lex_state = 434, .external_lex_state = 2},
  [8693] = {.lex_state = 434, .external_lex_state = 2},
  [8694] = {.lex_state = 434, .external_lex_state = 2},
  [8695] = {.lex_state = 434, .external_lex_state = 2},
  [8696] = {.lex_state = 434, .external_lex_state = 2},
  [8697] = {.lex_state = 434, .external_lex_state = 2},
  [8698] = {.lex_state = 434, .external_lex_state = 2},
  [8699] = {.lex_state = 434, .external_lex_state = 2},
  [8700] = {.lex_state = 434, .external_lex_state = 2},
  [8701] = {.lex_state = 434, .external_lex_state = 2},
  [8702] = {.lex_state = 434, .external_lex_state = 2},
  [8703] = {.lex_state = 434, .external_lex_state = 2},
  [8704] = {.lex_state = 434, .external_lex_state = 2},
  [8705] = {.lex_state = 434, .external_lex_state = 2},
  [8706] = {.lex_state = 434, .external_lex_state = 2},
  [8707] = {.lex_state = 434, .external_lex_state = 2},
  [8708] = {.lex_state = 434, .external_lex_state = 2},
  [8709] = {.lex_state = 434, .external_lex_state = 2},
  [8710] = {.lex_state = 169, .external_lex_state = 3},
  [8711] = {.lex_state = 169, .external_lex_state = 3},
  [8712] = {.lex_state = 169, .external_lex_state = 3},
  [8713] = {.lex_state = 169, .external_lex_state = 3},
  [8714] = {.lex_state = 434, .external_lex_state = 2},
  [8715] = {.lex_state = 434, .external_lex_state = 2},
  [8716] = {.lex_state = 434, .external_lex_state = 2},
  [8717] = {.lex_state = 434, .external_lex_state = 2},
  [8718] = {.lex_state = 434, .external_lex_state = 2},
  [8719] = {.lex_state = 169, .external_lex_state = 3},
  [8720] = {.lex_state = 169, .external_lex_state = 3},
  [8721] = {.lex_state = 434, .external_lex_state = 2},
  [8722] = {.lex_state = 434, .external_lex_state = 2},
  [8723] = {.lex_state = 434, .external_lex_state = 2},
  [8724] = {.lex_state = 186, .external_lex_state = 3},
  [8725] = {.lex_state = 434, .external_lex_state = 2},
  [8726] = {.lex_state = 434, .external_lex_state = 2},
  [8727] = {.lex_state = 434, .external_lex_state = 2},
  [8728] = {.lex_state = 169, .external_lex_state = 3},
  [8729] = {.lex_state = 434, .external_lex_state = 2},
  [8730] = {.lex_state = 186, .external_lex_state = 3},
  [8731] = {.lex_state = 169, .external_lex_state = 3},
  [8732] = {.lex_state = 169, .external_lex_state = 3},
  [8733] = {.lex_state = 169, .external_lex_state = 3},
  [8734] = {.lex_state = 169, .external_lex_state = 3},
  [8735] = {.lex_state = 169, .external_lex_state = 3},
  [8736] = {.lex_state = 169, .external_lex_state = 3},
  [8737] = {.lex_state = 169, .external_lex_state = 3},
  [8738] = {.lex_state = 434, .external_lex_state = 2},
  [8739] = {.lex_state = 434, .external_lex_state = 2},
  [8740] = {.lex_state = 186, .external_lex_state = 3},
  [8741] = {.lex_state = 186, .external_lex_state = 3},
  [8742] = {.lex_state = 186, .external_lex_state = 3},
  [8743] = {.lex_state = 186, .external_lex_state = 3},
  [8744] = {.lex_state = 157, .external_lex_state = 2},
  [8745] = {.lex_state = 233, .external_lex_state = 2},
  [8746] = {.lex_state = 186, .external_lex_state = 3},
  [8747] = {.lex_state = 186, .external_lex_state = 3},
  [8748] = {.lex_state = 186, .external_lex_state = 3},
  [8749] = {.lex_state = 186, .external_lex_state = 3},
  [8750] = {.lex_state = 157, .external_lex_state = 2},
  [8751] = {.lex_state = 186, .external_lex_state = 3},
  [8752] = {.lex_state = 232, .external_lex_state = 2},
  [8753] = {.lex_state = 186, .external_lex_state = 3},
  [8754] = {.lex_state = 232, .external_lex_state = 2},
  [8755] = {.lex_state = 186, .external_lex_state = 3},
  [8756] = {.lex_state = 186, .external_lex_state = 3},
  [8757] = {.lex_state = 157, .external_lex_state = 2},
  [8758] = {.lex_state = 186, .external_lex_state = 3},
  [8759] = {.lex_state = 186, .external_lex_state = 3},
  [8760] = {.lex_state = 186, .external_lex_state = 3},
  [8761] = {.lex_state = 232, .external_lex_state = 2},
  [8762] = {.lex_state = 186, .external_lex_state = 3},
  [8763] = {.lex_state = 186, .external_lex_state = 3},
  [8764] = {.lex_state = 233, .external_lex_state = 2},
  [8765] = {.lex_state = 186, .external_lex_state = 3},
  [8766] = {.lex_state = 186, .external_lex_state = 3},
  [8767] = {.lex_state = 186, .external_lex_state = 3},
  [8768] = {.lex_state = 232, .external_lex_state = 2},
  [8769] = {.lex_state = 186, .external_lex_state = 3},
  [8770] = {.lex_state = 186, .external_lex_state = 3},
  [8771] = {.lex_state = 232, .external_lex_state = 2},
  [8772] = {.lex_state = 436, .external_lex_state = 2},
  [8773] = {.lex_state = 186, .external_lex_state = 3},
  [8774] = {.lex_state = 186, .external_lex_state = 3},
  [8775] = {.lex_state = 233, .external_lex_state = 2},
  [8776] = {.lex_state = 186, .external_lex_state = 3},
  [8777] = {.lex_state = 186, .external_lex_state = 3},
  [8778] = {.lex_state = 186, .external_lex_state = 3},
  [8779] = {.lex_state = 186, .external_lex_state = 3},
  [8780] = {.lex_state = 186, .external_lex_state = 3},
  [8781] = {.lex_state = 186, .external_lex_state = 3},
  [8782] = {.lex_state = 186, .external_lex_state = 3},
  [8783] = {.lex_state = 157, .external_lex_state = 2},
  [8784] = {.lex_state = 186, .external_lex_state = 3},
  [8785] = {.lex_state = 186, .external_lex_state = 3},
  [8786] = {.lex_state = 186, .external_lex_state = 3},
  [8787] = {.lex_state = 186, .external_lex_state = 3},
  [8788] = {.lex_state = 186, .external_lex_state = 3},
  [8789] = {.lex_state = 186, .external_lex_state = 3},
  [8790] = {.lex_state = 232, .external_lex_state = 2},
  [8791] = {.lex_state = 186, .external_lex_state = 3},
  [8792] = {.lex_state = 186, .external_lex_state = 3},
  [8793] = {.lex_state = 186, .external_lex_state = 3},
  [8794] = {.lex_state = 186, .external_lex_state = 3},
  [8795] = {.lex_state = 186, .external_lex_state = 3},
  [8796] = {.lex_state = 186, .external_lex_state = 3},
  [8797] = {.lex_state = 186, .external_lex_state = 3},
  [8798] = {.lex_state = 186, .external_lex_state = 3},
  [8799] = {.lex_state = 186, .external_lex_state = 3},
  [8800] = {.lex_state = 186, .external_lex_state = 3},
  [8801] = {.lex_state = 186, .external_lex_state = 3},
  [8802] = {.lex_state = 186, .external_lex_state = 3},
  [8803] = {.lex_state = 232, .external_lex_state = 2},
  [8804] = {.lex_state = 157, .external_lex_state = 2},
  [8805] = {.lex_state = 232, .external_lex_state = 2},
  [8806] = {.lex_state = 232, .external_lex_state = 2},
  [8807] = {.lex_state = 232, .external_lex_state = 2},
  [8808] = {.lex_state = 233, .external_lex_state = 2},
  [8809] = {.lex_state = 233, .external_lex_state = 2},
  [8810] = {.lex_state = 232, .external_lex_state = 2},
  [8811] = {.lex_state = 232, .external_lex_state = 2},
  [8812] = {.lex_state = 232, .external_lex_state = 2},
  [8813] = {.lex_state = 232, .external_lex_state = 2},
  [8814] = {.lex_state = 232, .external_lex_state = 2},
  [8815] = {.lex_state = 230, .external_lex_state = 2},
  [8816] = {.lex_state = 230, .external_lex_state = 2},
  [8817] = {.lex_state = 232, .external_lex_state = 2},
  [8818] = {.lex_state = 232, .external_lex_state = 2},
  [8819] = {.lex_state = 157, .external_lex_state = 2},
  [8820] = {.lex_state = 232, .external_lex_state = 2},
  [8821] = {.lex_state = 228, .external_lex_state = 2},
  [8822] = {.lex_state = 157, .external_lex_state = 2},
  [8823] = {.lex_state = 228, .external_lex_state = 2},
  [8824] = {.lex_state = 157, .external_lex_state = 2},
  [8825] = {.lex_state = 230, .external_lex_state = 2},
  [8826] = {.lex_state = 228, .external_lex_state = 2},
  [8827] = {.lex_state = 218, .external_lex_state = 2},
  [8828] = {.lex_state = 434, .external_lex_state = 2},
  [8829] = {.lex_state = 434, .external_lex_state = 2},
  [8830] = {.lex_state = 434, .external_lex_state = 2},
  [8831] = {.lex_state = 434, .external_lex_state = 2},
  [8832] = {.lex_state = 434, .external_lex_state = 2},
  [8833] = {.lex_state = 434, .external_lex_state = 2},
  [8834] = {.lex_state = 434, .external_lex_state = 2},
  [8835] = {.lex_state = 434, .external_lex_state = 2},
  [8836] = {.lex_state = 434, .external_lex_state = 2},
  [8837] = {.lex_state = 157, .external_lex_state = 2},
  [8838] = {.lex_state = 157, .external_lex_state = 2},
  [8839] = {.lex_state = 434, .external_lex_state = 2},
  [8840] = {.lex_state = 434, .external_lex_state = 2},
  [8841] = {.lex_state = 157, .external_lex_state = 2},
  [8842] = {.lex_state = 434, .external_lex_state = 2},
  [8843] = {.lex_state = 434, .external_lex_state = 2},
  [8844] = {.lex_state = 434, .external_lex_state = 2},
  [8845] = {.lex_state = 157, .external_lex_state = 2},
  [8846] = {.lex_state = 434, .external_lex_state = 2},
  [8847] = {.lex_state = 434, .external_lex_state = 2},
  [8848] = {.lex_state = 434, .external_lex_state = 2},
  [8849] = {.lex_state = 434, .external_lex_state = 2},
  [8850] = {.lex_state = 157, .external_lex_state = 2},
  [8851] = {.lex_state = 228, .external_lex_state = 2},
  [8852] = {.lex_state = 434, .external_lex_state = 2},
  [8853] = {.lex_state = 434, .external_lex_state = 2},
  [8854] = {.lex_state = 157, .external_lex_state = 2},
  [8855] = {.lex_state = 217, .external_lex_state = 2},
  [8856] = {.lex_state = 218, .external_lex_state = 2},
  [8857] = {.lex_state = 157, .external_lex_state = 2},
  [8858] = {.lex_state = 434, .external_lex_state = 2},
  [8859] = {.lex_state = 157, .external_lex_state = 2},
  [8860] = {.lex_state = 434, .external_lex_state = 2},
  [8861] = {.lex_state = 217, .external_lex_state = 2},
  [8862] = {.lex_state = 157, .external_lex_state = 2},
  [8863] = {.lex_state = 434, .external_lex_state = 2},
  [8864] = {.lex_state = 434, .external_lex_state = 2},
  [8865] = {.lex_state = 434, .external_lex_state = 2},
  [8866] = {.lex_state = 434, .external_lex_state = 2},
  [8867] = {.lex_state = 434, .external_lex_state = 2},
  [8868] = {.lex_state = 230, .external_lex_state = 2},
  [8869] = {.lex_state = 434, .external_lex_state = 2},
  [8870] = {.lex_state = 434, .external_lex_state = 2},
  [8871] = {.lex_state = 434, .external_lex_state = 2},
  [8872] = {.lex_state = 434, .external_lex_state = 2},
  [8873] = {.lex_state = 434, .external_lex_state = 2},
  [8874] = {.lex_state = 434, .external_lex_state = 2},
  [8875] = {.lex_state = 434, .external_lex_state = 2},
  [8876] = {.lex_state = 434, .external_lex_state = 2},
  [8877] = {.lex_state = 434, .external_lex_state = 2},
  [8878] = {.lex_state = 434, .external_lex_state = 2},
  [8879] = {.lex_state = 434, .external_lex_state = 2},
  [8880] = {.lex_state = 434, .external_lex_state = 2},
  [8881] = {.lex_state = 8, .external_lex_state = 3},
  [8882] = {.lex_state = 230, .external_lex_state = 2},
  [8883] = {.lex_state = 230, .external_lex_state = 2},
  [8884] = {.lex_state = 230, .external_lex_state = 2},
  [8885] = {.lex_state = 230, .external_lex_state = 2},
  [8886] = {.lex_state = 434, .external_lex_state = 2},
  [8887] = {.lex_state = 434, .external_lex_state = 2},
  [8888] = {.lex_state = 230, .external_lex_state = 2},
  [8889] = {.lex_state = 8, .external_lex_state = 3},
  [8890] = {.lex_state = 434, .external_lex_state = 2},
  [8891] = {.lex_state = 230, .external_lex_state = 2},
  [8892] = {.lex_state = 434, .external_lex_state = 2},
  [8893] = {.lex_state = 232, .external_lex_state = 2},
  [8894] = {.lex_state = 434, .external_lex_state = 2},
  [8895] = {.lex_state = 434, .external_lex_state = 2},
  [8896] = {.lex_state = 434, .external_lex_state = 2},
  [8897] = {.lex_state = 434, .external_lex_state = 2},
  [8898] = {.lex_state = 8, .external_lex_state = 3},
  [8899] = {.lex_state = 228, .external_lex_state = 2},
  [8900] = {.lex_state = 8, .external_lex_state = 3},
  [8901] = {.lex_state = 434, .external_lex_state = 2},
  [8902] = {.lex_state = 230, .external_lex_state = 2},
  [8903] = {.lex_state = 434, .external_lex_state = 2},
  [8904] = {.lex_state = 434, .external_lex_state = 2},
  [8905] = {.lex_state = 228, .external_lex_state = 2},
  [8906] = {.lex_state = 434, .external_lex_state = 2},
  [8907] = {.lex_state = 434, .external_lex_state = 2},
  [8908] = {.lex_state = 434, .external_lex_state = 2},
  [8909] = {.lex_state = 434, .external_lex_state = 2},
  [8910] = {.lex_state = 434, .external_lex_state = 2},
  [8911] = {.lex_state = 434, .external_lex_state = 2},
  [8912] = {.lex_state = 434, .external_lex_state = 2},
  [8913] = {.lex_state = 434, .external_lex_state = 2},
  [8914] = {.lex_state = 434, .external_lex_state = 2},
  [8915] = {.lex_state = 8, .external_lex_state = 3},
  [8916] = {.lex_state = 230, .external_lex_state = 2},
  [8917] = {.lex_state = 434, .external_lex_state = 2},
  [8918] = {.lex_state = 434, .external_lex_state = 2},
  [8919] = {.lex_state = 434, .external_lex_state = 2},
  [8920] = {.lex_state = 434, .external_lex_state = 2},
  [8921] = {.lex_state = 434, .external_lex_state = 2},
  [8922] = {.lex_state = 434, .external_lex_state = 2},
  [8923] = {.lex_state = 228, .external_lex_state = 2},
  [8924] = {.lex_state = 8, .external_lex_state = 3},
  [8925] = {.lex_state = 434, .external_lex_state = 2},
  [8926] = {.lex_state = 434, .external_lex_state = 2},
  [8927] = {.lex_state = 434, .external_lex_state = 2},
  [8928] = {.lex_state = 434, .external_lex_state = 2},
  [8929] = {.lex_state = 8, .external_lex_state = 3},
  [8930] = {.lex_state = 434, .external_lex_state = 2},
  [8931] = {.lex_state = 434, .external_lex_state = 2},
  [8932] = {.lex_state = 434, .external_lex_state = 2},
  [8933] = {.lex_state = 230, .external_lex_state = 2},
  [8934] = {.lex_state = 434, .external_lex_state = 2},
  [8935] = {.lex_state = 231, .external_lex_state = 2},
  [8936] = {.lex_state = 434, .external_lex_state = 2},
  [8937] = {.lex_state = 434, .external_lex_state = 2},
  [8938] = {.lex_state = 434, .external_lex_state = 2},
  [8939] = {.lex_state = 434, .external_lex_state = 2},
  [8940] = {.lex_state = 229, .external_lex_state = 2},
  [8941] = {.lex_state = 232, .external_lex_state = 2},
  [8942] = {.lex_state = 434, .external_lex_state = 2},
  [8943] = {.lex_state = 187, .external_lex_state = 3},
  [8944] = {.lex_state = 434, .external_lex_state = 2},
  [8945] = {.lex_state = 434, .external_lex_state = 2},
  [8946] = {.lex_state = 434, .external_lex_state = 2},
  [8947] = {.lex_state = 230, .external_lex_state = 2},
  [8948] = {.lex_state = 230, .external_lex_state = 2},
  [8949] = {.lex_state = 229, .external_lex_state = 2},
  [8950] = {.lex_state = 434, .external_lex_state = 2},
  [8951] = {.lex_state = 8, .external_lex_state = 3},
  [8952] = {.lex_state = 434, .external_lex_state = 2},
  [8953] = {.lex_state = 8, .external_lex_state = 3},
  [8954] = {.lex_state = 230, .external_lex_state = 2},
  [8955] = {.lex_state = 434, .external_lex_state = 2},
  [8956] = {.lex_state = 230, .external_lex_state = 2},
  [8957] = {.lex_state = 434, .external_lex_state = 2},
  [8958] = {.lex_state = 434, .external_lex_state = 2},
  [8959] = {.lex_state = 230, .external_lex_state = 2},
  [8960] = {.lex_state = 434, .external_lex_state = 2},
  [8961] = {.lex_state = 434, .external_lex_state = 2},
  [8962] = {.lex_state = 434, .external_lex_state = 2},
  [8963] = {.lex_state = 434, .external_lex_state = 2},
  [8964] = {.lex_state = 8, .external_lex_state = 3},
  [8965] = {.lex_state = 434, .external_lex_state = 2},
  [8966] = {.lex_state = 434, .external_lex_state = 2},
  [8967] = {.lex_state = 229, .external_lex_state = 2},
  [8968] = {.lex_state = 434, .external_lex_state = 2},
  [8969] = {.lex_state = 434, .external_lex_state = 2},
  [8970] = {.lex_state = 434, .external_lex_state = 2},
  [8971] = {.lex_state = 434, .external_lex_state = 2},
  [8972] = {.lex_state = 434, .external_lex_state = 2},
  [8973] = {.lex_state = 434, .external_lex_state = 2},
  [8974] = {.lex_state = 230, .external_lex_state = 2},
  [8975] = {.lex_state = 232, .external_lex_state = 2},
  [8976] = {.lex_state = 8, .external_lex_state = 3},
  [8977] = {.lex_state = 434, .external_lex_state = 2},
  [8978] = {.lex_state = 187, .external_lex_state = 3},
  [8979] = {.lex_state = 434, .external_lex_state = 2},
  [8980] = {.lex_state = 218, .external_lex_state = 2},
  [8981] = {.lex_state = 434, .external_lex_state = 2},
  [8982] = {.lex_state = 434, .external_lex_state = 2},
  [8983] = {.lex_state = 230, .external_lex_state = 2},
  [8984] = {.lex_state = 434, .external_lex_state = 2},
  [8985] = {.lex_state = 228, .external_lex_state = 2},
  [8986] = {.lex_state = 434, .external_lex_state = 2},
  [8987] = {.lex_state = 228, .external_lex_state = 2},
  [8988] = {.lex_state = 434, .external_lex_state = 2},
  [8989] = {.lex_state = 8, .external_lex_state = 3},
  [8990] = {.lex_state = 217, .external_lex_state = 2},
  [8991] = {.lex_state = 8, .external_lex_state = 3},
  [8992] = {.lex_state = 434, .external_lex_state = 2},
  [8993] = {.lex_state = 434, .external_lex_state = 2},
  [8994] = {.lex_state = 434, .external_lex_state = 2},
  [8995] = {.lex_state = 228, .external_lex_state = 2},
  [8996] = {.lex_state = 434, .external_lex_state = 2},
  [8997] = {.lex_state = 228, .external_lex_state = 2},
  [8998] = {.lex_state = 228, .external_lex_state = 2},
  [8999] = {.lex_state = 434, .external_lex_state = 2},
  [9000] = {.lex_state = 434, .external_lex_state = 2},
  [9001] = {.lex_state = 8, .external_lex_state = 3},
  [9002] = {.lex_state = 8, .external_lex_state = 3},
  [9003] = {.lex_state = 230, .external_lex_state = 2},
  [9004] = {.lex_state = 228, .external_lex_state = 2},
  [9005] = {.lex_state = 434, .external_lex_state = 2},
  [9006] = {.lex_state = 434, .external_lex_state = 2},
  [9007] = {.lex_state = 434, .external_lex_state = 2},
  [9008] = {.lex_state = 8, .external_lex_state = 3},
  [9009] = {.lex_state = 8, .external_lex_state = 3},
  [9010] = {.lex_state = 228, .external_lex_state = 2},
  [9011] = {.lex_state = 228, .external_lex_state = 2},
  [9012] = {.lex_state = 228, .external_lex_state = 2},
  [9013] = {.lex_state = 8, .external_lex_state = 3},
  [9014] = {.lex_state = 228, .external_lex_state = 2},
  [9015] = {.lex_state = 218, .external_lex_state = 2},
  [9016] = {.lex_state = 228, .external_lex_state = 2},
  [9017] = {.lex_state = 8, .external_lex_state = 3},
  [9018] = {.lex_state = 434, .external_lex_state = 2},
  [9019] = {.lex_state = 434, .external_lex_state = 2},
  [9020] = {.lex_state = 8, .external_lex_state = 3},
  [9021] = {.lex_state = 8, .external_lex_state = 3},
  [9022] = {.lex_state = 230, .external_lex_state = 2},
  [9023] = {.lex_state = 8, .external_lex_state = 3},
  [9024] = {.lex_state = 434, .external_lex_state = 2},
  [9025] = {.lex_state = 8, .external_lex_state = 3},
  [9026] = {.lex_state = 434, .external_lex_state = 2},
  [9027] = {.lex_state = 434, .external_lex_state = 2},
  [9028] = {.lex_state = 434, .external_lex_state = 2},
  [9029] = {.lex_state = 434, .external_lex_state = 2},
  [9030] = {.lex_state = 8, .external_lex_state = 3},
  [9031] = {.lex_state = 230, .external_lex_state = 2},
  [9032] = {.lex_state = 157, .external_lex_state = 2},
  [9033] = {.lex_state = 434, .external_lex_state = 2},
  [9034] = {.lex_state = 434, .external_lex_state = 2},
  [9035] = {.lex_state = 217, .external_lex_state = 2},
  [9036] = {.lex_state = 434, .external_lex_state = 2},
  [9037] = {.lex_state = 228, .external_lex_state = 2},
  [9038] = {.lex_state = 434, .external_lex_state = 2},
  [9039] = {.lex_state = 434, .external_lex_state = 2},
  [9040] = {.lex_state = 228, .external_lex_state = 2},
  [9041] = {.lex_state = 228, .external_lex_state = 2},
  [9042] = {.lex_state = 228, .external_lex_state = 2},
  [9043] = {.lex_state = 8, .external_lex_state = 3},
  [9044] = {.lex_state = 434, .external_lex_state = 2},
  [9045] = {.lex_state = 8, .external_lex_state = 3},
  [9046] = {.lex_state = 434, .external_lex_state = 2},
  [9047] = {.lex_state = 434, .external_lex_state = 2},
  [9048] = {.lex_state = 8, .external_lex_state = 3},
  [9049] = {.lex_state = 230, .external_lex_state = 2},
  [9050] = {.lex_state = 8, .external_lex_state = 3},
  [9051] = {.lex_state = 434, .external_lex_state = 2},
  [9052] = {.lex_state = 434, .external_lex_state = 2},
  [9053] = {.lex_state = 228, .external_lex_state = 2},
  [9054] = {.lex_state = 8, .external_lex_state = 3},
  [9055] = {.lex_state = 434, .external_lex_state = 2},
  [9056] = {.lex_state = 230, .external_lex_state = 2},
  [9057] = {.lex_state = 434, .external_lex_state = 2},
  [9058] = {.lex_state = 230, .external_lex_state = 2},
  [9059] = {.lex_state = 8, .external_lex_state = 3},
  [9060] = {.lex_state = 217, .external_lex_state = 2},
  [9061] = {.lex_state = 217, .external_lex_state = 2},
  [9062] = {.lex_state = 434, .external_lex_state = 2},
  [9063] = {.lex_state = 434, .external_lex_state = 2},
  [9064] = {.lex_state = 8, .external_lex_state = 3},
  [9065] = {.lex_state = 8, .external_lex_state = 3},
  [9066] = {.lex_state = 230, .external_lex_state = 2},
  [9067] = {.lex_state = 434, .external_lex_state = 2},
  [9068] = {.lex_state = 434, .external_lex_state = 2},
  [9069] = {.lex_state = 434, .external_lex_state = 2},
  [9070] = {.lex_state = 8, .external_lex_state = 3},
  [9071] = {.lex_state = 434, .external_lex_state = 2},
  [9072] = {.lex_state = 230, .external_lex_state = 2},
  [9073] = {.lex_state = 8, .external_lex_state = 3},
  [9074] = {.lex_state = 228, .external_lex_state = 2},
  [9075] = {.lex_state = 8, .external_lex_state = 3},
  [9076] = {.lex_state = 8, .external_lex_state = 3},
  [9077] = {.lex_state = 228, .external_lex_state = 2},
  [9078] = {.lex_state = 228, .external_lex_state = 2},
  [9079] = {.lex_state = 434, .external_lex_state = 2},
  [9080] = {.lex_state = 228, .external_lex_state = 2},
  [9081] = {.lex_state = 228, .external_lex_state = 2},
  [9082] = {.lex_state = 228, .external_lex_state = 2},
  [9083] = {.lex_state = 434, .external_lex_state = 2},
  [9084] = {.lex_state = 218, .external_lex_state = 2},
  [9085] = {.lex_state = 218, .external_lex_state = 2},
  [9086] = {.lex_state = 8, .external_lex_state = 3},
  [9087] = {.lex_state = 228, .external_lex_state = 2},
  [9088] = {.lex_state = 434, .external_lex_state = 2},
  [9089] = {.lex_state = 228, .external_lex_state = 2},
  [9090] = {.lex_state = 230, .external_lex_state = 2},
  [9091] = {.lex_state = 228, .external_lex_state = 2},
  [9092] = {.lex_state = 434, .external_lex_state = 2},
  [9093] = {.lex_state = 434, .external_lex_state = 2},
  [9094] = {.lex_state = 232, .external_lex_state = 2},
  [9095] = {.lex_state = 434, .external_lex_state = 2},
  [9096] = {.lex_state = 218, .external_lex_state = 2},
  [9097] = {.lex_state = 434, .external_lex_state = 2},
  [9098] = {.lex_state = 8, .external_lex_state = 3},
  [9099] = {.lex_state = 434, .external_lex_state = 2},
  [9100] = {.lex_state = 434, .external_lex_state = 2},
  [9101] = {.lex_state = 218, .external_lex_state = 2},
  [9102] = {.lex_state = 218, .external_lex_state = 2},
  [9103] = {.lex_state = 230, .external_lex_state = 2},
  [9104] = {.lex_state = 434, .external_lex_state = 2},
  [9105] = {.lex_state = 230, .external_lex_state = 2},
  [9106] = {.lex_state = 8, .external_lex_state = 3},
  [9107] = {.lex_state = 8, .external_lex_state = 3},
  [9108] = {.lex_state = 218, .external_lex_state = 2},
  [9109] = {.lex_state = 8, .external_lex_state = 3},
  [9110] = {.lex_state = 228, .external_lex_state = 2},
  [9111] = {.lex_state = 8, .external_lex_state = 3},
  [9112] = {.lex_state = 434, .external_lex_state = 2},
  [9113] = {.lex_state = 434, .external_lex_state = 2},
  [9114] = {.lex_state = 434, .external_lex_state = 2},
  [9115] = {.lex_state = 231, .external_lex_state = 2},
  [9116] = {.lex_state = 217, .external_lex_state = 2},
  [9117] = {.lex_state = 8, .external_lex_state = 3},
  [9118] = {.lex_state = 232, .external_lex_state = 2},
  [9119] = {.lex_state = 230, .external_lex_state = 2},
  [9120] = {.lex_state = 8, .external_lex_state = 3},
  [9121] = {.lex_state = 8, .external_lex_state = 3},
  [9122] = {.lex_state = 8, .external_lex_state = 3},
  [9123] = {.lex_state = 8, .external_lex_state = 3},
  [9124] = {.lex_state = 434, .external_lex_state = 2},
  [9125] = {.lex_state = 230, .external_lex_state = 2},
  [9126] = {.lex_state = 8, .external_lex_state = 3},
  [9127] = {.lex_state = 230, .external_lex_state = 2},
  [9128] = {.lex_state = 434, .external_lex_state = 2},
  [9129] = {.lex_state = 230, .external_lex_state = 2},
  [9130] = {.lex_state = 434, .external_lex_state = 2},
  [9131] = {.lex_state = 434, .external_lex_state = 2},
  [9132] = {.lex_state = 434, .external_lex_state = 2},
  [9133] = {.lex_state = 434, .external_lex_state = 2},
  [9134] = {.lex_state = 230, .external_lex_state = 2},
  [9135] = {.lex_state = 434, .external_lex_state = 2},
  [9136] = {.lex_state = 434, .external_lex_state = 2},
  [9137] = {.lex_state = 228, .external_lex_state = 2},
  [9138] = {.lex_state = 228, .external_lex_state = 2},
  [9139] = {.lex_state = 434, .external_lex_state = 2},
  [9140] = {.lex_state = 8, .external_lex_state = 3},
  [9141] = {.lex_state = 434, .external_lex_state = 2},
  [9142] = {.lex_state = 8, .external_lex_state = 3},
  [9143] = {.lex_state = 8, .external_lex_state = 3},
  [9144] = {.lex_state = 8, .external_lex_state = 3},
  [9145] = {.lex_state = 8, .external_lex_state = 3},
  [9146] = {.lex_state = 434, .external_lex_state = 2},
  [9147] = {.lex_state = 8, .external_lex_state = 3},
  [9148] = {.lex_state = 434, .external_lex_state = 2},
  [9149] = {.lex_state = 434, .external_lex_state = 2},
  [9150] = {.lex_state = 8, .external_lex_state = 3},
  [9151] = {.lex_state = 8, .external_lex_state = 3},
  [9152] = {.lex_state = 434, .external_lex_state = 2},
  [9153] = {.lex_state = 434, .external_lex_state = 2},
  [9154] = {.lex_state = 434, .external_lex_state = 2},
  [9155] = {.lex_state = 8, .external_lex_state = 3},
  [9156] = {.lex_state = 8, .external_lex_state = 3},
  [9157] = {.lex_state = 8, .external_lex_state = 3},
  [9158] = {.lex_state = 231, .external_lex_state = 2},
  [9159] = {.lex_state = 434, .external_lex_state = 2},
  [9160] = {.lex_state = 8, .external_lex_state = 3},
  [9161] = {.lex_state = 157, .external_lex_state = 2},
  [9162] = {.lex_state = 8, .external_lex_state = 3},
  [9163] = {.lex_state = 434, .external_lex_state = 2},
  [9164] = {.lex_state = 8, .external_lex_state = 3},
  [9165] = {.lex_state = 434, .external_lex_state = 2},
  [9166] = {.lex_state = 434, .external_lex_state = 2},
  [9167] = {.lex_state = 434, .external_lex_state = 2},
  [9168] = {.lex_state = 434, .external_lex_state = 2},
  [9169] = {.lex_state = 434, .external_lex_state = 2},
  [9170] = {.lex_state = 228, .external_lex_state = 2},
  [9171] = {.lex_state = 434, .external_lex_state = 2},
  [9172] = {.lex_state = 434, .external_lex_state = 2},
  [9173] = {.lex_state = 434, .external_lex_state = 2},
  [9174] = {.lex_state = 8, .external_lex_state = 3},
  [9175] = {.lex_state = 8, .external_lex_state = 3},
  [9176] = {.lex_state = 232, .external_lex_state = 2},
  [9177] = {.lex_state = 8, .external_lex_state = 3},
  [9178] = {.lex_state = 8, .external_lex_state = 3},
  [9179] = {.lex_state = 217, .external_lex_state = 2},
  [9180] = {.lex_state = 8, .external_lex_state = 3},
  [9181] = {.lex_state = 8, .external_lex_state = 3},
  [9182] = {.lex_state = 217, .external_lex_state = 2},
  [9183] = {.lex_state = 434, .external_lex_state = 2},
  [9184] = {.lex_state = 434, .external_lex_state = 2},
  [9185] = {.lex_state = 8, .external_lex_state = 3},
  [9186] = {.lex_state = 8, .external_lex_state = 3},
  [9187] = {.lex_state = 434, .external_lex_state = 2},
  [9188] = {.lex_state = 8, .external_lex_state = 3},
  [9189] = {.lex_state = 8, .external_lex_state = 3},
  [9190] = {.lex_state = 8, .external_lex_state = 3},
  [9191] = {.lex_state = 434, .external_lex_state = 2},
  [9192] = {.lex_state = 8, .external_lex_state = 3},
  [9193] = {.lex_state = 434, .external_lex_state = 2},
  [9194] = {.lex_state = 8, .external_lex_state = 3},
  [9195] = {.lex_state = 434, .external_lex_state = 2},
  [9196] = {.lex_state = 434, .external_lex_state = 2},
  [9197] = {.lex_state = 217, .external_lex_state = 2},
  [9198] = {.lex_state = 434, .external_lex_state = 2},
  [9199] = {.lex_state = 173, .external_lex_state = 2},
  [9200] = {.lex_state = 218, .external_lex_state = 2},
  [9201] = {.lex_state = 218, .external_lex_state = 2},
  [9202] = {.lex_state = 218, .external_lex_state = 2},
  [9203] = {.lex_state = 218, .external_lex_state = 2},
  [9204] = {.lex_state = 160, .external_lex_state = 2},
  [9205] = {.lex_state = 218, .external_lex_state = 2},
  [9206] = {.lex_state = 229, .external_lex_state = 2},
  [9207] = {.lex_state = 232, .external_lex_state = 2},
  [9208] = {.lex_state = 160, .external_lex_state = 2},
  [9209] = {.lex_state = 232, .external_lex_state = 2},
  [9210] = {.lex_state = 217, .external_lex_state = 2},
  [9211] = {.lex_state = 218, .external_lex_state = 2},
  [9212] = {.lex_state = 434, .external_lex_state = 2},
  [9213] = {.lex_state = 217, .external_lex_state = 2},
  [9214] = {.lex_state = 238, .external_lex_state = 2},
  [9215] = {.lex_state = 217, .external_lex_state = 2},
  [9216] = {.lex_state = 434, .external_lex_state = 2},
  [9217] = {.lex_state = 160, .external_lex_state = 2},
  [9218] = {.lex_state = 187, .external_lex_state = 3},
  [9219] = {.lex_state = 160, .external_lex_state = 2},
  [9220] = {.lex_state = 231, .external_lex_state = 2},
  [9221] = {.lex_state = 206, .external_lex_state = 2},
  [9222] = {.lex_state = 217, .external_lex_state = 2},
  [9223] = {.lex_state = 157, .external_lex_state = 2},
  [9224] = {.lex_state = 211, .external_lex_state = 2},
  [9225] = {.lex_state = 217, .external_lex_state = 2},
  [9226] = {.lex_state = 218, .external_lex_state = 2},
  [9227] = {.lex_state = 238, .external_lex_state = 2},
  [9228] = {.lex_state = 157, .external_lex_state = 2},
  [9229] = {.lex_state = 212, .external_lex_state = 2},
  [9230] = {.lex_state = 218, .external_lex_state = 2},
  [9231] = {.lex_state = 218, .external_lex_state = 2},
  [9232] = {.lex_state = 157, .external_lex_state = 2},
  [9233] = {.lex_state = 217, .external_lex_state = 2},
  [9234] = {.lex_state = 232, .external_lex_state = 2},
  [9235] = {.lex_state = 160, .external_lex_state = 2},
  [9236] = {.lex_state = 187, .external_lex_state = 3},
  [9237] = {.lex_state = 217, .external_lex_state = 2},
  [9238] = {.lex_state = 232, .external_lex_state = 2},
  [9239] = {.lex_state = 160, .external_lex_state = 2},
  [9240] = {.lex_state = 218, .external_lex_state = 2},
  [9241] = {.lex_state = 212, .external_lex_state = 2},
  [9242] = {.lex_state = 232, .external_lex_state = 2},
  [9243] = {.lex_state = 217, .external_lex_state = 2},
  [9244] = {.lex_state = 160, .external_lex_state = 2},
  [9245] = {.lex_state = 434, .external_lex_state = 2},
  [9246] = {.lex_state = 232, .external_lex_state = 2},
  [9247] = {.lex_state = 434, .external_lex_state = 2},
  [9248] = {.lex_state = 217, .external_lex_state = 2},
  [9249] = {.lex_state = 171, .external_lex_state = 2},
  [9250] = {.lex_state = 218, .external_lex_state = 2},
  [9251] = {.lex_state = 217, .external_lex_state = 2},
  [9252] = {.lex_state = 218, .external_lex_state = 2},
  [9253] = {.lex_state = 160, .external_lex_state = 2},
  [9254] = {.lex_state = 218, .external_lex_state = 2},
  [9255] = {.lex_state = 217, .external_lex_state = 2},
  [9256] = {.lex_state = 434, .external_lex_state = 2},
  [9257] = {.lex_state = 218, .external_lex_state = 2},
  [9258] = {.lex_state = 160, .external_lex_state = 2},
  [9259] = {.lex_state = 206, .external_lex_state = 2},
  [9260] = {.lex_state = 160, .external_lex_state = 2},
  [9261] = {.lex_state = 171, .external_lex_state = 2},
  [9262] = {.lex_state = 218, .external_lex_state = 2},
  [9263] = {.lex_state = 232, .external_lex_state = 2},
  [9264] = {.lex_state = 160, .external_lex_state = 2},
  [9265] = {.lex_state = 160, .external_lex_state = 2},
  [9266] = {.lex_state = 217, .external_lex_state = 2},
  [9267] = {.lex_state = 217, .external_lex_state = 2},
  [9268] = {.lex_state = 233, .external_lex_state = 2},
  [9269] = {.lex_state = 7, .external_lex_state = 2},
  [9270] = {.lex_state = 211, .external_lex_state = 2},
  [9271] = {.lex_state = 434, .external_lex_state = 2},
  [9272] = {.lex_state = 217, .external_lex_state = 2},
  [9273] = {.lex_state = 217, .external_lex_state = 2},
  [9274] = {.lex_state = 217, .external_lex_state = 2},
  [9275] = {.lex_state = 217, .external_lex_state = 2},
  [9276] = {.lex_state = 232, .external_lex_state = 2},
  [9277] = {.lex_state = 160, .external_lex_state = 2},
  [9278] = {.lex_state = 217, .external_lex_state = 2},
  [9279] = {.lex_state = 160, .external_lex_state = 2},
  [9280] = {.lex_state = 434, .external_lex_state = 2},
  [9281] = {.lex_state = 160, .external_lex_state = 2},
  [9282] = {.lex_state = 217, .external_lex_state = 2},
  [9283] = {.lex_state = 171, .external_lex_state = 2},
  [9284] = {.lex_state = 218, .external_lex_state = 2},
  [9285] = {.lex_state = 218, .external_lex_state = 2},
  [9286] = {.lex_state = 218, .external_lex_state = 2},
  [9287] = {.lex_state = 160, .external_lex_state = 2},
  [9288] = {.lex_state = 218, .external_lex_state = 2},
  [9289] = {.lex_state = 160, .external_lex_state = 2},
  [9290] = {.lex_state = 218, .external_lex_state = 2},
  [9291] = {.lex_state = 160, .external_lex_state = 2},
  [9292] = {.lex_state = 187, .external_lex_state = 3},
  [9293] = {.lex_state = 218, .external_lex_state = 2},
  [9294] = {.lex_state = 160, .external_lex_state = 2},
  [9295] = {.lex_state = 206, .external_lex_state = 2},
  [9296] = {.lex_state = 160, .external_lex_state = 2},
  [9297] = {.lex_state = 218, .external_lex_state = 2},
  [9298] = {.lex_state = 218, .external_lex_state = 2},
  [9299] = {.lex_state = 218, .external_lex_state = 2},
  [9300] = {.lex_state = 218, .external_lex_state = 2},
  [9301] = {.lex_state = 160, .external_lex_state = 2},
  [9302] = {.lex_state = 217, .external_lex_state = 2},
  [9303] = {.lex_state = 218, .external_lex_state = 2},
  [9304] = {.lex_state = 171, .external_lex_state = 2},
  [9305] = {.lex_state = 218, .external_lex_state = 2},
  [9306] = {.lex_state = 218, .external_lex_state = 2},
  [9307] = {.lex_state = 171, .external_lex_state = 2},
  [9308] = {.lex_state = 160, .external_lex_state = 2},
  [9309] = {.lex_state = 171, .external_lex_state = 2},
  [9310] = {.lex_state = 232, .external_lex_state = 2},
  [9311] = {.lex_state = 238, .external_lex_state = 2},
  [9312] = {.lex_state = 217, .external_lex_state = 2},
  [9313] = {.lex_state = 187, .external_lex_state = 3},
  [9314] = {.lex_state = 173, .external_lex_state = 2},
  [9315] = {.lex_state = 232, .external_lex_state = 2},
  [9316] = {.lex_state = 238, .external_lex_state = 2},
  [9317] = {.lex_state = 217, .external_lex_state = 2},
  [9318] = {.lex_state = 218, .external_lex_state = 2},
  [9319] = {.lex_state = 218, .external_lex_state = 2},
  [9320] = {.lex_state = 173, .external_lex_state = 2},
  [9321] = {.lex_state = 217, .external_lex_state = 2},
  [9322] = {.lex_state = 232, .external_lex_state = 2},
  [9323] = {.lex_state = 218, .external_lex_state = 2},
  [9324] = {.lex_state = 217, .external_lex_state = 2},
  [9325] = {.lex_state = 173, .external_lex_state = 2},
  [9326] = {.lex_state = 173, .external_lex_state = 2},
  [9327] = {.lex_state = 218, .external_lex_state = 2},
  [9328] = {.lex_state = 217, .external_lex_state = 2},
  [9329] = {.lex_state = 217, .external_lex_state = 2},
  [9330] = {.lex_state = 217, .external_lex_state = 2},
  [9331] = {.lex_state = 217, .external_lex_state = 2},
  [9332] = {.lex_state = 217, .external_lex_state = 2},
  [9333] = {.lex_state = 173, .external_lex_state = 2},
  [9334] = {.lex_state = 217, .external_lex_state = 2},
  [9335] = {.lex_state = 217, .external_lex_state = 2},
  [9336] = {.lex_state = 217, .external_lex_state = 2},
  [9337] = {.lex_state = 218, .external_lex_state = 2},
  [9338] = {.lex_state = 232, .external_lex_state = 2},
  [9339] = {.lex_state = 434, .external_lex_state = 2},
  [9340] = {.lex_state = 160, .external_lex_state = 2},
  [9341] = {.lex_state = 206, .external_lex_state = 2},
  [9342] = {.lex_state = 434, .external_lex_state = 2},
  [9343] = {.lex_state = 434, .external_lex_state = 2},
  [9344] = {.lex_state = 218, .external_lex_state = 2},
  [9345] = {.lex_state = 217, .external_lex_state = 2},
  [9346] = {.lex_state = 206, .external_lex_state = 2},
  [9347] = {.lex_state = 160, .external_lex_state = 2},
  [9348] = {.lex_state = 232, .external_lex_state = 2},
  [9349] = {.lex_state = 232, .external_lex_state = 2},
  [9350] = {.lex_state = 217, .external_lex_state = 2},
  [9351] = {.lex_state = 160, .external_lex_state = 2},
  [9352] = {.lex_state = 211, .external_lex_state = 2},
  [9353] = {.lex_state = 162, .external_lex_state = 2},
  [9354] = {.lex_state = 224, .external_lex_state = 2},
  [9355] = {.lex_state = 229, .external_lex_state = 2},
  [9356] = {.lex_state = 7, .external_lex_state = 2},
  [9357] = {.lex_state = 224, .external_lex_state = 2},
  [9358] = {.lex_state = 434, .external_lex_state = 2},
  [9359] = {.lex_state = 7, .external_lex_state = 2},
  [9360] = {.lex_state = 160, .external_lex_state = 2},
  [9361] = {.lex_state = 160, .external_lex_state = 2},
  [9362] = {.lex_state = 160, .external_lex_state = 2},
  [9363] = {.lex_state = 160, .external_lex_state = 2},
  [9364] = {.lex_state = 160, .external_lex_state = 2},
  [9365] = {.lex_state = 162, .external_lex_state = 2},
  [9366] = {.lex_state = 7, .external_lex_state = 2},
  [9367] = {.lex_state = 7, .external_lex_state = 2},
  [9368] = {.lex_state = 161, .external_lex_state = 2},
  [9369] = {.lex_state = 162, .external_lex_state = 2},
  [9370] = {.lex_state = 162, .external_lex_state = 2},
  [9371] = {.lex_state = 162, .external_lex_state = 2},
  [9372] = {.lex_state = 162, .external_lex_state = 2},
  [9373] = {.lex_state = 161, .external_lex_state = 2},
  [9374] = {.lex_state = 160, .external_lex_state = 2},
  [9375] = {.lex_state = 162, .external_lex_state = 2},
  [9376] = {.lex_state = 231, .external_lex_state = 2},
  [9377] = {.lex_state = 162, .external_lex_state = 2},
  [9378] = {.lex_state = 162, .external_lex_state = 2},
  [9379] = {.lex_state = 229, .external_lex_state = 2},
  [9380] = {.lex_state = 232, .external_lex_state = 2},
  [9381] = {.lex_state = 7, .external_lex_state = 2},
  [9382] = {.lex_state = 229, .external_lex_state = 2},
  [9383] = {.lex_state = 229, .external_lex_state = 2},
  [9384] = {.lex_state = 7, .external_lex_state = 2},
  [9385] = {.lex_state = 7, .external_lex_state = 2},
  [9386] = {.lex_state = 229, .external_lex_state = 2},
  [9387] = {.lex_state = 229, .external_lex_state = 2},
  [9388] = {.lex_state = 229, .external_lex_state = 2},
  [9389] = {.lex_state = 162, .external_lex_state = 2},
  [9390] = {.lex_state = 7, .external_lex_state = 2},
  [9391] = {.lex_state = 222, .external_lex_state = 2},
  [9392] = {.lex_state = 7, .external_lex_state = 2},
  [9393] = {.lex_state = 229, .external_lex_state = 2},
  [9394] = {.lex_state = 212, .external_lex_state = 2},
  [9395] = {.lex_state = 212, .external_lex_state = 2},
  [9396] = {.lex_state = 7, .external_lex_state = 2},
  [9397] = {.lex_state = 7, .external_lex_state = 2},
  [9398] = {.lex_state = 7, .external_lex_state = 2},
  [9399] = {.lex_state = 7, .external_lex_state = 2},
  [9400] = {.lex_state = 7, .external_lex_state = 2},
  [9401] = {.lex_state = 162, .external_lex_state = 2},
  [9402] = {.lex_state = 212, .external_lex_state = 2},
  [9403] = {.lex_state = 231, .external_lex_state = 2},
  [9404] = {.lex_state = 231, .external_lex_state = 2},
  [9405] = {.lex_state = 231, .external_lex_state = 2},
  [9406] = {.lex_state = 231, .external_lex_state = 2},
  [9407] = {.lex_state = 231, .external_lex_state = 2},
  [9408] = {.lex_state = 7, .external_lex_state = 2},
  [9409] = {.lex_state = 212, .external_lex_state = 2},
  [9410] = {.lex_state = 212, .external_lex_state = 2},
  [9411] = {.lex_state = 7, .external_lex_state = 2},
  [9412] = {.lex_state = 229, .external_lex_state = 2},
  [9413] = {.lex_state = 229, .external_lex_state = 2},
  [9414] = {.lex_state = 199, .external_lex_state = 3},
  [9415] = {.lex_state = 7, .external_lex_state = 2},
  [9416] = {.lex_state = 229, .external_lex_state = 2},
  [9417] = {.lex_state = 7, .external_lex_state = 2},
  [9418] = {.lex_state = 211, .external_lex_state = 2},
  [9419] = {.lex_state = 231, .external_lex_state = 2},
  [9420] = {.lex_state = 212, .external_lex_state = 2},
  [9421] = {.lex_state = 211, .external_lex_state = 2},
  [9422] = {.lex_state = 231, .external_lex_state = 2},
  [9423] = {.lex_state = 161, .external_lex_state = 2},
  [9424] = {.lex_state = 231, .external_lex_state = 2},
  [9425] = {.lex_state = 231, .external_lex_state = 2},
  [9426] = {.lex_state = 231, .external_lex_state = 2},
  [9427] = {.lex_state = 229, .external_lex_state = 2},
  [9428] = {.lex_state = 229, .external_lex_state = 2},
  [9429] = {.lex_state = 217, .external_lex_state = 2},
  [9430] = {.lex_state = 231, .external_lex_state = 2},
  [9431] = {.lex_state = 211, .external_lex_state = 2},
  [9432] = {.lex_state = 162, .external_lex_state = 2},
  [9433] = {.lex_state = 229, .external_lex_state = 2},
  [9434] = {.lex_state = 171, .external_lex_state = 2},
  [9435] = {.lex_state = 7, .external_lex_state = 2},
  [9436] = {.lex_state = 229, .external_lex_state = 2},
  [9437] = {.lex_state = 231, .external_lex_state = 2},
  [9438] = {.lex_state = 231, .external_lex_state = 2},
  [9439] = {.lex_state = 231, .external_lex_state = 2},
  [9440] = {.lex_state = 231, .external_lex_state = 2},
  [9441] = {.lex_state = 229, .external_lex_state = 2},
  [9442] = {.lex_state = 7, .external_lex_state = 2},
  [9443] = {.lex_state = 7, .external_lex_state = 2},
  [9444] = {.lex_state = 7, .external_lex_state = 2},
  [9445] = {.lex_state = 162, .external_lex_state = 2},
  [9446] = {.lex_state = 7, .external_lex_state = 2},
  [9447] = {.lex_state = 7, .external_lex_state = 2},
  [9448] = {.lex_state = 7, .external_lex_state = 2},
  [9449] = {.lex_state = 211, .external_lex_state = 2},
  [9450] = {.lex_state = 162, .external_lex_state = 2},
  [9451] = {.lex_state = 7, .external_lex_state = 2},
  [9452] = {.lex_state = 211, .external_lex_state = 2},
  [9453] = {.lex_state = 7, .external_lex_state = 2},
  [9454] = {.lex_state = 7, .external_lex_state = 2},
  [9455] = {.lex_state = 231, .external_lex_state = 2},
  [9456] = {.lex_state = 229, .external_lex_state = 2},
  [9457] = {.lex_state = 231, .external_lex_state = 2},
  [9458] = {.lex_state = 231, .external_lex_state = 2},
  [9459] = {.lex_state = 231, .external_lex_state = 2},
  [9460] = {.lex_state = 231, .external_lex_state = 2},
  [9461] = {.lex_state = 231, .external_lex_state = 2},
  [9462] = {.lex_state = 211, .external_lex_state = 2},
  [9463] = {.lex_state = 200, .external_lex_state = 3},
  [9464] = {.lex_state = 7, .external_lex_state = 2},
  [9465] = {.lex_state = 7, .external_lex_state = 2},
  [9466] = {.lex_state = 7, .external_lex_state = 2},
  [9467] = {.lex_state = 7, .external_lex_state = 2},
  [9468] = {.lex_state = 231, .external_lex_state = 2},
  [9469] = {.lex_state = 231, .external_lex_state = 2},
  [9470] = {.lex_state = 231, .external_lex_state = 2},
  [9471] = {.lex_state = 7, .external_lex_state = 2},
  [9472] = {.lex_state = 7, .external_lex_state = 2},
  [9473] = {.lex_state = 7, .external_lex_state = 2},
  [9474] = {.lex_state = 7, .external_lex_state = 2},
  [9475] = {.lex_state = 7, .external_lex_state = 2},
  [9476] = {.lex_state = 231, .external_lex_state = 2},
  [9477] = {.lex_state = 7, .external_lex_state = 2},
  [9478] = {.lex_state = 7, .external_lex_state = 2},
  [9479] = {.lex_state = 7, .external_lex_state = 2},
  [9480] = {.lex_state = 229, .external_lex_state = 2},
  [9481] = {.lex_state = 7, .external_lex_state = 2},
  [9482] = {.lex_state = 231, .external_lex_state = 2},
  [9483] = {.lex_state = 7, .external_lex_state = 2},
  [9484] = {.lex_state = 231, .external_lex_state = 2},
  [9485] = {.lex_state = 7, .external_lex_state = 2},
  [9486] = {.lex_state = 212, .external_lex_state = 2},
  [9487] = {.lex_state = 7, .external_lex_state = 2},
  [9488] = {.lex_state = 7, .external_lex_state = 2},
  [9489] = {.lex_state = 7, .external_lex_state = 2},
  [9490] = {.lex_state = 229, .external_lex_state = 2},
  [9491] = {.lex_state = 7, .external_lex_state = 2},
  [9492] = {.lex_state = 7, .external_lex_state = 2},
  [9493] = {.lex_state = 7, .external_lex_state = 2},
  [9494] = {.lex_state = 7, .external_lex_state = 2},
  [9495] = {.lex_state = 7, .external_lex_state = 2},
  [9496] = {.lex_state = 7, .external_lex_state = 2},
  [9497] = {.lex_state = 7, .external_lex_state = 2},
  [9498] = {.lex_state = 222, .external_lex_state = 2},
  [9499] = {.lex_state = 162, .external_lex_state = 2},
  [9500] = {.lex_state = 161, .external_lex_state = 2},
  [9501] = {.lex_state = 232, .external_lex_state = 2},
  [9502] = {.lex_state = 7, .external_lex_state = 2},
  [9503] = {.lex_state = 7, .external_lex_state = 2},
  [9504] = {.lex_state = 7, .external_lex_state = 2},
  [9505] = {.lex_state = 7, .external_lex_state = 2},
  [9506] = {.lex_state = 7, .external_lex_state = 2},
  [9507] = {.lex_state = 229, .external_lex_state = 2},
  [9508] = {.lex_state = 229, .external_lex_state = 2},
  [9509] = {.lex_state = 7, .external_lex_state = 2},
  [9510] = {.lex_state = 162, .external_lex_state = 2},
  [9511] = {.lex_state = 211, .external_lex_state = 2},
  [9512] = {.lex_state = 231, .external_lex_state = 2},
  [9513] = {.lex_state = 162, .external_lex_state = 2},
  [9514] = {.lex_state = 173, .external_lex_state = 2},
  [9515] = {.lex_state = 7, .external_lex_state = 2},
  [9516] = {.lex_state = 212, .external_lex_state = 2},
  [9517] = {.lex_state = 7, .external_lex_state = 2},
  [9518] = {.lex_state = 162, .external_lex_state = 2},
  [9519] = {.lex_state = 7, .external_lex_state = 2},
  [9520] = {.lex_state = 162, .external_lex_state = 2},
  [9521] = {.lex_state = 7, .external_lex_state = 2},
  [9522] = {.lex_state = 7, .external_lex_state = 2},
  [9523] = {.lex_state = 162, .external_lex_state = 2},
  [9524] = {.lex_state = 162, .external_lex_state = 2},
  [9525] = {.lex_state = 162, .external_lex_state = 2},
  [9526] = {.lex_state = 7, .external_lex_state = 2},
  [9527] = {.lex_state = 7, .external_lex_state = 2},
  [9528] = {.lex_state = 38, .external_lex_state = 3},
  [9529] = {.lex_state = 232, .external_lex_state = 2},
  [9530] = {.lex_state = 7, .external_lex_state = 2},
  [9531] = {.lex_state = 229, .external_lex_state = 2},
  [9532] = {.lex_state = 7, .external_lex_state = 2},
  [9533] = {.lex_state = 232, .external_lex_state = 2},
  [9534] = {.lex_state = 7, .external_lex_state = 2},
  [9535] = {.lex_state = 162, .external_lex_state = 2},
  [9536] = {.lex_state = 162, .external_lex_state = 2},
  [9537] = {.lex_state = 7, .external_lex_state = 2},
  [9538] = {.lex_state = 232, .external_lex_state = 2},
  [9539] = {.lex_state = 7, .external_lex_state = 2},
  [9540] = {.lex_state = 7, .external_lex_state = 2},
  [9541] = {.lex_state = 7, .external_lex_state = 2},
  [9542] = {.lex_state = 162, .external_lex_state = 2},
  [9543] = {.lex_state = 7, .external_lex_state = 2},
  [9544] = {.lex_state = 162, .external_lex_state = 2},
  [9545] = {.lex_state = 162, .external_lex_state = 2},
  [9546] = {.lex_state = 7, .external_lex_state = 2},
  [9547] = {.lex_state = 229, .external_lex_state = 2},
  [9548] = {.lex_state = 231, .external_lex_state = 2},
  [9549] = {.lex_state = 229, .external_lex_state = 2},
  [9550] = {.lex_state = 162, .external_lex_state = 2},
  [9551] = {.lex_state = 229, .external_lex_state = 2},
  [9552] = {.lex_state = 7, .external_lex_state = 2},
  [9553] = {.lex_state = 7, .external_lex_state = 2},
  [9554] = {.lex_state = 162, .external_lex_state = 2},
  [9555] = {.lex_state = 229, .external_lex_state = 2},
  [9556] = {.lex_state = 7, .external_lex_state = 2},
  [9557] = {.lex_state = 171, .external_lex_state = 2},
  [9558] = {.lex_state = 161, .external_lex_state = 2},
  [9559] = {.lex_state = 161, .external_lex_state = 2},
  [9560] = {.lex_state = 7, .external_lex_state = 2},
  [9561] = {.lex_state = 7, .external_lex_state = 2},
  [9562] = {.lex_state = 231, .external_lex_state = 2},
  [9563] = {.lex_state = 232, .external_lex_state = 2},
  [9564] = {.lex_state = 162, .external_lex_state = 2},
  [9565] = {.lex_state = 232, .external_lex_state = 2},
  [9566] = {.lex_state = 235, .external_lex_state = 2},
  [9567] = {.lex_state = 229, .external_lex_state = 2},
  [9568] = {.lex_state = 162, .external_lex_state = 2},
  [9569] = {.lex_state = 162, .external_lex_state = 2},
  [9570] = {.lex_state = 162, .external_lex_state = 2},
  [9571] = {.lex_state = 162, .external_lex_state = 2},
  [9572] = {.lex_state = 162, .external_lex_state = 2},
  [9573] = {.lex_state = 160, .external_lex_state = 2},
  [9574] = {.lex_state = 162, .external_lex_state = 2},
  [9575] = {.lex_state = 162, .external_lex_state = 2},
  [9576] = {.lex_state = 162, .external_lex_state = 2},
  [9577] = {.lex_state = 7, .external_lex_state = 2},
  [9578] = {.lex_state = 162, .external_lex_state = 2},
  [9579] = {.lex_state = 162, .external_lex_state = 2},
  [9580] = {.lex_state = 162, .external_lex_state = 2},
  [9581] = {.lex_state = 162, .external_lex_state = 2},
  [9582] = {.lex_state = 162, .external_lex_state = 2},
  [9583] = {.lex_state = 162, .external_lex_state = 2},
  [9584] = {.lex_state = 162, .external_lex_state = 2},
  [9585] = {.lex_state = 162, .external_lex_state = 2},
  [9586] = {.lex_state = 162, .external_lex_state = 2},
  [9587] = {.lex_state = 162, .external_lex_state = 2},
  [9588] = {.lex_state = 162, .external_lex_state = 2},
  [9589] = {.lex_state = 162, .external_lex_state = 2},
  [9590] = {.lex_state = 162, .external_lex_state = 2},
  [9591] = {.lex_state = 162, .external_lex_state = 2},
  [9592] = {.lex_state = 162, .external_lex_state = 2},
  [9593] = {.lex_state = 162, .external_lex_state = 2},
  [9594] = {.lex_state = 162, .external_lex_state = 2},
  [9595] = {.lex_state = 162, .external_lex_state = 2},
  [9596] = {.lex_state = 162, .external_lex_state = 2},
  [9597] = {.lex_state = 162, .external_lex_state = 2},
  [9598] = {.lex_state = 162, .external_lex_state = 2},
  [9599] = {.lex_state = 162, .external_lex_state = 2},
  [9600] = {.lex_state = 162, .external_lex_state = 2},
  [9601] = {.lex_state = 162, .external_lex_state = 2},
  [9602] = {.lex_state = 162, .external_lex_state = 2},
  [9603] = {.lex_state = 162, .external_lex_state = 2},
  [9604] = {.lex_state = 162, .external_lex_state = 2},
  [9605] = {.lex_state = 162, .external_lex_state = 2},
  [9606] = {.lex_state = 162, .external_lex_state = 2},
  [9607] = {.lex_state = 162, .external_lex_state = 2},
  [9608] = {.lex_state = 162, .external_lex_state = 2},
  [9609] = {.lex_state = 162, .external_lex_state = 2},
  [9610] = {.lex_state = 162, .external_lex_state = 2},
  [9611] = {.lex_state = 160, .external_lex_state = 2},
  [9612] = {.lex_state = 162, .external_lex_state = 2},
  [9613] = {.lex_state = 7, .external_lex_state = 2},
  [9614] = {.lex_state = 161, .external_lex_state = 2},
  [9615] = {.lex_state = 161, .external_lex_state = 2},
  [9616] = {.lex_state = 162, .external_lex_state = 2},
  [9617] = {.lex_state = 161, .external_lex_state = 2},
  [9618] = {.lex_state = 160, .external_lex_state = 2},
  [9619] = {.lex_state = 162, .external_lex_state = 2},
  [9620] = {.lex_state = 161, .external_lex_state = 2},
  [9621] = {.lex_state = 161, .external_lex_state = 2},
  [9622] = {.lex_state = 161, .external_lex_state = 2},
  [9623] = {.lex_state = 161, .external_lex_state = 2},
  [9624] = {.lex_state = 161, .external_lex_state = 2},
  [9625] = {.lex_state = 162, .external_lex_state = 2},
  [9626] = {.lex_state = 162, .external_lex_state = 2},
  [9627] = {.lex_state = 161, .external_lex_state = 2},
  [9628] = {.lex_state = 160, .external_lex_state = 2},
  [9629] = {.lex_state = 162, .external_lex_state = 2},
  [9630] = {.lex_state = 162, .external_lex_state = 2},
  [9631] = {.lex_state = 162, .external_lex_state = 2},
  [9632] = {.lex_state = 162, .external_lex_state = 2},
  [9633] = {.lex_state = 162, .external_lex_state = 2},
  [9634] = {.lex_state = 162, .external_lex_state = 2},
  [9635] = {.lex_state = 162, .external_lex_state = 2},
  [9636] = {.lex_state = 161, .external_lex_state = 2},
  [9637] = {.lex_state = 161, .external_lex_state = 2},
  [9638] = {.lex_state = 173, .external_lex_state = 2},
  [9639] = {.lex_state = 161, .external_lex_state = 2},
  [9640] = {.lex_state = 7, .external_lex_state = 2},
  [9641] = {.lex_state = 161, .external_lex_state = 2},
  [9642] = {.lex_state = 229, .external_lex_state = 2},
  [9643] = {.lex_state = 160, .external_lex_state = 2},
  [9644] = {.lex_state = 160, .external_lex_state = 2},
  [9645] = {.lex_state = 160, .external_lex_state = 2},
  [9646] = {.lex_state = 232, .external_lex_state = 2},
  [9647] = {.lex_state = 160, .external_lex_state = 2},
  [9648] = {.lex_state = 160, .external_lex_state = 2},
  [9649] = {.lex_state = 160, .external_lex_state = 2},
  [9650] = {.lex_state = 232, .external_lex_state = 2},
  [9651] = {.lex_state = 160, .external_lex_state = 2},
  [9652] = {.lex_state = 218, .external_lex_state = 2},
  [9653] = {.lex_state = 7, .external_lex_state = 2},
  [9654] = {.lex_state = 7, .external_lex_state = 2},
  [9655] = {.lex_state = 229, .external_lex_state = 2},
  [9656] = {.lex_state = 160, .external_lex_state = 2},
  [9657] = {.lex_state = 229, .external_lex_state = 2},
  [9658] = {.lex_state = 229, .external_lex_state = 2},
  [9659] = {.lex_state = 229, .external_lex_state = 2},
  [9660] = {.lex_state = 231, .external_lex_state = 2},
  [9661] = {.lex_state = 234, .external_lex_state = 2},
  [9662] = {.lex_state = 434, .external_lex_state = 2},
  [9663] = {.lex_state = 173, .external_lex_state = 2},
  [9664] = {.lex_state = 434, .external_lex_state = 2},
  [9665] = {.lex_state = 434, .external_lex_state = 2},
  [9666] = {.lex_state = 211, .external_lex_state = 2},
  [9667] = {.lex_state = 434, .external_lex_state = 2},
  [9668] = {.lex_state = 434, .external_lex_state = 2},
  [9669] = {.lex_state = 217, .external_lex_state = 2},
  [9670] = {.lex_state = 173, .external_lex_state = 2},
  [9671] = {.lex_state = 434, .external_lex_state = 2},
  [9672] = {.lex_state = 434, .external_lex_state = 2},
  [9673] = {.lex_state = 173, .external_lex_state = 2},
  [9674] = {.lex_state = 434, .external_lex_state = 2},
  [9675] = {.lex_state = 434, .external_lex_state = 2},
  [9676] = {.lex_state = 212, .external_lex_state = 2},
  [9677] = {.lex_state = 434, .external_lex_state = 2},
  [9678] = {.lex_state = 434, .external_lex_state = 2},
  [9679] = {.lex_state = 434, .external_lex_state = 2},
  [9680] = {.lex_state = 212, .external_lex_state = 2},
  [9681] = {.lex_state = 434, .external_lex_state = 2},
  [9682] = {.lex_state = 212, .external_lex_state = 2},
  [9683] = {.lex_state = 212, .external_lex_state = 2},
  [9684] = {.lex_state = 212, .external_lex_state = 2},
  [9685] = {.lex_state = 8, .external_lex_state = 3},
  [9686] = {.lex_state = 212, .external_lex_state = 2},
  [9687] = {.lex_state = 434, .external_lex_state = 2},
  [9688] = {.lex_state = 434, .external_lex_state = 2},
  [9689] = {.lex_state = 434, .external_lex_state = 2},
  [9690] = {.lex_state = 434, .external_lex_state = 2},
  [9691] = {.lex_state = 8, .external_lex_state = 3},
  [9692] = {.lex_state = 11, .external_lex_state = 2},
  [9693] = {.lex_state = 11, .external_lex_state = 2},
  [9694] = {.lex_state = 212, .external_lex_state = 2},
  [9695] = {.lex_state = 212, .external_lex_state = 2},
  [9696] = {.lex_state = 232, .external_lex_state = 2},
  [9697] = {.lex_state = 212, .external_lex_state = 2},
  [9698] = {.lex_state = 212, .external_lex_state = 2},
  [9699] = {.lex_state = 8, .external_lex_state = 3},
  [9700] = {.lex_state = 434, .external_lex_state = 2},
  [9701] = {.lex_state = 11, .external_lex_state = 2},
  [9702] = {.lex_state = 212, .external_lex_state = 2},
  [9703] = {.lex_state = 434, .external_lex_state = 2},
  [9704] = {.lex_state = 434, .external_lex_state = 2},
  [9705] = {.lex_state = 217, .external_lex_state = 2},
  [9706] = {.lex_state = 434, .external_lex_state = 2},
  [9707] = {.lex_state = 434, .external_lex_state = 2},
  [9708] = {.lex_state = 434, .external_lex_state = 2},
  [9709] = {.lex_state = 434, .external_lex_state = 2},
  [9710] = {.lex_state = 434, .external_lex_state = 2},
  [9711] = {.lex_state = 434, .external_lex_state = 2},
  [9712] = {.lex_state = 434, .external_lex_state = 2},
  [9713] = {.lex_state = 434, .external_lex_state = 2},
  [9714] = {.lex_state = 434, .external_lex_state = 2},
  [9715] = {.lex_state = 11, .external_lex_state = 2},
  [9716] = {.lex_state = 11, .external_lex_state = 2},
  [9717] = {.lex_state = 212, .external_lex_state = 2},
  [9718] = {.lex_state = 434, .external_lex_state = 2},
  [9719] = {.lex_state = 211, .external_lex_state = 2},
  [9720] = {.lex_state = 434, .external_lex_state = 2},
  [9721] = {.lex_state = 11, .external_lex_state = 2},
  [9722] = {.lex_state = 171, .external_lex_state = 2},
  [9723] = {.lex_state = 225, .external_lex_state = 2},
  [9724] = {.lex_state = 211, .external_lex_state = 2},
  [9725] = {.lex_state = 434, .external_lex_state = 2},
  [9726] = {.lex_state = 171, .external_lex_state = 2},
  [9727] = {.lex_state = 232, .external_lex_state = 2},
  [9728] = {.lex_state = 434, .external_lex_state = 2},
  [9729] = {.lex_state = 434, .external_lex_state = 2},
  [9730] = {.lex_state = 434, .external_lex_state = 2},
  [9731] = {.lex_state = 212, .external_lex_state = 2},
  [9732] = {.lex_state = 434, .external_lex_state = 2},
  [9733] = {.lex_state = 212, .external_lex_state = 2},
  [9734] = {.lex_state = 232, .external_lex_state = 2},
  [9735] = {.lex_state = 211, .external_lex_state = 2},
  [9736] = {.lex_state = 212, .external_lex_state = 2},
  [9737] = {.lex_state = 232, .external_lex_state = 2},
  [9738] = {.lex_state = 212, .external_lex_state = 2},
  [9739] = {.lex_state = 171, .external_lex_state = 2},
  [9740] = {.lex_state = 171, .external_lex_state = 2},
  [9741] = {.lex_state = 8, .external_lex_state = 3},
  [9742] = {.lex_state = 211, .external_lex_state = 2},
  [9743] = {.lex_state = 434, .external_lex_state = 2},
  [9744] = {.lex_state = 434, .external_lex_state = 2},
  [9745] = {.lex_state = 225, .external_lex_state = 2},
  [9746] = {.lex_state = 211, .external_lex_state = 2},
  [9747] = {.lex_state = 434, .external_lex_state = 2},
  [9748] = {.lex_state = 211, .external_lex_state = 2},
  [9749] = {.lex_state = 212, .external_lex_state = 2},
  [9750] = {.lex_state = 434, .external_lex_state = 2},
  [9751] = {.lex_state = 211, .external_lex_state = 2},
  [9752] = {.lex_state = 211, .external_lex_state = 2},
  [9753] = {.lex_state = 211, .external_lex_state = 2},
  [9754] = {.lex_state = 8, .external_lex_state = 3},
  [9755] = {.lex_state = 211, .external_lex_state = 2},
  [9756] = {.lex_state = 434, .external_lex_state = 2},
  [9757] = {.lex_state = 434, .external_lex_state = 2},
  [9758] = {.lex_state = 434, .external_lex_state = 2},
  [9759] = {.lex_state = 434, .external_lex_state = 2},
  [9760] = {.lex_state = 171, .external_lex_state = 2},
  [9761] = {.lex_state = 434, .external_lex_state = 2},
  [9762] = {.lex_state = 434, .external_lex_state = 2},
  [9763] = {.lex_state = 434, .external_lex_state = 2},
  [9764] = {.lex_state = 223, .external_lex_state = 2},
  [9765] = {.lex_state = 211, .external_lex_state = 2},
  [9766] = {.lex_state = 434, .external_lex_state = 2},
  [9767] = {.lex_state = 434, .external_lex_state = 2},
  [9768] = {.lex_state = 434, .external_lex_state = 2},
  [9769] = {.lex_state = 434, .external_lex_state = 2},
  [9770] = {.lex_state = 434, .external_lex_state = 2},
  [9771] = {.lex_state = 434, .external_lex_state = 2},
  [9772] = {.lex_state = 212, .external_lex_state = 2},
  [9773] = {.lex_state = 212, .external_lex_state = 2},
  [9774] = {.lex_state = 434, .external_lex_state = 2},
  [9775] = {.lex_state = 212, .external_lex_state = 2},
  [9776] = {.lex_state = 434, .external_lex_state = 2},
  [9777] = {.lex_state = 212, .external_lex_state = 2},
  [9778] = {.lex_state = 434, .external_lex_state = 2},
  [9779] = {.lex_state = 212, .external_lex_state = 2},
  [9780] = {.lex_state = 434, .external_lex_state = 2},
  [9781] = {.lex_state = 212, .external_lex_state = 2},
  [9782] = {.lex_state = 211, .external_lex_state = 2},
  [9783] = {.lex_state = 434, .external_lex_state = 2},
  [9784] = {.lex_state = 10, .external_lex_state = 2},
  [9785] = {.lex_state = 10, .external_lex_state = 2},
  [9786] = {.lex_state = 161, .external_lex_state = 2},
  [9787] = {.lex_state = 434, .external_lex_state = 2},
  [9788] = {.lex_state = 212, .external_lex_state = 2},
  [9789] = {.lex_state = 212, .external_lex_state = 2},
  [9790] = {.lex_state = 212, .external_lex_state = 2},
  [9791] = {.lex_state = 161, .external_lex_state = 2},
  [9792] = {.lex_state = 434, .external_lex_state = 2},
  [9793] = {.lex_state = 161, .external_lex_state = 2},
  [9794] = {.lex_state = 173, .external_lex_state = 2},
  [9795] = {.lex_state = 212, .external_lex_state = 2},
  [9796] = {.lex_state = 10, .external_lex_state = 2},
  [9797] = {.lex_state = 161, .external_lex_state = 2},
  [9798] = {.lex_state = 161, .external_lex_state = 2},
  [9799] = {.lex_state = 161, .external_lex_state = 2},
  [9800] = {.lex_state = 218, .external_lex_state = 2},
  [9801] = {.lex_state = 173, .external_lex_state = 2},
  [9802] = {.lex_state = 218, .external_lex_state = 2},
  [9803] = {.lex_state = 212, .external_lex_state = 2},
  [9804] = {.lex_state = 8, .external_lex_state = 3},
  [9805] = {.lex_state = 161, .external_lex_state = 2},
  [9806] = {.lex_state = 10, .external_lex_state = 2},
  [9807] = {.lex_state = 10, .external_lex_state = 2},
  [9808] = {.lex_state = 218, .external_lex_state = 2},
  [9809] = {.lex_state = 211, .external_lex_state = 2},
  [9810] = {.lex_state = 218, .external_lex_state = 2},
  [9811] = {.lex_state = 218, .external_lex_state = 2},
  [9812] = {.lex_state = 171, .external_lex_state = 2},
  [9813] = {.lex_state = 434, .external_lex_state = 2},
  [9814] = {.lex_state = 434, .external_lex_state = 2},
  [9815] = {.lex_state = 211, .external_lex_state = 2},
  [9816] = {.lex_state = 218, .external_lex_state = 2},
  [9817] = {.lex_state = 232, .external_lex_state = 2},
  [9818] = {.lex_state = 211, .external_lex_state = 2},
  [9819] = {.lex_state = 10, .external_lex_state = 2},
  [9820] = {.lex_state = 232, .external_lex_state = 2},
  [9821] = {.lex_state = 232, .external_lex_state = 2},
  [9822] = {.lex_state = 434, .external_lex_state = 2},
  [9823] = {.lex_state = 236, .external_lex_state = 2},
  [9824] = {.lex_state = 434, .external_lex_state = 2},
  [9825] = {.lex_state = 161, .external_lex_state = 2},
  [9826] = {.lex_state = 161, .external_lex_state = 2},
  [9827] = {.lex_state = 157, .external_lex_state = 2},
  [9828] = {.lex_state = 434, .external_lex_state = 2},
  [9829] = {.lex_state = 434, .external_lex_state = 2},
  [9830] = {.lex_state = 434, .external_lex_state = 2},
  [9831] = {.lex_state = 434, .external_lex_state = 2},
  [9832] = {.lex_state = 212, .external_lex_state = 2},
  [9833] = {.lex_state = 212, .external_lex_state = 2},
  [9834] = {.lex_state = 434, .external_lex_state = 2},
  [9835] = {.lex_state = 434, .external_lex_state = 2},
  [9836] = {.lex_state = 211, .external_lex_state = 2},
  [9837] = {.lex_state = 434, .external_lex_state = 2},
  [9838] = {.lex_state = 434, .external_lex_state = 2},
  [9839] = {.lex_state = 434, .external_lex_state = 2},
  [9840] = {.lex_state = 434, .external_lex_state = 2},
  [9841] = {.lex_state = 434, .external_lex_state = 2},
  [9842] = {.lex_state = 161, .external_lex_state = 2},
  [9843] = {.lex_state = 161, .external_lex_state = 2},
  [9844] = {.lex_state = 161, .external_lex_state = 2},
  [9845] = {.lex_state = 434, .external_lex_state = 2},
  [9846] = {.lex_state = 232, .external_lex_state = 2},
  [9847] = {.lex_state = 434, .external_lex_state = 2},
  [9848] = {.lex_state = 434, .external_lex_state = 2},
  [9849] = {.lex_state = 211, .external_lex_state = 2},
  [9850] = {.lex_state = 434, .external_lex_state = 2},
  [9851] = {.lex_state = 211, .external_lex_state = 2},
  [9852] = {.lex_state = 211, .external_lex_state = 2},
  [9853] = {.lex_state = 434, .external_lex_state = 2},
  [9854] = {.lex_state = 434, .external_lex_state = 2},
  [9855] = {.lex_state = 434, .external_lex_state = 2},
  [9856] = {.lex_state = 434, .external_lex_state = 2},
  [9857] = {.lex_state = 239, .external_lex_state = 2},
  [9858] = {.lex_state = 233, .external_lex_state = 2},
  [9859] = {.lex_state = 237, .external_lex_state = 2},
  [9860] = {.lex_state = 232, .external_lex_state = 2},
  [9861] = {.lex_state = 434, .external_lex_state = 2},
  [9862] = {.lex_state = 232, .external_lex_state = 2},
  [9863] = {.lex_state = 434, .external_lex_state = 2},
  [9864] = {.lex_state = 223, .external_lex_state = 2},
  [9865] = {.lex_state = 211, .external_lex_state = 2},
  [9866] = {.lex_state = 211, .external_lex_state = 2},
  [9867] = {.lex_state = 434, .external_lex_state = 2},
  [9868] = {.lex_state = 434, .external_lex_state = 2},
  [9869] = {.lex_state = 211, .external_lex_state = 2},
  [9870] = {.lex_state = 434, .external_lex_state = 2},
  [9871] = {.lex_state = 161, .external_lex_state = 2},
  [9872] = {.lex_state = 232, .external_lex_state = 2},
  [9873] = {.lex_state = 161, .external_lex_state = 2},
  [9874] = {.lex_state = 173, .external_lex_state = 2},
  [9875] = {.lex_state = 211, .external_lex_state = 2},
  [9876] = {.lex_state = 176, .external_lex_state = 3},
  [9877] = {.lex_state = 225, .external_lex_state = 2},
  [9878] = {.lex_state = 434, .external_lex_state = 2},
  [9879] = {.lex_state = 434, .external_lex_state = 2},
  [9880] = {.lex_state = 211, .external_lex_state = 2},
  [9881] = {.lex_state = 223, .external_lex_state = 2},
  [9882] = {.lex_state = 223, .external_lex_state = 2},
  [9883] = {.lex_state = 225, .external_lex_state = 2},
  [9884] = {.lex_state = 211, .external_lex_state = 2},
  [9885] = {.lex_state = 223, .external_lex_state = 2},
  [9886] = {.lex_state = 434, .external_lex_state = 2},
  [9887] = {.lex_state = 434, .external_lex_state = 2},
  [9888] = {.lex_state = 434, .external_lex_state = 2},
  [9889] = {.lex_state = 434, .external_lex_state = 2},
  [9890] = {.lex_state = 211, .external_lex_state = 2},
  [9891] = {.lex_state = 434, .external_lex_state = 2},
  [9892] = {.lex_state = 8, .external_lex_state = 3},
  [9893] = {.lex_state = 434, .external_lex_state = 2},
  [9894] = {.lex_state = 232, .external_lex_state = 2},
  [9895] = {.lex_state = 434, .external_lex_state = 2},
  [9896] = {.lex_state = 434, .external_lex_state = 2},
  [9897] = {.lex_state = 434, .external_lex_state = 2},
  [9898] = {.lex_state = 232, .external_lex_state = 2},
  [9899] = {.lex_state = 434, .external_lex_state = 2},
  [9900] = {.lex_state = 225, .external_lex_state = 2},
  [9901] = {.lex_state = 211, .external_lex_state = 2},
  [9902] = {.lex_state = 434, .external_lex_state = 2},
  [9903] = {.lex_state = 434, .external_lex_state = 2},
  [9904] = {.lex_state = 211, .external_lex_state = 2},
  [9905] = {.lex_state = 217, .external_lex_state = 2},
  [9906] = {.lex_state = 434, .external_lex_state = 2},
  [9907] = {.lex_state = 217, .external_lex_state = 2},
  [9908] = {.lex_state = 211, .external_lex_state = 2},
  [9909] = {.lex_state = 434, .external_lex_state = 2},
  [9910] = {.lex_state = 434, .external_lex_state = 2},
  [9911] = {.lex_state = 211, .external_lex_state = 2},
  [9912] = {.lex_state = 434, .external_lex_state = 2},
  [9913] = {.lex_state = 161, .external_lex_state = 2},
  [9914] = {.lex_state = 232, .external_lex_state = 2},
  [9915] = {.lex_state = 434, .external_lex_state = 2},
  [9916] = {.lex_state = 211, .external_lex_state = 2},
  [9917] = {.lex_state = 232, .external_lex_state = 2},
  [9918] = {.lex_state = 240, .external_lex_state = 2},
  [9919] = {.lex_state = 434, .external_lex_state = 2},
  [9920] = {.lex_state = 434, .external_lex_state = 2},
  [9921] = {.lex_state = 232, .external_lex_state = 2},
  [9922] = {.lex_state = 225, .external_lex_state = 2},
  [9923] = {.lex_state = 211, .external_lex_state = 2},
  [9924] = {.lex_state = 212, .external_lex_state = 2},
  [9925] = {.lex_state = 217, .external_lex_state = 2},
  [9926] = {.lex_state = 212, .external_lex_state = 2},
  [9927] = {.lex_state = 212, .external_lex_state = 2},
  [9928] = {.lex_state = 217, .external_lex_state = 2},
  [9929] = {.lex_state = 223, .external_lex_state = 2},
  [9930] = {.lex_state = 212, .external_lex_state = 2},
  [9931] = {.lex_state = 232, .external_lex_state = 2},
  [9932] = {.lex_state = 232, .external_lex_state = 2},
  [9933] = {.lex_state = 232, .external_lex_state = 2},
  [9934] = {.lex_state = 232, .external_lex_state = 2},
  [9935] = {.lex_state = 232, .external_lex_state = 2},
  [9936] = {.lex_state = 232, .external_lex_state = 2},
  [9937] = {.lex_state = 232, .external_lex_state = 2},
  [9938] = {.lex_state = 232, .external_lex_state = 2},
  [9939] = {.lex_state = 232, .external_lex_state = 2},
  [9940] = {.lex_state = 232, .external_lex_state = 2},
  [9941] = {.lex_state = 211, .external_lex_state = 2},
  [9942] = {.lex_state = 232, .external_lex_state = 2},
  [9943] = {.lex_state = 232, .external_lex_state = 2},
  [9944] = {.lex_state = 232, .external_lex_state = 2},
  [9945] = {.lex_state = 188, .external_lex_state = 3},
  [9946] = {.lex_state = 166, .external_lex_state = 3},
  [9947] = {.lex_state = 173, .external_lex_state = 2},
  [9948] = {.lex_state = 160, .external_lex_state = 2},
  [9949] = {.lex_state = 160, .external_lex_state = 2},
  [9950] = {.lex_state = 173, .external_lex_state = 2},
  [9951] = {.lex_state = 166, .external_lex_state = 3},
  [9952] = {.lex_state = 173, .external_lex_state = 2},
  [9953] = {.lex_state = 173, .external_lex_state = 2},
  [9954] = {.lex_state = 208, .external_lex_state = 2},
  [9955] = {.lex_state = 166, .external_lex_state = 3},
  [9956] = {.lex_state = 171, .external_lex_state = 2},
  [9957] = {.lex_state = 166, .external_lex_state = 3},
  [9958] = {.lex_state = 171, .external_lex_state = 2},
  [9959] = {.lex_state = 208, .external_lex_state = 2},
  [9960] = {.lex_state = 166, .external_lex_state = 3},
  [9961] = {.lex_state = 208, .external_lex_state = 2},
  [9962] = {.lex_state = 163, .external_lex_state = 2},
  [9963] = {.lex_state = 171, .external_lex_state = 2},
  [9964] = {.lex_state = 166, .external_lex_state = 3},
  [9965] = {.lex_state = 171, .external_lex_state = 2},
  [9966] = {.lex_state = 166, .external_lex_state = 3},
  [9967] = {.lex_state = 208, .external_lex_state = 2},
  [9968] = {.lex_state = 11, .external_lex_state = 2},
  [9969] = {.lex_state = 173, .external_lex_state = 2},
  [9970] = {.lex_state = 208, .external_lex_state = 2},
  [9971] = {.lex_state = 160, .external_lex_state = 2},
  [9972] = {.lex_state = 10, .external_lex_state = 2},
  [9973] = {.lex_state = 171, .external_lex_state = 2},
  [9974] = {.lex_state = 208, .external_lex_state = 2},
  [9975] = {.lex_state = 166, .external_lex_state = 3},
  [9976] = {.lex_state = 166, .external_lex_state = 3},
  [9977] = {.lex_state = 232, .external_lex_state = 2},
  [9978] = {.lex_state = 171, .external_lex_state = 2},
  [9979] = {.lex_state = 173, .external_lex_state = 2},
  [9980] = {.lex_state = 173, .external_lex_state = 2},
  [9981] = {.lex_state = 173, .external_lex_state = 2},
  [9982] = {.lex_state = 173, .external_lex_state = 2},
  [9983] = {.lex_state = 171, .external_lex_state = 2},
  [9984] = {.lex_state = 166, .external_lex_state = 3},
  [9985] = {.lex_state = 171, .external_lex_state = 2},
  [9986] = {.lex_state = 166, .external_lex_state = 3},
  [9987] = {.lex_state = 232, .external_lex_state = 2},
  [9988] = {.lex_state = 223, .external_lex_state = 2},
  [9989] = {.lex_state = 171, .external_lex_state = 2},
  [9990] = {.lex_state = 157, .external_lex_state = 3},
  [9991] = {.lex_state = 166, .external_lex_state = 3},
  [9992] = {.lex_state = 160, .external_lex_state = 2},
  [9993] = {.lex_state = 160, .external_lex_state = 2},
  [9994] = {.lex_state = 160, .external_lex_state = 2},
  [9995] = {.lex_state = 160, .external_lex_state = 2},
  [9996] = {.lex_state = 160, .external_lex_state = 2},
  [9997] = {.lex_state = 160, .external_lex_state = 2},
  [9998] = {.lex_state = 160, .external_lex_state = 2},
  [9999] = {.lex_state = 160, .external_lex_state = 2},
  [10000] = {.lex_state = 232, .external_lex_state = 2},
  [10001] = {.lex_state = 160, .external_lex_state = 2},
  [10002] = {.lex_state = 160, .external_lex_state = 2},
  [10003] = {.lex_state = 160, .external_lex_state = 2},
  [10004] = {.lex_state = 160, .external_lex_state = 2},
  [10005] = {.lex_state = 160, .external_lex_state = 2},
  [10006] = {.lex_state = 171, .external_lex_state = 2},
  [10007] = {.lex_state = 171, .external_lex_state = 2},
  [10008] = {.lex_state = 171, .external_lex_state = 2},
  [10009] = {.lex_state = 166, .external_lex_state = 3},
  [10010] = {.lex_state = 232, .external_lex_state = 2},
  [10011] = {.lex_state = 208, .external_lex_state = 2},
  [10012] = {.lex_state = 211, .external_lex_state = 2},
  [10013] = {.lex_state = 208, .external_lex_state = 2},
  [10014] = {.lex_state = 171, .external_lex_state = 2},
  [10015] = {.lex_state = 213, .external_lex_state = 2},
  [10016] = {.lex_state = 166, .external_lex_state = 3},
  [10017] = {.lex_state = 166, .external_lex_state = 3},
  [10018] = {.lex_state = 166, .external_lex_state = 3},
  [10019] = {.lex_state = 208, .external_lex_state = 2},
  [10020] = {.lex_state = 166, .external_lex_state = 3},
  [10021] = {.lex_state = 171, .external_lex_state = 2},
  [10022] = {.lex_state = 166, .external_lex_state = 3},
  [10023] = {.lex_state = 214, .external_lex_state = 2},
  [10024] = {.lex_state = 166, .external_lex_state = 3},
  [10025] = {.lex_state = 166, .external_lex_state = 3},
  [10026] = {.lex_state = 171, .external_lex_state = 2},
  [10027] = {.lex_state = 166, .external_lex_state = 3},
  [10028] = {.lex_state = 213, .external_lex_state = 2},
  [10029] = {.lex_state = 208, .external_lex_state = 2},
  [10030] = {.lex_state = 171, .external_lex_state = 2},
  [10031] = {.lex_state = 160, .external_lex_state = 2},
  [10032] = {.lex_state = 160, .external_lex_state = 2},
  [10033] = {.lex_state = 166, .external_lex_state = 3},
  [10034] = {.lex_state = 160, .external_lex_state = 2},
  [10035] = {.lex_state = 208, .external_lex_state = 2},
  [10036] = {.lex_state = 160, .external_lex_state = 2},
  [10037] = {.lex_state = 166, .external_lex_state = 3},
  [10038] = {.lex_state = 173, .external_lex_state = 2},
  [10039] = {.lex_state = 160, .external_lex_state = 2},
  [10040] = {.lex_state = 208, .external_lex_state = 2},
  [10041] = {.lex_state = 166, .external_lex_state = 3},
  [10042] = {.lex_state = 171, .external_lex_state = 2},
  [10043] = {.lex_state = 211, .external_lex_state = 2},
  [10044] = {.lex_state = 240, .external_lex_state = 2},
  [10045] = {.lex_state = 166, .external_lex_state = 3},
  [10046] = {.lex_state = 160, .external_lex_state = 2},
  [10047] = {.lex_state = 232, .external_lex_state = 2},
  [10048] = {.lex_state = 212, .external_lex_state = 2},
  [10049] = {.lex_state = 166, .external_lex_state = 3},
  [10050] = {.lex_state = 232, .external_lex_state = 2},
  [10051] = {.lex_state = 11, .external_lex_state = 2},
  [10052] = {.lex_state = 166, .external_lex_state = 3},
  [10053] = {.lex_state = 232, .external_lex_state = 2},
  [10054] = {.lex_state = 10, .external_lex_state = 2},
  [10055] = {.lex_state = 166, .external_lex_state = 3},
  [10056] = {.lex_state = 223, .external_lex_state = 2},
  [10057] = {.lex_state = 232, .external_lex_state = 2},
  [10058] = {.lex_state = 171, .external_lex_state = 2},
  [10059] = {.lex_state = 166, .external_lex_state = 3},
  [10060] = {.lex_state = 212, .external_lex_state = 2},
  [10061] = {.lex_state = 240, .external_lex_state = 2},
  [10062] = {.lex_state = 240, .external_lex_state = 2},
  [10063] = {.lex_state = 166, .external_lex_state = 3},
  [10064] = {.lex_state = 166, .external_lex_state = 3},
  [10065] = {.lex_state = 166, .external_lex_state = 3},
  [10066] = {.lex_state = 173, .external_lex_state = 2},
  [10067] = {.lex_state = 173, .external_lex_state = 2},
  [10068] = {.lex_state = 173, .external_lex_state = 2},
  [10069] = {.lex_state = 166, .external_lex_state = 3},
  [10070] = {.lex_state = 166, .external_lex_state = 3},
  [10071] = {.lex_state = 173, .external_lex_state = 2},
  [10072] = {.lex_state = 173, .external_lex_state = 2},
  [10073] = {.lex_state = 173, .external_lex_state = 2},
  [10074] = {.lex_state = 208, .external_lex_state = 2},
  [10075] = {.lex_state = 166, .external_lex_state = 3},
  [10076] = {.lex_state = 157, .external_lex_state = 3},
  [10077] = {.lex_state = 232, .external_lex_state = 2},
  [10078] = {.lex_state = 225, .external_lex_state = 2},
  [10079] = {.lex_state = 208, .external_lex_state = 2},
  [10080] = {.lex_state = 173, .external_lex_state = 2},
  [10081] = {.lex_state = 166, .external_lex_state = 3},
  [10082] = {.lex_state = 171, .external_lex_state = 2},
  [10083] = {.lex_state = 208, .external_lex_state = 2},
  [10084] = {.lex_state = 173, .external_lex_state = 2},
  [10085] = {.lex_state = 208, .external_lex_state = 2},
  [10086] = {.lex_state = 166, .external_lex_state = 3},
  [10087] = {.lex_state = 166, .external_lex_state = 3},
  [10088] = {.lex_state = 166, .external_lex_state = 3},
  [10089] = {.lex_state = 166, .external_lex_state = 3},
  [10090] = {.lex_state = 166, .external_lex_state = 3},
  [10091] = {.lex_state = 166, .external_lex_state = 3},
  [10092] = {.lex_state = 173, .external_lex_state = 2},
  [10093] = {.lex_state = 232, .external_lex_state = 2},
  [10094] = {.lex_state = 166, .external_lex_state = 3},
  [10095] = {.lex_state = 225, .external_lex_state = 2},
  [10096] = {.lex_state = 166, .external_lex_state = 3},
  [10097] = {.lex_state = 239, .external_lex_state = 2},
  [10098] = {.lex_state = 240, .external_lex_state = 2},
  [10099] = {.lex_state = 166, .external_lex_state = 3},
  [10100] = {.lex_state = 166, .external_lex_state = 3},
  [10101] = {.lex_state = 208, .external_lex_state = 2},
  [10102] = {.lex_state = 166, .external_lex_state = 3},
  [10103] = {.lex_state = 208, .external_lex_state = 2},
  [10104] = {.lex_state = 171, .external_lex_state = 2},
  [10105] = {.lex_state = 223, .external_lex_state = 2},
  [10106] = {.lex_state = 166, .external_lex_state = 3},
  [10107] = {.lex_state = 208, .external_lex_state = 2},
  [10108] = {.lex_state = 166, .external_lex_state = 3},
  [10109] = {.lex_state = 173, .external_lex_state = 2},
  [10110] = {.lex_state = 166, .external_lex_state = 3},
  [10111] = {.lex_state = 214, .external_lex_state = 2},
  [10112] = {.lex_state = 173, .external_lex_state = 2},
  [10113] = {.lex_state = 173, .external_lex_state = 2},
  [10114] = {.lex_state = 171, .external_lex_state = 2},
  [10115] = {.lex_state = 171, .external_lex_state = 2},
  [10116] = {.lex_state = 171, .external_lex_state = 2},
  [10117] = {.lex_state = 239, .external_lex_state = 2},
  [10118] = {.lex_state = 208, .external_lex_state = 2},
  [10119] = {.lex_state = 225, .external_lex_state = 2},
  [10120] = {.lex_state = 171, .external_lex_state = 2},
  [10121] = {.lex_state = 166, .external_lex_state = 3},
  [10122] = {.lex_state = 166, .external_lex_state = 3},
  [10123] = {.lex_state = 171, .external_lex_state = 2},
  [10124] = {.lex_state = 173, .external_lex_state = 2},
  [10125] = {.lex_state = 171, .external_lex_state = 2},
  [10126] = {.lex_state = 173, .external_lex_state = 2},
  [10127] = {.lex_state = 160, .external_lex_state = 2},
  [10128] = {.lex_state = 171, .external_lex_state = 2},
  [10129] = {.lex_state = 173, .external_lex_state = 2},
  [10130] = {.lex_state = 171, .external_lex_state = 2},
  [10131] = {.lex_state = 223, .external_lex_state = 2},
  [10132] = {.lex_state = 208, .external_lex_state = 2},
  [10133] = {.lex_state = 173, .external_lex_state = 2},
  [10134] = {.lex_state = 166, .external_lex_state = 3},
  [10135] = {.lex_state = 171, .external_lex_state = 2},
  [10136] = {.lex_state = 239, .external_lex_state = 2},
  [10137] = {.lex_state = 208, .external_lex_state = 2},
  [10138] = {.lex_state = 208, .external_lex_state = 2},
  [10139] = {.lex_state = 232, .external_lex_state = 2},
  [10140] = {.lex_state = 188, .external_lex_state = 3},
  [10141] = {.lex_state = 171, .external_lex_state = 2},
  [10142] = {.lex_state = 171, .external_lex_state = 2},
  [10143] = {.lex_state = 173, .external_lex_state = 2},
  [10144] = {.lex_state = 173, .external_lex_state = 2},
  [10145] = {.lex_state = 173, .external_lex_state = 2},
  [10146] = {.lex_state = 171, .external_lex_state = 2},
  [10147] = {.lex_state = 171, .external_lex_state = 2},
  [10148] = {.lex_state = 173, .external_lex_state = 2},
  [10149] = {.lex_state = 160, .external_lex_state = 2},
  [10150] = {.lex_state = 173, .external_lex_state = 2},
  [10151] = {.lex_state = 173, .external_lex_state = 2},
  [10152] = {.lex_state = 208, .external_lex_state = 2},
  [10153] = {.lex_state = 173, .external_lex_state = 2},
  [10154] = {.lex_state = 173, .external_lex_state = 2},
  [10155] = {.lex_state = 225, .external_lex_state = 2},
  [10156] = {.lex_state = 208, .external_lex_state = 2},
  [10157] = {.lex_state = 173, .external_lex_state = 2},
  [10158] = {.lex_state = 166, .external_lex_state = 3},
  [10159] = {.lex_state = 166, .external_lex_state = 3},
  [10160] = {.lex_state = 166, .external_lex_state = 3},
  [10161] = {.lex_state = 166, .external_lex_state = 3},
  [10162] = {.lex_state = 239, .external_lex_state = 2},
  [10163] = {.lex_state = 171, .external_lex_state = 2},
  [10164] = {.lex_state = 166, .external_lex_state = 3},
  [10165] = {.lex_state = 188, .external_lex_state = 3},
  [10166] = {.lex_state = 208, .external_lex_state = 2},
  [10167] = {.lex_state = 171, .external_lex_state = 2},
  [10168] = {.lex_state = 166, .external_lex_state = 3},
  [10169] = {.lex_state = 166, .external_lex_state = 3},
  [10170] = {.lex_state = 208, .external_lex_state = 2},
  [10171] = {.lex_state = 232, .external_lex_state = 2},
  [10172] = {.lex_state = 160, .external_lex_state = 2},
  [10173] = {.lex_state = 232, .external_lex_state = 2},
  [10174] = {.lex_state = 160, .external_lex_state = 2},
  [10175] = {.lex_state = 232, .external_lex_state = 2},
  [10176] = {.lex_state = 232, .external_lex_state = 2},
  [10177] = {.lex_state = 160, .external_lex_state = 2},
  [10178] = {.lex_state = 232, .external_lex_state = 2},
  [10179] = {.lex_state = 232, .external_lex_state = 2},
  [10180] = {.lex_state = 160, .external_lex_state = 2},
  [10181] = {.lex_state = 160, .external_lex_state = 2},
  [10182] = {.lex_state = 162, .external_lex_state = 2},
  [10183] = {.lex_state = 160, .external_lex_state = 2},
  [10184] = {.lex_state = 160, .external_lex_state = 2},
  [10185] = {.lex_state = 232, .external_lex_state = 2},
  [10186] = {.lex_state = 214, .external_lex_state = 2},
  [10187] = {.lex_state = 232, .external_lex_state = 2},
  [10188] = {.lex_state = 232, .external_lex_state = 2},
  [10189] = {.lex_state = 11, .external_lex_state = 2},
  [10190] = {.lex_state = 11, .external_lex_state = 2},
  [10191] = {.lex_state = 232, .external_lex_state = 2},
  [10192] = {.lex_state = 232, .external_lex_state = 2},
  [10193] = {.lex_state = 232, .external_lex_state = 2},
  [10194] = {.lex_state = 10, .external_lex_state = 2},
  [10195] = {.lex_state = 212, .external_lex_state = 2},
  [10196] = {.lex_state = 232, .external_lex_state = 2},
  [10197] = {.lex_state = 160, .external_lex_state = 2},
  [10198] = {.lex_state = 161, .external_lex_state = 2},
  [10199] = {.lex_state = 163, .external_lex_state = 2},
  [10200] = {.lex_state = 163, .external_lex_state = 2},
  [10201] = {.lex_state = 234, .external_lex_state = 2},
  [10202] = {.lex_state = 234, .external_lex_state = 2},
  [10203] = {.lex_state = 212, .external_lex_state = 2},
  [10204] = {.lex_state = 163, .external_lex_state = 2},
  [10205] = {.lex_state = 232, .external_lex_state = 2},
  [10206] = {.lex_state = 219, .external_lex_state = 2},
  [10207] = {.lex_state = 219, .external_lex_state = 2},
  [10208] = {.lex_state = 163, .external_lex_state = 2},
  [10209] = {.lex_state = 232, .external_lex_state = 2},
  [10210] = {.lex_state = 219, .external_lex_state = 2},
  [10211] = {.lex_state = 232, .external_lex_state = 2},
  [10212] = {.lex_state = 232, .external_lex_state = 2},
  [10213] = {.lex_state = 211, .external_lex_state = 2},
  [10214] = {.lex_state = 232, .external_lex_state = 2},
  [10215] = {.lex_state = 232, .external_lex_state = 2},
  [10216] = {.lex_state = 163, .external_lex_state = 2},
  [10217] = {.lex_state = 232, .external_lex_state = 2},
  [10218] = {.lex_state = 234, .external_lex_state = 2},
  [10219] = {.lex_state = 232, .external_lex_state = 2},
  [10220] = {.lex_state = 162, .external_lex_state = 2},
  [10221] = {.lex_state = 219, .external_lex_state = 2},
  [10222] = {.lex_state = 162, .external_lex_state = 2},
  [10223] = {.lex_state = 161, .external_lex_state = 2},
  [10224] = {.lex_state = 232, .external_lex_state = 2},
  [10225] = {.lex_state = 162, .external_lex_state = 2},
  [10226] = {.lex_state = 38, .external_lex_state = 3},
  [10227] = {.lex_state = 219, .external_lex_state = 2},
  [10228] = {.lex_state = 210, .external_lex_state = 2},
  [10229] = {.lex_state = 162, .external_lex_state = 2},
  [10230] = {.lex_state = 232, .external_lex_state = 2},
  [10231] = {.lex_state = 232, .external_lex_state = 2},
  [10232] = {.lex_state = 232, .external_lex_state = 2},
  [10233] = {.lex_state = 231, .external_lex_state = 2},
  [10234] = {.lex_state = 169, .external_lex_state = 2},
  [10235] = {.lex_state = 235, .external_lex_state = 2},
  [10236] = {.lex_state = 235, .external_lex_state = 2},
  [10237] = {.lex_state = 161, .external_lex_state = 2},
  [10238] = {.lex_state = 211, .external_lex_state = 2},
  [10239] = {.lex_state = 162, .external_lex_state = 2},
  [10240] = {.lex_state = 162, .external_lex_state = 2},
  [10241] = {.lex_state = 232, .external_lex_state = 2},
  [10242] = {.lex_state = 235, .external_lex_state = 2},
  [10243] = {.lex_state = 210, .external_lex_state = 2},
  [10244] = {.lex_state = 212, .external_lex_state = 2},
  [10245] = {.lex_state = 162, .external_lex_state = 2},
  [10246] = {.lex_state = 174, .external_lex_state = 2},
  [10247] = {.lex_state = 232, .external_lex_state = 2},
  [10248] = {.lex_state = 212, .external_lex_state = 2},
  [10249] = {.lex_state = 212, .external_lex_state = 2},
  [10250] = {.lex_state = 212, .external_lex_state = 2},
  [10251] = {.lex_state = 160, .external_lex_state = 2},
  [10252] = {.lex_state = 232, .external_lex_state = 2},
  [10253] = {.lex_state = 162, .external_lex_state = 2},
  [10254] = {.lex_state = 161, .external_lex_state = 2},
  [10255] = {.lex_state = 232, .external_lex_state = 2},
  [10256] = {.lex_state = 161, .external_lex_state = 2},
  [10257] = {.lex_state = 162, .external_lex_state = 2},
  [10258] = {.lex_state = 232, .external_lex_state = 2},
  [10259] = {.lex_state = 232, .external_lex_state = 2},
  [10260] = {.lex_state = 163, .external_lex_state = 2},
  [10261] = {.lex_state = 232, .external_lex_state = 2},
  [10262] = {.lex_state = 232, .external_lex_state = 2},
  [10263] = {.lex_state = 232, .external_lex_state = 2},
  [10264] = {.lex_state = 162, .external_lex_state = 2},
  [10265] = {.lex_state = 232, .external_lex_state = 2},
  [10266] = {.lex_state = 162, .external_lex_state = 2},
  [10267] = {.lex_state = 160, .external_lex_state = 2},
  [10268] = {.lex_state = 232, .external_lex_state = 2},
  [10269] = {.lex_state = 11, .external_lex_state = 2},
  [10270] = {.lex_state = 163, .external_lex_state = 2},
  [10271] = {.lex_state = 210, .external_lex_state = 2},
  [10272] = {.lex_state = 199, .external_lex_state = 2},
  [10273] = {.lex_state = 210, .external_lex_state = 2},
  [10274] = {.lex_state = 232, .external_lex_state = 2},
  [10275] = {.lex_state = 232, .external_lex_state = 2},
  [10276] = {.lex_state = 163, .external_lex_state = 2},
  [10277] = {.lex_state = 163, .external_lex_state = 2},
  [10278] = {.lex_state = 162, .external_lex_state = 2},
  [10279] = {.lex_state = 160, .external_lex_state = 2},
  [10280] = {.lex_state = 160, .external_lex_state = 2},
  [10281] = {.lex_state = 163, .external_lex_state = 2},
  [10282] = {.lex_state = 219, .external_lex_state = 2},
  [10283] = {.lex_state = 160, .external_lex_state = 2},
  [10284] = {.lex_state = 232, .external_lex_state = 2},
  [10285] = {.lex_state = 161, .external_lex_state = 2},
  [10286] = {.lex_state = 161, .external_lex_state = 2},
  [10287] = {.lex_state = 38, .external_lex_state = 3},
  [10288] = {.lex_state = 219, .external_lex_state = 2},
  [10289] = {.lex_state = 232, .external_lex_state = 2},
  [10290] = {.lex_state = 162, .external_lex_state = 2},
  [10291] = {.lex_state = 161, .external_lex_state = 2},
  [10292] = {.lex_state = 225, .external_lex_state = 2},
  [10293] = {.lex_state = 199, .external_lex_state = 2},
  [10294] = {.lex_state = 160, .external_lex_state = 2},
  [10295] = {.lex_state = 162, .external_lex_state = 2},
  [10296] = {.lex_state = 10, .external_lex_state = 2},
  [10297] = {.lex_state = 162, .external_lex_state = 2},
  [10298] = {.lex_state = 162, .external_lex_state = 2},
  [10299] = {.lex_state = 232, .external_lex_state = 2},
  [10300] = {.lex_state = 232, .external_lex_state = 2},
  [10301] = {.lex_state = 232, .external_lex_state = 2},
  [10302] = {.lex_state = 163, .external_lex_state = 2},
  [10303] = {.lex_state = 161, .external_lex_state = 2},
  [10304] = {.lex_state = 232, .external_lex_state = 2},
  [10305] = {.lex_state = 162, .external_lex_state = 2},
  [10306] = {.lex_state = 232, .external_lex_state = 2},
  [10307] = {.lex_state = 211, .external_lex_state = 2},
  [10308] = {.lex_state = 172, .external_lex_state = 2},
  [10309] = {.lex_state = 11, .external_lex_state = 2},
  [10310] = {.lex_state = 232, .external_lex_state = 2},
  [10311] = {.lex_state = 232, .external_lex_state = 2},
  [10312] = {.lex_state = 232, .external_lex_state = 2},
  [10313] = {.lex_state = 161, .external_lex_state = 2},
  [10314] = {.lex_state = 219, .external_lex_state = 2},
  [10315] = {.lex_state = 162, .external_lex_state = 2},
  [10316] = {.lex_state = 232, .external_lex_state = 2},
  [10317] = {.lex_state = 162, .external_lex_state = 2},
  [10318] = {.lex_state = 211, .external_lex_state = 2},
  [10319] = {.lex_state = 160, .external_lex_state = 2},
  [10320] = {.lex_state = 232, .external_lex_state = 2},
  [10321] = {.lex_state = 210, .external_lex_state = 2},
  [10322] = {.lex_state = 232, .external_lex_state = 2},
  [10323] = {.lex_state = 232, .external_lex_state = 2},
  [10324] = {.lex_state = 234, .external_lex_state = 2},
  [10325] = {.lex_state = 232, .external_lex_state = 2},
  [10326] = {.lex_state = 162, .external_lex_state = 2},
  [10327] = {.lex_state = 161, .external_lex_state = 2},
  [10328] = {.lex_state = 213, .external_lex_state = 2},
  [10329] = {.lex_state = 232, .external_lex_state = 2},
  [10330] = {.lex_state = 232, .external_lex_state = 2},
  [10331] = {.lex_state = 188, .external_lex_state = 3},
  [10332] = {.lex_state = 232, .external_lex_state = 2},
  [10333] = {.lex_state = 161, .external_lex_state = 2},
  [10334] = {.lex_state = 161, .external_lex_state = 2},
  [10335] = {.lex_state = 232, .external_lex_state = 2},
  [10336] = {.lex_state = 162, .external_lex_state = 2},
  [10337] = {.lex_state = 161, .external_lex_state = 2},
  [10338] = {.lex_state = 232, .external_lex_state = 2},
  [10339] = {.lex_state = 232, .external_lex_state = 2},
  [10340] = {.lex_state = 210, .external_lex_state = 2},
  [10341] = {.lex_state = 162, .external_lex_state = 2},
  [10342] = {.lex_state = 219, .external_lex_state = 2},
  [10343] = {.lex_state = 232, .external_lex_state = 2},
  [10344] = {.lex_state = 232, .external_lex_state = 2},
  [10345] = {.lex_state = 232, .external_lex_state = 2},
  [10346] = {.lex_state = 232, .external_lex_state = 2},
  [10347] = {.lex_state = 232, .external_lex_state = 2},
  [10348] = {.lex_state = 161, .external_lex_state = 2},
  [10349] = {.lex_state = 232, .external_lex_state = 2},
  [10350] = {.lex_state = 10, .external_lex_state = 2},
  [10351] = {.lex_state = 161, .external_lex_state = 2},
  [10352] = {.lex_state = 232, .external_lex_state = 2},
  [10353] = {.lex_state = 160, .external_lex_state = 2},
  [10354] = {.lex_state = 219, .external_lex_state = 2},
  [10355] = {.lex_state = 232, .external_lex_state = 2},
  [10356] = {.lex_state = 210, .external_lex_state = 2},
  [10357] = {.lex_state = 160, .external_lex_state = 2},
  [10358] = {.lex_state = 232, .external_lex_state = 2},
  [10359] = {.lex_state = 232, .external_lex_state = 2},
  [10360] = {.lex_state = 232, .external_lex_state = 2},
  [10361] = {.lex_state = 232, .external_lex_state = 2},
  [10362] = {.lex_state = 232, .external_lex_state = 2},
  [10363] = {.lex_state = 232, .external_lex_state = 2},
  [10364] = {.lex_state = 232, .external_lex_state = 2},
  [10365] = {.lex_state = 160, .external_lex_state = 2},
  [10366] = {.lex_state = 232, .external_lex_state = 2},
  [10367] = {.lex_state = 232, .external_lex_state = 2},
  [10368] = {.lex_state = 232, .external_lex_state = 2},
  [10369] = {.lex_state = 160, .external_lex_state = 2},
  [10370] = {.lex_state = 210, .external_lex_state = 2},
  [10371] = {.lex_state = 223, .external_lex_state = 2},
  [10372] = {.lex_state = 232, .external_lex_state = 2},
  [10373] = {.lex_state = 161, .external_lex_state = 2},
  [10374] = {.lex_state = 232, .external_lex_state = 2},
  [10375] = {.lex_state = 211, .external_lex_state = 2},
  [10376] = {.lex_state = 232, .external_lex_state = 2},
  [10377] = {.lex_state = 162, .external_lex_state = 2},
  [10378] = {.lex_state = 162, .external_lex_state = 2},
  [10379] = {.lex_state = 161, .external_lex_state = 2},
  [10380] = {.lex_state = 210, .external_lex_state = 2},
  [10381] = {.lex_state = 162, .external_lex_state = 2},
  [10382] = {.lex_state = 162, .external_lex_state = 2},
  [10383] = {.lex_state = 232, .external_lex_state = 2},
  [10384] = {.lex_state = 232, .external_lex_state = 2},
  [10385] = {.lex_state = 232, .external_lex_state = 2},
  [10386] = {.lex_state = 232, .external_lex_state = 2},
  [10387] = {.lex_state = 232, .external_lex_state = 2},
  [10388] = {.lex_state = 232, .external_lex_state = 2},
  [10389] = {.lex_state = 232, .external_lex_state = 2},
  [10390] = {.lex_state = 232, .external_lex_state = 2},
  [10391] = {.lex_state = 232, .external_lex_state = 2},
  [10392] = {.lex_state = 232, .external_lex_state = 2},
  [10393] = {.lex_state = 232, .external_lex_state = 2},
  [10394] = {.lex_state = 10, .external_lex_state = 2},
  [10395] = {.lex_state = 232, .external_lex_state = 2},
  [10396] = {.lex_state = 10, .external_lex_state = 2},
  [10397] = {.lex_state = 162, .external_lex_state = 2},
  [10398] = {.lex_state = 210, .external_lex_state = 2},
  [10399] = {.lex_state = 232, .external_lex_state = 2},
  [10400] = {.lex_state = 232, .external_lex_state = 2},
  [10401] = {.lex_state = 38, .external_lex_state = 3},
  [10402] = {.lex_state = 235, .external_lex_state = 2},
  [10403] = {.lex_state = 11, .external_lex_state = 2},
  [10404] = {.lex_state = 211, .external_lex_state = 2},
  [10405] = {.lex_state = 162, .external_lex_state = 2},
  [10406] = {.lex_state = 232, .external_lex_state = 2},
  [10407] = {.lex_state = 166, .external_lex_state = 3},
  [10408] = {.lex_state = 219, .external_lex_state = 2},
  [10409] = {.lex_state = 229, .external_lex_state = 2},
  [10410] = {.lex_state = 232, .external_lex_state = 2},
  [10411] = {.lex_state = 210, .external_lex_state = 2},
  [10412] = {.lex_state = 161, .external_lex_state = 2},
  [10413] = {.lex_state = 232, .external_lex_state = 2},
  [10414] = {.lex_state = 232, .external_lex_state = 2},
  [10415] = {.lex_state = 11, .external_lex_state = 2},
  [10416] = {.lex_state = 235, .external_lex_state = 2},
  [10417] = {.lex_state = 11, .external_lex_state = 2},
  [10418] = {.lex_state = 11, .external_lex_state = 2},
  [10419] = {.lex_state = 11, .external_lex_state = 2},
  [10420] = {.lex_state = 161, .external_lex_state = 2},
  [10421] = {.lex_state = 208, .external_lex_state = 2},
  [10422] = {.lex_state = 11, .external_lex_state = 2},
  [10423] = {.lex_state = 166, .external_lex_state = 3},
  [10424] = {.lex_state = 11, .external_lex_state = 2},
  [10425] = {.lex_state = 223, .external_lex_state = 2},
  [10426] = {.lex_state = 10, .external_lex_state = 2},
  [10427] = {.lex_state = 10, .external_lex_state = 2},
  [10428] = {.lex_state = 157, .external_lex_state = 2},
  [10429] = {.lex_state = 10, .external_lex_state = 2},
  [10430] = {.lex_state = 163, .external_lex_state = 2},
  [10431] = {.lex_state = 235, .external_lex_state = 2},
  [10432] = {.lex_state = 223, .external_lex_state = 2},
  [10433] = {.lex_state = 223, .external_lex_state = 2},
  [10434] = {.lex_state = 38, .external_lex_state = 3},
  [10435] = {.lex_state = 223, .external_lex_state = 2},
  [10436] = {.lex_state = 208, .external_lex_state = 2},
  [10437] = {.lex_state = 208, .external_lex_state = 2},
  [10438] = {.lex_state = 10, .external_lex_state = 2},
  [10439] = {.lex_state = 223, .external_lex_state = 2},
  [10440] = {.lex_state = 10, .external_lex_state = 2},
  [10441] = {.lex_state = 223, .external_lex_state = 2},
  [10442] = {.lex_state = 10, .external_lex_state = 2},
  [10443] = {.lex_state = 10, .external_lex_state = 2},
  [10444] = {.lex_state = 223, .external_lex_state = 2},
  [10445] = {.lex_state = 163, .external_lex_state = 2},
  [10446] = {.lex_state = 223, .external_lex_state = 2},
  [10447] = {.lex_state = 223, .external_lex_state = 2},
  [10448] = {.lex_state = 223, .external_lex_state = 2},
  [10449] = {.lex_state = 223, .external_lex_state = 2},
  [10450] = {.lex_state = 202, .external_lex_state = 2},
  [10451] = {.lex_state = 208, .external_lex_state = 2},
  [10452] = {.lex_state = 202, .external_lex_state = 2},
  [10453] = {.lex_state = 208, .external_lex_state = 2},
  [10454] = {.lex_state = 11, .external_lex_state = 2},
  [10455] = {.lex_state = 11, .external_lex_state = 2},
  [10456] = {.lex_state = 11, .external_lex_state = 2},
  [10457] = {.lex_state = 11, .external_lex_state = 2},
  [10458] = {.lex_state = 10, .external_lex_state = 2},
  [10459] = {.lex_state = 223, .external_lex_state = 2},
  [10460] = {.lex_state = 10, .external_lex_state = 2},
  [10461] = {.lex_state = 234, .external_lex_state = 2},
  [10462] = {.lex_state = 225, .external_lex_state = 2},
  [10463] = {.lex_state = 161, .external_lex_state = 2},
  [10464] = {.lex_state = 232, .external_lex_state = 2},
  [10465] = {.lex_state = 161, .external_lex_state = 2},
  [10466] = {.lex_state = 161, .external_lex_state = 2},
  [10467] = {.lex_state = 161, .external_lex_state = 2},
  [10468] = {.lex_state = 161, .external_lex_state = 2},
  [10469] = {.lex_state = 161, .external_lex_state = 2},
  [10470] = {.lex_state = 161, .external_lex_state = 2},
  [10471] = {.lex_state = 161, .external_lex_state = 2},
  [10472] = {.lex_state = 161, .external_lex_state = 2},
  [10473] = {.lex_state = 161, .external_lex_state = 2},
  [10474] = {.lex_state = 161, .external_lex_state = 2},
  [10475] = {.lex_state = 208, .external_lex_state = 2},
  [10476] = {.lex_state = 208, .external_lex_state = 2},
  [10477] = {.lex_state = 225, .external_lex_state = 2},
  [10478] = {.lex_state = 10, .external_lex_state = 2},
  [10479] = {.lex_state = 10, .external_lex_state = 2},
  [10480] = {.lex_state = 10, .external_lex_state = 2},
  [10481] = {.lex_state = 208, .external_lex_state = 2},
  [10482] = {.lex_state = 10, .external_lex_state = 2},
  [10483] = {.lex_state = 10, .external_lex_state = 2},
  [10484] = {.lex_state = 10, .external_lex_state = 2},
  [10485] = {.lex_state = 10, .external_lex_state = 2},
  [10486] = {.lex_state = 157, .external_lex_state = 3},
  [10487] = {.lex_state = 232, .external_lex_state = 2},
  [10488] = {.lex_state = 232, .external_lex_state = 2},
  [10489] = {.lex_state = 232, .external_lex_state = 2},
  [10490] = {.lex_state = 232, .external_lex_state = 2},
  [10491] = {.lex_state = 232, .external_lex_state = 2},
  [10492] = {.lex_state = 232, .external_lex_state = 2},
  [10493] = {.lex_state = 208, .external_lex_state = 2},
  [10494] = {.lex_state = 11, .external_lex_state = 2},
  [10495] = {.lex_state = 11, .external_lex_state = 2},
  [10496] = {.lex_state = 11, .external_lex_state = 2},
  [10497] = {.lex_state = 11, .external_lex_state = 2},
  [10498] = {.lex_state = 11, .external_lex_state = 2},
  [10499] = {.lex_state = 208, .external_lex_state = 2},
  [10500] = {.lex_state = 232, .external_lex_state = 2},
  [10501] = {.lex_state = 11, .external_lex_state = 2},
  [10502] = {.lex_state = 10, .external_lex_state = 2},
  [10503] = {.lex_state = 157, .external_lex_state = 2},
  [10504] = {.lex_state = 208, .external_lex_state = 2},
  [10505] = {.lex_state = 236, .external_lex_state = 2},
  [10506] = {.lex_state = 236, .external_lex_state = 2},
  [10507] = {.lex_state = 236, .external_lex_state = 2},
  [10508] = {.lex_state = 232, .external_lex_state = 2},
  [10509] = {.lex_state = 11, .external_lex_state = 2},
  [10510] = {.lex_state = 11, .external_lex_state = 2},
  [10511] = {.lex_state = 11, .external_lex_state = 2},
  [10512] = {.lex_state = 225, .external_lex_state = 2},
  [10513] = {.lex_state = 208, .external_lex_state = 2},
  [10514] = {.lex_state = 223, .external_lex_state = 2},
  [10515] = {.lex_state = 208, .external_lex_state = 2},
  [10516] = {.lex_state = 232, .external_lex_state = 2},
  [10517] = {.lex_state = 232, .external_lex_state = 2},
  [10518] = {.lex_state = 434, .external_lex_state = 2},
  [10519] = {.lex_state = 232, .external_lex_state = 2},
  [10520] = {.lex_state = 223, .external_lex_state = 2},
  [10521] = {.lex_state = 232, .external_lex_state = 2},
  [10522] = {.lex_state = 225, .external_lex_state = 2},
  [10523] = {.lex_state = 229, .external_lex_state = 2},
  [10524] = {.lex_state = 223, .external_lex_state = 2},
  [10525] = {.lex_state = 223, .external_lex_state = 2},
  [10526] = {.lex_state = 11, .external_lex_state = 2},
  [10527] = {.lex_state = 232, .external_lex_state = 2},
  [10528] = {.lex_state = 223, .external_lex_state = 2},
  [10529] = {.lex_state = 225, .external_lex_state = 2},
  [10530] = {.lex_state = 223, .external_lex_state = 2},
  [10531] = {.lex_state = 229, .external_lex_state = 2},
  [10532] = {.lex_state = 208, .external_lex_state = 2},
  [10533] = {.lex_state = 232, .external_lex_state = 2},
  [10534] = {.lex_state = 232, .external_lex_state = 2},
  [10535] = {.lex_state = 208, .external_lex_state = 2},
  [10536] = {.lex_state = 232, .external_lex_state = 2},
  [10537] = {.lex_state = 229, .external_lex_state = 2},
  [10538] = {.lex_state = 225, .external_lex_state = 2},
  [10539] = {.lex_state = 223, .external_lex_state = 2},
  [10540] = {.lex_state = 232, .external_lex_state = 2},
  [10541] = {.lex_state = 232, .external_lex_state = 2},
  [10542] = {.lex_state = 232, .external_lex_state = 2},
  [10543] = {.lex_state = 232, .external_lex_state = 2},
  [10544] = {.lex_state = 208, .external_lex_state = 2},
  [10545] = {.lex_state = 163, .external_lex_state = 2},
  [10546] = {.lex_state = 232, .external_lex_state = 2},
  [10547] = {.lex_state = 208, .external_lex_state = 2},
  [10548] = {.lex_state = 232, .external_lex_state = 2},
  [10549] = {.lex_state = 223, .external_lex_state = 2},
  [10550] = {.lex_state = 223, .external_lex_state = 2},
  [10551] = {.lex_state = 232, .external_lex_state = 2},
  [10552] = {.lex_state = 232, .external_lex_state = 2},
  [10553] = {.lex_state = 223, .external_lex_state = 2},
  [10554] = {.lex_state = 223, .external_lex_state = 2},
  [10555] = {.lex_state = 165, .external_lex_state = 3},
  [10556] = {.lex_state = 208, .external_lex_state = 2},
  [10557] = {.lex_state = 232, .external_lex_state = 2},
  [10558] = {.lex_state = 161, .external_lex_state = 2},
  [10559] = {.lex_state = 11, .external_lex_state = 2},
  [10560] = {.lex_state = 10, .external_lex_state = 2},
  [10561] = {.lex_state = 208, .external_lex_state = 2},
  [10562] = {.lex_state = 232, .external_lex_state = 2},
  [10563] = {.lex_state = 232, .external_lex_state = 2},
  [10564] = {.lex_state = 232, .external_lex_state = 2},
  [10565] = {.lex_state = 210, .external_lex_state = 2},
  [10566] = {.lex_state = 223, .external_lex_state = 2},
  [10567] = {.lex_state = 202, .external_lex_state = 2},
  [10568] = {.lex_state = 223, .external_lex_state = 2},
  [10569] = {.lex_state = 208, .external_lex_state = 2},
  [10570] = {.lex_state = 232, .external_lex_state = 2},
  [10571] = {.lex_state = 232, .external_lex_state = 2},
  [10572] = {.lex_state = 225, .external_lex_state = 2},
  [10573] = {.lex_state = 208, .external_lex_state = 2},
  [10574] = {.lex_state = 237, .external_lex_state = 2},
  [10575] = {.lex_state = 237, .external_lex_state = 2},
  [10576] = {.lex_state = 10, .external_lex_state = 2},
  [10577] = {.lex_state = 237, .external_lex_state = 2},
  [10578] = {.lex_state = 210, .external_lex_state = 2},
  [10579] = {.lex_state = 10, .external_lex_state = 2},
  [10580] = {.lex_state = 208, .external_lex_state = 2},
  [10581] = {.lex_state = 10, .external_lex_state = 2},
  [10582] = {.lex_state = 208, .external_lex_state = 2},
  [10583] = {.lex_state = 208, .external_lex_state = 2},
  [10584] = {.lex_state = 208, .external_lex_state = 2},
  [10585] = {.lex_state = 229, .external_lex_state = 2},
  [10586] = {.lex_state = 208, .external_lex_state = 2},
  [10587] = {.lex_state = 232, .external_lex_state = 2},
  [10588] = {.lex_state = 232, .external_lex_state = 2},
  [10589] = {.lex_state = 232, .external_lex_state = 2},
  [10590] = {.lex_state = 10, .external_lex_state = 2},
  [10591] = {.lex_state = 208, .external_lex_state = 2},
  [10592] = {.lex_state = 208, .external_lex_state = 2},
  [10593] = {.lex_state = 232, .external_lex_state = 2},
  [10594] = {.lex_state = 232, .external_lex_state = 2},
  [10595] = {.lex_state = 232, .external_lex_state = 2},
  [10596] = {.lex_state = 231, .external_lex_state = 2},
  [10597] = {.lex_state = 208, .external_lex_state = 2},
  [10598] = {.lex_state = 223, .external_lex_state = 2},
  [10599] = {.lex_state = 10, .external_lex_state = 2},
  [10600] = {.lex_state = 232, .external_lex_state = 2},
  [10601] = {.lex_state = 231, .external_lex_state = 2},
  [10602] = {.lex_state = 232, .external_lex_state = 2},
  [10603] = {.lex_state = 11, .external_lex_state = 2},
  [10604] = {.lex_state = 208, .external_lex_state = 2},
  [10605] = {.lex_state = 10, .external_lex_state = 2},
  [10606] = {.lex_state = 232, .external_lex_state = 2},
  [10607] = {.lex_state = 232, .external_lex_state = 2},
  [10608] = {.lex_state = 231, .external_lex_state = 2},
  [10609] = {.lex_state = 232, .external_lex_state = 2},
  [10610] = {.lex_state = 10, .external_lex_state = 2},
  [10611] = {.lex_state = 208, .external_lex_state = 2},
  [10612] = {.lex_state = 10, .external_lex_state = 2},
  [10613] = {.lex_state = 10, .external_lex_state = 2},
  [10614] = {.lex_state = 232, .external_lex_state = 2},
  [10615] = {.lex_state = 10, .external_lex_state = 2},
  [10616] = {.lex_state = 232, .external_lex_state = 2},
  [10617] = {.lex_state = 208, .external_lex_state = 2},
  [10618] = {.lex_state = 161, .external_lex_state = 2},
  [10619] = {.lex_state = 10, .external_lex_state = 2},
  [10620] = {.lex_state = 232, .external_lex_state = 2},
  [10621] = {.lex_state = 232, .external_lex_state = 2},
  [10622] = {.lex_state = 208, .external_lex_state = 2},
  [10623] = {.lex_state = 232, .external_lex_state = 2},
  [10624] = {.lex_state = 232, .external_lex_state = 2},
  [10625] = {.lex_state = 208, .external_lex_state = 2},
  [10626] = {.lex_state = 208, .external_lex_state = 2},
  [10627] = {.lex_state = 208, .external_lex_state = 2},
  [10628] = {.lex_state = 11, .external_lex_state = 2},
  [10629] = {.lex_state = 208, .external_lex_state = 2},
  [10630] = {.lex_state = 10, .external_lex_state = 2},
  [10631] = {.lex_state = 219, .external_lex_state = 2},
  [10632] = {.lex_state = 11, .external_lex_state = 2},
  [10633] = {.lex_state = 11, .external_lex_state = 2},
  [10634] = {.lex_state = 11, .external_lex_state = 2},
  [10635] = {.lex_state = 232, .external_lex_state = 2},
  [10636] = {.lex_state = 11, .external_lex_state = 2},
  [10637] = {.lex_state = 11, .external_lex_state = 2},
  [10638] = {.lex_state = 11, .external_lex_state = 2},
  [10639] = {.lex_state = 223, .external_lex_state = 2},
  [10640] = {.lex_state = 11, .external_lex_state = 2},
  [10641] = {.lex_state = 223, .external_lex_state = 2},
  [10642] = {.lex_state = 202, .external_lex_state = 2},
  [10643] = {.lex_state = 223, .external_lex_state = 2},
  [10644] = {.lex_state = 208, .external_lex_state = 2},
  [10645] = {.lex_state = 434, .external_lex_state = 2},
  [10646] = {.lex_state = 234, .external_lex_state = 2},
  [10647] = {.lex_state = 232, .external_lex_state = 2},
  [10648] = {.lex_state = 232, .external_lex_state = 2},
  [10649] = {.lex_state = 232, .external_lex_state = 2},
  [10650] = {.lex_state = 232, .external_lex_state = 2},
  [10651] = {.lex_state = 223, .external_lex_state = 2},
  [10652] = {.lex_state = 223, .external_lex_state = 2},
  [10653] = {.lex_state = 232, .external_lex_state = 2},
  [10654] = {.lex_state = 232, .external_lex_state = 2},
  [10655] = {.lex_state = 232, .external_lex_state = 2},
  [10656] = {.lex_state = 232, .external_lex_state = 2},
  [10657] = {.lex_state = 232, .external_lex_state = 2},
  [10658] = {.lex_state = 232, .external_lex_state = 2},
  [10659] = {.lex_state = 223, .external_lex_state = 2},
  [10660] = {.lex_state = 11, .external_lex_state = 2},
  [10661] = {.lex_state = 232, .external_lex_state = 2},
  [10662] = {.lex_state = 232, .external_lex_state = 2},
  [10663] = {.lex_state = 234, .external_lex_state = 2},
  [10664] = {.lex_state = 232, .external_lex_state = 2},
  [10665] = {.lex_state = 232, .external_lex_state = 2},
  [10666] = {.lex_state = 232, .external_lex_state = 2},
  [10667] = {.lex_state = 10, .external_lex_state = 2},
  [10668] = {.lex_state = 232, .external_lex_state = 2},
  [10669] = {.lex_state = 232, .external_lex_state = 2},
  [10670] = {.lex_state = 232, .external_lex_state = 2},
  [10671] = {.lex_state = 10, .external_lex_state = 2},
  [10672] = {.lex_state = 10, .external_lex_state = 2},
  [10673] = {.lex_state = 223, .external_lex_state = 2},
  [10674] = {.lex_state = 208, .external_lex_state = 2},
  [10675] = {.lex_state = 225, .external_lex_state = 2},
  [10676] = {.lex_state = 208, .external_lex_state = 2},
  [10677] = {.lex_state = 225, .external_lex_state = 2},
  [10678] = {.lex_state = 225, .external_lex_state = 2},
  [10679] = {.lex_state = 232, .external_lex_state = 2},
  [10680] = {.lex_state = 208, .external_lex_state = 2},
  [10681] = {.lex_state = 232, .external_lex_state = 2},
  [10682] = {.lex_state = 232, .external_lex_state = 2},
  [10683] = {.lex_state = 208, .external_lex_state = 2},
  [10684] = {.lex_state = 223, .external_lex_state = 2},
  [10685] = {.lex_state = 232, .external_lex_state = 2},
  [10686] = {.lex_state = 208, .external_lex_state = 2},
  [10687] = {.lex_state = 232, .external_lex_state = 2},
  [10688] = {.lex_state = 232, .external_lex_state = 2},
  [10689] = {.lex_state = 208, .external_lex_state = 2},
  [10690] = {.lex_state = 232, .external_lex_state = 2},
  [10691] = {.lex_state = 225, .external_lex_state = 2},
  [10692] = {.lex_state = 232, .external_lex_state = 2},
  [10693] = {.lex_state = 232, .external_lex_state = 2},
  [10694] = {.lex_state = 232, .external_lex_state = 2},
  [10695] = {.lex_state = 225, .external_lex_state = 2},
  [10696] = {.lex_state = 232, .external_lex_state = 2},
  [10697] = {.lex_state = 232, .external_lex_state = 2},
  [10698] = {.lex_state = 232, .external_lex_state = 2},
  [10699] = {.lex_state = 232, .external_lex_state = 2},
  [10700] = {.lex_state = 232, .external_lex_state = 2},
  [10701] = {.lex_state = 232, .external_lex_state = 2},
  [10702] = {.lex_state = 232, .external_lex_state = 2},
  [10703] = {.lex_state = 232, .external_lex_state = 2},
  [10704] = {.lex_state = 232, .external_lex_state = 2},
  [10705] = {.lex_state = 232, .external_lex_state = 2},
  [10706] = {.lex_state = 232, .external_lex_state = 2},
  [10707] = {.lex_state = 232, .external_lex_state = 2},
  [10708] = {.lex_state = 232, .external_lex_state = 2},
  [10709] = {.lex_state = 232, .external_lex_state = 2},
  [10710] = {.lex_state = 232, .external_lex_state = 2},
  [10711] = {.lex_state = 225, .external_lex_state = 2},
  [10712] = {.lex_state = 232, .external_lex_state = 2},
  [10713] = {.lex_state = 225, .external_lex_state = 2},
  [10714] = {.lex_state = 10, .external_lex_state = 2},
  [10715] = {.lex_state = 225, .external_lex_state = 2},
  [10716] = {.lex_state = 231, .external_lex_state = 2},
  [10717] = {.lex_state = 225, .external_lex_state = 2},
  [10718] = {.lex_state = 232, .external_lex_state = 2},
  [10719] = {.lex_state = 232, .external_lex_state = 2},
  [10720] = {.lex_state = 225, .external_lex_state = 2},
  [10721] = {.lex_state = 225, .external_lex_state = 2},
  [10722] = {.lex_state = 232, .external_lex_state = 2},
  [10723] = {.lex_state = 232, .external_lex_state = 2},
  [10724] = {.lex_state = 232, .external_lex_state = 2},
  [10725] = {.lex_state = 225, .external_lex_state = 2},
  [10726] = {.lex_state = 232, .external_lex_state = 2},
  [10727] = {.lex_state = 232, .external_lex_state = 2},
  [10728] = {.lex_state = 225, .external_lex_state = 2},
  [10729] = {.lex_state = 225, .external_lex_state = 2},
  [10730] = {.lex_state = 225, .external_lex_state = 2},
  [10731] = {.lex_state = 225, .external_lex_state = 2},
  [10732] = {.lex_state = 225, .external_lex_state = 2},
  [10733] = {.lex_state = 225, .external_lex_state = 2},
  [10734] = {.lex_state = 225, .external_lex_state = 2},
  [10735] = {.lex_state = 11, .external_lex_state = 2},
  [10736] = {.lex_state = 219, .external_lex_state = 2},
  [10737] = {.lex_state = 208, .external_lex_state = 2},
  [10738] = {.lex_state = 232, .external_lex_state = 2},
  [10739] = {.lex_state = 434, .external_lex_state = 2},
  [10740] = {.lex_state = 225, .external_lex_state = 2},
  [10741] = {.lex_state = 225, .external_lex_state = 2},
  [10742] = {.lex_state = 225, .external_lex_state = 2},
  [10743] = {.lex_state = 225, .external_lex_state = 2},
  [10744] = {.lex_state = 225, .external_lex_state = 2},
  [10745] = {.lex_state = 225, .external_lex_state = 2},
  [10746] = {.lex_state = 434, .external_lex_state = 2},
  [10747] = {.lex_state = 232, .external_lex_state = 2},
  [10748] = {.lex_state = 225, .external_lex_state = 2},
  [10749] = {.lex_state = 225, .external_lex_state = 2},
  [10750] = {.lex_state = 225, .external_lex_state = 2},
  [10751] = {.lex_state = 225, .external_lex_state = 2},
  [10752] = {.lex_state = 223, .external_lex_state = 2},
  [10753] = {.lex_state = 223, .external_lex_state = 2},
  [10754] = {.lex_state = 225, .external_lex_state = 2},
  [10755] = {.lex_state = 223, .external_lex_state = 2},
  [10756] = {.lex_state = 11, .external_lex_state = 2},
  [10757] = {.lex_state = 11, .external_lex_state = 2},
  [10758] = {.lex_state = 11, .external_lex_state = 2},
  [10759] = {.lex_state = 235, .external_lex_state = 2},
  [10760] = {.lex_state = 10, .external_lex_state = 2},
  [10761] = {.lex_state = 232, .external_lex_state = 2},
  [10762] = {.lex_state = 232, .external_lex_state = 2},
  [10763] = {.lex_state = 232, .external_lex_state = 2},
  [10764] = {.lex_state = 232, .external_lex_state = 2},
  [10765] = {.lex_state = 232, .external_lex_state = 2},
  [10766] = {.lex_state = 232, .external_lex_state = 2},
  [10767] = {.lex_state = 232, .external_lex_state = 2},
  [10768] = {.lex_state = 208, .external_lex_state = 2},
  [10769] = {.lex_state = 208, .external_lex_state = 2},
  [10770] = {.lex_state = 208, .external_lex_state = 2},
  [10771] = {.lex_state = 208, .external_lex_state = 2},
  [10772] = {.lex_state = 208, .external_lex_state = 2},
  [10773] = {.lex_state = 208, .external_lex_state = 2},
  [10774] = {.lex_state = 208, .external_lex_state = 2},
  [10775] = {.lex_state = 208, .external_lex_state = 2},
  [10776] = {.lex_state = 208, .external_lex_state = 2},
  [10777] = {.lex_state = 208, .external_lex_state = 2},
  [10778] = {.lex_state = 208, .external_lex_state = 2},
  [10779] = {.lex_state = 208, .external_lex_state = 2},
  [10780] = {.lex_state = 208, .external_lex_state = 2},
  [10781] = {.lex_state = 208, .external_lex_state = 2},
  [10782] = {.lex_state = 208, .external_lex_state = 2},
  [10783] = {.lex_state = 208, .external_lex_state = 2},
  [10784] = {.lex_state = 208, .external_lex_state = 2},
  [10785] = {.lex_state = 208, .external_lex_state = 2},
  [10786] = {.lex_state = 208, .external_lex_state = 2},
  [10787] = {.lex_state = 208, .external_lex_state = 2},
  [10788] = {.lex_state = 208, .external_lex_state = 2},
  [10789] = {.lex_state = 208, .external_lex_state = 2},
  [10790] = {.lex_state = 232, .external_lex_state = 2},
  [10791] = {.lex_state = 210, .external_lex_state = 2},
  [10792] = {.lex_state = 232, .external_lex_state = 2},
  [10793] = {.lex_state = 210, .external_lex_state = 2},
  [10794] = {.lex_state = 210, .external_lex_state = 2},
  [10795] = {.lex_state = 219, .external_lex_state = 2},
  [10796] = {.lex_state = 219, .external_lex_state = 2},
  [10797] = {.lex_state = 210, .external_lex_state = 2},
  [10798] = {.lex_state = 210, .external_lex_state = 2},
  [10799] = {.lex_state = 219, .external_lex_state = 2},
  [10800] = {.lex_state = 157, .external_lex_state = 2},
  [10801] = {.lex_state = 219, .external_lex_state = 2},
  [10802] = {.lex_state = 157, .external_lex_state = 2},
  [10803] = {.lex_state = 157, .external_lex_state = 2},
  [10804] = {.lex_state = 157, .external_lex_state = 2},
  [10805] = {.lex_state = 219, .external_lex_state = 2},
  [10806] = {.lex_state = 232, .external_lex_state = 2},
  [10807] = {.lex_state = 210, .external_lex_state = 2},
  [10808] = {.lex_state = 232, .external_lex_state = 2},
  [10809] = {.lex_state = 232, .external_lex_state = 2},
  [10810] = {.lex_state = 219, .external_lex_state = 2},
  [10811] = {.lex_state = 219, .external_lex_state = 2},
  [10812] = {.lex_state = 232, .external_lex_state = 2},
  [10813] = {.lex_state = 157, .external_lex_state = 2},
  [10814] = {.lex_state = 157, .external_lex_state = 2},
  [10815] = {.lex_state = 232, .external_lex_state = 2},
  [10816] = {.lex_state = 232, .external_lex_state = 2},
  [10817] = {.lex_state = 157, .external_lex_state = 2},
  [10818] = {.lex_state = 232, .external_lex_state = 2},
  [10819] = {.lex_state = 232, .external_lex_state = 2},
  [10820] = {.lex_state = 8, .external_lex_state = 3},
  [10821] = {.lex_state = 210, .external_lex_state = 2},
  [10822] = {.lex_state = 210, .external_lex_state = 2},
  [10823] = {.lex_state = 210, .external_lex_state = 2},
  [10824] = {.lex_state = 157, .external_lex_state = 2},
  [10825] = {.lex_state = 232, .external_lex_state = 2},
  [10826] = {.lex_state = 210, .external_lex_state = 2},
  [10827] = {.lex_state = 219, .external_lex_state = 2},
  [10828] = {.lex_state = 232, .external_lex_state = 2},
  [10829] = {.lex_state = 232, .external_lex_state = 2},
  [10830] = {.lex_state = 232, .external_lex_state = 2},
  [10831] = {.lex_state = 157, .external_lex_state = 2},
  [10832] = {.lex_state = 232, .external_lex_state = 2},
  [10833] = {.lex_state = 157, .external_lex_state = 2},
  [10834] = {.lex_state = 157, .external_lex_state = 2},
  [10835] = {.lex_state = 232, .external_lex_state = 2},
  [10836] = {.lex_state = 219, .external_lex_state = 2},
  [10837] = {.lex_state = 232, .external_lex_state = 2},
  [10838] = {.lex_state = 219, .external_lex_state = 2},
  [10839] = {.lex_state = 219, .external_lex_state = 2},
  [10840] = {.lex_state = 157, .external_lex_state = 2},
  [10841] = {.lex_state = 157, .external_lex_state = 2},
  [10842] = {.lex_state = 232, .external_lex_state = 2},
  [10843] = {.lex_state = 157, .external_lex_state = 2},
  [10844] = {.lex_state = 212, .external_lex_state = 2},
  [10845] = {.lex_state = 212, .external_lex_state = 2},
  [10846] = {.lex_state = 232, .external_lex_state = 2},
  [10847] = {.lex_state = 234, .external_lex_state = 2},
  [10848] = {.lex_state = 210, .external_lex_state = 2},
  [10849] = {.lex_state = 210, .external_lex_state = 2},
  [10850] = {.lex_state = 210, .external_lex_state = 2},
  [10851] = {.lex_state = 210, .external_lex_state = 2},
  [10852] = {.lex_state = 210, .external_lex_state = 2},
  [10853] = {.lex_state = 210, .external_lex_state = 2},
  [10854] = {.lex_state = 212, .external_lex_state = 2},
  [10855] = {.lex_state = 434, .external_lex_state = 2},
  [10856] = {.lex_state = 157, .external_lex_state = 2},
  [10857] = {.lex_state = 162, .external_lex_state = 2},
  [10858] = {.lex_state = 162, .external_lex_state = 2},
  [10859] = {.lex_state = 219, .external_lex_state = 2},
  [10860] = {.lex_state = 162, .external_lex_state = 2},
  [10861] = {.lex_state = 434, .external_lex_state = 2},
  [10862] = {.lex_state = 162, .external_lex_state = 2},
  [10863] = {.lex_state = 162, .external_lex_state = 2},
  [10864] = {.lex_state = 162, .external_lex_state = 2},
  [10865] = {.lex_state = 232, .external_lex_state = 2},
  [10866] = {.lex_state = 162, .external_lex_state = 2},
  [10867] = {.lex_state = 157, .external_lex_state = 2},
  [10868] = {.lex_state = 162, .external_lex_state = 2},
  [10869] = {.lex_state = 162, .external_lex_state = 2},
  [10870] = {.lex_state = 162, .external_lex_state = 2},
  [10871] = {.lex_state = 232, .external_lex_state = 2},
  [10872] = {.lex_state = 232, .external_lex_state = 2},
  [10873] = {.lex_state = 162, .external_lex_state = 2},
  [10874] = {.lex_state = 232, .external_lex_state = 2},
  [10875] = {.lex_state = 157, .external_lex_state = 2},
  [10876] = {.lex_state = 232, .external_lex_state = 2},
  [10877] = {.lex_state = 232, .external_lex_state = 2},
  [10878] = {.lex_state = 232, .external_lex_state = 2},
  [10879] = {.lex_state = 232, .external_lex_state = 2},
  [10880] = {.lex_state = 232, .external_lex_state = 2},
  [10881] = {.lex_state = 232, .external_lex_state = 2},
  [10882] = {.lex_state = 232, .external_lex_state = 2},
  [10883] = {.lex_state = 232, .external_lex_state = 2},
  [10884] = {.lex_state = 232, .external_lex_state = 2},
  [10885] = {.lex_state = 232, .external_lex_state = 2},
  [10886] = {.lex_state = 162, .external_lex_state = 2},
  [10887] = {.lex_state = 232, .external_lex_state = 2},
  [10888] = {.lex_state = 232, .external_lex_state = 2},
  [10889] = {.lex_state = 232, .external_lex_state = 2},
  [10890] = {.lex_state = 232, .external_lex_state = 2},
  [10891] = {.lex_state = 232, .external_lex_state = 2},
  [10892] = {.lex_state = 232, .external_lex_state = 2},
  [10893] = {.lex_state = 162, .external_lex_state = 2},
  [10894] = {.lex_state = 157, .external_lex_state = 2},
  [10895] = {.lex_state = 232, .external_lex_state = 2},
  [10896] = {.lex_state = 232, .external_lex_state = 2},
  [10897] = {.lex_state = 211, .external_lex_state = 2},
  [10898] = {.lex_state = 219, .external_lex_state = 2},
  [10899] = {.lex_state = 232, .external_lex_state = 2},
  [10900] = {.lex_state = 232, .external_lex_state = 2},
  [10901] = {.lex_state = 157, .external_lex_state = 2},
  [10902] = {.lex_state = 232, .external_lex_state = 2},
  [10903] = {.lex_state = 165, .external_lex_state = 3},
  [10904] = {.lex_state = 232, .external_lex_state = 2},
  [10905] = {.lex_state = 232, .external_lex_state = 2},
  [10906] = {.lex_state = 232, .external_lex_state = 2},
  [10907] = {.lex_state = 232, .external_lex_state = 2},
  [10908] = {.lex_state = 232, .external_lex_state = 2},
  [10909] = {.lex_state = 232, .external_lex_state = 2},
  [10910] = {.lex_state = 232, .external_lex_state = 2},
  [10911] = {.lex_state = 232, .external_lex_state = 2},
  [10912] = {.lex_state = 232, .external_lex_state = 2},
  [10913] = {.lex_state = 232, .external_lex_state = 2},
  [10914] = {.lex_state = 232, .external_lex_state = 2},
  [10915] = {.lex_state = 232, .external_lex_state = 2},
  [10916] = {.lex_state = 232, .external_lex_state = 2},
  [10917] = {.lex_state = 232, .external_lex_state = 2},
  [10918] = {.lex_state = 232, .external_lex_state = 2},
  [10919] = {.lex_state = 210, .external_lex_state = 2},
  [10920] = {.lex_state = 219, .external_lex_state = 2},
  [10921] = {.lex_state = 157, .external_lex_state = 2},
  [10922] = {.lex_state = 157, .external_lex_state = 2},
  [10923] = {.lex_state = 232, .external_lex_state = 2},
  [10924] = {.lex_state = 157, .external_lex_state = 2},
  [10925] = {.lex_state = 232, .external_lex_state = 2},
  [10926] = {.lex_state = 157, .external_lex_state = 2},
  [10927] = {.lex_state = 219, .external_lex_state = 2},
  [10928] = {.lex_state = 210, .external_lex_state = 2},
  [10929] = {.lex_state = 232, .external_lex_state = 2},
  [10930] = {.lex_state = 157, .external_lex_state = 2},
  [10931] = {.lex_state = 157, .external_lex_state = 2},
  [10932] = {.lex_state = 157, .external_lex_state = 2},
  [10933] = {.lex_state = 157, .external_lex_state = 2},
  [10934] = {.lex_state = 157, .external_lex_state = 2},
  [10935] = {.lex_state = 162, .external_lex_state = 2},
  [10936] = {.lex_state = 212, .external_lex_state = 2},
  [10937] = {.lex_state = 157, .external_lex_state = 2},
  [10938] = {.lex_state = 219, .external_lex_state = 2},
  [10939] = {.lex_state = 210, .external_lex_state = 2},
  [10940] = {.lex_state = 157, .external_lex_state = 2},
  [10941] = {.lex_state = 232, .external_lex_state = 2},
  [10942] = {.lex_state = 232, .external_lex_state = 2},
  [10943] = {.lex_state = 232, .external_lex_state = 2},
  [10944] = {.lex_state = 157, .external_lex_state = 2},
  [10945] = {.lex_state = 157, .external_lex_state = 2},
  [10946] = {.lex_state = 157, .external_lex_state = 2},
  [10947] = {.lex_state = 157, .external_lex_state = 2},
  [10948] = {.lex_state = 219, .external_lex_state = 2},
  [10949] = {.lex_state = 219, .external_lex_state = 2},
  [10950] = {.lex_state = 12, .external_lex_state = 2},
  [10951] = {.lex_state = 157, .external_lex_state = 2},
  [10952] = {.lex_state = 219, .external_lex_state = 2},
  [10953] = {.lex_state = 434, .external_lex_state = 2},
  [10954] = {.lex_state = 219, .external_lex_state = 2},
  [10955] = {.lex_state = 157, .external_lex_state = 2},
  [10956] = {.lex_state = 157, .external_lex_state = 2},
  [10957] = {.lex_state = 157, .external_lex_state = 2},
  [10958] = {.lex_state = 157, .external_lex_state = 2},
  [10959] = {.lex_state = 434, .external_lex_state = 2},
  [10960] = {.lex_state = 157, .external_lex_state = 2},
  [10961] = {.lex_state = 157, .external_lex_state = 2},
  [10962] = {.lex_state = 162, .external_lex_state = 2},
  [10963] = {.lex_state = 157, .external_lex_state = 2},
  [10964] = {.lex_state = 219, .external_lex_state = 2},
  [10965] = {.lex_state = 157, .external_lex_state = 2},
  [10966] = {.lex_state = 157, .external_lex_state = 2},
  [10967] = {.lex_state = 157, .external_lex_state = 2},
  [10968] = {.lex_state = 157, .external_lex_state = 2},
  [10969] = {.lex_state = 157, .external_lex_state = 2},
  [10970] = {.lex_state = 219, .external_lex_state = 2},
  [10971] = {.lex_state = 219, .external_lex_state = 2},
  [10972] = {.lex_state = 210, .external_lex_state = 2},
  [10973] = {.lex_state = 219, .external_lex_state = 2},
  [10974] = {.lex_state = 219, .external_lex_state = 2},
  [10975] = {.lex_state = 157, .external_lex_state = 2},
  [10976] = {.lex_state = 210, .external_lex_state = 2},
  [10977] = {.lex_state = 232, .external_lex_state = 2},
  [10978] = {.lex_state = 221, .external_lex_state = 2},
  [10979] = {.lex_state = 157, .external_lex_state = 2},
  [10980] = {.lex_state = 232, .external_lex_state = 2},
  [10981] = {.lex_state = 219, .external_lex_state = 2},
  [10982] = {.lex_state = 157, .external_lex_state = 2},
  [10983] = {.lex_state = 162, .external_lex_state = 2},
  [10984] = {.lex_state = 232, .external_lex_state = 2},
  [10985] = {.lex_state = 162, .external_lex_state = 2},
  [10986] = {.lex_state = 162, .external_lex_state = 2},
  [10987] = {.lex_state = 162, .external_lex_state = 2},
  [10988] = {.lex_state = 210, .external_lex_state = 2},
  [10989] = {.lex_state = 210, .external_lex_state = 2},
  [10990] = {.lex_state = 232, .external_lex_state = 2},
  [10991] = {.lex_state = 162, .external_lex_state = 2},
  [10992] = {.lex_state = 219, .external_lex_state = 2},
  [10993] = {.lex_state = 12, .external_lex_state = 2},
  [10994] = {.lex_state = 162, .external_lex_state = 2},
  [10995] = {.lex_state = 157, .external_lex_state = 2},
  [10996] = {.lex_state = 219, .external_lex_state = 2},
  [10997] = {.lex_state = 235, .external_lex_state = 2},
  [10998] = {.lex_state = 157, .external_lex_state = 2},
  [10999] = {.lex_state = 162, .external_lex_state = 2},
  [11000] = {.lex_state = 210, .external_lex_state = 2},
  [11001] = {.lex_state = 12, .external_lex_state = 2},
  [11002] = {.lex_state = 219, .external_lex_state = 2},
  [11003] = {.lex_state = 157, .external_lex_state = 2},
  [11004] = {.lex_state = 232, .external_lex_state = 2},
  [11005] = {.lex_state = 232, .external_lex_state = 2},
  [11006] = {.lex_state = 210, .external_lex_state = 2},
  [11007] = {.lex_state = 157, .external_lex_state = 2},
  [11008] = {.lex_state = 157, .external_lex_state = 2},
  [11009] = {.lex_state = 232, .external_lex_state = 2},
  [11010] = {.lex_state = 232, .external_lex_state = 2},
  [11011] = {.lex_state = 162, .external_lex_state = 2},
  [11012] = {.lex_state = 232, .external_lex_state = 2},
  [11013] = {.lex_state = 219, .external_lex_state = 2},
  [11014] = {.lex_state = 232, .external_lex_state = 2},
  [11015] = {.lex_state = 232, .external_lex_state = 2},
  [11016] = {.lex_state = 232, .external_lex_state = 2},
  [11017] = {.lex_state = 162, .external_lex_state = 2},
  [11018] = {.lex_state = 157, .external_lex_state = 2},
  [11019] = {.lex_state = 157, .external_lex_state = 2},
  [11020] = {.lex_state = 157, .external_lex_state = 2},
  [11021] = {.lex_state = 232, .external_lex_state = 2},
  [11022] = {.lex_state = 210, .external_lex_state = 2},
  [11023] = {.lex_state = 157, .external_lex_state = 2},
  [11024] = {.lex_state = 157, .external_lex_state = 2},
  [11025] = {.lex_state = 210, .external_lex_state = 2},
  [11026] = {.lex_state = 210, .external_lex_state = 2},
  [11027] = {.lex_state = 210, .external_lex_state = 2},
  [11028] = {.lex_state = 157, .external_lex_state = 2},
  [11029] = {.lex_state = 211, .external_lex_state = 2},
  [11030] = {.lex_state = 210, .external_lex_state = 2},
  [11031] = {.lex_state = 211, .external_lex_state = 2},
  [11032] = {.lex_state = 232, .external_lex_state = 2},
  [11033] = {.lex_state = 232, .external_lex_state = 2},
  [11034] = {.lex_state = 157, .external_lex_state = 2},
  [11035] = {.lex_state = 211, .external_lex_state = 2},
  [11036] = {.lex_state = 232, .external_lex_state = 2},
  [11037] = {.lex_state = 157, .external_lex_state = 2},
  [11038] = {.lex_state = 219, .external_lex_state = 2},
  [11039] = {.lex_state = 219, .external_lex_state = 2},
  [11040] = {.lex_state = 232, .external_lex_state = 2},
  [11041] = {.lex_state = 157, .external_lex_state = 2},
  [11042] = {.lex_state = 157, .external_lex_state = 2},
  [11043] = {.lex_state = 210, .external_lex_state = 2},
  [11044] = {.lex_state = 232, .external_lex_state = 2},
  [11045] = {.lex_state = 210, .external_lex_state = 2},
  [11046] = {.lex_state = 157, .external_lex_state = 2},
  [11047] = {.lex_state = 157, .external_lex_state = 2},
  [11048] = {.lex_state = 157, .external_lex_state = 2},
  [11049] = {.lex_state = 157, .external_lex_state = 2},
  [11050] = {.lex_state = 157, .external_lex_state = 2},
  [11051] = {.lex_state = 157, .external_lex_state = 2},
  [11052] = {.lex_state = 157, .external_lex_state = 2},
  [11053] = {.lex_state = 157, .external_lex_state = 2},
  [11054] = {.lex_state = 157, .external_lex_state = 2},
  [11055] = {.lex_state = 157, .external_lex_state = 2},
  [11056] = {.lex_state = 157, .external_lex_state = 2},
  [11057] = {.lex_state = 157, .external_lex_state = 2},
  [11058] = {.lex_state = 157, .external_lex_state = 2},
  [11059] = {.lex_state = 157, .external_lex_state = 2},
  [11060] = {.lex_state = 163, .external_lex_state = 2},
  [11061] = {.lex_state = 157, .external_lex_state = 2},
  [11062] = {.lex_state = 232, .external_lex_state = 2},
  [11063] = {.lex_state = 232, .external_lex_state = 2},
  [11064] = {.lex_state = 157, .external_lex_state = 2},
  [11065] = {.lex_state = 157, .external_lex_state = 2},
  [11066] = {.lex_state = 157, .external_lex_state = 2},
  [11067] = {.lex_state = 157, .external_lex_state = 2},
  [11068] = {.lex_state = 219, .external_lex_state = 2},
  [11069] = {.lex_state = 157, .external_lex_state = 2},
  [11070] = {.lex_state = 157, .external_lex_state = 2},
  [11071] = {.lex_state = 157, .external_lex_state = 2},
  [11072] = {.lex_state = 157, .external_lex_state = 2},
  [11073] = {.lex_state = 157, .external_lex_state = 2},
  [11074] = {.lex_state = 434, .external_lex_state = 2},
  [11075] = {.lex_state = 200, .external_lex_state = 2},
  [11076] = {.lex_state = 157, .external_lex_state = 2},
  [11077] = {.lex_state = 157, .external_lex_state = 2},
  [11078] = {.lex_state = 157, .external_lex_state = 2},
  [11079] = {.lex_state = 157, .external_lex_state = 2},
  [11080] = {.lex_state = 157, .external_lex_state = 2},
  [11081] = {.lex_state = 157, .external_lex_state = 2},
  [11082] = {.lex_state = 157, .external_lex_state = 2},
  [11083] = {.lex_state = 157, .external_lex_state = 2},
  [11084] = {.lex_state = 157, .external_lex_state = 2},
  [11085] = {.lex_state = 157, .external_lex_state = 2},
  [11086] = {.lex_state = 157, .external_lex_state = 2},
  [11087] = {.lex_state = 157, .external_lex_state = 2},
  [11088] = {.lex_state = 157, .external_lex_state = 2},
  [11089] = {.lex_state = 163, .external_lex_state = 2},
  [11090] = {.lex_state = 157, .external_lex_state = 2},
  [11091] = {.lex_state = 157, .external_lex_state = 2},
  [11092] = {.lex_state = 157, .external_lex_state = 2},
  [11093] = {.lex_state = 157, .external_lex_state = 2},
  [11094] = {.lex_state = 157, .external_lex_state = 2},
  [11095] = {.lex_state = 157, .external_lex_state = 2},
  [11096] = {.lex_state = 434, .external_lex_state = 2},
  [11097] = {.lex_state = 434, .external_lex_state = 2},
  [11098] = {.lex_state = 157, .external_lex_state = 2},
  [11099] = {.lex_state = 434, .external_lex_state = 2},
  [11100] = {.lex_state = 157, .external_lex_state = 2},
  [11101] = {.lex_state = 434, .external_lex_state = 2},
  [11102] = {.lex_state = 172, .external_lex_state = 2},
  [11103] = {.lex_state = 172, .external_lex_state = 2},
  [11104] = {.lex_state = 172, .external_lex_state = 2},
  [11105] = {.lex_state = 157, .external_lex_state = 3},
  [11106] = {.lex_state = 163, .external_lex_state = 2},
  [11107] = {.lex_state = 157, .external_lex_state = 2},
  [11108] = {.lex_state = 157, .external_lex_state = 2},
  [11109] = {.lex_state = 163, .external_lex_state = 2},
  [11110] = {.lex_state = 163, .external_lex_state = 2},
  [11111] = {.lex_state = 163, .external_lex_state = 2},
  [11112] = {.lex_state = 157, .external_lex_state = 2},
  [11113] = {.lex_state = 232, .external_lex_state = 2},
  [11114] = {.lex_state = 232, .external_lex_state = 2},
  [11115] = {.lex_state = 157, .external_lex_state = 2},
  [11116] = {.lex_state = 163, .external_lex_state = 2},
  [11117] = {.lex_state = 434, .external_lex_state = 2},
  [11118] = {.lex_state = 157, .external_lex_state = 2},
  [11119] = {.lex_state = 212, .external_lex_state = 2},
  [11120] = {.lex_state = 157, .external_lex_state = 2},
  [11121] = {.lex_state = 157, .external_lex_state = 2},
  [11122] = {.lex_state = 157, .external_lex_state = 2},
  [11123] = {.lex_state = 157, .external_lex_state = 2},
  [11124] = {.lex_state = 157, .external_lex_state = 2},
  [11125] = {.lex_state = 157, .external_lex_state = 2},
  [11126] = {.lex_state = 157, .external_lex_state = 2},
  [11127] = {.lex_state = 163, .external_lex_state = 2},
  [11128] = {.lex_state = 163, .external_lex_state = 2},
  [11129] = {.lex_state = 211, .external_lex_state = 2},
  [11130] = {.lex_state = 157, .external_lex_state = 2},
  [11131] = {.lex_state = 219, .external_lex_state = 2},
  [11132] = {.lex_state = 219, .external_lex_state = 2},
  [11133] = {.lex_state = 434, .external_lex_state = 2},
  [11134] = {.lex_state = 174, .external_lex_state = 2},
  [11135] = {.lex_state = 174, .external_lex_state = 2},
  [11136] = {.lex_state = 157, .external_lex_state = 2},
  [11137] = {.lex_state = 174, .external_lex_state = 2},
  [11138] = {.lex_state = 157, .external_lex_state = 2},
  [11139] = {.lex_state = 157, .external_lex_state = 2},
  [11140] = {.lex_state = 157, .external_lex_state = 2},
  [11141] = {.lex_state = 157, .external_lex_state = 2},
  [11142] = {.lex_state = 157, .external_lex_state = 2},
  [11143] = {.lex_state = 162, .external_lex_state = 2},
  [11144] = {.lex_state = 162, .external_lex_state = 2},
  [11145] = {.lex_state = 162, .external_lex_state = 2},
  [11146] = {.lex_state = 162, .external_lex_state = 2},
  [11147] = {.lex_state = 162, .external_lex_state = 2},
  [11148] = {.lex_state = 162, .external_lex_state = 2},
  [11149] = {.lex_state = 434, .external_lex_state = 2},
  [11150] = {.lex_state = 162, .external_lex_state = 2},
  [11151] = {.lex_state = 205, .external_lex_state = 2},
  [11152] = {.lex_state = 157, .external_lex_state = 2},
  [11153] = {.lex_state = 162, .external_lex_state = 2},
  [11154] = {.lex_state = 157, .external_lex_state = 2},
  [11155] = {.lex_state = 162, .external_lex_state = 2},
  [11156] = {.lex_state = 162, .external_lex_state = 2},
  [11157] = {.lex_state = 157, .external_lex_state = 2},
  [11158] = {.lex_state = 162, .external_lex_state = 2},
  [11159] = {.lex_state = 157, .external_lex_state = 2},
  [11160] = {.lex_state = 157, .external_lex_state = 2},
  [11161] = {.lex_state = 157, .external_lex_state = 2},
  [11162] = {.lex_state = 157, .external_lex_state = 2},
  [11163] = {.lex_state = 157, .external_lex_state = 2},
  [11164] = {.lex_state = 434, .external_lex_state = 2},
  [11165] = {.lex_state = 162, .external_lex_state = 2},
  [11166] = {.lex_state = 157, .external_lex_state = 2},
  [11167] = {.lex_state = 219, .external_lex_state = 2},
  [11168] = {.lex_state = 157, .external_lex_state = 2},
  [11169] = {.lex_state = 157, .external_lex_state = 2},
  [11170] = {.lex_state = 157, .external_lex_state = 2},
  [11171] = {.lex_state = 212, .external_lex_state = 2},
  [11172] = {.lex_state = 157, .external_lex_state = 2},
  [11173] = {.lex_state = 157, .external_lex_state = 2},
  [11174] = {.lex_state = 157, .external_lex_state = 2},
  [11175] = {.lex_state = 157, .external_lex_state = 2},
  [11176] = {.lex_state = 157, .external_lex_state = 2},
  [11177] = {.lex_state = 157, .external_lex_state = 2},
  [11178] = {.lex_state = 157, .external_lex_state = 2},
  [11179] = {.lex_state = 157, .external_lex_state = 2},
  [11180] = {.lex_state = 157, .external_lex_state = 2},
  [11181] = {.lex_state = 157, .external_lex_state = 2},
  [11182] = {.lex_state = 157, .external_lex_state = 2},
  [11183] = {.lex_state = 157, .external_lex_state = 2},
  [11184] = {.lex_state = 434, .external_lex_state = 2},
  [11185] = {.lex_state = 163, .external_lex_state = 2},
  [11186] = {.lex_state = 157, .external_lex_state = 2},
  [11187] = {.lex_state = 157, .external_lex_state = 2},
  [11188] = {.lex_state = 157, .external_lex_state = 2},
  [11189] = {.lex_state = 210, .external_lex_state = 2},
  [11190] = {.lex_state = 157, .external_lex_state = 2},
  [11191] = {.lex_state = 434, .external_lex_state = 2},
  [11192] = {.lex_state = 157, .external_lex_state = 2},
  [11193] = {.lex_state = 157, .external_lex_state = 2},
  [11194] = {.lex_state = 157, .external_lex_state = 2},
  [11195] = {.lex_state = 157, .external_lex_state = 2},
  [11196] = {.lex_state = 434, .external_lex_state = 2},
  [11197] = {.lex_state = 157, .external_lex_state = 2},
  [11198] = {.lex_state = 157, .external_lex_state = 2},
  [11199] = {.lex_state = 157, .external_lex_state = 2},
  [11200] = {.lex_state = 157, .external_lex_state = 2},
  [11201] = {.lex_state = 219, .external_lex_state = 2},
  [11202] = {.lex_state = 157, .external_lex_state = 2},
  [11203] = {.lex_state = 157, .external_lex_state = 2},
  [11204] = {.lex_state = 157, .external_lex_state = 2},
  [11205] = {.lex_state = 434, .external_lex_state = 2},
  [11206] = {.lex_state = 157, .external_lex_state = 2},
  [11207] = {.lex_state = 157, .external_lex_state = 2},
  [11208] = {.lex_state = 157, .external_lex_state = 2},
  [11209] = {.lex_state = 157, .external_lex_state = 2},
  [11210] = {.lex_state = 219, .external_lex_state = 2},
  [11211] = {.lex_state = 163, .external_lex_state = 2},
  [11212] = {.lex_state = 434, .external_lex_state = 2},
  [11213] = {.lex_state = 157, .external_lex_state = 2},
  [11214] = {.lex_state = 157, .external_lex_state = 2},
  [11215] = {.lex_state = 157, .external_lex_state = 2},
  [11216] = {.lex_state = 157, .external_lex_state = 2},
  [11217] = {.lex_state = 157, .external_lex_state = 2},
  [11218] = {.lex_state = 163, .external_lex_state = 2},
  [11219] = {.lex_state = 252, .external_lex_state = 2},
  [11220] = {.lex_state = 434, .external_lex_state = 2},
  [11221] = {.lex_state = 157, .external_lex_state = 2},
  [11222] = {.lex_state = 163, .external_lex_state = 2},
  [11223] = {.lex_state = 157, .external_lex_state = 2},
  [11224] = {.lex_state = 157, .external_lex_state = 2},
  [11225] = {.lex_state = 157, .external_lex_state = 2},
  [11226] = {.lex_state = 157, .external_lex_state = 2},
  [11227] = {.lex_state = 157, .external_lex_state = 2},
  [11228] = {.lex_state = 232, .external_lex_state = 2},
  [11229] = {.lex_state = 157, .external_lex_state = 2},
  [11230] = {.lex_state = 434, .external_lex_state = 2},
  [11231] = {.lex_state = 157, .external_lex_state = 2},
  [11232] = {.lex_state = 157, .external_lex_state = 2},
  [11233] = {.lex_state = 157, .external_lex_state = 2},
  [11234] = {.lex_state = 157, .external_lex_state = 2},
  [11235] = {.lex_state = 157, .external_lex_state = 2},
  [11236] = {.lex_state = 164, .external_lex_state = 2},
  [11237] = {.lex_state = 434, .external_lex_state = 2},
  [11238] = {.lex_state = 157, .external_lex_state = 2},
  [11239] = {.lex_state = 434, .external_lex_state = 2},
  [11240] = {.lex_state = 157, .external_lex_state = 2},
  [11241] = {.lex_state = 156, .external_lex_state = 2},
  [11242] = {.lex_state = 157, .external_lex_state = 2},
  [11243] = {.lex_state = 210, .external_lex_state = 2},
  [11244] = {.lex_state = 157, .external_lex_state = 2},
  [11245] = {.lex_state = 157, .external_lex_state = 2},
  [11246] = {.lex_state = 157, .external_lex_state = 2},
  [11247] = {.lex_state = 434, .external_lex_state = 2},
  [11248] = {.lex_state = 157, .external_lex_state = 2},
  [11249] = {.lex_state = 157, .external_lex_state = 2},
  [11250] = {.lex_state = 157, .external_lex_state = 2},
  [11251] = {.lex_state = 157, .external_lex_state = 2},
  [11252] = {.lex_state = 157, .external_lex_state = 2},
  [11253] = {.lex_state = 157, .external_lex_state = 2},
  [11254] = {.lex_state = 157, .external_lex_state = 2},
  [11255] = {.lex_state = 157, .external_lex_state = 2},
  [11256] = {.lex_state = 157, .external_lex_state = 2},
  [11257] = {.lex_state = 157, .external_lex_state = 2},
  [11258] = {.lex_state = 157, .external_lex_state = 2},
  [11259] = {.lex_state = 434, .external_lex_state = 2},
  [11260] = {.lex_state = 200, .external_lex_state = 2},
  [11261] = {.lex_state = 434, .external_lex_state = 2},
  [11262] = {.lex_state = 157, .external_lex_state = 2},
  [11263] = {.lex_state = 157, .external_lex_state = 2},
  [11264] = {.lex_state = 157, .external_lex_state = 2},
  [11265] = {.lex_state = 157, .external_lex_state = 2},
  [11266] = {.lex_state = 157, .external_lex_state = 2},
  [11267] = {.lex_state = 434, .external_lex_state = 2},
  [11268] = {.lex_state = 434, .external_lex_state = 2},
  [11269] = {.lex_state = 157, .external_lex_state = 2},
  [11270] = {.lex_state = 434, .external_lex_state = 2},
  [11271] = {.lex_state = 157, .external_lex_state = 2},
  [11272] = {.lex_state = 157, .external_lex_state = 2},
  [11273] = {.lex_state = 164, .external_lex_state = 2},
  [11274] = {.lex_state = 212, .external_lex_state = 2},
  [11275] = {.lex_state = 157, .external_lex_state = 2},
  [11276] = {.lex_state = 434, .external_lex_state = 2},
  [11277] = {.lex_state = 157, .external_lex_state = 2},
  [11278] = {.lex_state = 157, .external_lex_state = 2},
  [11279] = {.lex_state = 157, .external_lex_state = 2},
  [11280] = {.lex_state = 157, .external_lex_state = 2},
  [11281] = {.lex_state = 157, .external_lex_state = 2},
  [11282] = {.lex_state = 157, .external_lex_state = 2},
  [11283] = {.lex_state = 157, .external_lex_state = 2},
  [11284] = {.lex_state = 157, .external_lex_state = 2},
  [11285] = {.lex_state = 434, .external_lex_state = 2},
  [11286] = {.lex_state = 157, .external_lex_state = 2},
  [11287] = {.lex_state = 434, .external_lex_state = 2},
  [11288] = {.lex_state = 157, .external_lex_state = 2},
  [11289] = {.lex_state = 157, .external_lex_state = 2},
  [11290] = {.lex_state = 434, .external_lex_state = 2},
  [11291] = {.lex_state = 157, .external_lex_state = 2},
  [11292] = {.lex_state = 157, .external_lex_state = 2},
  [11293] = {.lex_state = 157, .external_lex_state = 2},
  [11294] = {.lex_state = 157, .external_lex_state = 2},
  [11295] = {.lex_state = 434, .external_lex_state = 2},
  [11296] = {.lex_state = 157, .external_lex_state = 2},
  [11297] = {.lex_state = 157, .external_lex_state = 2},
  [11298] = {.lex_state = 157, .external_lex_state = 2},
  [11299] = {.lex_state = 157, .external_lex_state = 2},
  [11300] = {.lex_state = 434, .external_lex_state = 2},
  [11301] = {.lex_state = 157, .external_lex_state = 2},
  [11302] = {.lex_state = 157, .external_lex_state = 2},
  [11303] = {.lex_state = 157, .external_lex_state = 2},
  [11304] = {.lex_state = 157, .external_lex_state = 2},
  [11305] = {.lex_state = 157, .external_lex_state = 2},
  [11306] = {.lex_state = 157, .external_lex_state = 2},
  [11307] = {.lex_state = 434, .external_lex_state = 2},
  [11308] = {.lex_state = 157, .external_lex_state = 2},
  [11309] = {.lex_state = 157, .external_lex_state = 2},
  [11310] = {.lex_state = 157, .external_lex_state = 2},
  [11311] = {.lex_state = 434, .external_lex_state = 2},
  [11312] = {.lex_state = 157, .external_lex_state = 2},
  [11313] = {.lex_state = 157, .external_lex_state = 2},
  [11314] = {.lex_state = 157, .external_lex_state = 2},
  [11315] = {.lex_state = 157, .external_lex_state = 2},
  [11316] = {.lex_state = 157, .external_lex_state = 2},
  [11317] = {.lex_state = 157, .external_lex_state = 2},
  [11318] = {.lex_state = 157, .external_lex_state = 2},
  [11319] = {.lex_state = 434, .external_lex_state = 2},
  [11320] = {.lex_state = 157, .external_lex_state = 2},
  [11321] = {.lex_state = 157, .external_lex_state = 2},
  [11322] = {.lex_state = 157, .external_lex_state = 2},
  [11323] = {.lex_state = 211, .external_lex_state = 2},
  [11324] = {.lex_state = 434, .external_lex_state = 2},
  [11325] = {.lex_state = 157, .external_lex_state = 2},
  [11326] = {.lex_state = 157, .external_lex_state = 2},
  [11327] = {.lex_state = 157, .external_lex_state = 2},
  [11328] = {.lex_state = 434, .external_lex_state = 2},
  [11329] = {.lex_state = 232, .external_lex_state = 2},
  [11330] = {.lex_state = 157, .external_lex_state = 2},
  [11331] = {.lex_state = 157, .external_lex_state = 2},
  [11332] = {.lex_state = 232, .external_lex_state = 2},
  [11333] = {.lex_state = 434, .external_lex_state = 2},
  [11334] = {.lex_state = 157, .external_lex_state = 2},
  [11335] = {.lex_state = 157, .external_lex_state = 2},
  [11336] = {.lex_state = 157, .external_lex_state = 2},
  [11337] = {.lex_state = 434, .external_lex_state = 2},
  [11338] = {.lex_state = 157, .external_lex_state = 2},
  [11339] = {.lex_state = 157, .external_lex_state = 2},
  [11340] = {.lex_state = 157, .external_lex_state = 2},
  [11341] = {.lex_state = 157, .external_lex_state = 2},
  [11342] = {.lex_state = 199, .external_lex_state = 2},
  [11343] = {.lex_state = 164, .external_lex_state = 2},
  [11344] = {.lex_state = 434, .external_lex_state = 2},
  [11345] = {.lex_state = 164, .external_lex_state = 2},
  [11346] = {.lex_state = 164, .external_lex_state = 2},
  [11347] = {.lex_state = 164, .external_lex_state = 2},
  [11348] = {.lex_state = 164, .external_lex_state = 2},
  [11349] = {.lex_state = 164, .external_lex_state = 2},
  [11350] = {.lex_state = 164, .external_lex_state = 2},
  [11351] = {.lex_state = 434, .external_lex_state = 2},
  [11352] = {.lex_state = 164, .external_lex_state = 2},
  [11353] = {.lex_state = 157, .external_lex_state = 2},
  [11354] = {.lex_state = 164, .external_lex_state = 2},
  [11355] = {.lex_state = 164, .external_lex_state = 2},
  [11356] = {.lex_state = 164, .external_lex_state = 2},
  [11357] = {.lex_state = 157, .external_lex_state = 2},
  [11358] = {.lex_state = 164, .external_lex_state = 2},
  [11359] = {.lex_state = 434, .external_lex_state = 2},
  [11360] = {.lex_state = 434, .external_lex_state = 2},
  [11361] = {.lex_state = 210, .external_lex_state = 2},
  [11362] = {.lex_state = 157, .external_lex_state = 2},
  [11363] = {.lex_state = 164, .external_lex_state = 2},
  [11364] = {.lex_state = 157, .external_lex_state = 2},
  [11365] = {.lex_state = 157, .external_lex_state = 2},
  [11366] = {.lex_state = 157, .external_lex_state = 2},
  [11367] = {.lex_state = 157, .external_lex_state = 2},
  [11368] = {.lex_state = 157, .external_lex_state = 2},
  [11369] = {.lex_state = 163, .external_lex_state = 2},
  [11370] = {.lex_state = 157, .external_lex_state = 2},
  [11371] = {.lex_state = 157, .external_lex_state = 2},
  [11372] = {.lex_state = 157, .external_lex_state = 2},
  [11373] = {.lex_state = 221, .external_lex_state = 2},
  [11374] = {.lex_state = 157, .external_lex_state = 2},
  [11375] = {.lex_state = 434, .external_lex_state = 2},
  [11376] = {.lex_state = 157, .external_lex_state = 2},
  [11377] = {.lex_state = 157, .external_lex_state = 2},
  [11378] = {.lex_state = 157, .external_lex_state = 2},
  [11379] = {.lex_state = 232, .external_lex_state = 2},
  [11380] = {.lex_state = 157, .external_lex_state = 2},
  [11381] = {.lex_state = 232, .external_lex_state = 2},
  [11382] = {.lex_state = 232, .external_lex_state = 2},
  [11383] = {.lex_state = 157, .external_lex_state = 2},
  [11384] = {.lex_state = 232, .external_lex_state = 2},
  [11385] = {.lex_state = 232, .external_lex_state = 2},
  [11386] = {.lex_state = 157, .external_lex_state = 2},
  [11387] = {.lex_state = 157, .external_lex_state = 2},
  [11388] = {.lex_state = 434, .external_lex_state = 2},
  [11389] = {.lex_state = 157, .external_lex_state = 2},
  [11390] = {.lex_state = 210, .external_lex_state = 2},
  [11391] = {.lex_state = 157, .external_lex_state = 2},
  [11392] = {.lex_state = 157, .external_lex_state = 2},
  [11393] = {.lex_state = 157, .external_lex_state = 2},
  [11394] = {.lex_state = 157, .external_lex_state = 2},
  [11395] = {.lex_state = 157, .external_lex_state = 2},
  [11396] = {.lex_state = 162, .external_lex_state = 2},
  [11397] = {.lex_state = 157, .external_lex_state = 2},
  [11398] = {.lex_state = 157, .external_lex_state = 2},
  [11399] = {.lex_state = 157, .external_lex_state = 2},
  [11400] = {.lex_state = 157, .external_lex_state = 2},
  [11401] = {.lex_state = 157, .external_lex_state = 2},
  [11402] = {.lex_state = 434, .external_lex_state = 2},
  [11403] = {.lex_state = 157, .external_lex_state = 2},
  [11404] = {.lex_state = 157, .external_lex_state = 2},
  [11405] = {.lex_state = 157, .external_lex_state = 2},
  [11406] = {.lex_state = 157, .external_lex_state = 2},
  [11407] = {.lex_state = 157, .external_lex_state = 2},
  [11408] = {.lex_state = 157, .external_lex_state = 2},
  [11409] = {.lex_state = 157, .external_lex_state = 2},
  [11410] = {.lex_state = 157, .external_lex_state = 2},
  [11411] = {.lex_state = 157, .external_lex_state = 2},
  [11412] = {.lex_state = 157, .external_lex_state = 2},
  [11413] = {.lex_state = 210, .external_lex_state = 2},
  [11414] = {.lex_state = 157, .external_lex_state = 2},
  [11415] = {.lex_state = 157, .external_lex_state = 2},
  [11416] = {.lex_state = 157, .external_lex_state = 2},
  [11417] = {.lex_state = 157, .external_lex_state = 2},
  [11418] = {.lex_state = 157, .external_lex_state = 2},
  [11419] = {.lex_state = 157, .external_lex_state = 2},
  [11420] = {.lex_state = 164, .external_lex_state = 2},
  [11421] = {.lex_state = 157, .external_lex_state = 2},
  [11422] = {.lex_state = 157, .external_lex_state = 2},
  [11423] = {.lex_state = 157, .external_lex_state = 2},
  [11424] = {.lex_state = 157, .external_lex_state = 2},
  [11425] = {.lex_state = 157, .external_lex_state = 2},
  [11426] = {.lex_state = 157, .external_lex_state = 2},
  [11427] = {.lex_state = 157, .external_lex_state = 2},
  [11428] = {.lex_state = 157, .external_lex_state = 2},
  [11429] = {.lex_state = 157, .external_lex_state = 2},
  [11430] = {.lex_state = 157, .external_lex_state = 2},
  [11431] = {.lex_state = 157, .external_lex_state = 2},
  [11432] = {.lex_state = 157, .external_lex_state = 2},
  [11433] = {.lex_state = 157, .external_lex_state = 2},
  [11434] = {.lex_state = 157, .external_lex_state = 2},
  [11435] = {.lex_state = 157, .external_lex_state = 2},
  [11436] = {.lex_state = 157, .external_lex_state = 2},
  [11437] = {.lex_state = 163, .external_lex_state = 2},
  [11438] = {.lex_state = 157, .external_lex_state = 2},
  [11439] = {.lex_state = 157, .external_lex_state = 2},
  [11440] = {.lex_state = 157, .external_lex_state = 2},
  [11441] = {.lex_state = 157, .external_lex_state = 2},
  [11442] = {.lex_state = 157, .external_lex_state = 2},
  [11443] = {.lex_state = 157, .external_lex_state = 2},
  [11444] = {.lex_state = 157, .external_lex_state = 2},
  [11445] = {.lex_state = 157, .external_lex_state = 2},
  [11446] = {.lex_state = 232, .external_lex_state = 2},
  [11447] = {.lex_state = 232, .external_lex_state = 2},
  [11448] = {.lex_state = 232, .external_lex_state = 2},
  [11449] = {.lex_state = 157, .external_lex_state = 2},
  [11450] = {.lex_state = 157, .external_lex_state = 2},
  [11451] = {.lex_state = 157, .external_lex_state = 2},
  [11452] = {.lex_state = 157, .external_lex_state = 2},
  [11453] = {.lex_state = 157, .external_lex_state = 2},
  [11454] = {.lex_state = 157, .external_lex_state = 2},
  [11455] = {.lex_state = 157, .external_lex_state = 2},
  [11456] = {.lex_state = 157, .external_lex_state = 2},
  [11457] = {.lex_state = 157, .external_lex_state = 2},
  [11458] = {.lex_state = 157, .external_lex_state = 2},
  [11459] = {.lex_state = 157, .external_lex_state = 2},
  [11460] = {.lex_state = 164, .external_lex_state = 2},
  [11461] = {.lex_state = 164, .external_lex_state = 2},
  [11462] = {.lex_state = 157, .external_lex_state = 2},
  [11463] = {.lex_state = 157, .external_lex_state = 2},
  [11464] = {.lex_state = 157, .external_lex_state = 2},
  [11465] = {.lex_state = 157, .external_lex_state = 2},
  [11466] = {.lex_state = 157, .external_lex_state = 2},
  [11467] = {.lex_state = 157, .external_lex_state = 2},
  [11468] = {.lex_state = 157, .external_lex_state = 2},
  [11469] = {.lex_state = 157, .external_lex_state = 2},
  [11470] = {.lex_state = 157, .external_lex_state = 2},
  [11471] = {.lex_state = 232, .external_lex_state = 2},
  [11472] = {.lex_state = 157, .external_lex_state = 2},
  [11473] = {.lex_state = 157, .external_lex_state = 2},
  [11474] = {.lex_state = 157, .external_lex_state = 2},
  [11475] = {.lex_state = 157, .external_lex_state = 2},
  [11476] = {.lex_state = 157, .external_lex_state = 2},
  [11477] = {.lex_state = 157, .external_lex_state = 2},
  [11478] = {.lex_state = 157, .external_lex_state = 2},
  [11479] = {.lex_state = 157, .external_lex_state = 2},
  [11480] = {.lex_state = 157, .external_lex_state = 2},
  [11481] = {.lex_state = 157, .external_lex_state = 2},
  [11482] = {.lex_state = 157, .external_lex_state = 2},
  [11483] = {.lex_state = 157, .external_lex_state = 3},
  [11484] = {.lex_state = 157, .external_lex_state = 2},
  [11485] = {.lex_state = 157, .external_lex_state = 2},
  [11486] = {.lex_state = 157, .external_lex_state = 2},
  [11487] = {.lex_state = 157, .external_lex_state = 2},
  [11488] = {.lex_state = 157, .external_lex_state = 2},
  [11489] = {.lex_state = 157, .external_lex_state = 2},
  [11490] = {.lex_state = 157, .external_lex_state = 2},
  [11491] = {.lex_state = 157, .external_lex_state = 2},
  [11492] = {.lex_state = 157, .external_lex_state = 2},
  [11493] = {.lex_state = 157, .external_lex_state = 2},
  [11494] = {.lex_state = 434, .external_lex_state = 2},
  [11495] = {.lex_state = 157, .external_lex_state = 2},
  [11496] = {.lex_state = 157, .external_lex_state = 2},
  [11497] = {.lex_state = 157, .external_lex_state = 2},
  [11498] = {.lex_state = 157, .external_lex_state = 2},
  [11499] = {.lex_state = 157, .external_lex_state = 2},
  [11500] = {.lex_state = 157, .external_lex_state = 2},
  [11501] = {.lex_state = 157, .external_lex_state = 2},
  [11502] = {.lex_state = 157, .external_lex_state = 2},
  [11503] = {.lex_state = 157, .external_lex_state = 2},
  [11504] = {.lex_state = 157, .external_lex_state = 2},
  [11505] = {.lex_state = 157, .external_lex_state = 2},
  [11506] = {.lex_state = 157, .external_lex_state = 2},
  [11507] = {.lex_state = 157, .external_lex_state = 3},
  [11508] = {.lex_state = 164, .external_lex_state = 2},
  [11509] = {.lex_state = 157, .external_lex_state = 2},
  [11510] = {.lex_state = 211, .external_lex_state = 2},
  [11511] = {.lex_state = 200, .external_lex_state = 2},
  [11512] = {.lex_state = 252, .external_lex_state = 2},
  [11513] = {.lex_state = 161, .external_lex_state = 2},
  [11514] = {.lex_state = 169, .external_lex_state = 2},
  [11515] = {.lex_state = 157, .external_lex_state = 2},
  [11516] = {.lex_state = 157, .external_lex_state = 2},
  [11517] = {.lex_state = 157, .external_lex_state = 2},
  [11518] = {.lex_state = 162, .external_lex_state = 2},
  [11519] = {.lex_state = 157, .external_lex_state = 2},
  [11520] = {.lex_state = 157, .external_lex_state = 2},
  [11521] = {.lex_state = 157, .external_lex_state = 2},
  [11522] = {.lex_state = 157, .external_lex_state = 2},
  [11523] = {.lex_state = 157, .external_lex_state = 2},
  [11524] = {.lex_state = 157, .external_lex_state = 2},
  [11525] = {.lex_state = 157, .external_lex_state = 2},
  [11526] = {.lex_state = 157, .external_lex_state = 2},
  [11527] = {.lex_state = 157, .external_lex_state = 2},
  [11528] = {.lex_state = 232, .external_lex_state = 2},
  [11529] = {.lex_state = 210, .external_lex_state = 2},
  [11530] = {.lex_state = 162, .external_lex_state = 2},
  [11531] = {.lex_state = 232, .external_lex_state = 2},
  [11532] = {.lex_state = 162, .external_lex_state = 2},
  [11533] = {.lex_state = 232, .external_lex_state = 2},
  [11534] = {.lex_state = 157, .external_lex_state = 2},
  [11535] = {.lex_state = 232, .external_lex_state = 2},
  [11536] = {.lex_state = 162, .external_lex_state = 2},
  [11537] = {.lex_state = 162, .external_lex_state = 2},
  [11538] = {.lex_state = 157, .external_lex_state = 2},
  [11539] = {.lex_state = 162, .external_lex_state = 2},
  [11540] = {.lex_state = 157, .external_lex_state = 2},
  [11541] = {.lex_state = 157, .external_lex_state = 2},
  [11542] = {.lex_state = 157, .external_lex_state = 2},
  [11543] = {.lex_state = 157, .external_lex_state = 2},
  [11544] = {.lex_state = 157, .external_lex_state = 2},
  [11545] = {.lex_state = 232, .external_lex_state = 2},
  [11546] = {.lex_state = 232, .external_lex_state = 2},
  [11547] = {.lex_state = 232, .external_lex_state = 2},
  [11548] = {.lex_state = 232, .external_lex_state = 2},
  [11549] = {.lex_state = 232, .external_lex_state = 2},
  [11550] = {.lex_state = 232, .external_lex_state = 2},
  [11551] = {.lex_state = 232, .external_lex_state = 2},
  [11552] = {.lex_state = 157, .external_lex_state = 2},
  [11553] = {.lex_state = 157, .external_lex_state = 2},
  [11554] = {.lex_state = 157, .external_lex_state = 2},
  [11555] = {.lex_state = 157, .external_lex_state = 2},
  [11556] = {.lex_state = 157, .external_lex_state = 2},
  [11557] = {.lex_state = 157, .external_lex_state = 2},
  [11558] = {.lex_state = 157, .external_lex_state = 2},
  [11559] = {.lex_state = 157, .external_lex_state = 2},
  [11560] = {.lex_state = 157, .external_lex_state = 2},
  [11561] = {.lex_state = 434, .external_lex_state = 2},
  [11562] = {.lex_state = 157, .external_lex_state = 2},
  [11563] = {.lex_state = 157, .external_lex_state = 2},
  [11564] = {.lex_state = 434, .external_lex_state = 2},
  [11565] = {.lex_state = 199, .external_lex_state = 2},
  [11566] = {.lex_state = 199, .external_lex_state = 2},
  [11567] = {.lex_state = 157, .external_lex_state = 2},
  [11568] = {.lex_state = 157, .external_lex_state = 2},
  [11569] = {.lex_state = 157, .external_lex_state = 2},
  [11570] = {.lex_state = 8, .external_lex_state = 3},
  [11571] = {.lex_state = 162, .external_lex_state = 2},
  [11572] = {.lex_state = 162, .external_lex_state = 2},
  [11573] = {.lex_state = 232, .external_lex_state = 2},
  [11574] = {.lex_state = 157, .external_lex_state = 2},
  [11575] = {.lex_state = 162, .external_lex_state = 2},
  [11576] = {.lex_state = 164, .external_lex_state = 2},
  [11577] = {.lex_state = 162, .external_lex_state = 2},
  [11578] = {.lex_state = 162, .external_lex_state = 2},
  [11579] = {.lex_state = 162, .external_lex_state = 2},
  [11580] = {.lex_state = 162, .external_lex_state = 2},
  [11581] = {.lex_state = 162, .external_lex_state = 2},
  [11582] = {.lex_state = 162, .external_lex_state = 2},
  [11583] = {.lex_state = 162, .external_lex_state = 2},
  [11584] = {.lex_state = 162, .external_lex_state = 2},
  [11585] = {.lex_state = 162, .external_lex_state = 2},
  [11586] = {.lex_state = 162, .external_lex_state = 2},
  [11587] = {.lex_state = 232, .external_lex_state = 2},
  [11588] = {.lex_state = 162, .external_lex_state = 2},
  [11589] = {.lex_state = 12, .external_lex_state = 2},
  [11590] = {.lex_state = 162, .external_lex_state = 2},
  [11591] = {.lex_state = 162, .external_lex_state = 2},
  [11592] = {.lex_state = 232, .external_lex_state = 2},
  [11593] = {.lex_state = 162, .external_lex_state = 2},
  [11594] = {.lex_state = 164, .external_lex_state = 2},
  [11595] = {.lex_state = 157, .external_lex_state = 2},
  [11596] = {.lex_state = 157, .external_lex_state = 2},
  [11597] = {.lex_state = 232, .external_lex_state = 2},
  [11598] = {.lex_state = 8, .external_lex_state = 3},
  [11599] = {.lex_state = 164, .external_lex_state = 2},
  [11600] = {.lex_state = 232, .external_lex_state = 2},
  [11601] = {.lex_state = 232, .external_lex_state = 2},
  [11602] = {.lex_state = 156, .external_lex_state = 2},
  [11603] = {.lex_state = 252, .external_lex_state = 2},
  [11604] = {.lex_state = 12, .external_lex_state = 2},
  [11605] = {.lex_state = 232, .external_lex_state = 2},
  [11606] = {.lex_state = 232, .external_lex_state = 2},
  [11607] = {.lex_state = 12, .external_lex_state = 2},
  [11608] = {.lex_state = 156, .external_lex_state = 2},
  [11609] = {.lex_state = 232, .external_lex_state = 2},
  [11610] = {.lex_state = 232, .external_lex_state = 2},
  [11611] = {.lex_state = 232, .external_lex_state = 2},
  [11612] = {.lex_state = 232, .external_lex_state = 2},
  [11613] = {.lex_state = 8, .external_lex_state = 3},
  [11614] = {.lex_state = 232, .external_lex_state = 2},
  [11615] = {.lex_state = 12, .external_lex_state = 2},
  [11616] = {.lex_state = 162, .external_lex_state = 2},
  [11617] = {.lex_state = 12, .external_lex_state = 2},
  [11618] = {.lex_state = 12, .external_lex_state = 2},
  [11619] = {.lex_state = 162, .external_lex_state = 2},
  [11620] = {.lex_state = 162, .external_lex_state = 2},
  [11621] = {.lex_state = 162, .external_lex_state = 2},
  [11622] = {.lex_state = 156, .external_lex_state = 2},
  [11623] = {.lex_state = 162, .external_lex_state = 2},
  [11624] = {.lex_state = 232, .external_lex_state = 2},
  [11625] = {.lex_state = 162, .external_lex_state = 2},
  [11626] = {.lex_state = 232, .external_lex_state = 2},
  [11627] = {.lex_state = 232, .external_lex_state = 2},
  [11628] = {.lex_state = 162, .external_lex_state = 2},
  [11629] = {.lex_state = 12, .external_lex_state = 2},
  [11630] = {.lex_state = 232, .external_lex_state = 2},
  [11631] = {.lex_state = 232, .external_lex_state = 2},
  [11632] = {.lex_state = 232, .external_lex_state = 2},
  [11633] = {.lex_state = 156, .external_lex_state = 2},
  [11634] = {.lex_state = 232, .external_lex_state = 2},
  [11635] = {.lex_state = 232, .external_lex_state = 2},
  [11636] = {.lex_state = 232, .external_lex_state = 2},
  [11637] = {.lex_state = 12, .external_lex_state = 2},
  [11638] = {.lex_state = 157, .external_lex_state = 2},
  [11639] = {.lex_state = 8, .external_lex_state = 3},
  [11640] = {.lex_state = 232, .external_lex_state = 2},
  [11641] = {.lex_state = 12, .external_lex_state = 2},
  [11642] = {.lex_state = 8, .external_lex_state = 3},
  [11643] = {.lex_state = 232, .external_lex_state = 2},
  [11644] = {.lex_state = 12, .external_lex_state = 2},
  [11645] = {.lex_state = 12, .external_lex_state = 2},
  [11646] = {.lex_state = 12, .external_lex_state = 2},
  [11647] = {.lex_state = 157, .external_lex_state = 2},
  [11648] = {.lex_state = 12, .external_lex_state = 2},
  [11649] = {.lex_state = 12, .external_lex_state = 2},
  [11650] = {.lex_state = 12, .external_lex_state = 2},
  [11651] = {.lex_state = 12, .external_lex_state = 2},
  [11652] = {.lex_state = 232, .external_lex_state = 2},
  [11653] = {.lex_state = 232, .external_lex_state = 2},
  [11654] = {.lex_state = 232, .external_lex_state = 2},
  [11655] = {.lex_state = 12, .external_lex_state = 2},
  [11656] = {.lex_state = 212, .external_lex_state = 2},
  [11657] = {.lex_state = 12, .external_lex_state = 2},
  [11658] = {.lex_state = 232, .external_lex_state = 2},
  [11659] = {.lex_state = 164, .external_lex_state = 2},
  [11660] = {.lex_state = 164, .external_lex_state = 2},
  [11661] = {.lex_state = 232, .external_lex_state = 2},
  [11662] = {.lex_state = 164, .external_lex_state = 2},
  [11663] = {.lex_state = 164, .external_lex_state = 2},
  [11664] = {.lex_state = 164, .external_lex_state = 2},
  [11665] = {.lex_state = 164, .external_lex_state = 2},
  [11666] = {.lex_state = 164, .external_lex_state = 2},
  [11667] = {.lex_state = 164, .external_lex_state = 2},
  [11668] = {.lex_state = 164, .external_lex_state = 2},
  [11669] = {.lex_state = 164, .external_lex_state = 2},
  [11670] = {.lex_state = 164, .external_lex_state = 2},
  [11671] = {.lex_state = 156, .external_lex_state = 2},
  [11672] = {.lex_state = 157, .external_lex_state = 2},
  [11673] = {.lex_state = 232, .external_lex_state = 2},
  [11674] = {.lex_state = 232, .external_lex_state = 2},
  [11675] = {.lex_state = 232, .external_lex_state = 2},
  [11676] = {.lex_state = 232, .external_lex_state = 2},
  [11677] = {.lex_state = 232, .external_lex_state = 2},
  [11678] = {.lex_state = 12, .external_lex_state = 2},
  [11679] = {.lex_state = 232, .external_lex_state = 2},
  [11680] = {.lex_state = 12, .external_lex_state = 2},
  [11681] = {.lex_state = 164, .external_lex_state = 2},
  [11682] = {.lex_state = 12, .external_lex_state = 2},
  [11683] = {.lex_state = 12, .external_lex_state = 2},
  [11684] = {.lex_state = 12, .external_lex_state = 2},
  [11685] = {.lex_state = 156, .external_lex_state = 2},
  [11686] = {.lex_state = 12, .external_lex_state = 2},
  [11687] = {.lex_state = 157, .external_lex_state = 2},
  [11688] = {.lex_state = 12, .external_lex_state = 2},
  [11689] = {.lex_state = 232, .external_lex_state = 2},
  [11690] = {.lex_state = 12, .external_lex_state = 2},
  [11691] = {.lex_state = 232, .external_lex_state = 2},
  [11692] = {.lex_state = 232, .external_lex_state = 2},
  [11693] = {.lex_state = 12, .external_lex_state = 2},
  [11694] = {.lex_state = 8, .external_lex_state = 3},
  [11695] = {.lex_state = 232, .external_lex_state = 2},
  [11696] = {.lex_state = 232, .external_lex_state = 2},
  [11697] = {.lex_state = 157, .external_lex_state = 2},
  [11698] = {.lex_state = 157, .external_lex_state = 2},
  [11699] = {.lex_state = 157, .external_lex_state = 2},
  [11700] = {.lex_state = 12, .external_lex_state = 2},
  [11701] = {.lex_state = 157, .external_lex_state = 2},
  [11702] = {.lex_state = 157, .external_lex_state = 2},
  [11703] = {.lex_state = 157, .external_lex_state = 2},
  [11704] = {.lex_state = 157, .external_lex_state = 2},
  [11705] = {.lex_state = 157, .external_lex_state = 2},
  [11706] = {.lex_state = 232, .external_lex_state = 2},
  [11707] = {.lex_state = 232, .external_lex_state = 2},
  [11708] = {.lex_state = 211, .external_lex_state = 2},
  [11709] = {.lex_state = 232, .external_lex_state = 2},
  [11710] = {.lex_state = 232, .external_lex_state = 2},
  [11711] = {.lex_state = 12, .external_lex_state = 2},
  [11712] = {.lex_state = 12, .external_lex_state = 2},
  [11713] = {.lex_state = 232, .external_lex_state = 2},
  [11714] = {.lex_state = 232, .external_lex_state = 2},
  [11715] = {.lex_state = 232, .external_lex_state = 2},
  [11716] = {.lex_state = 232, .external_lex_state = 2},
  [11717] = {.lex_state = 232, .external_lex_state = 2},
  [11718] = {.lex_state = 232, .external_lex_state = 2},
  [11719] = {.lex_state = 232, .external_lex_state = 2},
  [11720] = {.lex_state = 12, .external_lex_state = 2},
  [11721] = {.lex_state = 232, .external_lex_state = 2},
  [11722] = {.lex_state = 232, .external_lex_state = 2},
  [11723] = {.lex_state = 8, .external_lex_state = 3},
  [11724] = {.lex_state = 156, .external_lex_state = 2},
  [11725] = {.lex_state = 156, .external_lex_state = 2},
  [11726] = {.lex_state = 232, .external_lex_state = 2},
  [11727] = {.lex_state = 232, .external_lex_state = 2},
  [11728] = {.lex_state = 232, .external_lex_state = 2},
  [11729] = {.lex_state = 252, .external_lex_state = 2},
  [11730] = {.lex_state = 160, .external_lex_state = 2},
  [11731] = {.lex_state = 157, .external_lex_state = 2},
  [11732] = {.lex_state = 434, .external_lex_state = 2},
  [11733] = {.lex_state = 232, .external_lex_state = 2},
  [11734] = {.lex_state = 434, .external_lex_state = 2},
  [11735] = {.lex_state = 220, .external_lex_state = 2},
  [11736] = {.lex_state = 160, .external_lex_state = 2},
  [11737] = {.lex_state = 160, .external_lex_state = 2},
  [11738] = {.lex_state = 162, .external_lex_state = 2},
  [11739] = {.lex_state = 232, .external_lex_state = 2},
  [11740] = {.lex_state = 160, .external_lex_state = 2},
  [11741] = {.lex_state = 160, .external_lex_state = 2},
  [11742] = {.lex_state = 160, .external_lex_state = 2},
  [11743] = {.lex_state = 6, .external_lex_state = 2},
  [11744] = {.lex_state = 161, .external_lex_state = 2},
  [11745] = {.lex_state = 434, .external_lex_state = 2},
  [11746] = {.lex_state = 253, .external_lex_state = 2},
  [11747] = {.lex_state = 232, .external_lex_state = 2},
  [11748] = {.lex_state = 434, .external_lex_state = 2},
  [11749] = {.lex_state = 160, .external_lex_state = 2},
  [11750] = {.lex_state = 232, .external_lex_state = 2},
  [11751] = {.lex_state = 232, .external_lex_state = 2},
  [11752] = {.lex_state = 232, .external_lex_state = 2},
  [11753] = {.lex_state = 161, .external_lex_state = 2},
  [11754] = {.lex_state = 434, .external_lex_state = 2},
  [11755] = {.lex_state = 160, .external_lex_state = 2},
  [11756] = {.lex_state = 160, .external_lex_state = 2},
  [11757] = {.lex_state = 162, .external_lex_state = 2},
  [11758] = {.lex_state = 160, .external_lex_state = 2},
  [11759] = {.lex_state = 434, .external_lex_state = 2},
  [11760] = {.lex_state = 160, .external_lex_state = 2},
  [11761] = {.lex_state = 160, .external_lex_state = 2},
  [11762] = {.lex_state = 232, .external_lex_state = 2},
  [11763] = {.lex_state = 162, .external_lex_state = 2},
  [11764] = {.lex_state = 232, .external_lex_state = 2},
  [11765] = {.lex_state = 232, .external_lex_state = 2},
  [11766] = {.lex_state = 162, .external_lex_state = 2},
  [11767] = {.lex_state = 160, .external_lex_state = 2},
  [11768] = {.lex_state = 434, .external_lex_state = 2},
  [11769] = {.lex_state = 434, .external_lex_state = 2},
  [11770] = {.lex_state = 434, .external_lex_state = 2},
  [11771] = {.lex_state = 162, .external_lex_state = 2},
  [11772] = {.lex_state = 160, .external_lex_state = 2},
  [11773] = {.lex_state = 162, .external_lex_state = 2},
  [11774] = {.lex_state = 157, .external_lex_state = 2},
  [11775] = {.lex_state = 162, .external_lex_state = 2},
  [11776] = {.lex_state = 232, .external_lex_state = 2},
  [11777] = {.lex_state = 434, .external_lex_state = 2},
  [11778] = {.lex_state = 204, .external_lex_state = 2},
  [11779] = {.lex_state = 434, .external_lex_state = 2},
  [11780] = {.lex_state = 232, .external_lex_state = 2},
  [11781] = {.lex_state = 434, .external_lex_state = 2},
  [11782] = {.lex_state = 434, .external_lex_state = 2},
  [11783] = {.lex_state = 434, .external_lex_state = 2},
  [11784] = {.lex_state = 232, .external_lex_state = 2},
  [11785] = {.lex_state = 232, .external_lex_state = 2},
  [11786] = {.lex_state = 162, .external_lex_state = 2},
  [11787] = {.lex_state = 232, .external_lex_state = 2},
  [11788] = {.lex_state = 232, .external_lex_state = 2},
  [11789] = {.lex_state = 232, .external_lex_state = 2},
  [11790] = {.lex_state = 434, .external_lex_state = 2},
  [11791] = {.lex_state = 162, .external_lex_state = 2},
  [11792] = {.lex_state = 6, .external_lex_state = 2},
  [11793] = {.lex_state = 434, .external_lex_state = 2},
  [11794] = {.lex_state = 220, .external_lex_state = 2},
  [11795] = {.lex_state = 434, .external_lex_state = 2},
  [11796] = {.lex_state = 434, .external_lex_state = 2},
  [11797] = {.lex_state = 162, .external_lex_state = 2},
  [11798] = {.lex_state = 162, .external_lex_state = 2},
  [11799] = {.lex_state = 162, .external_lex_state = 2},
  [11800] = {.lex_state = 232, .external_lex_state = 2},
  [11801] = {.lex_state = 434, .external_lex_state = 2},
  [11802] = {.lex_state = 157, .external_lex_state = 2},
  [11803] = {.lex_state = 232, .external_lex_state = 2},
  [11804] = {.lex_state = 232, .external_lex_state = 2},
  [11805] = {.lex_state = 434, .external_lex_state = 2},
  [11806] = {.lex_state = 220, .external_lex_state = 2},
  [11807] = {.lex_state = 434, .external_lex_state = 2},
  [11808] = {.lex_state = 161, .external_lex_state = 2},
  [11809] = {.lex_state = 162, .external_lex_state = 2},
  [11810] = {.lex_state = 219, .external_lex_state = 2},
  [11811] = {.lex_state = 160, .external_lex_state = 2},
  [11812] = {.lex_state = 161, .external_lex_state = 2},
  [11813] = {.lex_state = 232, .external_lex_state = 2},
  [11814] = {.lex_state = 161, .external_lex_state = 2},
  [11815] = {.lex_state = 160, .external_lex_state = 2},
  [11816] = {.lex_state = 434, .external_lex_state = 2},
  [11817] = {.lex_state = 157, .external_lex_state = 2},
  [11818] = {.lex_state = 219, .external_lex_state = 2},
  [11819] = {.lex_state = 220, .external_lex_state = 2},
  [11820] = {.lex_state = 434, .external_lex_state = 2},
  [11821] = {.lex_state = 253, .external_lex_state = 2},
  [11822] = {.lex_state = 160, .external_lex_state = 2},
  [11823] = {.lex_state = 160, .external_lex_state = 2},
  [11824] = {.lex_state = 434, .external_lex_state = 2},
  [11825] = {.lex_state = 232, .external_lex_state = 2},
  [11826] = {.lex_state = 219, .external_lex_state = 2},
  [11827] = {.lex_state = 157, .external_lex_state = 2},
  [11828] = {.lex_state = 160, .external_lex_state = 2},
  [11829] = {.lex_state = 434, .external_lex_state = 2},
  [11830] = {.lex_state = 434, .external_lex_state = 2},
  [11831] = {.lex_state = 161, .external_lex_state = 2},
  [11832] = {.lex_state = 204, .external_lex_state = 2},
  [11833] = {.lex_state = 434, .external_lex_state = 2},
  [11834] = {.lex_state = 157, .external_lex_state = 2},
  [11835] = {.lex_state = 6, .external_lex_state = 2},
  [11836] = {.lex_state = 160, .external_lex_state = 2},
  [11837] = {.lex_state = 220, .external_lex_state = 2},
  [11838] = {.lex_state = 160, .external_lex_state = 2},
  [11839] = {.lex_state = 160, .external_lex_state = 2},
  [11840] = {.lex_state = 434, .external_lex_state = 2},
  [11841] = {.lex_state = 160, .external_lex_state = 2},
  [11842] = {.lex_state = 160, .external_lex_state = 2},
  [11843] = {.lex_state = 232, .external_lex_state = 2},
  [11844] = {.lex_state = 232, .external_lex_state = 2},
  [11845] = {.lex_state = 160, .external_lex_state = 2},
  [11846] = {.lex_state = 160, .external_lex_state = 2},
  [11847] = {.lex_state = 160, .external_lex_state = 2},
  [11848] = {.lex_state = 160, .external_lex_state = 2},
  [11849] = {.lex_state = 160, .external_lex_state = 2},
  [11850] = {.lex_state = 160, .external_lex_state = 2},
  [11851] = {.lex_state = 160, .external_lex_state = 2},
  [11852] = {.lex_state = 160, .external_lex_state = 2},
  [11853] = {.lex_state = 162, .external_lex_state = 2},
  [11854] = {.lex_state = 160, .external_lex_state = 2},
  [11855] = {.lex_state = 160, .external_lex_state = 2},
  [11856] = {.lex_state = 160, .external_lex_state = 2},
  [11857] = {.lex_state = 160, .external_lex_state = 2},
  [11858] = {.lex_state = 160, .external_lex_state = 2},
  [11859] = {.lex_state = 160, .external_lex_state = 2},
  [11860] = {.lex_state = 161, .external_lex_state = 2},
  [11861] = {.lex_state = 434, .external_lex_state = 2},
  [11862] = {.lex_state = 204, .external_lex_state = 2},
  [11863] = {.lex_state = 161, .external_lex_state = 2},
  [11864] = {.lex_state = 161, .external_lex_state = 2},
  [11865] = {.lex_state = 160, .external_lex_state = 2},
  [11866] = {.lex_state = 161, .external_lex_state = 2},
  [11867] = {.lex_state = 434, .external_lex_state = 2},
  [11868] = {.lex_state = 204, .external_lex_state = 2},
  [11869] = {.lex_state = 160, .external_lex_state = 2},
  [11870] = {.lex_state = 434, .external_lex_state = 2},
  [11871] = {.lex_state = 162, .external_lex_state = 2},
  [11872] = {.lex_state = 232, .external_lex_state = 2},
  [11873] = {.lex_state = 157, .external_lex_state = 2},
  [11874] = {.lex_state = 204, .external_lex_state = 2},
  [11875] = {.lex_state = 160, .external_lex_state = 2},
  [11876] = {.lex_state = 160, .external_lex_state = 2},
  [11877] = {.lex_state = 160, .external_lex_state = 2},
  [11878] = {.lex_state = 160, .external_lex_state = 2},
  [11879] = {.lex_state = 160, .external_lex_state = 2},
  [11880] = {.lex_state = 434, .external_lex_state = 2},
  [11881] = {.lex_state = 232, .external_lex_state = 2},
  [11882] = {.lex_state = 434, .external_lex_state = 2},
  [11883] = {.lex_state = 160, .external_lex_state = 2},
  [11884] = {.lex_state = 434, .external_lex_state = 2},
  [11885] = {.lex_state = 434, .external_lex_state = 2},
  [11886] = {.lex_state = 160, .external_lex_state = 2},
  [11887] = {.lex_state = 434, .external_lex_state = 2},
  [11888] = {.lex_state = 160, .external_lex_state = 2},
  [11889] = {.lex_state = 161, .external_lex_state = 2},
  [11890] = {.lex_state = 160, .external_lex_state = 2},
  [11891] = {.lex_state = 160, .external_lex_state = 2},
  [11892] = {.lex_state = 161, .external_lex_state = 2},
  [11893] = {.lex_state = 434, .external_lex_state = 2},
  [11894] = {.lex_state = 232, .external_lex_state = 2},
  [11895] = {.lex_state = 160, .external_lex_state = 2},
  [11896] = {.lex_state = 160, .external_lex_state = 2},
  [11897] = {.lex_state = 160, .external_lex_state = 2},
  [11898] = {.lex_state = 160, .external_lex_state = 2},
  [11899] = {.lex_state = 160, .external_lex_state = 2},
  [11900] = {.lex_state = 160, .external_lex_state = 2},
  [11901] = {.lex_state = 434, .external_lex_state = 2},
  [11902] = {.lex_state = 162, .external_lex_state = 2},
  [11903] = {.lex_state = 161, .external_lex_state = 2},
  [11904] = {.lex_state = 161, .external_lex_state = 2},
  [11905] = {.lex_state = 160, .external_lex_state = 2},
  [11906] = {.lex_state = 160, .external_lex_state = 2},
  [11907] = {.lex_state = 434, .external_lex_state = 2},
  [11908] = {.lex_state = 434, .external_lex_state = 2},
  [11909] = {.lex_state = 161, .external_lex_state = 2},
  [11910] = {.lex_state = 204, .external_lex_state = 2},
  [11911] = {.lex_state = 434, .external_lex_state = 2},
  [11912] = {.lex_state = 253, .external_lex_state = 2},
  [11913] = {.lex_state = 161, .external_lex_state = 2},
  [11914] = {.lex_state = 160, .external_lex_state = 2},
  [11915] = {.lex_state = 204, .external_lex_state = 2},
  [11916] = {.lex_state = 162, .external_lex_state = 2},
  [11917] = {.lex_state = 160, .external_lex_state = 2},
  [11918] = {.lex_state = 232, .external_lex_state = 2},
  [11919] = {.lex_state = 434, .external_lex_state = 2},
  [11920] = {.lex_state = 160, .external_lex_state = 2},
  [11921] = {.lex_state = 162, .external_lex_state = 2},
  [11922] = {.lex_state = 160, .external_lex_state = 2},
  [11923] = {.lex_state = 162, .external_lex_state = 2},
  [11924] = {.lex_state = 161, .external_lex_state = 2},
  [11925] = {.lex_state = 232, .external_lex_state = 2},
  [11926] = {.lex_state = 434, .external_lex_state = 2},
  [11927] = {.lex_state = 162, .external_lex_state = 2},
  [11928] = {.lex_state = 162, .external_lex_state = 2},
  [11929] = {.lex_state = 210, .external_lex_state = 2},
  [11930] = {.lex_state = 157, .external_lex_state = 2},
  [11931] = {.lex_state = 160, .external_lex_state = 2},
  [11932] = {.lex_state = 160, .external_lex_state = 2},
  [11933] = {.lex_state = 434, .external_lex_state = 2},
  [11934] = {.lex_state = 160, .external_lex_state = 2},
  [11935] = {.lex_state = 219, .external_lex_state = 2},
  [11936] = {.lex_state = 160, .external_lex_state = 2},
  [11937] = {.lex_state = 160, .external_lex_state = 2},
  [11938] = {.lex_state = 434, .external_lex_state = 2},
  [11939] = {.lex_state = 160, .external_lex_state = 2},
  [11940] = {.lex_state = 434, .external_lex_state = 2},
  [11941] = {.lex_state = 434, .external_lex_state = 2},
  [11942] = {.lex_state = 160, .external_lex_state = 2},
  [11943] = {.lex_state = 162, .external_lex_state = 2},
  [11944] = {.lex_state = 162, .external_lex_state = 2},
  [11945] = {.lex_state = 434, .external_lex_state = 2},
  [11946] = {.lex_state = 162, .external_lex_state = 2},
  [11947] = {.lex_state = 160, .external_lex_state = 2},
  [11948] = {.lex_state = 161, .external_lex_state = 2},
  [11949] = {.lex_state = 434, .external_lex_state = 2},
  [11950] = {.lex_state = 160, .external_lex_state = 2},
  [11951] = {.lex_state = 435, .external_lex_state = 2},
  [11952] = {.lex_state = 161, .external_lex_state = 2},
  [11953] = {.lex_state = 434, .external_lex_state = 2},
  [11954] = {.lex_state = 434, .external_lex_state = 2},
  [11955] = {.lex_state = 161, .external_lex_state = 2},
  [11956] = {.lex_state = 434, .external_lex_state = 2},
  [11957] = {.lex_state = 160, .external_lex_state = 2},
  [11958] = {.lex_state = 6, .external_lex_state = 2},
  [11959] = {.lex_state = 232, .external_lex_state = 2},
  [11960] = {.lex_state = 160, .external_lex_state = 2},
  [11961] = {.lex_state = 160, .external_lex_state = 2},
  [11962] = {.lex_state = 162, .external_lex_state = 2},
  [11963] = {.lex_state = 162, .external_lex_state = 2},
  [11964] = {.lex_state = 434, .external_lex_state = 2},
  [11965] = {.lex_state = 161, .external_lex_state = 2},
  [11966] = {.lex_state = 160, .external_lex_state = 2},
  [11967] = {.lex_state = 160, .external_lex_state = 2},
  [11968] = {.lex_state = 160, .external_lex_state = 2},
  [11969] = {.lex_state = 162, .external_lex_state = 2},
  [11970] = {.lex_state = 434, .external_lex_state = 2},
  [11971] = {.lex_state = 434, .external_lex_state = 2},
  [11972] = {.lex_state = 160, .external_lex_state = 2},
  [11973] = {.lex_state = 162, .external_lex_state = 2},
  [11974] = {.lex_state = 232, .external_lex_state = 2},
  [11975] = {.lex_state = 232, .external_lex_state = 2},
  [11976] = {.lex_state = 162, .external_lex_state = 2},
  [11977] = {.lex_state = 162, .external_lex_state = 2},
  [11978] = {.lex_state = 161, .external_lex_state = 2},
  [11979] = {.lex_state = 210, .external_lex_state = 2},
  [11980] = {.lex_state = 232, .external_lex_state = 2},
  [11981] = {.lex_state = 161, .external_lex_state = 2},
  [11982] = {.lex_state = 232, .external_lex_state = 2},
  [11983] = {.lex_state = 232, .external_lex_state = 2},
  [11984] = {.lex_state = 162, .external_lex_state = 2},
  [11985] = {.lex_state = 434, .external_lex_state = 2},
  [11986] = {.lex_state = 434, .external_lex_state = 2},
  [11987] = {.lex_state = 434, .external_lex_state = 2},
  [11988] = {.lex_state = 161, .external_lex_state = 2},
  [11989] = {.lex_state = 434, .external_lex_state = 2},
  [11990] = {.lex_state = 434, .external_lex_state = 2},
  [11991] = {.lex_state = 232, .external_lex_state = 2},
  [11992] = {.lex_state = 232, .external_lex_state = 2},
  [11993] = {.lex_state = 160, .external_lex_state = 2},
  [11994] = {.lex_state = 157, .external_lex_state = 2},
  [11995] = {.lex_state = 157, .external_lex_state = 2},
  [11996] = {.lex_state = 160, .external_lex_state = 2},
  [11997] = {.lex_state = 161, .external_lex_state = 2},
  [11998] = {.lex_state = 434, .external_lex_state = 2},
  [11999] = {.lex_state = 162, .external_lex_state = 2},
  [12000] = {.lex_state = 434, .external_lex_state = 2},
  [12001] = {.lex_state = 210, .external_lex_state = 2},
  [12002] = {.lex_state = 162, .external_lex_state = 2},
  [12003] = {.lex_state = 161, .external_lex_state = 2},
  [12004] = {.lex_state = 232, .external_lex_state = 2},
  [12005] = {.lex_state = 434, .external_lex_state = 2},
  [12006] = {.lex_state = 160, .external_lex_state = 2},
  [12007] = {.lex_state = 160, .external_lex_state = 2},
  [12008] = {.lex_state = 204, .external_lex_state = 2},
  [12009] = {.lex_state = 160, .external_lex_state = 2},
  [12010] = {.lex_state = 160, .external_lex_state = 2},
  [12011] = {.lex_state = 157, .external_lex_state = 2},
  [12012] = {.lex_state = 160, .external_lex_state = 2},
  [12013] = {.lex_state = 160, .external_lex_state = 2},
  [12014] = {.lex_state = 160, .external_lex_state = 2},
  [12015] = {.lex_state = 160, .external_lex_state = 2},
  [12016] = {.lex_state = 160, .external_lex_state = 2},
  [12017] = {.lex_state = 160, .external_lex_state = 2},
  [12018] = {.lex_state = 160, .external_lex_state = 2},
  [12019] = {.lex_state = 162, .external_lex_state = 2},
  [12020] = {.lex_state = 160, .external_lex_state = 2},
  [12021] = {.lex_state = 434, .external_lex_state = 2},
  [12022] = {.lex_state = 162, .external_lex_state = 2},
  [12023] = {.lex_state = 162, .external_lex_state = 2},
  [12024] = {.lex_state = 162, .external_lex_state = 2},
  [12025] = {.lex_state = 162, .external_lex_state = 2},
  [12026] = {.lex_state = 162, .external_lex_state = 2},
  [12027] = {.lex_state = 162, .external_lex_state = 2},
  [12028] = {.lex_state = 160, .external_lex_state = 2},
  [12029] = {.lex_state = 232, .external_lex_state = 2},
  [12030] = {.lex_state = 162, .external_lex_state = 2},
  [12031] = {.lex_state = 162, .external_lex_state = 2},
  [12032] = {.lex_state = 160, .external_lex_state = 2},
  [12033] = {.lex_state = 162, .external_lex_state = 2},
  [12034] = {.lex_state = 434, .external_lex_state = 2},
  [12035] = {.lex_state = 232, .external_lex_state = 2},
  [12036] = {.lex_state = 160, .external_lex_state = 2},
  [12037] = {.lex_state = 232, .external_lex_state = 2},
  [12038] = {.lex_state = 232, .external_lex_state = 2},
  [12039] = {.lex_state = 232, .external_lex_state = 2},
  [12040] = {.lex_state = 434, .external_lex_state = 2},
  [12041] = {.lex_state = 232, .external_lex_state = 2},
  [12042] = {.lex_state = 232, .external_lex_state = 2},
  [12043] = {.lex_state = 210, .external_lex_state = 2},
  [12044] = {.lex_state = 232, .external_lex_state = 2},
  [12045] = {.lex_state = 232, .external_lex_state = 2},
  [12046] = {.lex_state = 232, .external_lex_state = 2},
  [12047] = {.lex_state = 232, .external_lex_state = 2},
  [12048] = {.lex_state = 160, .external_lex_state = 2},
  [12049] = {.lex_state = 232, .external_lex_state = 2},
  [12050] = {.lex_state = 161, .external_lex_state = 2},
  [12051] = {.lex_state = 160, .external_lex_state = 2},
  [12052] = {.lex_state = 219, .external_lex_state = 2},
  [12053] = {.lex_state = 161, .external_lex_state = 2},
  [12054] = {.lex_state = 161, .external_lex_state = 2},
  [12055] = {.lex_state = 210, .external_lex_state = 2},
  [12056] = {.lex_state = 161, .external_lex_state = 2},
  [12057] = {.lex_state = 161, .external_lex_state = 2},
  [12058] = {.lex_state = 161, .external_lex_state = 2},
  [12059] = {.lex_state = 201, .external_lex_state = 5},
  [12060] = {.lex_state = 162, .external_lex_state = 2},
  [12061] = {.lex_state = 162, .external_lex_state = 2},
  [12062] = {.lex_state = 162, .external_lex_state = 2},
  [12063] = {.lex_state = 161, .external_lex_state = 2},
  [12064] = {.lex_state = 160, .external_lex_state = 2},
  [12065] = {.lex_state = 161, .external_lex_state = 2},
  [12066] = {.lex_state = 160, .external_lex_state = 2},
  [12067] = {.lex_state = 160, .external_lex_state = 2},
  [12068] = {.lex_state = 160, .external_lex_state = 2},
  [12069] = {.lex_state = 161, .external_lex_state = 2},
  [12070] = {.lex_state = 160, .external_lex_state = 2},
  [12071] = {.lex_state = 160, .external_lex_state = 2},
  [12072] = {.lex_state = 160, .external_lex_state = 2},
  [12073] = {.lex_state = 160, .external_lex_state = 2},
  [12074] = {.lex_state = 161, .external_lex_state = 2},
  [12075] = {.lex_state = 161, .external_lex_state = 2},
  [12076] = {.lex_state = 162, .external_lex_state = 2},
  [12077] = {.lex_state = 201, .external_lex_state = 5},
  [12078] = {.lex_state = 160, .external_lex_state = 2},
  [12079] = {.lex_state = 160, .external_lex_state = 2},
  [12080] = {.lex_state = 201, .external_lex_state = 5},
  [12081] = {.lex_state = 160, .external_lex_state = 2},
  [12082] = {.lex_state = 160, .external_lex_state = 2},
  [12083] = {.lex_state = 201, .external_lex_state = 5},
  [12084] = {.lex_state = 161, .external_lex_state = 2},
  [12085] = {.lex_state = 201, .external_lex_state = 5},
  [12086] = {.lex_state = 201, .external_lex_state = 5},
  [12087] = {.lex_state = 201, .external_lex_state = 5},
  [12088] = {.lex_state = 160, .external_lex_state = 2},
  [12089] = {.lex_state = 160, .external_lex_state = 2},
  [12090] = {.lex_state = 160, .external_lex_state = 2},
  [12091] = {.lex_state = 160, .external_lex_state = 2},
  [12092] = {.lex_state = 160, .external_lex_state = 2},
  [12093] = {.lex_state = 160, .external_lex_state = 2},
  [12094] = {.lex_state = 160, .external_lex_state = 2},
  [12095] = {.lex_state = 161, .external_lex_state = 2},
  [12096] = {.lex_state = 160, .external_lex_state = 2},
  [12097] = {.lex_state = 160, .external_lex_state = 2},
  [12098] = {.lex_state = 161, .external_lex_state = 2},
  [12099] = {.lex_state = 160, .external_lex_state = 2},
  [12100] = {.lex_state = 160, .external_lex_state = 2},
  [12101] = {.lex_state = 201, .external_lex_state = 5},
  [12102] = {.lex_state = 161, .external_lex_state = 2},
  [12103] = {.lex_state = 220, .external_lex_state = 2},
  [12104] = {.lex_state = 161, .external_lex_state = 2},
  [12105] = {.lex_state = 232, .external_lex_state = 2},
  [12106] = {.lex_state = 157, .external_lex_state = 2},
  [12107] = {.lex_state = 161, .external_lex_state = 2},
  [12108] = {.lex_state = 161, .external_lex_state = 2},
  [12109] = {.lex_state = 160, .external_lex_state = 2},
  [12110] = {.lex_state = 201, .external_lex_state = 5},
  [12111] = {.lex_state = 161, .external_lex_state = 2},
  [12112] = {.lex_state = 201, .external_lex_state = 5},
  [12113] = {.lex_state = 161, .external_lex_state = 2},
  [12114] = {.lex_state = 161, .external_lex_state = 2},
  [12115] = {.lex_state = 161, .external_lex_state = 2},
  [12116] = {.lex_state = 161, .external_lex_state = 2},
  [12117] = {.lex_state = 161, .external_lex_state = 2},
  [12118] = {.lex_state = 161, .external_lex_state = 2},
  [12119] = {.lex_state = 161, .external_lex_state = 2},
  [12120] = {.lex_state = 157, .external_lex_state = 2},
  [12121] = {.lex_state = 219, .external_lex_state = 2},
  [12122] = {.lex_state = 219, .external_lex_state = 2},
  [12123] = {.lex_state = 161, .external_lex_state = 2},
  [12124] = {.lex_state = 161, .external_lex_state = 2},
  [12125] = {.lex_state = 161, .external_lex_state = 2},
  [12126] = {.lex_state = 161, .external_lex_state = 2},
  [12127] = {.lex_state = 157, .external_lex_state = 2},
  [12128] = {.lex_state = 160, .external_lex_state = 2},
  [12129] = {.lex_state = 201, .external_lex_state = 5},
  [12130] = {.lex_state = 161, .external_lex_state = 2},
  [12131] = {.lex_state = 161, .external_lex_state = 2},
  [12132] = {.lex_state = 161, .external_lex_state = 2},
  [12133] = {.lex_state = 161, .external_lex_state = 2},
  [12134] = {.lex_state = 161, .external_lex_state = 2},
  [12135] = {.lex_state = 161, .external_lex_state = 2},
  [12136] = {.lex_state = 201, .external_lex_state = 5},
  [12137] = {.lex_state = 161, .external_lex_state = 2},
  [12138] = {.lex_state = 161, .external_lex_state = 2},
  [12139] = {.lex_state = 161, .external_lex_state = 2},
  [12140] = {.lex_state = 161, .external_lex_state = 2},
  [12141] = {.lex_state = 160, .external_lex_state = 2},
  [12142] = {.lex_state = 161, .external_lex_state = 2},
  [12143] = {.lex_state = 253, .external_lex_state = 2},
  [12144] = {.lex_state = 161, .external_lex_state = 2},
  [12145] = {.lex_state = 161, .external_lex_state = 2},
  [12146] = {.lex_state = 161, .external_lex_state = 2},
  [12147] = {.lex_state = 161, .external_lex_state = 2},
  [12148] = {.lex_state = 161, .external_lex_state = 2},
  [12149] = {.lex_state = 161, .external_lex_state = 2},
  [12150] = {.lex_state = 203, .external_lex_state = 2},
  [12151] = {.lex_state = 161, .external_lex_state = 2},
  [12152] = {.lex_state = 161, .external_lex_state = 2},
  [12153] = {.lex_state = 161, .external_lex_state = 2},
  [12154] = {.lex_state = 201, .external_lex_state = 5},
  [12155] = {.lex_state = 161, .external_lex_state = 2},
  [12156] = {.lex_state = 201, .external_lex_state = 5},
  [12157] = {.lex_state = 161, .external_lex_state = 2},
  [12158] = {.lex_state = 161, .external_lex_state = 2},
  [12159] = {.lex_state = 161, .external_lex_state = 2},
  [12160] = {.lex_state = 161, .external_lex_state = 2},
  [12161] = {.lex_state = 232, .external_lex_state = 2},
  [12162] = {.lex_state = 232, .external_lex_state = 2},
  [12163] = {.lex_state = 160, .external_lex_state = 2},
  [12164] = {.lex_state = 161, .external_lex_state = 2},
  [12165] = {.lex_state = 201, .external_lex_state = 5},
  [12166] = {.lex_state = 201, .external_lex_state = 5},
  [12167] = {.lex_state = 160, .external_lex_state = 2},
  [12168] = {.lex_state = 201, .external_lex_state = 5},
  [12169] = {.lex_state = 162, .external_lex_state = 2},
  [12170] = {.lex_state = 201, .external_lex_state = 5},
  [12171] = {.lex_state = 201, .external_lex_state = 5},
  [12172] = {.lex_state = 161, .external_lex_state = 2},
  [12173] = {.lex_state = 161, .external_lex_state = 2},
  [12174] = {.lex_state = 201, .external_lex_state = 5},
  [12175] = {.lex_state = 161, .external_lex_state = 2},
  [12176] = {.lex_state = 161, .external_lex_state = 2},
  [12177] = {.lex_state = 201, .external_lex_state = 5},
  [12178] = {.lex_state = 201, .external_lex_state = 5},
  [12179] = {.lex_state = 201, .external_lex_state = 5},
  [12180] = {.lex_state = 161, .external_lex_state = 2},
  [12181] = {.lex_state = 161, .external_lex_state = 2},
  [12182] = {.lex_state = 161, .external_lex_state = 2},
  [12183] = {.lex_state = 161, .external_lex_state = 2},
  [12184] = {.lex_state = 161, .external_lex_state = 2},
  [12185] = {.lex_state = 201, .external_lex_state = 5},
  [12186] = {.lex_state = 161, .external_lex_state = 2},
  [12187] = {.lex_state = 161, .external_lex_state = 2},
  [12188] = {.lex_state = 201, .external_lex_state = 5},
  [12189] = {.lex_state = 161, .external_lex_state = 2},
  [12190] = {.lex_state = 161, .external_lex_state = 2},
  [12191] = {.lex_state = 201, .external_lex_state = 5},
  [12192] = {.lex_state = 157, .external_lex_state = 2},
  [12193] = {.lex_state = 201, .external_lex_state = 5},
  [12194] = {.lex_state = 161, .external_lex_state = 2},
  [12195] = {.lex_state = 201, .external_lex_state = 5},
  [12196] = {.lex_state = 160, .external_lex_state = 2},
  [12197] = {.lex_state = 201, .external_lex_state = 5},
  [12198] = {.lex_state = 161, .external_lex_state = 2},
  [12199] = {.lex_state = 201, .external_lex_state = 5},
  [12200] = {.lex_state = 201, .external_lex_state = 5},
  [12201] = {.lex_state = 161, .external_lex_state = 2},
  [12202] = {.lex_state = 201, .external_lex_state = 5},
  [12203] = {.lex_state = 161, .external_lex_state = 2},
  [12204] = {.lex_state = 161, .external_lex_state = 2},
  [12205] = {.lex_state = 161, .external_lex_state = 2},
  [12206] = {.lex_state = 201, .external_lex_state = 5},
  [12207] = {.lex_state = 161, .external_lex_state = 2},
  [12208] = {.lex_state = 161, .external_lex_state = 2},
  [12209] = {.lex_state = 161, .external_lex_state = 2},
  [12210] = {.lex_state = 157, .external_lex_state = 2},
  [12211] = {.lex_state = 161, .external_lex_state = 2},
  [12212] = {.lex_state = 161, .external_lex_state = 2},
  [12213] = {.lex_state = 161, .external_lex_state = 2},
  [12214] = {.lex_state = 161, .external_lex_state = 2},
  [12215] = {.lex_state = 157, .external_lex_state = 2},
  [12216] = {.lex_state = 157, .external_lex_state = 2},
  [12217] = {.lex_state = 161, .external_lex_state = 2},
  [12218] = {.lex_state = 161, .external_lex_state = 2},
  [12219] = {.lex_state = 161, .external_lex_state = 2},
  [12220] = {.lex_state = 161, .external_lex_state = 2},
  [12221] = {.lex_state = 201, .external_lex_state = 5},
  [12222] = {.lex_state = 161, .external_lex_state = 2},
  [12223] = {.lex_state = 161, .external_lex_state = 2},
  [12224] = {.lex_state = 161, .external_lex_state = 2},
  [12225] = {.lex_state = 161, .external_lex_state = 2},
  [12226] = {.lex_state = 201, .external_lex_state = 5},
  [12227] = {.lex_state = 203, .external_lex_state = 2},
  [12228] = {.lex_state = 161, .external_lex_state = 2},
  [12229] = {.lex_state = 161, .external_lex_state = 2},
  [12230] = {.lex_state = 161, .external_lex_state = 2},
  [12231] = {.lex_state = 161, .external_lex_state = 2},
  [12232] = {.lex_state = 160, .external_lex_state = 2},
  [12233] = {.lex_state = 161, .external_lex_state = 2},
  [12234] = {.lex_state = 161, .external_lex_state = 2},
  [12235] = {.lex_state = 201, .external_lex_state = 5},
  [12236] = {.lex_state = 157, .external_lex_state = 2},
  [12237] = {.lex_state = 161, .external_lex_state = 2},
  [12238] = {.lex_state = 161, .external_lex_state = 2},
  [12239] = {.lex_state = 161, .external_lex_state = 2},
  [12240] = {.lex_state = 160, .external_lex_state = 2},
  [12241] = {.lex_state = 232, .external_lex_state = 2},
  [12242] = {.lex_state = 157, .external_lex_state = 2},
  [12243] = {.lex_state = 161, .external_lex_state = 2},
  [12244] = {.lex_state = 157, .external_lex_state = 2},
  [12245] = {.lex_state = 161, .external_lex_state = 2},
  [12246] = {.lex_state = 161, .external_lex_state = 2},
  [12247] = {.lex_state = 161, .external_lex_state = 2},
  [12248] = {.lex_state = 161, .external_lex_state = 2},
  [12249] = {.lex_state = 161, .external_lex_state = 2},
  [12250] = {.lex_state = 201, .external_lex_state = 5},
  [12251] = {.lex_state = 161, .external_lex_state = 2},
  [12252] = {.lex_state = 161, .external_lex_state = 2},
  [12253] = {.lex_state = 160, .external_lex_state = 2},
  [12254] = {.lex_state = 160, .external_lex_state = 2},
  [12255] = {.lex_state = 160, .external_lex_state = 2},
  [12256] = {.lex_state = 160, .external_lex_state = 2},
  [12257] = {.lex_state = 162, .external_lex_state = 2},
  [12258] = {.lex_state = 161, .external_lex_state = 2},
  [12259] = {.lex_state = 160, .external_lex_state = 2},
  [12260] = {.lex_state = 157, .external_lex_state = 2},
  [12261] = {.lex_state = 161, .external_lex_state = 2},
  [12262] = {.lex_state = 210, .external_lex_state = 2},
  [12263] = {.lex_state = 161, .external_lex_state = 2},
  [12264] = {.lex_state = 161, .external_lex_state = 2},
  [12265] = {.lex_state = 161, .external_lex_state = 2},
  [12266] = {.lex_state = 162, .external_lex_state = 2},
  [12267] = {.lex_state = 161, .external_lex_state = 2},
  [12268] = {.lex_state = 201, .external_lex_state = 5},
  [12269] = {.lex_state = 161, .external_lex_state = 2},
  [12270] = {.lex_state = 160, .external_lex_state = 2},
  [12271] = {.lex_state = 161, .external_lex_state = 2},
  [12272] = {.lex_state = 201, .external_lex_state = 5},
  [12273] = {.lex_state = 160, .external_lex_state = 2},
  [12274] = {.lex_state = 161, .external_lex_state = 2},
  [12275] = {.lex_state = 162, .external_lex_state = 2},
  [12276] = {.lex_state = 161, .external_lex_state = 2},
  [12277] = {.lex_state = 161, .external_lex_state = 2},
  [12278] = {.lex_state = 161, .external_lex_state = 2},
  [12279] = {.lex_state = 161, .external_lex_state = 2},
  [12280] = {.lex_state = 160, .external_lex_state = 2},
  [12281] = {.lex_state = 161, .external_lex_state = 2},
  [12282] = {.lex_state = 161, .external_lex_state = 2},
  [12283] = {.lex_state = 201, .external_lex_state = 5},
  [12284] = {.lex_state = 201, .external_lex_state = 5},
  [12285] = {.lex_state = 161, .external_lex_state = 2},
  [12286] = {.lex_state = 161, .external_lex_state = 2},
  [12287] = {.lex_state = 161, .external_lex_state = 2},
  [12288] = {.lex_state = 163, .external_lex_state = 2},
  [12289] = {.lex_state = 160, .external_lex_state = 2},
  [12290] = {.lex_state = 161, .external_lex_state = 2},
  [12291] = {.lex_state = 232, .external_lex_state = 2},
  [12292] = {.lex_state = 201, .external_lex_state = 5},
  [12293] = {.lex_state = 210, .external_lex_state = 2},
  [12294] = {.lex_state = 201, .external_lex_state = 5},
  [12295] = {.lex_state = 161, .external_lex_state = 2},
  [12296] = {.lex_state = 160, .external_lex_state = 2},
  [12297] = {.lex_state = 161, .external_lex_state = 2},
  [12298] = {.lex_state = 160, .external_lex_state = 2},
  [12299] = {.lex_state = 161, .external_lex_state = 2},
  [12300] = {.lex_state = 201, .external_lex_state = 5},
  [12301] = {.lex_state = 161, .external_lex_state = 2},
  [12302] = {.lex_state = 160, .external_lex_state = 2},
  [12303] = {.lex_state = 201, .external_lex_state = 5},
  [12304] = {.lex_state = 160, .external_lex_state = 2},
  [12305] = {.lex_state = 160, .external_lex_state = 2},
  [12306] = {.lex_state = 161, .external_lex_state = 2},
  [12307] = {.lex_state = 160, .external_lex_state = 2},
  [12308] = {.lex_state = 161, .external_lex_state = 2},
  [12309] = {.lex_state = 160, .external_lex_state = 2},
  [12310] = {.lex_state = 161, .external_lex_state = 2},
  [12311] = {.lex_state = 160, .external_lex_state = 2},
  [12312] = {.lex_state = 160, .external_lex_state = 2},
  [12313] = {.lex_state = 160, .external_lex_state = 2},
  [12314] = {.lex_state = 161, .external_lex_state = 2},
  [12315] = {.lex_state = 160, .external_lex_state = 2},
  [12316] = {.lex_state = 201, .external_lex_state = 5},
  [12317] = {.lex_state = 160, .external_lex_state = 2},
  [12318] = {.lex_state = 161, .external_lex_state = 2},
  [12319] = {.lex_state = 160, .external_lex_state = 2},
  [12320] = {.lex_state = 161, .external_lex_state = 2},
  [12321] = {.lex_state = 157, .external_lex_state = 2},
  [12322] = {.lex_state = 160, .external_lex_state = 2},
  [12323] = {.lex_state = 160, .external_lex_state = 2},
  [12324] = {.lex_state = 434, .external_lex_state = 2},
  [12325] = {.lex_state = 160, .external_lex_state = 2},
  [12326] = {.lex_state = 201, .external_lex_state = 5},
  [12327] = {.lex_state = 201, .external_lex_state = 5},
  [12328] = {.lex_state = 163, .external_lex_state = 2},
  [12329] = {.lex_state = 160, .external_lex_state = 2},
  [12330] = {.lex_state = 161, .external_lex_state = 2},
  [12331] = {.lex_state = 232, .external_lex_state = 2},
  [12332] = {.lex_state = 160, .external_lex_state = 2},
  [12333] = {.lex_state = 161, .external_lex_state = 2},
  [12334] = {.lex_state = 160, .external_lex_state = 2},
  [12335] = {.lex_state = 201, .external_lex_state = 5},
  [12336] = {.lex_state = 161, .external_lex_state = 2},
  [12337] = {.lex_state = 161, .external_lex_state = 2},
  [12338] = {.lex_state = 161, .external_lex_state = 2},
  [12339] = {.lex_state = 201, .external_lex_state = 5},
  [12340] = {.lex_state = 157, .external_lex_state = 2},
  [12341] = {.lex_state = 161, .external_lex_state = 2},
  [12342] = {.lex_state = 161, .external_lex_state = 2},
  [12343] = {.lex_state = 157, .external_lex_state = 2},
  [12344] = {.lex_state = 161, .external_lex_state = 2},
  [12345] = {.lex_state = 161, .external_lex_state = 2},
  [12346] = {.lex_state = 201, .external_lex_state = 5},
  [12347] = {.lex_state = 160, .external_lex_state = 2},
  [12348] = {.lex_state = 161, .external_lex_state = 2},
  [12349] = {.lex_state = 161, .external_lex_state = 2},
  [12350] = {.lex_state = 161, .external_lex_state = 2},
  [12351] = {.lex_state = 161, .external_lex_state = 2},
  [12352] = {.lex_state = 161, .external_lex_state = 2},
  [12353] = {.lex_state = 161, .external_lex_state = 2},
  [12354] = {.lex_state = 161, .external_lex_state = 2},
  [12355] = {.lex_state = 161, .external_lex_state = 2},
  [12356] = {.lex_state = 161, .external_lex_state = 2},
  [12357] = {.lex_state = 157, .external_lex_state = 2},
  [12358] = {.lex_state = 161, .external_lex_state = 2},
  [12359] = {.lex_state = 161, .external_lex_state = 2},
  [12360] = {.lex_state = 201, .external_lex_state = 5},
  [12361] = {.lex_state = 201, .external_lex_state = 5},
  [12362] = {.lex_state = 161, .external_lex_state = 2},
  [12363] = {.lex_state = 161, .external_lex_state = 2},
  [12364] = {.lex_state = 161, .external_lex_state = 2},
  [12365] = {.lex_state = 160, .external_lex_state = 2},
  [12366] = {.lex_state = 160, .external_lex_state = 2},
  [12367] = {.lex_state = 219, .external_lex_state = 2},
  [12368] = {.lex_state = 161, .external_lex_state = 2},
  [12369] = {.lex_state = 161, .external_lex_state = 2},
  [12370] = {.lex_state = 157, .external_lex_state = 2},
  [12371] = {.lex_state = 162, .external_lex_state = 2},
  [12372] = {.lex_state = 161, .external_lex_state = 2},
  [12373] = {.lex_state = 161, .external_lex_state = 2},
  [12374] = {.lex_state = 161, .external_lex_state = 2},
  [12375] = {.lex_state = 161, .external_lex_state = 2},
  [12376] = {.lex_state = 161, .external_lex_state = 2},
  [12377] = {.lex_state = 161, .external_lex_state = 2},
  [12378] = {.lex_state = 201, .external_lex_state = 5},
  [12379] = {.lex_state = 162, .external_lex_state = 2},
  [12380] = {.lex_state = 161, .external_lex_state = 2},
  [12381] = {.lex_state = 161, .external_lex_state = 2},
  [12382] = {.lex_state = 161, .external_lex_state = 2},
  [12383] = {.lex_state = 161, .external_lex_state = 2},
  [12384] = {.lex_state = 161, .external_lex_state = 2},
  [12385] = {.lex_state = 161, .external_lex_state = 2},
  [12386] = {.lex_state = 161, .external_lex_state = 2},
  [12387] = {.lex_state = 160, .external_lex_state = 2},
  [12388] = {.lex_state = 160, .external_lex_state = 2},
  [12389] = {.lex_state = 160, .external_lex_state = 2},
  [12390] = {.lex_state = 160, .external_lex_state = 2},
  [12391] = {.lex_state = 160, .external_lex_state = 2},
  [12392] = {.lex_state = 160, .external_lex_state = 2},
  [12393] = {.lex_state = 160, .external_lex_state = 2},
  [12394] = {.lex_state = 161, .external_lex_state = 2},
  [12395] = {.lex_state = 160, .external_lex_state = 2},
  [12396] = {.lex_state = 201, .external_lex_state = 5},
  [12397] = {.lex_state = 160, .external_lex_state = 2},
  [12398] = {.lex_state = 161, .external_lex_state = 2},
  [12399] = {.lex_state = 161, .external_lex_state = 2},
  [12400] = {.lex_state = 201, .external_lex_state = 5},
  [12401] = {.lex_state = 161, .external_lex_state = 2},
  [12402] = {.lex_state = 161, .external_lex_state = 2},
  [12403] = {.lex_state = 161, .external_lex_state = 2},
  [12404] = {.lex_state = 160, .external_lex_state = 2},
  [12405] = {.lex_state = 210, .external_lex_state = 2},
  [12406] = {.lex_state = 161, .external_lex_state = 2},
  [12407] = {.lex_state = 161, .external_lex_state = 2},
  [12408] = {.lex_state = 160, .external_lex_state = 2},
  [12409] = {.lex_state = 161, .external_lex_state = 2},
  [12410] = {.lex_state = 160, .external_lex_state = 2},
  [12411] = {.lex_state = 201, .external_lex_state = 5},
  [12412] = {.lex_state = 162, .external_lex_state = 2},
  [12413] = {.lex_state = 162, .external_lex_state = 2},
  [12414] = {.lex_state = 162, .external_lex_state = 2},
  [12415] = {.lex_state = 157, .external_lex_state = 2},
  [12416] = {.lex_state = 157, .external_lex_state = 2},
  [12417] = {.lex_state = 162, .external_lex_state = 2},
  [12418] = {.lex_state = 162, .external_lex_state = 2},
  [12419] = {.lex_state = 162, .external_lex_state = 2},
  [12420] = {.lex_state = 162, .external_lex_state = 2},
  [12421] = {.lex_state = 162, .external_lex_state = 2},
  [12422] = {.lex_state = 162, .external_lex_state = 2},
  [12423] = {.lex_state = 162, .external_lex_state = 2},
  [12424] = {.lex_state = 157, .external_lex_state = 2},
  [12425] = {.lex_state = 160, .external_lex_state = 2},
  [12426] = {.lex_state = 434, .external_lex_state = 2},
  [12427] = {.lex_state = 232, .external_lex_state = 2},
  [12428] = {.lex_state = 232, .external_lex_state = 2},
  [12429] = {.lex_state = 161, .external_lex_state = 2},
  [12430] = {.lex_state = 12, .external_lex_state = 2},
  [12431] = {.lex_state = 201, .external_lex_state = 5},
  [12432] = {.lex_state = 161, .external_lex_state = 2},
  [12433] = {.lex_state = 161, .external_lex_state = 2},
  [12434] = {.lex_state = 434, .external_lex_state = 2},
  [12435] = {.lex_state = 8, .external_lex_state = 2},
  [12436] = {.lex_state = 8, .external_lex_state = 2},
  [12437] = {.lex_state = 8, .external_lex_state = 2},
  [12438] = {.lex_state = 253, .external_lex_state = 2},
  [12439] = {.lex_state = 161, .external_lex_state = 2},
  [12440] = {.lex_state = 161, .external_lex_state = 2},
  [12441] = {.lex_state = 232, .external_lex_state = 2},
  [12442] = {.lex_state = 161, .external_lex_state = 2},
  [12443] = {.lex_state = 161, .external_lex_state = 2},
  [12444] = {.lex_state = 220, .external_lex_state = 2},
  [12445] = {.lex_state = 8, .external_lex_state = 2},
  [12446] = {.lex_state = 434, .external_lex_state = 2},
  [12447] = {.lex_state = 161, .external_lex_state = 2},
  [12448] = {.lex_state = 161, .external_lex_state = 2},
  [12449] = {.lex_state = 161, .external_lex_state = 2},
  [12450] = {.lex_state = 220, .external_lex_state = 2},
  [12451] = {.lex_state = 161, .external_lex_state = 2},
  [12452] = {.lex_state = 281, .external_lex_state = 2},
  [12453] = {.lex_state = 6, .external_lex_state = 2},
  [12454] = {.lex_state = 434, .external_lex_state = 2},
  [12455] = {.lex_state = 161, .external_lex_state = 2},
  [12456] = {.lex_state = 232, .external_lex_state = 2},
  [12457] = {.lex_state = 434, .external_lex_state = 2},
  [12458] = {.lex_state = 434, .external_lex_state = 2},
  [12459] = {.lex_state = 220, .external_lex_state = 2},
  [12460] = {.lex_state = 232, .external_lex_state = 2},
  [12461] = {.lex_state = 434, .external_lex_state = 2},
  [12462] = {.lex_state = 8, .external_lex_state = 2},
  [12463] = {.lex_state = 281, .external_lex_state = 2},
  [12464] = {.lex_state = 232, .external_lex_state = 2},
  [12465] = {.lex_state = 8, .external_lex_state = 2},
  [12466] = {.lex_state = 161, .external_lex_state = 2},
  [12467] = {.lex_state = 161, .external_lex_state = 2},
  [12468] = {.lex_state = 220, .external_lex_state = 2},
  [12469] = {.lex_state = 161, .external_lex_state = 2},
  [12470] = {.lex_state = 232, .external_lex_state = 2},
  [12471] = {.lex_state = 161, .external_lex_state = 2},
  [12472] = {.lex_state = 281, .external_lex_state = 2},
  [12473] = {.lex_state = 232, .external_lex_state = 2},
  [12474] = {.lex_state = 232, .external_lex_state = 2},
  [12475] = {.lex_state = 162, .external_lex_state = 2},
  [12476] = {.lex_state = 220, .external_lex_state = 2},
  [12477] = {.lex_state = 220, .external_lex_state = 2},
  [12478] = {.lex_state = 8, .external_lex_state = 2},
  [12479] = {.lex_state = 281, .external_lex_state = 2},
  [12480] = {.lex_state = 220, .external_lex_state = 2},
  [12481] = {.lex_state = 220, .external_lex_state = 2},
  [12482] = {.lex_state = 8, .external_lex_state = 2},
  [12483] = {.lex_state = 220, .external_lex_state = 2},
  [12484] = {.lex_state = 232, .external_lex_state = 2},
  [12485] = {.lex_state = 220, .external_lex_state = 2},
  [12486] = {.lex_state = 12, .external_lex_state = 2},
  [12487] = {.lex_state = 232, .external_lex_state = 2},
  [12488] = {.lex_state = 161, .external_lex_state = 2},
  [12489] = {.lex_state = 232, .external_lex_state = 2},
  [12490] = {.lex_state = 281, .external_lex_state = 2},
  [12491] = {.lex_state = 161, .external_lex_state = 2},
  [12492] = {.lex_state = 232, .external_lex_state = 2},
  [12493] = {.lex_state = 281, .external_lex_state = 2},
  [12494] = {.lex_state = 255, .external_lex_state = 2},
  [12495] = {.lex_state = 255, .external_lex_state = 2},
  [12496] = {.lex_state = 8, .external_lex_state = 2},
  [12497] = {.lex_state = 8, .external_lex_state = 2},
  [12498] = {.lex_state = 227, .external_lex_state = 2},
  [12499] = {.lex_state = 161, .external_lex_state = 2},
  [12500] = {.lex_state = 6, .external_lex_state = 2},
  [12501] = {.lex_state = 12, .external_lex_state = 2},
  [12502] = {.lex_state = 161, .external_lex_state = 2},
  [12503] = {.lex_state = 161, .external_lex_state = 2},
  [12504] = {.lex_state = 6, .external_lex_state = 2},
  [12505] = {.lex_state = 434, .external_lex_state = 2},
  [12506] = {.lex_state = 232, .external_lex_state = 2},
  [12507] = {.lex_state = 232, .external_lex_state = 2},
  [12508] = {.lex_state = 8, .external_lex_state = 2},
  [12509] = {.lex_state = 8, .external_lex_state = 2},
  [12510] = {.lex_state = 12, .external_lex_state = 2},
  [12511] = {.lex_state = 434, .external_lex_state = 2},
  [12512] = {.lex_state = 8, .external_lex_state = 2},
  [12513] = {.lex_state = 157, .external_lex_state = 2},
  [12514] = {.lex_state = 8, .external_lex_state = 2},
  [12515] = {.lex_state = 220, .external_lex_state = 2},
  [12516] = {.lex_state = 220, .external_lex_state = 2},
  [12517] = {.lex_state = 220, .external_lex_state = 2},
  [12518] = {.lex_state = 434, .external_lex_state = 2},
  [12519] = {.lex_state = 220, .external_lex_state = 2},
  [12520] = {.lex_state = 434, .external_lex_state = 2},
  [12521] = {.lex_state = 8, .external_lex_state = 2},
  [12522] = {.lex_state = 8, .external_lex_state = 2},
  [12523] = {.lex_state = 8, .external_lex_state = 2},
  [12524] = {.lex_state = 434, .external_lex_state = 2},
  [12525] = {.lex_state = 232, .external_lex_state = 2},
  [12526] = {.lex_state = 161, .external_lex_state = 2},
  [12527] = {.lex_state = 161, .external_lex_state = 2},
  [12528] = {.lex_state = 8, .external_lex_state = 2},
  [12529] = {.lex_state = 220, .external_lex_state = 2},
  [12530] = {.lex_state = 434, .external_lex_state = 2},
  [12531] = {.lex_state = 232, .external_lex_state = 2},
  [12532] = {.lex_state = 434, .external_lex_state = 2},
  [12533] = {.lex_state = 434, .external_lex_state = 2},
  [12534] = {.lex_state = 232, .external_lex_state = 2},
  [12535] = {.lex_state = 161, .external_lex_state = 2},
  [12536] = {.lex_state = 161, .external_lex_state = 2},
  [12537] = {.lex_state = 268, .external_lex_state = 2},
  [12538] = {.lex_state = 232, .external_lex_state = 2},
  [12539] = {.lex_state = 8, .external_lex_state = 2},
  [12540] = {.lex_state = 434, .external_lex_state = 2},
  [12541] = {.lex_state = 220, .external_lex_state = 2},
  [12542] = {.lex_state = 161, .external_lex_state = 2},
  [12543] = {.lex_state = 161, .external_lex_state = 2},
  [12544] = {.lex_state = 281, .external_lex_state = 2},
  [12545] = {.lex_state = 434, .external_lex_state = 2},
  [12546] = {.lex_state = 434, .external_lex_state = 2},
  [12547] = {.lex_state = 8, .external_lex_state = 2},
  [12548] = {.lex_state = 434, .external_lex_state = 2},
  [12549] = {.lex_state = 8, .external_lex_state = 2},
  [12550] = {.lex_state = 161, .external_lex_state = 2},
  [12551] = {.lex_state = 161, .external_lex_state = 2},
  [12552] = {.lex_state = 161, .external_lex_state = 2},
  [12553] = {.lex_state = 161, .external_lex_state = 2},
  [12554] = {.lex_state = 161, .external_lex_state = 2},
  [12555] = {.lex_state = 161, .external_lex_state = 2},
  [12556] = {.lex_state = 161, .external_lex_state = 2},
  [12557] = {.lex_state = 161, .external_lex_state = 2},
  [12558] = {.lex_state = 434, .external_lex_state = 2},
  [12559] = {.lex_state = 12, .external_lex_state = 2},
  [12560] = {.lex_state = 161, .external_lex_state = 2},
  [12561] = {.lex_state = 232, .external_lex_state = 2},
  [12562] = {.lex_state = 8, .external_lex_state = 2},
  [12563] = {.lex_state = 434, .external_lex_state = 2},
  [12564] = {.lex_state = 161, .external_lex_state = 2},
  [12565] = {.lex_state = 232, .external_lex_state = 2},
  [12566] = {.lex_state = 8, .external_lex_state = 2},
  [12567] = {.lex_state = 161, .external_lex_state = 2},
  [12568] = {.lex_state = 8, .external_lex_state = 2},
  [12569] = {.lex_state = 161, .external_lex_state = 2},
  [12570] = {.lex_state = 161, .external_lex_state = 2},
  [12571] = {.lex_state = 161, .external_lex_state = 2},
  [12572] = {.lex_state = 232, .external_lex_state = 2},
  [12573] = {.lex_state = 232, .external_lex_state = 2},
  [12574] = {.lex_state = 281, .external_lex_state = 2},
  [12575] = {.lex_state = 6, .external_lex_state = 2},
  [12576] = {.lex_state = 12, .external_lex_state = 2},
  [12577] = {.lex_state = 8, .external_lex_state = 2},
  [12578] = {.lex_state = 8, .external_lex_state = 2},
  [12579] = {.lex_state = 161, .external_lex_state = 2},
  [12580] = {.lex_state = 227, .external_lex_state = 2},
  [12581] = {.lex_state = 161, .external_lex_state = 2},
  [12582] = {.lex_state = 8, .external_lex_state = 2},
  [12583] = {.lex_state = 220, .external_lex_state = 2},
  [12584] = {.lex_state = 157, .external_lex_state = 2},
  [12585] = {.lex_state = 220, .external_lex_state = 2},
  [12586] = {.lex_state = 220, .external_lex_state = 2},
  [12587] = {.lex_state = 161, .external_lex_state = 2},
  [12588] = {.lex_state = 220, .external_lex_state = 2},
  [12589] = {.lex_state = 8, .external_lex_state = 2},
  [12590] = {.lex_state = 220, .external_lex_state = 2},
  [12591] = {.lex_state = 8, .external_lex_state = 2},
  [12592] = {.lex_state = 8, .external_lex_state = 2},
  [12593] = {.lex_state = 157, .external_lex_state = 2},
  [12594] = {.lex_state = 161, .external_lex_state = 2},
  [12595] = {.lex_state = 220, .external_lex_state = 2},
  [12596] = {.lex_state = 8, .external_lex_state = 2},
  [12597] = {.lex_state = 220, .external_lex_state = 2},
  [12598] = {.lex_state = 161, .external_lex_state = 2},
  [12599] = {.lex_state = 220, .external_lex_state = 2},
  [12600] = {.lex_state = 8, .external_lex_state = 2},
  [12601] = {.lex_state = 161, .external_lex_state = 2},
  [12602] = {.lex_state = 161, .external_lex_state = 2},
  [12603] = {.lex_state = 161, .external_lex_state = 2},
  [12604] = {.lex_state = 161, .external_lex_state = 2},
  [12605] = {.lex_state = 220, .external_lex_state = 2},
  [12606] = {.lex_state = 161, .external_lex_state = 2},
  [12607] = {.lex_state = 161, .external_lex_state = 2},
  [12608] = {.lex_state = 220, .external_lex_state = 2},
  [12609] = {.lex_state = 161, .external_lex_state = 2},
  [12610] = {.lex_state = 161, .external_lex_state = 2},
  [12611] = {.lex_state = 161, .external_lex_state = 2},
  [12612] = {.lex_state = 161, .external_lex_state = 2},
  [12613] = {.lex_state = 161, .external_lex_state = 2},
  [12614] = {.lex_state = 161, .external_lex_state = 2},
  [12615] = {.lex_state = 434, .external_lex_state = 2},
  [12616] = {.lex_state = 434, .external_lex_state = 2},
  [12617] = {.lex_state = 434, .external_lex_state = 2},
  [12618] = {.lex_state = 8, .external_lex_state = 2},
  [12619] = {.lex_state = 161, .external_lex_state = 2},
  [12620] = {.lex_state = 220, .external_lex_state = 2},
  [12621] = {.lex_state = 201, .external_lex_state = 5},
  [12622] = {.lex_state = 227, .external_lex_state = 2},
  [12623] = {.lex_state = 161, .external_lex_state = 2},
  [12624] = {.lex_state = 220, .external_lex_state = 2},
  [12625] = {.lex_state = 161, .external_lex_state = 2},
  [12626] = {.lex_state = 161, .external_lex_state = 2},
  [12627] = {.lex_state = 8, .external_lex_state = 2},
  [12628] = {.lex_state = 8, .external_lex_state = 2},
  [12629] = {.lex_state = 8, .external_lex_state = 2},
  [12630] = {.lex_state = 8, .external_lex_state = 2},
  [12631] = {.lex_state = 161, .external_lex_state = 2},
  [12632] = {.lex_state = 220, .external_lex_state = 2},
  [12633] = {.lex_state = 220, .external_lex_state = 2},
  [12634] = {.lex_state = 8, .external_lex_state = 2},
  [12635] = {.lex_state = 281, .external_lex_state = 2},
  [12636] = {.lex_state = 8, .external_lex_state = 2},
  [12637] = {.lex_state = 220, .external_lex_state = 2},
  [12638] = {.lex_state = 161, .external_lex_state = 2},
  [12639] = {.lex_state = 161, .external_lex_state = 2},
  [12640] = {.lex_state = 8, .external_lex_state = 2},
  [12641] = {.lex_state = 8, .external_lex_state = 2},
  [12642] = {.lex_state = 8, .external_lex_state = 2},
  [12643] = {.lex_state = 434, .external_lex_state = 2},
  [12644] = {.lex_state = 232, .external_lex_state = 2},
  [12645] = {.lex_state = 8, .external_lex_state = 2},
  [12646] = {.lex_state = 161, .external_lex_state = 2},
  [12647] = {.lex_state = 232, .external_lex_state = 2},
  [12648] = {.lex_state = 232, .external_lex_state = 2},
  [12649] = {.lex_state = 232, .external_lex_state = 2},
  [12650] = {.lex_state = 232, .external_lex_state = 2},
  [12651] = {.lex_state = 232, .external_lex_state = 2},
  [12652] = {.lex_state = 232, .external_lex_state = 2},
  [12653] = {.lex_state = 232, .external_lex_state = 2},
  [12654] = {.lex_state = 232, .external_lex_state = 2},
  [12655] = {.lex_state = 232, .external_lex_state = 2},
  [12656] = {.lex_state = 232, .external_lex_state = 2},
  [12657] = {.lex_state = 12, .external_lex_state = 2},
  [12658] = {.lex_state = 8, .external_lex_state = 2},
  [12659] = {.lex_state = 232, .external_lex_state = 2},
  [12660] = {.lex_state = 232, .external_lex_state = 2},
  [12661] = {.lex_state = 232, .external_lex_state = 2},
  [12662] = {.lex_state = 232, .external_lex_state = 2},
  [12663] = {.lex_state = 434, .external_lex_state = 2},
  [12664] = {.lex_state = 6, .external_lex_state = 2},
  [12665] = {.lex_state = 203, .external_lex_state = 2},
  [12666] = {.lex_state = 232, .external_lex_state = 2},
  [12667] = {.lex_state = 12, .external_lex_state = 2},
  [12668] = {.lex_state = 232, .external_lex_state = 2},
  [12669] = {.lex_state = 12, .external_lex_state = 2},
  [12670] = {.lex_state = 434, .external_lex_state = 2},
  [12671] = {.lex_state = 6, .external_lex_state = 2},
  [12672] = {.lex_state = 12, .external_lex_state = 2},
  [12673] = {.lex_state = 6, .external_lex_state = 2},
  [12674] = {.lex_state = 6, .external_lex_state = 2},
  [12675] = {.lex_state = 203, .external_lex_state = 2},
  [12676] = {.lex_state = 6, .external_lex_state = 2},
  [12677] = {.lex_state = 6, .external_lex_state = 2},
  [12678] = {.lex_state = 6, .external_lex_state = 2},
  [12679] = {.lex_state = 157, .external_lex_state = 2},
  [12680] = {.lex_state = 6, .external_lex_state = 2},
  [12681] = {.lex_state = 6, .external_lex_state = 2},
  [12682] = {.lex_state = 227, .external_lex_state = 2},
  [12683] = {.lex_state = 434, .external_lex_state = 2},
  [12684] = {.lex_state = 434, .external_lex_state = 2},
  [12685] = {.lex_state = 434, .external_lex_state = 2},
  [12686] = {.lex_state = 157, .external_lex_state = 2},
  [12687] = {.lex_state = 232, .external_lex_state = 2},
  [12688] = {.lex_state = 232, .external_lex_state = 2},
  [12689] = {.lex_state = 203, .external_lex_state = 2},
  [12690] = {.lex_state = 6, .external_lex_state = 2},
  [12691] = {.lex_state = 157, .external_lex_state = 2},
  [12692] = {.lex_state = 157, .external_lex_state = 2},
  [12693] = {.lex_state = 232, .external_lex_state = 2},
  [12694] = {.lex_state = 6, .external_lex_state = 2},
  [12695] = {.lex_state = 6, .external_lex_state = 2},
  [12696] = {.lex_state = 434, .external_lex_state = 2},
  [12697] = {.lex_state = 227, .external_lex_state = 2},
  [12698] = {.lex_state = 227, .external_lex_state = 2},
  [12699] = {.lex_state = 6, .external_lex_state = 2},
  [12700] = {.lex_state = 227, .external_lex_state = 2},
  [12701] = {.lex_state = 227, .external_lex_state = 2},
  [12702] = {.lex_state = 227, .external_lex_state = 2},
  [12703] = {.lex_state = 226, .external_lex_state = 2},
  [12704] = {.lex_state = 216, .external_lex_state = 2},
  [12705] = {.lex_state = 12, .external_lex_state = 2},
  [12706] = {.lex_state = 227, .external_lex_state = 2},
  [12707] = {.lex_state = 220, .external_lex_state = 2},
  [12708] = {.lex_state = 164, .external_lex_state = 2},
  [12709] = {.lex_state = 434, .external_lex_state = 2},
  [12710] = {.lex_state = 6, .external_lex_state = 2},
  [12711] = {.lex_state = 254, .external_lex_state = 2},
  [12712] = {.lex_state = 227, .external_lex_state = 2},
  [12713] = {.lex_state = 434, .external_lex_state = 2},
  [12714] = {.lex_state = 216, .external_lex_state = 2},
  [12715] = {.lex_state = 226, .external_lex_state = 2},
  [12716] = {.lex_state = 6, .external_lex_state = 2},
  [12717] = {.lex_state = 227, .external_lex_state = 2},
  [12718] = {.lex_state = 227, .external_lex_state = 2},
  [12719] = {.lex_state = 227, .external_lex_state = 2},
  [12720] = {.lex_state = 227, .external_lex_state = 2},
  [12721] = {.lex_state = 164, .external_lex_state = 2},
  [12722] = {.lex_state = 227, .external_lex_state = 2},
  [12723] = {.lex_state = 254, .external_lex_state = 2},
  [12724] = {.lex_state = 227, .external_lex_state = 2},
  [12725] = {.lex_state = 227, .external_lex_state = 2},
  [12726] = {.lex_state = 435, .external_lex_state = 2},
  [12727] = {.lex_state = 232, .external_lex_state = 2},
  [12728] = {.lex_state = 6, .external_lex_state = 2},
  [12729] = {.lex_state = 254, .external_lex_state = 2},
  [12730] = {.lex_state = 227, .external_lex_state = 2},
  [12731] = {.lex_state = 12, .external_lex_state = 2},
  [12732] = {.lex_state = 232, .external_lex_state = 2},
  [12733] = {.lex_state = 227, .external_lex_state = 2},
  [12734] = {.lex_state = 227, .external_lex_state = 2},
  [12735] = {.lex_state = 12, .external_lex_state = 2},
  [12736] = {.lex_state = 232, .external_lex_state = 2},
  [12737] = {.lex_state = 227, .external_lex_state = 2},
  [12738] = {.lex_state = 232, .external_lex_state = 2},
  [12739] = {.lex_state = 12, .external_lex_state = 2},
  [12740] = {.lex_state = 227, .external_lex_state = 2},
  [12741] = {.lex_state = 164, .external_lex_state = 2},
  [12742] = {.lex_state = 227, .external_lex_state = 2},
  [12743] = {.lex_state = 6, .external_lex_state = 2},
  [12744] = {.lex_state = 6, .external_lex_state = 2},
  [12745] = {.lex_state = 227, .external_lex_state = 2},
  [12746] = {.lex_state = 12, .external_lex_state = 2},
  [12747] = {.lex_state = 6, .external_lex_state = 2},
  [12748] = {.lex_state = 226, .external_lex_state = 2},
  [12749] = {.lex_state = 227, .external_lex_state = 2},
  [12750] = {.lex_state = 232, .external_lex_state = 2},
  [12751] = {.lex_state = 254, .external_lex_state = 2},
  [12752] = {.lex_state = 254, .external_lex_state = 2},
  [12753] = {.lex_state = 227, .external_lex_state = 2},
  [12754] = {.lex_state = 201, .external_lex_state = 5},
  [12755] = {.lex_state = 6, .external_lex_state = 2},
  [12756] = {.lex_state = 434, .external_lex_state = 2},
  [12757] = {.lex_state = 227, .external_lex_state = 2},
  [12758] = {.lex_state = 227, .external_lex_state = 2},
  [12759] = {.lex_state = 227, .external_lex_state = 2},
  [12760] = {.lex_state = 254, .external_lex_state = 2},
  [12761] = {.lex_state = 232, .external_lex_state = 2},
  [12762] = {.lex_state = 6, .external_lex_state = 2},
  [12763] = {.lex_state = 227, .external_lex_state = 2},
  [12764] = {.lex_state = 227, .external_lex_state = 2},
  [12765] = {.lex_state = 227, .external_lex_state = 2},
  [12766] = {.lex_state = 227, .external_lex_state = 2},
  [12767] = {.lex_state = 254, .external_lex_state = 2},
  [12768] = {.lex_state = 227, .external_lex_state = 2},
  [12769] = {.lex_state = 201, .external_lex_state = 5},
  [12770] = {.lex_state = 227, .external_lex_state = 2},
  [12771] = {.lex_state = 227, .external_lex_state = 2},
  [12772] = {.lex_state = 254, .external_lex_state = 2},
  [12773] = {.lex_state = 157, .external_lex_state = 2},
  [12774] = {.lex_state = 434, .external_lex_state = 2},
  [12775] = {.lex_state = 157, .external_lex_state = 2},
  [12776] = {.lex_state = 434, .external_lex_state = 2},
  [12777] = {.lex_state = 157, .external_lex_state = 2},
  [12778] = {.lex_state = 434, .external_lex_state = 2},
  [12779] = {.lex_state = 254, .external_lex_state = 2},
  [12780] = {.lex_state = 434, .external_lex_state = 2},
  [12781] = {.lex_state = 434, .external_lex_state = 2},
  [12782] = {.lex_state = 227, .external_lex_state = 2},
  [12783] = {.lex_state = 434, .external_lex_state = 2},
  [12784] = {.lex_state = 434, .external_lex_state = 2},
  [12785] = {.lex_state = 157, .external_lex_state = 2},
  [12786] = {.lex_state = 434, .external_lex_state = 2},
  [12787] = {.lex_state = 157, .external_lex_state = 2},
  [12788] = {.lex_state = 434, .external_lex_state = 2},
  [12789] = {.lex_state = 220, .external_lex_state = 2},
  [12790] = {.lex_state = 6, .external_lex_state = 2},
  [12791] = {.lex_state = 434, .external_lex_state = 2},
  [12792] = {.lex_state = 157, .external_lex_state = 2},
  [12793] = {.lex_state = 157, .external_lex_state = 2},
  [12794] = {.lex_state = 434, .external_lex_state = 2},
  [12795] = {.lex_state = 434, .external_lex_state = 2},
  [12796] = {.lex_state = 434, .external_lex_state = 2},
  [12797] = {.lex_state = 157, .external_lex_state = 2},
  [12798] = {.lex_state = 157, .external_lex_state = 2},
  [12799] = {.lex_state = 434, .external_lex_state = 2},
  [12800] = {.lex_state = 157, .external_lex_state = 2},
  [12801] = {.lex_state = 254, .external_lex_state = 2},
  [12802] = {.lex_state = 157, .external_lex_state = 2},
  [12803] = {.lex_state = 434, .external_lex_state = 2},
  [12804] = {.lex_state = 434, .external_lex_state = 2},
  [12805] = {.lex_state = 435, .external_lex_state = 2},
  [12806] = {.lex_state = 434, .external_lex_state = 2},
  [12807] = {.lex_state = 434, .external_lex_state = 2},
  [12808] = {.lex_state = 434, .external_lex_state = 2},
  [12809] = {.lex_state = 157, .external_lex_state = 2},
  [12810] = {.lex_state = 434, .external_lex_state = 2},
  [12811] = {.lex_state = 434, .external_lex_state = 2},
  [12812] = {.lex_state = 434, .external_lex_state = 2},
  [12813] = {.lex_state = 157, .external_lex_state = 2},
  [12814] = {.lex_state = 434, .external_lex_state = 2},
  [12815] = {.lex_state = 157, .external_lex_state = 2},
  [12816] = {.lex_state = 254, .external_lex_state = 2},
  [12817] = {.lex_state = 157, .external_lex_state = 2},
  [12818] = {.lex_state = 434, .external_lex_state = 2},
  [12819] = {.lex_state = 157, .external_lex_state = 2},
  [12820] = {.lex_state = 434, .external_lex_state = 2},
  [12821] = {.lex_state = 434, .external_lex_state = 2},
  [12822] = {.lex_state = 157, .external_lex_state = 2},
  [12823] = {.lex_state = 157, .external_lex_state = 2},
  [12824] = {.lex_state = 434, .external_lex_state = 2},
  [12825] = {.lex_state = 157, .external_lex_state = 2},
  [12826] = {.lex_state = 255, .external_lex_state = 2},
  [12827] = {.lex_state = 434, .external_lex_state = 2},
  [12828] = {.lex_state = 254, .external_lex_state = 2},
  [12829] = {.lex_state = 434, .external_lex_state = 2},
  [12830] = {.lex_state = 157, .external_lex_state = 2},
  [12831] = {.lex_state = 157, .external_lex_state = 2},
  [12832] = {.lex_state = 157, .external_lex_state = 2},
  [12833] = {.lex_state = 434, .external_lex_state = 2},
  [12834] = {.lex_state = 434, .external_lex_state = 2},
  [12835] = {.lex_state = 157, .external_lex_state = 2},
  [12836] = {.lex_state = 434, .external_lex_state = 2},
  [12837] = {.lex_state = 434, .external_lex_state = 2},
  [12838] = {.lex_state = 226, .external_lex_state = 2},
  [12839] = {.lex_state = 434, .external_lex_state = 2},
  [12840] = {.lex_state = 434, .external_lex_state = 2},
  [12841] = {.lex_state = 434, .external_lex_state = 2},
  [12842] = {.lex_state = 434, .external_lex_state = 2},
  [12843] = {.lex_state = 434, .external_lex_state = 2},
  [12844] = {.lex_state = 434, .external_lex_state = 2},
  [12845] = {.lex_state = 434, .external_lex_state = 2},
  [12846] = {.lex_state = 254, .external_lex_state = 2},
  [12847] = {.lex_state = 157, .external_lex_state = 2},
  [12848] = {.lex_state = 434, .external_lex_state = 2},
  [12849] = {.lex_state = 254, .external_lex_state = 2},
  [12850] = {.lex_state = 434, .external_lex_state = 2},
  [12851] = {.lex_state = 157, .external_lex_state = 2},
  [12852] = {.lex_state = 157, .external_lex_state = 2},
  [12853] = {.lex_state = 434, .external_lex_state = 2},
  [12854] = {.lex_state = 157, .external_lex_state = 2},
  [12855] = {.lex_state = 434, .external_lex_state = 2},
  [12856] = {.lex_state = 434, .external_lex_state = 2},
  [12857] = {.lex_state = 434, .external_lex_state = 2},
  [12858] = {.lex_state = 434, .external_lex_state = 2},
  [12859] = {.lex_state = 157, .external_lex_state = 2},
  [12860] = {.lex_state = 434, .external_lex_state = 2},
  [12861] = {.lex_state = 157, .external_lex_state = 2},
  [12862] = {.lex_state = 434, .external_lex_state = 2},
  [12863] = {.lex_state = 434, .external_lex_state = 2},
  [12864] = {.lex_state = 157, .external_lex_state = 2},
  [12865] = {.lex_state = 254, .external_lex_state = 2},
  [12866] = {.lex_state = 434, .external_lex_state = 2},
  [12867] = {.lex_state = 434, .external_lex_state = 2},
  [12868] = {.lex_state = 434, .external_lex_state = 2},
  [12869] = {.lex_state = 157, .external_lex_state = 2},
  [12870] = {.lex_state = 434, .external_lex_state = 2},
  [12871] = {.lex_state = 157, .external_lex_state = 2},
  [12872] = {.lex_state = 434, .external_lex_state = 2},
  [12873] = {.lex_state = 157, .external_lex_state = 2},
  [12874] = {.lex_state = 434, .external_lex_state = 2},
  [12875] = {.lex_state = 434, .external_lex_state = 2},
  [12876] = {.lex_state = 157, .external_lex_state = 2},
  [12877] = {.lex_state = 157, .external_lex_state = 2},
  [12878] = {.lex_state = 157, .external_lex_state = 2},
  [12879] = {.lex_state = 157, .external_lex_state = 2},
  [12880] = {.lex_state = 157, .external_lex_state = 2},
  [12881] = {.lex_state = 157, .external_lex_state = 2},
  [12882] = {.lex_state = 157, .external_lex_state = 2},
  [12883] = {.lex_state = 157, .external_lex_state = 2},
  [12884] = {.lex_state = 434, .external_lex_state = 2},
  [12885] = {.lex_state = 157, .external_lex_state = 2},
  [12886] = {.lex_state = 434, .external_lex_state = 2},
  [12887] = {.lex_state = 157, .external_lex_state = 2},
  [12888] = {.lex_state = 157, .external_lex_state = 2},
  [12889] = {.lex_state = 434, .external_lex_state = 2},
  [12890] = {.lex_state = 434, .external_lex_state = 2},
  [12891] = {.lex_state = 157, .external_lex_state = 2},
  [12892] = {.lex_state = 434, .external_lex_state = 2},
  [12893] = {.lex_state = 157, .external_lex_state = 2},
  [12894] = {.lex_state = 434, .external_lex_state = 2},
  [12895] = {.lex_state = 434, .external_lex_state = 2},
  [12896] = {.lex_state = 157, .external_lex_state = 2},
  [12897] = {.lex_state = 434, .external_lex_state = 2},
  [12898] = {.lex_state = 434, .external_lex_state = 2},
  [12899] = {.lex_state = 434, .external_lex_state = 2},
  [12900] = {.lex_state = 254, .external_lex_state = 2},
  [12901] = {.lex_state = 434, .external_lex_state = 2},
  [12902] = {.lex_state = 157, .external_lex_state = 2},
  [12903] = {.lex_state = 434, .external_lex_state = 2},
  [12904] = {.lex_state = 434, .external_lex_state = 2},
  [12905] = {.lex_state = 157, .external_lex_state = 2},
  [12906] = {.lex_state = 434, .external_lex_state = 2},
  [12907] = {.lex_state = 203, .external_lex_state = 2},
  [12908] = {.lex_state = 434, .external_lex_state = 2},
  [12909] = {.lex_state = 434, .external_lex_state = 2},
  [12910] = {.lex_state = 434, .external_lex_state = 2},
  [12911] = {.lex_state = 255, .external_lex_state = 2},
  [12912] = {.lex_state = 434, .external_lex_state = 2},
  [12913] = {.lex_state = 434, .external_lex_state = 2},
  [12914] = {.lex_state = 434, .external_lex_state = 2},
  [12915] = {.lex_state = 434, .external_lex_state = 2},
  [12916] = {.lex_state = 157, .external_lex_state = 2},
  [12917] = {.lex_state = 434, .external_lex_state = 2},
  [12918] = {.lex_state = 434, .external_lex_state = 2},
  [12919] = {.lex_state = 157, .external_lex_state = 2},
  [12920] = {.lex_state = 434, .external_lex_state = 2},
  [12921] = {.lex_state = 434, .external_lex_state = 2},
  [12922] = {.lex_state = 434, .external_lex_state = 2},
  [12923] = {.lex_state = 157, .external_lex_state = 2},
  [12924] = {.lex_state = 157, .external_lex_state = 2},
  [12925] = {.lex_state = 157, .external_lex_state = 2},
  [12926] = {.lex_state = 157, .external_lex_state = 2},
  [12927] = {.lex_state = 434, .external_lex_state = 2},
  [12928] = {.lex_state = 157, .external_lex_state = 2},
  [12929] = {.lex_state = 434, .external_lex_state = 2},
  [12930] = {.lex_state = 434, .external_lex_state = 2},
  [12931] = {.lex_state = 255, .external_lex_state = 2},
  [12932] = {.lex_state = 434, .external_lex_state = 2},
  [12933] = {.lex_state = 227, .external_lex_state = 2},
  [12934] = {.lex_state = 157, .external_lex_state = 2},
  [12935] = {.lex_state = 434, .external_lex_state = 2},
  [12936] = {.lex_state = 434, .external_lex_state = 2},
  [12937] = {.lex_state = 434, .external_lex_state = 2},
  [12938] = {.lex_state = 434, .external_lex_state = 2},
  [12939] = {.lex_state = 157, .external_lex_state = 2},
  [12940] = {.lex_state = 434, .external_lex_state = 2},
  [12941] = {.lex_state = 434, .external_lex_state = 2},
  [12942] = {.lex_state = 157, .external_lex_state = 2},
  [12943] = {.lex_state = 434, .external_lex_state = 2},
  [12944] = {.lex_state = 259, .external_lex_state = 2},
  [12945] = {.lex_state = 434, .external_lex_state = 2},
  [12946] = {.lex_state = 157, .external_lex_state = 2},
  [12947] = {.lex_state = 434, .external_lex_state = 2},
  [12948] = {.lex_state = 157, .external_lex_state = 2},
  [12949] = {.lex_state = 434, .external_lex_state = 2},
  [12950] = {.lex_state = 157, .external_lex_state = 2},
  [12951] = {.lex_state = 434, .external_lex_state = 2},
  [12952] = {.lex_state = 157, .external_lex_state = 2},
  [12953] = {.lex_state = 157, .external_lex_state = 2},
  [12954] = {.lex_state = 157, .external_lex_state = 2},
  [12955] = {.lex_state = 434, .external_lex_state = 2},
  [12956] = {.lex_state = 434, .external_lex_state = 2},
  [12957] = {.lex_state = 157, .external_lex_state = 2},
  [12958] = {.lex_state = 434, .external_lex_state = 2},
  [12959] = {.lex_state = 157, .external_lex_state = 2},
  [12960] = {.lex_state = 434, .external_lex_state = 2},
  [12961] = {.lex_state = 434, .external_lex_state = 2},
  [12962] = {.lex_state = 434, .external_lex_state = 2},
  [12963] = {.lex_state = 434, .external_lex_state = 2},
  [12964] = {.lex_state = 157, .external_lex_state = 2},
  [12965] = {.lex_state = 434, .external_lex_state = 2},
  [12966] = {.lex_state = 157, .external_lex_state = 2},
  [12967] = {.lex_state = 434, .external_lex_state = 2},
  [12968] = {.lex_state = 434, .external_lex_state = 2},
  [12969] = {.lex_state = 157, .external_lex_state = 2},
  [12970] = {.lex_state = 434, .external_lex_state = 2},
  [12971] = {.lex_state = 434, .external_lex_state = 2},
  [12972] = {.lex_state = 434, .external_lex_state = 2},
  [12973] = {.lex_state = 157, .external_lex_state = 2},
  [12974] = {.lex_state = 434, .external_lex_state = 2},
  [12975] = {.lex_state = 434, .external_lex_state = 2},
  [12976] = {.lex_state = 157, .external_lex_state = 2},
  [12977] = {.lex_state = 157, .external_lex_state = 2},
  [12978] = {.lex_state = 434, .external_lex_state = 2},
  [12979] = {.lex_state = 434, .external_lex_state = 2},
  [12980] = {.lex_state = 434, .external_lex_state = 2},
  [12981] = {.lex_state = 434, .external_lex_state = 2},
  [12982] = {.lex_state = 434, .external_lex_state = 2},
  [12983] = {.lex_state = 434, .external_lex_state = 2},
  [12984] = {.lex_state = 434, .external_lex_state = 2},
  [12985] = {.lex_state = 157, .external_lex_state = 2},
  [12986] = {.lex_state = 434, .external_lex_state = 2},
  [12987] = {.lex_state = 157, .external_lex_state = 2},
  [12988] = {.lex_state = 434, .external_lex_state = 2},
  [12989] = {.lex_state = 157, .external_lex_state = 2},
  [12990] = {.lex_state = 157, .external_lex_state = 2},
  [12991] = {.lex_state = 157, .external_lex_state = 2},
  [12992] = {.lex_state = 434, .external_lex_state = 2},
  [12993] = {.lex_state = 434, .external_lex_state = 2},
  [12994] = {.lex_state = 157, .external_lex_state = 2},
  [12995] = {.lex_state = 157, .external_lex_state = 2},
  [12996] = {.lex_state = 203, .external_lex_state = 2},
  [12997] = {.lex_state = 226, .external_lex_state = 2},
  [12998] = {.lex_state = 226, .external_lex_state = 2},
  [12999] = {.lex_state = 226, .external_lex_state = 2},
  [13000] = {.lex_state = 226, .external_lex_state = 2},
  [13001] = {.lex_state = 226, .external_lex_state = 2},
  [13002] = {.lex_state = 220, .external_lex_state = 2},
  [13003] = {.lex_state = 226, .external_lex_state = 2},
  [13004] = {.lex_state = 157, .external_lex_state = 2},
  [13005] = {.lex_state = 226, .external_lex_state = 2},
  [13006] = {.lex_state = 220, .external_lex_state = 2},
  [13007] = {.lex_state = 220, .external_lex_state = 2},
  [13008] = {.lex_state = 157, .external_lex_state = 2},
  [13009] = {.lex_state = 157, .external_lex_state = 2},
  [13010] = {.lex_state = 157, .external_lex_state = 2},
  [13011] = {.lex_state = 226, .external_lex_state = 2},
  [13012] = {.lex_state = 226, .external_lex_state = 2},
  [13013] = {.lex_state = 226, .external_lex_state = 2},
  [13014] = {.lex_state = 157, .external_lex_state = 2},
  [13015] = {.lex_state = 226, .external_lex_state = 2},
  [13016] = {.lex_state = 203, .external_lex_state = 2},
  [13017] = {.lex_state = 220, .external_lex_state = 2},
  [13018] = {.lex_state = 226, .external_lex_state = 2},
  [13019] = {.lex_state = 226, .external_lex_state = 2},
  [13020] = {.lex_state = 226, .external_lex_state = 2},
  [13021] = {.lex_state = 226, .external_lex_state = 2},
  [13022] = {.lex_state = 157, .external_lex_state = 2},
  [13023] = {.lex_state = 157, .external_lex_state = 2},
  [13024] = {.lex_state = 226, .external_lex_state = 2},
  [13025] = {.lex_state = 434, .external_lex_state = 2},
  [13026] = {.lex_state = 434, .external_lex_state = 2},
  [13027] = {.lex_state = 226, .external_lex_state = 2},
  [13028] = {.lex_state = 434, .external_lex_state = 2},
  [13029] = {.lex_state = 157, .external_lex_state = 2},
  [13030] = {.lex_state = 226, .external_lex_state = 2},
  [13031] = {.lex_state = 226, .external_lex_state = 2},
  [13032] = {.lex_state = 226, .external_lex_state = 2},
  [13033] = {.lex_state = 226, .external_lex_state = 2},
  [13034] = {.lex_state = 226, .external_lex_state = 2},
  [13035] = {.lex_state = 226, .external_lex_state = 2},
  [13036] = {.lex_state = 226, .external_lex_state = 2},
  [13037] = {.lex_state = 255, .external_lex_state = 2},
  [13038] = {.lex_state = 226, .external_lex_state = 2},
  [13039] = {.lex_state = 157, .external_lex_state = 2},
  [13040] = {.lex_state = 226, .external_lex_state = 2},
  [13041] = {.lex_state = 226, .external_lex_state = 2},
  [13042] = {.lex_state = 6, .external_lex_state = 2},
  [13043] = {.lex_state = 226, .external_lex_state = 2},
  [13044] = {.lex_state = 220, .external_lex_state = 2},
  [13045] = {.lex_state = 226, .external_lex_state = 2},
  [13046] = {.lex_state = 203, .external_lex_state = 2},
  [13047] = {.lex_state = 226, .external_lex_state = 2},
  [13048] = {.lex_state = 203, .external_lex_state = 2},
  [13049] = {.lex_state = 226, .external_lex_state = 2},
  [13050] = {.lex_state = 226, .external_lex_state = 2},
  [13051] = {.lex_state = 157, .external_lex_state = 2},
  [13052] = {.lex_state = 203, .external_lex_state = 2},
  [13053] = {.lex_state = 434, .external_lex_state = 2},
  [13054] = {.lex_state = 203, .external_lex_state = 2},
  [13055] = {.lex_state = 203, .external_lex_state = 2},
  [13056] = {.lex_state = 434, .external_lex_state = 2},
  [13057] = {.lex_state = 6, .external_lex_state = 2},
  [13058] = {.lex_state = 434, .external_lex_state = 2},
  [13059] = {.lex_state = 434, .external_lex_state = 2},
  [13060] = {.lex_state = 434, .external_lex_state = 2},
  [13061] = {.lex_state = 6, .external_lex_state = 2},
  [13062] = {.lex_state = 434, .external_lex_state = 2},
  [13063] = {.lex_state = 259, .external_lex_state = 2},
  [13064] = {.lex_state = 157, .external_lex_state = 2},
  [13065] = {.lex_state = 203, .external_lex_state = 2},
  [13066] = {.lex_state = 203, .external_lex_state = 2},
  [13067] = {.lex_state = 434, .external_lex_state = 2},
  [13068] = {.lex_state = 434, .external_lex_state = 2},
  [13069] = {.lex_state = 434, .external_lex_state = 2},
  [13070] = {.lex_state = 434, .external_lex_state = 2},
  [13071] = {.lex_state = 434, .external_lex_state = 2},
  [13072] = {.lex_state = 216, .external_lex_state = 2},
  [13073] = {.lex_state = 203, .external_lex_state = 2},
  [13074] = {.lex_state = 434, .external_lex_state = 2},
  [13075] = {.lex_state = 216, .external_lex_state = 2},
  [13076] = {.lex_state = 434, .external_lex_state = 2},
  [13077] = {.lex_state = 6, .external_lex_state = 2},
  [13078] = {.lex_state = 203, .external_lex_state = 2},
  [13079] = {.lex_state = 434, .external_lex_state = 2},
  [13080] = {.lex_state = 434, .external_lex_state = 2},
  [13081] = {.lex_state = 203, .external_lex_state = 2},
  [13082] = {.lex_state = 434, .external_lex_state = 2},
  [13083] = {.lex_state = 434, .external_lex_state = 2},
  [13084] = {.lex_state = 6, .external_lex_state = 2},
  [13085] = {.lex_state = 434, .external_lex_state = 2},
  [13086] = {.lex_state = 203, .external_lex_state = 2},
  [13087] = {.lex_state = 434, .external_lex_state = 2},
  [13088] = {.lex_state = 203, .external_lex_state = 2},
  [13089] = {.lex_state = 203, .external_lex_state = 2},
  [13090] = {.lex_state = 6, .external_lex_state = 2},
  [13091] = {.lex_state = 434, .external_lex_state = 2},
  [13092] = {.lex_state = 216, .external_lex_state = 2},
  [13093] = {.lex_state = 434, .external_lex_state = 2},
  [13094] = {.lex_state = 216, .external_lex_state = 2},
  [13095] = {.lex_state = 227, .external_lex_state = 2},
  [13096] = {.lex_state = 434, .external_lex_state = 2},
  [13097] = {.lex_state = 6, .external_lex_state = 2},
  [13098] = {.lex_state = 434, .external_lex_state = 2},
  [13099] = {.lex_state = 203, .external_lex_state = 2},
  [13100] = {.lex_state = 203, .external_lex_state = 2},
  [13101] = {.lex_state = 434, .external_lex_state = 2},
  [13102] = {.lex_state = 434, .external_lex_state = 2},
  [13103] = {.lex_state = 203, .external_lex_state = 2},
  [13104] = {.lex_state = 203, .external_lex_state = 2},
  [13105] = {.lex_state = 6, .external_lex_state = 2},
  [13106] = {.lex_state = 203, .external_lex_state = 2},
  [13107] = {.lex_state = 6, .external_lex_state = 2},
  [13108] = {.lex_state = 259, .external_lex_state = 2},
  [13109] = {.lex_state = 434, .external_lex_state = 2},
  [13110] = {.lex_state = 434, .external_lex_state = 2},
  [13111] = {.lex_state = 216, .external_lex_state = 2},
  [13112] = {.lex_state = 434, .external_lex_state = 2},
  [13113] = {.lex_state = 216, .external_lex_state = 2},
  [13114] = {.lex_state = 434, .external_lex_state = 2},
  [13115] = {.lex_state = 434, .external_lex_state = 2},
  [13116] = {.lex_state = 203, .external_lex_state = 2},
  [13117] = {.lex_state = 434, .external_lex_state = 2},
  [13118] = {.lex_state = 4, .external_lex_state = 6},
  [13119] = {.lex_state = 18, .external_lex_state = 2},
  [13120] = {.lex_state = 18, .external_lex_state = 2},
  [13121] = {.lex_state = 203, .external_lex_state = 2},
  [13122] = {.lex_state = 256, .external_lex_state = 2},
  [13123] = {.lex_state = 6, .external_lex_state = 2},
  [13124] = {.lex_state = 256, .external_lex_state = 2},
  [13125] = {.lex_state = 256, .external_lex_state = 2},
  [13126] = {.lex_state = 256, .external_lex_state = 2},
  [13127] = {.lex_state = 256, .external_lex_state = 2},
  [13128] = {.lex_state = 18, .external_lex_state = 2},
  [13129] = {.lex_state = 18, .external_lex_state = 2},
  [13130] = {.lex_state = 256, .external_lex_state = 2},
  [13131] = {.lex_state = 256, .external_lex_state = 2},
  [13132] = {.lex_state = 256, .external_lex_state = 2},
  [13133] = {.lex_state = 18, .external_lex_state = 2},
  [13134] = {.lex_state = 256, .external_lex_state = 2},
  [13135] = {.lex_state = 18, .external_lex_state = 2},
  [13136] = {.lex_state = 203, .external_lex_state = 2},
  [13137] = {.lex_state = 256, .external_lex_state = 2},
  [13138] = {.lex_state = 203, .external_lex_state = 2},
  [13139] = {.lex_state = 256, .external_lex_state = 2},
  [13140] = {.lex_state = 256, .external_lex_state = 2},
  [13141] = {.lex_state = 434, .external_lex_state = 2},
  [13142] = {.lex_state = 434, .external_lex_state = 2},
  [13143] = {.lex_state = 434, .external_lex_state = 2},
  [13144] = {.lex_state = 434, .external_lex_state = 2},
  [13145] = {.lex_state = 256, .external_lex_state = 2},
  [13146] = {.lex_state = 227, .external_lex_state = 2},
  [13147] = {.lex_state = 256, .external_lex_state = 2},
  [13148] = {.lex_state = 256, .external_lex_state = 2},
  [13149] = {.lex_state = 256, .external_lex_state = 2},
  [13150] = {.lex_state = 18, .external_lex_state = 2},
  [13151] = {.lex_state = 256, .external_lex_state = 2},
  [13152] = {.lex_state = 18, .external_lex_state = 2},
  [13153] = {.lex_state = 256, .external_lex_state = 2},
  [13154] = {.lex_state = 256, .external_lex_state = 2},
  [13155] = {.lex_state = 256, .external_lex_state = 2},
  [13156] = {.lex_state = 256, .external_lex_state = 2},
  [13157] = {.lex_state = 256, .external_lex_state = 2},
  [13158] = {.lex_state = 256, .external_lex_state = 2},
  [13159] = {.lex_state = 203, .external_lex_state = 2},
  [13160] = {.lex_state = 256, .external_lex_state = 2},
  [13161] = {.lex_state = 18, .external_lex_state = 2},
  [13162] = {.lex_state = 256, .external_lex_state = 2},
  [13163] = {.lex_state = 203, .external_lex_state = 2},
  [13164] = {.lex_state = 434, .external_lex_state = 2},
  [13165] = {.lex_state = 249, .external_lex_state = 7},
  [13166] = {.lex_state = 256, .external_lex_state = 2},
  [13167] = {.lex_state = 434, .external_lex_state = 2},
  [13168] = {.lex_state = 434, .external_lex_state = 2},
  [13169] = {.lex_state = 18, .external_lex_state = 2},
  [13170] = {.lex_state = 434, .external_lex_state = 2},
  [13171] = {.lex_state = 434, .external_lex_state = 2},
  [13172] = {.lex_state = 4, .external_lex_state = 6},
  [13173] = {.lex_state = 4, .external_lex_state = 6},
  [13174] = {.lex_state = 256, .external_lex_state = 2},
  [13175] = {.lex_state = 18, .external_lex_state = 2},
  [13176] = {.lex_state = 18, .external_lex_state = 2},
  [13177] = {.lex_state = 203, .external_lex_state = 2},
  [13178] = {.lex_state = 157, .external_lex_state = 2},
  [13179] = {.lex_state = 157, .external_lex_state = 2},
  [13180] = {.lex_state = 434, .external_lex_state = 2},
  [13181] = {.lex_state = 434, .external_lex_state = 2},
  [13182] = {.lex_state = 434, .external_lex_state = 2},
  [13183] = {.lex_state = 434, .external_lex_state = 2},
  [13184] = {.lex_state = 434, .external_lex_state = 2},
  [13185] = {.lex_state = 434, .external_lex_state = 2},
  [13186] = {.lex_state = 434, .external_lex_state = 2},
  [13187] = {.lex_state = 227, .external_lex_state = 2},
  [13188] = {.lex_state = 256, .external_lex_state = 2},
  [13189] = {.lex_state = 18, .external_lex_state = 2},
  [13190] = {.lex_state = 4, .external_lex_state = 6},
  [13191] = {.lex_state = 216, .external_lex_state = 2},
  [13192] = {.lex_state = 6, .external_lex_state = 2},
  [13193] = {.lex_state = 4, .external_lex_state = 6},
  [13194] = {.lex_state = 256, .external_lex_state = 2},
  [13195] = {.lex_state = 18, .external_lex_state = 2},
  [13196] = {.lex_state = 434, .external_lex_state = 2},
  [13197] = {.lex_state = 434, .external_lex_state = 2},
  [13198] = {.lex_state = 434, .external_lex_state = 2},
  [13199] = {.lex_state = 434, .external_lex_state = 2},
  [13200] = {.lex_state = 4, .external_lex_state = 6},
  [13201] = {.lex_state = 256, .external_lex_state = 2},
  [13202] = {.lex_state = 434, .external_lex_state = 2},
  [13203] = {.lex_state = 18, .external_lex_state = 2},
  [13204] = {.lex_state = 18, .external_lex_state = 2},
  [13205] = {.lex_state = 227, .external_lex_state = 2},
  [13206] = {.lex_state = 4, .external_lex_state = 6},
  [13207] = {.lex_state = 227, .external_lex_state = 2},
  [13208] = {.lex_state = 256, .external_lex_state = 2},
  [13209] = {.lex_state = 6, .external_lex_state = 2},
  [13210] = {.lex_state = 4, .external_lex_state = 6},
  [13211] = {.lex_state = 4, .external_lex_state = 6},
  [13212] = {.lex_state = 4, .external_lex_state = 6},
  [13213] = {.lex_state = 256, .external_lex_state = 2},
  [13214] = {.lex_state = 434, .external_lex_state = 2},
  [13215] = {.lex_state = 434, .external_lex_state = 2},
  [13216] = {.lex_state = 434, .external_lex_state = 2},
  [13217] = {.lex_state = 434, .external_lex_state = 2},
  [13218] = {.lex_state = 4, .external_lex_state = 6},
  [13219] = {.lex_state = 216, .external_lex_state = 2},
  [13220] = {.lex_state = 4, .external_lex_state = 6},
  [13221] = {.lex_state = 227, .external_lex_state = 2},
  [13222] = {.lex_state = 216, .external_lex_state = 2},
  [13223] = {.lex_state = 4, .external_lex_state = 6},
  [13224] = {.lex_state = 4, .external_lex_state = 6},
  [13225] = {.lex_state = 256, .external_lex_state = 2},
  [13226] = {.lex_state = 4, .external_lex_state = 6},
  [13227] = {.lex_state = 203, .external_lex_state = 2},
  [13228] = {.lex_state = 434, .external_lex_state = 2},
  [13229] = {.lex_state = 4, .external_lex_state = 6},
  [13230] = {.lex_state = 4, .external_lex_state = 6},
  [13231] = {.lex_state = 4, .external_lex_state = 6},
  [13232] = {.lex_state = 434, .external_lex_state = 2},
  [13233] = {.lex_state = 4, .external_lex_state = 6},
  [13234] = {.lex_state = 4, .external_lex_state = 6},
  [13235] = {.lex_state = 256, .external_lex_state = 2},
  [13236] = {.lex_state = 256, .external_lex_state = 2},
  [13237] = {.lex_state = 4, .external_lex_state = 6},
  [13238] = {.lex_state = 4, .external_lex_state = 6},
  [13239] = {.lex_state = 4, .external_lex_state = 6},
  [13240] = {.lex_state = 259, .external_lex_state = 2},
  [13241] = {.lex_state = 4, .external_lex_state = 6},
  [13242] = {.lex_state = 4, .external_lex_state = 6},
  [13243] = {.lex_state = 4, .external_lex_state = 6},
  [13244] = {.lex_state = 259, .external_lex_state = 2},
  [13245] = {.lex_state = 4, .external_lex_state = 6},
  [13246] = {.lex_state = 4, .external_lex_state = 6},
  [13247] = {.lex_state = 256, .external_lex_state = 2},
  [13248] = {.lex_state = 256, .external_lex_state = 2},
  [13249] = {.lex_state = 4, .external_lex_state = 6},
  [13250] = {.lex_state = 4, .external_lex_state = 6},
  [13251] = {.lex_state = 4, .external_lex_state = 6},
  [13252] = {.lex_state = 18, .external_lex_state = 2},
  [13253] = {.lex_state = 4, .external_lex_state = 6},
  [13254] = {.lex_state = 18, .external_lex_state = 2},
  [13255] = {.lex_state = 4, .external_lex_state = 6},
  [13256] = {.lex_state = 4, .external_lex_state = 6},
  [13257] = {.lex_state = 4, .external_lex_state = 6},
  [13258] = {.lex_state = 4, .external_lex_state = 6},
  [13259] = {.lex_state = 4, .external_lex_state = 6},
  [13260] = {.lex_state = 4, .external_lex_state = 6},
  [13261] = {.lex_state = 256, .external_lex_state = 2},
  [13262] = {.lex_state = 4, .external_lex_state = 6},
  [13263] = {.lex_state = 4, .external_lex_state = 6},
  [13264] = {.lex_state = 4, .external_lex_state = 6},
  [13265] = {.lex_state = 4, .external_lex_state = 6},
  [13266] = {.lex_state = 4, .external_lex_state = 6},
  [13267] = {.lex_state = 4, .external_lex_state = 6},
  [13268] = {.lex_state = 4, .external_lex_state = 6},
  [13269] = {.lex_state = 4, .external_lex_state = 6},
  [13270] = {.lex_state = 4, .external_lex_state = 6},
  [13271] = {.lex_state = 4, .external_lex_state = 6},
  [13272] = {.lex_state = 4, .external_lex_state = 6},
  [13273] = {.lex_state = 4, .external_lex_state = 6},
  [13274] = {.lex_state = 4, .external_lex_state = 6},
  [13275] = {.lex_state = 4, .external_lex_state = 6},
  [13276] = {.lex_state = 4, .external_lex_state = 6},
  [13277] = {.lex_state = 4, .external_lex_state = 6},
  [13278] = {.lex_state = 4, .external_lex_state = 6},
  [13279] = {.lex_state = 4, .external_lex_state = 6},
  [13280] = {.lex_state = 6, .external_lex_state = 2},
  [13281] = {.lex_state = 6, .external_lex_state = 2},
  [13282] = {.lex_state = 6, .external_lex_state = 2},
  [13283] = {.lex_state = 6, .external_lex_state = 2},
  [13284] = {.lex_state = 256, .external_lex_state = 2},
  [13285] = {.lex_state = 6, .external_lex_state = 2},
  [13286] = {.lex_state = 6, .external_lex_state = 2},
  [13287] = {.lex_state = 6, .external_lex_state = 2},
  [13288] = {.lex_state = 6, .external_lex_state = 2},
  [13289] = {.lex_state = 6, .external_lex_state = 2},
  [13290] = {.lex_state = 216, .external_lex_state = 2},
  [13291] = {.lex_state = 256, .external_lex_state = 2},
  [13292] = {.lex_state = 256, .external_lex_state = 2},
  [13293] = {.lex_state = 6, .external_lex_state = 2},
  [13294] = {.lex_state = 256, .external_lex_state = 2},
  [13295] = {.lex_state = 256, .external_lex_state = 2},
  [13296] = {.lex_state = 434, .external_lex_state = 2},
  [13297] = {.lex_state = 434, .external_lex_state = 2},
  [13298] = {.lex_state = 434, .external_lex_state = 2},
  [13299] = {.lex_state = 434, .external_lex_state = 2},
  [13300] = {.lex_state = 434, .external_lex_state = 2},
  [13301] = {.lex_state = 434, .external_lex_state = 2},
  [13302] = {.lex_state = 434, .external_lex_state = 2},
  [13303] = {.lex_state = 203, .external_lex_state = 2},
  [13304] = {.lex_state = 249, .external_lex_state = 7},
  [13305] = {.lex_state = 434, .external_lex_state = 2},
  [13306] = {.lex_state = 434, .external_lex_state = 2},
  [13307] = {.lex_state = 434, .external_lex_state = 2},
  [13308] = {.lex_state = 434, .external_lex_state = 2},
  [13309] = {.lex_state = 434, .external_lex_state = 2},
  [13310] = {.lex_state = 434, .external_lex_state = 2},
  [13311] = {.lex_state = 434, .external_lex_state = 2},
  [13312] = {.lex_state = 232, .external_lex_state = 2},
  [13313] = {.lex_state = 232, .external_lex_state = 2},
  [13314] = {.lex_state = 203, .external_lex_state = 2},
  [13315] = {.lex_state = 232, .external_lex_state = 2},
  [13316] = {.lex_state = 434, .external_lex_state = 2},
  [13317] = {.lex_state = 434, .external_lex_state = 2},
  [13318] = {.lex_state = 434, .external_lex_state = 2},
  [13319] = {.lex_state = 203, .external_lex_state = 2},
  [13320] = {.lex_state = 434, .external_lex_state = 2},
  [13321] = {.lex_state = 434, .external_lex_state = 2},
  [13322] = {.lex_state = 434, .external_lex_state = 2},
  [13323] = {.lex_state = 434, .external_lex_state = 2},
  [13324] = {.lex_state = 434, .external_lex_state = 2},
  [13325] = {.lex_state = 434, .external_lex_state = 2},
  [13326] = {.lex_state = 434, .external_lex_state = 2},
  [13327] = {.lex_state = 434, .external_lex_state = 2},
  [13328] = {.lex_state = 434, .external_lex_state = 2},
  [13329] = {.lex_state = 434, .external_lex_state = 2},
  [13330] = {.lex_state = 434, .external_lex_state = 2},
  [13331] = {.lex_state = 434, .external_lex_state = 2},
  [13332] = {.lex_state = 434, .external_lex_state = 2},
  [13333] = {.lex_state = 434, .external_lex_state = 2},
  [13334] = {.lex_state = 434, .external_lex_state = 2},
  [13335] = {.lex_state = 203, .external_lex_state = 2},
  [13336] = {.lex_state = 249, .external_lex_state = 7},
  [13337] = {.lex_state = 434, .external_lex_state = 2},
  [13338] = {.lex_state = 203, .external_lex_state = 2},
  [13339] = {.lex_state = 434, .external_lex_state = 2},
  [13340] = {.lex_state = 434, .external_lex_state = 2},
  [13341] = {.lex_state = 434, .external_lex_state = 2},
  [13342] = {.lex_state = 434, .external_lex_state = 2},
  [13343] = {.lex_state = 434, .external_lex_state = 2},
  [13344] = {.lex_state = 216, .external_lex_state = 2},
  [13345] = {.lex_state = 203, .external_lex_state = 2},
  [13346] = {.lex_state = 203, .external_lex_state = 2},
  [13347] = {.lex_state = 434, .external_lex_state = 2},
  [13348] = {.lex_state = 434, .external_lex_state = 2},
  [13349] = {.lex_state = 434, .external_lex_state = 2},
  [13350] = {.lex_state = 434, .external_lex_state = 2},
  [13351] = {.lex_state = 434, .external_lex_state = 2},
  [13352] = {.lex_state = 157, .external_lex_state = 2},
  [13353] = {.lex_state = 434, .external_lex_state = 2},
  [13354] = {.lex_state = 232, .external_lex_state = 2},
  [13355] = {.lex_state = 434, .external_lex_state = 2},
  [13356] = {.lex_state = 434, .external_lex_state = 2},
  [13357] = {.lex_state = 157, .external_lex_state = 2},
  [13358] = {.lex_state = 232, .external_lex_state = 2},
  [13359] = {.lex_state = 203, .external_lex_state = 2},
  [13360] = {.lex_state = 434, .external_lex_state = 2},
  [13361] = {.lex_state = 434, .external_lex_state = 2},
  [13362] = {.lex_state = 226, .external_lex_state = 2},
  [13363] = {.lex_state = 434, .external_lex_state = 2},
  [13364] = {.lex_state = 434, .external_lex_state = 2},
  [13365] = {.lex_state = 434, .external_lex_state = 2},
  [13366] = {.lex_state = 434, .external_lex_state = 2},
  [13367] = {.lex_state = 434, .external_lex_state = 2},
  [13368] = {.lex_state = 434, .external_lex_state = 2},
  [13369] = {.lex_state = 434, .external_lex_state = 2},
  [13370] = {.lex_state = 434, .external_lex_state = 2},
  [13371] = {.lex_state = 434, .external_lex_state = 2},
  [13372] = {.lex_state = 434, .external_lex_state = 8},
  [13373] = {.lex_state = 434, .external_lex_state = 2},
  [13374] = {.lex_state = 203, .external_lex_state = 2},
  [13375] = {.lex_state = 203, .external_lex_state = 2},
  [13376] = {.lex_state = 226, .external_lex_state = 2},
  [13377] = {.lex_state = 166, .external_lex_state = 2},
  [13378] = {.lex_state = 434, .external_lex_state = 2},
  [13379] = {.lex_state = 434, .external_lex_state = 2},
  [13380] = {.lex_state = 6, .external_lex_state = 2},
  [13381] = {.lex_state = 166, .external_lex_state = 2},
  [13382] = {.lex_state = 434, .external_lex_state = 2},
  [13383] = {.lex_state = 434, .external_lex_state = 8},
  [13384] = {.lex_state = 434, .external_lex_state = 8},
  [13385] = {.lex_state = 434, .external_lex_state = 2},
  [13386] = {.lex_state = 434, .external_lex_state = 2},
  [13387] = {.lex_state = 434, .external_lex_state = 2},
  [13388] = {.lex_state = 434, .external_lex_state = 2},
  [13389] = {.lex_state = 434, .external_lex_state = 2},
  [13390] = {.lex_state = 434, .external_lex_state = 2},
  [13391] = {.lex_state = 166, .external_lex_state = 2},
  [13392] = {.lex_state = 434, .external_lex_state = 2},
  [13393] = {.lex_state = 434, .external_lex_state = 2},
  [13394] = {.lex_state = 434, .external_lex_state = 2},
  [13395] = {.lex_state = 166, .external_lex_state = 2},
  [13396] = {.lex_state = 434, .external_lex_state = 2},
  [13397] = {.lex_state = 434, .external_lex_state = 2},
  [13398] = {.lex_state = 434, .external_lex_state = 2},
  [13399] = {.lex_state = 434, .external_lex_state = 2},
  [13400] = {.lex_state = 434, .external_lex_state = 2},
  [13401] = {.lex_state = 434, .external_lex_state = 2},
  [13402] = {.lex_state = 434, .external_lex_state = 8},
  [13403] = {.lex_state = 434, .external_lex_state = 8},
  [13404] = {.lex_state = 434, .external_lex_state = 2},
  [13405] = {.lex_state = 434, .external_lex_state = 2},
  [13406] = {.lex_state = 434, .external_lex_state = 2},
  [13407] = {.lex_state = 434, .external_lex_state = 2},
  [13408] = {.lex_state = 434, .external_lex_state = 2},
  [13409] = {.lex_state = 434, .external_lex_state = 2},
  [13410] = {.lex_state = 434, .external_lex_state = 2},
  [13411] = {.lex_state = 203, .external_lex_state = 2},
  [13412] = {.lex_state = 434, .external_lex_state = 8},
  [13413] = {.lex_state = 434, .external_lex_state = 8},
  [13414] = {.lex_state = 434, .external_lex_state = 2},
  [13415] = {.lex_state = 434, .external_lex_state = 2},
  [13416] = {.lex_state = 434, .external_lex_state = 2},
  [13417] = {.lex_state = 209, .external_lex_state = 2},
  [13418] = {.lex_state = 6, .external_lex_state = 2},
  [13419] = {.lex_state = 434, .external_lex_state = 2},
  [13420] = {.lex_state = 434, .external_lex_state = 2},
  [13421] = {.lex_state = 434, .external_lex_state = 8},
  [13422] = {.lex_state = 166, .external_lex_state = 2},
  [13423] = {.lex_state = 434, .external_lex_state = 2},
  [13424] = {.lex_state = 166, .external_lex_state = 2},
  [13425] = {.lex_state = 434, .external_lex_state = 2},
  [13426] = {.lex_state = 434, .external_lex_state = 2},
  [13427] = {.lex_state = 203, .external_lex_state = 2},
  [13428] = {.lex_state = 434, .external_lex_state = 2},
  [13429] = {.lex_state = 216, .external_lex_state = 2},
  [13430] = {.lex_state = 434, .external_lex_state = 2},
  [13431] = {.lex_state = 434, .external_lex_state = 2},
  [13432] = {.lex_state = 434, .external_lex_state = 2},
  [13433] = {.lex_state = 203, .external_lex_state = 2},
  [13434] = {.lex_state = 203, .external_lex_state = 2},
  [13435] = {.lex_state = 434, .external_lex_state = 2},
  [13436] = {.lex_state = 434, .external_lex_state = 2},
  [13437] = {.lex_state = 203, .external_lex_state = 2},
  [13438] = {.lex_state = 434, .external_lex_state = 2},
  [13439] = {.lex_state = 6, .external_lex_state = 2},
  [13440] = {.lex_state = 434, .external_lex_state = 2},
  [13441] = {.lex_state = 434, .external_lex_state = 2},
  [13442] = {.lex_state = 216, .external_lex_state = 2},
  [13443] = {.lex_state = 216, .external_lex_state = 2},
  [13444] = {.lex_state = 216, .external_lex_state = 2},
  [13445] = {.lex_state = 434, .external_lex_state = 2},
  [13446] = {.lex_state = 216, .external_lex_state = 2},
  [13447] = {.lex_state = 434, .external_lex_state = 2},
  [13448] = {.lex_state = 434, .external_lex_state = 2},
  [13449] = {.lex_state = 434, .external_lex_state = 2},
  [13450] = {.lex_state = 209, .external_lex_state = 2},
  [13451] = {.lex_state = 216, .external_lex_state = 2},
  [13452] = {.lex_state = 434, .external_lex_state = 2},
  [13453] = {.lex_state = 166, .external_lex_state = 2},
  [13454] = {.lex_state = 434, .external_lex_state = 2},
  [13455] = {.lex_state = 434, .external_lex_state = 2},
  [13456] = {.lex_state = 434, .external_lex_state = 2},
  [13457] = {.lex_state = 434, .external_lex_state = 2},
  [13458] = {.lex_state = 216, .external_lex_state = 2},
  [13459] = {.lex_state = 216, .external_lex_state = 2},
  [13460] = {.lex_state = 166, .external_lex_state = 2},
  [13461] = {.lex_state = 216, .external_lex_state = 2},
  [13462] = {.lex_state = 226, .external_lex_state = 2},
  [13463] = {.lex_state = 216, .external_lex_state = 2},
  [13464] = {.lex_state = 434, .external_lex_state = 2},
  [13465] = {.lex_state = 203, .external_lex_state = 2},
  [13466] = {.lex_state = 216, .external_lex_state = 2},
  [13467] = {.lex_state = 434, .external_lex_state = 2},
  [13468] = {.lex_state = 216, .external_lex_state = 2},
  [13469] = {.lex_state = 434, .external_lex_state = 2},
  [13470] = {.lex_state = 241, .external_lex_state = 2},
  [13471] = {.lex_state = 434, .external_lex_state = 2},
  [13472] = {.lex_state = 434, .external_lex_state = 2},
  [13473] = {.lex_state = 434, .external_lex_state = 2},
  [13474] = {.lex_state = 434, .external_lex_state = 2},
  [13475] = {.lex_state = 6, .external_lex_state = 2},
  [13476] = {.lex_state = 434, .external_lex_state = 2},
  [13477] = {.lex_state = 203, .external_lex_state = 2},
  [13478] = {.lex_state = 249, .external_lex_state = 7},
  [13479] = {.lex_state = 226, .external_lex_state = 2},
  [13480] = {.lex_state = 434, .external_lex_state = 2},
  [13481] = {.lex_state = 434, .external_lex_state = 2},
  [13482] = {.lex_state = 434, .external_lex_state = 2},
  [13483] = {.lex_state = 434, .external_lex_state = 2},
  [13484] = {.lex_state = 434, .external_lex_state = 2},
  [13485] = {.lex_state = 434, .external_lex_state = 2},
  [13486] = {.lex_state = 434, .external_lex_state = 2},
  [13487] = {.lex_state = 216, .external_lex_state = 2},
  [13488] = {.lex_state = 434, .external_lex_state = 2},
  [13489] = {.lex_state = 6, .external_lex_state = 2},
  [13490] = {.lex_state = 434, .external_lex_state = 2},
  [13491] = {.lex_state = 434, .external_lex_state = 2},
  [13492] = {.lex_state = 434, .external_lex_state = 2},
  [13493] = {.lex_state = 203, .external_lex_state = 2},
  [13494] = {.lex_state = 434, .external_lex_state = 2},
  [13495] = {.lex_state = 216, .external_lex_state = 2},
  [13496] = {.lex_state = 216, .external_lex_state = 2},
  [13497] = {.lex_state = 434, .external_lex_state = 2},
  [13498] = {.lex_state = 216, .external_lex_state = 2},
  [13499] = {.lex_state = 216, .external_lex_state = 2},
  [13500] = {.lex_state = 216, .external_lex_state = 2},
  [13501] = {.lex_state = 434, .external_lex_state = 2},
  [13502] = {.lex_state = 216, .external_lex_state = 2},
  [13503] = {.lex_state = 434, .external_lex_state = 2},
  [13504] = {.lex_state = 216, .external_lex_state = 2},
  [13505] = {.lex_state = 176, .external_lex_state = 2},
  [13506] = {.lex_state = 176, .external_lex_state = 2},
  [13507] = {.lex_state = 434, .external_lex_state = 2},
  [13508] = {.lex_state = 176, .external_lex_state = 2},
  [13509] = {.lex_state = 434, .external_lex_state = 2},
  [13510] = {.lex_state = 434, .external_lex_state = 2},
  [13511] = {.lex_state = 434, .external_lex_state = 2},
  [13512] = {.lex_state = 434, .external_lex_state = 2},
  [13513] = {.lex_state = 434, .external_lex_state = 2},
  [13514] = {.lex_state = 176, .external_lex_state = 2},
  [13515] = {.lex_state = 434, .external_lex_state = 2},
  [13516] = {.lex_state = 434, .external_lex_state = 2},
  [13517] = {.lex_state = 434, .external_lex_state = 2},
  [13518] = {.lex_state = 434, .external_lex_state = 2},
  [13519] = {.lex_state = 241, .external_lex_state = 2},
  [13520] = {.lex_state = 434, .external_lex_state = 2},
  [13521] = {.lex_state = 434, .external_lex_state = 2},
  [13522] = {.lex_state = 203, .external_lex_state = 2},
  [13523] = {.lex_state = 434, .external_lex_state = 2},
  [13524] = {.lex_state = 434, .external_lex_state = 2},
  [13525] = {.lex_state = 434, .external_lex_state = 2},
  [13526] = {.lex_state = 176, .external_lex_state = 2},
  [13527] = {.lex_state = 434, .external_lex_state = 2},
  [13528] = {.lex_state = 434, .external_lex_state = 2},
  [13529] = {.lex_state = 434, .external_lex_state = 8},
  [13530] = {.lex_state = 434, .external_lex_state = 2},
  [13531] = {.lex_state = 434, .external_lex_state = 2},
  [13532] = {.lex_state = 434, .external_lex_state = 8},
  [13533] = {.lex_state = 176, .external_lex_state = 2},
  [13534] = {.lex_state = 434, .external_lex_state = 2},
  [13535] = {.lex_state = 434, .external_lex_state = 2},
  [13536] = {.lex_state = 434, .external_lex_state = 2},
  [13537] = {.lex_state = 434, .external_lex_state = 2},
  [13538] = {.lex_state = 434, .external_lex_state = 2},
  [13539] = {.lex_state = 6, .external_lex_state = 2},
  [13540] = {.lex_state = 434, .external_lex_state = 2},
  [13541] = {.lex_state = 434, .external_lex_state = 2},
  [13542] = {.lex_state = 434, .external_lex_state = 2},
  [13543] = {.lex_state = 434, .external_lex_state = 2},
  [13544] = {.lex_state = 434, .external_lex_state = 2},
  [13545] = {.lex_state = 434, .external_lex_state = 2},
  [13546] = {.lex_state = 166, .external_lex_state = 2},
  [13547] = {.lex_state = 434, .external_lex_state = 2},
  [13548] = {.lex_state = 434, .external_lex_state = 2},
  [13549] = {.lex_state = 434, .external_lex_state = 2},
  [13550] = {.lex_state = 434, .external_lex_state = 2},
  [13551] = {.lex_state = 434, .external_lex_state = 2},
  [13552] = {.lex_state = 434, .external_lex_state = 2},
  [13553] = {.lex_state = 434, .external_lex_state = 2},
  [13554] = {.lex_state = 6, .external_lex_state = 2},
  [13555] = {.lex_state = 434, .external_lex_state = 2},
  [13556] = {.lex_state = 434, .external_lex_state = 2},
  [13557] = {.lex_state = 434, .external_lex_state = 2},
  [13558] = {.lex_state = 434, .external_lex_state = 2},
  [13559] = {.lex_state = 434, .external_lex_state = 2},
  [13560] = {.lex_state = 434, .external_lex_state = 2},
  [13561] = {.lex_state = 434, .external_lex_state = 2},
  [13562] = {.lex_state = 434, .external_lex_state = 2},
  [13563] = {.lex_state = 226, .external_lex_state = 2},
  [13564] = {.lex_state = 166, .external_lex_state = 2},
  [13565] = {.lex_state = 434, .external_lex_state = 2},
  [13566] = {.lex_state = 9, .external_lex_state = 2},
  [13567] = {.lex_state = 176, .external_lex_state = 2},
  [13568] = {.lex_state = 434, .external_lex_state = 2},
  [13569] = {.lex_state = 176, .external_lex_state = 2},
  [13570] = {.lex_state = 434, .external_lex_state = 2},
  [13571] = {.lex_state = 434, .external_lex_state = 2},
  [13572] = {.lex_state = 434, .external_lex_state = 2},
  [13573] = {.lex_state = 434, .external_lex_state = 2},
  [13574] = {.lex_state = 166, .external_lex_state = 2},
  [13575] = {.lex_state = 176, .external_lex_state = 2},
  [13576] = {.lex_state = 176, .external_lex_state = 2},
  [13577] = {.lex_state = 434, .external_lex_state = 2},
  [13578] = {.lex_state = 434, .external_lex_state = 2},
  [13579] = {.lex_state = 434, .external_lex_state = 2},
  [13580] = {.lex_state = 434, .external_lex_state = 2},
  [13581] = {.lex_state = 216, .external_lex_state = 2},
  [13582] = {.lex_state = 434, .external_lex_state = 2},
  [13583] = {.lex_state = 9, .external_lex_state = 2},
  [13584] = {.lex_state = 434, .external_lex_state = 2},
  [13585] = {.lex_state = 216, .external_lex_state = 2},
  [13586] = {.lex_state = 216, .external_lex_state = 2},
  [13587] = {.lex_state = 216, .external_lex_state = 2},
  [13588] = {.lex_state = 6, .external_lex_state = 2},
  [13589] = {.lex_state = 216, .external_lex_state = 2},
  [13590] = {.lex_state = 434, .external_lex_state = 2},
  [13591] = {.lex_state = 203, .external_lex_state = 2},
  [13592] = {.lex_state = 434, .external_lex_state = 2},
  [13593] = {.lex_state = 203, .external_lex_state = 2},
  [13594] = {.lex_state = 203, .external_lex_state = 2},
  [13595] = {.lex_state = 216, .external_lex_state = 2},
  [13596] = {.lex_state = 434, .external_lex_state = 2},
  [13597] = {.lex_state = 434, .external_lex_state = 2},
  [13598] = {.lex_state = 166, .external_lex_state = 2},
  [13599] = {.lex_state = 434, .external_lex_state = 2},
  [13600] = {.lex_state = 176, .external_lex_state = 2},
  [13601] = {.lex_state = 434, .external_lex_state = 2},
  [13602] = {.lex_state = 203, .external_lex_state = 2},
  [13603] = {.lex_state = 434, .external_lex_state = 2},
  [13604] = {.lex_state = 434, .external_lex_state = 2},
  [13605] = {.lex_state = 434, .external_lex_state = 2},
  [13606] = {.lex_state = 434, .external_lex_state = 2},
  [13607] = {.lex_state = 434, .external_lex_state = 2},
  [13608] = {.lex_state = 434, .external_lex_state = 2},
  [13609] = {.lex_state = 434, .external_lex_state = 2},
  [13610] = {.lex_state = 434, .external_lex_state = 2},
  [13611] = {.lex_state = 6, .external_lex_state = 2},
  [13612] = {.lex_state = 434, .external_lex_state = 2},
  [13613] = {.lex_state = 434, .external_lex_state = 2},
  [13614] = {.lex_state = 434, .external_lex_state = 2},
  [13615] = {.lex_state = 434, .external_lex_state = 2},
  [13616] = {.lex_state = 434, .external_lex_state = 2},
  [13617] = {.lex_state = 434, .external_lex_state = 2},
  [13618] = {.lex_state = 434, .external_lex_state = 2},
  [13619] = {.lex_state = 434, .external_lex_state = 2},
  [13620] = {.lex_state = 434, .external_lex_state = 2},
  [13621] = {.lex_state = 6, .external_lex_state = 2},
  [13622] = {.lex_state = 434, .external_lex_state = 2},
  [13623] = {.lex_state = 434, .external_lex_state = 2},
  [13624] = {.lex_state = 434, .external_lex_state = 2},
  [13625] = {.lex_state = 434, .external_lex_state = 2},
  [13626] = {.lex_state = 434, .external_lex_state = 2},
  [13627] = {.lex_state = 434, .external_lex_state = 2},
  [13628] = {.lex_state = 434, .external_lex_state = 2},
  [13629] = {.lex_state = 434, .external_lex_state = 2},
  [13630] = {.lex_state = 434, .external_lex_state = 2},
  [13631] = {.lex_state = 434, .external_lex_state = 2},
  [13632] = {.lex_state = 166, .external_lex_state = 2},
  [13633] = {.lex_state = 434, .external_lex_state = 2},
  [13634] = {.lex_state = 434, .external_lex_state = 2},
  [13635] = {.lex_state = 434, .external_lex_state = 2},
  [13636] = {.lex_state = 434, .external_lex_state = 2},
  [13637] = {.lex_state = 434, .external_lex_state = 2},
  [13638] = {.lex_state = 216, .external_lex_state = 2},
  [13639] = {.lex_state = 434, .external_lex_state = 2},
  [13640] = {.lex_state = 176, .external_lex_state = 2},
  [13641] = {.lex_state = 6, .external_lex_state = 2},
  [13642] = {.lex_state = 434, .external_lex_state = 2},
  [13643] = {.lex_state = 6, .external_lex_state = 2},
  [13644] = {.lex_state = 434, .external_lex_state = 2},
  [13645] = {.lex_state = 434, .external_lex_state = 8},
  [13646] = {.lex_state = 434, .external_lex_state = 2},
  [13647] = {.lex_state = 434, .external_lex_state = 2},
  [13648] = {.lex_state = 434, .external_lex_state = 2},
  [13649] = {.lex_state = 6, .external_lex_state = 2},
  [13650] = {.lex_state = 434, .external_lex_state = 8},
  [13651] = {.lex_state = 434, .external_lex_state = 2},
  [13652] = {.lex_state = 434, .external_lex_state = 2},
  [13653] = {.lex_state = 6, .external_lex_state = 2},
  [13654] = {.lex_state = 434, .external_lex_state = 8},
  [13655] = {.lex_state = 6, .external_lex_state = 2},
  [13656] = {.lex_state = 216, .external_lex_state = 2},
  [13657] = {.lex_state = 6, .external_lex_state = 2},
  [13658] = {.lex_state = 216, .external_lex_state = 2},
  [13659] = {.lex_state = 216, .external_lex_state = 2},
  [13660] = {.lex_state = 216, .external_lex_state = 2},
  [13661] = {.lex_state = 6, .external_lex_state = 2},
  [13662] = {.lex_state = 216, .external_lex_state = 2},
  [13663] = {.lex_state = 434, .external_lex_state = 2},
  [13664] = {.lex_state = 6, .external_lex_state = 2},
  [13665] = {.lex_state = 6, .external_lex_state = 2},
  [13666] = {.lex_state = 203, .external_lex_state = 2},
  [13667] = {.lex_state = 6, .external_lex_state = 2},
  [13668] = {.lex_state = 434, .external_lex_state = 2},
  [13669] = {.lex_state = 203, .external_lex_state = 2},
  [13670] = {.lex_state = 434, .external_lex_state = 2},
  [13671] = {.lex_state = 6, .external_lex_state = 2},
  [13672] = {.lex_state = 434, .external_lex_state = 2},
  [13673] = {.lex_state = 216, .external_lex_state = 2},
  [13674] = {.lex_state = 232, .external_lex_state = 2},
  [13675] = {.lex_state = 434, .external_lex_state = 2},
  [13676] = {.lex_state = 6, .external_lex_state = 2},
  [13677] = {.lex_state = 6, .external_lex_state = 2},
  [13678] = {.lex_state = 6, .external_lex_state = 2},
  [13679] = {.lex_state = 434, .external_lex_state = 2},
  [13680] = {.lex_state = 216, .external_lex_state = 2},
  [13681] = {.lex_state = 434, .external_lex_state = 2},
  [13682] = {.lex_state = 434, .external_lex_state = 2},
  [13683] = {.lex_state = 434, .external_lex_state = 2},
  [13684] = {.lex_state = 434, .external_lex_state = 2},
  [13685] = {.lex_state = 241, .external_lex_state = 2},
  [13686] = {.lex_state = 434, .external_lex_state = 2},
  [13687] = {.lex_state = 216, .external_lex_state = 2},
  [13688] = {.lex_state = 434, .external_lex_state = 2},
  [13689] = {.lex_state = 166, .external_lex_state = 2},
  [13690] = {.lex_state = 434, .external_lex_state = 2},
  [13691] = {.lex_state = 166, .external_lex_state = 2},
  [13692] = {.lex_state = 434, .external_lex_state = 8},
  [13693] = {.lex_state = 434, .external_lex_state = 8},
  [13694] = {.lex_state = 6, .external_lex_state = 2},
  [13695] = {.lex_state = 434, .external_lex_state = 2},
  [13696] = {.lex_state = 434, .external_lex_state = 2},
  [13697] = {.lex_state = 241, .external_lex_state = 2},
  [13698] = {.lex_state = 434, .external_lex_state = 2},
  [13699] = {.lex_state = 434, .external_lex_state = 2},
  [13700] = {.lex_state = 434, .external_lex_state = 2},
  [13701] = {.lex_state = 434, .external_lex_state = 2},
  [13702] = {.lex_state = 209, .external_lex_state = 2},
  [13703] = {.lex_state = 209, .external_lex_state = 2},
  [13704] = {.lex_state = 434, .external_lex_state = 2},
  [13705] = {.lex_state = 166, .external_lex_state = 2},
  [13706] = {.lex_state = 166, .external_lex_state = 2},
  [13707] = {.lex_state = 166, .external_lex_state = 2},
  [13708] = {.lex_state = 166, .external_lex_state = 2},
  [13709] = {.lex_state = 166, .external_lex_state = 2},
  [13710] = {.lex_state = 166, .external_lex_state = 2},
  [13711] = {.lex_state = 434, .external_lex_state = 2},
  [13712] = {.lex_state = 166, .external_lex_state = 2},
  [13713] = {.lex_state = 434, .external_lex_state = 2},
  [13714] = {.lex_state = 434, .external_lex_state = 2},
  [13715] = {.lex_state = 434, .external_lex_state = 2},
  [13716] = {.lex_state = 434, .external_lex_state = 2},
  [13717] = {.lex_state = 166, .external_lex_state = 2},
  [13718] = {.lex_state = 434, .external_lex_state = 2},
  [13719] = {.lex_state = 166, .external_lex_state = 2},
  [13720] = {.lex_state = 434, .external_lex_state = 2},
  [13721] = {.lex_state = 434, .external_lex_state = 2},
  [13722] = {.lex_state = 434, .external_lex_state = 2},
  [13723] = {.lex_state = 434, .external_lex_state = 2},
  [13724] = {.lex_state = 434, .external_lex_state = 2},
  [13725] = {.lex_state = 434, .external_lex_state = 2},
  [13726] = {.lex_state = 434, .external_lex_state = 2},
  [13727] = {.lex_state = 434, .external_lex_state = 2},
  [13728] = {.lex_state = 434, .external_lex_state = 2},
  [13729] = {.lex_state = 434, .external_lex_state = 2},
  [13730] = {.lex_state = 434, .external_lex_state = 2},
  [13731] = {.lex_state = 434, .external_lex_state = 2},
  [13732] = {.lex_state = 434, .external_lex_state = 2},
  [13733] = {.lex_state = 434, .external_lex_state = 2},
  [13734] = {.lex_state = 434, .external_lex_state = 2},
  [13735] = {.lex_state = 434, .external_lex_state = 2},
  [13736] = {.lex_state = 434, .external_lex_state = 2},
  [13737] = {.lex_state = 434, .external_lex_state = 2},
  [13738] = {.lex_state = 434, .external_lex_state = 2},
  [13739] = {.lex_state = 434, .external_lex_state = 2},
  [13740] = {.lex_state = 434, .external_lex_state = 2},
  [13741] = {.lex_state = 434, .external_lex_state = 2},
  [13742] = {.lex_state = 434, .external_lex_state = 2},
  [13743] = {.lex_state = 434, .external_lex_state = 2},
  [13744] = {.lex_state = 434, .external_lex_state = 2},
  [13745] = {.lex_state = 434, .external_lex_state = 2},
  [13746] = {.lex_state = 434, .external_lex_state = 2},
  [13747] = {.lex_state = 434, .external_lex_state = 2},
  [13748] = {.lex_state = 434, .external_lex_state = 2},
  [13749] = {.lex_state = 166, .external_lex_state = 2},
  [13750] = {.lex_state = 166, .external_lex_state = 2},
  [13751] = {.lex_state = 434, .external_lex_state = 2},
  [13752] = {.lex_state = 166, .external_lex_state = 2},
  [13753] = {.lex_state = 434, .external_lex_state = 2},
  [13754] = {.lex_state = 166, .external_lex_state = 2},
  [13755] = {.lex_state = 434, .external_lex_state = 2},
  [13756] = {.lex_state = 434, .external_lex_state = 2},
  [13757] = {.lex_state = 434, .external_lex_state = 2},
  [13758] = {.lex_state = 166, .external_lex_state = 2},
  [13759] = {.lex_state = 166, .external_lex_state = 2},
  [13760] = {.lex_state = 166, .external_lex_state = 2},
  [13761] = {.lex_state = 434, .external_lex_state = 2},
  [13762] = {.lex_state = 434, .external_lex_state = 2},
  [13763] = {.lex_state = 166, .external_lex_state = 2},
  [13764] = {.lex_state = 434, .external_lex_state = 2},
  [13765] = {.lex_state = 434, .external_lex_state = 2},
  [13766] = {.lex_state = 434, .external_lex_state = 2},
  [13767] = {.lex_state = 434, .external_lex_state = 2},
  [13768] = {.lex_state = 434, .external_lex_state = 2},
  [13769] = {.lex_state = 434, .external_lex_state = 2},
  [13770] = {.lex_state = 434, .external_lex_state = 2},
  [13771] = {.lex_state = 434, .external_lex_state = 2},
  [13772] = {.lex_state = 166, .external_lex_state = 2},
  [13773] = {.lex_state = 166, .external_lex_state = 2},
  [13774] = {.lex_state = 434, .external_lex_state = 2},
  [13775] = {.lex_state = 434, .external_lex_state = 2},
  [13776] = {.lex_state = 434, .external_lex_state = 2},
  [13777] = {.lex_state = 166, .external_lex_state = 2},
  [13778] = {.lex_state = 166, .external_lex_state = 2},
  [13779] = {.lex_state = 166, .external_lex_state = 2},
  [13780] = {.lex_state = 434, .external_lex_state = 2},
  [13781] = {.lex_state = 434, .external_lex_state = 2},
  [13782] = {.lex_state = 434, .external_lex_state = 2},
  [13783] = {.lex_state = 434, .external_lex_state = 2},
  [13784] = {.lex_state = 434, .external_lex_state = 2},
  [13785] = {.lex_state = 434, .external_lex_state = 2},
  [13786] = {.lex_state = 166, .external_lex_state = 2},
  [13787] = {.lex_state = 434, .external_lex_state = 2},
  [13788] = {.lex_state = 166, .external_lex_state = 2},
  [13789] = {.lex_state = 434, .external_lex_state = 2},
  [13790] = {.lex_state = 434, .external_lex_state = 2},
  [13791] = {.lex_state = 434, .external_lex_state = 2},
  [13792] = {.lex_state = 434, .external_lex_state = 2},
  [13793] = {.lex_state = 434, .external_lex_state = 2},
  [13794] = {.lex_state = 434, .external_lex_state = 2},
  [13795] = {.lex_state = 434, .external_lex_state = 2},
  [13796] = {.lex_state = 434, .external_lex_state = 2},
  [13797] = {.lex_state = 434, .external_lex_state = 2},
  [13798] = {.lex_state = 434, .external_lex_state = 2},
  [13799] = {.lex_state = 434, .external_lex_state = 2},
  [13800] = {.lex_state = 434, .external_lex_state = 2},
  [13801] = {.lex_state = 164, .external_lex_state = 2},
  [13802] = {.lex_state = 434, .external_lex_state = 2},
  [13803] = {.lex_state = 166, .external_lex_state = 2},
  [13804] = {.lex_state = 434, .external_lex_state = 2},
  [13805] = {.lex_state = 166, .external_lex_state = 2},
  [13806] = {.lex_state = 166, .external_lex_state = 2},
  [13807] = {.lex_state = 434, .external_lex_state = 2},
  [13808] = {.lex_state = 166, .external_lex_state = 2},
  [13809] = {.lex_state = 166, .external_lex_state = 2},
  [13810] = {.lex_state = 166, .external_lex_state = 2},
  [13811] = {.lex_state = 434, .external_lex_state = 2},
  [13812] = {.lex_state = 434, .external_lex_state = 2},
  [13813] = {.lex_state = 232, .external_lex_state = 2},
  [13814] = {.lex_state = 434, .external_lex_state = 2},
  [13815] = {.lex_state = 434, .external_lex_state = 2},
  [13816] = {.lex_state = 434, .external_lex_state = 2},
  [13817] = {.lex_state = 6, .external_lex_state = 2},
  [13818] = {.lex_state = 434, .external_lex_state = 2},
  [13819] = {.lex_state = 434, .external_lex_state = 2},
  [13820] = {.lex_state = 166, .external_lex_state = 2},
  [13821] = {.lex_state = 434, .external_lex_state = 2},
  [13822] = {.lex_state = 166, .external_lex_state = 2},
  [13823] = {.lex_state = 434, .external_lex_state = 2},
  [13824] = {.lex_state = 434, .external_lex_state = 2},
  [13825] = {.lex_state = 434, .external_lex_state = 2},
  [13826] = {.lex_state = 434, .external_lex_state = 2},
  [13827] = {.lex_state = 434, .external_lex_state = 2},
  [13828] = {.lex_state = 434, .external_lex_state = 2},
  [13829] = {.lex_state = 434, .external_lex_state = 2},
  [13830] = {.lex_state = 434, .external_lex_state = 2},
  [13831] = {.lex_state = 166, .external_lex_state = 2},
  [13832] = {.lex_state = 434, .external_lex_state = 2},
  [13833] = {.lex_state = 164, .external_lex_state = 2},
  [13834] = {.lex_state = 434, .external_lex_state = 2},
  [13835] = {.lex_state = 164, .external_lex_state = 2},
  [13836] = {.lex_state = 434, .external_lex_state = 2},
  [13837] = {.lex_state = 434, .external_lex_state = 2},
  [13838] = {.lex_state = 434, .external_lex_state = 2},
  [13839] = {.lex_state = 166, .external_lex_state = 2},
  [13840] = {.lex_state = 166, .external_lex_state = 2},
  [13841] = {.lex_state = 166, .external_lex_state = 2},
  [13842] = {.lex_state = 434, .external_lex_state = 2},
  [13843] = {.lex_state = 166, .external_lex_state = 2},
  [13844] = {.lex_state = 166, .external_lex_state = 2},
  [13845] = {.lex_state = 166, .external_lex_state = 2},
  [13846] = {.lex_state = 166, .external_lex_state = 2},
  [13847] = {.lex_state = 166, .external_lex_state = 2},
  [13848] = {.lex_state = 434, .external_lex_state = 2},
  [13849] = {.lex_state = 434, .external_lex_state = 2},
  [13850] = {.lex_state = 434, .external_lex_state = 2},
  [13851] = {.lex_state = 166, .external_lex_state = 2},
  [13852] = {.lex_state = 166, .external_lex_state = 2},
  [13853] = {.lex_state = 166, .external_lex_state = 2},
  [13854] = {.lex_state = 434, .external_lex_state = 2},
  [13855] = {.lex_state = 166, .external_lex_state = 2},
  [13856] = {.lex_state = 166, .external_lex_state = 2},
  [13857] = {.lex_state = 166, .external_lex_state = 2},
  [13858] = {.lex_state = 434, .external_lex_state = 2},
  [13859] = {.lex_state = 434, .external_lex_state = 2},
  [13860] = {.lex_state = 434, .external_lex_state = 2},
  [13861] = {.lex_state = 434, .external_lex_state = 2},
  [13862] = {.lex_state = 434, .external_lex_state = 2},
  [13863] = {.lex_state = 434, .external_lex_state = 2},
  [13864] = {.lex_state = 166, .external_lex_state = 2},
  [13865] = {.lex_state = 166, .external_lex_state = 2},
  [13866] = {.lex_state = 166, .external_lex_state = 2},
  [13867] = {.lex_state = 166, .external_lex_state = 2},
  [13868] = {.lex_state = 434, .external_lex_state = 2},
  [13869] = {.lex_state = 434, .external_lex_state = 2},
  [13870] = {.lex_state = 434, .external_lex_state = 2},
  [13871] = {.lex_state = 434, .external_lex_state = 2},
  [13872] = {.lex_state = 434, .external_lex_state = 2},
  [13873] = {.lex_state = 166, .external_lex_state = 2},
  [13874] = {.lex_state = 434, .external_lex_state = 2},
  [13875] = {.lex_state = 166, .external_lex_state = 2},
  [13876] = {.lex_state = 434, .external_lex_state = 2},
  [13877] = {.lex_state = 434, .external_lex_state = 2},
  [13878] = {.lex_state = 434, .external_lex_state = 2},
  [13879] = {.lex_state = 166, .external_lex_state = 2},
  [13880] = {.lex_state = 164, .external_lex_state = 2},
  [13881] = {.lex_state = 164, .external_lex_state = 2},
  [13882] = {.lex_state = 434, .external_lex_state = 2},
  [13883] = {.lex_state = 434, .external_lex_state = 2},
  [13884] = {.lex_state = 166, .external_lex_state = 2},
  [13885] = {.lex_state = 166, .external_lex_state = 2},
  [13886] = {.lex_state = 166, .external_lex_state = 2},
  [13887] = {.lex_state = 166, .external_lex_state = 2},
  [13888] = {.lex_state = 166, .external_lex_state = 2},
  [13889] = {.lex_state = 434, .external_lex_state = 2},
  [13890] = {.lex_state = 166, .external_lex_state = 2},
  [13891] = {.lex_state = 434, .external_lex_state = 2},
  [13892] = {.lex_state = 434, .external_lex_state = 2},
  [13893] = {.lex_state = 166, .external_lex_state = 2},
  [13894] = {.lex_state = 434, .external_lex_state = 2},
  [13895] = {.lex_state = 434, .external_lex_state = 2},
  [13896] = {.lex_state = 434, .external_lex_state = 2},
  [13897] = {.lex_state = 434, .external_lex_state = 2},
  [13898] = {.lex_state = 434, .external_lex_state = 2},
  [13899] = {.lex_state = 166, .external_lex_state = 2},
  [13900] = {.lex_state = 434, .external_lex_state = 2},
  [13901] = {.lex_state = 434, .external_lex_state = 2},
  [13902] = {.lex_state = 434, .external_lex_state = 2},
  [13903] = {.lex_state = 434, .external_lex_state = 2},
  [13904] = {.lex_state = 434, .external_lex_state = 2},
  [13905] = {.lex_state = 434, .external_lex_state = 2},
  [13906] = {.lex_state = 434, .external_lex_state = 2},
  [13907] = {.lex_state = 434, .external_lex_state = 2},
  [13908] = {.lex_state = 434, .external_lex_state = 2},
  [13909] = {.lex_state = 434, .external_lex_state = 2},
  [13910] = {.lex_state = 164, .external_lex_state = 2},
  [13911] = {.lex_state = 164, .external_lex_state = 2},
  [13912] = {.lex_state = 434, .external_lex_state = 2},
  [13913] = {.lex_state = 434, .external_lex_state = 2},
  [13914] = {.lex_state = 434, .external_lex_state = 2},
  [13915] = {.lex_state = 434, .external_lex_state = 2},
  [13916] = {.lex_state = 434, .external_lex_state = 2},
  [13917] = {.lex_state = 434, .external_lex_state = 2},
  [13918] = {.lex_state = 434, .external_lex_state = 2},
  [13919] = {.lex_state = 434, .external_lex_state = 2},
  [13920] = {.lex_state = 434, .external_lex_state = 2},
  [13921] = {.lex_state = 434, .external_lex_state = 2},
  [13922] = {.lex_state = 164, .external_lex_state = 2},
  [13923] = {.lex_state = 164, .external_lex_state = 2},
  [13924] = {.lex_state = 434, .external_lex_state = 2},
  [13925] = {.lex_state = 434, .external_lex_state = 2},
  [13926] = {.lex_state = 434, .external_lex_state = 2},
  [13927] = {.lex_state = 434, .external_lex_state = 2},
  [13928] = {.lex_state = 434, .external_lex_state = 2},
  [13929] = {.lex_state = 434, .external_lex_state = 2},
  [13930] = {.lex_state = 164, .external_lex_state = 2},
  [13931] = {.lex_state = 164, .external_lex_state = 2},
  [13932] = {.lex_state = 434, .external_lex_state = 2},
  [13933] = {.lex_state = 164, .external_lex_state = 2},
  [13934] = {.lex_state = 434, .external_lex_state = 2},
  [13935] = {.lex_state = 434, .external_lex_state = 2},
  [13936] = {.lex_state = 434, .external_lex_state = 2},
  [13937] = {.lex_state = 434, .external_lex_state = 2},
  [13938] = {.lex_state = 434, .external_lex_state = 2},
  [13939] = {.lex_state = 434, .external_lex_state = 2},
  [13940] = {.lex_state = 166, .external_lex_state = 2},
  [13941] = {.lex_state = 434, .external_lex_state = 2},
  [13942] = {.lex_state = 434, .external_lex_state = 2},
  [13943] = {.lex_state = 434, .external_lex_state = 2},
  [13944] = {.lex_state = 434, .external_lex_state = 2},
  [13945] = {.lex_state = 434, .external_lex_state = 2},
  [13946] = {.lex_state = 434, .external_lex_state = 2},
  [13947] = {.lex_state = 434, .external_lex_state = 2},
  [13948] = {.lex_state = 434, .external_lex_state = 2},
  [13949] = {.lex_state = 434, .external_lex_state = 2},
  [13950] = {.lex_state = 434, .external_lex_state = 2},
  [13951] = {.lex_state = 434, .external_lex_state = 2},
  [13952] = {.lex_state = 434, .external_lex_state = 2},
  [13953] = {.lex_state = 434, .external_lex_state = 2},
  [13954] = {.lex_state = 434, .external_lex_state = 2},
  [13955] = {.lex_state = 434, .external_lex_state = 2},
  [13956] = {.lex_state = 166, .external_lex_state = 2},
  [13957] = {.lex_state = 434, .external_lex_state = 2},
  [13958] = {.lex_state = 166, .external_lex_state = 2},
  [13959] = {.lex_state = 166, .external_lex_state = 2},
  [13960] = {.lex_state = 166, .external_lex_state = 2},
  [13961] = {.lex_state = 434, .external_lex_state = 2},
  [13962] = {.lex_state = 434, .external_lex_state = 2},
  [13963] = {.lex_state = 434, .external_lex_state = 2},
  [13964] = {.lex_state = 434, .external_lex_state = 2},
  [13965] = {.lex_state = 166, .external_lex_state = 2},
  [13966] = {.lex_state = 434, .external_lex_state = 2},
  [13967] = {.lex_state = 166, .external_lex_state = 2},
  [13968] = {.lex_state = 434, .external_lex_state = 2},
  [13969] = {.lex_state = 434, .external_lex_state = 2},
  [13970] = {.lex_state = 434, .external_lex_state = 2},
  [13971] = {.lex_state = 434, .external_lex_state = 2},
  [13972] = {.lex_state = 166, .external_lex_state = 2},
  [13973] = {.lex_state = 166, .external_lex_state = 2},
  [13974] = {.lex_state = 166, .external_lex_state = 2},
  [13975] = {.lex_state = 434, .external_lex_state = 2},
  [13976] = {.lex_state = 232, .external_lex_state = 2},
  [13977] = {.lex_state = 434, .external_lex_state = 2},
  [13978] = {.lex_state = 434, .external_lex_state = 2},
  [13979] = {.lex_state = 434, .external_lex_state = 2},
  [13980] = {.lex_state = 434, .external_lex_state = 2},
  [13981] = {.lex_state = 434, .external_lex_state = 2},
  [13982] = {.lex_state = 434, .external_lex_state = 2},
  [13983] = {.lex_state = 434, .external_lex_state = 2},
  [13984] = {.lex_state = 434, .external_lex_state = 2},
  [13985] = {.lex_state = 434, .external_lex_state = 2},
  [13986] = {.lex_state = 434, .external_lex_state = 2},
  [13987] = {.lex_state = 434, .external_lex_state = 2},
  [13988] = {.lex_state = 434, .external_lex_state = 2},
  [13989] = {.lex_state = 434, .external_lex_state = 2},
  [13990] = {.lex_state = 434, .external_lex_state = 2},
  [13991] = {.lex_state = 434, .external_lex_state = 2},
  [13992] = {.lex_state = 434, .external_lex_state = 2},
  [13993] = {.lex_state = 434, .external_lex_state = 2},
  [13994] = {.lex_state = 434, .external_lex_state = 2},
  [13995] = {.lex_state = 434, .external_lex_state = 2},
  [13996] = {.lex_state = 434, .external_lex_state = 2},
  [13997] = {.lex_state = 232, .external_lex_state = 2},
  [13998] = {.lex_state = 434, .external_lex_state = 2},
  [13999] = {.lex_state = 434, .external_lex_state = 2},
  [14000] = {.lex_state = 434, .external_lex_state = 2},
  [14001] = {.lex_state = 434, .external_lex_state = 2},
  [14002] = {.lex_state = 166, .external_lex_state = 2},
  [14003] = {.lex_state = 434, .external_lex_state = 2},
  [14004] = {.lex_state = 166, .external_lex_state = 2},
  [14005] = {.lex_state = 166, .external_lex_state = 2},
  [14006] = {.lex_state = 434, .external_lex_state = 2},
  [14007] = {.lex_state = 434, .external_lex_state = 2},
  [14008] = {.lex_state = 434, .external_lex_state = 2},
  [14009] = {.lex_state = 166, .external_lex_state = 2},
  [14010] = {.lex_state = 166, .external_lex_state = 2},
  [14011] = {.lex_state = 166, .external_lex_state = 2},
  [14012] = {.lex_state = 434, .external_lex_state = 2},
  [14013] = {.lex_state = 166, .external_lex_state = 2},
  [14014] = {.lex_state = 434, .external_lex_state = 2},
  [14015] = {.lex_state = 434, .external_lex_state = 2},
  [14016] = {.lex_state = 434, .external_lex_state = 2},
  [14017] = {.lex_state = 434, .external_lex_state = 2},
  [14018] = {.lex_state = 434, .external_lex_state = 2},
  [14019] = {.lex_state = 434, .external_lex_state = 2},
  [14020] = {.lex_state = 434, .external_lex_state = 2},
  [14021] = {.lex_state = 434, .external_lex_state = 2},
  [14022] = {.lex_state = 434, .external_lex_state = 2},
  [14023] = {.lex_state = 166, .external_lex_state = 2},
  [14024] = {.lex_state = 434, .external_lex_state = 2},
  [14025] = {.lex_state = 434, .external_lex_state = 2},
  [14026] = {.lex_state = 434, .external_lex_state = 2},
  [14027] = {.lex_state = 434, .external_lex_state = 2},
  [14028] = {.lex_state = 166, .external_lex_state = 2},
  [14029] = {.lex_state = 166, .external_lex_state = 2},
  [14030] = {.lex_state = 434, .external_lex_state = 2},
  [14031] = {.lex_state = 434, .external_lex_state = 2},
  [14032] = {.lex_state = 434, .external_lex_state = 2},
  [14033] = {.lex_state = 434, .external_lex_state = 2},
  [14034] = {.lex_state = 166, .external_lex_state = 2},
  [14035] = {.lex_state = 434, .external_lex_state = 2},
  [14036] = {.lex_state = 434, .external_lex_state = 2},
  [14037] = {.lex_state = 434, .external_lex_state = 2},
  [14038] = {.lex_state = 434, .external_lex_state = 2},
  [14039] = {.lex_state = 434, .external_lex_state = 2},
  [14040] = {.lex_state = 434, .external_lex_state = 2},
  [14041] = {.lex_state = 434, .external_lex_state = 2},
  [14042] = {.lex_state = 434, .external_lex_state = 2},
  [14043] = {.lex_state = 8, .external_lex_state = 2},
  [14044] = {.lex_state = 434, .external_lex_state = 2},
  [14045] = {.lex_state = 434, .external_lex_state = 2},
  [14046] = {.lex_state = 434, .external_lex_state = 2},
  [14047] = {.lex_state = 434, .external_lex_state = 2},
  [14048] = {.lex_state = 216, .external_lex_state = 2},
  [14049] = {.lex_state = 434, .external_lex_state = 2},
  [14050] = {.lex_state = 203, .external_lex_state = 2},
  [14051] = {.lex_state = 434, .external_lex_state = 2},
  [14052] = {.lex_state = 434, .external_lex_state = 2},
  [14053] = {.lex_state = 434, .external_lex_state = 2},
  [14054] = {.lex_state = 434, .external_lex_state = 2},
  [14055] = {.lex_state = 8, .external_lex_state = 2},
  [14056] = {.lex_state = 203, .external_lex_state = 2},
  [14057] = {.lex_state = 434, .external_lex_state = 2},
  [14058] = {.lex_state = 434, .external_lex_state = 2},
  [14059] = {.lex_state = 203, .external_lex_state = 2},
  [14060] = {.lex_state = 434, .external_lex_state = 2},
  [14061] = {.lex_state = 434, .external_lex_state = 2},
  [14062] = {.lex_state = 434, .external_lex_state = 2},
  [14063] = {.lex_state = 8, .external_lex_state = 2},
  [14064] = {.lex_state = 434, .external_lex_state = 2},
  [14065] = {.lex_state = 434, .external_lex_state = 2},
  [14066] = {.lex_state = 434, .external_lex_state = 2},
  [14067] = {.lex_state = 8, .external_lex_state = 2},
  [14068] = {.lex_state = 8, .external_lex_state = 2},
  [14069] = {.lex_state = 434, .external_lex_state = 2},
  [14070] = {.lex_state = 434, .external_lex_state = 2},
  [14071] = {.lex_state = 434, .external_lex_state = 2},
  [14072] = {.lex_state = 434, .external_lex_state = 2},
  [14073] = {.lex_state = 8, .external_lex_state = 2},
  [14074] = {.lex_state = 434, .external_lex_state = 2},
  [14075] = {.lex_state = 434, .external_lex_state = 2},
  [14076] = {.lex_state = 434, .external_lex_state = 2},
  [14077] = {.lex_state = 434, .external_lex_state = 2},
  [14078] = {.lex_state = 434, .external_lex_state = 2},
  [14079] = {.lex_state = 434, .external_lex_state = 2},
  [14080] = {.lex_state = 8, .external_lex_state = 2},
  [14081] = {.lex_state = 434, .external_lex_state = 2},
  [14082] = {.lex_state = 434, .external_lex_state = 2},
  [14083] = {.lex_state = 434, .external_lex_state = 2},
  [14084] = {.lex_state = 434, .external_lex_state = 2},
  [14085] = {.lex_state = 434, .external_lex_state = 2},
  [14086] = {.lex_state = 8, .external_lex_state = 2},
  [14087] = {.lex_state = 8, .external_lex_state = 2},
  [14088] = {.lex_state = 434, .external_lex_state = 2},
  [14089] = {.lex_state = 434, .external_lex_state = 2},
  [14090] = {.lex_state = 434, .external_lex_state = 2},
  [14091] = {.lex_state = 434, .external_lex_state = 2},
  [14092] = {.lex_state = 8, .external_lex_state = 2},
  [14093] = {.lex_state = 434, .external_lex_state = 2},
  [14094] = {.lex_state = 434, .external_lex_state = 2},
  [14095] = {.lex_state = 434, .external_lex_state = 2},
  [14096] = {.lex_state = 434, .external_lex_state = 2},
  [14097] = {.lex_state = 434, .external_lex_state = 2},
  [14098] = {.lex_state = 434, .external_lex_state = 2},
  [14099] = {.lex_state = 434, .external_lex_state = 2},
  [14100] = {.lex_state = 8, .external_lex_state = 2},
  [14101] = {.lex_state = 8, .external_lex_state = 2},
  [14102] = {.lex_state = 434, .external_lex_state = 2},
  [14103] = {.lex_state = 157, .external_lex_state = 2},
  [14104] = {.lex_state = 434, .external_lex_state = 2},
  [14105] = {.lex_state = 434, .external_lex_state = 2},
  [14106] = {.lex_state = 434, .external_lex_state = 2},
  [14107] = {.lex_state = 8, .external_lex_state = 2},
  [14108] = {.lex_state = 434, .external_lex_state = 2},
  [14109] = {.lex_state = 434, .external_lex_state = 2},
  [14110] = {.lex_state = 434, .external_lex_state = 2},
  [14111] = {.lex_state = 434, .external_lex_state = 2},
  [14112] = {.lex_state = 434, .external_lex_state = 2},
  [14113] = {.lex_state = 232, .external_lex_state = 2},
  [14114] = {.lex_state = 8, .external_lex_state = 2},
  [14115] = {.lex_state = 8, .external_lex_state = 2},
  [14116] = {.lex_state = 434, .external_lex_state = 2},
  [14117] = {.lex_state = 434, .external_lex_state = 2},
  [14118] = {.lex_state = 8, .external_lex_state = 2},
  [14119] = {.lex_state = 434, .external_lex_state = 2},
  [14120] = {.lex_state = 434, .external_lex_state = 2},
  [14121] = {.lex_state = 434, .external_lex_state = 2},
  [14122] = {.lex_state = 8, .external_lex_state = 2},
  [14123] = {.lex_state = 434, .external_lex_state = 2},
  [14124] = {.lex_state = 434, .external_lex_state = 2},
  [14125] = {.lex_state = 434, .external_lex_state = 2},
  [14126] = {.lex_state = 434, .external_lex_state = 2},
  [14127] = {.lex_state = 157, .external_lex_state = 2},
  [14128] = {.lex_state = 434, .external_lex_state = 2},
  [14129] = {.lex_state = 8, .external_lex_state = 2},
  [14130] = {.lex_state = 434, .external_lex_state = 2},
  [14131] = {.lex_state = 434, .external_lex_state = 2},
  [14132] = {.lex_state = 434, .external_lex_state = 2},
  [14133] = {.lex_state = 8, .external_lex_state = 2},
  [14134] = {.lex_state = 434, .external_lex_state = 2},
  [14135] = {.lex_state = 434, .external_lex_state = 2},
  [14136] = {.lex_state = 8, .external_lex_state = 2},
  [14137] = {.lex_state = 434, .external_lex_state = 2},
  [14138] = {.lex_state = 434, .external_lex_state = 2},
  [14139] = {.lex_state = 434, .external_lex_state = 2},
  [14140] = {.lex_state = 434, .external_lex_state = 2},
  [14141] = {.lex_state = 216, .external_lex_state = 2},
  [14142] = {.lex_state = 434, .external_lex_state = 2},
  [14143] = {.lex_state = 203, .external_lex_state = 2},
  [14144] = {.lex_state = 8, .external_lex_state = 2},
  [14145] = {.lex_state = 434, .external_lex_state = 2},
  [14146] = {.lex_state = 8, .external_lex_state = 2},
  [14147] = {.lex_state = 434, .external_lex_state = 2},
  [14148] = {.lex_state = 434, .external_lex_state = 2},
  [14149] = {.lex_state = 434, .external_lex_state = 2},
  [14150] = {.lex_state = 434, .external_lex_state = 2},
  [14151] = {.lex_state = 434, .external_lex_state = 2},
  [14152] = {.lex_state = 434, .external_lex_state = 2},
  [14153] = {.lex_state = 434, .external_lex_state = 2},
  [14154] = {.lex_state = 434, .external_lex_state = 2},
  [14155] = {.lex_state = 434, .external_lex_state = 2},
  [14156] = {.lex_state = 434, .external_lex_state = 2},
  [14157] = {.lex_state = 434, .external_lex_state = 2},
  [14158] = {.lex_state = 434, .external_lex_state = 2},
  [14159] = {.lex_state = 434, .external_lex_state = 2},
  [14160] = {.lex_state = 434, .external_lex_state = 2},
  [14161] = {.lex_state = 434, .external_lex_state = 2},
  [14162] = {.lex_state = 434, .external_lex_state = 2},
  [14163] = {.lex_state = 434, .external_lex_state = 2},
  [14164] = {.lex_state = 434, .external_lex_state = 2},
  [14165] = {.lex_state = 434, .external_lex_state = 2},
  [14166] = {.lex_state = 203, .external_lex_state = 2},
  [14167] = {.lex_state = 8, .external_lex_state = 2},
  [14168] = {.lex_state = 434, .external_lex_state = 2},
  [14169] = {.lex_state = 434, .external_lex_state = 2},
  [14170] = {.lex_state = 8, .external_lex_state = 2},
  [14171] = {.lex_state = 434, .external_lex_state = 2},
  [14172] = {.lex_state = 434, .external_lex_state = 2},
  [14173] = {.lex_state = 434, .external_lex_state = 2},
  [14174] = {.lex_state = 6, .external_lex_state = 2},
  [14175] = {.lex_state = 8, .external_lex_state = 2},
  [14176] = {.lex_state = 157, .external_lex_state = 2},
  [14177] = {.lex_state = 8, .external_lex_state = 2},
  [14178] = {.lex_state = 434, .external_lex_state = 2},
  [14179] = {.lex_state = 434, .external_lex_state = 2},
  [14180] = {.lex_state = 434, .external_lex_state = 2},
  [14181] = {.lex_state = 434, .external_lex_state = 2},
  [14182] = {.lex_state = 8, .external_lex_state = 2},
  [14183] = {.lex_state = 203, .external_lex_state = 2},
  [14184] = {.lex_state = 8, .external_lex_state = 2},
  [14185] = {.lex_state = 157, .external_lex_state = 2},
  [14186] = {.lex_state = 232, .external_lex_state = 2},
  [14187] = {.lex_state = 434, .external_lex_state = 2},
  [14188] = {.lex_state = 203, .external_lex_state = 2},
  [14189] = {.lex_state = 434, .external_lex_state = 2},
  [14190] = {.lex_state = 434, .external_lex_state = 2},
  [14191] = {.lex_state = 434, .external_lex_state = 2},
  [14192] = {.lex_state = 434, .external_lex_state = 2},
  [14193] = {.lex_state = 157, .external_lex_state = 2},
  [14194] = {.lex_state = 434, .external_lex_state = 2},
  [14195] = {.lex_state = 434, .external_lex_state = 2},
  [14196] = {.lex_state = 157, .external_lex_state = 2},
  [14197] = {.lex_state = 434, .external_lex_state = 2},
  [14198] = {.lex_state = 434, .external_lex_state = 2},
  [14199] = {.lex_state = 434, .external_lex_state = 2},
  [14200] = {.lex_state = 434, .external_lex_state = 2},
  [14201] = {.lex_state = 434, .external_lex_state = 2},
  [14202] = {.lex_state = 434, .external_lex_state = 2},
  [14203] = {.lex_state = 434, .external_lex_state = 2},
  [14204] = {.lex_state = 434, .external_lex_state = 2},
  [14205] = {.lex_state = 157, .external_lex_state = 2},
  [14206] = {.lex_state = 434, .external_lex_state = 2},
  [14207] = {.lex_state = 434, .external_lex_state = 2},
  [14208] = {.lex_state = 434, .external_lex_state = 2},
  [14209] = {.lex_state = 434, .external_lex_state = 2},
  [14210] = {.lex_state = 8, .external_lex_state = 2},
  [14211] = {.lex_state = 232, .external_lex_state = 2},
  [14212] = {.lex_state = 434, .external_lex_state = 2},
  [14213] = {.lex_state = 434, .external_lex_state = 2},
  [14214] = {.lex_state = 434, .external_lex_state = 2},
  [14215] = {.lex_state = 434, .external_lex_state = 2},
  [14216] = {.lex_state = 216, .external_lex_state = 2},
  [14217] = {.lex_state = 434, .external_lex_state = 2},
  [14218] = {.lex_state = 434, .external_lex_state = 2},
  [14219] = {.lex_state = 8, .external_lex_state = 2},
  [14220] = {.lex_state = 434, .external_lex_state = 2},
  [14221] = {.lex_state = 434, .external_lex_state = 2},
  [14222] = {.lex_state = 434, .external_lex_state = 2},
  [14223] = {.lex_state = 434, .external_lex_state = 2},
  [14224] = {.lex_state = 8, .external_lex_state = 2},
  [14225] = {.lex_state = 434, .external_lex_state = 2},
  [14226] = {.lex_state = 434, .external_lex_state = 2},
  [14227] = {.lex_state = 434, .external_lex_state = 2},
  [14228] = {.lex_state = 434, .external_lex_state = 2},
  [14229] = {.lex_state = 434, .external_lex_state = 2},
  [14230] = {.lex_state = 8, .external_lex_state = 2},
  [14231] = {.lex_state = 434, .external_lex_state = 2},
  [14232] = {.lex_state = 8, .external_lex_state = 2},
  [14233] = {.lex_state = 8, .external_lex_state = 2},
  [14234] = {.lex_state = 157, .external_lex_state = 2},
  [14235] = {.lex_state = 434, .external_lex_state = 2},
  [14236] = {.lex_state = 434, .external_lex_state = 2},
  [14237] = {.lex_state = 434, .external_lex_state = 2},
  [14238] = {.lex_state = 434, .external_lex_state = 2},
  [14239] = {.lex_state = 8, .external_lex_state = 2},
  [14240] = {.lex_state = 434, .external_lex_state = 2},
  [14241] = {.lex_state = 434, .external_lex_state = 2},
  [14242] = {.lex_state = 434, .external_lex_state = 2},
  [14243] = {.lex_state = 434, .external_lex_state = 2},
  [14244] = {.lex_state = 434, .external_lex_state = 2},
  [14245] = {.lex_state = 434, .external_lex_state = 2},
  [14246] = {.lex_state = 8, .external_lex_state = 2},
  [14247] = {.lex_state = 216, .external_lex_state = 2},
  [14248] = {.lex_state = 434, .external_lex_state = 2},
  [14249] = {.lex_state = 434, .external_lex_state = 2},
  [14250] = {.lex_state = 434, .external_lex_state = 2},
  [14251] = {.lex_state = 434, .external_lex_state = 2},
  [14252] = {.lex_state = 157, .external_lex_state = 2},
  [14253] = {.lex_state = 434, .external_lex_state = 2},
  [14254] = {.lex_state = 157, .external_lex_state = 2},
  [14255] = {.lex_state = 434, .external_lex_state = 2},
  [14256] = {.lex_state = 157, .external_lex_state = 2},
  [14257] = {.lex_state = 434, .external_lex_state = 2},
  [14258] = {.lex_state = 434, .external_lex_state = 2},
  [14259] = {.lex_state = 434, .external_lex_state = 2},
  [14260] = {.lex_state = 157, .external_lex_state = 2},
  [14261] = {.lex_state = 434, .external_lex_state = 2},
  [14262] = {.lex_state = 8, .external_lex_state = 2},
  [14263] = {.lex_state = 8, .external_lex_state = 2},
  [14264] = {.lex_state = 8, .external_lex_state = 2},
  [14265] = {.lex_state = 8, .external_lex_state = 2},
  [14266] = {.lex_state = 434, .external_lex_state = 2},
  [14267] = {.lex_state = 434, .external_lex_state = 2},
  [14268] = {.lex_state = 434, .external_lex_state = 2},
  [14269] = {.lex_state = 434, .external_lex_state = 2},
  [14270] = {.lex_state = 8, .external_lex_state = 2},
  [14271] = {.lex_state = 8, .external_lex_state = 2},
  [14272] = {.lex_state = 210, .external_lex_state = 2},
  [14273] = {.lex_state = 164, .external_lex_state = 2},
  [14274] = {.lex_state = 434, .external_lex_state = 2},
  [14275] = {.lex_state = 434, .external_lex_state = 2},
  [14276] = {.lex_state = 210, .external_lex_state = 2},
  [14277] = {.lex_state = 210, .external_lex_state = 2},
  [14278] = {.lex_state = 434, .external_lex_state = 2},
  [14279] = {.lex_state = 434, .external_lex_state = 2},
  [14280] = {.lex_state = 210, .external_lex_state = 2},
  [14281] = {.lex_state = 8, .external_lex_state = 2},
  [14282] = {.lex_state = 434, .external_lex_state = 2},
  [14283] = {.lex_state = 8, .external_lex_state = 2},
  [14284] = {.lex_state = 434, .external_lex_state = 2},
  [14285] = {.lex_state = 434, .external_lex_state = 2},
  [14286] = {.lex_state = 434, .external_lex_state = 2},
  [14287] = {.lex_state = 434, .external_lex_state = 2},
  [14288] = {.lex_state = 8, .external_lex_state = 2},
  [14289] = {.lex_state = 434, .external_lex_state = 2},
  [14290] = {.lex_state = 434, .external_lex_state = 2},
  [14291] = {.lex_state = 434, .external_lex_state = 2},
  [14292] = {.lex_state = 164, .external_lex_state = 2},
  [14293] = {.lex_state = 8, .external_lex_state = 2},
  [14294] = {.lex_state = 8, .external_lex_state = 2},
  [14295] = {.lex_state = 434, .external_lex_state = 2},
  [14296] = {.lex_state = 434, .external_lex_state = 2},
  [14297] = {.lex_state = 434, .external_lex_state = 2},
  [14298] = {.lex_state = 164, .external_lex_state = 2},
  [14299] = {.lex_state = 434, .external_lex_state = 2},
  [14300] = {.lex_state = 434, .external_lex_state = 2},
  [14301] = {.lex_state = 434, .external_lex_state = 2},
  [14302] = {.lex_state = 434, .external_lex_state = 2},
  [14303] = {.lex_state = 434, .external_lex_state = 2},
  [14304] = {.lex_state = 210, .external_lex_state = 2},
  [14305] = {.lex_state = 434, .external_lex_state = 2},
  [14306] = {.lex_state = 210, .external_lex_state = 2},
  [14307] = {.lex_state = 210, .external_lex_state = 2},
  [14308] = {.lex_state = 434, .external_lex_state = 2},
  [14309] = {.lex_state = 8, .external_lex_state = 2},
  [14310] = {.lex_state = 210, .external_lex_state = 2},
  [14311] = {.lex_state = 434, .external_lex_state = 2},
  [14312] = {.lex_state = 203, .external_lex_state = 2},
  [14313] = {.lex_state = 434, .external_lex_state = 2},
  [14314] = {.lex_state = 434, .external_lex_state = 2},
  [14315] = {.lex_state = 434, .external_lex_state = 2},
  [14316] = {.lex_state = 434, .external_lex_state = 2},
  [14317] = {.lex_state = 6, .external_lex_state = 2},
  [14318] = {.lex_state = 434, .external_lex_state = 2},
  [14319] = {.lex_state = 6, .external_lex_state = 2},
  [14320] = {.lex_state = 434, .external_lex_state = 2},
  [14321] = {.lex_state = 8, .external_lex_state = 2},
  [14322] = {.lex_state = 434, .external_lex_state = 2},
  [14323] = {.lex_state = 434, .external_lex_state = 2},
  [14324] = {.lex_state = 434, .external_lex_state = 2},
  [14325] = {.lex_state = 434, .external_lex_state = 2},
  [14326] = {.lex_state = 434, .external_lex_state = 2},
  [14327] = {.lex_state = 434, .external_lex_state = 2},
  [14328] = {.lex_state = 434, .external_lex_state = 2},
  [14329] = {.lex_state = 434, .external_lex_state = 2},
  [14330] = {.lex_state = 434, .external_lex_state = 2},
  [14331] = {.lex_state = 434, .external_lex_state = 2},
  [14332] = {.lex_state = 164, .external_lex_state = 2},
  [14333] = {.lex_state = 434, .external_lex_state = 2},
  [14334] = {.lex_state = 210, .external_lex_state = 2},
  [14335] = {.lex_state = 210, .external_lex_state = 2},
  [14336] = {.lex_state = 210, .external_lex_state = 2},
  [14337] = {.lex_state = 210, .external_lex_state = 2},
  [14338] = {.lex_state = 434, .external_lex_state = 2},
  [14339] = {.lex_state = 434, .external_lex_state = 2},
  [14340] = {.lex_state = 434, .external_lex_state = 2},
  [14341] = {.lex_state = 210, .external_lex_state = 2},
  [14342] = {.lex_state = 8, .external_lex_state = 2},
  [14343] = {.lex_state = 434, .external_lex_state = 2},
  [14344] = {.lex_state = 210, .external_lex_state = 2},
  [14345] = {.lex_state = 434, .external_lex_state = 2},
  [14346] = {.lex_state = 434, .external_lex_state = 2},
  [14347] = {.lex_state = 434, .external_lex_state = 2},
  [14348] = {.lex_state = 434, .external_lex_state = 2},
  [14349] = {.lex_state = 434, .external_lex_state = 2},
  [14350] = {.lex_state = 434, .external_lex_state = 2},
  [14351] = {.lex_state = 434, .external_lex_state = 2},
  [14352] = {.lex_state = 434, .external_lex_state = 2},
  [14353] = {.lex_state = 210, .external_lex_state = 2},
  [14354] = {.lex_state = 210, .external_lex_state = 2},
  [14355] = {.lex_state = 210, .external_lex_state = 2},
  [14356] = {.lex_state = 434, .external_lex_state = 2},
  [14357] = {.lex_state = 434, .external_lex_state = 2},
  [14358] = {.lex_state = 434, .external_lex_state = 2},
  [14359] = {.lex_state = 210, .external_lex_state = 2},
  [14360] = {.lex_state = 434, .external_lex_state = 2},
  [14361] = {.lex_state = 8, .external_lex_state = 2},
  [14362] = {.lex_state = 8, .external_lex_state = 2},
  [14363] = {.lex_state = 434, .external_lex_state = 2},
  [14364] = {.lex_state = 434, .external_lex_state = 2},
  [14365] = {.lex_state = 434, .external_lex_state = 2},
  [14366] = {.lex_state = 434, .external_lex_state = 2},
  [14367] = {.lex_state = 434, .external_lex_state = 2},
  [14368] = {.lex_state = 8, .external_lex_state = 2},
  [14369] = {.lex_state = 262, .external_lex_state = 8},
  [14370] = {.lex_state = 434, .external_lex_state = 2},
  [14371] = {.lex_state = 210, .external_lex_state = 2},
  [14372] = {.lex_state = 210, .external_lex_state = 2},
  [14373] = {.lex_state = 210, .external_lex_state = 2},
  [14374] = {.lex_state = 434, .external_lex_state = 2},
  [14375] = {.lex_state = 434, .external_lex_state = 2},
  [14376] = {.lex_state = 434, .external_lex_state = 2},
  [14377] = {.lex_state = 434, .external_lex_state = 2},
  [14378] = {.lex_state = 434, .external_lex_state = 2},
  [14379] = {.lex_state = 434, .external_lex_state = 2},
  [14380] = {.lex_state = 434, .external_lex_state = 2},
  [14381] = {.lex_state = 434, .external_lex_state = 2},
  [14382] = {.lex_state = 434, .external_lex_state = 2},
  [14383] = {.lex_state = 434, .external_lex_state = 2},
  [14384] = {.lex_state = 434, .external_lex_state = 2},
  [14385] = {.lex_state = 434, .external_lex_state = 2},
  [14386] = {.lex_state = 210, .external_lex_state = 2},
  [14387] = {.lex_state = 434, .external_lex_state = 2},
  [14388] = {.lex_state = 434, .external_lex_state = 2},
  [14389] = {.lex_state = 210, .external_lex_state = 2},
  [14390] = {.lex_state = 210, .external_lex_state = 2},
  [14391] = {.lex_state = 434, .external_lex_state = 2},
  [14392] = {.lex_state = 434, .external_lex_state = 2},
  [14393] = {.lex_state = 210, .external_lex_state = 2},
  [14394] = {.lex_state = 434, .external_lex_state = 2},
  [14395] = {.lex_state = 8, .external_lex_state = 2},
  [14396] = {.lex_state = 8, .external_lex_state = 2},
  [14397] = {.lex_state = 434, .external_lex_state = 2},
  [14398] = {.lex_state = 434, .external_lex_state = 2},
  [14399] = {.lex_state = 434, .external_lex_state = 2},
  [14400] = {.lex_state = 8, .external_lex_state = 2},
  [14401] = {.lex_state = 434, .external_lex_state = 2},
  [14402] = {.lex_state = 434, .external_lex_state = 2},
  [14403] = {.lex_state = 210, .external_lex_state = 2},
  [14404] = {.lex_state = 434, .external_lex_state = 2},
  [14405] = {.lex_state = 434, .external_lex_state = 2},
  [14406] = {.lex_state = 434, .external_lex_state = 2},
  [14407] = {.lex_state = 434, .external_lex_state = 2},
  [14408] = {.lex_state = 8, .external_lex_state = 2},
  [14409] = {.lex_state = 434, .external_lex_state = 2},
  [14410] = {.lex_state = 434, .external_lex_state = 2},
  [14411] = {.lex_state = 434, .external_lex_state = 2},
  [14412] = {.lex_state = 210, .external_lex_state = 2},
  [14413] = {.lex_state = 434, .external_lex_state = 2},
  [14414] = {.lex_state = 210, .external_lex_state = 2},
  [14415] = {.lex_state = 434, .external_lex_state = 2},
  [14416] = {.lex_state = 434, .external_lex_state = 2},
  [14417] = {.lex_state = 434, .external_lex_state = 2},
  [14418] = {.lex_state = 434, .external_lex_state = 2},
  [14419] = {.lex_state = 434, .external_lex_state = 2},
  [14420] = {.lex_state = 434, .external_lex_state = 2},
  [14421] = {.lex_state = 434, .external_lex_state = 2},
  [14422] = {.lex_state = 434, .external_lex_state = 2},
  [14423] = {.lex_state = 434, .external_lex_state = 2},
  [14424] = {.lex_state = 210, .external_lex_state = 2},
  [14425] = {.lex_state = 210, .external_lex_state = 2},
  [14426] = {.lex_state = 210, .external_lex_state = 2},
  [14427] = {.lex_state = 8, .external_lex_state = 2},
  [14428] = {.lex_state = 434, .external_lex_state = 2},
  [14429] = {.lex_state = 434, .external_lex_state = 2},
  [14430] = {.lex_state = 6, .external_lex_state = 2},
  [14431] = {.lex_state = 434, .external_lex_state = 2},
  [14432] = {.lex_state = 8, .external_lex_state = 2},
  [14433] = {.lex_state = 434, .external_lex_state = 2},
  [14434] = {.lex_state = 434, .external_lex_state = 2},
  [14435] = {.lex_state = 434, .external_lex_state = 2},
  [14436] = {.lex_state = 8, .external_lex_state = 2},
  [14437] = {.lex_state = 434, .external_lex_state = 2},
  [14438] = {.lex_state = 434, .external_lex_state = 2},
  [14439] = {.lex_state = 6, .external_lex_state = 2},
  [14440] = {.lex_state = 434, .external_lex_state = 2},
  [14441] = {.lex_state = 6, .external_lex_state = 2},
  [14442] = {.lex_state = 434, .external_lex_state = 2},
  [14443] = {.lex_state = 434, .external_lex_state = 2},
  [14444] = {.lex_state = 434, .external_lex_state = 2},
  [14445] = {.lex_state = 434, .external_lex_state = 2},
  [14446] = {.lex_state = 8, .external_lex_state = 2},
  [14447] = {.lex_state = 8, .external_lex_state = 2},
  [14448] = {.lex_state = 434, .external_lex_state = 2},
  [14449] = {.lex_state = 434, .external_lex_state = 2},
  [14450] = {.lex_state = 8, .external_lex_state = 2},
  [14451] = {.lex_state = 434, .external_lex_state = 2},
  [14452] = {.lex_state = 434, .external_lex_state = 2},
  [14453] = {.lex_state = 434, .external_lex_state = 2},
  [14454] = {.lex_state = 434, .external_lex_state = 2},
  [14455] = {.lex_state = 434, .external_lex_state = 2},
  [14456] = {.lex_state = 434, .external_lex_state = 2},
  [14457] = {.lex_state = 434, .external_lex_state = 2},
  [14458] = {.lex_state = 434, .external_lex_state = 2},
  [14459] = {.lex_state = 434, .external_lex_state = 2},
  [14460] = {.lex_state = 434, .external_lex_state = 2},
  [14461] = {.lex_state = 434, .external_lex_state = 2},
  [14462] = {.lex_state = 434, .external_lex_state = 2},
  [14463] = {.lex_state = 434, .external_lex_state = 2},
  [14464] = {.lex_state = 434, .external_lex_state = 2},
  [14465] = {.lex_state = 434, .external_lex_state = 2},
  [14466] = {.lex_state = 434, .external_lex_state = 2},
  [14467] = {.lex_state = 434, .external_lex_state = 2},
  [14468] = {.lex_state = 8, .external_lex_state = 2},
  [14469] = {.lex_state = 434, .external_lex_state = 2},
  [14470] = {.lex_state = 434, .external_lex_state = 2},
  [14471] = {.lex_state = 434, .external_lex_state = 2},
  [14472] = {.lex_state = 434, .external_lex_state = 2},
  [14473] = {.lex_state = 6, .external_lex_state = 2},
  [14474] = {.lex_state = 434, .external_lex_state = 2},
  [14475] = {.lex_state = 434, .external_lex_state = 2},
  [14476] = {.lex_state = 434, .external_lex_state = 2},
  [14477] = {.lex_state = 434, .external_lex_state = 2},
  [14478] = {.lex_state = 434, .external_lex_state = 2},
  [14479] = {.lex_state = 434, .external_lex_state = 2},
  [14480] = {.lex_state = 8, .external_lex_state = 2},
  [14481] = {.lex_state = 434, .external_lex_state = 2},
  [14482] = {.lex_state = 164, .external_lex_state = 2},
  [14483] = {.lex_state = 434, .external_lex_state = 2},
  [14484] = {.lex_state = 434, .external_lex_state = 2},
  [14485] = {.lex_state = 434, .external_lex_state = 2},
  [14486] = {.lex_state = 8, .external_lex_state = 2},
  [14487] = {.lex_state = 164, .external_lex_state = 2},
  [14488] = {.lex_state = 434, .external_lex_state = 2},
  [14489] = {.lex_state = 434, .external_lex_state = 2},
  [14490] = {.lex_state = 434, .external_lex_state = 2},
  [14491] = {.lex_state = 434, .external_lex_state = 2},
  [14492] = {.lex_state = 434, .external_lex_state = 2},
  [14493] = {.lex_state = 434, .external_lex_state = 2},
  [14494] = {.lex_state = 434, .external_lex_state = 2},
  [14495] = {.lex_state = 434, .external_lex_state = 2},
  [14496] = {.lex_state = 434, .external_lex_state = 2},
  [14497] = {.lex_state = 434, .external_lex_state = 2},
  [14498] = {.lex_state = 434, .external_lex_state = 2},
  [14499] = {.lex_state = 434, .external_lex_state = 2},
  [14500] = {.lex_state = 434, .external_lex_state = 2},
  [14501] = {.lex_state = 8, .external_lex_state = 2},
  [14502] = {.lex_state = 434, .external_lex_state = 2},
  [14503] = {.lex_state = 8, .external_lex_state = 2},
  [14504] = {.lex_state = 164, .external_lex_state = 2},
  [14505] = {.lex_state = 434, .external_lex_state = 2},
  [14506] = {.lex_state = 434, .external_lex_state = 2},
  [14507] = {.lex_state = 434, .external_lex_state = 2},
  [14508] = {.lex_state = 203, .external_lex_state = 2},
  [14509] = {.lex_state = 434, .external_lex_state = 2},
  [14510] = {.lex_state = 8, .external_lex_state = 2},
  [14511] = {.lex_state = 434, .external_lex_state = 2},
  [14512] = {.lex_state = 434, .external_lex_state = 2},
  [14513] = {.lex_state = 434, .external_lex_state = 2},
  [14514] = {.lex_state = 8, .external_lex_state = 2},
  [14515] = {.lex_state = 8, .external_lex_state = 2},
  [14516] = {.lex_state = 434, .external_lex_state = 2},
  [14517] = {.lex_state = 434, .external_lex_state = 2},
  [14518] = {.lex_state = 8, .external_lex_state = 2},
  [14519] = {.lex_state = 8, .external_lex_state = 2},
  [14520] = {.lex_state = 434, .external_lex_state = 2},
  [14521] = {.lex_state = 8, .external_lex_state = 2},
  [14522] = {.lex_state = 8, .external_lex_state = 2},
  [14523] = {.lex_state = 434, .external_lex_state = 2},
  [14524] = {.lex_state = 434, .external_lex_state = 2},
  [14525] = {.lex_state = 434, .external_lex_state = 2},
  [14526] = {.lex_state = 434, .external_lex_state = 2},
  [14527] = {.lex_state = 434, .external_lex_state = 2},
  [14528] = {.lex_state = 434, .external_lex_state = 2},
  [14529] = {.lex_state = 434, .external_lex_state = 2},
  [14530] = {.lex_state = 8, .external_lex_state = 2},
  [14531] = {.lex_state = 434, .external_lex_state = 2},
  [14532] = {.lex_state = 164, .external_lex_state = 2},
  [14533] = {.lex_state = 434, .external_lex_state = 2},
  [14534] = {.lex_state = 434, .external_lex_state = 2},
  [14535] = {.lex_state = 434, .external_lex_state = 2},
  [14536] = {.lex_state = 434, .external_lex_state = 2},
  [14537] = {.lex_state = 434, .external_lex_state = 2},
  [14538] = {.lex_state = 434, .external_lex_state = 2},
  [14539] = {.lex_state = 434, .external_lex_state = 2},
  [14540] = {.lex_state = 434, .external_lex_state = 2},
  [14541] = {.lex_state = 434, .external_lex_state = 2},
  [14542] = {.lex_state = 8, .external_lex_state = 2},
  [14543] = {.lex_state = 434, .external_lex_state = 2},
  [14544] = {.lex_state = 434, .external_lex_state = 2},
  [14545] = {.lex_state = 434, .external_lex_state = 2},
  [14546] = {.lex_state = 434, .external_lex_state = 2},
  [14547] = {.lex_state = 8, .external_lex_state = 2},
  [14548] = {.lex_state = 434, .external_lex_state = 2},
  [14549] = {.lex_state = 434, .external_lex_state = 2},
  [14550] = {.lex_state = 434, .external_lex_state = 2},
  [14551] = {.lex_state = 8, .external_lex_state = 2},
  [14552] = {.lex_state = 434, .external_lex_state = 2},
  [14553] = {.lex_state = 434, .external_lex_state = 2},
  [14554] = {.lex_state = 434, .external_lex_state = 2},
  [14555] = {.lex_state = 8, .external_lex_state = 2},
  [14556] = {.lex_state = 434, .external_lex_state = 2},
  [14557] = {.lex_state = 434, .external_lex_state = 2},
  [14558] = {.lex_state = 434, .external_lex_state = 2},
  [14559] = {.lex_state = 434, .external_lex_state = 2},
  [14560] = {.lex_state = 434, .external_lex_state = 2},
  [14561] = {.lex_state = 434, .external_lex_state = 2},
  [14562] = {.lex_state = 434, .external_lex_state = 2},
  [14563] = {.lex_state = 434, .external_lex_state = 2},
  [14564] = {.lex_state = 434, .external_lex_state = 2},
  [14565] = {.lex_state = 434, .external_lex_state = 2},
  [14566] = {.lex_state = 434, .external_lex_state = 2},
  [14567] = {.lex_state = 434, .external_lex_state = 2},
  [14568] = {.lex_state = 6, .external_lex_state = 2},
  [14569] = {.lex_state = 8, .external_lex_state = 2},
  [14570] = {.lex_state = 434, .external_lex_state = 2},
  [14571] = {.lex_state = 434, .external_lex_state = 2},
  [14572] = {.lex_state = 8, .external_lex_state = 2},
  [14573] = {.lex_state = 8, .external_lex_state = 2},
  [14574] = {.lex_state = 8, .external_lex_state = 2},
  [14575] = {.lex_state = 8, .external_lex_state = 2},
  [14576] = {.lex_state = 434, .external_lex_state = 2},
  [14577] = {.lex_state = 434, .external_lex_state = 2},
  [14578] = {.lex_state = 434, .external_lex_state = 2},
  [14579] = {.lex_state = 8, .external_lex_state = 2},
  [14580] = {.lex_state = 164, .external_lex_state = 2},
  [14581] = {.lex_state = 434, .external_lex_state = 2},
  [14582] = {.lex_state = 8, .external_lex_state = 2},
  [14583] = {.lex_state = 434, .external_lex_state = 2},
  [14584] = {.lex_state = 8, .external_lex_state = 2},
  [14585] = {.lex_state = 434, .external_lex_state = 2},
  [14586] = {.lex_state = 434, .external_lex_state = 2},
  [14587] = {.lex_state = 434, .external_lex_state = 2},
  [14588] = {.lex_state = 434, .external_lex_state = 2},
  [14589] = {.lex_state = 434, .external_lex_state = 2},
  [14590] = {.lex_state = 434, .external_lex_state = 2},
  [14591] = {.lex_state = 434, .external_lex_state = 2},
  [14592] = {.lex_state = 434, .external_lex_state = 2},
  [14593] = {.lex_state = 210, .external_lex_state = 2},
  [14594] = {.lex_state = 434, .external_lex_state = 2},
  [14595] = {.lex_state = 434, .external_lex_state = 2},
  [14596] = {.lex_state = 8, .external_lex_state = 2},
  [14597] = {.lex_state = 434, .external_lex_state = 2},
  [14598] = {.lex_state = 434, .external_lex_state = 2},
  [14599] = {.lex_state = 434, .external_lex_state = 2},
  [14600] = {.lex_state = 434, .external_lex_state = 2},
  [14601] = {.lex_state = 8, .external_lex_state = 2},
  [14602] = {.lex_state = 434, .external_lex_state = 2},
  [14603] = {.lex_state = 434, .external_lex_state = 2},
  [14604] = {.lex_state = 434, .external_lex_state = 2},
  [14605] = {.lex_state = 434, .external_lex_state = 2},
  [14606] = {.lex_state = 434, .external_lex_state = 2},
  [14607] = {.lex_state = 434, .external_lex_state = 2},
  [14608] = {.lex_state = 8, .external_lex_state = 2},
  [14609] = {.lex_state = 434, .external_lex_state = 2},
  [14610] = {.lex_state = 434, .external_lex_state = 2},
  [14611] = {.lex_state = 210, .external_lex_state = 2},
  [14612] = {.lex_state = 210, .external_lex_state = 2},
  [14613] = {.lex_state = 434, .external_lex_state = 2},
  [14614] = {.lex_state = 434, .external_lex_state = 2},
  [14615] = {.lex_state = 434, .external_lex_state = 2},
  [14616] = {.lex_state = 434, .external_lex_state = 2},
  [14617] = {.lex_state = 434, .external_lex_state = 2},
  [14618] = {.lex_state = 434, .external_lex_state = 2},
  [14619] = {.lex_state = 164, .external_lex_state = 2},
  [14620] = {.lex_state = 8, .external_lex_state = 2},
  [14621] = {.lex_state = 8, .external_lex_state = 2},
  [14622] = {.lex_state = 434, .external_lex_state = 2},
  [14623] = {.lex_state = 434, .external_lex_state = 2},
  [14624] = {.lex_state = 210, .external_lex_state = 2},
  [14625] = {.lex_state = 434, .external_lex_state = 2},
  [14626] = {.lex_state = 434, .external_lex_state = 2},
  [14627] = {.lex_state = 434, .external_lex_state = 2},
  [14628] = {.lex_state = 434, .external_lex_state = 2},
  [14629] = {.lex_state = 434, .external_lex_state = 2},
  [14630] = {.lex_state = 434, .external_lex_state = 2},
  [14631] = {.lex_state = 8, .external_lex_state = 2},
  [14632] = {.lex_state = 434, .external_lex_state = 2},
  [14633] = {.lex_state = 434, .external_lex_state = 2},
  [14634] = {.lex_state = 8, .external_lex_state = 2},
  [14635] = {.lex_state = 434, .external_lex_state = 2},
  [14636] = {.lex_state = 8, .external_lex_state = 2},
  [14637] = {.lex_state = 434, .external_lex_state = 2},
  [14638] = {.lex_state = 262, .external_lex_state = 8},
  [14639] = {.lex_state = 8, .external_lex_state = 2},
  [14640] = {.lex_state = 434, .external_lex_state = 2},
  [14641] = {.lex_state = 434, .external_lex_state = 2},
  [14642] = {.lex_state = 164, .external_lex_state = 2},
  [14643] = {.lex_state = 434, .external_lex_state = 2},
  [14644] = {.lex_state = 434, .external_lex_state = 2},
  [14645] = {.lex_state = 434, .external_lex_state = 2},
  [14646] = {.lex_state = 8, .external_lex_state = 2},
  [14647] = {.lex_state = 434, .external_lex_state = 2},
  [14648] = {.lex_state = 434, .external_lex_state = 2},
  [14649] = {.lex_state = 434, .external_lex_state = 2},
  [14650] = {.lex_state = 434, .external_lex_state = 2},
  [14651] = {.lex_state = 434, .external_lex_state = 2},
  [14652] = {.lex_state = 434, .external_lex_state = 2},
  [14653] = {.lex_state = 434, .external_lex_state = 2},
  [14654] = {.lex_state = 434, .external_lex_state = 2},
  [14655] = {.lex_state = 6, .external_lex_state = 2},
  [14656] = {.lex_state = 434, .external_lex_state = 2},
  [14657] = {.lex_state = 8, .external_lex_state = 2},
  [14658] = {.lex_state = 8, .external_lex_state = 2},
  [14659] = {.lex_state = 434, .external_lex_state = 2},
  [14660] = {.lex_state = 434, .external_lex_state = 2},
  [14661] = {.lex_state = 434, .external_lex_state = 2},
  [14662] = {.lex_state = 434, .external_lex_state = 2},
  [14663] = {.lex_state = 8, .external_lex_state = 2},
  [14664] = {.lex_state = 434, .external_lex_state = 2},
  [14665] = {.lex_state = 434, .external_lex_state = 2},
  [14666] = {.lex_state = 434, .external_lex_state = 2},
  [14667] = {.lex_state = 434, .external_lex_state = 2},
  [14668] = {.lex_state = 434, .external_lex_state = 2},
  [14669] = {.lex_state = 159, .external_lex_state = 2},
  [14670] = {.lex_state = 434, .external_lex_state = 2},
  [14671] = {.lex_state = 8, .external_lex_state = 2},
  [14672] = {.lex_state = 8, .external_lex_state = 2},
  [14673] = {.lex_state = 8, .external_lex_state = 2},
  [14674] = {.lex_state = 434, .external_lex_state = 2},
  [14675] = {.lex_state = 434, .external_lex_state = 2},
  [14676] = {.lex_state = 434, .external_lex_state = 2},
  [14677] = {.lex_state = 434, .external_lex_state = 2},
  [14678] = {.lex_state = 434, .external_lex_state = 2},
  [14679] = {.lex_state = 434, .external_lex_state = 2},
  [14680] = {.lex_state = 164, .external_lex_state = 2},
  [14681] = {.lex_state = 434, .external_lex_state = 2},
  [14682] = {.lex_state = 434, .external_lex_state = 2},
  [14683] = {.lex_state = 232, .external_lex_state = 2},
  [14684] = {.lex_state = 434, .external_lex_state = 2},
  [14685] = {.lex_state = 434, .external_lex_state = 2},
  [14686] = {.lex_state = 434, .external_lex_state = 2},
  [14687] = {.lex_state = 434, .external_lex_state = 2},
  [14688] = {.lex_state = 8, .external_lex_state = 2},
  [14689] = {.lex_state = 434, .external_lex_state = 2},
  [14690] = {.lex_state = 262, .external_lex_state = 8},
  [14691] = {.lex_state = 434, .external_lex_state = 2},
  [14692] = {.lex_state = 434, .external_lex_state = 2},
  [14693] = {.lex_state = 434, .external_lex_state = 2},
  [14694] = {.lex_state = 434, .external_lex_state = 2},
  [14695] = {.lex_state = 434, .external_lex_state = 2},
  [14696] = {.lex_state = 434, .external_lex_state = 2},
  [14697] = {.lex_state = 434, .external_lex_state = 2},
  [14698] = {.lex_state = 434, .external_lex_state = 2},
  [14699] = {.lex_state = 434, .external_lex_state = 2},
  [14700] = {.lex_state = 159, .external_lex_state = 2},
  [14701] = {.lex_state = 434, .external_lex_state = 2},
  [14702] = {.lex_state = 159, .external_lex_state = 2},
  [14703] = {.lex_state = 434, .external_lex_state = 2},
  [14704] = {.lex_state = 434, .external_lex_state = 2},
  [14705] = {.lex_state = 434, .external_lex_state = 2},
  [14706] = {.lex_state = 434, .external_lex_state = 2},
  [14707] = {.lex_state = 434, .external_lex_state = 2},
  [14708] = {.lex_state = 434, .external_lex_state = 2},
  [14709] = {.lex_state = 434, .external_lex_state = 2},
  [14710] = {.lex_state = 210, .external_lex_state = 2},
  [14711] = {.lex_state = 8, .external_lex_state = 2},
  [14712] = {.lex_state = 164, .external_lex_state = 2},
  [14713] = {.lex_state = 434, .external_lex_state = 2},
  [14714] = {.lex_state = 8, .external_lex_state = 2},
  [14715] = {.lex_state = 434, .external_lex_state = 2},
  [14716] = {.lex_state = 434, .external_lex_state = 2},
  [14717] = {.lex_state = 434, .external_lex_state = 2},
  [14718] = {.lex_state = 434, .external_lex_state = 2},
  [14719] = {.lex_state = 434, .external_lex_state = 2},
  [14720] = {.lex_state = 8, .external_lex_state = 2},
  [14721] = {.lex_state = 159, .external_lex_state = 2},
  [14722] = {.lex_state = 8, .external_lex_state = 2},
  [14723] = {.lex_state = 434, .external_lex_state = 2},
  [14724] = {.lex_state = 434, .external_lex_state = 2},
  [14725] = {.lex_state = 210, .external_lex_state = 2},
  [14726] = {.lex_state = 434, .external_lex_state = 2},
  [14727] = {.lex_state = 210, .external_lex_state = 2},
  [14728] = {.lex_state = 434, .external_lex_state = 2},
  [14729] = {.lex_state = 434, .external_lex_state = 2},
  [14730] = {.lex_state = 210, .external_lex_state = 2},
  [14731] = {.lex_state = 434, .external_lex_state = 2},
  [14732] = {.lex_state = 434, .external_lex_state = 2},
  [14733] = {.lex_state = 434, .external_lex_state = 2},
  [14734] = {.lex_state = 434, .external_lex_state = 2},
  [14735] = {.lex_state = 434, .external_lex_state = 2},
  [14736] = {.lex_state = 434, .external_lex_state = 2},
  [14737] = {.lex_state = 434, .external_lex_state = 2},
  [14738] = {.lex_state = 434, .external_lex_state = 2},
  [14739] = {.lex_state = 434, .external_lex_state = 2},
  [14740] = {.lex_state = 434, .external_lex_state = 2},
  [14741] = {.lex_state = 434, .external_lex_state = 2},
  [14742] = {.lex_state = 434, .external_lex_state = 2},
  [14743] = {.lex_state = 434, .external_lex_state = 2},
  [14744] = {.lex_state = 159, .external_lex_state = 2},
  [14745] = {.lex_state = 434, .external_lex_state = 2},
  [14746] = {.lex_state = 8, .external_lex_state = 2},
  [14747] = {.lex_state = 210, .external_lex_state = 2},
  [14748] = {.lex_state = 434, .external_lex_state = 2},
  [14749] = {.lex_state = 8, .external_lex_state = 2},
  [14750] = {.lex_state = 434, .external_lex_state = 2},
  [14751] = {.lex_state = 434, .external_lex_state = 2},
  [14752] = {.lex_state = 434, .external_lex_state = 2},
  [14753] = {.lex_state = 434, .external_lex_state = 2},
  [14754] = {.lex_state = 434, .external_lex_state = 2},
  [14755] = {.lex_state = 434, .external_lex_state = 2},
  [14756] = {.lex_state = 8, .external_lex_state = 2},
  [14757] = {.lex_state = 159, .external_lex_state = 2},
  [14758] = {.lex_state = 8, .external_lex_state = 2},
  [14759] = {.lex_state = 434, .external_lex_state = 2},
  [14760] = {.lex_state = 434, .external_lex_state = 2},
  [14761] = {.lex_state = 164, .external_lex_state = 2},
  [14762] = {.lex_state = 434, .external_lex_state = 2},
  [14763] = {.lex_state = 434, .external_lex_state = 2},
  [14764] = {.lex_state = 159, .external_lex_state = 2},
  [14765] = {.lex_state = 8, .external_lex_state = 2},
  [14766] = {.lex_state = 434, .external_lex_state = 2},
  [14767] = {.lex_state = 159, .external_lex_state = 2},
  [14768] = {.lex_state = 434, .external_lex_state = 2},
  [14769] = {.lex_state = 8, .external_lex_state = 2},
  [14770] = {.lex_state = 434, .external_lex_state = 2},
  [14771] = {.lex_state = 8, .external_lex_state = 2},
  [14772] = {.lex_state = 434, .external_lex_state = 2},
  [14773] = {.lex_state = 210, .external_lex_state = 2},
  [14774] = {.lex_state = 434, .external_lex_state = 2},
  [14775] = {.lex_state = 159, .external_lex_state = 2},
  [14776] = {.lex_state = 8, .external_lex_state = 2},
  [14777] = {.lex_state = 434, .external_lex_state = 2},
  [14778] = {.lex_state = 159, .external_lex_state = 2},
  [14779] = {.lex_state = 434, .external_lex_state = 2},
  [14780] = {.lex_state = 159, .external_lex_state = 2},
  [14781] = {.lex_state = 434, .external_lex_state = 2},
  [14782] = {.lex_state = 434, .external_lex_state = 2},
  [14783] = {.lex_state = 159, .external_lex_state = 2},
  [14784] = {.lex_state = 434, .external_lex_state = 2},
  [14785] = {.lex_state = 434, .external_lex_state = 2},
  [14786] = {.lex_state = 8, .external_lex_state = 2},
  [14787] = {.lex_state = 159, .external_lex_state = 2},
  [14788] = {.lex_state = 434, .external_lex_state = 2},
  [14789] = {.lex_state = 434, .external_lex_state = 2},
  [14790] = {.lex_state = 434, .external_lex_state = 2},
  [14791] = {.lex_state = 159, .external_lex_state = 2},
  [14792] = {.lex_state = 434, .external_lex_state = 2},
  [14793] = {.lex_state = 434, .external_lex_state = 2},
  [14794] = {.lex_state = 434, .external_lex_state = 2},
  [14795] = {.lex_state = 434, .external_lex_state = 2},
  [14796] = {.lex_state = 159, .external_lex_state = 2},
  [14797] = {.lex_state = 434, .external_lex_state = 2},
  [14798] = {.lex_state = 8, .external_lex_state = 2},
  [14799] = {.lex_state = 159, .external_lex_state = 2},
  [14800] = {.lex_state = 434, .external_lex_state = 2},
  [14801] = {.lex_state = 159, .external_lex_state = 2},
  [14802] = {.lex_state = 434, .external_lex_state = 2},
  [14803] = {.lex_state = 434, .external_lex_state = 2},
  [14804] = {.lex_state = 434, .external_lex_state = 2},
  [14805] = {.lex_state = 159, .external_lex_state = 2},
  [14806] = {.lex_state = 210, .external_lex_state = 2},
  [14807] = {.lex_state = 434, .external_lex_state = 2},
  [14808] = {.lex_state = 8, .external_lex_state = 2},
  [14809] = {.lex_state = 159, .external_lex_state = 2},
  [14810] = {.lex_state = 434, .external_lex_state = 2},
  [14811] = {.lex_state = 434, .external_lex_state = 2},
  [14812] = {.lex_state = 434, .external_lex_state = 2},
  [14813] = {.lex_state = 434, .external_lex_state = 2},
  [14814] = {.lex_state = 434, .external_lex_state = 2},
  [14815] = {.lex_state = 159, .external_lex_state = 2},
  [14816] = {.lex_state = 434, .external_lex_state = 2},
  [14817] = {.lex_state = 434, .external_lex_state = 2},
  [14818] = {.lex_state = 434, .external_lex_state = 2},
  [14819] = {.lex_state = 434, .external_lex_state = 2},
  [14820] = {.lex_state = 159, .external_lex_state = 2},
  [14821] = {.lex_state = 434, .external_lex_state = 2},
  [14822] = {.lex_state = 434, .external_lex_state = 2},
  [14823] = {.lex_state = 434, .external_lex_state = 2},
  [14824] = {.lex_state = 6, .external_lex_state = 2},
  [14825] = {.lex_state = 159, .external_lex_state = 2},
  [14826] = {.lex_state = 434, .external_lex_state = 2},
  [14827] = {.lex_state = 434, .external_lex_state = 2},
  [14828] = {.lex_state = 159, .external_lex_state = 2},
  [14829] = {.lex_state = 164, .external_lex_state = 2},
  [14830] = {.lex_state = 8, .external_lex_state = 2},
  [14831] = {.lex_state = 434, .external_lex_state = 2},
  [14832] = {.lex_state = 159, .external_lex_state = 2},
  [14833] = {.lex_state = 210, .external_lex_state = 2},
  [14834] = {.lex_state = 434, .external_lex_state = 2},
  [14835] = {.lex_state = 159, .external_lex_state = 2},
  [14836] = {.lex_state = 434, .external_lex_state = 2},
  [14837] = {.lex_state = 159, .external_lex_state = 2},
  [14838] = {.lex_state = 210, .external_lex_state = 2},
  [14839] = {.lex_state = 434, .external_lex_state = 2},
  [14840] = {.lex_state = 434, .external_lex_state = 2},
  [14841] = {.lex_state = 434, .external_lex_state = 2},
  [14842] = {.lex_state = 159, .external_lex_state = 2},
  [14843] = {.lex_state = 434, .external_lex_state = 2},
  [14844] = {.lex_state = 434, .external_lex_state = 2},
  [14845] = {.lex_state = 159, .external_lex_state = 2},
  [14846] = {.lex_state = 159, .external_lex_state = 2},
  [14847] = {.lex_state = 434, .external_lex_state = 2},
  [14848] = {.lex_state = 434, .external_lex_state = 2},
  [14849] = {.lex_state = 159, .external_lex_state = 2},
  [14850] = {.lex_state = 434, .external_lex_state = 2},
  [14851] = {.lex_state = 210, .external_lex_state = 2},
  [14852] = {.lex_state = 159, .external_lex_state = 2},
  [14853] = {.lex_state = 210, .external_lex_state = 2},
  [14854] = {.lex_state = 434, .external_lex_state = 2},
  [14855] = {.lex_state = 159, .external_lex_state = 2},
  [14856] = {.lex_state = 434, .external_lex_state = 2},
  [14857] = {.lex_state = 434, .external_lex_state = 2},
  [14858] = {.lex_state = 159, .external_lex_state = 2},
  [14859] = {.lex_state = 434, .external_lex_state = 2},
  [14860] = {.lex_state = 434, .external_lex_state = 2},
  [14861] = {.lex_state = 159, .external_lex_state = 2},
  [14862] = {.lex_state = 164, .external_lex_state = 2},
  [14863] = {.lex_state = 159, .external_lex_state = 2},
  [14864] = {.lex_state = 434, .external_lex_state = 2},
  [14865] = {.lex_state = 434, .external_lex_state = 2},
  [14866] = {.lex_state = 159, .external_lex_state = 2},
  [14867] = {.lex_state = 434, .external_lex_state = 2},
  [14868] = {.lex_state = 8, .external_lex_state = 2},
  [14869] = {.lex_state = 159, .external_lex_state = 2},
  [14870] = {.lex_state = 8, .external_lex_state = 2},
  [14871] = {.lex_state = 434, .external_lex_state = 2},
  [14872] = {.lex_state = 159, .external_lex_state = 2},
  [14873] = {.lex_state = 434, .external_lex_state = 2},
  [14874] = {.lex_state = 8, .external_lex_state = 2},
  [14875] = {.lex_state = 159, .external_lex_state = 2},
  [14876] = {.lex_state = 434, .external_lex_state = 2},
  [14877] = {.lex_state = 8, .external_lex_state = 2},
  [14878] = {.lex_state = 159, .external_lex_state = 2},
  [14879] = {.lex_state = 434, .external_lex_state = 2},
  [14880] = {.lex_state = 8, .external_lex_state = 2},
  [14881] = {.lex_state = 159, .external_lex_state = 2},
  [14882] = {.lex_state = 159, .external_lex_state = 2},
  [14883] = {.lex_state = 434, .external_lex_state = 2},
  [14884] = {.lex_state = 434, .external_lex_state = 2},
  [14885] = {.lex_state = 434, .external_lex_state = 2},
  [14886] = {.lex_state = 434, .external_lex_state = 2},
  [14887] = {.lex_state = 434, .external_lex_state = 2},
  [14888] = {.lex_state = 434, .external_lex_state = 2},
  [14889] = {.lex_state = 434, .external_lex_state = 2},
  [14890] = {.lex_state = 434, .external_lex_state = 2},
  [14891] = {.lex_state = 434, .external_lex_state = 2},
  [14892] = {.lex_state = 434, .external_lex_state = 2},
  [14893] = {.lex_state = 434, .external_lex_state = 2},
  [14894] = {.lex_state = 159, .external_lex_state = 2},
  [14895] = {.lex_state = 434, .external_lex_state = 2},
  [14896] = {.lex_state = 434, .external_lex_state = 2},
  [14897] = {.lex_state = 6, .external_lex_state = 2},
  [14898] = {.lex_state = 434, .external_lex_state = 2},
  [14899] = {.lex_state = 434, .external_lex_state = 2},
  [14900] = {.lex_state = 434, .external_lex_state = 2},
  [14901] = {.lex_state = 434, .external_lex_state = 2},
  [14902] = {.lex_state = 434, .external_lex_state = 2},
  [14903] = {.lex_state = 434, .external_lex_state = 2},
  [14904] = {.lex_state = 434, .external_lex_state = 2},
  [14905] = {.lex_state = 434, .external_lex_state = 2},
  [14906] = {.lex_state = 434, .external_lex_state = 2},
  [14907] = {.lex_state = 434, .external_lex_state = 2},
  [14908] = {.lex_state = 434, .external_lex_state = 2},
  [14909] = {.lex_state = 434, .external_lex_state = 2},
  [14910] = {.lex_state = 434, .external_lex_state = 2},
  [14911] = {.lex_state = 434, .external_lex_state = 2},
  [14912] = {.lex_state = 434, .external_lex_state = 2},
  [14913] = {.lex_state = 434, .external_lex_state = 2},
  [14914] = {.lex_state = 434, .external_lex_state = 2},
  [14915] = {.lex_state = 434, .external_lex_state = 2},
  [14916] = {.lex_state = 434, .external_lex_state = 2},
  [14917] = {.lex_state = 434, .external_lex_state = 2},
  [14918] = {.lex_state = 434, .external_lex_state = 2},
  [14919] = {.lex_state = 434, .external_lex_state = 2},
  [14920] = {.lex_state = 434, .external_lex_state = 2},
  [14921] = {.lex_state = 434, .external_lex_state = 2},
  [14922] = {.lex_state = 434, .external_lex_state = 2},
  [14923] = {.lex_state = 434, .external_lex_state = 2},
  [14924] = {.lex_state = 434, .external_lex_state = 2},
  [14925] = {.lex_state = 434, .external_lex_state = 2},
  [14926] = {.lex_state = 434, .external_lex_state = 2},
  [14927] = {.lex_state = 434, .external_lex_state = 2},
  [14928] = {.lex_state = 434, .external_lex_state = 2},
  [14929] = {.lex_state = 434, .external_lex_state = 2},
  [14930] = {.lex_state = 434, .external_lex_state = 2},
  [14931] = {.lex_state = 434, .external_lex_state = 2},
  [14932] = {.lex_state = 434, .external_lex_state = 2},
  [14933] = {.lex_state = 434, .external_lex_state = 2},
  [14934] = {.lex_state = 434, .external_lex_state = 2},
  [14935] = {.lex_state = 434, .external_lex_state = 2},
  [14936] = {.lex_state = 434, .external_lex_state = 2},
  [14937] = {.lex_state = 434, .external_lex_state = 2},
  [14938] = {.lex_state = 434, .external_lex_state = 2},
  [14939] = {.lex_state = 434, .external_lex_state = 2},
  [14940] = {.lex_state = 434, .external_lex_state = 2},
  [14941] = {.lex_state = 434, .external_lex_state = 2},
  [14942] = {.lex_state = 434, .external_lex_state = 2},
  [14943] = {.lex_state = 434, .external_lex_state = 2},
  [14944] = {.lex_state = 8, .external_lex_state = 2},
  [14945] = {.lex_state = 434, .external_lex_state = 2},
  [14946] = {.lex_state = 164, .external_lex_state = 2},
  [14947] = {.lex_state = 434, .external_lex_state = 2},
  [14948] = {.lex_state = 434, .external_lex_state = 2},
  [14949] = {.lex_state = 8, .external_lex_state = 2},
  [14950] = {.lex_state = 434, .external_lex_state = 2},
  [14951] = {.lex_state = 434, .external_lex_state = 2},
  [14952] = {.lex_state = 434, .external_lex_state = 2},
  [14953] = {.lex_state = 434, .external_lex_state = 2},
  [14954] = {.lex_state = 434, .external_lex_state = 2},
  [14955] = {.lex_state = 434, .external_lex_state = 2},
  [14956] = {.lex_state = 434, .external_lex_state = 2},
  [14957] = {.lex_state = 434, .external_lex_state = 2},
  [14958] = {.lex_state = 434, .external_lex_state = 2},
  [14959] = {.lex_state = 434, .external_lex_state = 2},
  [14960] = {.lex_state = 130, .external_lex_state = 2},
  [14961] = {.lex_state = 434, .external_lex_state = 2},
  [14962] = {.lex_state = 130, .external_lex_state = 2},
  [14963] = {.lex_state = 434, .external_lex_state = 2},
  [14964] = {.lex_state = 434, .external_lex_state = 2},
  [14965] = {.lex_state = 434, .external_lex_state = 2},
  [14966] = {.lex_state = 434, .external_lex_state = 2},
  [14967] = {.lex_state = 434, .external_lex_state = 2},
  [14968] = {.lex_state = 434, .external_lex_state = 2},
  [14969] = {.lex_state = 434, .external_lex_state = 2},
  [14970] = {.lex_state = 434, .external_lex_state = 2},
  [14971] = {.lex_state = 434, .external_lex_state = 2},
  [14972] = {.lex_state = 434, .external_lex_state = 2},
  [14973] = {.lex_state = 434, .external_lex_state = 2},
  [14974] = {.lex_state = 434, .external_lex_state = 2},
  [14975] = {.lex_state = 434, .external_lex_state = 2},
  [14976] = {.lex_state = 434, .external_lex_state = 2},
  [14977] = {.lex_state = 434, .external_lex_state = 2},
  [14978] = {.lex_state = 434, .external_lex_state = 2},
  [14979] = {.lex_state = 127, .external_lex_state = 2},
  [14980] = {.lex_state = 256, .external_lex_state = 2},
  [14981] = {.lex_state = 434, .external_lex_state = 2},
  [14982] = {.lex_state = 127, .external_lex_state = 2},
  [14983] = {.lex_state = 127, .external_lex_state = 2},
  [14984] = {.lex_state = 434, .external_lex_state = 2},
  [14985] = {.lex_state = 130, .external_lex_state = 2},
  [14986] = {.lex_state = 434, .external_lex_state = 2},
  [14987] = {.lex_state = 130, .external_lex_state = 2},
  [14988] = {.lex_state = 256, .external_lex_state = 2},
  [14989] = {.lex_state = 434, .external_lex_state = 2},
  [14990] = {.lex_state = 434, .external_lex_state = 2},
  [14991] = {.lex_state = 127, .external_lex_state = 2},
  [14992] = {.lex_state = 262, .external_lex_state = 8},
  [14993] = {.lex_state = 434, .external_lex_state = 2},
  [14994] = {.lex_state = 434, .external_lex_state = 2},
  [14995] = {.lex_state = 434, .external_lex_state = 2},
  [14996] = {.lex_state = 434, .external_lex_state = 2},
  [14997] = {.lex_state = 434, .external_lex_state = 2},
  [14998] = {.lex_state = 434, .external_lex_state = 2},
  [14999] = {.lex_state = 434, .external_lex_state = 2},
  [15000] = {.lex_state = 8, .external_lex_state = 2},
  [15001] = {.lex_state = 434, .external_lex_state = 2},
  [15002] = {.lex_state = 434, .external_lex_state = 2},
  [15003] = {.lex_state = 434, .external_lex_state = 2},
  [15004] = {.lex_state = 256, .external_lex_state = 2},
  [15005] = {.lex_state = 434, .external_lex_state = 2},
  [15006] = {.lex_state = 256, .external_lex_state = 2},
  [15007] = {.lex_state = 434, .external_lex_state = 2},
  [15008] = {.lex_state = 434, .external_lex_state = 2},
  [15009] = {.lex_state = 434, .external_lex_state = 2},
  [15010] = {.lex_state = 434, .external_lex_state = 2},
  [15011] = {.lex_state = 434, .external_lex_state = 2},
  [15012] = {.lex_state = 232, .external_lex_state = 2},
  [15013] = {.lex_state = 434, .external_lex_state = 2},
  [15014] = {.lex_state = 434, .external_lex_state = 2},
  [15015] = {.lex_state = 434, .external_lex_state = 2},
  [15016] = {.lex_state = 434, .external_lex_state = 2},
  [15017] = {.lex_state = 434, .external_lex_state = 2},
  [15018] = {.lex_state = 434, .external_lex_state = 2},
  [15019] = {.lex_state = 434, .external_lex_state = 2},
  [15020] = {.lex_state = 434, .external_lex_state = 2},
  [15021] = {.lex_state = 434, .external_lex_state = 2},
  [15022] = {.lex_state = 256, .external_lex_state = 2},
  [15023] = {.lex_state = 256, .external_lex_state = 2},
  [15024] = {.lex_state = 262, .external_lex_state = 8},
  [15025] = {.lex_state = 434, .external_lex_state = 2},
  [15026] = {.lex_state = 434, .external_lex_state = 2},
  [15027] = {.lex_state = 434, .external_lex_state = 2},
  [15028] = {.lex_state = 434, .external_lex_state = 2},
  [15029] = {.lex_state = 262, .external_lex_state = 8},
  [15030] = {.lex_state = 434, .external_lex_state = 2},
  [15031] = {.lex_state = 434, .external_lex_state = 3},
  [15032] = {.lex_state = 434, .external_lex_state = 2},
  [15033] = {.lex_state = 434, .external_lex_state = 2},
  [15034] = {.lex_state = 434, .external_lex_state = 2},
  [15035] = {.lex_state = 130, .external_lex_state = 2},
  [15036] = {.lex_state = 434, .external_lex_state = 2},
  [15037] = {.lex_state = 434, .external_lex_state = 2},
  [15038] = {.lex_state = 434, .external_lex_state = 2},
  [15039] = {.lex_state = 434, .external_lex_state = 2},
  [15040] = {.lex_state = 434, .external_lex_state = 2},
  [15041] = {.lex_state = 434, .external_lex_state = 2},
  [15042] = {.lex_state = 434, .external_lex_state = 2},
  [15043] = {.lex_state = 434, .external_lex_state = 2},
  [15044] = {.lex_state = 434, .external_lex_state = 2},
  [15045] = {.lex_state = 434, .external_lex_state = 2},
  [15046] = {.lex_state = 434, .external_lex_state = 2},
  [15047] = {.lex_state = 434, .external_lex_state = 2},
  [15048] = {.lex_state = 232, .external_lex_state = 2},
  [15049] = {.lex_state = 434, .external_lex_state = 2},
  [15050] = {.lex_state = 130, .external_lex_state = 2},
  [15051] = {.lex_state = 157, .external_lex_state = 2},
  [15052] = {.lex_state = 434, .external_lex_state = 2},
  [15053] = {.lex_state = 434, .external_lex_state = 2},
  [15054] = {.lex_state = 434, .external_lex_state = 2},
  [15055] = {.lex_state = 434, .external_lex_state = 2},
  [15056] = {.lex_state = 262, .external_lex_state = 8},
  [15057] = {.lex_state = 434, .external_lex_state = 2},
  [15058] = {.lex_state = 434, .external_lex_state = 2},
  [15059] = {.lex_state = 232, .external_lex_state = 2},
  [15060] = {.lex_state = 434, .external_lex_state = 2},
  [15061] = {.lex_state = 434, .external_lex_state = 2},
  [15062] = {.lex_state = 434, .external_lex_state = 2},
  [15063] = {.lex_state = 434, .external_lex_state = 2},
  [15064] = {.lex_state = 434, .external_lex_state = 2},
  [15065] = {.lex_state = 434, .external_lex_state = 2},
  [15066] = {.lex_state = 434, .external_lex_state = 2},
  [15067] = {.lex_state = 434, .external_lex_state = 2},
  [15068] = {.lex_state = 130, .external_lex_state = 2},
  [15069] = {.lex_state = 434, .external_lex_state = 2},
  [15070] = {.lex_state = 434, .external_lex_state = 2},
  [15071] = {.lex_state = 434, .external_lex_state = 2},
  [15072] = {.lex_state = 130, .external_lex_state = 2},
  [15073] = {.lex_state = 434, .external_lex_state = 2},
  [15074] = {.lex_state = 434, .external_lex_state = 2},
  [15075] = {.lex_state = 434, .external_lex_state = 2},
  [15076] = {.lex_state = 434, .external_lex_state = 2},
  [15077] = {.lex_state = 130, .external_lex_state = 2},
  [15078] = {.lex_state = 434, .external_lex_state = 2},
  [15079] = {.lex_state = 434, .external_lex_state = 2},
  [15080] = {.lex_state = 434, .external_lex_state = 2},
  [15081] = {.lex_state = 434, .external_lex_state = 2},
  [15082] = {.lex_state = 434, .external_lex_state = 2},
  [15083] = {.lex_state = 232, .external_lex_state = 2},
  [15084] = {.lex_state = 434, .external_lex_state = 2},
  [15085] = {.lex_state = 434, .external_lex_state = 2},
  [15086] = {.lex_state = 127, .external_lex_state = 2},
  [15087] = {.lex_state = 434, .external_lex_state = 2},
  [15088] = {.lex_state = 434, .external_lex_state = 2},
  [15089] = {.lex_state = 434, .external_lex_state = 2},
  [15090] = {.lex_state = 434, .external_lex_state = 2},
  [15091] = {.lex_state = 434, .external_lex_state = 2},
  [15092] = {.lex_state = 262, .external_lex_state = 8},
  [15093] = {.lex_state = 434, .external_lex_state = 2},
  [15094] = {.lex_state = 434, .external_lex_state = 2},
  [15095] = {.lex_state = 164, .external_lex_state = 2},
  [15096] = {.lex_state = 434, .external_lex_state = 2},
  [15097] = {.lex_state = 434, .external_lex_state = 2},
  [15098] = {.lex_state = 434, .external_lex_state = 2},
  [15099] = {.lex_state = 434, .external_lex_state = 2},
  [15100] = {.lex_state = 434, .external_lex_state = 2},
  [15101] = {.lex_state = 434, .external_lex_state = 2},
  [15102] = {.lex_state = 434, .external_lex_state = 2},
  [15103] = {.lex_state = 434, .external_lex_state = 2},
  [15104] = {.lex_state = 127, .external_lex_state = 2},
  [15105] = {.lex_state = 434, .external_lex_state = 2},
  [15106] = {.lex_state = 434, .external_lex_state = 2},
  [15107] = {.lex_state = 127, .external_lex_state = 2},
  [15108] = {.lex_state = 203, .external_lex_state = 2},
  [15109] = {.lex_state = 130, .external_lex_state = 2},
  [15110] = {.lex_state = 434, .external_lex_state = 2},
  [15111] = {.lex_state = 130, .external_lex_state = 2},
  [15112] = {.lex_state = 434, .external_lex_state = 2},
  [15113] = {.lex_state = 130, .external_lex_state = 2},
  [15114] = {.lex_state = 434, .external_lex_state = 2},
  [15115] = {.lex_state = 232, .external_lex_state = 2},
  [15116] = {.lex_state = 262, .external_lex_state = 8},
  [15117] = {.lex_state = 434, .external_lex_state = 2},
  [15118] = {.lex_state = 434, .external_lex_state = 2},
  [15119] = {.lex_state = 434, .external_lex_state = 2},
  [15120] = {.lex_state = 130, .external_lex_state = 2},
  [15121] = {.lex_state = 434, .external_lex_state = 2},
  [15122] = {.lex_state = 434, .external_lex_state = 2},
  [15123] = {.lex_state = 434, .external_lex_state = 2},
  [15124] = {.lex_state = 434, .external_lex_state = 2},
  [15125] = {.lex_state = 434, .external_lex_state = 2},
  [15126] = {.lex_state = 434, .external_lex_state = 2},
  [15127] = {.lex_state = 232, .external_lex_state = 2},
  [15128] = {.lex_state = 434, .external_lex_state = 2},
  [15129] = {.lex_state = 434, .external_lex_state = 2},
  [15130] = {.lex_state = 434, .external_lex_state = 2},
  [15131] = {.lex_state = 434, .external_lex_state = 2},
  [15132] = {.lex_state = 434, .external_lex_state = 2},
  [15133] = {.lex_state = 434, .external_lex_state = 2},
  [15134] = {.lex_state = 434, .external_lex_state = 2},
  [15135] = {.lex_state = 127, .external_lex_state = 2},
  [15136] = {.lex_state = 434, .external_lex_state = 2},
  [15137] = {.lex_state = 434, .external_lex_state = 2},
  [15138] = {.lex_state = 434, .external_lex_state = 2},
  [15139] = {.lex_state = 434, .external_lex_state = 2},
  [15140] = {.lex_state = 434, .external_lex_state = 2},
  [15141] = {.lex_state = 262, .external_lex_state = 8},
  [15142] = {.lex_state = 434, .external_lex_state = 2},
  [15143] = {.lex_state = 130, .external_lex_state = 2},
  [15144] = {.lex_state = 434, .external_lex_state = 2},
  [15145] = {.lex_state = 434, .external_lex_state = 2},
  [15146] = {.lex_state = 127, .external_lex_state = 2},
  [15147] = {.lex_state = 434, .external_lex_state = 2},
  [15148] = {.lex_state = 434, .external_lex_state = 2},
  [15149] = {.lex_state = 434, .external_lex_state = 2},
  [15150] = {.lex_state = 434, .external_lex_state = 2},
  [15151] = {.lex_state = 434, .external_lex_state = 2},
  [15152] = {.lex_state = 434, .external_lex_state = 2},
  [15153] = {.lex_state = 127, .external_lex_state = 2},
  [15154] = {.lex_state = 130, .external_lex_state = 2},
  [15155] = {.lex_state = 434, .external_lex_state = 2},
  [15156] = {.lex_state = 256, .external_lex_state = 2},
  [15157] = {.lex_state = 127, .external_lex_state = 2},
  [15158] = {.lex_state = 434, .external_lex_state = 2},
  [15159] = {.lex_state = 434, .external_lex_state = 2},
  [15160] = {.lex_state = 130, .external_lex_state = 2},
  [15161] = {.lex_state = 256, .external_lex_state = 2},
  [15162] = {.lex_state = 232, .external_lex_state = 2},
  [15163] = {.lex_state = 434, .external_lex_state = 2},
  [15164] = {.lex_state = 434, .external_lex_state = 2},
  [15165] = {.lex_state = 256, .external_lex_state = 2},
  [15166] = {.lex_state = 434, .external_lex_state = 2},
  [15167] = {.lex_state = 262, .external_lex_state = 8},
  [15168] = {.lex_state = 434, .external_lex_state = 2},
  [15169] = {.lex_state = 256, .external_lex_state = 2},
  [15170] = {.lex_state = 434, .external_lex_state = 2},
  [15171] = {.lex_state = 434, .external_lex_state = 2},
  [15172] = {.lex_state = 434, .external_lex_state = 2},
  [15173] = {.lex_state = 232, .external_lex_state = 2},
  [15174] = {.lex_state = 434, .external_lex_state = 2},
  [15175] = {.lex_state = 434, .external_lex_state = 2},
  [15176] = {.lex_state = 434, .external_lex_state = 2},
  [15177] = {.lex_state = 434, .external_lex_state = 2},
  [15178] = {.lex_state = 434, .external_lex_state = 2},
  [15179] = {.lex_state = 434, .external_lex_state = 2},
  [15180] = {.lex_state = 434, .external_lex_state = 2},
  [15181] = {.lex_state = 434, .external_lex_state = 2},
  [15182] = {.lex_state = 434, .external_lex_state = 2},
  [15183] = {.lex_state = 434, .external_lex_state = 2},
  [15184] = {.lex_state = 434, .external_lex_state = 2},
  [15185] = {.lex_state = 434, .external_lex_state = 2},
  [15186] = {.lex_state = 434, .external_lex_state = 2},
  [15187] = {.lex_state = 434, .external_lex_state = 2},
  [15188] = {.lex_state = 434, .external_lex_state = 2},
  [15189] = {.lex_state = 262, .external_lex_state = 8},
  [15190] = {.lex_state = 434, .external_lex_state = 2},
  [15191] = {.lex_state = 434, .external_lex_state = 2},
  [15192] = {.lex_state = 434, .external_lex_state = 2},
  [15193] = {.lex_state = 434, .external_lex_state = 2},
  [15194] = {.lex_state = 434, .external_lex_state = 2},
  [15195] = {.lex_state = 130, .external_lex_state = 2},
  [15196] = {.lex_state = 434, .external_lex_state = 2},
  [15197] = {.lex_state = 434, .external_lex_state = 2},
  [15198] = {.lex_state = 434, .external_lex_state = 2},
  [15199] = {.lex_state = 434, .external_lex_state = 2},
  [15200] = {.lex_state = 434, .external_lex_state = 2},
  [15201] = {.lex_state = 434, .external_lex_state = 2},
  [15202] = {.lex_state = 434, .external_lex_state = 2},
  [15203] = {.lex_state = 127, .external_lex_state = 2},
  [15204] = {.lex_state = 434, .external_lex_state = 2},
  [15205] = {.lex_state = 127, .external_lex_state = 2},
  [15206] = {.lex_state = 130, .external_lex_state = 2},
  [15207] = {.lex_state = 232, .external_lex_state = 2},
  [15208] = {.lex_state = 434, .external_lex_state = 2},
  [15209] = {.lex_state = 434, .external_lex_state = 2},
  [15210] = {.lex_state = 434, .external_lex_state = 2},
  [15211] = {.lex_state = 127, .external_lex_state = 2},
  [15212] = {.lex_state = 434, .external_lex_state = 2},
  [15213] = {.lex_state = 232, .external_lex_state = 2},
  [15214] = {.lex_state = 434, .external_lex_state = 2},
  [15215] = {.lex_state = 434, .external_lex_state = 2},
  [15216] = {.lex_state = 434, .external_lex_state = 2},
  [15217] = {.lex_state = 434, .external_lex_state = 2},
  [15218] = {.lex_state = 127, .external_lex_state = 2},
  [15219] = {.lex_state = 130, .external_lex_state = 2},
  [15220] = {.lex_state = 262, .external_lex_state = 8},
  [15221] = {.lex_state = 434, .external_lex_state = 2},
  [15222] = {.lex_state = 130, .external_lex_state = 2},
  [15223] = {.lex_state = 434, .external_lex_state = 2},
  [15224] = {.lex_state = 262, .external_lex_state = 8},
  [15225] = {.lex_state = 434, .external_lex_state = 2},
  [15226] = {.lex_state = 434, .external_lex_state = 2},
  [15227] = {.lex_state = 434, .external_lex_state = 2},
  [15228] = {.lex_state = 434, .external_lex_state = 2},
  [15229] = {.lex_state = 434, .external_lex_state = 2},
  [15230] = {.lex_state = 434, .external_lex_state = 2},
  [15231] = {.lex_state = 434, .external_lex_state = 2},
  [15232] = {.lex_state = 434, .external_lex_state = 2},
  [15233] = {.lex_state = 434, .external_lex_state = 2},
  [15234] = {.lex_state = 434, .external_lex_state = 2},
  [15235] = {.lex_state = 434, .external_lex_state = 2},
  [15236] = {.lex_state = 434, .external_lex_state = 2},
  [15237] = {.lex_state = 434, .external_lex_state = 2},
  [15238] = {.lex_state = 434, .external_lex_state = 2},
  [15239] = {.lex_state = 434, .external_lex_state = 2},
  [15240] = {.lex_state = 434, .external_lex_state = 2},
  [15241] = {.lex_state = 434, .external_lex_state = 2},
  [15242] = {.lex_state = 434, .external_lex_state = 2},
  [15243] = {.lex_state = 256, .external_lex_state = 2},
  [15244] = {.lex_state = 232, .external_lex_state = 2},
  [15245] = {.lex_state = 262, .external_lex_state = 8},
  [15246] = {.lex_state = 434, .external_lex_state = 2},
  [15247] = {.lex_state = 434, .external_lex_state = 2},
  [15248] = {.lex_state = 434, .external_lex_state = 2},
  [15249] = {.lex_state = 130, .external_lex_state = 2},
  [15250] = {.lex_state = 434, .external_lex_state = 2},
  [15251] = {.lex_state = 434, .external_lex_state = 2},
  [15252] = {.lex_state = 434, .external_lex_state = 2},
  [15253] = {.lex_state = 434, .external_lex_state = 2},
  [15254] = {.lex_state = 434, .external_lex_state = 2},
  [15255] = {.lex_state = 434, .external_lex_state = 2},
  [15256] = {.lex_state = 434, .external_lex_state = 2},
  [15257] = {.lex_state = 434, .external_lex_state = 2},
  [15258] = {.lex_state = 434, .external_lex_state = 2},
  [15259] = {.lex_state = 434, .external_lex_state = 2},
  [15260] = {.lex_state = 434, .external_lex_state = 2},
  [15261] = {.lex_state = 232, .external_lex_state = 2},
  [15262] = {.lex_state = 434, .external_lex_state = 2},
  [15263] = {.lex_state = 434, .external_lex_state = 2},
  [15264] = {.lex_state = 434, .external_lex_state = 2},
  [15265] = {.lex_state = 262, .external_lex_state = 8},
  [15266] = {.lex_state = 434, .external_lex_state = 2},
  [15267] = {.lex_state = 434, .external_lex_state = 2},
  [15268] = {.lex_state = 130, .external_lex_state = 2},
  [15269] = {.lex_state = 127, .external_lex_state = 2},
  [15270] = {.lex_state = 434, .external_lex_state = 2},
  [15271] = {.lex_state = 130, .external_lex_state = 2},
  [15272] = {.lex_state = 434, .external_lex_state = 2},
  [15273] = {.lex_state = 157, .external_lex_state = 2},
  [15274] = {.lex_state = 434, .external_lex_state = 2},
  [15275] = {.lex_state = 434, .external_lex_state = 2},
  [15276] = {.lex_state = 130, .external_lex_state = 2},
  [15277] = {.lex_state = 232, .external_lex_state = 2},
  [15278] = {.lex_state = 434, .external_lex_state = 2},
  [15279] = {.lex_state = 434, .external_lex_state = 2},
  [15280] = {.lex_state = 434, .external_lex_state = 2},
  [15281] = {.lex_state = 434, .external_lex_state = 2},
  [15282] = {.lex_state = 127, .external_lex_state = 2},
  [15283] = {.lex_state = 203, .external_lex_state = 2},
  [15284] = {.lex_state = 434, .external_lex_state = 2},
  [15285] = {.lex_state = 434, .external_lex_state = 2},
  [15286] = {.lex_state = 434, .external_lex_state = 2},
  [15287] = {.lex_state = 434, .external_lex_state = 2},
  [15288] = {.lex_state = 434, .external_lex_state = 2},
  [15289] = {.lex_state = 262, .external_lex_state = 8},
  [15290] = {.lex_state = 130, .external_lex_state = 2},
  [15291] = {.lex_state = 434, .external_lex_state = 2},
  [15292] = {.lex_state = 434, .external_lex_state = 2},
  [15293] = {.lex_state = 434, .external_lex_state = 2},
  [15294] = {.lex_state = 434, .external_lex_state = 2},
  [15295] = {.lex_state = 434, .external_lex_state = 2},
  [15296] = {.lex_state = 434, .external_lex_state = 2},
  [15297] = {.lex_state = 127, .external_lex_state = 2},
  [15298] = {.lex_state = 434, .external_lex_state = 2},
  [15299] = {.lex_state = 434, .external_lex_state = 2},
  [15300] = {.lex_state = 434, .external_lex_state = 2},
  [15301] = {.lex_state = 434, .external_lex_state = 2},
  [15302] = {.lex_state = 130, .external_lex_state = 2},
  [15303] = {.lex_state = 130, .external_lex_state = 2},
  [15304] = {.lex_state = 434, .external_lex_state = 2},
  [15305] = {.lex_state = 127, .external_lex_state = 2},
  [15306] = {.lex_state = 434, .external_lex_state = 2},
  [15307] = {.lex_state = 130, .external_lex_state = 2},
  [15308] = {.lex_state = 434, .external_lex_state = 2},
  [15309] = {.lex_state = 434, .external_lex_state = 2},
  [15310] = {.lex_state = 434, .external_lex_state = 2},
  [15311] = {.lex_state = 434, .external_lex_state = 2},
  [15312] = {.lex_state = 434, .external_lex_state = 2},
  [15313] = {.lex_state = 434, .external_lex_state = 2},
  [15314] = {.lex_state = 232, .external_lex_state = 2},
  [15315] = {.lex_state = 262, .external_lex_state = 8},
  [15316] = {.lex_state = 434, .external_lex_state = 2},
  [15317] = {.lex_state = 434, .external_lex_state = 2},
  [15318] = {.lex_state = 434, .external_lex_state = 2},
  [15319] = {.lex_state = 127, .external_lex_state = 2},
  [15320] = {.lex_state = 434, .external_lex_state = 2},
  [15321] = {.lex_state = 434, .external_lex_state = 2},
  [15322] = {.lex_state = 434, .external_lex_state = 2},
  [15323] = {.lex_state = 434, .external_lex_state = 2},
  [15324] = {.lex_state = 256, .external_lex_state = 2},
  [15325] = {.lex_state = 434, .external_lex_state = 2},
  [15326] = {.lex_state = 256, .external_lex_state = 2},
  [15327] = {.lex_state = 434, .external_lex_state = 2},
  [15328] = {.lex_state = 434, .external_lex_state = 2},
  [15329] = {.lex_state = 434, .external_lex_state = 2},
  [15330] = {.lex_state = 434, .external_lex_state = 2},
  [15331] = {.lex_state = 434, .external_lex_state = 2},
  [15332] = {.lex_state = 434, .external_lex_state = 2},
  [15333] = {.lex_state = 434, .external_lex_state = 2},
  [15334] = {.lex_state = 434, .external_lex_state = 2},
  [15335] = {.lex_state = 434, .external_lex_state = 2},
  [15336] = {.lex_state = 434, .external_lex_state = 2},
  [15337] = {.lex_state = 262, .external_lex_state = 8},
  [15338] = {.lex_state = 434, .external_lex_state = 2},
  [15339] = {.lex_state = 434, .external_lex_state = 2},
  [15340] = {.lex_state = 434, .external_lex_state = 2},
  [15341] = {.lex_state = 130, .external_lex_state = 2},
  [15342] = {.lex_state = 434, .external_lex_state = 2},
  [15343] = {.lex_state = 434, .external_lex_state = 2},
  [15344] = {.lex_state = 434, .external_lex_state = 2},
  [15345] = {.lex_state = 127, .external_lex_state = 2},
  [15346] = {.lex_state = 434, .external_lex_state = 2},
  [15347] = {.lex_state = 434, .external_lex_state = 2},
  [15348] = {.lex_state = 203, .external_lex_state = 2},
  [15349] = {.lex_state = 434, .external_lex_state = 2},
  [15350] = {.lex_state = 232, .external_lex_state = 2},
  [15351] = {.lex_state = 434, .external_lex_state = 2},
  [15352] = {.lex_state = 434, .external_lex_state = 2},
  [15353] = {.lex_state = 434, .external_lex_state = 2},
  [15354] = {.lex_state = 232, .external_lex_state = 2},
  [15355] = {.lex_state = 203, .external_lex_state = 2},
  [15356] = {.lex_state = 434, .external_lex_state = 2},
  [15357] = {.lex_state = 434, .external_lex_state = 2},
  [15358] = {.lex_state = 262, .external_lex_state = 8},
  [15359] = {.lex_state = 434, .external_lex_state = 2},
  [15360] = {.lex_state = 434, .external_lex_state = 2},
  [15361] = {.lex_state = 232, .external_lex_state = 2},
  [15362] = {.lex_state = 434, .external_lex_state = 2},
  [15363] = {.lex_state = 434, .external_lex_state = 2},
  [15364] = {.lex_state = 434, .external_lex_state = 2},
  [15365] = {.lex_state = 434, .external_lex_state = 2},
  [15366] = {.lex_state = 434, .external_lex_state = 2},
  [15367] = {.lex_state = 262, .external_lex_state = 8},
  [15368] = {.lex_state = 434, .external_lex_state = 2},
  [15369] = {.lex_state = 130, .external_lex_state = 2},
  [15370] = {.lex_state = 434, .external_lex_state = 2},
  [15371] = {.lex_state = 434, .external_lex_state = 2},
  [15372] = {.lex_state = 434, .external_lex_state = 2},
  [15373] = {.lex_state = 434, .external_lex_state = 2},
  [15374] = {.lex_state = 434, .external_lex_state = 2},
  [15375] = {.lex_state = 434, .external_lex_state = 2},
  [15376] = {.lex_state = 434, .external_lex_state = 2},
  [15377] = {.lex_state = 434, .external_lex_state = 2},
  [15378] = {.lex_state = 256, .external_lex_state = 2},
  [15379] = {.lex_state = 434, .external_lex_state = 2},
  [15380] = {.lex_state = 434, .external_lex_state = 2},
  [15381] = {.lex_state = 434, .external_lex_state = 2},
  [15382] = {.lex_state = 434, .external_lex_state = 2},
  [15383] = {.lex_state = 262, .external_lex_state = 8},
  [15384] = {.lex_state = 434, .external_lex_state = 2},
  [15385] = {.lex_state = 256, .external_lex_state = 2},
  [15386] = {.lex_state = 434, .external_lex_state = 2},
  [15387] = {.lex_state = 434, .external_lex_state = 2},
  [15388] = {.lex_state = 434, .external_lex_state = 2},
  [15389] = {.lex_state = 434, .external_lex_state = 2},
  [15390] = {.lex_state = 434, .external_lex_state = 2},
  [15391] = {.lex_state = 434, .external_lex_state = 2},
  [15392] = {.lex_state = 232, .external_lex_state = 2},
  [15393] = {.lex_state = 434, .external_lex_state = 2},
  [15394] = {.lex_state = 434, .external_lex_state = 2},
  [15395] = {.lex_state = 434, .external_lex_state = 2},
  [15396] = {.lex_state = 434, .external_lex_state = 2},
  [15397] = {.lex_state = 434, .external_lex_state = 2},
  [15398] = {.lex_state = 434, .external_lex_state = 2},
  [15399] = {.lex_state = 434, .external_lex_state = 2},
  [15400] = {.lex_state = 262, .external_lex_state = 8},
  [15401] = {.lex_state = 434, .external_lex_state = 2},
  [15402] = {.lex_state = 434, .external_lex_state = 2},
  [15403] = {.lex_state = 434, .external_lex_state = 2},
  [15404] = {.lex_state = 127, .external_lex_state = 2},
  [15405] = {.lex_state = 130, .external_lex_state = 2},
  [15406] = {.lex_state = 130, .external_lex_state = 2},
  [15407] = {.lex_state = 130, .external_lex_state = 2},
  [15408] = {.lex_state = 434, .external_lex_state = 2},
  [15409] = {.lex_state = 434, .external_lex_state = 2},
  [15410] = {.lex_state = 262, .external_lex_state = 8},
  [15411] = {.lex_state = 434, .external_lex_state = 2},
  [15412] = {.lex_state = 434, .external_lex_state = 2},
  [15413] = {.lex_state = 130, .external_lex_state = 2},
  [15414] = {.lex_state = 434, .external_lex_state = 2},
  [15415] = {.lex_state = 434, .external_lex_state = 2},
  [15416] = {.lex_state = 130, .external_lex_state = 2},
  [15417] = {.lex_state = 434, .external_lex_state = 2},
  [15418] = {.lex_state = 232, .external_lex_state = 2},
  [15419] = {.lex_state = 434, .external_lex_state = 2},
  [15420] = {.lex_state = 262, .external_lex_state = 8},
  [15421] = {.lex_state = 232, .external_lex_state = 2},
  [15422] = {.lex_state = 434, .external_lex_state = 2},
  [15423] = {.lex_state = 434, .external_lex_state = 2},
  [15424] = {.lex_state = 434, .external_lex_state = 2},
  [15425] = {.lex_state = 434, .external_lex_state = 2},
  [15426] = {.lex_state = 434, .external_lex_state = 2},
  [15427] = {.lex_state = 262, .external_lex_state = 8},
  [15428] = {.lex_state = 434, .external_lex_state = 2},
  [15429] = {.lex_state = 434, .external_lex_state = 2},
  [15430] = {.lex_state = 434, .external_lex_state = 2},
  [15431] = {.lex_state = 232, .external_lex_state = 2},
  [15432] = {.lex_state = 434, .external_lex_state = 2},
  [15433] = {.lex_state = 434, .external_lex_state = 2},
  [15434] = {.lex_state = 130, .external_lex_state = 2},
  [15435] = {.lex_state = 434, .external_lex_state = 2},
  [15436] = {.lex_state = 434, .external_lex_state = 2},
  [15437] = {.lex_state = 434, .external_lex_state = 2},
  [15438] = {.lex_state = 434, .external_lex_state = 2},
  [15439] = {.lex_state = 262, .external_lex_state = 8},
  [15440] = {.lex_state = 434, .external_lex_state = 2},
  [15441] = {.lex_state = 127, .external_lex_state = 2},
  [15442] = {.lex_state = 434, .external_lex_state = 2},
  [15443] = {.lex_state = 434, .external_lex_state = 2},
  [15444] = {.lex_state = 130, .external_lex_state = 2},
  [15445] = {.lex_state = 434, .external_lex_state = 2},
  [15446] = {.lex_state = 434, .external_lex_state = 2},
  [15447] = {.lex_state = 130, .external_lex_state = 2},
  [15448] = {.lex_state = 434, .external_lex_state = 2},
  [15449] = {.lex_state = 434, .external_lex_state = 2},
  [15450] = {.lex_state = 434, .external_lex_state = 2},
  [15451] = {.lex_state = 434, .external_lex_state = 2},
  [15452] = {.lex_state = 434, .external_lex_state = 2},
  [15453] = {.lex_state = 434, .external_lex_state = 2},
  [15454] = {.lex_state = 262, .external_lex_state = 8},
  [15455] = {.lex_state = 434, .external_lex_state = 2},
  [15456] = {.lex_state = 434, .external_lex_state = 2},
  [15457] = {.lex_state = 434, .external_lex_state = 2},
  [15458] = {.lex_state = 434, .external_lex_state = 2},
  [15459] = {.lex_state = 434, .external_lex_state = 2},
  [15460] = {.lex_state = 434, .external_lex_state = 2},
  [15461] = {.lex_state = 130, .external_lex_state = 2},
  [15462] = {.lex_state = 434, .external_lex_state = 2},
  [15463] = {.lex_state = 91, .external_lex_state = 2},
  [15464] = {.lex_state = 434, .external_lex_state = 2},
  [15465] = {.lex_state = 434, .external_lex_state = 2},
  [15466] = {.lex_state = 434, .external_lex_state = 2},
  [15467] = {.lex_state = 127, .external_lex_state = 2},
  [15468] = {.lex_state = 256, .external_lex_state = 2},
  [15469] = {.lex_state = 434, .external_lex_state = 2},
  [15470] = {.lex_state = 262, .external_lex_state = 8},
  [15471] = {.lex_state = 434, .external_lex_state = 2},
  [15472] = {.lex_state = 434, .external_lex_state = 2},
  [15473] = {.lex_state = 434, .external_lex_state = 2},
  [15474] = {.lex_state = 434, .external_lex_state = 2},
  [15475] = {.lex_state = 434, .external_lex_state = 2},
  [15476] = {.lex_state = 434, .external_lex_state = 2},
  [15477] = {.lex_state = 434, .external_lex_state = 2},
  [15478] = {.lex_state = 256, .external_lex_state = 2},
  [15479] = {.lex_state = 232, .external_lex_state = 2},
  [15480] = {.lex_state = 127, .external_lex_state = 2},
  [15481] = {.lex_state = 127, .external_lex_state = 2},
  [15482] = {.lex_state = 434, .external_lex_state = 2},
  [15483] = {.lex_state = 434, .external_lex_state = 2},
  [15484] = {.lex_state = 434, .external_lex_state = 2},
  [15485] = {.lex_state = 262, .external_lex_state = 8},
  [15486] = {.lex_state = 434, .external_lex_state = 2},
  [15487] = {.lex_state = 256, .external_lex_state = 2},
  [15488] = {.lex_state = 130, .external_lex_state = 2},
  [15489] = {.lex_state = 434, .external_lex_state = 2},
  [15490] = {.lex_state = 434, .external_lex_state = 2},
  [15491] = {.lex_state = 434, .external_lex_state = 2},
  [15492] = {.lex_state = 130, .external_lex_state = 2},
  [15493] = {.lex_state = 130, .external_lex_state = 2},
  [15494] = {.lex_state = 434, .external_lex_state = 2},
  [15495] = {.lex_state = 127, .external_lex_state = 2},
  [15496] = {.lex_state = 434, .external_lex_state = 2},
  [15497] = {.lex_state = 127, .external_lex_state = 2},
  [15498] = {.lex_state = 434, .external_lex_state = 2},
  [15499] = {.lex_state = 434, .external_lex_state = 2},
  [15500] = {.lex_state = 434, .external_lex_state = 2},
  [15501] = {.lex_state = 434, .external_lex_state = 2},
  [15502] = {.lex_state = 262, .external_lex_state = 8},
  [15503] = {.lex_state = 434, .external_lex_state = 2},
  [15504] = {.lex_state = 434, .external_lex_state = 2},
  [15505] = {.lex_state = 434, .external_lex_state = 2},
  [15506] = {.lex_state = 434, .external_lex_state = 2},
  [15507] = {.lex_state = 434, .external_lex_state = 2},
  [15508] = {.lex_state = 130, .external_lex_state = 2},
  [15509] = {.lex_state = 434, .external_lex_state = 2},
  [15510] = {.lex_state = 434, .external_lex_state = 2},
  [15511] = {.lex_state = 127, .external_lex_state = 2},
  [15512] = {.lex_state = 434, .external_lex_state = 2},
  [15513] = {.lex_state = 127, .external_lex_state = 2},
  [15514] = {.lex_state = 434, .external_lex_state = 2},
  [15515] = {.lex_state = 232, .external_lex_state = 2},
  [15516] = {.lex_state = 434, .external_lex_state = 2},
  [15517] = {.lex_state = 434, .external_lex_state = 2},
  [15518] = {.lex_state = 434, .external_lex_state = 2},
  [15519] = {.lex_state = 262, .external_lex_state = 8},
  [15520] = {.lex_state = 262, .external_lex_state = 8},
  [15521] = {.lex_state = 434, .external_lex_state = 2},
  [15522] = {.lex_state = 256, .external_lex_state = 2},
  [15523] = {.lex_state = 256, .external_lex_state = 2},
  [15524] = {.lex_state = 434, .external_lex_state = 2},
  [15525] = {.lex_state = 434, .external_lex_state = 2},
  [15526] = {.lex_state = 434, .external_lex_state = 2},
  [15527] = {.lex_state = 130, .external_lex_state = 2},
  [15528] = {.lex_state = 434, .external_lex_state = 2},
  [15529] = {.lex_state = 434, .external_lex_state = 2},
  [15530] = {.lex_state = 434, .external_lex_state = 2},
  [15531] = {.lex_state = 434, .external_lex_state = 2},
  [15532] = {.lex_state = 434, .external_lex_state = 2},
  [15533] = {.lex_state = 232, .external_lex_state = 2},
  [15534] = {.lex_state = 434, .external_lex_state = 2},
  [15535] = {.lex_state = 434, .external_lex_state = 2},
  [15536] = {.lex_state = 262, .external_lex_state = 8},
  [15537] = {.lex_state = 130, .external_lex_state = 2},
  [15538] = {.lex_state = 434, .external_lex_state = 2},
  [15539] = {.lex_state = 434, .external_lex_state = 2},
  [15540] = {.lex_state = 434, .external_lex_state = 2},
  [15541] = {.lex_state = 232, .external_lex_state = 2},
  [15542] = {.lex_state = 434, .external_lex_state = 2},
  [15543] = {.lex_state = 434, .external_lex_state = 2},
  [15544] = {.lex_state = 434, .external_lex_state = 2},
  [15545] = {.lex_state = 434, .external_lex_state = 2},
  [15546] = {.lex_state = 434, .external_lex_state = 2},
  [15547] = {.lex_state = 232, .external_lex_state = 2},
  [15548] = {.lex_state = 434, .external_lex_state = 2},
  [15549] = {.lex_state = 434, .external_lex_state = 2},
  [15550] = {.lex_state = 434, .external_lex_state = 2},
  [15551] = {.lex_state = 434, .external_lex_state = 2},
  [15552] = {.lex_state = 130, .external_lex_state = 2},
  [15553] = {.lex_state = 434, .external_lex_state = 2},
  [15554] = {.lex_state = 434, .external_lex_state = 2},
  [15555] = {.lex_state = 434, .external_lex_state = 2},
  [15556] = {.lex_state = 262, .external_lex_state = 8},
  [15557] = {.lex_state = 434, .external_lex_state = 2},
  [15558] = {.lex_state = 434, .external_lex_state = 2},
  [15559] = {.lex_state = 127, .external_lex_state = 2},
  [15560] = {.lex_state = 434, .external_lex_state = 2},
  [15561] = {.lex_state = 434, .external_lex_state = 2},
  [15562] = {.lex_state = 434, .external_lex_state = 2},
  [15563] = {.lex_state = 434, .external_lex_state = 2},
  [15564] = {.lex_state = 434, .external_lex_state = 2},
  [15565] = {.lex_state = 434, .external_lex_state = 2},
  [15566] = {.lex_state = 434, .external_lex_state = 2},
  [15567] = {.lex_state = 262, .external_lex_state = 8},
  [15568] = {.lex_state = 434, .external_lex_state = 2},
  [15569] = {.lex_state = 434, .external_lex_state = 2},
  [15570] = {.lex_state = 130, .external_lex_state = 2},
  [15571] = {.lex_state = 434, .external_lex_state = 2},
  [15572] = {.lex_state = 434, .external_lex_state = 2},
  [15573] = {.lex_state = 157, .external_lex_state = 2},
  [15574] = {.lex_state = 434, .external_lex_state = 2},
  [15575] = {.lex_state = 232, .external_lex_state = 2},
  [15576] = {.lex_state = 434, .external_lex_state = 2},
  [15577] = {.lex_state = 130, .external_lex_state = 2},
  [15578] = {.lex_state = 434, .external_lex_state = 2},
  [15579] = {.lex_state = 127, .external_lex_state = 2},
  [15580] = {.lex_state = 434, .external_lex_state = 2},
  [15581] = {.lex_state = 262, .external_lex_state = 8},
  [15582] = {.lex_state = 434, .external_lex_state = 2},
  [15583] = {.lex_state = 434, .external_lex_state = 2},
  [15584] = {.lex_state = 232, .external_lex_state = 2},
  [15585] = {.lex_state = 434, .external_lex_state = 2},
  [15586] = {.lex_state = 434, .external_lex_state = 2},
  [15587] = {.lex_state = 434, .external_lex_state = 2},
  [15588] = {.lex_state = 434, .external_lex_state = 2},
  [15589] = {.lex_state = 434, .external_lex_state = 2},
  [15590] = {.lex_state = 434, .external_lex_state = 2},
  [15591] = {.lex_state = 127, .external_lex_state = 2},
  [15592] = {.lex_state = 434, .external_lex_state = 2},
  [15593] = {.lex_state = 434, .external_lex_state = 2},
  [15594] = {.lex_state = 434, .external_lex_state = 2},
  [15595] = {.lex_state = 434, .external_lex_state = 2},
  [15596] = {.lex_state = 434, .external_lex_state = 2},
  [15597] = {.lex_state = 262, .external_lex_state = 8},
  [15598] = {.lex_state = 434, .external_lex_state = 2},
  [15599] = {.lex_state = 434, .external_lex_state = 2},
  [15600] = {.lex_state = 203, .external_lex_state = 2},
  [15601] = {.lex_state = 127, .external_lex_state = 2},
  [15602] = {.lex_state = 434, .external_lex_state = 2},
  [15603] = {.lex_state = 434, .external_lex_state = 2},
  [15604] = {.lex_state = 256, .external_lex_state = 2},
  [15605] = {.lex_state = 434, .external_lex_state = 2},
  [15606] = {.lex_state = 434, .external_lex_state = 2},
  [15607] = {.lex_state = 434, .external_lex_state = 2},
  [15608] = {.lex_state = 434, .external_lex_state = 2},
  [15609] = {.lex_state = 434, .external_lex_state = 2},
  [15610] = {.lex_state = 130, .external_lex_state = 2},
  [15611] = {.lex_state = 434, .external_lex_state = 2},
  [15612] = {.lex_state = 262, .external_lex_state = 8},
  [15613] = {.lex_state = 232, .external_lex_state = 2},
  [15614] = {.lex_state = 127, .external_lex_state = 2},
  [15615] = {.lex_state = 130, .external_lex_state = 2},
  [15616] = {.lex_state = 434, .external_lex_state = 2},
  [15617] = {.lex_state = 434, .external_lex_state = 2},
  [15618] = {.lex_state = 130, .external_lex_state = 2},
  [15619] = {.lex_state = 434, .external_lex_state = 2},
  [15620] = {.lex_state = 434, .external_lex_state = 2},
  [15621] = {.lex_state = 434, .external_lex_state = 2},
  [15622] = {.lex_state = 434, .external_lex_state = 2},
  [15623] = {.lex_state = 434, .external_lex_state = 2},
  [15624] = {.lex_state = 127, .external_lex_state = 2},
  [15625] = {.lex_state = 434, .external_lex_state = 2},
  [15626] = {.lex_state = 434, .external_lex_state = 2},
  [15627] = {.lex_state = 434, .external_lex_state = 2},
  [15628] = {.lex_state = 434, .external_lex_state = 2},
  [15629] = {.lex_state = 262, .external_lex_state = 8},
  [15630] = {.lex_state = 434, .external_lex_state = 2},
  [15631] = {.lex_state = 434, .external_lex_state = 2},
  [15632] = {.lex_state = 256, .external_lex_state = 2},
  [15633] = {.lex_state = 434, .external_lex_state = 2},
  [15634] = {.lex_state = 130, .external_lex_state = 2},
  [15635] = {.lex_state = 434, .external_lex_state = 2},
  [15636] = {.lex_state = 434, .external_lex_state = 2},
  [15637] = {.lex_state = 434, .external_lex_state = 2},
  [15638] = {.lex_state = 434, .external_lex_state = 2},
  [15639] = {.lex_state = 434, .external_lex_state = 2},
  [15640] = {.lex_state = 434, .external_lex_state = 2},
  [15641] = {.lex_state = 434, .external_lex_state = 2},
  [15642] = {.lex_state = 262, .external_lex_state = 8},
  [15643] = {.lex_state = 127, .external_lex_state = 2},
  [15644] = {.lex_state = 232, .external_lex_state = 2},
  [15645] = {.lex_state = 434, .external_lex_state = 2},
  [15646] = {.lex_state = 434, .external_lex_state = 2},
  [15647] = {.lex_state = 434, .external_lex_state = 2},
  [15648] = {.lex_state = 262, .external_lex_state = 8},
  [15649] = {.lex_state = 434, .external_lex_state = 2},
  [15650] = {.lex_state = 127, .external_lex_state = 2},
  [15651] = {.lex_state = 434, .external_lex_state = 2},
  [15652] = {.lex_state = 434, .external_lex_state = 2},
  [15653] = {.lex_state = 434, .external_lex_state = 2},
  [15654] = {.lex_state = 434, .external_lex_state = 2},
  [15655] = {.lex_state = 262, .external_lex_state = 8},
  [15656] = {.lex_state = 434, .external_lex_state = 2},
  [15657] = {.lex_state = 130, .external_lex_state = 2},
  [15658] = {.lex_state = 127, .external_lex_state = 2},
  [15659] = {.lex_state = 434, .external_lex_state = 2},
  [15660] = {.lex_state = 262, .external_lex_state = 8},
  [15661] = {.lex_state = 434, .external_lex_state = 2},
  [15662] = {.lex_state = 434, .external_lex_state = 2},
  [15663] = {.lex_state = 127, .external_lex_state = 2},
  [15664] = {.lex_state = 434, .external_lex_state = 2},
  [15665] = {.lex_state = 262, .external_lex_state = 8},
  [15666] = {.lex_state = 434, .external_lex_state = 2},
  [15667] = {.lex_state = 434, .external_lex_state = 2},
  [15668] = {.lex_state = 262, .external_lex_state = 8},
  [15669] = {.lex_state = 434, .external_lex_state = 2},
  [15670] = {.lex_state = 434, .external_lex_state = 2},
  [15671] = {.lex_state = 262, .external_lex_state = 8},
  [15672] = {.lex_state = 434, .external_lex_state = 2},
  [15673] = {.lex_state = 434, .external_lex_state = 2},
  [15674] = {.lex_state = 262, .external_lex_state = 8},
  [15675] = {.lex_state = 434, .external_lex_state = 2},
  [15676] = {.lex_state = 434, .external_lex_state = 2},
  [15677] = {.lex_state = 262, .external_lex_state = 8},
  [15678] = {.lex_state = 434, .external_lex_state = 2},
  [15679] = {.lex_state = 434, .external_lex_state = 2},
  [15680] = {.lex_state = 262, .external_lex_state = 8},
  [15681] = {.lex_state = 434, .external_lex_state = 2},
  [15682] = {.lex_state = 434, .external_lex_state = 2},
  [15683] = {.lex_state = 262, .external_lex_state = 8},
  [15684] = {.lex_state = 434, .external_lex_state = 2},
  [15685] = {.lex_state = 434, .external_lex_state = 2},
  [15686] = {.lex_state = 262, .external_lex_state = 8},
  [15687] = {.lex_state = 434, .external_lex_state = 2},
  [15688] = {.lex_state = 434, .external_lex_state = 2},
  [15689] = {.lex_state = 262, .external_lex_state = 8},
  [15690] = {.lex_state = 256, .external_lex_state = 2},
  [15691] = {.lex_state = 434, .external_lex_state = 2},
  [15692] = {.lex_state = 262, .external_lex_state = 8},
  [15693] = {.lex_state = 256, .external_lex_state = 2},
  [15694] = {.lex_state = 434, .external_lex_state = 2},
  [15695] = {.lex_state = 262, .external_lex_state = 8},
  [15696] = {.lex_state = 434, .external_lex_state = 2},
  [15697] = {.lex_state = 262, .external_lex_state = 8},
  [15698] = {.lex_state = 434, .external_lex_state = 2},
  [15699] = {.lex_state = 262, .external_lex_state = 8},
  [15700] = {.lex_state = 434, .external_lex_state = 2},
  [15701] = {.lex_state = 262, .external_lex_state = 8},
  [15702] = {.lex_state = 434, .external_lex_state = 2},
  [15703] = {.lex_state = 262, .external_lex_state = 8},
  [15704] = {.lex_state = 434, .external_lex_state = 2},
  [15705] = {.lex_state = 262, .external_lex_state = 8},
  [15706] = {.lex_state = 434, .external_lex_state = 2},
  [15707] = {.lex_state = 262, .external_lex_state = 8},
  [15708] = {.lex_state = 434, .external_lex_state = 2},
  [15709] = {.lex_state = 262, .external_lex_state = 8},
  [15710] = {.lex_state = 434, .external_lex_state = 2},
  [15711] = {.lex_state = 262, .external_lex_state = 8},
  [15712] = {.lex_state = 434, .external_lex_state = 2},
  [15713] = {.lex_state = 262, .external_lex_state = 8},
  [15714] = {.lex_state = 434, .external_lex_state = 2},
  [15715] = {.lex_state = 262, .external_lex_state = 8},
  [15716] = {.lex_state = 434, .external_lex_state = 2},
  [15717] = {.lex_state = 262, .external_lex_state = 8},
  [15718] = {.lex_state = 434, .external_lex_state = 2},
  [15719] = {.lex_state = 262, .external_lex_state = 8},
  [15720] = {.lex_state = 434, .external_lex_state = 2},
  [15721] = {.lex_state = 262, .external_lex_state = 8},
  [15722] = {.lex_state = 434, .external_lex_state = 2},
  [15723] = {.lex_state = 262, .external_lex_state = 8},
  [15724] = {.lex_state = 434, .external_lex_state = 2},
  [15725] = {.lex_state = 262, .external_lex_state = 8},
  [15726] = {.lex_state = 434, .external_lex_state = 2},
  [15727] = {.lex_state = 262, .external_lex_state = 8},
  [15728] = {.lex_state = 434, .external_lex_state = 2},
  [15729] = {.lex_state = 262, .external_lex_state = 8},
  [15730] = {.lex_state = 434, .external_lex_state = 2},
  [15731] = {.lex_state = 262, .external_lex_state = 8},
  [15732] = {.lex_state = 434, .external_lex_state = 2},
  [15733] = {.lex_state = 262, .external_lex_state = 8},
  [15734] = {.lex_state = 434, .external_lex_state = 2},
  [15735] = {.lex_state = 262, .external_lex_state = 8},
  [15736] = {.lex_state = 434, .external_lex_state = 2},
  [15737] = {.lex_state = 262, .external_lex_state = 8},
  [15738] = {.lex_state = 434, .external_lex_state = 2},
  [15739] = {.lex_state = 262, .external_lex_state = 8},
  [15740] = {.lex_state = 434, .external_lex_state = 2},
  [15741] = {.lex_state = 262, .external_lex_state = 8},
  [15742] = {.lex_state = 434, .external_lex_state = 2},
  [15743] = {.lex_state = 434, .external_lex_state = 2},
  [15744] = {.lex_state = 127, .external_lex_state = 2},
  [15745] = {.lex_state = 434, .external_lex_state = 2},
  [15746] = {.lex_state = 434, .external_lex_state = 2},
  [15747] = {.lex_state = 434, .external_lex_state = 2},
  [15748] = {.lex_state = 434, .external_lex_state = 2},
  [15749] = {.lex_state = 130, .external_lex_state = 2},
  [15750] = {.lex_state = 434, .external_lex_state = 2},
  [15751] = {.lex_state = 434, .external_lex_state = 2},
  [15752] = {.lex_state = 434, .external_lex_state = 2},
  [15753] = {.lex_state = 127, .external_lex_state = 2},
  [15754] = {.lex_state = 262, .external_lex_state = 8},
  [15755] = {.lex_state = 434, .external_lex_state = 2},
  [15756] = {.lex_state = 434, .external_lex_state = 2},
  [15757] = {.lex_state = 157, .external_lex_state = 2},
  [15758] = {.lex_state = 256, .external_lex_state = 2},
  [15759] = {.lex_state = 256, .external_lex_state = 2},
  [15760] = {.lex_state = 434, .external_lex_state = 2},
  [15761] = {.lex_state = 434, .external_lex_state = 2},
  [15762] = {.lex_state = 434, .external_lex_state = 2},
  [15763] = {.lex_state = 434, .external_lex_state = 2},
  [15764] = {.lex_state = 434, .external_lex_state = 2},
  [15765] = {.lex_state = 157, .external_lex_state = 2},
  [15766] = {.lex_state = 434, .external_lex_state = 2},
  [15767] = {.lex_state = 434, .external_lex_state = 2},
  [15768] = {.lex_state = 434, .external_lex_state = 2},
  [15769] = {.lex_state = 434, .external_lex_state = 2},
  [15770] = {.lex_state = 434, .external_lex_state = 2},
  [15771] = {.lex_state = 434, .external_lex_state = 2},
  [15772] = {.lex_state = 434, .external_lex_state = 2},
  [15773] = {.lex_state = 434, .external_lex_state = 2},
  [15774] = {.lex_state = 262, .external_lex_state = 8},
  [15775] = {.lex_state = 127, .external_lex_state = 2},
  [15776] = {.lex_state = 434, .external_lex_state = 2},
  [15777] = {.lex_state = 127, .external_lex_state = 2},
  [15778] = {.lex_state = 256, .external_lex_state = 2},
  [15779] = {.lex_state = 256, .external_lex_state = 2},
  [15780] = {.lex_state = 434, .external_lex_state = 2},
  [15781] = {.lex_state = 434, .external_lex_state = 2},
  [15782] = {.lex_state = 434, .external_lex_state = 2},
  [15783] = {.lex_state = 434, .external_lex_state = 2},
  [15784] = {.lex_state = 130, .external_lex_state = 2},
  [15785] = {.lex_state = 130, .external_lex_state = 2},
  [15786] = {.lex_state = 256, .external_lex_state = 2},
  [15787] = {.lex_state = 256, .external_lex_state = 2},
  [15788] = {.lex_state = 434, .external_lex_state = 2},
  [15789] = {.lex_state = 232, .external_lex_state = 2},
  [15790] = {.lex_state = 434, .external_lex_state = 2},
  [15791] = {.lex_state = 434, .external_lex_state = 2},
  [15792] = {.lex_state = 434, .external_lex_state = 2},
  [15793] = {.lex_state = 434, .external_lex_state = 2},
  [15794] = {.lex_state = 434, .external_lex_state = 2},
  [15795] = {.lex_state = 434, .external_lex_state = 2},
  [15796] = {.lex_state = 434, .external_lex_state = 2},
  [15797] = {.lex_state = 434, .external_lex_state = 2},
  [15798] = {.lex_state = 434, .external_lex_state = 2},
  [15799] = {.lex_state = 434, .external_lex_state = 2},
  [15800] = {.lex_state = 434, .external_lex_state = 2},
  [15801] = {.lex_state = 434, .external_lex_state = 2},
  [15802] = {.lex_state = 434, .external_lex_state = 2},
  [15803] = {.lex_state = 262, .external_lex_state = 8},
  [15804] = {.lex_state = 130, .external_lex_state = 2},
  [15805] = {.lex_state = 434, .external_lex_state = 2},
  [15806] = {.lex_state = 130, .external_lex_state = 2},
  [15807] = {.lex_state = 127, .external_lex_state = 2},
  [15808] = {.lex_state = 434, .external_lex_state = 2},
  [15809] = {.lex_state = 434, .external_lex_state = 2},
  [15810] = {.lex_state = 157, .external_lex_state = 2},
  [15811] = {.lex_state = 232, .external_lex_state = 2},
  [15812] = {.lex_state = 434, .external_lex_state = 2},
  [15813] = {.lex_state = 434, .external_lex_state = 2},
  [15814] = {.lex_state = 434, .external_lex_state = 2},
  [15815] = {.lex_state = 232, .external_lex_state = 2},
  [15816] = {.lex_state = 434, .external_lex_state = 2},
  [15817] = {.lex_state = 157, .external_lex_state = 2},
  [15818] = {.lex_state = 434, .external_lex_state = 2},
  [15819] = {.lex_state = 434, .external_lex_state = 2},
  [15820] = {.lex_state = 434, .external_lex_state = 2},
  [15821] = {.lex_state = 434, .external_lex_state = 2},
  [15822] = {.lex_state = 232, .external_lex_state = 2},
  [15823] = {.lex_state = 434, .external_lex_state = 2},
  [15824] = {.lex_state = 434, .external_lex_state = 2},
  [15825] = {.lex_state = 434, .external_lex_state = 2},
  [15826] = {.lex_state = 434, .external_lex_state = 2},
  [15827] = {.lex_state = 434, .external_lex_state = 2},
  [15828] = {.lex_state = 127, .external_lex_state = 2},
  [15829] = {.lex_state = 434, .external_lex_state = 2},
  [15830] = {.lex_state = 130, .external_lex_state = 2},
  [15831] = {.lex_state = 434, .external_lex_state = 2},
  [15832] = {.lex_state = 130, .external_lex_state = 2},
  [15833] = {.lex_state = 434, .external_lex_state = 2},
  [15834] = {.lex_state = 130, .external_lex_state = 2},
  [15835] = {.lex_state = 434, .external_lex_state = 2},
  [15836] = {.lex_state = 434, .external_lex_state = 2},
  [15837] = {.lex_state = 434, .external_lex_state = 2},
  [15838] = {.lex_state = 130, .external_lex_state = 2},
  [15839] = {.lex_state = 434, .external_lex_state = 2},
  [15840] = {.lex_state = 434, .external_lex_state = 2},
  [15841] = {.lex_state = 434, .external_lex_state = 2},
  [15842] = {.lex_state = 434, .external_lex_state = 2},
  [15843] = {.lex_state = 434, .external_lex_state = 2},
  [15844] = {.lex_state = 434, .external_lex_state = 2},
  [15845] = {.lex_state = 434, .external_lex_state = 2},
  [15846] = {.lex_state = 434, .external_lex_state = 2},
  [15847] = {.lex_state = 434, .external_lex_state = 2},
  [15848] = {.lex_state = 256, .external_lex_state = 2},
  [15849] = {.lex_state = 157, .external_lex_state = 2},
  [15850] = {.lex_state = 434, .external_lex_state = 2},
  [15851] = {.lex_state = 434, .external_lex_state = 2},
  [15852] = {.lex_state = 434, .external_lex_state = 2},
  [15853] = {.lex_state = 434, .external_lex_state = 2},
  [15854] = {.lex_state = 434, .external_lex_state = 2},
  [15855] = {.lex_state = 157, .external_lex_state = 2},
  [15856] = {.lex_state = 434, .external_lex_state = 2},
  [15857] = {.lex_state = 434, .external_lex_state = 2},
  [15858] = {.lex_state = 434, .external_lex_state = 2},
  [15859] = {.lex_state = 434, .external_lex_state = 2},
  [15860] = {.lex_state = 434, .external_lex_state = 2},
  [15861] = {.lex_state = 19, .external_lex_state = 2},
  [15862] = {.lex_state = 434, .external_lex_state = 2},
  [15863] = {.lex_state = 434, .external_lex_state = 2},
  [15864] = {.lex_state = 256, .external_lex_state = 2},
  [15865] = {.lex_state = 434, .external_lex_state = 2},
  [15866] = {.lex_state = 434, .external_lex_state = 2},
  [15867] = {.lex_state = 434, .external_lex_state = 2},
  [15868] = {.lex_state = 434, .external_lex_state = 2},
  [15869] = {.lex_state = 434, .external_lex_state = 2},
  [15870] = {.lex_state = 434, .external_lex_state = 2},
  [15871] = {.lex_state = 434, .external_lex_state = 2},
  [15872] = {.lex_state = 434, .external_lex_state = 2},
  [15873] = {.lex_state = 434, .external_lex_state = 2},
  [15874] = {.lex_state = 434, .external_lex_state = 2},
  [15875] = {.lex_state = 434, .external_lex_state = 2},
  [15876] = {.lex_state = 434, .external_lex_state = 2},
  [15877] = {.lex_state = 434, .external_lex_state = 2},
  [15878] = {.lex_state = 434, .external_lex_state = 2},
  [15879] = {.lex_state = 434, .external_lex_state = 2},
  [15880] = {.lex_state = 434, .external_lex_state = 2},
  [15881] = {.lex_state = 130, .external_lex_state = 2},
  [15882] = {.lex_state = 434, .external_lex_state = 2},
  [15883] = {.lex_state = 157, .external_lex_state = 2},
  [15884] = {.lex_state = 256, .external_lex_state = 2},
  [15885] = {.lex_state = 434, .external_lex_state = 2},
  [15886] = {.lex_state = 157, .external_lex_state = 2},
  [15887] = {.lex_state = 434, .external_lex_state = 2},
  [15888] = {.lex_state = 434, .external_lex_state = 2},
  [15889] = {.lex_state = 434, .external_lex_state = 2},
  [15890] = {.lex_state = 434, .external_lex_state = 2},
  [15891] = {.lex_state = 434, .external_lex_state = 2},
  [15892] = {.lex_state = 127, .external_lex_state = 2},
  [15893] = {.lex_state = 434, .external_lex_state = 2},
  [15894] = {.lex_state = 434, .external_lex_state = 2},
  [15895] = {.lex_state = 434, .external_lex_state = 2},
  [15896] = {.lex_state = 434, .external_lex_state = 2},
  [15897] = {.lex_state = 434, .external_lex_state = 2},
  [15898] = {.lex_state = 434, .external_lex_state = 2},
  [15899] = {.lex_state = 262, .external_lex_state = 8},
  [15900] = {.lex_state = 434, .external_lex_state = 2},
  [15901] = {.lex_state = 130, .external_lex_state = 2},
  [15902] = {.lex_state = 157, .external_lex_state = 2},
  [15903] = {.lex_state = 434, .external_lex_state = 2},
  [15904] = {.lex_state = 434, .external_lex_state = 2},
  [15905] = {.lex_state = 203, .external_lex_state = 2},
  [15906] = {.lex_state = 157, .external_lex_state = 2},
  [15907] = {.lex_state = 434, .external_lex_state = 2},
  [15908] = {.lex_state = 434, .external_lex_state = 2},
  [15909] = {.lex_state = 232, .external_lex_state = 2},
  [15910] = {.lex_state = 434, .external_lex_state = 2},
  [15911] = {.lex_state = 434, .external_lex_state = 2},
  [15912] = {.lex_state = 434, .external_lex_state = 2},
  [15913] = {.lex_state = 434, .external_lex_state = 2},
  [15914] = {.lex_state = 157, .external_lex_state = 2},
  [15915] = {.lex_state = 434, .external_lex_state = 2},
  [15916] = {.lex_state = 434, .external_lex_state = 2},
  [15917] = {.lex_state = 434, .external_lex_state = 2},
  [15918] = {.lex_state = 157, .external_lex_state = 2},
  [15919] = {.lex_state = 157, .external_lex_state = 2},
  [15920] = {.lex_state = 434, .external_lex_state = 2},
  [15921] = {.lex_state = 232, .external_lex_state = 2},
  [15922] = {.lex_state = 434, .external_lex_state = 2},
  [15923] = {.lex_state = 434, .external_lex_state = 2},
  [15924] = {.lex_state = 127, .external_lex_state = 2},
  [15925] = {.lex_state = 434, .external_lex_state = 2},
  [15926] = {.lex_state = 434, .external_lex_state = 2},
  [15927] = {.lex_state = 434, .external_lex_state = 2},
  [15928] = {.lex_state = 434, .external_lex_state = 2},
  [15929] = {.lex_state = 157, .external_lex_state = 2},
  [15930] = {.lex_state = 157, .external_lex_state = 2},
  [15931] = {.lex_state = 130, .external_lex_state = 2},
  [15932] = {.lex_state = 434, .external_lex_state = 2},
  [15933] = {.lex_state = 434, .external_lex_state = 2},
  [15934] = {.lex_state = 434, .external_lex_state = 2},
  [15935] = {.lex_state = 232, .external_lex_state = 2},
  [15936] = {.lex_state = 434, .external_lex_state = 2},
  [15937] = {.lex_state = 434, .external_lex_state = 2},
  [15938] = {.lex_state = 130, .external_lex_state = 2},
  [15939] = {.lex_state = 434, .external_lex_state = 2},
  [15940] = {.lex_state = 157, .external_lex_state = 2},
  [15941] = {.lex_state = 434, .external_lex_state = 2},
  [15942] = {.lex_state = 157, .external_lex_state = 2},
  [15943] = {.lex_state = 434, .external_lex_state = 2},
  [15944] = {.lex_state = 434, .external_lex_state = 2},
  [15945] = {.lex_state = 232, .external_lex_state = 2},
  [15946] = {.lex_state = 434, .external_lex_state = 2},
  [15947] = {.lex_state = 434, .external_lex_state = 2},
  [15948] = {.lex_state = 434, .external_lex_state = 2},
  [15949] = {.lex_state = 434, .external_lex_state = 2},
  [15950] = {.lex_state = 434, .external_lex_state = 2},
  [15951] = {.lex_state = 157, .external_lex_state = 2},
  [15952] = {.lex_state = 434, .external_lex_state = 2},
  [15953] = {.lex_state = 157, .external_lex_state = 2},
  [15954] = {.lex_state = 434, .external_lex_state = 2},
  [15955] = {.lex_state = 434, .external_lex_state = 2},
  [15956] = {.lex_state = 130, .external_lex_state = 2},
  [15957] = {.lex_state = 434, .external_lex_state = 2},
  [15958] = {.lex_state = 434, .external_lex_state = 2},
  [15959] = {.lex_state = 256, .external_lex_state = 2},
  [15960] = {.lex_state = 157, .external_lex_state = 2},
  [15961] = {.lex_state = 157, .external_lex_state = 2},
  [15962] = {.lex_state = 434, .external_lex_state = 2},
  [15963] = {.lex_state = 434, .external_lex_state = 2},
  [15964] = {.lex_state = 127, .external_lex_state = 2},
  [15965] = {.lex_state = 434, .external_lex_state = 2},
  [15966] = {.lex_state = 262, .external_lex_state = 8},
  [15967] = {.lex_state = 434, .external_lex_state = 2},
  [15968] = {.lex_state = 434, .external_lex_state = 2},
  [15969] = {.lex_state = 157, .external_lex_state = 2},
  [15970] = {.lex_state = 157, .external_lex_state = 2},
  [15971] = {.lex_state = 434, .external_lex_state = 2},
  [15972] = {.lex_state = 434, .external_lex_state = 2},
  [15973] = {.lex_state = 434, .external_lex_state = 2},
  [15974] = {.lex_state = 127, .external_lex_state = 2},
  [15975] = {.lex_state = 130, .external_lex_state = 2},
  [15976] = {.lex_state = 434, .external_lex_state = 2},
  [15977] = {.lex_state = 157, .external_lex_state = 2},
  [15978] = {.lex_state = 434, .external_lex_state = 2},
  [15979] = {.lex_state = 157, .external_lex_state = 2},
  [15980] = {.lex_state = 434, .external_lex_state = 2},
  [15981] = {.lex_state = 434, .external_lex_state = 2},
  [15982] = {.lex_state = 434, .external_lex_state = 2},
  [15983] = {.lex_state = 203, .external_lex_state = 2},
  [15984] = {.lex_state = 434, .external_lex_state = 2},
  [15985] = {.lex_state = 434, .external_lex_state = 2},
  [15986] = {.lex_state = 157, .external_lex_state = 2},
  [15987] = {.lex_state = 434, .external_lex_state = 2},
  [15988] = {.lex_state = 157, .external_lex_state = 2},
  [15989] = {.lex_state = 434, .external_lex_state = 2},
  [15990] = {.lex_state = 434, .external_lex_state = 2},
  [15991] = {.lex_state = 434, .external_lex_state = 2},
  [15992] = {.lex_state = 130, .external_lex_state = 2},
  [15993] = {.lex_state = 434, .external_lex_state = 2},
  [15994] = {.lex_state = 434, .external_lex_state = 2},
  [15995] = {.lex_state = 157, .external_lex_state = 2},
  [15996] = {.lex_state = 157, .external_lex_state = 2},
  [15997] = {.lex_state = 434, .external_lex_state = 2},
  [15998] = {.lex_state = 434, .external_lex_state = 2},
  [15999] = {.lex_state = 256, .external_lex_state = 2},
  [16000] = {.lex_state = 256, .external_lex_state = 2},
  [16001] = {.lex_state = 157, .external_lex_state = 2},
  [16002] = {.lex_state = 256, .external_lex_state = 2},
  [16003] = {.lex_state = 157, .external_lex_state = 2},
  [16004] = {.lex_state = 434, .external_lex_state = 2},
  [16005] = {.lex_state = 434, .external_lex_state = 2},
  [16006] = {.lex_state = 232, .external_lex_state = 2},
  [16007] = {.lex_state = 434, .external_lex_state = 2},
  [16008] = {.lex_state = 434, .external_lex_state = 2},
  [16009] = {.lex_state = 434, .external_lex_state = 2},
  [16010] = {.lex_state = 157, .external_lex_state = 2},
  [16011] = {.lex_state = 232, .external_lex_state = 2},
  [16012] = {.lex_state = 157, .external_lex_state = 2},
  [16013] = {.lex_state = 434, .external_lex_state = 2},
  [16014] = {.lex_state = 434, .external_lex_state = 2},
  [16015] = {.lex_state = 434, .external_lex_state = 2},
  [16016] = {.lex_state = 157, .external_lex_state = 2},
  [16017] = {.lex_state = 434, .external_lex_state = 2},
  [16018] = {.lex_state = 157, .external_lex_state = 2},
  [16019] = {.lex_state = 434, .external_lex_state = 2},
  [16020] = {.lex_state = 434, .external_lex_state = 2},
  [16021] = {.lex_state = 434, .external_lex_state = 2},
  [16022] = {.lex_state = 434, .external_lex_state = 2},
  [16023] = {.lex_state = 256, .external_lex_state = 2},
  [16024] = {.lex_state = 434, .external_lex_state = 2},
  [16025] = {.lex_state = 157, .external_lex_state = 2},
  [16026] = {.lex_state = 434, .external_lex_state = 2},
  [16027] = {.lex_state = 157, .external_lex_state = 2},
  [16028] = {.lex_state = 434, .external_lex_state = 2},
  [16029] = {.lex_state = 434, .external_lex_state = 2},
  [16030] = {.lex_state = 434, .external_lex_state = 2},
  [16031] = {.lex_state = 434, .external_lex_state = 2},
  [16032] = {.lex_state = 434, .external_lex_state = 2},
  [16033] = {.lex_state = 256, .external_lex_state = 2},
  [16034] = {.lex_state = 434, .external_lex_state = 2},
  [16035] = {.lex_state = 434, .external_lex_state = 2},
  [16036] = {.lex_state = 157, .external_lex_state = 2},
  [16037] = {.lex_state = 130, .external_lex_state = 2},
  [16038] = {.lex_state = 157, .external_lex_state = 2},
  [16039] = {.lex_state = 434, .external_lex_state = 2},
  [16040] = {.lex_state = 434, .external_lex_state = 2},
  [16041] = {.lex_state = 434, .external_lex_state = 2},
  [16042] = {.lex_state = 130, .external_lex_state = 2},
  [16043] = {.lex_state = 434, .external_lex_state = 2},
  [16044] = {.lex_state = 157, .external_lex_state = 2},
  [16045] = {.lex_state = 434, .external_lex_state = 2},
  [16046] = {.lex_state = 157, .external_lex_state = 2},
  [16047] = {.lex_state = 434, .external_lex_state = 2},
  [16048] = {.lex_state = 127, .external_lex_state = 2},
  [16049] = {.lex_state = 434, .external_lex_state = 2},
  [16050] = {.lex_state = 203, .external_lex_state = 2},
  [16051] = {.lex_state = 157, .external_lex_state = 2},
  [16052] = {.lex_state = 434, .external_lex_state = 2},
  [16053] = {.lex_state = 157, .external_lex_state = 2},
  [16054] = {.lex_state = 434, .external_lex_state = 2},
  [16055] = {.lex_state = 434, .external_lex_state = 2},
  [16056] = {.lex_state = 434, .external_lex_state = 2},
  [16057] = {.lex_state = 434, .external_lex_state = 2},
  [16058] = {.lex_state = 434, .external_lex_state = 2},
  [16059] = {.lex_state = 232, .external_lex_state = 2},
  [16060] = {.lex_state = 157, .external_lex_state = 2},
  [16061] = {.lex_state = 157, .external_lex_state = 2},
  [16062] = {.lex_state = 434, .external_lex_state = 2},
  [16063] = {.lex_state = 130, .external_lex_state = 2},
  [16064] = {.lex_state = 434, .external_lex_state = 2},
  [16065] = {.lex_state = 434, .external_lex_state = 2},
  [16066] = {.lex_state = 19, .external_lex_state = 2},
  [16067] = {.lex_state = 157, .external_lex_state = 2},
  [16068] = {.lex_state = 157, .external_lex_state = 2},
  [16069] = {.lex_state = 434, .external_lex_state = 2},
  [16070] = {.lex_state = 434, .external_lex_state = 2},
  [16071] = {.lex_state = 434, .external_lex_state = 2},
  [16072] = {.lex_state = 434, .external_lex_state = 2},
  [16073] = {.lex_state = 434, .external_lex_state = 2},
  [16074] = {.lex_state = 434, .external_lex_state = 2},
  [16075] = {.lex_state = 157, .external_lex_state = 2},
  [16076] = {.lex_state = 157, .external_lex_state = 2},
  [16077] = {.lex_state = 434, .external_lex_state = 2},
  [16078] = {.lex_state = 434, .external_lex_state = 2},
  [16079] = {.lex_state = 434, .external_lex_state = 2},
  [16080] = {.lex_state = 127, .external_lex_state = 2},
  [16081] = {.lex_state = 434, .external_lex_state = 2},
  [16082] = {.lex_state = 157, .external_lex_state = 2},
  [16083] = {.lex_state = 434, .external_lex_state = 2},
  [16084] = {.lex_state = 157, .external_lex_state = 2},
  [16085] = {.lex_state = 434, .external_lex_state = 2},
  [16086] = {.lex_state = 434, .external_lex_state = 2},
  [16087] = {.lex_state = 434, .external_lex_state = 2},
  [16088] = {.lex_state = 434, .external_lex_state = 2},
  [16089] = {.lex_state = 232, .external_lex_state = 2},
  [16090] = {.lex_state = 434, .external_lex_state = 2},
  [16091] = {.lex_state = 434, .external_lex_state = 2},
  [16092] = {.lex_state = 157, .external_lex_state = 2},
  [16093] = {.lex_state = 434, .external_lex_state = 2},
  [16094] = {.lex_state = 157, .external_lex_state = 2},
  [16095] = {.lex_state = 434, .external_lex_state = 2},
  [16096] = {.lex_state = 127, .external_lex_state = 2},
  [16097] = {.lex_state = 127, .external_lex_state = 2},
  [16098] = {.lex_state = 434, .external_lex_state = 3},
  [16099] = {.lex_state = 256, .external_lex_state = 2},
  [16100] = {.lex_state = 434, .external_lex_state = 2},
  [16101] = {.lex_state = 157, .external_lex_state = 2},
  [16102] = {.lex_state = 157, .external_lex_state = 2},
  [16103] = {.lex_state = 434, .external_lex_state = 2},
  [16104] = {.lex_state = 434, .external_lex_state = 2},
  [16105] = {.lex_state = 434, .external_lex_state = 2},
  [16106] = {.lex_state = 157, .external_lex_state = 2},
  [16107] = {.lex_state = 157, .external_lex_state = 2},
  [16108] = {.lex_state = 434, .external_lex_state = 2},
  [16109] = {.lex_state = 434, .external_lex_state = 2},
  [16110] = {.lex_state = 91, .external_lex_state = 2},
  [16111] = {.lex_state = 434, .external_lex_state = 2},
  [16112] = {.lex_state = 434, .external_lex_state = 2},
  [16113] = {.lex_state = 157, .external_lex_state = 2},
  [16114] = {.lex_state = 157, .external_lex_state = 2},
  [16115] = {.lex_state = 434, .external_lex_state = 2},
  [16116] = {.lex_state = 434, .external_lex_state = 2},
  [16117] = {.lex_state = 262, .external_lex_state = 8},
  [16118] = {.lex_state = 434, .external_lex_state = 2},
  [16119] = {.lex_state = 434, .external_lex_state = 2},
  [16120] = {.lex_state = 157, .external_lex_state = 2},
  [16121] = {.lex_state = 434, .external_lex_state = 2},
  [16122] = {.lex_state = 157, .external_lex_state = 2},
  [16123] = {.lex_state = 434, .external_lex_state = 2},
  [16124] = {.lex_state = 130, .external_lex_state = 2},
  [16125] = {.lex_state = 434, .external_lex_state = 2},
  [16126] = {.lex_state = 157, .external_lex_state = 2},
  [16127] = {.lex_state = 434, .external_lex_state = 2},
  [16128] = {.lex_state = 157, .external_lex_state = 2},
  [16129] = {.lex_state = 434, .external_lex_state = 2},
  [16130] = {.lex_state = 434, .external_lex_state = 2},
  [16131] = {.lex_state = 232, .external_lex_state = 2},
  [16132] = {.lex_state = 130, .external_lex_state = 2},
  [16133] = {.lex_state = 434, .external_lex_state = 2},
  [16134] = {.lex_state = 434, .external_lex_state = 2},
  [16135] = {.lex_state = 434, .external_lex_state = 2},
  [16136] = {.lex_state = 157, .external_lex_state = 2},
  [16137] = {.lex_state = 157, .external_lex_state = 2},
  [16138] = {.lex_state = 157, .external_lex_state = 2},
  [16139] = {.lex_state = 434, .external_lex_state = 2},
  [16140] = {.lex_state = 434, .external_lex_state = 2},
  [16141] = {.lex_state = 434, .external_lex_state = 2},
  [16142] = {.lex_state = 434, .external_lex_state = 2},
  [16143] = {.lex_state = 157, .external_lex_state = 2},
  [16144] = {.lex_state = 434, .external_lex_state = 2},
  [16145] = {.lex_state = 157, .external_lex_state = 2},
  [16146] = {.lex_state = 434, .external_lex_state = 2},
  [16147] = {.lex_state = 434, .external_lex_state = 2},
  [16148] = {.lex_state = 434, .external_lex_state = 2},
  [16149] = {.lex_state = 434, .external_lex_state = 2},
  [16150] = {.lex_state = 127, .external_lex_state = 2},
  [16151] = {.lex_state = 434, .external_lex_state = 2},
  [16152] = {.lex_state = 434, .external_lex_state = 2},
  [16153] = {.lex_state = 157, .external_lex_state = 2},
  [16154] = {.lex_state = 157, .external_lex_state = 2},
  [16155] = {.lex_state = 434, .external_lex_state = 2},
  [16156] = {.lex_state = 127, .external_lex_state = 2},
  [16157] = {.lex_state = 434, .external_lex_state = 2},
  [16158] = {.lex_state = 157, .external_lex_state = 2},
  [16159] = {.lex_state = 232, .external_lex_state = 2},
  [16160] = {.lex_state = 157, .external_lex_state = 2},
  [16161] = {.lex_state = 434, .external_lex_state = 2},
  [16162] = {.lex_state = 434, .external_lex_state = 2},
  [16163] = {.lex_state = 130, .external_lex_state = 2},
  [16164] = {.lex_state = 434, .external_lex_state = 2},
  [16165] = {.lex_state = 434, .external_lex_state = 2},
  [16166] = {.lex_state = 157, .external_lex_state = 2},
  [16167] = {.lex_state = 434, .external_lex_state = 2},
  [16168] = {.lex_state = 157, .external_lex_state = 2},
  [16169] = {.lex_state = 434, .external_lex_state = 2},
  [16170] = {.lex_state = 434, .external_lex_state = 2},
  [16171] = {.lex_state = 434, .external_lex_state = 2},
  [16172] = {.lex_state = 434, .external_lex_state = 2},
  [16173] = {.lex_state = 434, .external_lex_state = 2},
  [16174] = {.lex_state = 157, .external_lex_state = 2},
  [16175] = {.lex_state = 434, .external_lex_state = 2},
  [16176] = {.lex_state = 157, .external_lex_state = 2},
  [16177] = {.lex_state = 434, .external_lex_state = 2},
  [16178] = {.lex_state = 434, .external_lex_state = 2},
  [16179] = {.lex_state = 434, .external_lex_state = 2},
  [16180] = {.lex_state = 434, .external_lex_state = 2},
  [16181] = {.lex_state = 434, .external_lex_state = 2},
  [16182] = {.lex_state = 130, .external_lex_state = 2},
  [16183] = {.lex_state = 157, .external_lex_state = 2},
  [16184] = {.lex_state = 434, .external_lex_state = 2},
  [16185] = {.lex_state = 157, .external_lex_state = 2},
  [16186] = {.lex_state = 434, .external_lex_state = 2},
  [16187] = {.lex_state = 434, .external_lex_state = 2},
  [16188] = {.lex_state = 256, .external_lex_state = 2},
  [16189] = {.lex_state = 434, .external_lex_state = 2},
  [16190] = {.lex_state = 157, .external_lex_state = 2},
  [16191] = {.lex_state = 157, .external_lex_state = 2},
  [16192] = {.lex_state = 434, .external_lex_state = 2},
  [16193] = {.lex_state = 434, .external_lex_state = 2},
  [16194] = {.lex_state = 203, .external_lex_state = 2},
  [16195] = {.lex_state = 434, .external_lex_state = 2},
  [16196] = {.lex_state = 434, .external_lex_state = 2},
  [16197] = {.lex_state = 434, .external_lex_state = 2},
  [16198] = {.lex_state = 232, .external_lex_state = 2},
  [16199] = {.lex_state = 157, .external_lex_state = 2},
  [16200] = {.lex_state = 157, .external_lex_state = 2},
  [16201] = {.lex_state = 434, .external_lex_state = 2},
  [16202] = {.lex_state = 434, .external_lex_state = 2},
  [16203] = {.lex_state = 434, .external_lex_state = 2},
  [16204] = {.lex_state = 434, .external_lex_state = 2},
  [16205] = {.lex_state = 157, .external_lex_state = 2},
  [16206] = {.lex_state = 434, .external_lex_state = 2},
  [16207] = {.lex_state = 157, .external_lex_state = 2},
  [16208] = {.lex_state = 434, .external_lex_state = 2},
  [16209] = {.lex_state = 434, .external_lex_state = 2},
  [16210] = {.lex_state = 434, .external_lex_state = 2},
  [16211] = {.lex_state = 434, .external_lex_state = 2},
  [16212] = {.lex_state = 434, .external_lex_state = 2},
  [16213] = {.lex_state = 157, .external_lex_state = 2},
  [16214] = {.lex_state = 130, .external_lex_state = 2},
  [16215] = {.lex_state = 434, .external_lex_state = 2},
  [16216] = {.lex_state = 434, .external_lex_state = 2},
  [16217] = {.lex_state = 434, .external_lex_state = 2},
  [16218] = {.lex_state = 157, .external_lex_state = 2},
  [16219] = {.lex_state = 434, .external_lex_state = 2},
  [16220] = {.lex_state = 157, .external_lex_state = 2},
  [16221] = {.lex_state = 434, .external_lex_state = 2},
  [16222] = {.lex_state = 157, .external_lex_state = 2},
  [16223] = {.lex_state = 434, .external_lex_state = 2},
  [16224] = {.lex_state = 157, .external_lex_state = 2},
  [16225] = {.lex_state = 434, .external_lex_state = 2},
  [16226] = {.lex_state = 157, .external_lex_state = 2},
  [16227] = {.lex_state = 434, .external_lex_state = 2},
  [16228] = {.lex_state = 157, .external_lex_state = 2},
  [16229] = {.lex_state = 434, .external_lex_state = 2},
  [16230] = {.lex_state = 157, .external_lex_state = 2},
  [16231] = {.lex_state = 434, .external_lex_state = 2},
  [16232] = {.lex_state = 157, .external_lex_state = 2},
  [16233] = {.lex_state = 434, .external_lex_state = 2},
  [16234] = {.lex_state = 157, .external_lex_state = 2},
  [16235] = {.lex_state = 434, .external_lex_state = 2},
  [16236] = {.lex_state = 157, .external_lex_state = 2},
  [16237] = {.lex_state = 434, .external_lex_state = 2},
  [16238] = {.lex_state = 157, .external_lex_state = 2},
  [16239] = {.lex_state = 434, .external_lex_state = 2},
  [16240] = {.lex_state = 157, .external_lex_state = 2},
  [16241] = {.lex_state = 434, .external_lex_state = 2},
  [16242] = {.lex_state = 157, .external_lex_state = 2},
  [16243] = {.lex_state = 434, .external_lex_state = 2},
  [16244] = {.lex_state = 434, .external_lex_state = 2},
  [16245] = {.lex_state = 434, .external_lex_state = 2},
  [16246] = {.lex_state = 434, .external_lex_state = 2},
  [16247] = {.lex_state = 434, .external_lex_state = 2},
  [16248] = {.lex_state = 434, .external_lex_state = 2},
  [16249] = {.lex_state = 434, .external_lex_state = 2},
  [16250] = {.lex_state = 434, .external_lex_state = 2},
  [16251] = {.lex_state = 434, .external_lex_state = 2},
  [16252] = {.lex_state = 434, .external_lex_state = 2},
  [16253] = {.lex_state = 434, .external_lex_state = 2},
  [16254] = {.lex_state = 434, .external_lex_state = 2},
  [16255] = {.lex_state = 434, .external_lex_state = 2},
  [16256] = {.lex_state = 434, .external_lex_state = 2},
  [16257] = {.lex_state = 434, .external_lex_state = 2},
  [16258] = {.lex_state = 434, .external_lex_state = 2},
  [16259] = {.lex_state = 434, .external_lex_state = 2},
  [16260] = {.lex_state = 434, .external_lex_state = 2},
  [16261] = {.lex_state = 434, .external_lex_state = 2},
  [16262] = {.lex_state = 434, .external_lex_state = 2},
  [16263] = {.lex_state = 434, .external_lex_state = 2},
  [16264] = {.lex_state = 434, .external_lex_state = 2},
  [16265] = {.lex_state = 434, .external_lex_state = 2},
  [16266] = {.lex_state = 434, .external_lex_state = 2},
  [16267] = {.lex_state = 434, .external_lex_state = 2},
  [16268] = {.lex_state = 130, .external_lex_state = 2},
  [16269] = {.lex_state = 434, .external_lex_state = 2},
  [16270] = {.lex_state = 434, .external_lex_state = 2},
  [16271] = {.lex_state = 434, .external_lex_state = 2},
  [16272] = {.lex_state = 434, .external_lex_state = 2},
  [16273] = {.lex_state = 434, .external_lex_state = 2},
  [16274] = {.lex_state = 29, .external_lex_state = 2},
  [16275] = {.lex_state = 434, .external_lex_state = 2},
  [16276] = {.lex_state = 434, .external_lex_state = 2},
  [16277] = {.lex_state = 434, .external_lex_state = 2},
  [16278] = {.lex_state = 256, .external_lex_state = 2},
  [16279] = {.lex_state = 434, .external_lex_state = 2},
  [16280] = {.lex_state = 434, .external_lex_state = 2},
  [16281] = {.lex_state = 232, .external_lex_state = 2},
  [16282] = {.lex_state = 434, .external_lex_state = 2},
  [16283] = {.lex_state = 262, .external_lex_state = 8},
  [16284] = {.lex_state = 203, .external_lex_state = 2},
  [16285] = {.lex_state = 127, .external_lex_state = 2},
  [16286] = {.lex_state = 434, .external_lex_state = 2},
  [16287] = {.lex_state = 434, .external_lex_state = 2},
  [16288] = {.lex_state = 434, .external_lex_state = 2},
  [16289] = {.lex_state = 434, .external_lex_state = 2},
  [16290] = {.lex_state = 434, .external_lex_state = 2},
  [16291] = {.lex_state = 434, .external_lex_state = 2},
  [16292] = {.lex_state = 434, .external_lex_state = 2},
  [16293] = {.lex_state = 434, .external_lex_state = 2},
  [16294] = {.lex_state = 434, .external_lex_state = 2},
  [16295] = {.lex_state = 434, .external_lex_state = 2},
  [16296] = {.lex_state = 434, .external_lex_state = 2},
  [16297] = {.lex_state = 434, .external_lex_state = 2},
  [16298] = {.lex_state = 434, .external_lex_state = 2},
  [16299] = {.lex_state = 434, .external_lex_state = 2},
  [16300] = {.lex_state = 232, .external_lex_state = 2},
  [16301] = {.lex_state = 434, .external_lex_state = 2},
  [16302] = {.lex_state = 434, .external_lex_state = 2},
  [16303] = {.lex_state = 434, .external_lex_state = 2},
  [16304] = {.lex_state = 434, .external_lex_state = 2},
  [16305] = {.lex_state = 434, .external_lex_state = 2},
  [16306] = {.lex_state = 130, .external_lex_state = 2},
  [16307] = {.lex_state = 434, .external_lex_state = 2},
  [16308] = {.lex_state = 434, .external_lex_state = 2},
  [16309] = {.lex_state = 434, .external_lex_state = 2},
  [16310] = {.lex_state = 434, .external_lex_state = 2},
  [16311] = {.lex_state = 157, .external_lex_state = 2},
  [16312] = {.lex_state = 434, .external_lex_state = 2},
  [16313] = {.lex_state = 434, .external_lex_state = 2},
  [16314] = {.lex_state = 434, .external_lex_state = 2},
  [16315] = {.lex_state = 434, .external_lex_state = 2},
  [16316] = {.lex_state = 434, .external_lex_state = 2},
  [16317] = {.lex_state = 157, .external_lex_state = 2},
  [16318] = {.lex_state = 127, .external_lex_state = 2},
  [16319] = {.lex_state = 130, .external_lex_state = 2},
  [16320] = {.lex_state = 434, .external_lex_state = 2},
  [16321] = {.lex_state = 434, .external_lex_state = 2},
  [16322] = {.lex_state = 434, .external_lex_state = 2},
  [16323] = {.lex_state = 434, .external_lex_state = 2},
  [16324] = {.lex_state = 434, .external_lex_state = 2},
  [16325] = {.lex_state = 434, .external_lex_state = 2},
  [16326] = {.lex_state = 232, .external_lex_state = 2},
  [16327] = {.lex_state = 130, .external_lex_state = 2},
  [16328] = {.lex_state = 157, .external_lex_state = 2},
  [16329] = {.lex_state = 434, .external_lex_state = 2},
  [16330] = {.lex_state = 434, .external_lex_state = 2},
  [16331] = {.lex_state = 434, .external_lex_state = 2},
  [16332] = {.lex_state = 434, .external_lex_state = 2},
  [16333] = {.lex_state = 434, .external_lex_state = 2},
  [16334] = {.lex_state = 434, .external_lex_state = 2},
  [16335] = {.lex_state = 434, .external_lex_state = 2},
  [16336] = {.lex_state = 232, .external_lex_state = 2},
  [16337] = {.lex_state = 157, .external_lex_state = 2},
  [16338] = {.lex_state = 434, .external_lex_state = 2},
  [16339] = {.lex_state = 434, .external_lex_state = 2},
  [16340] = {.lex_state = 434, .external_lex_state = 2},
  [16341] = {.lex_state = 130, .external_lex_state = 2},
  [16342] = {.lex_state = 127, .external_lex_state = 2},
  [16343] = {.lex_state = 434, .external_lex_state = 2},
  [16344] = {.lex_state = 232, .external_lex_state = 2},
  [16345] = {.lex_state = 434, .external_lex_state = 2},
  [16346] = {.lex_state = 157, .external_lex_state = 2},
  [16347] = {.lex_state = 434, .external_lex_state = 2},
  [16348] = {.lex_state = 434, .external_lex_state = 2},
  [16349] = {.lex_state = 434, .external_lex_state = 2},
  [16350] = {.lex_state = 434, .external_lex_state = 2},
  [16351] = {.lex_state = 434, .external_lex_state = 2},
  [16352] = {.lex_state = 434, .external_lex_state = 2},
  [16353] = {.lex_state = 434, .external_lex_state = 2},
  [16354] = {.lex_state = 434, .external_lex_state = 2},
  [16355] = {.lex_state = 130, .external_lex_state = 2},
  [16356] = {.lex_state = 434, .external_lex_state = 2},
  [16357] = {.lex_state = 434, .external_lex_state = 2},
  [16358] = {.lex_state = 434, .external_lex_state = 2},
  [16359] = {.lex_state = 434, .external_lex_state = 2},
  [16360] = {.lex_state = 127, .external_lex_state = 2},
  [16361] = {.lex_state = 232, .external_lex_state = 2},
  [16362] = {.lex_state = 434, .external_lex_state = 2},
  [16363] = {.lex_state = 434, .external_lex_state = 2},
  [16364] = {.lex_state = 434, .external_lex_state = 2},
  [16365] = {.lex_state = 434, .external_lex_state = 2},
  [16366] = {.lex_state = 130, .external_lex_state = 2},
  [16367] = {.lex_state = 434, .external_lex_state = 2},
  [16368] = {.lex_state = 262, .external_lex_state = 8},
  [16369] = {.lex_state = 130, .external_lex_state = 2},
  [16370] = {.lex_state = 434, .external_lex_state = 2},
  [16371] = {.lex_state = 434, .external_lex_state = 2},
  [16372] = {.lex_state = 434, .external_lex_state = 2},
  [16373] = {.lex_state = 434, .external_lex_state = 2},
  [16374] = {.lex_state = 434, .external_lex_state = 2},
  [16375] = {.lex_state = 256, .external_lex_state = 2},
  [16376] = {.lex_state = 434, .external_lex_state = 2},
  [16377] = {.lex_state = 232, .external_lex_state = 2},
  [16378] = {.lex_state = 434, .external_lex_state = 2},
  [16379] = {.lex_state = 434, .external_lex_state = 2},
  [16380] = {.lex_state = 434, .external_lex_state = 2},
  [16381] = {.lex_state = 434, .external_lex_state = 2},
  [16382] = {.lex_state = 434, .external_lex_state = 2},
  [16383] = {.lex_state = 91, .external_lex_state = 2},
  [16384] = {.lex_state = 157, .external_lex_state = 2},
  [16385] = {.lex_state = 91, .external_lex_state = 2},
  [16386] = {.lex_state = 18, .external_lex_state = 2},
  [16387] = {.lex_state = 91, .external_lex_state = 2},
  [16388] = {.lex_state = 91, .external_lex_state = 2},
  [16389] = {.lex_state = 434, .external_lex_state = 2},
  [16390] = {.lex_state = 434, .external_lex_state = 2},
  [16391] = {.lex_state = 434, .external_lex_state = 8},
  [16392] = {.lex_state = 18, .external_lex_state = 2},
  [16393] = {.lex_state = 18, .external_lex_state = 2},
  [16394] = {.lex_state = 434, .external_lex_state = 2},
  [16395] = {.lex_state = 434, .external_lex_state = 2},
  [16396] = {.lex_state = 434, .external_lex_state = 2},
  [16397] = {.lex_state = 157, .external_lex_state = 2},
  [16398] = {.lex_state = 434, .external_lex_state = 2},
  [16399] = {.lex_state = 434, .external_lex_state = 8},
  [16400] = {.lex_state = 434, .external_lex_state = 2},
  [16401] = {.lex_state = 157, .external_lex_state = 2},
  [16402] = {.lex_state = 434, .external_lex_state = 2},
  [16403] = {.lex_state = 434, .external_lex_state = 2},
  [16404] = {.lex_state = 434, .external_lex_state = 2},
  [16405] = {.lex_state = 434, .external_lex_state = 2},
  [16406] = {.lex_state = 434, .external_lex_state = 2},
  [16407] = {.lex_state = 434, .external_lex_state = 2},
  [16408] = {.lex_state = 434, .external_lex_state = 2},
  [16409] = {.lex_state = 434, .external_lex_state = 2},
  [16410] = {.lex_state = 434, .external_lex_state = 2},
  [16411] = {.lex_state = 434, .external_lex_state = 2},
  [16412] = {.lex_state = 434, .external_lex_state = 2},
  [16413] = {.lex_state = 157, .external_lex_state = 2},
  [16414] = {.lex_state = 434, .external_lex_state = 2},
  [16415] = {.lex_state = 91, .external_lex_state = 2},
  [16416] = {.lex_state = 434, .external_lex_state = 2},
  [16417] = {.lex_state = 434, .external_lex_state = 2},
  [16418] = {.lex_state = 434, .external_lex_state = 2},
  [16419] = {.lex_state = 434, .external_lex_state = 2},
  [16420] = {.lex_state = 157, .external_lex_state = 2},
  [16421] = {.lex_state = 434, .external_lex_state = 2},
  [16422] = {.lex_state = 434, .external_lex_state = 2},
  [16423] = {.lex_state = 157, .external_lex_state = 2},
  [16424] = {.lex_state = 434, .external_lex_state = 2},
  [16425] = {.lex_state = 157, .external_lex_state = 2},
  [16426] = {.lex_state = 434, .external_lex_state = 2},
  [16427] = {.lex_state = 6, .external_lex_state = 2},
  [16428] = {.lex_state = 157, .external_lex_state = 2},
  [16429] = {.lex_state = 434, .external_lex_state = 2},
  [16430] = {.lex_state = 18, .external_lex_state = 2},
  [16431] = {.lex_state = 6, .external_lex_state = 2},
  [16432] = {.lex_state = 18, .external_lex_state = 2},
  [16433] = {.lex_state = 434, .external_lex_state = 2},
  [16434] = {.lex_state = 157, .external_lex_state = 2},
  [16435] = {.lex_state = 157, .external_lex_state = 2},
  [16436] = {.lex_state = 157, .external_lex_state = 2},
  [16437] = {.lex_state = 18, .external_lex_state = 2},
  [16438] = {.lex_state = 91, .external_lex_state = 2},
  [16439] = {.lex_state = 91, .external_lex_state = 2},
  [16440] = {.lex_state = 91, .external_lex_state = 2},
  [16441] = {.lex_state = 18, .external_lex_state = 2},
  [16442] = {.lex_state = 434, .external_lex_state = 2},
  [16443] = {.lex_state = 434, .external_lex_state = 8},
  [16444] = {.lex_state = 434, .external_lex_state = 2},
  [16445] = {.lex_state = 157, .external_lex_state = 2},
  [16446] = {.lex_state = 18, .external_lex_state = 2},
  [16447] = {.lex_state = 18, .external_lex_state = 2},
  [16448] = {.lex_state = 157, .external_lex_state = 2},
  [16449] = {.lex_state = 434, .external_lex_state = 8},
  [16450] = {.lex_state = 434, .external_lex_state = 2},
  [16451] = {.lex_state = 434, .external_lex_state = 2},
  [16452] = {.lex_state = 434, .external_lex_state = 2},
  [16453] = {.lex_state = 434, .external_lex_state = 2},
  [16454] = {.lex_state = 434, .external_lex_state = 2},
  [16455] = {.lex_state = 434, .external_lex_state = 2},
  [16456] = {.lex_state = 434, .external_lex_state = 2},
  [16457] = {.lex_state = 434, .external_lex_state = 2},
  [16458] = {.lex_state = 434, .external_lex_state = 2},
  [16459] = {.lex_state = 434, .external_lex_state = 2},
  [16460] = {.lex_state = 434, .external_lex_state = 2},
  [16461] = {.lex_state = 91, .external_lex_state = 2},
  [16462] = {.lex_state = 434, .external_lex_state = 2},
  [16463] = {.lex_state = 434, .external_lex_state = 2},
  [16464] = {.lex_state = 157, .external_lex_state = 2},
  [16465] = {.lex_state = 434, .external_lex_state = 2},
  [16466] = {.lex_state = 434, .external_lex_state = 2},
  [16467] = {.lex_state = 434, .external_lex_state = 2},
  [16468] = {.lex_state = 434, .external_lex_state = 2},
  [16469] = {.lex_state = 434, .external_lex_state = 2},
  [16470] = {.lex_state = 434, .external_lex_state = 2},
  [16471] = {.lex_state = 434, .external_lex_state = 2},
  [16472] = {.lex_state = 434, .external_lex_state = 2},
  [16473] = {.lex_state = 157, .external_lex_state = 2},
  [16474] = {.lex_state = 434, .external_lex_state = 2},
  [16475] = {.lex_state = 434, .external_lex_state = 2},
  [16476] = {.lex_state = 434, .external_lex_state = 2},
  [16477] = {.lex_state = 434, .external_lex_state = 2},
  [16478] = {.lex_state = 157, .external_lex_state = 2},
  [16479] = {.lex_state = 91, .external_lex_state = 2},
  [16480] = {.lex_state = 91, .external_lex_state = 2},
  [16481] = {.lex_state = 91, .external_lex_state = 2},
  [16482] = {.lex_state = 164, .external_lex_state = 2},
  [16483] = {.lex_state = 434, .external_lex_state = 8},
  [16484] = {.lex_state = 434, .external_lex_state = 2},
  [16485] = {.lex_state = 157, .external_lex_state = 2},
  [16486] = {.lex_state = 157, .external_lex_state = 2},
  [16487] = {.lex_state = 18, .external_lex_state = 2},
  [16488] = {.lex_state = 157, .external_lex_state = 2},
  [16489] = {.lex_state = 434, .external_lex_state = 8},
  [16490] = {.lex_state = 434, .external_lex_state = 2},
  [16491] = {.lex_state = 434, .external_lex_state = 2},
  [16492] = {.lex_state = 434, .external_lex_state = 2},
  [16493] = {.lex_state = 157, .external_lex_state = 2},
  [16494] = {.lex_state = 434, .external_lex_state = 2},
  [16495] = {.lex_state = 434, .external_lex_state = 2},
  [16496] = {.lex_state = 434, .external_lex_state = 2},
  [16497] = {.lex_state = 434, .external_lex_state = 2},
  [16498] = {.lex_state = 434, .external_lex_state = 2},
  [16499] = {.lex_state = 434, .external_lex_state = 2},
  [16500] = {.lex_state = 18, .external_lex_state = 2},
  [16501] = {.lex_state = 434, .external_lex_state = 2},
  [16502] = {.lex_state = 434, .external_lex_state = 2},
  [16503] = {.lex_state = 434, .external_lex_state = 2},
  [16504] = {.lex_state = 434, .external_lex_state = 2},
  [16505] = {.lex_state = 434, .external_lex_state = 2},
  [16506] = {.lex_state = 18, .external_lex_state = 2},
  [16507] = {.lex_state = 434, .external_lex_state = 2},
  [16508] = {.lex_state = 157, .external_lex_state = 2},
  [16509] = {.lex_state = 434, .external_lex_state = 2},
  [16510] = {.lex_state = 434, .external_lex_state = 2},
  [16511] = {.lex_state = 434, .external_lex_state = 2},
  [16512] = {.lex_state = 157, .external_lex_state = 2},
  [16513] = {.lex_state = 434, .external_lex_state = 2},
  [16514] = {.lex_state = 18, .external_lex_state = 2},
  [16515] = {.lex_state = 157, .external_lex_state = 2},
  [16516] = {.lex_state = 434, .external_lex_state = 2},
  [16517] = {.lex_state = 91, .external_lex_state = 2},
  [16518] = {.lex_state = 91, .external_lex_state = 2},
  [16519] = {.lex_state = 91, .external_lex_state = 2},
  [16520] = {.lex_state = 157, .external_lex_state = 2},
  [16521] = {.lex_state = 434, .external_lex_state = 2},
  [16522] = {.lex_state = 434, .external_lex_state = 2},
  [16523] = {.lex_state = 157, .external_lex_state = 2},
  [16524] = {.lex_state = 434, .external_lex_state = 8},
  [16525] = {.lex_state = 434, .external_lex_state = 2},
  [16526] = {.lex_state = 434, .external_lex_state = 2},
  [16527] = {.lex_state = 434, .external_lex_state = 2},
  [16528] = {.lex_state = 157, .external_lex_state = 2},
  [16529] = {.lex_state = 157, .external_lex_state = 2},
  [16530] = {.lex_state = 434, .external_lex_state = 8},
  [16531] = {.lex_state = 434, .external_lex_state = 2},
  [16532] = {.lex_state = 157, .external_lex_state = 2},
  [16533] = {.lex_state = 18, .external_lex_state = 2},
  [16534] = {.lex_state = 434, .external_lex_state = 2},
  [16535] = {.lex_state = 434, .external_lex_state = 2},
  [16536] = {.lex_state = 434, .external_lex_state = 2},
  [16537] = {.lex_state = 434, .external_lex_state = 2},
  [16538] = {.lex_state = 434, .external_lex_state = 2},
  [16539] = {.lex_state = 434, .external_lex_state = 2},
  [16540] = {.lex_state = 434, .external_lex_state = 2},
  [16541] = {.lex_state = 434, .external_lex_state = 2},
  [16542] = {.lex_state = 434, .external_lex_state = 2},
  [16543] = {.lex_state = 434, .external_lex_state = 2},
  [16544] = {.lex_state = 18, .external_lex_state = 2},
  [16545] = {.lex_state = 157, .external_lex_state = 2},
  [16546] = {.lex_state = 18, .external_lex_state = 2},
  [16547] = {.lex_state = 434, .external_lex_state = 2},
  [16548] = {.lex_state = 434, .external_lex_state = 2},
  [16549] = {.lex_state = 18, .external_lex_state = 2},
  [16550] = {.lex_state = 157, .external_lex_state = 2},
  [16551] = {.lex_state = 91, .external_lex_state = 2},
  [16552] = {.lex_state = 91, .external_lex_state = 2},
  [16553] = {.lex_state = 91, .external_lex_state = 2},
  [16554] = {.lex_state = 434, .external_lex_state = 2},
  [16555] = {.lex_state = 434, .external_lex_state = 2},
  [16556] = {.lex_state = 434, .external_lex_state = 2},
  [16557] = {.lex_state = 157, .external_lex_state = 2},
  [16558] = {.lex_state = 434, .external_lex_state = 8},
  [16559] = {.lex_state = 18, .external_lex_state = 2},
  [16560] = {.lex_state = 18, .external_lex_state = 2},
  [16561] = {.lex_state = 434, .external_lex_state = 2},
  [16562] = {.lex_state = 434, .external_lex_state = 2},
  [16563] = {.lex_state = 157, .external_lex_state = 2},
  [16564] = {.lex_state = 434, .external_lex_state = 8},
  [16565] = {.lex_state = 434, .external_lex_state = 2},
  [16566] = {.lex_state = 434, .external_lex_state = 2},
  [16567] = {.lex_state = 434, .external_lex_state = 2},
  [16568] = {.lex_state = 434, .external_lex_state = 2},
  [16569] = {.lex_state = 434, .external_lex_state = 2},
  [16570] = {.lex_state = 434, .external_lex_state = 2},
  [16571] = {.lex_state = 434, .external_lex_state = 2},
  [16572] = {.lex_state = 434, .external_lex_state = 2},
  [16573] = {.lex_state = 434, .external_lex_state = 2},
  [16574] = {.lex_state = 434, .external_lex_state = 2},
  [16575] = {.lex_state = 434, .external_lex_state = 2},
  [16576] = {.lex_state = 434, .external_lex_state = 2},
  [16577] = {.lex_state = 434, .external_lex_state = 2},
  [16578] = {.lex_state = 18, .external_lex_state = 2},
  [16579] = {.lex_state = 157, .external_lex_state = 2},
  [16580] = {.lex_state = 434, .external_lex_state = 2},
  [16581] = {.lex_state = 91, .external_lex_state = 2},
  [16582] = {.lex_state = 91, .external_lex_state = 2},
  [16583] = {.lex_state = 91, .external_lex_state = 2},
  [16584] = {.lex_state = 434, .external_lex_state = 2},
  [16585] = {.lex_state = 157, .external_lex_state = 2},
  [16586] = {.lex_state = 434, .external_lex_state = 2},
  [16587] = {.lex_state = 434, .external_lex_state = 8},
  [16588] = {.lex_state = 18, .external_lex_state = 2},
  [16589] = {.lex_state = 157, .external_lex_state = 2},
  [16590] = {.lex_state = 18, .external_lex_state = 2},
  [16591] = {.lex_state = 157, .external_lex_state = 2},
  [16592] = {.lex_state = 18, .external_lex_state = 2},
  [16593] = {.lex_state = 434, .external_lex_state = 2},
  [16594] = {.lex_state = 434, .external_lex_state = 2},
  [16595] = {.lex_state = 18, .external_lex_state = 2},
  [16596] = {.lex_state = 18, .external_lex_state = 2},
  [16597] = {.lex_state = 434, .external_lex_state = 2},
  [16598] = {.lex_state = 434, .external_lex_state = 2},
  [16599] = {.lex_state = 434, .external_lex_state = 2},
  [16600] = {.lex_state = 434, .external_lex_state = 2},
  [16601] = {.lex_state = 157, .external_lex_state = 2},
  [16602] = {.lex_state = 434, .external_lex_state = 2},
  [16603] = {.lex_state = 434, .external_lex_state = 2},
  [16604] = {.lex_state = 434, .external_lex_state = 2},
  [16605] = {.lex_state = 157, .external_lex_state = 2},
  [16606] = {.lex_state = 434, .external_lex_state = 2},
  [16607] = {.lex_state = 18, .external_lex_state = 2},
  [16608] = {.lex_state = 91, .external_lex_state = 2},
  [16609] = {.lex_state = 434, .external_lex_state = 2},
  [16610] = {.lex_state = 91, .external_lex_state = 2},
  [16611] = {.lex_state = 91, .external_lex_state = 2},
  [16612] = {.lex_state = 434, .external_lex_state = 8},
  [16613] = {.lex_state = 434, .external_lex_state = 2},
  [16614] = {.lex_state = 157, .external_lex_state = 2},
  [16615] = {.lex_state = 434, .external_lex_state = 2},
  [16616] = {.lex_state = 18, .external_lex_state = 2},
  [16617] = {.lex_state = 434, .external_lex_state = 2},
  [16618] = {.lex_state = 434, .external_lex_state = 2},
  [16619] = {.lex_state = 434, .external_lex_state = 2},
  [16620] = {.lex_state = 434, .external_lex_state = 2},
  [16621] = {.lex_state = 434, .external_lex_state = 2},
  [16622] = {.lex_state = 434, .external_lex_state = 2},
  [16623] = {.lex_state = 434, .external_lex_state = 2},
  [16624] = {.lex_state = 157, .external_lex_state = 2},
  [16625] = {.lex_state = 434, .external_lex_state = 2},
  [16626] = {.lex_state = 18, .external_lex_state = 2},
  [16627] = {.lex_state = 434, .external_lex_state = 2},
  [16628] = {.lex_state = 434, .external_lex_state = 2},
  [16629] = {.lex_state = 91, .external_lex_state = 2},
  [16630] = {.lex_state = 91, .external_lex_state = 2},
  [16631] = {.lex_state = 18, .external_lex_state = 2},
  [16632] = {.lex_state = 157, .external_lex_state = 2},
  [16633] = {.lex_state = 434, .external_lex_state = 8},
  [16634] = {.lex_state = 434, .external_lex_state = 2},
  [16635] = {.lex_state = 157, .external_lex_state = 2},
  [16636] = {.lex_state = 210, .external_lex_state = 2},
  [16637] = {.lex_state = 157, .external_lex_state = 2},
  [16638] = {.lex_state = 164, .external_lex_state = 2},
  [16639] = {.lex_state = 434, .external_lex_state = 2},
  [16640] = {.lex_state = 434, .external_lex_state = 2},
  [16641] = {.lex_state = 434, .external_lex_state = 2},
  [16642] = {.lex_state = 434, .external_lex_state = 2},
  [16643] = {.lex_state = 18, .external_lex_state = 2},
  [16644] = {.lex_state = 434, .external_lex_state = 2},
  [16645] = {.lex_state = 434, .external_lex_state = 2},
  [16646] = {.lex_state = 434, .external_lex_state = 2},
  [16647] = {.lex_state = 434, .external_lex_state = 2},
  [16648] = {.lex_state = 157, .external_lex_state = 2},
  [16649] = {.lex_state = 18, .external_lex_state = 2},
  [16650] = {.lex_state = 18, .external_lex_state = 2},
  [16651] = {.lex_state = 91, .external_lex_state = 2},
  [16652] = {.lex_state = 434, .external_lex_state = 2},
  [16653] = {.lex_state = 434, .external_lex_state = 2},
  [16654] = {.lex_state = 91, .external_lex_state = 2},
  [16655] = {.lex_state = 91, .external_lex_state = 2},
  [16656] = {.lex_state = 434, .external_lex_state = 2},
  [16657] = {.lex_state = 157, .external_lex_state = 2},
  [16658] = {.lex_state = 434, .external_lex_state = 2},
  [16659] = {.lex_state = 434, .external_lex_state = 2},
  [16660] = {.lex_state = 434, .external_lex_state = 8},
  [16661] = {.lex_state = 434, .external_lex_state = 2},
  [16662] = {.lex_state = 157, .external_lex_state = 2},
  [16663] = {.lex_state = 434, .external_lex_state = 2},
  [16664] = {.lex_state = 434, .external_lex_state = 2},
  [16665] = {.lex_state = 434, .external_lex_state = 2},
  [16666] = {.lex_state = 434, .external_lex_state = 2},
  [16667] = {.lex_state = 434, .external_lex_state = 2},
  [16668] = {.lex_state = 434, .external_lex_state = 2},
  [16669] = {.lex_state = 434, .external_lex_state = 2},
  [16670] = {.lex_state = 434, .external_lex_state = 2},
  [16671] = {.lex_state = 18, .external_lex_state = 2},
  [16672] = {.lex_state = 434, .external_lex_state = 2},
  [16673] = {.lex_state = 434, .external_lex_state = 2},
  [16674] = {.lex_state = 434, .external_lex_state = 2},
  [16675] = {.lex_state = 434, .external_lex_state = 2},
  [16676] = {.lex_state = 434, .external_lex_state = 2},
  [16677] = {.lex_state = 157, .external_lex_state = 2},
  [16678] = {.lex_state = 91, .external_lex_state = 2},
  [16679] = {.lex_state = 91, .external_lex_state = 2},
  [16680] = {.lex_state = 91, .external_lex_state = 2},
  [16681] = {.lex_state = 434, .external_lex_state = 2},
  [16682] = {.lex_state = 434, .external_lex_state = 8},
  [16683] = {.lex_state = 91, .external_lex_state = 2},
  [16684] = {.lex_state = 18, .external_lex_state = 2},
  [16685] = {.lex_state = 434, .external_lex_state = 2},
  [16686] = {.lex_state = 434, .external_lex_state = 2},
  [16687] = {.lex_state = 157, .external_lex_state = 2},
  [16688] = {.lex_state = 434, .external_lex_state = 2},
  [16689] = {.lex_state = 434, .external_lex_state = 2},
  [16690] = {.lex_state = 434, .external_lex_state = 2},
  [16691] = {.lex_state = 434, .external_lex_state = 2},
  [16692] = {.lex_state = 434, .external_lex_state = 2},
  [16693] = {.lex_state = 434, .external_lex_state = 2},
  [16694] = {.lex_state = 434, .external_lex_state = 2},
  [16695] = {.lex_state = 434, .external_lex_state = 2},
  [16696] = {.lex_state = 434, .external_lex_state = 2},
  [16697] = {.lex_state = 434, .external_lex_state = 2},
  [16698] = {.lex_state = 91, .external_lex_state = 2},
  [16699] = {.lex_state = 6, .external_lex_state = 2},
  [16700] = {.lex_state = 91, .external_lex_state = 2},
  [16701] = {.lex_state = 91, .external_lex_state = 2},
  [16702] = {.lex_state = 434, .external_lex_state = 2},
  [16703] = {.lex_state = 434, .external_lex_state = 8},
  [16704] = {.lex_state = 434, .external_lex_state = 2},
  [16705] = {.lex_state = 434, .external_lex_state = 2},
  [16706] = {.lex_state = 434, .external_lex_state = 2},
  [16707] = {.lex_state = 434, .external_lex_state = 2},
  [16708] = {.lex_state = 434, .external_lex_state = 2},
  [16709] = {.lex_state = 434, .external_lex_state = 2},
  [16710] = {.lex_state = 434, .external_lex_state = 2},
  [16711] = {.lex_state = 157, .external_lex_state = 2},
  [16712] = {.lex_state = 91, .external_lex_state = 2},
  [16713] = {.lex_state = 434, .external_lex_state = 2},
  [16714] = {.lex_state = 91, .external_lex_state = 2},
  [16715] = {.lex_state = 91, .external_lex_state = 2},
  [16716] = {.lex_state = 434, .external_lex_state = 2},
  [16717] = {.lex_state = 434, .external_lex_state = 2},
  [16718] = {.lex_state = 434, .external_lex_state = 8},
  [16719] = {.lex_state = 164, .external_lex_state = 2},
  [16720] = {.lex_state = 157, .external_lex_state = 2},
  [16721] = {.lex_state = 18, .external_lex_state = 2},
  [16722] = {.lex_state = 434, .external_lex_state = 2},
  [16723] = {.lex_state = 434, .external_lex_state = 2},
  [16724] = {.lex_state = 434, .external_lex_state = 2},
  [16725] = {.lex_state = 434, .external_lex_state = 2},
  [16726] = {.lex_state = 434, .external_lex_state = 2},
  [16727] = {.lex_state = 91, .external_lex_state = 2},
  [16728] = {.lex_state = 91, .external_lex_state = 2},
  [16729] = {.lex_state = 91, .external_lex_state = 2},
  [16730] = {.lex_state = 18, .external_lex_state = 2},
  [16731] = {.lex_state = 434, .external_lex_state = 2},
  [16732] = {.lex_state = 434, .external_lex_state = 8},
  [16733] = {.lex_state = 18, .external_lex_state = 2},
  [16734] = {.lex_state = 18, .external_lex_state = 2},
  [16735] = {.lex_state = 434, .external_lex_state = 2},
  [16736] = {.lex_state = 434, .external_lex_state = 2},
  [16737] = {.lex_state = 434, .external_lex_state = 2},
  [16738] = {.lex_state = 18, .external_lex_state = 2},
  [16739] = {.lex_state = 434, .external_lex_state = 2},
  [16740] = {.lex_state = 434, .external_lex_state = 2},
  [16741] = {.lex_state = 91, .external_lex_state = 2},
  [16742] = {.lex_state = 91, .external_lex_state = 2},
  [16743] = {.lex_state = 91, .external_lex_state = 2},
  [16744] = {.lex_state = 434, .external_lex_state = 2},
  [16745] = {.lex_state = 18, .external_lex_state = 2},
  [16746] = {.lex_state = 434, .external_lex_state = 2},
  [16747] = {.lex_state = 434, .external_lex_state = 2},
  [16748] = {.lex_state = 434, .external_lex_state = 8},
  [16749] = {.lex_state = 164, .external_lex_state = 2},
  [16750] = {.lex_state = 434, .external_lex_state = 2},
  [16751] = {.lex_state = 434, .external_lex_state = 2},
  [16752] = {.lex_state = 434, .external_lex_state = 2},
  [16753] = {.lex_state = 434, .external_lex_state = 2},
  [16754] = {.lex_state = 434, .external_lex_state = 2},
  [16755] = {.lex_state = 434, .external_lex_state = 2},
  [16756] = {.lex_state = 91, .external_lex_state = 2},
  [16757] = {.lex_state = 434, .external_lex_state = 2},
  [16758] = {.lex_state = 91, .external_lex_state = 2},
  [16759] = {.lex_state = 434, .external_lex_state = 2},
  [16760] = {.lex_state = 91, .external_lex_state = 2},
  [16761] = {.lex_state = 157, .external_lex_state = 2},
  [16762] = {.lex_state = 91, .external_lex_state = 2},
  [16763] = {.lex_state = 434, .external_lex_state = 2},
  [16764] = {.lex_state = 434, .external_lex_state = 8},
  [16765] = {.lex_state = 434, .external_lex_state = 2},
  [16766] = {.lex_state = 434, .external_lex_state = 2},
  [16767] = {.lex_state = 434, .external_lex_state = 2},
  [16768] = {.lex_state = 434, .external_lex_state = 2},
  [16769] = {.lex_state = 434, .external_lex_state = 2},
  [16770] = {.lex_state = 434, .external_lex_state = 2},
  [16771] = {.lex_state = 434, .external_lex_state = 2},
  [16772] = {.lex_state = 434, .external_lex_state = 2},
  [16773] = {.lex_state = 434, .external_lex_state = 2},
  [16774] = {.lex_state = 434, .external_lex_state = 2},
  [16775] = {.lex_state = 434, .external_lex_state = 2},
  [16776] = {.lex_state = 91, .external_lex_state = 2},
  [16777] = {.lex_state = 91, .external_lex_state = 2},
  [16778] = {.lex_state = 91, .external_lex_state = 2},
  [16779] = {.lex_state = 157, .external_lex_state = 2},
  [16780] = {.lex_state = 157, .external_lex_state = 2},
  [16781] = {.lex_state = 434, .external_lex_state = 2},
  [16782] = {.lex_state = 434, .external_lex_state = 8},
  [16783] = {.lex_state = 434, .external_lex_state = 2},
  [16784] = {.lex_state = 434, .external_lex_state = 2},
  [16785] = {.lex_state = 434, .external_lex_state = 2},
  [16786] = {.lex_state = 434, .external_lex_state = 2},
  [16787] = {.lex_state = 434, .external_lex_state = 2},
  [16788] = {.lex_state = 434, .external_lex_state = 2},
  [16789] = {.lex_state = 434, .external_lex_state = 2},
  [16790] = {.lex_state = 434, .external_lex_state = 2},
  [16791] = {.lex_state = 91, .external_lex_state = 2},
  [16792] = {.lex_state = 434, .external_lex_state = 2},
  [16793] = {.lex_state = 434, .external_lex_state = 2},
  [16794] = {.lex_state = 91, .external_lex_state = 2},
  [16795] = {.lex_state = 91, .external_lex_state = 2},
  [16796] = {.lex_state = 434, .external_lex_state = 2},
  [16797] = {.lex_state = 157, .external_lex_state = 2},
  [16798] = {.lex_state = 434, .external_lex_state = 8},
  [16799] = {.lex_state = 434, .external_lex_state = 2},
  [16800] = {.lex_state = 18, .external_lex_state = 2},
  [16801] = {.lex_state = 434, .external_lex_state = 2},
  [16802] = {.lex_state = 434, .external_lex_state = 2},
  [16803] = {.lex_state = 434, .external_lex_state = 2},
  [16804] = {.lex_state = 434, .external_lex_state = 2},
  [16805] = {.lex_state = 434, .external_lex_state = 2},
  [16806] = {.lex_state = 434, .external_lex_state = 2},
  [16807] = {.lex_state = 91, .external_lex_state = 2},
  [16808] = {.lex_state = 434, .external_lex_state = 2},
  [16809] = {.lex_state = 18, .external_lex_state = 2},
  [16810] = {.lex_state = 434, .external_lex_state = 2},
  [16811] = {.lex_state = 91, .external_lex_state = 2},
  [16812] = {.lex_state = 91, .external_lex_state = 2},
  [16813] = {.lex_state = 434, .external_lex_state = 2},
  [16814] = {.lex_state = 434, .external_lex_state = 8},
  [16815] = {.lex_state = 434, .external_lex_state = 2},
  [16816] = {.lex_state = 434, .external_lex_state = 2},
  [16817] = {.lex_state = 157, .external_lex_state = 2},
  [16818] = {.lex_state = 434, .external_lex_state = 2},
  [16819] = {.lex_state = 434, .external_lex_state = 2},
  [16820] = {.lex_state = 434, .external_lex_state = 2},
  [16821] = {.lex_state = 434, .external_lex_state = 2},
  [16822] = {.lex_state = 434, .external_lex_state = 2},
  [16823] = {.lex_state = 434, .external_lex_state = 2},
  [16824] = {.lex_state = 434, .external_lex_state = 2},
  [16825] = {.lex_state = 91, .external_lex_state = 2},
  [16826] = {.lex_state = 157, .external_lex_state = 2},
  [16827] = {.lex_state = 91, .external_lex_state = 2},
  [16828] = {.lex_state = 91, .external_lex_state = 2},
  [16829] = {.lex_state = 434, .external_lex_state = 2},
  [16830] = {.lex_state = 434, .external_lex_state = 2},
  [16831] = {.lex_state = 91, .external_lex_state = 2},
  [16832] = {.lex_state = 434, .external_lex_state = 8},
  [16833] = {.lex_state = 157, .external_lex_state = 2},
  [16834] = {.lex_state = 434, .external_lex_state = 2},
  [16835] = {.lex_state = 18, .external_lex_state = 2},
  [16836] = {.lex_state = 434, .external_lex_state = 2},
  [16837] = {.lex_state = 434, .external_lex_state = 2},
  [16838] = {.lex_state = 434, .external_lex_state = 2},
  [16839] = {.lex_state = 434, .external_lex_state = 2},
  [16840] = {.lex_state = 434, .external_lex_state = 2},
  [16841] = {.lex_state = 434, .external_lex_state = 2},
  [16842] = {.lex_state = 157, .external_lex_state = 2},
  [16843] = {.lex_state = 91, .external_lex_state = 2},
  [16844] = {.lex_state = 91, .external_lex_state = 2},
  [16845] = {.lex_state = 91, .external_lex_state = 2},
  [16846] = {.lex_state = 18, .external_lex_state = 2},
  [16847] = {.lex_state = 18, .external_lex_state = 2},
  [16848] = {.lex_state = 434, .external_lex_state = 2},
  [16849] = {.lex_state = 434, .external_lex_state = 8},
  [16850] = {.lex_state = 434, .external_lex_state = 2},
  [16851] = {.lex_state = 434, .external_lex_state = 2},
  [16852] = {.lex_state = 434, .external_lex_state = 2},
  [16853] = {.lex_state = 434, .external_lex_state = 2},
  [16854] = {.lex_state = 434, .external_lex_state = 2},
  [16855] = {.lex_state = 434, .external_lex_state = 2},
  [16856] = {.lex_state = 434, .external_lex_state = 2},
  [16857] = {.lex_state = 157, .external_lex_state = 2},
  [16858] = {.lex_state = 434, .external_lex_state = 2},
  [16859] = {.lex_state = 434, .external_lex_state = 2},
  [16860] = {.lex_state = 91, .external_lex_state = 2},
  [16861] = {.lex_state = 157, .external_lex_state = 2},
  [16862] = {.lex_state = 91, .external_lex_state = 2},
  [16863] = {.lex_state = 91, .external_lex_state = 2},
  [16864] = {.lex_state = 434, .external_lex_state = 8},
  [16865] = {.lex_state = 434, .external_lex_state = 2},
  [16866] = {.lex_state = 157, .external_lex_state = 2},
  [16867] = {.lex_state = 91, .external_lex_state = 2},
  [16868] = {.lex_state = 434, .external_lex_state = 2},
  [16869] = {.lex_state = 434, .external_lex_state = 2},
  [16870] = {.lex_state = 434, .external_lex_state = 2},
  [16871] = {.lex_state = 434, .external_lex_state = 2},
  [16872] = {.lex_state = 18, .external_lex_state = 2},
  [16873] = {.lex_state = 91, .external_lex_state = 2},
  [16874] = {.lex_state = 6, .external_lex_state = 2},
  [16875] = {.lex_state = 434, .external_lex_state = 8},
  [16876] = {.lex_state = 434, .external_lex_state = 2},
  [16877] = {.lex_state = 434, .external_lex_state = 2},
  [16878] = {.lex_state = 434, .external_lex_state = 2},
  [16879] = {.lex_state = 434, .external_lex_state = 2},
  [16880] = {.lex_state = 434, .external_lex_state = 2},
  [16881] = {.lex_state = 434, .external_lex_state = 2},
  [16882] = {.lex_state = 434, .external_lex_state = 2},
  [16883] = {.lex_state = 434, .external_lex_state = 2},
  [16884] = {.lex_state = 18, .external_lex_state = 2},
  [16885] = {.lex_state = 18, .external_lex_state = 2},
  [16886] = {.lex_state = 434, .external_lex_state = 2},
  [16887] = {.lex_state = 91, .external_lex_state = 2},
  [16888] = {.lex_state = 159, .external_lex_state = 2},
  [16889] = {.lex_state = 434, .external_lex_state = 8},
  [16890] = {.lex_state = 157, .external_lex_state = 2},
  [16891] = {.lex_state = 434, .external_lex_state = 2},
  [16892] = {.lex_state = 157, .external_lex_state = 2},
  [16893] = {.lex_state = 434, .external_lex_state = 2},
  [16894] = {.lex_state = 434, .external_lex_state = 2},
  [16895] = {.lex_state = 434, .external_lex_state = 2},
  [16896] = {.lex_state = 434, .external_lex_state = 2},
  [16897] = {.lex_state = 434, .external_lex_state = 2},
  [16898] = {.lex_state = 91, .external_lex_state = 2},
  [16899] = {.lex_state = 434, .external_lex_state = 2},
  [16900] = {.lex_state = 434, .external_lex_state = 8},
  [16901] = {.lex_state = 434, .external_lex_state = 2},
  [16902] = {.lex_state = 434, .external_lex_state = 2},
  [16903] = {.lex_state = 434, .external_lex_state = 2},
  [16904] = {.lex_state = 434, .external_lex_state = 2},
  [16905] = {.lex_state = 434, .external_lex_state = 2},
  [16906] = {.lex_state = 91, .external_lex_state = 2},
  [16907] = {.lex_state = 434, .external_lex_state = 8},
  [16908] = {.lex_state = 434, .external_lex_state = 2},
  [16909] = {.lex_state = 157, .external_lex_state = 2},
  [16910] = {.lex_state = 434, .external_lex_state = 2},
  [16911] = {.lex_state = 18, .external_lex_state = 2},
  [16912] = {.lex_state = 434, .external_lex_state = 2},
  [16913] = {.lex_state = 434, .external_lex_state = 2},
  [16914] = {.lex_state = 434, .external_lex_state = 2},
  [16915] = {.lex_state = 434, .external_lex_state = 2},
  [16916] = {.lex_state = 434, .external_lex_state = 2},
  [16917] = {.lex_state = 434, .external_lex_state = 2},
  [16918] = {.lex_state = 434, .external_lex_state = 8},
  [16919] = {.lex_state = 91, .external_lex_state = 2},
  [16920] = {.lex_state = 434, .external_lex_state = 2},
  [16921] = {.lex_state = 18, .external_lex_state = 2},
  [16922] = {.lex_state = 434, .external_lex_state = 2},
  [16923] = {.lex_state = 434, .external_lex_state = 8},
  [16924] = {.lex_state = 18, .external_lex_state = 2},
  [16925] = {.lex_state = 434, .external_lex_state = 2},
  [16926] = {.lex_state = 434, .external_lex_state = 2},
  [16927] = {.lex_state = 434, .external_lex_state = 2},
  [16928] = {.lex_state = 434, .external_lex_state = 2},
  [16929] = {.lex_state = 434, .external_lex_state = 2},
  [16930] = {.lex_state = 434, .external_lex_state = 2},
  [16931] = {.lex_state = 91, .external_lex_state = 2},
  [16932] = {.lex_state = 434, .external_lex_state = 8},
  [16933] = {.lex_state = 157, .external_lex_state = 2},
  [16934] = {.lex_state = 434, .external_lex_state = 2},
  [16935] = {.lex_state = 434, .external_lex_state = 2},
  [16936] = {.lex_state = 159, .external_lex_state = 2},
  [16937] = {.lex_state = 434, .external_lex_state = 2},
  [16938] = {.lex_state = 434, .external_lex_state = 2},
  [16939] = {.lex_state = 434, .external_lex_state = 2},
  [16940] = {.lex_state = 434, .external_lex_state = 2},
  [16941] = {.lex_state = 434, .external_lex_state = 2},
  [16942] = {.lex_state = 434, .external_lex_state = 2},
  [16943] = {.lex_state = 91, .external_lex_state = 2},
  [16944] = {.lex_state = 434, .external_lex_state = 2},
  [16945] = {.lex_state = 434, .external_lex_state = 8},
  [16946] = {.lex_state = 434, .external_lex_state = 2},
  [16947] = {.lex_state = 18, .external_lex_state = 2},
  [16948] = {.lex_state = 434, .external_lex_state = 2},
  [16949] = {.lex_state = 434, .external_lex_state = 2},
  [16950] = {.lex_state = 434, .external_lex_state = 2},
  [16951] = {.lex_state = 434, .external_lex_state = 2},
  [16952] = {.lex_state = 434, .external_lex_state = 2},
  [16953] = {.lex_state = 18, .external_lex_state = 2},
  [16954] = {.lex_state = 434, .external_lex_state = 2},
  [16955] = {.lex_state = 18, .external_lex_state = 2},
  [16956] = {.lex_state = 434, .external_lex_state = 2},
  [16957] = {.lex_state = 91, .external_lex_state = 2},
  [16958] = {.lex_state = 18, .external_lex_state = 2},
  [16959] = {.lex_state = 18, .external_lex_state = 2},
  [16960] = {.lex_state = 434, .external_lex_state = 8},
  [16961] = {.lex_state = 434, .external_lex_state = 2},
  [16962] = {.lex_state = 434, .external_lex_state = 2},
  [16963] = {.lex_state = 434, .external_lex_state = 2},
  [16964] = {.lex_state = 434, .external_lex_state = 2},
  [16965] = {.lex_state = 18, .external_lex_state = 2},
  [16966] = {.lex_state = 18, .external_lex_state = 2},
  [16967] = {.lex_state = 434, .external_lex_state = 2},
  [16968] = {.lex_state = 91, .external_lex_state = 2},
  [16969] = {.lex_state = 18, .external_lex_state = 2},
  [16970] = {.lex_state = 434, .external_lex_state = 8},
  [16971] = {.lex_state = 434, .external_lex_state = 2},
  [16972] = {.lex_state = 18, .external_lex_state = 2},
  [16973] = {.lex_state = 434, .external_lex_state = 2},
  [16974] = {.lex_state = 434, .external_lex_state = 2},
  [16975] = {.lex_state = 434, .external_lex_state = 2},
  [16976] = {.lex_state = 434, .external_lex_state = 2},
  [16977] = {.lex_state = 434, .external_lex_state = 2},
  [16978] = {.lex_state = 157, .external_lex_state = 2},
  [16979] = {.lex_state = 18, .external_lex_state = 2},
  [16980] = {.lex_state = 434, .external_lex_state = 2},
  [16981] = {.lex_state = 91, .external_lex_state = 2},
  [16982] = {.lex_state = 434, .external_lex_state = 8},
  [16983] = {.lex_state = 130, .external_lex_state = 2},
  [16984] = {.lex_state = 18, .external_lex_state = 2},
  [16985] = {.lex_state = 18, .external_lex_state = 2},
  [16986] = {.lex_state = 434, .external_lex_state = 2},
  [16987] = {.lex_state = 434, .external_lex_state = 2},
  [16988] = {.lex_state = 434, .external_lex_state = 2},
  [16989] = {.lex_state = 434, .external_lex_state = 2},
  [16990] = {.lex_state = 434, .external_lex_state = 2},
  [16991] = {.lex_state = 157, .external_lex_state = 2},
  [16992] = {.lex_state = 434, .external_lex_state = 2},
  [16993] = {.lex_state = 157, .external_lex_state = 2},
  [16994] = {.lex_state = 434, .external_lex_state = 8},
  [16995] = {.lex_state = 434, .external_lex_state = 2},
  [16996] = {.lex_state = 434, .external_lex_state = 2},
  [16997] = {.lex_state = 434, .external_lex_state = 2},
  [16998] = {.lex_state = 18, .external_lex_state = 2},
  [16999] = {.lex_state = 18, .external_lex_state = 2},
  [17000] = {.lex_state = 434, .external_lex_state = 2},
  [17001] = {.lex_state = 434, .external_lex_state = 2},
  [17002] = {.lex_state = 434, .external_lex_state = 2},
  [17003] = {.lex_state = 434, .external_lex_state = 2},
  [17004] = {.lex_state = 434, .external_lex_state = 2},
  [17005] = {.lex_state = 434, .external_lex_state = 2},
  [17006] = {.lex_state = 434, .external_lex_state = 8},
  [17007] = {.lex_state = 18, .external_lex_state = 2},
  [17008] = {.lex_state = 18, .external_lex_state = 2},
  [17009] = {.lex_state = 434, .external_lex_state = 2},
  [17010] = {.lex_state = 434, .external_lex_state = 2},
  [17011] = {.lex_state = 434, .external_lex_state = 2},
  [17012] = {.lex_state = 434, .external_lex_state = 2},
  [17013] = {.lex_state = 434, .external_lex_state = 2},
  [17014] = {.lex_state = 18, .external_lex_state = 2},
  [17015] = {.lex_state = 434, .external_lex_state = 2},
  [17016] = {.lex_state = 18, .external_lex_state = 2},
  [17017] = {.lex_state = 434, .external_lex_state = 8},
  [17018] = {.lex_state = 434, .external_lex_state = 2},
  [17019] = {.lex_state = 434, .external_lex_state = 2},
  [17020] = {.lex_state = 434, .external_lex_state = 2},
  [17021] = {.lex_state = 434, .external_lex_state = 2},
  [17022] = {.lex_state = 434, .external_lex_state = 2},
  [17023] = {.lex_state = 434, .external_lex_state = 2},
  [17024] = {.lex_state = 434, .external_lex_state = 2},
  [17025] = {.lex_state = 434, .external_lex_state = 8},
  [17026] = {.lex_state = 18, .external_lex_state = 2},
  [17027] = {.lex_state = 157, .external_lex_state = 2},
  [17028] = {.lex_state = 18, .external_lex_state = 2},
  [17029] = {.lex_state = 434, .external_lex_state = 2},
  [17030] = {.lex_state = 434, .external_lex_state = 2},
  [17031] = {.lex_state = 434, .external_lex_state = 2},
  [17032] = {.lex_state = 434, .external_lex_state = 2},
  [17033] = {.lex_state = 434, .external_lex_state = 2},
  [17034] = {.lex_state = 434, .external_lex_state = 2},
  [17035] = {.lex_state = 434, .external_lex_state = 8},
  [17036] = {.lex_state = 18, .external_lex_state = 2},
  [17037] = {.lex_state = 18, .external_lex_state = 2},
  [17038] = {.lex_state = 434, .external_lex_state = 2},
  [17039] = {.lex_state = 434, .external_lex_state = 2},
  [17040] = {.lex_state = 434, .external_lex_state = 2},
  [17041] = {.lex_state = 434, .external_lex_state = 2},
  [17042] = {.lex_state = 434, .external_lex_state = 2},
  [17043] = {.lex_state = 434, .external_lex_state = 8},
  [17044] = {.lex_state = 18, .external_lex_state = 2},
  [17045] = {.lex_state = 157, .external_lex_state = 2},
  [17046] = {.lex_state = 18, .external_lex_state = 2},
  [17047] = {.lex_state = 434, .external_lex_state = 2},
  [17048] = {.lex_state = 434, .external_lex_state = 2},
  [17049] = {.lex_state = 434, .external_lex_state = 2},
  [17050] = {.lex_state = 434, .external_lex_state = 2},
  [17051] = {.lex_state = 434, .external_lex_state = 2},
  [17052] = {.lex_state = 434, .external_lex_state = 8},
  [17053] = {.lex_state = 18, .external_lex_state = 2},
  [17054] = {.lex_state = 18, .external_lex_state = 2},
  [17055] = {.lex_state = 434, .external_lex_state = 2},
  [17056] = {.lex_state = 434, .external_lex_state = 2},
  [17057] = {.lex_state = 434, .external_lex_state = 2},
  [17058] = {.lex_state = 434, .external_lex_state = 2},
  [17059] = {.lex_state = 434, .external_lex_state = 2},
  [17060] = {.lex_state = 18, .external_lex_state = 2},
  [17061] = {.lex_state = 434, .external_lex_state = 8},
  [17062] = {.lex_state = 18, .external_lex_state = 2},
  [17063] = {.lex_state = 18, .external_lex_state = 2},
  [17064] = {.lex_state = 434, .external_lex_state = 2},
  [17065] = {.lex_state = 434, .external_lex_state = 2},
  [17066] = {.lex_state = 434, .external_lex_state = 2},
  [17067] = {.lex_state = 434, .external_lex_state = 2},
  [17068] = {.lex_state = 434, .external_lex_state = 2},
  [17069] = {.lex_state = 434, .external_lex_state = 8},
  [17070] = {.lex_state = 434, .external_lex_state = 2},
  [17071] = {.lex_state = 434, .external_lex_state = 2},
  [17072] = {.lex_state = 434, .external_lex_state = 2},
  [17073] = {.lex_state = 18, .external_lex_state = 2},
  [17074] = {.lex_state = 18, .external_lex_state = 2},
  [17075] = {.lex_state = 434, .external_lex_state = 2},
  [17076] = {.lex_state = 434, .external_lex_state = 8},
  [17077] = {.lex_state = 18, .external_lex_state = 2},
  [17078] = {.lex_state = 434, .external_lex_state = 2},
  [17079] = {.lex_state = 434, .external_lex_state = 2},
  [17080] = {.lex_state = 434, .external_lex_state = 2},
  [17081] = {.lex_state = 434, .external_lex_state = 8},
  [17082] = {.lex_state = 434, .external_lex_state = 2},
  [17083] = {.lex_state = 434, .external_lex_state = 2},
  [17084] = {.lex_state = 434, .external_lex_state = 2},
  [17085] = {.lex_state = 434, .external_lex_state = 8},
  [17086] = {.lex_state = 434, .external_lex_state = 2},
  [17087] = {.lex_state = 434, .external_lex_state = 2},
  [17088] = {.lex_state = 434, .external_lex_state = 2},
  [17089] = {.lex_state = 434, .external_lex_state = 8},
  [17090] = {.lex_state = 434, .external_lex_state = 2},
  [17091] = {.lex_state = 434, .external_lex_state = 2},
  [17092] = {.lex_state = 434, .external_lex_state = 2},
  [17093] = {.lex_state = 434, .external_lex_state = 8},
  [17094] = {.lex_state = 434, .external_lex_state = 2},
  [17095] = {.lex_state = 434, .external_lex_state = 2},
  [17096] = {.lex_state = 434, .external_lex_state = 2},
  [17097] = {.lex_state = 18, .external_lex_state = 2},
  [17098] = {.lex_state = 434, .external_lex_state = 8},
  [17099] = {.lex_state = 434, .external_lex_state = 2},
  [17100] = {.lex_state = 434, .external_lex_state = 2},
  [17101] = {.lex_state = 434, .external_lex_state = 2},
  [17102] = {.lex_state = 434, .external_lex_state = 8},
  [17103] = {.lex_state = 434, .external_lex_state = 2},
  [17104] = {.lex_state = 434, .external_lex_state = 2},
  [17105] = {.lex_state = 434, .external_lex_state = 2},
  [17106] = {.lex_state = 434, .external_lex_state = 8},
  [17107] = {.lex_state = 434, .external_lex_state = 2},
  [17108] = {.lex_state = 434, .external_lex_state = 2},
  [17109] = {.lex_state = 434, .external_lex_state = 2},
  [17110] = {.lex_state = 434, .external_lex_state = 8},
  [17111] = {.lex_state = 434, .external_lex_state = 2},
  [17112] = {.lex_state = 434, .external_lex_state = 2},
  [17113] = {.lex_state = 434, .external_lex_state = 2},
  [17114] = {.lex_state = 434, .external_lex_state = 8},
  [17115] = {.lex_state = 434, .external_lex_state = 2},
  [17116] = {.lex_state = 434, .external_lex_state = 2},
  [17117] = {.lex_state = 434, .external_lex_state = 2},
  [17118] = {.lex_state = 434, .external_lex_state = 8},
  [17119] = {.lex_state = 434, .external_lex_state = 2},
  [17120] = {.lex_state = 434, .external_lex_state = 2},
  [17121] = {.lex_state = 434, .external_lex_state = 2},
  [17122] = {.lex_state = 434, .external_lex_state = 8},
  [17123] = {.lex_state = 434, .external_lex_state = 2},
  [17124] = {.lex_state = 434, .external_lex_state = 2},
  [17125] = {.lex_state = 434, .external_lex_state = 2},
  [17126] = {.lex_state = 434, .external_lex_state = 8},
  [17127] = {.lex_state = 434, .external_lex_state = 2},
  [17128] = {.lex_state = 434, .external_lex_state = 2},
  [17129] = {.lex_state = 434, .external_lex_state = 2},
  [17130] = {.lex_state = 434, .external_lex_state = 2},
  [17131] = {.lex_state = 434, .external_lex_state = 8},
  [17132] = {.lex_state = 434, .external_lex_state = 8},
  [17133] = {.lex_state = 434, .external_lex_state = 8},
  [17134] = {.lex_state = 434, .external_lex_state = 8},
  [17135] = {.lex_state = 434, .external_lex_state = 2},
  [17136] = {.lex_state = 434, .external_lex_state = 8},
  [17137] = {.lex_state = 434, .external_lex_state = 8},
  [17138] = {.lex_state = 434, .external_lex_state = 8},
  [17139] = {.lex_state = 434, .external_lex_state = 8},
  [17140] = {.lex_state = 434, .external_lex_state = 8},
  [17141] = {.lex_state = 434, .external_lex_state = 8},
  [17142] = {.lex_state = 434, .external_lex_state = 2},
  [17143] = {.lex_state = 434, .external_lex_state = 8},
  [17144] = {.lex_state = 434, .external_lex_state = 8},
  [17145] = {.lex_state = 434, .external_lex_state = 8},
  [17146] = {.lex_state = 434, .external_lex_state = 8},
  [17147] = {.lex_state = 434, .external_lex_state = 8},
  [17148] = {.lex_state = 434, .external_lex_state = 8},
  [17149] = {.lex_state = 434, .external_lex_state = 8},
  [17150] = {.lex_state = 434, .external_lex_state = 8},
  [17151] = {.lex_state = 434, .external_lex_state = 8},
  [17152] = {.lex_state = 434, .external_lex_state = 8},
  [17153] = {.lex_state = 434, .external_lex_state = 8},
  [17154] = {.lex_state = 434, .external_lex_state = 8},
  [17155] = {.lex_state = 434, .external_lex_state = 8},
  [17156] = {.lex_state = 434, .external_lex_state = 8},
  [17157] = {.lex_state = 434, .external_lex_state = 2},
  [17158] = {.lex_state = 434, .external_lex_state = 2},
  [17159] = {.lex_state = 434, .external_lex_state = 2},
  [17160] = {.lex_state = 434, .external_lex_state = 8},
  [17161] = {.lex_state = 434, .external_lex_state = 2},
  [17162] = {.lex_state = 91, .external_lex_state = 2},
  [17163] = {.lex_state = 434, .external_lex_state = 2},
  [17164] = {.lex_state = 91, .external_lex_state = 2},
  [17165] = {.lex_state = 91, .external_lex_state = 2},
  [17166] = {.lex_state = 434, .external_lex_state = 2},
  [17167] = {.lex_state = 157, .external_lex_state = 2},
  [17168] = {.lex_state = 434, .external_lex_state = 2},
  [17169] = {.lex_state = 434, .external_lex_state = 8},
  [17170] = {.lex_state = 434, .external_lex_state = 2},
  [17171] = {.lex_state = 434, .external_lex_state = 2},
  [17172] = {.lex_state = 434, .external_lex_state = 2},
  [17173] = {.lex_state = 434, .external_lex_state = 2},
  [17174] = {.lex_state = 18, .external_lex_state = 2},
  [17175] = {.lex_state = 91, .external_lex_state = 2},
  [17176] = {.lex_state = 157, .external_lex_state = 2},
  [17177] = {.lex_state = 434, .external_lex_state = 8},
  [17178] = {.lex_state = 159, .external_lex_state = 2},
  [17179] = {.lex_state = 434, .external_lex_state = 2},
  [17180] = {.lex_state = 434, .external_lex_state = 2},
  [17181] = {.lex_state = 18, .external_lex_state = 2},
  [17182] = {.lex_state = 18, .external_lex_state = 2},
  [17183] = {.lex_state = 434, .external_lex_state = 2},
  [17184] = {.lex_state = 434, .external_lex_state = 2},
  [17185] = {.lex_state = 434, .external_lex_state = 2},
  [17186] = {.lex_state = 434, .external_lex_state = 2},
  [17187] = {.lex_state = 159, .external_lex_state = 2},
  [17188] = {.lex_state = 18, .external_lex_state = 2},
  [17189] = {.lex_state = 434, .external_lex_state = 2},
  [17190] = {.lex_state = 434, .external_lex_state = 2},
  [17191] = {.lex_state = 434, .external_lex_state = 2},
  [17192] = {.lex_state = 157, .external_lex_state = 2},
  [17193] = {.lex_state = 157, .external_lex_state = 2},
  [17194] = {.lex_state = 434, .external_lex_state = 2},
  [17195] = {.lex_state = 157, .external_lex_state = 2},
  [17196] = {.lex_state = 157, .external_lex_state = 2},
  [17197] = {.lex_state = 157, .external_lex_state = 2},
  [17198] = {.lex_state = 434, .external_lex_state = 2},
  [17199] = {.lex_state = 434, .external_lex_state = 2},
  [17200] = {.lex_state = 434, .external_lex_state = 2},
  [17201] = {.lex_state = 434, .external_lex_state = 8},
  [17202] = {.lex_state = 434, .external_lex_state = 2},
  [17203] = {.lex_state = 434, .external_lex_state = 2},
  [17204] = {.lex_state = 434, .external_lex_state = 2},
  [17205] = {.lex_state = 434, .external_lex_state = 2},
  [17206] = {.lex_state = 434, .external_lex_state = 2},
  [17207] = {.lex_state = 434, .external_lex_state = 2},
  [17208] = {.lex_state = 18, .external_lex_state = 2},
  [17209] = {.lex_state = 159, .external_lex_state = 2},
  [17210] = {.lex_state = 434, .external_lex_state = 2},
  [17211] = {.lex_state = 434, .external_lex_state = 2},
  [17212] = {.lex_state = 157, .external_lex_state = 2},
  [17213] = {.lex_state = 434, .external_lex_state = 2},
  [17214] = {.lex_state = 434, .external_lex_state = 2},
  [17215] = {.lex_state = 434, .external_lex_state = 2},
  [17216] = {.lex_state = 159, .external_lex_state = 2},
  [17217] = {.lex_state = 434, .external_lex_state = 2},
  [17218] = {.lex_state = 157, .external_lex_state = 2},
  [17219] = {.lex_state = 434, .external_lex_state = 2},
  [17220] = {.lex_state = 434, .external_lex_state = 2},
  [17221] = {.lex_state = 18, .external_lex_state = 2},
  [17222] = {.lex_state = 434, .external_lex_state = 2},
  [17223] = {.lex_state = 434, .external_lex_state = 2},
  [17224] = {.lex_state = 18, .external_lex_state = 2},
  [17225] = {.lex_state = 434, .external_lex_state = 2},
  [17226] = {.lex_state = 434, .external_lex_state = 2},
  [17227] = {.lex_state = 434, .external_lex_state = 2},
  [17228] = {.lex_state = 434, .external_lex_state = 2},
  [17229] = {.lex_state = 18, .external_lex_state = 2},
  [17230] = {.lex_state = 159, .external_lex_state = 2},
  [17231] = {.lex_state = 434, .external_lex_state = 2},
  [17232] = {.lex_state = 434, .external_lex_state = 2},
  [17233] = {.lex_state = 434, .external_lex_state = 2},
  [17234] = {.lex_state = 434, .external_lex_state = 2},
  [17235] = {.lex_state = 434, .external_lex_state = 2},
  [17236] = {.lex_state = 159, .external_lex_state = 2},
  [17237] = {.lex_state = 434, .external_lex_state = 2},
  [17238] = {.lex_state = 434, .external_lex_state = 2},
  [17239] = {.lex_state = 157, .external_lex_state = 2},
  [17240] = {.lex_state = 91, .external_lex_state = 2},
  [17241] = {.lex_state = 434, .external_lex_state = 2},
  [17242] = {.lex_state = 157, .external_lex_state = 2},
  [17243] = {.lex_state = 434, .external_lex_state = 2},
  [17244] = {.lex_state = 18, .external_lex_state = 2},
  [17245] = {.lex_state = 434, .external_lex_state = 2},
  [17246] = {.lex_state = 434, .external_lex_state = 2},
  [17247] = {.lex_state = 434, .external_lex_state = 2},
  [17248] = {.lex_state = 434, .external_lex_state = 2},
  [17249] = {.lex_state = 157, .external_lex_state = 2},
  [17250] = {.lex_state = 434, .external_lex_state = 2},
  [17251] = {.lex_state = 434, .external_lex_state = 2},
  [17252] = {.lex_state = 434, .external_lex_state = 2},
  [17253] = {.lex_state = 434, .external_lex_state = 2},
  [17254] = {.lex_state = 434, .external_lex_state = 2},
  [17255] = {.lex_state = 434, .external_lex_state = 2},
  [17256] = {.lex_state = 434, .external_lex_state = 2},
  [17257] = {.lex_state = 434, .external_lex_state = 2},
  [17258] = {.lex_state = 434, .external_lex_state = 2},
  [17259] = {.lex_state = 434, .external_lex_state = 2},
  [17260] = {.lex_state = 434, .external_lex_state = 2},
  [17261] = {.lex_state = 6, .external_lex_state = 2},
  [17262] = {.lex_state = 434, .external_lex_state = 2},
  [17263] = {.lex_state = 157, .external_lex_state = 2},
  [17264] = {.lex_state = 434, .external_lex_state = 2},
  [17265] = {.lex_state = 434, .external_lex_state = 2},
  [17266] = {.lex_state = 434, .external_lex_state = 2},
  [17267] = {.lex_state = 434, .external_lex_state = 2},
  [17268] = {.lex_state = 157, .external_lex_state = 2},
  [17269] = {.lex_state = 157, .external_lex_state = 2},
  [17270] = {.lex_state = 434, .external_lex_state = 2},
  [17271] = {.lex_state = 434, .external_lex_state = 2},
  [17272] = {.lex_state = 434, .external_lex_state = 2},
  [17273] = {.lex_state = 434, .external_lex_state = 2},
  [17274] = {.lex_state = 434, .external_lex_state = 2},
  [17275] = {.lex_state = 434, .external_lex_state = 2},
  [17276] = {.lex_state = 434, .external_lex_state = 2},
  [17277] = {.lex_state = 434, .external_lex_state = 2},
  [17278] = {.lex_state = 434, .external_lex_state = 2},
  [17279] = {.lex_state = 434, .external_lex_state = 2},
  [17280] = {.lex_state = 434, .external_lex_state = 2},
  [17281] = {.lex_state = 434, .external_lex_state = 2},
  [17282] = {.lex_state = 434, .external_lex_state = 2},
  [17283] = {.lex_state = 434, .external_lex_state = 2},
  [17284] = {.lex_state = 434, .external_lex_state = 2},
  [17285] = {.lex_state = 434, .external_lex_state = 2},
  [17286] = {.lex_state = 157, .external_lex_state = 2},
  [17287] = {.lex_state = 434, .external_lex_state = 2},
  [17288] = {.lex_state = 157, .external_lex_state = 2},
  [17289] = {.lex_state = 434, .external_lex_state = 2},
  [17290] = {.lex_state = 434, .external_lex_state = 2},
  [17291] = {.lex_state = 434, .external_lex_state = 2},
  [17292] = {.lex_state = 157, .external_lex_state = 2},
  [17293] = {.lex_state = 434, .external_lex_state = 2},
  [17294] = {.lex_state = 434, .external_lex_state = 2},
  [17295] = {.lex_state = 434, .external_lex_state = 2},
  [17296] = {.lex_state = 434, .external_lex_state = 2},
  [17297] = {.lex_state = 18, .external_lex_state = 2},
  [17298] = {.lex_state = 18, .external_lex_state = 2},
  [17299] = {.lex_state = 434, .external_lex_state = 2},
  [17300] = {.lex_state = 434, .external_lex_state = 2},
  [17301] = {.lex_state = 434, .external_lex_state = 2},
  [17302] = {.lex_state = 434, .external_lex_state = 2},
  [17303] = {.lex_state = 18, .external_lex_state = 2},
  [17304] = {.lex_state = 18, .external_lex_state = 2},
  [17305] = {.lex_state = 434, .external_lex_state = 2},
  [17306] = {.lex_state = 157, .external_lex_state = 2},
  [17307] = {.lex_state = 18, .external_lex_state = 2},
  [17308] = {.lex_state = 18, .external_lex_state = 2},
  [17309] = {.lex_state = 434, .external_lex_state = 2},
  [17310] = {.lex_state = 434, .external_lex_state = 2},
  [17311] = {.lex_state = 434, .external_lex_state = 2},
  [17312] = {.lex_state = 434, .external_lex_state = 2},
  [17313] = {.lex_state = 434, .external_lex_state = 2},
  [17314] = {.lex_state = 18, .external_lex_state = 2},
  [17315] = {.lex_state = 434, .external_lex_state = 2},
  [17316] = {.lex_state = 434, .external_lex_state = 2},
  [17317] = {.lex_state = 434, .external_lex_state = 2},
  [17318] = {.lex_state = 434, .external_lex_state = 8},
  [17319] = {.lex_state = 434, .external_lex_state = 2},
  [17320] = {.lex_state = 434, .external_lex_state = 2},
  [17321] = {.lex_state = 434, .external_lex_state = 2},
  [17322] = {.lex_state = 434, .external_lex_state = 2},
  [17323] = {.lex_state = 434, .external_lex_state = 2},
  [17324] = {.lex_state = 434, .external_lex_state = 2},
  [17325] = {.lex_state = 434, .external_lex_state = 2},
  [17326] = {.lex_state = 434, .external_lex_state = 2},
  [17327] = {.lex_state = 18, .external_lex_state = 2},
  [17328] = {.lex_state = 434, .external_lex_state = 2},
  [17329] = {.lex_state = 434, .external_lex_state = 2},
  [17330] = {.lex_state = 434, .external_lex_state = 2},
  [17331] = {.lex_state = 434, .external_lex_state = 2},
  [17332] = {.lex_state = 434, .external_lex_state = 2},
  [17333] = {.lex_state = 434, .external_lex_state = 2},
  [17334] = {.lex_state = 434, .external_lex_state = 2},
  [17335] = {.lex_state = 434, .external_lex_state = 2},
  [17336] = {.lex_state = 18, .external_lex_state = 2},
  [17337] = {.lex_state = 157, .external_lex_state = 2},
  [17338] = {.lex_state = 434, .external_lex_state = 2},
  [17339] = {.lex_state = 434, .external_lex_state = 2},
  [17340] = {.lex_state = 434, .external_lex_state = 2},
  [17341] = {.lex_state = 434, .external_lex_state = 2},
  [17342] = {.lex_state = 434, .external_lex_state = 2},
  [17343] = {.lex_state = 434, .external_lex_state = 2},
  [17344] = {.lex_state = 434, .external_lex_state = 2},
  [17345] = {.lex_state = 434, .external_lex_state = 2},
  [17346] = {.lex_state = 434, .external_lex_state = 2},
  [17347] = {.lex_state = 434, .external_lex_state = 2},
  [17348] = {.lex_state = 157, .external_lex_state = 2},
  [17349] = {.lex_state = 18, .external_lex_state = 2},
  [17350] = {.lex_state = 434, .external_lex_state = 2},
  [17351] = {.lex_state = 434, .external_lex_state = 2},
  [17352] = {.lex_state = 157, .external_lex_state = 2},
  [17353] = {.lex_state = 434, .external_lex_state = 2},
  [17354] = {.lex_state = 157, .external_lex_state = 2},
  [17355] = {.lex_state = 157, .external_lex_state = 2},
  [17356] = {.lex_state = 434, .external_lex_state = 2},
  [17357] = {.lex_state = 157, .external_lex_state = 2},
  [17358] = {.lex_state = 434, .external_lex_state = 2},
  [17359] = {.lex_state = 18, .external_lex_state = 2},
  [17360] = {.lex_state = 434, .external_lex_state = 2},
  [17361] = {.lex_state = 434, .external_lex_state = 2},
  [17362] = {.lex_state = 434, .external_lex_state = 2},
  [17363] = {.lex_state = 157, .external_lex_state = 2},
  [17364] = {.lex_state = 434, .external_lex_state = 2},
  [17365] = {.lex_state = 157, .external_lex_state = 2},
  [17366] = {.lex_state = 434, .external_lex_state = 2},
  [17367] = {.lex_state = 157, .external_lex_state = 2},
  [17368] = {.lex_state = 157, .external_lex_state = 2},
  [17369] = {.lex_state = 157, .external_lex_state = 2},
  [17370] = {.lex_state = 91, .external_lex_state = 2},
  [17371] = {.lex_state = 434, .external_lex_state = 2},
  [17372] = {.lex_state = 91, .external_lex_state = 2},
  [17373] = {.lex_state = 91, .external_lex_state = 2},
  [17374] = {.lex_state = 18, .external_lex_state = 2},
  [17375] = {.lex_state = 434, .external_lex_state = 2},
  [17376] = {.lex_state = 164, .external_lex_state = 2},
  [17377] = {.lex_state = 164, .external_lex_state = 2},
  [17378] = {.lex_state = 434, .external_lex_state = 8},
  [17379] = {.lex_state = 18, .external_lex_state = 2},
  [17380] = {.lex_state = 434, .external_lex_state = 2},
  [17381] = {.lex_state = 18, .external_lex_state = 2},
  [17382] = {.lex_state = 434, .external_lex_state = 2},
  [17383] = {.lex_state = 164, .external_lex_state = 2},
  [17384] = {.lex_state = 18, .external_lex_state = 2},
  [17385] = {.lex_state = 434, .external_lex_state = 2},
  [17386] = {.lex_state = 157, .external_lex_state = 2},
  [17387] = {.lex_state = 18, .external_lex_state = 2},
  [17388] = {.lex_state = 157, .external_lex_state = 2},
  [17389] = {.lex_state = 434, .external_lex_state = 2},
  [17390] = {.lex_state = 434, .external_lex_state = 2},
  [17391] = {.lex_state = 434, .external_lex_state = 8},
  [17392] = {.lex_state = 434, .external_lex_state = 2},
  [17393] = {.lex_state = 434, .external_lex_state = 2},
  [17394] = {.lex_state = 434, .external_lex_state = 2},
  [17395] = {.lex_state = 434, .external_lex_state = 2},
  [17396] = {.lex_state = 434, .external_lex_state = 2},
  [17397] = {.lex_state = 18, .external_lex_state = 2},
  [17398] = {.lex_state = 434, .external_lex_state = 2},
  [17399] = {.lex_state = 434, .external_lex_state = 2},
  [17400] = {.lex_state = 434, .external_lex_state = 2},
  [17401] = {.lex_state = 434, .external_lex_state = 2},
  [17402] = {.lex_state = 434, .external_lex_state = 2},
  [17403] = {.lex_state = 434, .external_lex_state = 2},
  [17404] = {.lex_state = 434, .external_lex_state = 2},
  [17405] = {.lex_state = 434, .external_lex_state = 2},
  [17406] = {.lex_state = 434, .external_lex_state = 2},
  [17407] = {.lex_state = 434, .external_lex_state = 2},
  [17408] = {.lex_state = 203, .external_lex_state = 2},
  [17409] = {.lex_state = 434, .external_lex_state = 2},
  [17410] = {.lex_state = 91, .external_lex_state = 2},
  [17411] = {.lex_state = 434, .external_lex_state = 2},
  [17412] = {.lex_state = 434, .external_lex_state = 2},
  [17413] = {.lex_state = 434, .external_lex_state = 2},
  [17414] = {.lex_state = 434, .external_lex_state = 2},
  [17415] = {.lex_state = 434, .external_lex_state = 2},
  [17416] = {.lex_state = 434, .external_lex_state = 2},
  [17417] = {.lex_state = 434, .external_lex_state = 2},
  [17418] = {.lex_state = 434, .external_lex_state = 2},
  [17419] = {.lex_state = 18, .external_lex_state = 2},
  [17420] = {.lex_state = 157, .external_lex_state = 2},
  [17421] = {.lex_state = 434, .external_lex_state = 2},
  [17422] = {.lex_state = 434, .external_lex_state = 2},
  [17423] = {.lex_state = 434, .external_lex_state = 2},
  [17424] = {.lex_state = 157, .external_lex_state = 2},
  [17425] = {.lex_state = 157, .external_lex_state = 2},
  [17426] = {.lex_state = 157, .external_lex_state = 2},
  [17427] = {.lex_state = 434, .external_lex_state = 2},
  [17428] = {.lex_state = 434, .external_lex_state = 2},
  [17429] = {.lex_state = 434, .external_lex_state = 2},
  [17430] = {.lex_state = 18, .external_lex_state = 2},
  [17431] = {.lex_state = 157, .external_lex_state = 2},
  [17432] = {.lex_state = 434, .external_lex_state = 2},
  [17433] = {.lex_state = 434, .external_lex_state = 2},
  [17434] = {.lex_state = 434, .external_lex_state = 2},
  [17435] = {.lex_state = 434, .external_lex_state = 2},
  [17436] = {.lex_state = 434, .external_lex_state = 2},
  [17437] = {.lex_state = 434, .external_lex_state = 2},
  [17438] = {.lex_state = 434, .external_lex_state = 2},
  [17439] = {.lex_state = 434, .external_lex_state = 2},
  [17440] = {.lex_state = 434, .external_lex_state = 2},
  [17441] = {.lex_state = 157, .external_lex_state = 2},
  [17442] = {.lex_state = 434, .external_lex_state = 2},
  [17443] = {.lex_state = 434, .external_lex_state = 2},
  [17444] = {.lex_state = 434, .external_lex_state = 2},
  [17445] = {.lex_state = 157, .external_lex_state = 2},
  [17446] = {.lex_state = 434, .external_lex_state = 2},
  [17447] = {.lex_state = 434, .external_lex_state = 2},
  [17448] = {.lex_state = 434, .external_lex_state = 2},
  [17449] = {.lex_state = 434, .external_lex_state = 2},
  [17450] = {.lex_state = 434, .external_lex_state = 2},
  [17451] = {.lex_state = 434, .external_lex_state = 2},
  [17452] = {.lex_state = 157, .external_lex_state = 2},
  [17453] = {.lex_state = 157, .external_lex_state = 2},
  [17454] = {.lex_state = 434, .external_lex_state = 2},
  [17455] = {.lex_state = 434, .external_lex_state = 2},
  [17456] = {.lex_state = 434, .external_lex_state = 2},
  [17457] = {.lex_state = 434, .external_lex_state = 2},
  [17458] = {.lex_state = 434, .external_lex_state = 2},
  [17459] = {.lex_state = 434, .external_lex_state = 2},
  [17460] = {.lex_state = 434, .external_lex_state = 2},
  [17461] = {.lex_state = 434, .external_lex_state = 2},
  [17462] = {.lex_state = 434, .external_lex_state = 2},
  [17463] = {.lex_state = 434, .external_lex_state = 2},
  [17464] = {.lex_state = 91, .external_lex_state = 2},
  [17465] = {.lex_state = 434, .external_lex_state = 2},
  [17466] = {.lex_state = 434, .external_lex_state = 2},
  [17467] = {.lex_state = 91, .external_lex_state = 2},
  [17468] = {.lex_state = 434, .external_lex_state = 2},
  [17469] = {.lex_state = 164, .external_lex_state = 2},
  [17470] = {.lex_state = 434, .external_lex_state = 2},
  [17471] = {.lex_state = 434, .external_lex_state = 2},
  [17472] = {.lex_state = 157, .external_lex_state = 2},
  [17473] = {.lex_state = 434, .external_lex_state = 2},
  [17474] = {.lex_state = 434, .external_lex_state = 2},
  [17475] = {.lex_state = 434, .external_lex_state = 2},
  [17476] = {.lex_state = 157, .external_lex_state = 2},
  [17477] = {.lex_state = 157, .external_lex_state = 2},
  [17478] = {.lex_state = 91, .external_lex_state = 2},
  [17479] = {.lex_state = 434, .external_lex_state = 2},
  [17480] = {.lex_state = 434, .external_lex_state = 2},
  [17481] = {.lex_state = 434, .external_lex_state = 2},
  [17482] = {.lex_state = 434, .external_lex_state = 2},
  [17483] = {.lex_state = 434, .external_lex_state = 3},
  [17484] = {.lex_state = 434, .external_lex_state = 2},
  [17485] = {.lex_state = 434, .external_lex_state = 2},
  [17486] = {.lex_state = 157, .external_lex_state = 2},
  [17487] = {.lex_state = 157, .external_lex_state = 2},
  [17488] = {.lex_state = 434, .external_lex_state = 2},
  [17489] = {.lex_state = 434, .external_lex_state = 2},
  [17490] = {.lex_state = 434, .external_lex_state = 3},
  [17491] = {.lex_state = 91, .external_lex_state = 2},
  [17492] = {.lex_state = 434, .external_lex_state = 2},
  [17493] = {.lex_state = 434, .external_lex_state = 2},
  [17494] = {.lex_state = 434, .external_lex_state = 2},
  [17495] = {.lex_state = 434, .external_lex_state = 2},
  [17496] = {.lex_state = 434, .external_lex_state = 2},
  [17497] = {.lex_state = 18, .external_lex_state = 2},
  [17498] = {.lex_state = 434, .external_lex_state = 2},
  [17499] = {.lex_state = 434, .external_lex_state = 2},
  [17500] = {.lex_state = 434, .external_lex_state = 2},
  [17501] = {.lex_state = 18, .external_lex_state = 2},
  [17502] = {.lex_state = 434, .external_lex_state = 2},
  [17503] = {.lex_state = 434, .external_lex_state = 2},
  [17504] = {.lex_state = 164, .external_lex_state = 2},
  [17505] = {.lex_state = 18, .external_lex_state = 2},
  [17506] = {.lex_state = 157, .external_lex_state = 2},
  [17507] = {.lex_state = 157, .external_lex_state = 2},
  [17508] = {.lex_state = 434, .external_lex_state = 2},
  [17509] = {.lex_state = 18, .external_lex_state = 2},
  [17510] = {.lex_state = 434, .external_lex_state = 2},
  [17511] = {.lex_state = 434, .external_lex_state = 2},
  [17512] = {.lex_state = 434, .external_lex_state = 2},
  [17513] = {.lex_state = 434, .external_lex_state = 2},
  [17514] = {.lex_state = 434, .external_lex_state = 2},
  [17515] = {.lex_state = 434, .external_lex_state = 2},
  [17516] = {.lex_state = 434, .external_lex_state = 2},
  [17517] = {.lex_state = 157, .external_lex_state = 2},
  [17518] = {.lex_state = 434, .external_lex_state = 3},
  [17519] = {.lex_state = 157, .external_lex_state = 2},
  [17520] = {.lex_state = 434, .external_lex_state = 2},
  [17521] = {.lex_state = 434, .external_lex_state = 2},
  [17522] = {.lex_state = 434, .external_lex_state = 2},
  [17523] = {.lex_state = 434, .external_lex_state = 2},
  [17524] = {.lex_state = 157, .external_lex_state = 2},
  [17525] = {.lex_state = 164, .external_lex_state = 2},
  [17526] = {.lex_state = 434, .external_lex_state = 3},
  [17527] = {.lex_state = 164, .external_lex_state = 2},
  [17528] = {.lex_state = 434, .external_lex_state = 2},
  [17529] = {.lex_state = 164, .external_lex_state = 2},
  [17530] = {.lex_state = 434, .external_lex_state = 2},
  [17531] = {.lex_state = 434, .external_lex_state = 2},
  [17532] = {.lex_state = 434, .external_lex_state = 2},
  [17533] = {.lex_state = 91, .external_lex_state = 2},
  [17534] = {.lex_state = 434, .external_lex_state = 2},
  [17535] = {.lex_state = 434, .external_lex_state = 2},
  [17536] = {.lex_state = 157, .external_lex_state = 2},
  [17537] = {.lex_state = 157, .external_lex_state = 2},
  [17538] = {.lex_state = 434, .external_lex_state = 2},
  [17539] = {.lex_state = 434, .external_lex_state = 2},
  [17540] = {.lex_state = 164, .external_lex_state = 2},
  [17541] = {.lex_state = 434, .external_lex_state = 2},
  [17542] = {.lex_state = 157, .external_lex_state = 2},
  [17543] = {.lex_state = 157, .external_lex_state = 2},
  [17544] = {.lex_state = 91, .external_lex_state = 2},
  [17545] = {.lex_state = 434, .external_lex_state = 2},
  [17546] = {.lex_state = 434, .external_lex_state = 2},
  [17547] = {.lex_state = 434, .external_lex_state = 2},
  [17548] = {.lex_state = 18, .external_lex_state = 2},
  [17549] = {.lex_state = 434, .external_lex_state = 2},
  [17550] = {.lex_state = 157, .external_lex_state = 2},
  [17551] = {.lex_state = 157, .external_lex_state = 2},
  [17552] = {.lex_state = 157, .external_lex_state = 2},
  [17553] = {.lex_state = 434, .external_lex_state = 2},
  [17554] = {.lex_state = 434, .external_lex_state = 2},
  [17555] = {.lex_state = 18, .external_lex_state = 2},
  [17556] = {.lex_state = 91, .external_lex_state = 2},
  [17557] = {.lex_state = 434, .external_lex_state = 2},
  [17558] = {.lex_state = 434, .external_lex_state = 3},
  [17559] = {.lex_state = 434, .external_lex_state = 2},
  [17560] = {.lex_state = 434, .external_lex_state = 2},
  [17561] = {.lex_state = 434, .external_lex_state = 2},
  [17562] = {.lex_state = 434, .external_lex_state = 2},
  [17563] = {.lex_state = 18, .external_lex_state = 2},
  [17564] = {.lex_state = 434, .external_lex_state = 2},
  [17565] = {.lex_state = 434, .external_lex_state = 2},
  [17566] = {.lex_state = 434, .external_lex_state = 2},
  [17567] = {.lex_state = 157, .external_lex_state = 2},
  [17568] = {.lex_state = 434, .external_lex_state = 2},
  [17569] = {.lex_state = 434, .external_lex_state = 2},
  [17570] = {.lex_state = 434, .external_lex_state = 2},
  [17571] = {.lex_state = 434, .external_lex_state = 2},
  [17572] = {.lex_state = 157, .external_lex_state = 2},
  [17573] = {.lex_state = 434, .external_lex_state = 2},
  [17574] = {.lex_state = 434, .external_lex_state = 3},
  [17575] = {.lex_state = 434, .external_lex_state = 2},
  [17576] = {.lex_state = 434, .external_lex_state = 2},
  [17577] = {.lex_state = 434, .external_lex_state = 2},
  [17578] = {.lex_state = 434, .external_lex_state = 2},
  [17579] = {.lex_state = 434, .external_lex_state = 2},
  [17580] = {.lex_state = 91, .external_lex_state = 2},
  [17581] = {.lex_state = 18, .external_lex_state = 2},
  [17582] = {.lex_state = 434, .external_lex_state = 2},
  [17583] = {.lex_state = 434, .external_lex_state = 2},
  [17584] = {.lex_state = 434, .external_lex_state = 2},
  [17585] = {.lex_state = 434, .external_lex_state = 2},
  [17586] = {.lex_state = 157, .external_lex_state = 2},
  [17587] = {.lex_state = 434, .external_lex_state = 2},
  [17588] = {.lex_state = 91, .external_lex_state = 2},
  [17589] = {.lex_state = 434, .external_lex_state = 2},
  [17590] = {.lex_state = 164, .external_lex_state = 2},
  [17591] = {.lex_state = 434, .external_lex_state = 2},
  [17592] = {.lex_state = 434, .external_lex_state = 2},
  [17593] = {.lex_state = 434, .external_lex_state = 2},
  [17594] = {.lex_state = 434, .external_lex_state = 2},
  [17595] = {.lex_state = 434, .external_lex_state = 2},
  [17596] = {.lex_state = 434, .external_lex_state = 2},
  [17597] = {.lex_state = 157, .external_lex_state = 2},
  [17598] = {.lex_state = 157, .external_lex_state = 2},
  [17599] = {.lex_state = 91, .external_lex_state = 2},
  [17600] = {.lex_state = 434, .external_lex_state = 2},
  [17601] = {.lex_state = 164, .external_lex_state = 2},
  [17602] = {.lex_state = 434, .external_lex_state = 2},
  [17603] = {.lex_state = 434, .external_lex_state = 2},
  [17604] = {.lex_state = 434, .external_lex_state = 2},
  [17605] = {.lex_state = 164, .external_lex_state = 2},
  [17606] = {.lex_state = 157, .external_lex_state = 2},
  [17607] = {.lex_state = 157, .external_lex_state = 2},
  [17608] = {.lex_state = 434, .external_lex_state = 2},
  [17609] = {.lex_state = 164, .external_lex_state = 2},
  [17610] = {.lex_state = 164, .external_lex_state = 2},
  [17611] = {.lex_state = 91, .external_lex_state = 2},
  [17612] = {.lex_state = 434, .external_lex_state = 2},
  [17613] = {.lex_state = 91, .external_lex_state = 2},
  [17614] = {.lex_state = 164, .external_lex_state = 2},
  [17615] = {.lex_state = 434, .external_lex_state = 2},
  [17616] = {.lex_state = 434, .external_lex_state = 2},
  [17617] = {.lex_state = 157, .external_lex_state = 2},
  [17618] = {.lex_state = 434, .external_lex_state = 2},
  [17619] = {.lex_state = 18, .external_lex_state = 2},
  [17620] = {.lex_state = 434, .external_lex_state = 2},
  [17621] = {.lex_state = 434, .external_lex_state = 2},
  [17622] = {.lex_state = 434, .external_lex_state = 2},
  [17623] = {.lex_state = 434, .external_lex_state = 2},
  [17624] = {.lex_state = 434, .external_lex_state = 2},
  [17625] = {.lex_state = 434, .external_lex_state = 2},
  [17626] = {.lex_state = 434, .external_lex_state = 2},
  [17627] = {.lex_state = 434, .external_lex_state = 2},
  [17628] = {.lex_state = 434, .external_lex_state = 2},
  [17629] = {.lex_state = 434, .external_lex_state = 2},
  [17630] = {.lex_state = 434, .external_lex_state = 2},
  [17631] = {.lex_state = 434, .external_lex_state = 2},
  [17632] = {.lex_state = 434, .external_lex_state = 2},
  [17633] = {.lex_state = 434, .external_lex_state = 2},
  [17634] = {.lex_state = 434, .external_lex_state = 2},
  [17635] = {.lex_state = 157, .external_lex_state = 2},
  [17636] = {.lex_state = 434, .external_lex_state = 2},
  [17637] = {.lex_state = 164, .external_lex_state = 2},
  [17638] = {.lex_state = 434, .external_lex_state = 2},
  [17639] = {.lex_state = 434, .external_lex_state = 2},
  [17640] = {.lex_state = 434, .external_lex_state = 2},
  [17641] = {.lex_state = 434, .external_lex_state = 2},
  [17642] = {.lex_state = 91, .external_lex_state = 2},
  [17643] = {.lex_state = 434, .external_lex_state = 2},
  [17644] = {.lex_state = 18, .external_lex_state = 2},
  [17645] = {.lex_state = 434, .external_lex_state = 2},
  [17646] = {.lex_state = 157, .external_lex_state = 2},
  [17647] = {.lex_state = 434, .external_lex_state = 2},
  [17648] = {.lex_state = 434, .external_lex_state = 2},
  [17649] = {.lex_state = 434, .external_lex_state = 2},
  [17650] = {.lex_state = 434, .external_lex_state = 2},
  [17651] = {.lex_state = 157, .external_lex_state = 2},
  [17652] = {.lex_state = 157, .external_lex_state = 2},
  [17653] = {.lex_state = 91, .external_lex_state = 2},
  [17654] = {.lex_state = 434, .external_lex_state = 2},
  [17655] = {.lex_state = 434, .external_lex_state = 2},
  [17656] = {.lex_state = 434, .external_lex_state = 2},
  [17657] = {.lex_state = 434, .external_lex_state = 2},
  [17658] = {.lex_state = 434, .external_lex_state = 2},
  [17659] = {.lex_state = 434, .external_lex_state = 2},
  [17660] = {.lex_state = 157, .external_lex_state = 2},
  [17661] = {.lex_state = 157, .external_lex_state = 2},
  [17662] = {.lex_state = 434, .external_lex_state = 2},
  [17663] = {.lex_state = 434, .external_lex_state = 2},
  [17664] = {.lex_state = 434, .external_lex_state = 2},
  [17665] = {.lex_state = 91, .external_lex_state = 2},
  [17666] = {.lex_state = 434, .external_lex_state = 2},
  [17667] = {.lex_state = 434, .external_lex_state = 2},
  [17668] = {.lex_state = 434, .external_lex_state = 2},
  [17669] = {.lex_state = 434, .external_lex_state = 2},
  [17670] = {.lex_state = 434, .external_lex_state = 2},
  [17671] = {.lex_state = 434, .external_lex_state = 2},
  [17672] = {.lex_state = 434, .external_lex_state = 2},
  [17673] = {.lex_state = 157, .external_lex_state = 2},
  [17674] = {.lex_state = 164, .external_lex_state = 2},
  [17675] = {.lex_state = 434, .external_lex_state = 2},
  [17676] = {.lex_state = 157, .external_lex_state = 2},
  [17677] = {.lex_state = 434, .external_lex_state = 2},
  [17678] = {.lex_state = 434, .external_lex_state = 2},
  [17679] = {.lex_state = 434, .external_lex_state = 2},
  [17680] = {.lex_state = 434, .external_lex_state = 2},
  [17681] = {.lex_state = 434, .external_lex_state = 2},
  [17682] = {.lex_state = 434, .external_lex_state = 2},
  [17683] = {.lex_state = 434, .external_lex_state = 2},
  [17684] = {.lex_state = 434, .external_lex_state = 2},
  [17685] = {.lex_state = 434, .external_lex_state = 2},
  [17686] = {.lex_state = 434, .external_lex_state = 2},
  [17687] = {.lex_state = 164, .external_lex_state = 2},
  [17688] = {.lex_state = 434, .external_lex_state = 2},
  [17689] = {.lex_state = 434, .external_lex_state = 2},
  [17690] = {.lex_state = 434, .external_lex_state = 2},
  [17691] = {.lex_state = 434, .external_lex_state = 2},
  [17692] = {.lex_state = 434, .external_lex_state = 2},
  [17693] = {.lex_state = 164, .external_lex_state = 2},
  [17694] = {.lex_state = 434, .external_lex_state = 2},
  [17695] = {.lex_state = 434, .external_lex_state = 2},
  [17696] = {.lex_state = 157, .external_lex_state = 2},
  [17697] = {.lex_state = 91, .external_lex_state = 2},
  [17698] = {.lex_state = 434, .external_lex_state = 2},
  [17699] = {.lex_state = 434, .external_lex_state = 2},
  [17700] = {.lex_state = 164, .external_lex_state = 2},
  [17701] = {.lex_state = 164, .external_lex_state = 2},
  [17702] = {.lex_state = 434, .external_lex_state = 2},
  [17703] = {.lex_state = 157, .external_lex_state = 2},
  [17704] = {.lex_state = 434, .external_lex_state = 2},
  [17705] = {.lex_state = 164, .external_lex_state = 2},
  [17706] = {.lex_state = 157, .external_lex_state = 2},
  [17707] = {.lex_state = 157, .external_lex_state = 2},
  [17708] = {.lex_state = 91, .external_lex_state = 2},
  [17709] = {.lex_state = 164, .external_lex_state = 2},
  [17710] = {.lex_state = 164, .external_lex_state = 2},
  [17711] = {.lex_state = 164, .external_lex_state = 2},
  [17712] = {.lex_state = 434, .external_lex_state = 2},
  [17713] = {.lex_state = 164, .external_lex_state = 2},
  [17714] = {.lex_state = 164, .external_lex_state = 2},
  [17715] = {.lex_state = 157, .external_lex_state = 2},
  [17716] = {.lex_state = 157, .external_lex_state = 2},
  [17717] = {.lex_state = 18, .external_lex_state = 2},
  [17718] = {.lex_state = 434, .external_lex_state = 2},
  [17719] = {.lex_state = 434, .external_lex_state = 2},
  [17720] = {.lex_state = 91, .external_lex_state = 2},
  [17721] = {.lex_state = 164, .external_lex_state = 2},
  [17722] = {.lex_state = 434, .external_lex_state = 2},
  [17723] = {.lex_state = 434, .external_lex_state = 2},
  [17724] = {.lex_state = 434, .external_lex_state = 2},
  [17725] = {.lex_state = 164, .external_lex_state = 2},
  [17726] = {.lex_state = 434, .external_lex_state = 2},
  [17727] = {.lex_state = 164, .external_lex_state = 2},
  [17728] = {.lex_state = 434, .external_lex_state = 2},
  [17729] = {.lex_state = 434, .external_lex_state = 2},
  [17730] = {.lex_state = 164, .external_lex_state = 2},
  [17731] = {.lex_state = 434, .external_lex_state = 2},
  [17732] = {.lex_state = 434, .external_lex_state = 2},
  [17733] = {.lex_state = 434, .external_lex_state = 2},
  [17734] = {.lex_state = 434, .external_lex_state = 2},
  [17735] = {.lex_state = 434, .external_lex_state = 2},
  [17736] = {.lex_state = 434, .external_lex_state = 2},
  [17737] = {.lex_state = 434, .external_lex_state = 2},
  [17738] = {.lex_state = 157, .external_lex_state = 2},
  [17739] = {.lex_state = 434, .external_lex_state = 2},
  [17740] = {.lex_state = 164, .external_lex_state = 2},
  [17741] = {.lex_state = 164, .external_lex_state = 2},
  [17742] = {.lex_state = 157, .external_lex_state = 2},
  [17743] = {.lex_state = 434, .external_lex_state = 2},
  [17744] = {.lex_state = 434, .external_lex_state = 2},
  [17745] = {.lex_state = 434, .external_lex_state = 2},
  [17746] = {.lex_state = 434, .external_lex_state = 2},
  [17747] = {.lex_state = 434, .external_lex_state = 2},
  [17748] = {.lex_state = 434, .external_lex_state = 2},
  [17749] = {.lex_state = 434, .external_lex_state = 2},
  [17750] = {.lex_state = 164, .external_lex_state = 2},
  [17751] = {.lex_state = 164, .external_lex_state = 2},
  [17752] = {.lex_state = 91, .external_lex_state = 2},
  [17753] = {.lex_state = 434, .external_lex_state = 2},
  [17754] = {.lex_state = 164, .external_lex_state = 2},
  [17755] = {.lex_state = 434, .external_lex_state = 2},
  [17756] = {.lex_state = 434, .external_lex_state = 2},
  [17757] = {.lex_state = 434, .external_lex_state = 2},
  [17758] = {.lex_state = 434, .external_lex_state = 2},
  [17759] = {.lex_state = 91, .external_lex_state = 2},
  [17760] = {.lex_state = 18, .external_lex_state = 2},
  [17761] = {.lex_state = 157, .external_lex_state = 2},
  [17762] = {.lex_state = 157, .external_lex_state = 2},
  [17763] = {.lex_state = 91, .external_lex_state = 2},
  [17764] = {.lex_state = 18, .external_lex_state = 2},
  [17765] = {.lex_state = 434, .external_lex_state = 2},
  [17766] = {.lex_state = 434, .external_lex_state = 2},
  [17767] = {.lex_state = 157, .external_lex_state = 2},
  [17768] = {.lex_state = 157, .external_lex_state = 2},
  [17769] = {.lex_state = 434, .external_lex_state = 3},
  [17770] = {.lex_state = 157, .external_lex_state = 2},
  [17771] = {.lex_state = 157, .external_lex_state = 2},
  [17772] = {.lex_state = 18, .external_lex_state = 2},
  [17773] = {.lex_state = 434, .external_lex_state = 2},
  [17774] = {.lex_state = 434, .external_lex_state = 2},
  [17775] = {.lex_state = 91, .external_lex_state = 2},
  [17776] = {.lex_state = 434, .external_lex_state = 2},
  [17777] = {.lex_state = 434, .external_lex_state = 2},
  [17778] = {.lex_state = 434, .external_lex_state = 2},
  [17779] = {.lex_state = 434, .external_lex_state = 2},
  [17780] = {.lex_state = 434, .external_lex_state = 2},
  [17781] = {.lex_state = 434, .external_lex_state = 2},
  [17782] = {.lex_state = 434, .external_lex_state = 2},
  [17783] = {.lex_state = 434, .external_lex_state = 2},
  [17784] = {.lex_state = 434, .external_lex_state = 2},
  [17785] = {.lex_state = 164, .external_lex_state = 2},
  [17786] = {.lex_state = 91, .external_lex_state = 2},
  [17787] = {.lex_state = 434, .external_lex_state = 2},
  [17788] = {.lex_state = 434, .external_lex_state = 2},
  [17789] = {.lex_state = 434, .external_lex_state = 2},
  [17790] = {.lex_state = 434, .external_lex_state = 2},
  [17791] = {.lex_state = 434, .external_lex_state = 2},
  [17792] = {.lex_state = 434, .external_lex_state = 2},
  [17793] = {.lex_state = 164, .external_lex_state = 2},
  [17794] = {.lex_state = 164, .external_lex_state = 2},
  [17795] = {.lex_state = 164, .external_lex_state = 2},
  [17796] = {.lex_state = 91, .external_lex_state = 2},
  [17797] = {.lex_state = 434, .external_lex_state = 2},
  [17798] = {.lex_state = 18, .external_lex_state = 2},
  [17799] = {.lex_state = 434, .external_lex_state = 2},
  [17800] = {.lex_state = 434, .external_lex_state = 2},
  [17801] = {.lex_state = 434, .external_lex_state = 2},
  [17802] = {.lex_state = 18, .external_lex_state = 2},
  [17803] = {.lex_state = 434, .external_lex_state = 2},
  [17804] = {.lex_state = 434, .external_lex_state = 2},
  [17805] = {.lex_state = 157, .external_lex_state = 2},
  [17806] = {.lex_state = 434, .external_lex_state = 2},
  [17807] = {.lex_state = 91, .external_lex_state = 2},
  [17808] = {.lex_state = 18, .external_lex_state = 2},
  [17809] = {.lex_state = 434, .external_lex_state = 2},
  [17810] = {.lex_state = 434, .external_lex_state = 2},
  [17811] = {.lex_state = 434, .external_lex_state = 2},
  [17812] = {.lex_state = 164, .external_lex_state = 2},
  [17813] = {.lex_state = 434, .external_lex_state = 2},
  [17814] = {.lex_state = 434, .external_lex_state = 2},
  [17815] = {.lex_state = 434, .external_lex_state = 2},
  [17816] = {.lex_state = 157, .external_lex_state = 2},
  [17817] = {.lex_state = 157, .external_lex_state = 2},
  [17818] = {.lex_state = 91, .external_lex_state = 2},
  [17819] = {.lex_state = 157, .external_lex_state = 2},
  [17820] = {.lex_state = 157, .external_lex_state = 2},
  [17821] = {.lex_state = 164, .external_lex_state = 2},
  [17822] = {.lex_state = 164, .external_lex_state = 2},
  [17823] = {.lex_state = 157, .external_lex_state = 2},
  [17824] = {.lex_state = 434, .external_lex_state = 2},
  [17825] = {.lex_state = 157, .external_lex_state = 2},
  [17826] = {.lex_state = 157, .external_lex_state = 2},
  [17827] = {.lex_state = 164, .external_lex_state = 2},
  [17828] = {.lex_state = 434, .external_lex_state = 2},
  [17829] = {.lex_state = 434, .external_lex_state = 2},
  [17830] = {.lex_state = 91, .external_lex_state = 2},
  [17831] = {.lex_state = 18, .external_lex_state = 2},
  [17832] = {.lex_state = 157, .external_lex_state = 2},
  [17833] = {.lex_state = 157, .external_lex_state = 2},
  [17834] = {.lex_state = 157, .external_lex_state = 2},
  [17835] = {.lex_state = 434, .external_lex_state = 2},
  [17836] = {.lex_state = 434, .external_lex_state = 2},
  [17837] = {.lex_state = 434, .external_lex_state = 3},
  [17838] = {.lex_state = 91, .external_lex_state = 2},
  [17839] = {.lex_state = 434, .external_lex_state = 2},
  [17840] = {.lex_state = 434, .external_lex_state = 2},
  [17841] = {.lex_state = 164, .external_lex_state = 2},
  [17842] = {.lex_state = 434, .external_lex_state = 2},
  [17843] = {.lex_state = 434, .external_lex_state = 2},
  [17844] = {.lex_state = 434, .external_lex_state = 2},
  [17845] = {.lex_state = 434, .external_lex_state = 2},
  [17846] = {.lex_state = 434, .external_lex_state = 3},
  [17847] = {.lex_state = 434, .external_lex_state = 2},
  [17848] = {.lex_state = 157, .external_lex_state = 2},
  [17849] = {.lex_state = 434, .external_lex_state = 2},
  [17850] = {.lex_state = 434, .external_lex_state = 2},
  [17851] = {.lex_state = 434, .external_lex_state = 3},
  [17852] = {.lex_state = 157, .external_lex_state = 2},
  [17853] = {.lex_state = 157, .external_lex_state = 2},
  [17854] = {.lex_state = 157, .external_lex_state = 2},
  [17855] = {.lex_state = 434, .external_lex_state = 2},
  [17856] = {.lex_state = 434, .external_lex_state = 3},
  [17857] = {.lex_state = 157, .external_lex_state = 2},
  [17858] = {.lex_state = 434, .external_lex_state = 2},
  [17859] = {.lex_state = 434, .external_lex_state = 2},
  [17860] = {.lex_state = 434, .external_lex_state = 2},
  [17861] = {.lex_state = 434, .external_lex_state = 2},
  [17862] = {.lex_state = 91, .external_lex_state = 2},
  [17863] = {.lex_state = 434, .external_lex_state = 2},
  [17864] = {.lex_state = 18, .external_lex_state = 2},
  [17865] = {.lex_state = 434, .external_lex_state = 2},
  [17866] = {.lex_state = 434, .external_lex_state = 2},
  [17867] = {.lex_state = 434, .external_lex_state = 2},
  [17868] = {.lex_state = 157, .external_lex_state = 2},
  [17869] = {.lex_state = 157, .external_lex_state = 2},
  [17870] = {.lex_state = 434, .external_lex_state = 3},
  [17871] = {.lex_state = 157, .external_lex_state = 2},
  [17872] = {.lex_state = 157, .external_lex_state = 2},
  [17873] = {.lex_state = 91, .external_lex_state = 2},
  [17874] = {.lex_state = 164, .external_lex_state = 2},
  [17875] = {.lex_state = 434, .external_lex_state = 2},
  [17876] = {.lex_state = 434, .external_lex_state = 3},
  [17877] = {.lex_state = 434, .external_lex_state = 2},
  [17878] = {.lex_state = 434, .external_lex_state = 2},
  [17879] = {.lex_state = 434, .external_lex_state = 2},
  [17880] = {.lex_state = 157, .external_lex_state = 2},
  [17881] = {.lex_state = 157, .external_lex_state = 2},
  [17882] = {.lex_state = 434, .external_lex_state = 2},
  [17883] = {.lex_state = 18, .external_lex_state = 2},
  [17884] = {.lex_state = 157, .external_lex_state = 2},
  [17885] = {.lex_state = 91, .external_lex_state = 2},
  [17886] = {.lex_state = 434, .external_lex_state = 2},
  [17887] = {.lex_state = 434, .external_lex_state = 2},
  [17888] = {.lex_state = 157, .external_lex_state = 2},
  [17889] = {.lex_state = 434, .external_lex_state = 2},
  [17890] = {.lex_state = 434, .external_lex_state = 2},
  [17891] = {.lex_state = 434, .external_lex_state = 2},
  [17892] = {.lex_state = 434, .external_lex_state = 2},
  [17893] = {.lex_state = 434, .external_lex_state = 2},
  [17894] = {.lex_state = 434, .external_lex_state = 2},
  [17895] = {.lex_state = 434, .external_lex_state = 2},
  [17896] = {.lex_state = 434, .external_lex_state = 2},
  [17897] = {.lex_state = 434, .external_lex_state = 2},
  [17898] = {.lex_state = 434, .external_lex_state = 2},
  [17899] = {.lex_state = 434, .external_lex_state = 2},
  [17900] = {.lex_state = 434, .external_lex_state = 2},
  [17901] = {.lex_state = 434, .external_lex_state = 2},
  [17902] = {.lex_state = 434, .external_lex_state = 2},
  [17903] = {.lex_state = 157, .external_lex_state = 2},
  [17904] = {.lex_state = 157, .external_lex_state = 2},
  [17905] = {.lex_state = 434, .external_lex_state = 3},
  [17906] = {.lex_state = 91, .external_lex_state = 2},
  [17907] = {.lex_state = 434, .external_lex_state = 2},
  [17908] = {.lex_state = 164, .external_lex_state = 2},
  [17909] = {.lex_state = 434, .external_lex_state = 2},
  [17910] = {.lex_state = 157, .external_lex_state = 2},
  [17911] = {.lex_state = 434, .external_lex_state = 2},
  [17912] = {.lex_state = 164, .external_lex_state = 2},
  [17913] = {.lex_state = 18, .external_lex_state = 2},
  [17914] = {.lex_state = 434, .external_lex_state = 2},
  [17915] = {.lex_state = 434, .external_lex_state = 2},
  [17916] = {.lex_state = 434, .external_lex_state = 2},
  [17917] = {.lex_state = 91, .external_lex_state = 2},
  [17918] = {.lex_state = 434, .external_lex_state = 2},
  [17919] = {.lex_state = 434, .external_lex_state = 2},
  [17920] = {.lex_state = 434, .external_lex_state = 2},
  [17921] = {.lex_state = 434, .external_lex_state = 2},
  [17922] = {.lex_state = 434, .external_lex_state = 2},
  [17923] = {.lex_state = 18, .external_lex_state = 2},
  [17924] = {.lex_state = 434, .external_lex_state = 2},
  [17925] = {.lex_state = 434, .external_lex_state = 2},
  [17926] = {.lex_state = 157, .external_lex_state = 2},
  [17927] = {.lex_state = 157, .external_lex_state = 2},
  [17928] = {.lex_state = 91, .external_lex_state = 2},
  [17929] = {.lex_state = 434, .external_lex_state = 2},
  [17930] = {.lex_state = 18, .external_lex_state = 2},
  [17931] = {.lex_state = 434, .external_lex_state = 2},
  [17932] = {.lex_state = 434, .external_lex_state = 2},
  [17933] = {.lex_state = 434, .external_lex_state = 2},
  [17934] = {.lex_state = 164, .external_lex_state = 2},
  [17935] = {.lex_state = 157, .external_lex_state = 2},
  [17936] = {.lex_state = 157, .external_lex_state = 2},
  [17937] = {.lex_state = 164, .external_lex_state = 2},
  [17938] = {.lex_state = 434, .external_lex_state = 2},
  [17939] = {.lex_state = 164, .external_lex_state = 2},
  [17940] = {.lex_state = 91, .external_lex_state = 2},
  [17941] = {.lex_state = 434, .external_lex_state = 2},
  [17942] = {.lex_state = 164, .external_lex_state = 2},
  [17943] = {.lex_state = 434, .external_lex_state = 2},
  [17944] = {.lex_state = 434, .external_lex_state = 2},
  [17945] = {.lex_state = 434, .external_lex_state = 2},
  [17946] = {.lex_state = 434, .external_lex_state = 2},
  [17947] = {.lex_state = 434, .external_lex_state = 2},
  [17948] = {.lex_state = 434, .external_lex_state = 2},
  [17949] = {.lex_state = 157, .external_lex_state = 2},
  [17950] = {.lex_state = 434, .external_lex_state = 2},
  [17951] = {.lex_state = 18, .external_lex_state = 2},
  [17952] = {.lex_state = 434, .external_lex_state = 2},
  [17953] = {.lex_state = 434, .external_lex_state = 2},
  [17954] = {.lex_state = 434, .external_lex_state = 2},
  [17955] = {.lex_state = 434, .external_lex_state = 2},
  [17956] = {.lex_state = 164, .external_lex_state = 2},
  [17957] = {.lex_state = 434, .external_lex_state = 2},
  [17958] = {.lex_state = 434, .external_lex_state = 2},
  [17959] = {.lex_state = 434, .external_lex_state = 2},
  [17960] = {.lex_state = 164, .external_lex_state = 2},
  [17961] = {.lex_state = 157, .external_lex_state = 2},
  [17962] = {.lex_state = 434, .external_lex_state = 2},
  [17963] = {.lex_state = 434, .external_lex_state = 2},
  [17964] = {.lex_state = 434, .external_lex_state = 2},
  [17965] = {.lex_state = 164, .external_lex_state = 2},
  [17966] = {.lex_state = 434, .external_lex_state = 2},
  [17967] = {.lex_state = 434, .external_lex_state = 2},
  [17968] = {.lex_state = 434, .external_lex_state = 2},
  [17969] = {.lex_state = 434, .external_lex_state = 2},
  [17970] = {.lex_state = 157, .external_lex_state = 2},
  [17971] = {.lex_state = 434, .external_lex_state = 3},
  [17972] = {.lex_state = 91, .external_lex_state = 2},
  [17973] = {.lex_state = 434, .external_lex_state = 2},
  [17974] = {.lex_state = 434, .external_lex_state = 2},
  [17975] = {.lex_state = 18, .external_lex_state = 2},
  [17976] = {.lex_state = 434, .external_lex_state = 2},
  [17977] = {.lex_state = 434, .external_lex_state = 2},
  [17978] = {.lex_state = 157, .external_lex_state = 2},
  [17979] = {.lex_state = 157, .external_lex_state = 2},
  [17980] = {.lex_state = 434, .external_lex_state = 2},
  [17981] = {.lex_state = 157, .external_lex_state = 2},
  [17982] = {.lex_state = 157, .external_lex_state = 2},
  [17983] = {.lex_state = 91, .external_lex_state = 2},
  [17984] = {.lex_state = 434, .external_lex_state = 2},
  [17985] = {.lex_state = 434, .external_lex_state = 3},
  [17986] = {.lex_state = 434, .external_lex_state = 2},
  [17987] = {.lex_state = 434, .external_lex_state = 2},
  [17988] = {.lex_state = 434, .external_lex_state = 2},
  [17989] = {.lex_state = 434, .external_lex_state = 2},
  [17990] = {.lex_state = 157, .external_lex_state = 2},
  [17991] = {.lex_state = 157, .external_lex_state = 2},
  [17992] = {.lex_state = 434, .external_lex_state = 2},
  [17993] = {.lex_state = 434, .external_lex_state = 2},
  [17994] = {.lex_state = 434, .external_lex_state = 2},
  [17995] = {.lex_state = 91, .external_lex_state = 2},
  [17996] = {.lex_state = 434, .external_lex_state = 2},
  [17997] = {.lex_state = 434, .external_lex_state = 2},
  [17998] = {.lex_state = 434, .external_lex_state = 2},
  [17999] = {.lex_state = 157, .external_lex_state = 2},
  [18000] = {.lex_state = 434, .external_lex_state = 2},
  [18001] = {.lex_state = 434, .external_lex_state = 2},
  [18002] = {.lex_state = 434, .external_lex_state = 2},
  [18003] = {.lex_state = 434, .external_lex_state = 2},
  [18004] = {.lex_state = 434, .external_lex_state = 2},
  [18005] = {.lex_state = 157, .external_lex_state = 2},
  [18006] = {.lex_state = 434, .external_lex_state = 2},
  [18007] = {.lex_state = 434, .external_lex_state = 2},
  [18008] = {.lex_state = 434, .external_lex_state = 2},
  [18009] = {.lex_state = 434, .external_lex_state = 2},
  [18010] = {.lex_state = 434, .external_lex_state = 2},
  [18011] = {.lex_state = 434, .external_lex_state = 2},
  [18012] = {.lex_state = 91, .external_lex_state = 2},
  [18013] = {.lex_state = 434, .external_lex_state = 2},
  [18014] = {.lex_state = 434, .external_lex_state = 2},
  [18015] = {.lex_state = 157, .external_lex_state = 2},
  [18016] = {.lex_state = 434, .external_lex_state = 2},
  [18017] = {.lex_state = 434, .external_lex_state = 2},
  [18018] = {.lex_state = 434, .external_lex_state = 2},
  [18019] = {.lex_state = 434, .external_lex_state = 2},
  [18020] = {.lex_state = 434, .external_lex_state = 2},
  [18021] = {.lex_state = 434, .external_lex_state = 2},
  [18022] = {.lex_state = 434, .external_lex_state = 2},
  [18023] = {.lex_state = 434, .external_lex_state = 2},
  [18024] = {.lex_state = 91, .external_lex_state = 2},
  [18025] = {.lex_state = 434, .external_lex_state = 2},
  [18026] = {.lex_state = 434, .external_lex_state = 2},
  [18027] = {.lex_state = 91, .external_lex_state = 2},
  [18028] = {.lex_state = 434, .external_lex_state = 2},
  [18029] = {.lex_state = 157, .external_lex_state = 2},
  [18030] = {.lex_state = 434, .external_lex_state = 2},
  [18031] = {.lex_state = 434, .external_lex_state = 2},
  [18032] = {.lex_state = 434, .external_lex_state = 2},
  [18033] = {.lex_state = 434, .external_lex_state = 2},
  [18034] = {.lex_state = 434, .external_lex_state = 2},
  [18035] = {.lex_state = 434, .external_lex_state = 2},
  [18036] = {.lex_state = 157, .external_lex_state = 2},
  [18037] = {.lex_state = 157, .external_lex_state = 2},
  [18038] = {.lex_state = 91, .external_lex_state = 2},
  [18039] = {.lex_state = 18, .external_lex_state = 2},
  [18040] = {.lex_state = 434, .external_lex_state = 2},
  [18041] = {.lex_state = 434, .external_lex_state = 2},
  [18042] = {.lex_state = 434, .external_lex_state = 2},
  [18043] = {.lex_state = 157, .external_lex_state = 2},
  [18044] = {.lex_state = 434, .external_lex_state = 2},
  [18045] = {.lex_state = 157, .external_lex_state = 2},
  [18046] = {.lex_state = 157, .external_lex_state = 2},
  [18047] = {.lex_state = 434, .external_lex_state = 2},
  [18048] = {.lex_state = 434, .external_lex_state = 2},
  [18049] = {.lex_state = 434, .external_lex_state = 2},
  [18050] = {.lex_state = 91, .external_lex_state = 2},
  [18051] = {.lex_state = 434, .external_lex_state = 2},
  [18052] = {.lex_state = 434, .external_lex_state = 2},
  [18053] = {.lex_state = 164, .external_lex_state = 2},
  [18054] = {.lex_state = 164, .external_lex_state = 2},
  [18055] = {.lex_state = 434, .external_lex_state = 2},
  [18056] = {.lex_state = 434, .external_lex_state = 2},
  [18057] = {.lex_state = 434, .external_lex_state = 2},
  [18058] = {.lex_state = 164, .external_lex_state = 2},
  [18059] = {.lex_state = 434, .external_lex_state = 2},
  [18060] = {.lex_state = 434, .external_lex_state = 2},
  [18061] = {.lex_state = 434, .external_lex_state = 2},
  [18062] = {.lex_state = 434, .external_lex_state = 2},
  [18063] = {.lex_state = 434, .external_lex_state = 2},
  [18064] = {.lex_state = 434, .external_lex_state = 2},
  [18065] = {.lex_state = 434, .external_lex_state = 2},
  [18066] = {.lex_state = 434, .external_lex_state = 2},
  [18067] = {.lex_state = 434, .external_lex_state = 2},
  [18068] = {.lex_state = 157, .external_lex_state = 2},
  [18069] = {.lex_state = 157, .external_lex_state = 2},
  [18070] = {.lex_state = 434, .external_lex_state = 2},
  [18071] = {.lex_state = 157, .external_lex_state = 2},
  [18072] = {.lex_state = 434, .external_lex_state = 2},
  [18073] = {.lex_state = 164, .external_lex_state = 2},
  [18074] = {.lex_state = 434, .external_lex_state = 2},
  [18075] = {.lex_state = 91, .external_lex_state = 2},
  [18076] = {.lex_state = 434, .external_lex_state = 2},
  [18077] = {.lex_state = 164, .external_lex_state = 2},
  [18078] = {.lex_state = 164, .external_lex_state = 2},
  [18079] = {.lex_state = 164, .external_lex_state = 2},
  [18080] = {.lex_state = 157, .external_lex_state = 2},
  [18081] = {.lex_state = 157, .external_lex_state = 2},
  [18082] = {.lex_state = 91, .external_lex_state = 2},
  [18083] = {.lex_state = 252, .external_lex_state = 2},
  [18084] = {.lex_state = 434, .external_lex_state = 2},
  [18085] = {.lex_state = 434, .external_lex_state = 2},
  [18086] = {.lex_state = 434, .external_lex_state = 3},
  [18087] = {.lex_state = 434, .external_lex_state = 2},
  [18088] = {.lex_state = 157, .external_lex_state = 2},
  [18089] = {.lex_state = 157, .external_lex_state = 2},
  [18090] = {.lex_state = 434, .external_lex_state = 2},
  [18091] = {.lex_state = 434, .external_lex_state = 2},
  [18092] = {.lex_state = 434, .external_lex_state = 2},
  [18093] = {.lex_state = 91, .external_lex_state = 2},
  [18094] = {.lex_state = 164, .external_lex_state = 2},
  [18095] = {.lex_state = 434, .external_lex_state = 2},
  [18096] = {.lex_state = 91, .external_lex_state = 2},
  [18097] = {.lex_state = 164, .external_lex_state = 2},
  [18098] = {.lex_state = 434, .external_lex_state = 2},
  [18099] = {.lex_state = 434, .external_lex_state = 2},
  [18100] = {.lex_state = 434, .external_lex_state = 2},
  [18101] = {.lex_state = 434, .external_lex_state = 2},
  [18102] = {.lex_state = 434, .external_lex_state = 2},
  [18103] = {.lex_state = 434, .external_lex_state = 2},
  [18104] = {.lex_state = 434, .external_lex_state = 2},
  [18105] = {.lex_state = 434, .external_lex_state = 2},
  [18106] = {.lex_state = 434, .external_lex_state = 2},
  [18107] = {.lex_state = 434, .external_lex_state = 2},
  [18108] = {.lex_state = 434, .external_lex_state = 2},
  [18109] = {.lex_state = 434, .external_lex_state = 2},
  [18110] = {.lex_state = 434, .external_lex_state = 2},
  [18111] = {.lex_state = 434, .external_lex_state = 2},
  [18112] = {.lex_state = 434, .external_lex_state = 2},
  [18113] = {.lex_state = 159, .external_lex_state = 2},
  [18114] = {.lex_state = 434, .external_lex_state = 2},
  [18115] = {.lex_state = 434, .external_lex_state = 2},
  [18116] = {.lex_state = 91, .external_lex_state = 2},
  [18117] = {.lex_state = 434, .external_lex_state = 2},
  [18118] = {.lex_state = 434, .external_lex_state = 2},
  [18119] = {.lex_state = 434, .external_lex_state = 2},
  [18120] = {.lex_state = 434, .external_lex_state = 2},
  [18121] = {.lex_state = 157, .external_lex_state = 2},
  [18122] = {.lex_state = 157, .external_lex_state = 2},
  [18123] = {.lex_state = 91, .external_lex_state = 2},
  [18124] = {.lex_state = 434, .external_lex_state = 2},
  [18125] = {.lex_state = 434, .external_lex_state = 2},
  [18126] = {.lex_state = 434, .external_lex_state = 2},
  [18127] = {.lex_state = 434, .external_lex_state = 2},
  [18128] = {.lex_state = 434, .external_lex_state = 2},
  [18129] = {.lex_state = 157, .external_lex_state = 2},
  [18130] = {.lex_state = 157, .external_lex_state = 2},
  [18131] = {.lex_state = 434, .external_lex_state = 2},
  [18132] = {.lex_state = 434, .external_lex_state = 2},
  [18133] = {.lex_state = 434, .external_lex_state = 2},
  [18134] = {.lex_state = 91, .external_lex_state = 2},
  [18135] = {.lex_state = 434, .external_lex_state = 2},
  [18136] = {.lex_state = 91, .external_lex_state = 2},
  [18137] = {.lex_state = 434, .external_lex_state = 2},
  [18138] = {.lex_state = 434, .external_lex_state = 2},
  [18139] = {.lex_state = 434, .external_lex_state = 2},
  [18140] = {.lex_state = 434, .external_lex_state = 2},
  [18141] = {.lex_state = 18, .external_lex_state = 2},
  [18142] = {.lex_state = 434, .external_lex_state = 2},
  [18143] = {.lex_state = 434, .external_lex_state = 2},
  [18144] = {.lex_state = 434, .external_lex_state = 2},
  [18145] = {.lex_state = 434, .external_lex_state = 2},
  [18146] = {.lex_state = 434, .external_lex_state = 2},
  [18147] = {.lex_state = 434, .external_lex_state = 2},
  [18148] = {.lex_state = 434, .external_lex_state = 2},
  [18149] = {.lex_state = 434, .external_lex_state = 2},
  [18150] = {.lex_state = 434, .external_lex_state = 2},
  [18151] = {.lex_state = 434, .external_lex_state = 2},
  [18152] = {.lex_state = 434, .external_lex_state = 2},
  [18153] = {.lex_state = 157, .external_lex_state = 2},
  [18154] = {.lex_state = 157, .external_lex_state = 2},
  [18155] = {.lex_state = 434, .external_lex_state = 2},
  [18156] = {.lex_state = 91, .external_lex_state = 2},
  [18157] = {.lex_state = 91, .external_lex_state = 2},
  [18158] = {.lex_state = 434, .external_lex_state = 2},
  [18159] = {.lex_state = 157, .external_lex_state = 2},
  [18160] = {.lex_state = 434, .external_lex_state = 2},
  [18161] = {.lex_state = 18, .external_lex_state = 2},
  [18162] = {.lex_state = 157, .external_lex_state = 2},
  [18163] = {.lex_state = 157, .external_lex_state = 2},
  [18164] = {.lex_state = 91, .external_lex_state = 2},
  [18165] = {.lex_state = 434, .external_lex_state = 2},
  [18166] = {.lex_state = 434, .external_lex_state = 2},
  [18167] = {.lex_state = 434, .external_lex_state = 2},
  [18168] = {.lex_state = 434, .external_lex_state = 2},
  [18169] = {.lex_state = 164, .external_lex_state = 2},
  [18170] = {.lex_state = 157, .external_lex_state = 2},
  [18171] = {.lex_state = 157, .external_lex_state = 2},
  [18172] = {.lex_state = 18, .external_lex_state = 2},
  [18173] = {.lex_state = 164, .external_lex_state = 2},
  [18174] = {.lex_state = 164, .external_lex_state = 2},
  [18175] = {.lex_state = 91, .external_lex_state = 2},
  [18176] = {.lex_state = 434, .external_lex_state = 2},
  [18177] = {.lex_state = 434, .external_lex_state = 3},
  [18178] = {.lex_state = 434, .external_lex_state = 2},
  [18179] = {.lex_state = 434, .external_lex_state = 2},
  [18180] = {.lex_state = 434, .external_lex_state = 2},
  [18181] = {.lex_state = 434, .external_lex_state = 2},
  [18182] = {.lex_state = 434, .external_lex_state = 2},
  [18183] = {.lex_state = 434, .external_lex_state = 2},
  [18184] = {.lex_state = 434, .external_lex_state = 2},
  [18185] = {.lex_state = 434, .external_lex_state = 2},
  [18186] = {.lex_state = 434, .external_lex_state = 2},
  [18187] = {.lex_state = 434, .external_lex_state = 2},
  [18188] = {.lex_state = 434, .external_lex_state = 2},
  [18189] = {.lex_state = 434, .external_lex_state = 2},
  [18190] = {.lex_state = 434, .external_lex_state = 2},
  [18191] = {.lex_state = 164, .external_lex_state = 2},
  [18192] = {.lex_state = 434, .external_lex_state = 2},
  [18193] = {.lex_state = 434, .external_lex_state = 2},
  [18194] = {.lex_state = 157, .external_lex_state = 2},
  [18195] = {.lex_state = 434, .external_lex_state = 2},
  [18196] = {.lex_state = 434, .external_lex_state = 2},
  [18197] = {.lex_state = 434, .external_lex_state = 2},
  [18198] = {.lex_state = 91, .external_lex_state = 2},
  [18199] = {.lex_state = 434, .external_lex_state = 2},
  [18200] = {.lex_state = 434, .external_lex_state = 2},
  [18201] = {.lex_state = 434, .external_lex_state = 2},
  [18202] = {.lex_state = 164, .external_lex_state = 2},
  [18203] = {.lex_state = 157, .external_lex_state = 2},
  [18204] = {.lex_state = 157, .external_lex_state = 2},
  [18205] = {.lex_state = 91, .external_lex_state = 2},
  [18206] = {.lex_state = 164, .external_lex_state = 2},
  [18207] = {.lex_state = 164, .external_lex_state = 2},
  [18208] = {.lex_state = 434, .external_lex_state = 2},
  [18209] = {.lex_state = 434, .external_lex_state = 2},
  [18210] = {.lex_state = 434, .external_lex_state = 2},
  [18211] = {.lex_state = 157, .external_lex_state = 2},
  [18212] = {.lex_state = 157, .external_lex_state = 2},
  [18213] = {.lex_state = 434, .external_lex_state = 2},
  [18214] = {.lex_state = 434, .external_lex_state = 2},
  [18215] = {.lex_state = 434, .external_lex_state = 2},
  [18216] = {.lex_state = 91, .external_lex_state = 2},
  [18217] = {.lex_state = 434, .external_lex_state = 2},
  [18218] = {.lex_state = 434, .external_lex_state = 2},
  [18219] = {.lex_state = 434, .external_lex_state = 2},
  [18220] = {.lex_state = 18, .external_lex_state = 2},
  [18221] = {.lex_state = 434, .external_lex_state = 2},
  [18222] = {.lex_state = 157, .external_lex_state = 2},
  [18223] = {.lex_state = 434, .external_lex_state = 2},
  [18224] = {.lex_state = 164, .external_lex_state = 2},
  [18225] = {.lex_state = 434, .external_lex_state = 3},
  [18226] = {.lex_state = 434, .external_lex_state = 2},
  [18227] = {.lex_state = 434, .external_lex_state = 2},
  [18228] = {.lex_state = 434, .external_lex_state = 2},
  [18229] = {.lex_state = 434, .external_lex_state = 2},
  [18230] = {.lex_state = 434, .external_lex_state = 2},
  [18231] = {.lex_state = 434, .external_lex_state = 2},
  [18232] = {.lex_state = 434, .external_lex_state = 2},
  [18233] = {.lex_state = 157, .external_lex_state = 2},
  [18234] = {.lex_state = 434, .external_lex_state = 2},
  [18235] = {.lex_state = 434, .external_lex_state = 2},
  [18236] = {.lex_state = 157, .external_lex_state = 2},
  [18237] = {.lex_state = 157, .external_lex_state = 2},
  [18238] = {.lex_state = 434, .external_lex_state = 2},
  [18239] = {.lex_state = 91, .external_lex_state = 2},
  [18240] = {.lex_state = 91, .external_lex_state = 2},
  [18241] = {.lex_state = 434, .external_lex_state = 3},
  [18242] = {.lex_state = 434, .external_lex_state = 2},
  [18243] = {.lex_state = 91, .external_lex_state = 2},
  [18244] = {.lex_state = 157, .external_lex_state = 2},
  [18245] = {.lex_state = 157, .external_lex_state = 2},
  [18246] = {.lex_state = 91, .external_lex_state = 2},
  [18247] = {.lex_state = 434, .external_lex_state = 2},
  [18248] = {.lex_state = 434, .external_lex_state = 3},
  [18249] = {.lex_state = 18, .external_lex_state = 2},
  [18250] = {.lex_state = 434, .external_lex_state = 2},
  [18251] = {.lex_state = 434, .external_lex_state = 2},
  [18252] = {.lex_state = 157, .external_lex_state = 2},
  [18253] = {.lex_state = 157, .external_lex_state = 2},
  [18254] = {.lex_state = 434, .external_lex_state = 2},
  [18255] = {.lex_state = 157, .external_lex_state = 2},
  [18256] = {.lex_state = 157, .external_lex_state = 2},
  [18257] = {.lex_state = 91, .external_lex_state = 2},
  [18258] = {.lex_state = 434, .external_lex_state = 2},
  [18259] = {.lex_state = 157, .external_lex_state = 2},
  [18260] = {.lex_state = 434, .external_lex_state = 2},
  [18261] = {.lex_state = 434, .external_lex_state = 3},
  [18262] = {.lex_state = 434, .external_lex_state = 2},
  [18263] = {.lex_state = 434, .external_lex_state = 2},
  [18264] = {.lex_state = 91, .external_lex_state = 2},
  [18265] = {.lex_state = 434, .external_lex_state = 2},
  [18266] = {.lex_state = 434, .external_lex_state = 2},
  [18267] = {.lex_state = 434, .external_lex_state = 2},
  [18268] = {.lex_state = 434, .external_lex_state = 2},
  [18269] = {.lex_state = 434, .external_lex_state = 2},
  [18270] = {.lex_state = 434, .external_lex_state = 2},
  [18271] = {.lex_state = 434, .external_lex_state = 2},
  [18272] = {.lex_state = 434, .external_lex_state = 2},
  [18273] = {.lex_state = 434, .external_lex_state = 2},
  [18274] = {.lex_state = 91, .external_lex_state = 2},
  [18275] = {.lex_state = 434, .external_lex_state = 2},
  [18276] = {.lex_state = 434, .external_lex_state = 2},
  [18277] = {.lex_state = 434, .external_lex_state = 2},
  [18278] = {.lex_state = 434, .external_lex_state = 2},
  [18279] = {.lex_state = 434, .external_lex_state = 2},
  [18280] = {.lex_state = 91, .external_lex_state = 2},
  [18281] = {.lex_state = 434, .external_lex_state = 2},
  [18282] = {.lex_state = 434, .external_lex_state = 2},
  [18283] = {.lex_state = 434, .external_lex_state = 2},
  [18284] = {.lex_state = 434, .external_lex_state = 2},
  [18285] = {.lex_state = 157, .external_lex_state = 2},
  [18286] = {.lex_state = 157, .external_lex_state = 2},
  [18287] = {.lex_state = 91, .external_lex_state = 2},
  [18288] = {.lex_state = 434, .external_lex_state = 2},
  [18289] = {.lex_state = 434, .external_lex_state = 2},
  [18290] = {.lex_state = 434, .external_lex_state = 2},
  [18291] = {.lex_state = 434, .external_lex_state = 2},
  [18292] = {.lex_state = 434, .external_lex_state = 2},
  [18293] = {.lex_state = 157, .external_lex_state = 2},
  [18294] = {.lex_state = 157, .external_lex_state = 2},
  [18295] = {.lex_state = 434, .external_lex_state = 2},
  [18296] = {.lex_state = 434, .external_lex_state = 2},
  [18297] = {.lex_state = 157, .external_lex_state = 2},
  [18298] = {.lex_state = 91, .external_lex_state = 2},
  [18299] = {.lex_state = 434, .external_lex_state = 2},
  [18300] = {.lex_state = 91, .external_lex_state = 2},
  [18301] = {.lex_state = 157, .external_lex_state = 2},
  [18302] = {.lex_state = 434, .external_lex_state = 2},
  [18303] = {.lex_state = 434, .external_lex_state = 2},
  [18304] = {.lex_state = 434, .external_lex_state = 2},
  [18305] = {.lex_state = 91, .external_lex_state = 2},
  [18306] = {.lex_state = 434, .external_lex_state = 2},
  [18307] = {.lex_state = 434, .external_lex_state = 2},
  [18308] = {.lex_state = 434, .external_lex_state = 2},
  [18309] = {.lex_state = 434, .external_lex_state = 2},
  [18310] = {.lex_state = 434, .external_lex_state = 2},
  [18311] = {.lex_state = 434, .external_lex_state = 2},
  [18312] = {.lex_state = 434, .external_lex_state = 2},
  [18313] = {.lex_state = 164, .external_lex_state = 2},
  [18314] = {.lex_state = 164, .external_lex_state = 2},
  [18315] = {.lex_state = 164, .external_lex_state = 2},
  [18316] = {.lex_state = 164, .external_lex_state = 2},
  [18317] = {.lex_state = 434, .external_lex_state = 2},
  [18318] = {.lex_state = 434, .external_lex_state = 2},
  [18319] = {.lex_state = 434, .external_lex_state = 2},
  [18320] = {.lex_state = 164, .external_lex_state = 2},
  [18321] = {.lex_state = 91, .external_lex_state = 2},
  [18322] = {.lex_state = 164, .external_lex_state = 2},
  [18323] = {.lex_state = 434, .external_lex_state = 2},
  [18324] = {.lex_state = 164, .external_lex_state = 2},
  [18325] = {.lex_state = 434, .external_lex_state = 2},
  [18326] = {.lex_state = 157, .external_lex_state = 2},
  [18327] = {.lex_state = 157, .external_lex_state = 2},
  [18328] = {.lex_state = 91, .external_lex_state = 2},
  [18329] = {.lex_state = 164, .external_lex_state = 2},
  [18330] = {.lex_state = 434, .external_lex_state = 2},
  [18331] = {.lex_state = 434, .external_lex_state = 2},
  [18332] = {.lex_state = 18, .external_lex_state = 2},
  [18333] = {.lex_state = 434, .external_lex_state = 2},
  [18334] = {.lex_state = 157, .external_lex_state = 2},
  [18335] = {.lex_state = 157, .external_lex_state = 2},
  [18336] = {.lex_state = 434, .external_lex_state = 2},
  [18337] = {.lex_state = 157, .external_lex_state = 2},
  [18338] = {.lex_state = 434, .external_lex_state = 2},
  [18339] = {.lex_state = 91, .external_lex_state = 2},
  [18340] = {.lex_state = 434, .external_lex_state = 2},
  [18341] = {.lex_state = 157, .external_lex_state = 2},
  [18342] = {.lex_state = 434, .external_lex_state = 2},
  [18343] = {.lex_state = 157, .external_lex_state = 2},
  [18344] = {.lex_state = 434, .external_lex_state = 2},
  [18345] = {.lex_state = 157, .external_lex_state = 2},
  [18346] = {.lex_state = 157, .external_lex_state = 2},
  [18347] = {.lex_state = 434, .external_lex_state = 3},
  [18348] = {.lex_state = 434, .external_lex_state = 2},
  [18349] = {.lex_state = 434, .external_lex_state = 2},
  [18350] = {.lex_state = 434, .external_lex_state = 2},
  [18351] = {.lex_state = 434, .external_lex_state = 2},
  [18352] = {.lex_state = 434, .external_lex_state = 2},
  [18353] = {.lex_state = 434, .external_lex_state = 2},
  [18354] = {.lex_state = 434, .external_lex_state = 2},
  [18355] = {.lex_state = 434, .external_lex_state = 2},
  [18356] = {.lex_state = 434, .external_lex_state = 2},
  [18357] = {.lex_state = 434, .external_lex_state = 2},
  [18358] = {.lex_state = 434, .external_lex_state = 2},
  [18359] = {.lex_state = 434, .external_lex_state = 2},
  [18360] = {.lex_state = 434, .external_lex_state = 2},
  [18361] = {.lex_state = 18, .external_lex_state = 2},
  [18362] = {.lex_state = 91, .external_lex_state = 2},
  [18363] = {.lex_state = 157, .external_lex_state = 2},
  [18364] = {.lex_state = 434, .external_lex_state = 2},
  [18365] = {.lex_state = 434, .external_lex_state = 2},
  [18366] = {.lex_state = 434, .external_lex_state = 2},
  [18367] = {.lex_state = 157, .external_lex_state = 2},
  [18368] = {.lex_state = 157, .external_lex_state = 2},
  [18369] = {.lex_state = 91, .external_lex_state = 2},
  [18370] = {.lex_state = 91, .external_lex_state = 2},
  [18371] = {.lex_state = 434, .external_lex_state = 2},
  [18372] = {.lex_state = 434, .external_lex_state = 2},
  [18373] = {.lex_state = 434, .external_lex_state = 2},
  [18374] = {.lex_state = 434, .external_lex_state = 2},
  [18375] = {.lex_state = 157, .external_lex_state = 2},
  [18376] = {.lex_state = 157, .external_lex_state = 2},
  [18377] = {.lex_state = 164, .external_lex_state = 2},
  [18378] = {.lex_state = 434, .external_lex_state = 2},
  [18379] = {.lex_state = 434, .external_lex_state = 2},
  [18380] = {.lex_state = 91, .external_lex_state = 2},
  [18381] = {.lex_state = 434, .external_lex_state = 2},
  [18382] = {.lex_state = 434, .external_lex_state = 2},
  [18383] = {.lex_state = 18, .external_lex_state = 2},
  [18384] = {.lex_state = 434, .external_lex_state = 2},
  [18385] = {.lex_state = 434, .external_lex_state = 2},
  [18386] = {.lex_state = 157, .external_lex_state = 2},
  [18387] = {.lex_state = 434, .external_lex_state = 2},
  [18388] = {.lex_state = 434, .external_lex_state = 2},
  [18389] = {.lex_state = 434, .external_lex_state = 2},
  [18390] = {.lex_state = 434, .external_lex_state = 2},
  [18391] = {.lex_state = 434, .external_lex_state = 2},
  [18392] = {.lex_state = 434, .external_lex_state = 2},
  [18393] = {.lex_state = 434, .external_lex_state = 2},
  [18394] = {.lex_state = 434, .external_lex_state = 2},
  [18395] = {.lex_state = 434, .external_lex_state = 2},
  [18396] = {.lex_state = 434, .external_lex_state = 2},
  [18397] = {.lex_state = 434, .external_lex_state = 2},
  [18398] = {.lex_state = 164, .external_lex_state = 2},
  [18399] = {.lex_state = 434, .external_lex_state = 2},
  [18400] = {.lex_state = 434, .external_lex_state = 2},
  [18401] = {.lex_state = 434, .external_lex_state = 2},
  [18402] = {.lex_state = 434, .external_lex_state = 2},
  [18403] = {.lex_state = 91, .external_lex_state = 2},
  [18404] = {.lex_state = 157, .external_lex_state = 2},
  [18405] = {.lex_state = 434, .external_lex_state = 2},
  [18406] = {.lex_state = 434, .external_lex_state = 2},
  [18407] = {.lex_state = 434, .external_lex_state = 2},
  [18408] = {.lex_state = 157, .external_lex_state = 2},
  [18409] = {.lex_state = 157, .external_lex_state = 2},
  [18410] = {.lex_state = 91, .external_lex_state = 2},
  [18411] = {.lex_state = 434, .external_lex_state = 2},
  [18412] = {.lex_state = 434, .external_lex_state = 2},
  [18413] = {.lex_state = 434, .external_lex_state = 2},
  [18414] = {.lex_state = 157, .external_lex_state = 2},
  [18415] = {.lex_state = 434, .external_lex_state = 3},
  [18416] = {.lex_state = 157, .external_lex_state = 2},
  [18417] = {.lex_state = 157, .external_lex_state = 2},
  [18418] = {.lex_state = 434, .external_lex_state = 2},
  [18419] = {.lex_state = 434, .external_lex_state = 2},
  [18420] = {.lex_state = 434, .external_lex_state = 2},
  [18421] = {.lex_state = 91, .external_lex_state = 2},
  [18422] = {.lex_state = 434, .external_lex_state = 2},
  [18423] = {.lex_state = 434, .external_lex_state = 2},
  [18424] = {.lex_state = 434, .external_lex_state = 2},
  [18425] = {.lex_state = 434, .external_lex_state = 2},
  [18426] = {.lex_state = 434, .external_lex_state = 2},
  [18427] = {.lex_state = 434, .external_lex_state = 2},
  [18428] = {.lex_state = 434, .external_lex_state = 2},
  [18429] = {.lex_state = 434, .external_lex_state = 2},
  [18430] = {.lex_state = 434, .external_lex_state = 2},
  [18431] = {.lex_state = 434, .external_lex_state = 2},
  [18432] = {.lex_state = 434, .external_lex_state = 2},
  [18433] = {.lex_state = 434, .external_lex_state = 2},
  [18434] = {.lex_state = 434, .external_lex_state = 2},
  [18435] = {.lex_state = 434, .external_lex_state = 2},
  [18436] = {.lex_state = 434, .external_lex_state = 2},
  [18437] = {.lex_state = 434, .external_lex_state = 2},
  [18438] = {.lex_state = 434, .external_lex_state = 2},
  [18439] = {.lex_state = 434, .external_lex_state = 2},
  [18440] = {.lex_state = 434, .external_lex_state = 2},
  [18441] = {.lex_state = 434, .external_lex_state = 2},
  [18442] = {.lex_state = 434, .external_lex_state = 2},
  [18443] = {.lex_state = 434, .external_lex_state = 2},
  [18444] = {.lex_state = 91, .external_lex_state = 2},
  [18445] = {.lex_state = 434, .external_lex_state = 2},
  [18446] = {.lex_state = 434, .external_lex_state = 2},
  [18447] = {.lex_state = 434, .external_lex_state = 2},
  [18448] = {.lex_state = 434, .external_lex_state = 2},
  [18449] = {.lex_state = 157, .external_lex_state = 2},
  [18450] = {.lex_state = 157, .external_lex_state = 2},
  [18451] = {.lex_state = 91, .external_lex_state = 2},
  [18452] = {.lex_state = 434, .external_lex_state = 2},
  [18453] = {.lex_state = 434, .external_lex_state = 2},
  [18454] = {.lex_state = 434, .external_lex_state = 2},
  [18455] = {.lex_state = 434, .external_lex_state = 2},
  [18456] = {.lex_state = 157, .external_lex_state = 2},
  [18457] = {.lex_state = 157, .external_lex_state = 2},
  [18458] = {.lex_state = 157, .external_lex_state = 2},
  [18459] = {.lex_state = 434, .external_lex_state = 3},
  [18460] = {.lex_state = 434, .external_lex_state = 2},
  [18461] = {.lex_state = 434, .external_lex_state = 2},
  [18462] = {.lex_state = 91, .external_lex_state = 2},
  [18463] = {.lex_state = 434, .external_lex_state = 2},
  [18464] = {.lex_state = 434, .external_lex_state = 2},
  [18465] = {.lex_state = 157, .external_lex_state = 2},
  [18466] = {.lex_state = 434, .external_lex_state = 2},
  [18467] = {.lex_state = 434, .external_lex_state = 2},
  [18468] = {.lex_state = 434, .external_lex_state = 2},
  [18469] = {.lex_state = 434, .external_lex_state = 2},
  [18470] = {.lex_state = 164, .external_lex_state = 2},
  [18471] = {.lex_state = 434, .external_lex_state = 2},
  [18472] = {.lex_state = 434, .external_lex_state = 2},
  [18473] = {.lex_state = 434, .external_lex_state = 2},
  [18474] = {.lex_state = 434, .external_lex_state = 2},
  [18475] = {.lex_state = 434, .external_lex_state = 2},
  [18476] = {.lex_state = 434, .external_lex_state = 2},
  [18477] = {.lex_state = 434, .external_lex_state = 2},
  [18478] = {.lex_state = 18, .external_lex_state = 2},
  [18479] = {.lex_state = 434, .external_lex_state = 2},
  [18480] = {.lex_state = 434, .external_lex_state = 2},
  [18481] = {.lex_state = 434, .external_lex_state = 2},
  [18482] = {.lex_state = 434, .external_lex_state = 2},
  [18483] = {.lex_state = 434, .external_lex_state = 2},
  [18484] = {.lex_state = 434, .external_lex_state = 2},
  [18485] = {.lex_state = 91, .external_lex_state = 2},
  [18486] = {.lex_state = 434, .external_lex_state = 2},
  [18487] = {.lex_state = 434, .external_lex_state = 2},
  [18488] = {.lex_state = 434, .external_lex_state = 2},
  [18489] = {.lex_state = 434, .external_lex_state = 2},
  [18490] = {.lex_state = 157, .external_lex_state = 2},
  [18491] = {.lex_state = 157, .external_lex_state = 2},
  [18492] = {.lex_state = 91, .external_lex_state = 2},
  [18493] = {.lex_state = 157, .external_lex_state = 2},
  [18494] = {.lex_state = 434, .external_lex_state = 2},
  [18495] = {.lex_state = 434, .external_lex_state = 3},
  [18496] = {.lex_state = 434, .external_lex_state = 2},
  [18497] = {.lex_state = 434, .external_lex_state = 2},
  [18498] = {.lex_state = 157, .external_lex_state = 2},
  [18499] = {.lex_state = 157, .external_lex_state = 2},
  [18500] = {.lex_state = 434, .external_lex_state = 2},
  [18501] = {.lex_state = 434, .external_lex_state = 2},
  [18502] = {.lex_state = 434, .external_lex_state = 2},
  [18503] = {.lex_state = 91, .external_lex_state = 2},
  [18504] = {.lex_state = 164, .external_lex_state = 2},
  [18505] = {.lex_state = 434, .external_lex_state = 2},
  [18506] = {.lex_state = 434, .external_lex_state = 2},
  [18507] = {.lex_state = 434, .external_lex_state = 2},
  [18508] = {.lex_state = 434, .external_lex_state = 2},
  [18509] = {.lex_state = 434, .external_lex_state = 2},
  [18510] = {.lex_state = 434, .external_lex_state = 2},
  [18511] = {.lex_state = 434, .external_lex_state = 2},
  [18512] = {.lex_state = 434, .external_lex_state = 2},
  [18513] = {.lex_state = 434, .external_lex_state = 2},
  [18514] = {.lex_state = 434, .external_lex_state = 2},
  [18515] = {.lex_state = 434, .external_lex_state = 2},
  [18516] = {.lex_state = 434, .external_lex_state = 2},
  [18517] = {.lex_state = 434, .external_lex_state = 2},
  [18518] = {.lex_state = 434, .external_lex_state = 2},
  [18519] = {.lex_state = 434, .external_lex_state = 2},
  [18520] = {.lex_state = 434, .external_lex_state = 2},
  [18521] = {.lex_state = 434, .external_lex_state = 2},
  [18522] = {.lex_state = 434, .external_lex_state = 2},
  [18523] = {.lex_state = 434, .external_lex_state = 2},
  [18524] = {.lex_state = 434, .external_lex_state = 2},
  [18525] = {.lex_state = 91, .external_lex_state = 2},
  [18526] = {.lex_state = 434, .external_lex_state = 2},
  [18527] = {.lex_state = 157, .external_lex_state = 2},
  [18528] = {.lex_state = 159, .external_lex_state = 2},
  [18529] = {.lex_state = 434, .external_lex_state = 3},
  [18530] = {.lex_state = 157, .external_lex_state = 2},
  [18531] = {.lex_state = 157, .external_lex_state = 2},
  [18532] = {.lex_state = 91, .external_lex_state = 2},
  [18533] = {.lex_state = 434, .external_lex_state = 2},
  [18534] = {.lex_state = 434, .external_lex_state = 2},
  [18535] = {.lex_state = 434, .external_lex_state = 2},
  [18536] = {.lex_state = 434, .external_lex_state = 2},
  [18537] = {.lex_state = 434, .external_lex_state = 2},
  [18538] = {.lex_state = 157, .external_lex_state = 2},
  [18539] = {.lex_state = 157, .external_lex_state = 2},
  [18540] = {.lex_state = 434, .external_lex_state = 2},
  [18541] = {.lex_state = 434, .external_lex_state = 2},
  [18542] = {.lex_state = 434, .external_lex_state = 2},
  [18543] = {.lex_state = 91, .external_lex_state = 2},
  [18544] = {.lex_state = 434, .external_lex_state = 2},
  [18545] = {.lex_state = 434, .external_lex_state = 2},
  [18546] = {.lex_state = 434, .external_lex_state = 2},
  [18547] = {.lex_state = 434, .external_lex_state = 2},
  [18548] = {.lex_state = 434, .external_lex_state = 2},
  [18549] = {.lex_state = 164, .external_lex_state = 2},
  [18550] = {.lex_state = 434, .external_lex_state = 2},
  [18551] = {.lex_state = 164, .external_lex_state = 2},
  [18552] = {.lex_state = 434, .external_lex_state = 2},
  [18553] = {.lex_state = 434, .external_lex_state = 2},
  [18554] = {.lex_state = 434, .external_lex_state = 2},
  [18555] = {.lex_state = 434, .external_lex_state = 2},
  [18556] = {.lex_state = 434, .external_lex_state = 2},
  [18557] = {.lex_state = 434, .external_lex_state = 2},
  [18558] = {.lex_state = 434, .external_lex_state = 2},
  [18559] = {.lex_state = 434, .external_lex_state = 2},
  [18560] = {.lex_state = 434, .external_lex_state = 2},
  [18561] = {.lex_state = 434, .external_lex_state = 2},
  [18562] = {.lex_state = 157, .external_lex_state = 2},
  [18563] = {.lex_state = 157, .external_lex_state = 2},
  [18564] = {.lex_state = 91, .external_lex_state = 2},
  [18565] = {.lex_state = 434, .external_lex_state = 2},
  [18566] = {.lex_state = 434, .external_lex_state = 3},
  [18567] = {.lex_state = 434, .external_lex_state = 2},
  [18568] = {.lex_state = 434, .external_lex_state = 2},
  [18569] = {.lex_state = 157, .external_lex_state = 2},
  [18570] = {.lex_state = 157, .external_lex_state = 2},
  [18571] = {.lex_state = 91, .external_lex_state = 2},
  [18572] = {.lex_state = 434, .external_lex_state = 2},
  [18573] = {.lex_state = 434, .external_lex_state = 2},
  [18574] = {.lex_state = 434, .external_lex_state = 2},
  [18575] = {.lex_state = 157, .external_lex_state = 2},
  [18576] = {.lex_state = 164, .external_lex_state = 2},
  [18577] = {.lex_state = 157, .external_lex_state = 2},
  [18578] = {.lex_state = 157, .external_lex_state = 2},
  [18579] = {.lex_state = 18, .external_lex_state = 2},
  [18580] = {.lex_state = 434, .external_lex_state = 2},
  [18581] = {.lex_state = 434, .external_lex_state = 2},
  [18582] = {.lex_state = 91, .external_lex_state = 2},
  [18583] = {.lex_state = 434, .external_lex_state = 2},
  [18584] = {.lex_state = 434, .external_lex_state = 2},
  [18585] = {.lex_state = 164, .external_lex_state = 2},
  [18586] = {.lex_state = 434, .external_lex_state = 2},
  [18587] = {.lex_state = 434, .external_lex_state = 2},
  [18588] = {.lex_state = 434, .external_lex_state = 2},
  [18589] = {.lex_state = 434, .external_lex_state = 2},
  [18590] = {.lex_state = 434, .external_lex_state = 2},
  [18591] = {.lex_state = 434, .external_lex_state = 2},
  [18592] = {.lex_state = 157, .external_lex_state = 2},
  [18593] = {.lex_state = 434, .external_lex_state = 2},
  [18594] = {.lex_state = 434, .external_lex_state = 2},
  [18595] = {.lex_state = 434, .external_lex_state = 2},
  [18596] = {.lex_state = 434, .external_lex_state = 2},
  [18597] = {.lex_state = 434, .external_lex_state = 3},
  [18598] = {.lex_state = 434, .external_lex_state = 2},
  [18599] = {.lex_state = 434, .external_lex_state = 2},
  [18600] = {.lex_state = 434, .external_lex_state = 2},
  [18601] = {.lex_state = 434, .external_lex_state = 2},
  [18602] = {.lex_state = 434, .external_lex_state = 2},
  [18603] = {.lex_state = 91, .external_lex_state = 2},
  [18604] = {.lex_state = 91, .external_lex_state = 2},
  [18605] = {.lex_state = 434, .external_lex_state = 2},
  [18606] = {.lex_state = 434, .external_lex_state = 2},
  [18607] = {.lex_state = 434, .external_lex_state = 2},
  [18608] = {.lex_state = 157, .external_lex_state = 2},
  [18609] = {.lex_state = 157, .external_lex_state = 2},
  [18610] = {.lex_state = 91, .external_lex_state = 2},
  [18611] = {.lex_state = 164, .external_lex_state = 2},
  [18612] = {.lex_state = 164, .external_lex_state = 2},
  [18613] = {.lex_state = 164, .external_lex_state = 2},
  [18614] = {.lex_state = 434, .external_lex_state = 2},
  [18615] = {.lex_state = 157, .external_lex_state = 2},
  [18616] = {.lex_state = 157, .external_lex_state = 2},
  [18617] = {.lex_state = 157, .external_lex_state = 2},
  [18618] = {.lex_state = 434, .external_lex_state = 2},
  [18619] = {.lex_state = 91, .external_lex_state = 2},
  [18620] = {.lex_state = 434, .external_lex_state = 2},
  [18621] = {.lex_state = 91, .external_lex_state = 2},
  [18622] = {.lex_state = 434, .external_lex_state = 2},
  [18623] = {.lex_state = 434, .external_lex_state = 2},
  [18624] = {.lex_state = 434, .external_lex_state = 2},
  [18625] = {.lex_state = 434, .external_lex_state = 2},
  [18626] = {.lex_state = 434, .external_lex_state = 2},
  [18627] = {.lex_state = 434, .external_lex_state = 2},
  [18628] = {.lex_state = 91, .external_lex_state = 2},
  [18629] = {.lex_state = 434, .external_lex_state = 2},
  [18630] = {.lex_state = 164, .external_lex_state = 2},
  [18631] = {.lex_state = 434, .external_lex_state = 2},
  [18632] = {.lex_state = 434, .external_lex_state = 2},
  [18633] = {.lex_state = 434, .external_lex_state = 2},
  [18634] = {.lex_state = 434, .external_lex_state = 2},
  [18635] = {.lex_state = 434, .external_lex_state = 2},
  [18636] = {.lex_state = 434, .external_lex_state = 2},
  [18637] = {.lex_state = 434, .external_lex_state = 2},
  [18638] = {.lex_state = 434, .external_lex_state = 2},
  [18639] = {.lex_state = 157, .external_lex_state = 2},
  [18640] = {.lex_state = 434, .external_lex_state = 2},
  [18641] = {.lex_state = 434, .external_lex_state = 3},
  [18642] = {.lex_state = 434, .external_lex_state = 2},
  [18643] = {.lex_state = 434, .external_lex_state = 2},
  [18644] = {.lex_state = 434, .external_lex_state = 2},
  [18645] = {.lex_state = 434, .external_lex_state = 2},
  [18646] = {.lex_state = 157, .external_lex_state = 2},
  [18647] = {.lex_state = 157, .external_lex_state = 2},
  [18648] = {.lex_state = 157, .external_lex_state = 2},
  [18649] = {.lex_state = 91, .external_lex_state = 2},
  [18650] = {.lex_state = 434, .external_lex_state = 2},
  [18651] = {.lex_state = 434, .external_lex_state = 2},
  [18652] = {.lex_state = 434, .external_lex_state = 2},
  [18653] = {.lex_state = 434, .external_lex_state = 2},
  [18654] = {.lex_state = 434, .external_lex_state = 2},
  [18655] = {.lex_state = 157, .external_lex_state = 2},
  [18656] = {.lex_state = 157, .external_lex_state = 2},
  [18657] = {.lex_state = 434, .external_lex_state = 2},
  [18658] = {.lex_state = 18, .external_lex_state = 2},
  [18659] = {.lex_state = 434, .external_lex_state = 2},
  [18660] = {.lex_state = 91, .external_lex_state = 2},
  [18661] = {.lex_state = 18, .external_lex_state = 2},
  [18662] = {.lex_state = 434, .external_lex_state = 2},
  [18663] = {.lex_state = 157, .external_lex_state = 2},
  [18664] = {.lex_state = 157, .external_lex_state = 2},
  [18665] = {.lex_state = 434, .external_lex_state = 2},
  [18666] = {.lex_state = 434, .external_lex_state = 2},
  [18667] = {.lex_state = 434, .external_lex_state = 2},
  [18668] = {.lex_state = 157, .external_lex_state = 2},
  [18669] = {.lex_state = 434, .external_lex_state = 3},
  [18670] = {.lex_state = 434, .external_lex_state = 2},
  [18671] = {.lex_state = 434, .external_lex_state = 2},
  [18672] = {.lex_state = 434, .external_lex_state = 2},
  [18673] = {.lex_state = 434, .external_lex_state = 2},
  [18674] = {.lex_state = 434, .external_lex_state = 2},
  [18675] = {.lex_state = 434, .external_lex_state = 2},
  [18676] = {.lex_state = 434, .external_lex_state = 2},
  [18677] = {.lex_state = 434, .external_lex_state = 2},
  [18678] = {.lex_state = 434, .external_lex_state = 2},
  [18679] = {.lex_state = 434, .external_lex_state = 2},
  [18680] = {.lex_state = 157, .external_lex_state = 2},
  [18681] = {.lex_state = 91, .external_lex_state = 2},
  [18682] = {.lex_state = 157, .external_lex_state = 2},
  [18683] = {.lex_state = 434, .external_lex_state = 3},
  [18684] = {.lex_state = 434, .external_lex_state = 2},
  [18685] = {.lex_state = 91, .external_lex_state = 2},
  [18686] = {.lex_state = 157, .external_lex_state = 2},
  [18687] = {.lex_state = 157, .external_lex_state = 2},
  [18688] = {.lex_state = 91, .external_lex_state = 2},
  [18689] = {.lex_state = 434, .external_lex_state = 2},
  [18690] = {.lex_state = 434, .external_lex_state = 2},
  [18691] = {.lex_state = 434, .external_lex_state = 2},
  [18692] = {.lex_state = 434, .external_lex_state = 2},
  [18693] = {.lex_state = 434, .external_lex_state = 2},
  [18694] = {.lex_state = 157, .external_lex_state = 2},
  [18695] = {.lex_state = 157, .external_lex_state = 2},
  [18696] = {.lex_state = 434, .external_lex_state = 2},
  [18697] = {.lex_state = 434, .external_lex_state = 2},
  [18698] = {.lex_state = 434, .external_lex_state = 2},
  [18699] = {.lex_state = 91, .external_lex_state = 2},
  [18700] = {.lex_state = 434, .external_lex_state = 2},
  [18701] = {.lex_state = 434, .external_lex_state = 2},
  [18702] = {.lex_state = 434, .external_lex_state = 2},
  [18703] = {.lex_state = 434, .external_lex_state = 2},
  [18704] = {.lex_state = 434, .external_lex_state = 2},
  [18705] = {.lex_state = 434, .external_lex_state = 2},
  [18706] = {.lex_state = 434, .external_lex_state = 2},
  [18707] = {.lex_state = 434, .external_lex_state = 2},
  [18708] = {.lex_state = 434, .external_lex_state = 2},
  [18709] = {.lex_state = 434, .external_lex_state = 2},
  [18710] = {.lex_state = 434, .external_lex_state = 2},
  [18711] = {.lex_state = 434, .external_lex_state = 2},
  [18712] = {.lex_state = 434, .external_lex_state = 2},
  [18713] = {.lex_state = 434, .external_lex_state = 2},
  [18714] = {.lex_state = 434, .external_lex_state = 2},
  [18715] = {.lex_state = 434, .external_lex_state = 2},
  [18716] = {.lex_state = 157, .external_lex_state = 2},
  [18717] = {.lex_state = 434, .external_lex_state = 2},
  [18718] = {.lex_state = 434, .external_lex_state = 3},
  [18719] = {.lex_state = 91, .external_lex_state = 2},
  [18720] = {.lex_state = 434, .external_lex_state = 2},
  [18721] = {.lex_state = 434, .external_lex_state = 2},
  [18722] = {.lex_state = 434, .external_lex_state = 2},
  [18723] = {.lex_state = 434, .external_lex_state = 2},
  [18724] = {.lex_state = 157, .external_lex_state = 2},
  [18725] = {.lex_state = 157, .external_lex_state = 2},
  [18726] = {.lex_state = 91, .external_lex_state = 2},
  [18727] = {.lex_state = 434, .external_lex_state = 2},
  [18728] = {.lex_state = 434, .external_lex_state = 2},
  [18729] = {.lex_state = 18, .external_lex_state = 2},
  [18730] = {.lex_state = 157, .external_lex_state = 2},
  [18731] = {.lex_state = 434, .external_lex_state = 2},
  [18732] = {.lex_state = 157, .external_lex_state = 2},
  [18733] = {.lex_state = 157, .external_lex_state = 2},
  [18734] = {.lex_state = 434, .external_lex_state = 2},
  [18735] = {.lex_state = 434, .external_lex_state = 2},
  [18736] = {.lex_state = 434, .external_lex_state = 2},
  [18737] = {.lex_state = 91, .external_lex_state = 2},
  [18738] = {.lex_state = 157, .external_lex_state = 2},
  [18739] = {.lex_state = 18, .external_lex_state = 2},
  [18740] = {.lex_state = 434, .external_lex_state = 2},
  [18741] = {.lex_state = 434, .external_lex_state = 2},
  [18742] = {.lex_state = 434, .external_lex_state = 2},
  [18743] = {.lex_state = 434, .external_lex_state = 2},
  [18744] = {.lex_state = 164, .external_lex_state = 2},
  [18745] = {.lex_state = 434, .external_lex_state = 2},
  [18746] = {.lex_state = 434, .external_lex_state = 2},
  [18747] = {.lex_state = 434, .external_lex_state = 2},
  [18748] = {.lex_state = 434, .external_lex_state = 2},
  [18749] = {.lex_state = 434, .external_lex_state = 2},
  [18750] = {.lex_state = 434, .external_lex_state = 2},
  [18751] = {.lex_state = 157, .external_lex_state = 2},
  [18752] = {.lex_state = 434, .external_lex_state = 2},
  [18753] = {.lex_state = 434, .external_lex_state = 2},
  [18754] = {.lex_state = 157, .external_lex_state = 2},
  [18755] = {.lex_state = 434, .external_lex_state = 3},
  [18756] = {.lex_state = 434, .external_lex_state = 2},
  [18757] = {.lex_state = 91, .external_lex_state = 2},
  [18758] = {.lex_state = 91, .external_lex_state = 2},
  [18759] = {.lex_state = 164, .external_lex_state = 2},
  [18760] = {.lex_state = 434, .external_lex_state = 2},
  [18761] = {.lex_state = 434, .external_lex_state = 2},
  [18762] = {.lex_state = 157, .external_lex_state = 2},
  [18763] = {.lex_state = 157, .external_lex_state = 2},
  [18764] = {.lex_state = 91, .external_lex_state = 2},
  [18765] = {.lex_state = 434, .external_lex_state = 2},
  [18766] = {.lex_state = 434, .external_lex_state = 2},
  [18767] = {.lex_state = 434, .external_lex_state = 2},
  [18768] = {.lex_state = 434, .external_lex_state = 2},
  [18769] = {.lex_state = 434, .external_lex_state = 2},
  [18770] = {.lex_state = 157, .external_lex_state = 2},
  [18771] = {.lex_state = 157, .external_lex_state = 2},
  [18772] = {.lex_state = 434, .external_lex_state = 2},
  [18773] = {.lex_state = 434, .external_lex_state = 2},
  [18774] = {.lex_state = 434, .external_lex_state = 2},
  [18775] = {.lex_state = 91, .external_lex_state = 2},
  [18776] = {.lex_state = 434, .external_lex_state = 2},
  [18777] = {.lex_state = 18, .external_lex_state = 2},
  [18778] = {.lex_state = 164, .external_lex_state = 2},
  [18779] = {.lex_state = 434, .external_lex_state = 2},
  [18780] = {.lex_state = 434, .external_lex_state = 2},
  [18781] = {.lex_state = 434, .external_lex_state = 2},
  [18782] = {.lex_state = 434, .external_lex_state = 2},
  [18783] = {.lex_state = 434, .external_lex_state = 2},
  [18784] = {.lex_state = 434, .external_lex_state = 2},
  [18785] = {.lex_state = 434, .external_lex_state = 2},
  [18786] = {.lex_state = 434, .external_lex_state = 2},
  [18787] = {.lex_state = 434, .external_lex_state = 2},
  [18788] = {.lex_state = 434, .external_lex_state = 2},
  [18789] = {.lex_state = 157, .external_lex_state = 2},
  [18790] = {.lex_state = 434, .external_lex_state = 3},
  [18791] = {.lex_state = 434, .external_lex_state = 2},
  [18792] = {.lex_state = 434, .external_lex_state = 2},
  [18793] = {.lex_state = 434, .external_lex_state = 2},
  [18794] = {.lex_state = 91, .external_lex_state = 2},
  [18795] = {.lex_state = 434, .external_lex_state = 2},
  [18796] = {.lex_state = 434, .external_lex_state = 2},
  [18797] = {.lex_state = 434, .external_lex_state = 2},
  [18798] = {.lex_state = 434, .external_lex_state = 2},
  [18799] = {.lex_state = 157, .external_lex_state = 2},
  [18800] = {.lex_state = 157, .external_lex_state = 2},
  [18801] = {.lex_state = 91, .external_lex_state = 2},
  [18802] = {.lex_state = 434, .external_lex_state = 2},
  [18803] = {.lex_state = 434, .external_lex_state = 2},
  [18804] = {.lex_state = 434, .external_lex_state = 2},
  [18805] = {.lex_state = 434, .external_lex_state = 2},
  [18806] = {.lex_state = 434, .external_lex_state = 2},
  [18807] = {.lex_state = 157, .external_lex_state = 2},
  [18808] = {.lex_state = 157, .external_lex_state = 2},
  [18809] = {.lex_state = 434, .external_lex_state = 2},
  [18810] = {.lex_state = 434, .external_lex_state = 2},
  [18811] = {.lex_state = 434, .external_lex_state = 2},
  [18812] = {.lex_state = 91, .external_lex_state = 2},
  [18813] = {.lex_state = 434, .external_lex_state = 2},
  [18814] = {.lex_state = 434, .external_lex_state = 2},
  [18815] = {.lex_state = 434, .external_lex_state = 2},
  [18816] = {.lex_state = 434, .external_lex_state = 2},
  [18817] = {.lex_state = 434, .external_lex_state = 2},
  [18818] = {.lex_state = 434, .external_lex_state = 2},
  [18819] = {.lex_state = 434, .external_lex_state = 2},
  [18820] = {.lex_state = 434, .external_lex_state = 2},
  [18821] = {.lex_state = 434, .external_lex_state = 2},
  [18822] = {.lex_state = 434, .external_lex_state = 2},
  [18823] = {.lex_state = 434, .external_lex_state = 2},
  [18824] = {.lex_state = 434, .external_lex_state = 2},
  [18825] = {.lex_state = 434, .external_lex_state = 2},
  [18826] = {.lex_state = 434, .external_lex_state = 2},
  [18827] = {.lex_state = 434, .external_lex_state = 2},
  [18828] = {.lex_state = 434, .external_lex_state = 2},
  [18829] = {.lex_state = 434, .external_lex_state = 2},
  [18830] = {.lex_state = 434, .external_lex_state = 2},
  [18831] = {.lex_state = 157, .external_lex_state = 2},
  [18832] = {.lex_state = 91, .external_lex_state = 2},
  [18833] = {.lex_state = 164, .external_lex_state = 2},
  [18834] = {.lex_state = 434, .external_lex_state = 2},
  [18835] = {.lex_state = 434, .external_lex_state = 3},
  [18836] = {.lex_state = 157, .external_lex_state = 2},
  [18837] = {.lex_state = 157, .external_lex_state = 2},
  [18838] = {.lex_state = 91, .external_lex_state = 2},
  [18839] = {.lex_state = 434, .external_lex_state = 2},
  [18840] = {.lex_state = 157, .external_lex_state = 2},
  [18841] = {.lex_state = 157, .external_lex_state = 2},
  [18842] = {.lex_state = 91, .external_lex_state = 2},
  [18843] = {.lex_state = 434, .external_lex_state = 2},
  [18844] = {.lex_state = 18, .external_lex_state = 2},
  [18845] = {.lex_state = 434, .external_lex_state = 2},
  [18846] = {.lex_state = 434, .external_lex_state = 2},
  [18847] = {.lex_state = 434, .external_lex_state = 2},
  [18848] = {.lex_state = 434, .external_lex_state = 2},
  [18849] = {.lex_state = 434, .external_lex_state = 2},
  [18850] = {.lex_state = 434, .external_lex_state = 2},
  [18851] = {.lex_state = 434, .external_lex_state = 2},
  [18852] = {.lex_state = 434, .external_lex_state = 2},
  [18853] = {.lex_state = 434, .external_lex_state = 2},
  [18854] = {.lex_state = 434, .external_lex_state = 2},
  [18855] = {.lex_state = 434, .external_lex_state = 2},
  [18856] = {.lex_state = 434, .external_lex_state = 2},
  [18857] = {.lex_state = 434, .external_lex_state = 2},
  [18858] = {.lex_state = 434, .external_lex_state = 2},
  [18859] = {.lex_state = 434, .external_lex_state = 2},
  [18860] = {.lex_state = 157, .external_lex_state = 2},
  [18861] = {.lex_state = 157, .external_lex_state = 2},
  [18862] = {.lex_state = 91, .external_lex_state = 2},
  [18863] = {.lex_state = 434, .external_lex_state = 2},
  [18864] = {.lex_state = 157, .external_lex_state = 2},
  [18865] = {.lex_state = 157, .external_lex_state = 2},
  [18866] = {.lex_state = 434, .external_lex_state = 2},
  [18867] = {.lex_state = 434, .external_lex_state = 2},
  [18868] = {.lex_state = 434, .external_lex_state = 2},
  [18869] = {.lex_state = 434, .external_lex_state = 2},
  [18870] = {.lex_state = 434, .external_lex_state = 2},
  [18871] = {.lex_state = 434, .external_lex_state = 2},
  [18872] = {.lex_state = 434, .external_lex_state = 2},
  [18873] = {.lex_state = 434, .external_lex_state = 2},
  [18874] = {.lex_state = 434, .external_lex_state = 2},
  [18875] = {.lex_state = 434, .external_lex_state = 2},
  [18876] = {.lex_state = 434, .external_lex_state = 2},
  [18877] = {.lex_state = 434, .external_lex_state = 2},
  [18878] = {.lex_state = 434, .external_lex_state = 3},
  [18879] = {.lex_state = 434, .external_lex_state = 2},
  [18880] = {.lex_state = 434, .external_lex_state = 2},
  [18881] = {.lex_state = 164, .external_lex_state = 2},
  [18882] = {.lex_state = 434, .external_lex_state = 2},
  [18883] = {.lex_state = 434, .external_lex_state = 2},
  [18884] = {.lex_state = 434, .external_lex_state = 2},
  [18885] = {.lex_state = 434, .external_lex_state = 2},
  [18886] = {.lex_state = 434, .external_lex_state = 2},
  [18887] = {.lex_state = 434, .external_lex_state = 2},
  [18888] = {.lex_state = 434, .external_lex_state = 2},
  [18889] = {.lex_state = 434, .external_lex_state = 2},
  [18890] = {.lex_state = 434, .external_lex_state = 2},
  [18891] = {.lex_state = 434, .external_lex_state = 2},
  [18892] = {.lex_state = 434, .external_lex_state = 2},
  [18893] = {.lex_state = 434, .external_lex_state = 2},
  [18894] = {.lex_state = 434, .external_lex_state = 2},
  [18895] = {.lex_state = 434, .external_lex_state = 2},
  [18896] = {.lex_state = 434, .external_lex_state = 2},
  [18897] = {.lex_state = 434, .external_lex_state = 2},
  [18898] = {.lex_state = 434, .external_lex_state = 2},
  [18899] = {.lex_state = 434, .external_lex_state = 2},
  [18900] = {.lex_state = 434, .external_lex_state = 2},
  [18901] = {.lex_state = 434, .external_lex_state = 2},
  [18902] = {.lex_state = 434, .external_lex_state = 2},
  [18903] = {.lex_state = 157, .external_lex_state = 2},
  [18904] = {.lex_state = 434, .external_lex_state = 2},
  [18905] = {.lex_state = 164, .external_lex_state = 2},
  [18906] = {.lex_state = 164, .external_lex_state = 2},
  [18907] = {.lex_state = 434, .external_lex_state = 2},
  [18908] = {.lex_state = 434, .external_lex_state = 2},
  [18909] = {.lex_state = 434, .external_lex_state = 2},
  [18910] = {.lex_state = 434, .external_lex_state = 2},
  [18911] = {.lex_state = 434, .external_lex_state = 2},
  [18912] = {.lex_state = 434, .external_lex_state = 2},
  [18913] = {.lex_state = 164, .external_lex_state = 2},
  [18914] = {.lex_state = 434, .external_lex_state = 2},
  [18915] = {.lex_state = 434, .external_lex_state = 2},
  [18916] = {.lex_state = 434, .external_lex_state = 2},
  [18917] = {.lex_state = 434, .external_lex_state = 2},
  [18918] = {.lex_state = 434, .external_lex_state = 2},
  [18919] = {.lex_state = 434, .external_lex_state = 2},
  [18920] = {.lex_state = 434, .external_lex_state = 2},
  [18921] = {.lex_state = 434, .external_lex_state = 2},
  [18922] = {.lex_state = 434, .external_lex_state = 2},
  [18923] = {.lex_state = 434, .external_lex_state = 2},
  [18924] = {.lex_state = 164, .external_lex_state = 2},
  [18925] = {.lex_state = 18, .external_lex_state = 2},
  [18926] = {.lex_state = 434, .external_lex_state = 2},
  [18927] = {.lex_state = 434, .external_lex_state = 2},
  [18928] = {.lex_state = 434, .external_lex_state = 2},
  [18929] = {.lex_state = 434, .external_lex_state = 2},
  [18930] = {.lex_state = 434, .external_lex_state = 2},
  [18931] = {.lex_state = 434, .external_lex_state = 2},
  [18932] = {.lex_state = 434, .external_lex_state = 2},
  [18933] = {.lex_state = 157, .external_lex_state = 2},
  [18934] = {.lex_state = 434, .external_lex_state = 2},
  [18935] = {.lex_state = 434, .external_lex_state = 2},
  [18936] = {.lex_state = 434, .external_lex_state = 2},
  [18937] = {.lex_state = 434, .external_lex_state = 2},
  [18938] = {.lex_state = 434, .external_lex_state = 2},
  [18939] = {.lex_state = 434, .external_lex_state = 2},
  [18940] = {.lex_state = 434, .external_lex_state = 2},
  [18941] = {.lex_state = 434, .external_lex_state = 2},
  [18942] = {.lex_state = 434, .external_lex_state = 2},
  [18943] = {.lex_state = 157, .external_lex_state = 2},
  [18944] = {.lex_state = 157, .external_lex_state = 2},
  [18945] = {.lex_state = 434, .external_lex_state = 2},
  [18946] = {.lex_state = 434, .external_lex_state = 3},
  [18947] = {.lex_state = 434, .external_lex_state = 2},
  [18948] = {.lex_state = 434, .external_lex_state = 2},
  [18949] = {.lex_state = 434, .external_lex_state = 2},
  [18950] = {.lex_state = 434, .external_lex_state = 2},
  [18951] = {.lex_state = 434, .external_lex_state = 2},
  [18952] = {.lex_state = 434, .external_lex_state = 2},
  [18953] = {.lex_state = 434, .external_lex_state = 2},
  [18954] = {.lex_state = 434, .external_lex_state = 2},
  [18955] = {.lex_state = 434, .external_lex_state = 2},
  [18956] = {.lex_state = 18, .external_lex_state = 2},
  [18957] = {.lex_state = 434, .external_lex_state = 2},
  [18958] = {.lex_state = 434, .external_lex_state = 2},
  [18959] = {.lex_state = 434, .external_lex_state = 2},
  [18960] = {.lex_state = 434, .external_lex_state = 2},
  [18961] = {.lex_state = 434, .external_lex_state = 2},
  [18962] = {.lex_state = 434, .external_lex_state = 2},
  [18963] = {.lex_state = 434, .external_lex_state = 2},
  [18964] = {.lex_state = 434, .external_lex_state = 2},
  [18965] = {.lex_state = 434, .external_lex_state = 2},
  [18966] = {.lex_state = 434, .external_lex_state = 2},
  [18967] = {.lex_state = 434, .external_lex_state = 2},
  [18968] = {.lex_state = 434, .external_lex_state = 2},
  [18969] = {.lex_state = 434, .external_lex_state = 2},
  [18970] = {.lex_state = 434, .external_lex_state = 2},
  [18971] = {.lex_state = 434, .external_lex_state = 2},
  [18972] = {.lex_state = 434, .external_lex_state = 2},
  [18973] = {.lex_state = 157, .external_lex_state = 2},
  [18974] = {.lex_state = 157, .external_lex_state = 2},
  [18975] = {.lex_state = 434, .external_lex_state = 3},
  [18976] = {.lex_state = 91, .external_lex_state = 2},
  [18977] = {.lex_state = 434, .external_lex_state = 2},
  [18978] = {.lex_state = 434, .external_lex_state = 2},
  [18979] = {.lex_state = 434, .external_lex_state = 2},
  [18980] = {.lex_state = 434, .external_lex_state = 2},
  [18981] = {.lex_state = 434, .external_lex_state = 2},
  [18982] = {.lex_state = 434, .external_lex_state = 2},
  [18983] = {.lex_state = 434, .external_lex_state = 2},
  [18984] = {.lex_state = 91, .external_lex_state = 2},
  [18985] = {.lex_state = 434, .external_lex_state = 2},
  [18986] = {.lex_state = 434, .external_lex_state = 2},
  [18987] = {.lex_state = 434, .external_lex_state = 2},
  [18988] = {.lex_state = 434, .external_lex_state = 2},
  [18989] = {.lex_state = 434, .external_lex_state = 2},
  [18990] = {.lex_state = 434, .external_lex_state = 2},
  [18991] = {.lex_state = 434, .external_lex_state = 2},
  [18992] = {.lex_state = 434, .external_lex_state = 2},
  [18993] = {.lex_state = 434, .external_lex_state = 2},
  [18994] = {.lex_state = 434, .external_lex_state = 2},
  [18995] = {.lex_state = 434, .external_lex_state = 2},
  [18996] = {.lex_state = 91, .external_lex_state = 2},
  [18997] = {.lex_state = 434, .external_lex_state = 2},
  [18998] = {.lex_state = 434, .external_lex_state = 2},
  [18999] = {.lex_state = 434, .external_lex_state = 2},
  [19000] = {.lex_state = 434, .external_lex_state = 2},
  [19001] = {.lex_state = 434, .external_lex_state = 2},
  [19002] = {.lex_state = 434, .external_lex_state = 2},
  [19003] = {.lex_state = 434, .external_lex_state = 2},
  [19004] = {.lex_state = 434, .external_lex_state = 2},
  [19005] = {.lex_state = 434, .external_lex_state = 2},
  [19006] = {.lex_state = 434, .external_lex_state = 2},
  [19007] = {.lex_state = 434, .external_lex_state = 2},
  [19008] = {.lex_state = 434, .external_lex_state = 2},
  [19009] = {.lex_state = 434, .external_lex_state = 2},
  [19010] = {.lex_state = 434, .external_lex_state = 2},
  [19011] = {.lex_state = 434, .external_lex_state = 2},
  [19012] = {.lex_state = 434, .external_lex_state = 2},
  [19013] = {.lex_state = 434, .external_lex_state = 2},
  [19014] = {.lex_state = 157, .external_lex_state = 2},
  [19015] = {.lex_state = 434, .external_lex_state = 2},
  [19016] = {.lex_state = 434, .external_lex_state = 2},
  [19017] = {.lex_state = 434, .external_lex_state = 2},
  [19018] = {.lex_state = 434, .external_lex_state = 2},
  [19019] = {.lex_state = 434, .external_lex_state = 2},
  [19020] = {.lex_state = 434, .external_lex_state = 2},
  [19021] = {.lex_state = 434, .external_lex_state = 2},
  [19022] = {.lex_state = 434, .external_lex_state = 2},
  [19023] = {.lex_state = 157, .external_lex_state = 2},
  [19024] = {.lex_state = 434, .external_lex_state = 2},
  [19025] = {.lex_state = 157, .external_lex_state = 2},
  [19026] = {.lex_state = 91, .external_lex_state = 2},
  [19027] = {.lex_state = 434, .external_lex_state = 2},
  [19028] = {.lex_state = 434, .external_lex_state = 2},
  [19029] = {.lex_state = 434, .external_lex_state = 2},
  [19030] = {.lex_state = 434, .external_lex_state = 2},
  [19031] = {.lex_state = 434, .external_lex_state = 2},
  [19032] = {.lex_state = 434, .external_lex_state = 2},
  [19033] = {.lex_state = 434, .external_lex_state = 2},
  [19034] = {.lex_state = 434, .external_lex_state = 2},
  [19035] = {.lex_state = 434, .external_lex_state = 2},
  [19036] = {.lex_state = 434, .external_lex_state = 2},
  [19037] = {.lex_state = 18, .external_lex_state = 2},
  [19038] = {.lex_state = 434, .external_lex_state = 2},
  [19039] = {.lex_state = 434, .external_lex_state = 2},
  [19040] = {.lex_state = 434, .external_lex_state = 2},
  [19041] = {.lex_state = 434, .external_lex_state = 2},
  [19042] = {.lex_state = 434, .external_lex_state = 2},
  [19043] = {.lex_state = 434, .external_lex_state = 2},
  [19044] = {.lex_state = 434, .external_lex_state = 2},
  [19045] = {.lex_state = 434, .external_lex_state = 2},
  [19046] = {.lex_state = 434, .external_lex_state = 2},
  [19047] = {.lex_state = 434, .external_lex_state = 2},
  [19048] = {.lex_state = 434, .external_lex_state = 2},
  [19049] = {.lex_state = 157, .external_lex_state = 2},
  [19050] = {.lex_state = 157, .external_lex_state = 2},
  [19051] = {.lex_state = 434, .external_lex_state = 2},
  [19052] = {.lex_state = 434, .external_lex_state = 2},
  [19053] = {.lex_state = 434, .external_lex_state = 2},
  [19054] = {.lex_state = 434, .external_lex_state = 2},
  [19055] = {.lex_state = 157, .external_lex_state = 2},
  [19056] = {.lex_state = 157, .external_lex_state = 2},
  [19057] = {.lex_state = 434, .external_lex_state = 2},
  [19058] = {.lex_state = 434, .external_lex_state = 2},
  [19059] = {.lex_state = 434, .external_lex_state = 2},
  [19060] = {.lex_state = 434, .external_lex_state = 2},
  [19061] = {.lex_state = 434, .external_lex_state = 3},
  [19062] = {.lex_state = 157, .external_lex_state = 2},
  [19063] = {.lex_state = 434, .external_lex_state = 2},
  [19064] = {.lex_state = 434, .external_lex_state = 2},
  [19065] = {.lex_state = 434, .external_lex_state = 2},
  [19066] = {.lex_state = 434, .external_lex_state = 2},
  [19067] = {.lex_state = 434, .external_lex_state = 2},
  [19068] = {.lex_state = 91, .external_lex_state = 2},
  [19069] = {.lex_state = 434, .external_lex_state = 2},
  [19070] = {.lex_state = 434, .external_lex_state = 2},
  [19071] = {.lex_state = 18, .external_lex_state = 2},
  [19072] = {.lex_state = 434, .external_lex_state = 2},
  [19073] = {.lex_state = 434, .external_lex_state = 2},
  [19074] = {.lex_state = 434, .external_lex_state = 2},
  [19075] = {.lex_state = 434, .external_lex_state = 2},
  [19076] = {.lex_state = 434, .external_lex_state = 2},
  [19077] = {.lex_state = 434, .external_lex_state = 2},
  [19078] = {.lex_state = 434, .external_lex_state = 2},
  [19079] = {.lex_state = 434, .external_lex_state = 2},
  [19080] = {.lex_state = 434, .external_lex_state = 2},
  [19081] = {.lex_state = 434, .external_lex_state = 2},
  [19082] = {.lex_state = 434, .external_lex_state = 2},
  [19083] = {.lex_state = 164, .external_lex_state = 2},
  [19084] = {.lex_state = 18, .external_lex_state = 2},
  [19085] = {.lex_state = 434, .external_lex_state = 2},
  [19086] = {.lex_state = 434, .external_lex_state = 2},
  [19087] = {.lex_state = 434, .external_lex_state = 2},
  [19088] = {.lex_state = 434, .external_lex_state = 2},
  [19089] = {.lex_state = 434, .external_lex_state = 2},
  [19090] = {.lex_state = 434, .external_lex_state = 2},
  [19091] = {.lex_state = 434, .external_lex_state = 2},
  [19092] = {.lex_state = 434, .external_lex_state = 2},
  [19093] = {.lex_state = 434, .external_lex_state = 2},
  [19094] = {.lex_state = 434, .external_lex_state = 2},
  [19095] = {.lex_state = 434, .external_lex_state = 2},
  [19096] = {.lex_state = 434, .external_lex_state = 2},
  [19097] = {.lex_state = 159, .external_lex_state = 2},
  [19098] = {.lex_state = 434, .external_lex_state = 2},
  [19099] = {.lex_state = 434, .external_lex_state = 2},
  [19100] = {.lex_state = 434, .external_lex_state = 2},
  [19101] = {.lex_state = 434, .external_lex_state = 2},
  [19102] = {.lex_state = 434, .external_lex_state = 2},
  [19103] = {.lex_state = 434, .external_lex_state = 2},
  [19104] = {.lex_state = 434, .external_lex_state = 2},
  [19105] = {.lex_state = 434, .external_lex_state = 2},
  [19106] = {.lex_state = 434, .external_lex_state = 2},
  [19107] = {.lex_state = 434, .external_lex_state = 2},
  [19108] = {.lex_state = 434, .external_lex_state = 2},
  [19109] = {.lex_state = 434, .external_lex_state = 2},
  [19110] = {.lex_state = 434, .external_lex_state = 2},
  [19111] = {.lex_state = 434, .external_lex_state = 2},
  [19112] = {.lex_state = 434, .external_lex_state = 2},
  [19113] = {.lex_state = 434, .external_lex_state = 2},
  [19114] = {.lex_state = 434, .external_lex_state = 2},
  [19115] = {.lex_state = 434, .external_lex_state = 2},
  [19116] = {.lex_state = 434, .external_lex_state = 2},
  [19117] = {.lex_state = 434, .external_lex_state = 2},
  [19118] = {.lex_state = 434, .external_lex_state = 2},
  [19119] = {.lex_state = 434, .external_lex_state = 2},
  [19120] = {.lex_state = 434, .external_lex_state = 2},
  [19121] = {.lex_state = 164, .external_lex_state = 2},
  [19122] = {.lex_state = 434, .external_lex_state = 2},
  [19123] = {.lex_state = 434, .external_lex_state = 2},
  [19124] = {.lex_state = 434, .external_lex_state = 2},
  [19125] = {.lex_state = 434, .external_lex_state = 2},
  [19126] = {.lex_state = 91, .external_lex_state = 2},
  [19127] = {.lex_state = 434, .external_lex_state = 2},
  [19128] = {.lex_state = 434, .external_lex_state = 2},
  [19129] = {.lex_state = 157, .external_lex_state = 2},
  [19130] = {.lex_state = 434, .external_lex_state = 2},
  [19131] = {.lex_state = 434, .external_lex_state = 2},
  [19132] = {.lex_state = 434, .external_lex_state = 2},
  [19133] = {.lex_state = 434, .external_lex_state = 2},
  [19134] = {.lex_state = 434, .external_lex_state = 2},
  [19135] = {.lex_state = 434, .external_lex_state = 2},
  [19136] = {.lex_state = 434, .external_lex_state = 2},
  [19137] = {.lex_state = 91, .external_lex_state = 2},
  [19138] = {.lex_state = 434, .external_lex_state = 2},
  [19139] = {.lex_state = 434, .external_lex_state = 2},
  [19140] = {.lex_state = 434, .external_lex_state = 2},
  [19141] = {.lex_state = 434, .external_lex_state = 2},
  [19142] = {.lex_state = 434, .external_lex_state = 2},
  [19143] = {.lex_state = 91, .external_lex_state = 2},
  [19144] = {.lex_state = 434, .external_lex_state = 2},
  [19145] = {.lex_state = 157, .external_lex_state = 2},
  [19146] = {.lex_state = 434, .external_lex_state = 2},
  [19147] = {.lex_state = 434, .external_lex_state = 2},
  [19148] = {.lex_state = 434, .external_lex_state = 2},
  [19149] = {.lex_state = 434, .external_lex_state = 2},
  [19150] = {.lex_state = 434, .external_lex_state = 2},
  [19151] = {.lex_state = 434, .external_lex_state = 2},
  [19152] = {.lex_state = 18, .external_lex_state = 2},
  [19153] = {.lex_state = 434, .external_lex_state = 2},
  [19154] = {.lex_state = 434, .external_lex_state = 2},
  [19155] = {.lex_state = 434, .external_lex_state = 2},
  [19156] = {.lex_state = 434, .external_lex_state = 2},
  [19157] = {.lex_state = 434, .external_lex_state = 2},
  [19158] = {.lex_state = 164, .external_lex_state = 2},
  [19159] = {.lex_state = 434, .external_lex_state = 2},
  [19160] = {.lex_state = 434, .external_lex_state = 2},
  [19161] = {.lex_state = 164, .external_lex_state = 2},
  [19162] = {.lex_state = 164, .external_lex_state = 2},
  [19163] = {.lex_state = 434, .external_lex_state = 2},
  [19164] = {.lex_state = 434, .external_lex_state = 2},
  [19165] = {.lex_state = 434, .external_lex_state = 2},
  [19166] = {.lex_state = 434, .external_lex_state = 2},
  [19167] = {.lex_state = 434, .external_lex_state = 2},
  [19168] = {.lex_state = 164, .external_lex_state = 2},
  [19169] = {.lex_state = 164, .external_lex_state = 2},
  [19170] = {.lex_state = 164, .external_lex_state = 2},
  [19171] = {.lex_state = 434, .external_lex_state = 2},
  [19172] = {.lex_state = 434, .external_lex_state = 2},
  [19173] = {.lex_state = 434, .external_lex_state = 2},
  [19174] = {.lex_state = 434, .external_lex_state = 2},
  [19175] = {.lex_state = 157, .external_lex_state = 2},
  [19176] = {.lex_state = 164, .external_lex_state = 2},
  [19177] = {.lex_state = 434, .external_lex_state = 2},
  [19178] = {.lex_state = 434, .external_lex_state = 2},
  [19179] = {.lex_state = 164, .external_lex_state = 2},
  [19180] = {.lex_state = 434, .external_lex_state = 2},
  [19181] = {.lex_state = 434, .external_lex_state = 2},
  [19182] = {.lex_state = 434, .external_lex_state = 2},
  [19183] = {.lex_state = 157, .external_lex_state = 2},
  [19184] = {.lex_state = 157, .external_lex_state = 2},
  [19185] = {.lex_state = 434, .external_lex_state = 2},
  [19186] = {.lex_state = 434, .external_lex_state = 2},
  [19187] = {.lex_state = 434, .external_lex_state = 2},
  [19188] = {.lex_state = 157, .external_lex_state = 2},
  [19189] = {.lex_state = 91, .external_lex_state = 2},
  [19190] = {.lex_state = 434, .external_lex_state = 2},
  [19191] = {.lex_state = 157, .external_lex_state = 2},
  [19192] = {.lex_state = 434, .external_lex_state = 2},
  [19193] = {.lex_state = 18, .external_lex_state = 2},
  [19194] = {.lex_state = 434, .external_lex_state = 2},
  [19195] = {.lex_state = 157, .external_lex_state = 2},
  [19196] = {.lex_state = 434, .external_lex_state = 2},
  [19197] = {.lex_state = 434, .external_lex_state = 2},
  [19198] = {.lex_state = 434, .external_lex_state = 2},
  [19199] = {.lex_state = 434, .external_lex_state = 2},
  [19200] = {.lex_state = 157, .external_lex_state = 2},
  [19201] = {.lex_state = 434, .external_lex_state = 3},
  [19202] = {.lex_state = 91, .external_lex_state = 2},
  [19203] = {.lex_state = 434, .external_lex_state = 2},
  [19204] = {.lex_state = 434, .external_lex_state = 2},
  [19205] = {.lex_state = 434, .external_lex_state = 2},
  [19206] = {.lex_state = 434, .external_lex_state = 2},
  [19207] = {.lex_state = 91, .external_lex_state = 2},
  [19208] = {.lex_state = 434, .external_lex_state = 2},
  [19209] = {.lex_state = 164, .external_lex_state = 2},
  [19210] = {.lex_state = 434, .external_lex_state = 3},
  [19211] = {.lex_state = 434, .external_lex_state = 2},
  [19212] = {.lex_state = 434, .external_lex_state = 2},
  [19213] = {.lex_state = 434, .external_lex_state = 2},
  [19214] = {.lex_state = 434, .external_lex_state = 2},
  [19215] = {.lex_state = 434, .external_lex_state = 2},
  [19216] = {.lex_state = 434, .external_lex_state = 2},
  [19217] = {.lex_state = 434, .external_lex_state = 2},
  [19218] = {.lex_state = 434, .external_lex_state = 2},
  [19219] = {.lex_state = 157, .external_lex_state = 2},
  [19220] = {.lex_state = 434, .external_lex_state = 2},
  [19221] = {.lex_state = 434, .external_lex_state = 2},
  [19222] = {.lex_state = 434, .external_lex_state = 2},
  [19223] = {.lex_state = 434, .external_lex_state = 2},
  [19224] = {.lex_state = 157, .external_lex_state = 2},
  [19225] = {.lex_state = 434, .external_lex_state = 2},
  [19226] = {.lex_state = 434, .external_lex_state = 2},
  [19227] = {.lex_state = 434, .external_lex_state = 2},
  [19228] = {.lex_state = 434, .external_lex_state = 2},
  [19229] = {.lex_state = 434, .external_lex_state = 2},
  [19230] = {.lex_state = 18, .external_lex_state = 2},
  [19231] = {.lex_state = 434, .external_lex_state = 2},
  [19232] = {.lex_state = 91, .external_lex_state = 2},
  [19233] = {.lex_state = 434, .external_lex_state = 2},
  [19234] = {.lex_state = 434, .external_lex_state = 2},
  [19235] = {.lex_state = 434, .external_lex_state = 2},
  [19236] = {.lex_state = 434, .external_lex_state = 2},
  [19237] = {.lex_state = 434, .external_lex_state = 2},
  [19238] = {.lex_state = 434, .external_lex_state = 2},
  [19239] = {.lex_state = 434, .external_lex_state = 2},
  [19240] = {.lex_state = 434, .external_lex_state = 2},
  [19241] = {.lex_state = 434, .external_lex_state = 2},
  [19242] = {.lex_state = 434, .external_lex_state = 2},
  [19243] = {.lex_state = 434, .external_lex_state = 2},
  [19244] = {.lex_state = 434, .external_lex_state = 2},
  [19245] = {.lex_state = 164, .external_lex_state = 2},
  [19246] = {.lex_state = 164, .external_lex_state = 2},
  [19247] = {.lex_state = 434, .external_lex_state = 2},
  [19248] = {.lex_state = 434, .external_lex_state = 2},
  [19249] = {.lex_state = 157, .external_lex_state = 2},
  [19250] = {.lex_state = 157, .external_lex_state = 2},
  [19251] = {.lex_state = 434, .external_lex_state = 2},
  [19252] = {.lex_state = 157, .external_lex_state = 2},
  [19253] = {.lex_state = 434, .external_lex_state = 2},
  [19254] = {.lex_state = 434, .external_lex_state = 2},
  [19255] = {.lex_state = 434, .external_lex_state = 2},
  [19256] = {.lex_state = 434, .external_lex_state = 2},
  [19257] = {.lex_state = 91, .external_lex_state = 2},
  [19258] = {.lex_state = 434, .external_lex_state = 2},
  [19259] = {.lex_state = 434, .external_lex_state = 2},
  [19260] = {.lex_state = 434, .external_lex_state = 2},
  [19261] = {.lex_state = 91, .external_lex_state = 2},
  [19262] = {.lex_state = 434, .external_lex_state = 2},
  [19263] = {.lex_state = 434, .external_lex_state = 2},
  [19264] = {.lex_state = 434, .external_lex_state = 2},
  [19265] = {.lex_state = 434, .external_lex_state = 2},
  [19266] = {.lex_state = 434, .external_lex_state = 2},
  [19267] = {.lex_state = 434, .external_lex_state = 2},
  [19268] = {.lex_state = 434, .external_lex_state = 2},
  [19269] = {.lex_state = 434, .external_lex_state = 2},
  [19270] = {.lex_state = 434, .external_lex_state = 2},
  [19271] = {.lex_state = 434, .external_lex_state = 2},
  [19272] = {.lex_state = 434, .external_lex_state = 2},
  [19273] = {.lex_state = 434, .external_lex_state = 2},
  [19274] = {.lex_state = 434, .external_lex_state = 2},
  [19275] = {.lex_state = 434, .external_lex_state = 2},
  [19276] = {.lex_state = 434, .external_lex_state = 2},
  [19277] = {.lex_state = 434, .external_lex_state = 2},
  [19278] = {.lex_state = 434, .external_lex_state = 2},
  [19279] = {.lex_state = 434, .external_lex_state = 2},
  [19280] = {.lex_state = 434, .external_lex_state = 2},
  [19281] = {.lex_state = 434, .external_lex_state = 2},
  [19282] = {.lex_state = 157, .external_lex_state = 2},
  [19283] = {.lex_state = 434, .external_lex_state = 2},
  [19284] = {.lex_state = 434, .external_lex_state = 2},
  [19285] = {.lex_state = 434, .external_lex_state = 2},
  [19286] = {.lex_state = 434, .external_lex_state = 2},
  [19287] = {.lex_state = 18, .external_lex_state = 2},
  [19288] = {.lex_state = 434, .external_lex_state = 2},
  [19289] = {.lex_state = 434, .external_lex_state = 2},
  [19290] = {.lex_state = 434, .external_lex_state = 2},
  [19291] = {.lex_state = 434, .external_lex_state = 2},
  [19292] = {.lex_state = 434, .external_lex_state = 2},
  [19293] = {.lex_state = 434, .external_lex_state = 2},
  [19294] = {.lex_state = 434, .external_lex_state = 2},
  [19295] = {.lex_state = 434, .external_lex_state = 2},
  [19296] = {.lex_state = 434, .external_lex_state = 2},
  [19297] = {.lex_state = 157, .external_lex_state = 2},
  [19298] = {.lex_state = 91, .external_lex_state = 2},
  [19299] = {.lex_state = 18, .external_lex_state = 2},
  [19300] = {.lex_state = 434, .external_lex_state = 2},
  [19301] = {.lex_state = 434, .external_lex_state = 2},
  [19302] = {.lex_state = 434, .external_lex_state = 2},
  [19303] = {.lex_state = 434, .external_lex_state = 2},
  [19304] = {.lex_state = 434, .external_lex_state = 2},
  [19305] = {.lex_state = 434, .external_lex_state = 2},
  [19306] = {.lex_state = 434, .external_lex_state = 2},
  [19307] = {.lex_state = 434, .external_lex_state = 2},
  [19308] = {.lex_state = 434, .external_lex_state = 2},
  [19309] = {.lex_state = 434, .external_lex_state = 2},
  [19310] = {.lex_state = 434, .external_lex_state = 2},
  [19311] = {.lex_state = 434, .external_lex_state = 2},
  [19312] = {.lex_state = 434, .external_lex_state = 2},
  [19313] = {.lex_state = 91, .external_lex_state = 2},
  [19314] = {.lex_state = 434, .external_lex_state = 2},
  [19315] = {.lex_state = 91, .external_lex_state = 2},
  [19316] = {.lex_state = 434, .external_lex_state = 2},
  [19317] = {.lex_state = 434, .external_lex_state = 2},
  [19318] = {.lex_state = 434, .external_lex_state = 2},
  [19319] = {.lex_state = 164, .external_lex_state = 2},
  [19320] = {.lex_state = 434, .external_lex_state = 2},
  [19321] = {.lex_state = 434, .external_lex_state = 2},
  [19322] = {.lex_state = 164, .external_lex_state = 2},
  [19323] = {.lex_state = 434, .external_lex_state = 2},
  [19324] = {.lex_state = 164, .external_lex_state = 2},
  [19325] = {.lex_state = 434, .external_lex_state = 2},
  [19326] = {.lex_state = 434, .external_lex_state = 2},
  [19327] = {.lex_state = 157, .external_lex_state = 2},
  [19328] = {.lex_state = 434, .external_lex_state = 2},
  [19329] = {.lex_state = 157, .external_lex_state = 2},
  [19330] = {.lex_state = 434, .external_lex_state = 2},
  [19331] = {.lex_state = 434, .external_lex_state = 2},
  [19332] = {.lex_state = 434, .external_lex_state = 2},
  [19333] = {.lex_state = 434, .external_lex_state = 2},
  [19334] = {.lex_state = 434, .external_lex_state = 2},
  [19335] = {.lex_state = 434, .external_lex_state = 2},
  [19336] = {.lex_state = 434, .external_lex_state = 2},
  [19337] = {.lex_state = 434, .external_lex_state = 2},
  [19338] = {.lex_state = 164, .external_lex_state = 2},
  [19339] = {.lex_state = 434, .external_lex_state = 2},
  [19340] = {.lex_state = 434, .external_lex_state = 2},
  [19341] = {.lex_state = 91, .external_lex_state = 2},
  [19342] = {.lex_state = 434, .external_lex_state = 2},
  [19343] = {.lex_state = 91, .external_lex_state = 2},
  [19344] = {.lex_state = 434, .external_lex_state = 2},
  [19345] = {.lex_state = 434, .external_lex_state = 2},
  [19346] = {.lex_state = 434, .external_lex_state = 2},
  [19347] = {.lex_state = 434, .external_lex_state = 2},
  [19348] = {.lex_state = 434, .external_lex_state = 2},
  [19349] = {.lex_state = 434, .external_lex_state = 2},
  [19350] = {.lex_state = 434, .external_lex_state = 2},
  [19351] = {.lex_state = 434, .external_lex_state = 2},
  [19352] = {.lex_state = 434, .external_lex_state = 2},
  [19353] = {.lex_state = 434, .external_lex_state = 2},
  [19354] = {.lex_state = 434, .external_lex_state = 2},
  [19355] = {.lex_state = 434, .external_lex_state = 2},
  [19356] = {.lex_state = 18, .external_lex_state = 2},
  [19357] = {.lex_state = 157, .external_lex_state = 2},
  [19358] = {.lex_state = 434, .external_lex_state = 2},
  [19359] = {.lex_state = 434, .external_lex_state = 2},
  [19360] = {.lex_state = 434, .external_lex_state = 2},
  [19361] = {.lex_state = 164, .external_lex_state = 2},
  [19362] = {.lex_state = 164, .external_lex_state = 2},
  [19363] = {.lex_state = 434, .external_lex_state = 2},
  [19364] = {.lex_state = 434, .external_lex_state = 2},
  [19365] = {.lex_state = 434, .external_lex_state = 2},
  [19366] = {.lex_state = 157, .external_lex_state = 2},
  [19367] = {.lex_state = 434, .external_lex_state = 2},
  [19368] = {.lex_state = 434, .external_lex_state = 2},
  [19369] = {.lex_state = 434, .external_lex_state = 2},
  [19370] = {.lex_state = 434, .external_lex_state = 2},
  [19371] = {.lex_state = 434, .external_lex_state = 2},
  [19372] = {.lex_state = 164, .external_lex_state = 2},
  [19373] = {.lex_state = 434, .external_lex_state = 2},
  [19374] = {.lex_state = 434, .external_lex_state = 2},
  [19375] = {.lex_state = 164, .external_lex_state = 2},
  [19376] = {.lex_state = 164, .external_lex_state = 2},
  [19377] = {.lex_state = 164, .external_lex_state = 2},
  [19378] = {.lex_state = 164, .external_lex_state = 2},
  [19379] = {.lex_state = 434, .external_lex_state = 2},
  [19380] = {.lex_state = 434, .external_lex_state = 2},
  [19381] = {.lex_state = 434, .external_lex_state = 2},
  [19382] = {.lex_state = 434, .external_lex_state = 2},
  [19383] = {.lex_state = 434, .external_lex_state = 2},
  [19384] = {.lex_state = 434, .external_lex_state = 2},
  [19385] = {.lex_state = 434, .external_lex_state = 2},
  [19386] = {.lex_state = 434, .external_lex_state = 2},
  [19387] = {.lex_state = 434, .external_lex_state = 2},
  [19388] = {.lex_state = 434, .external_lex_state = 2},
  [19389] = {.lex_state = 434, .external_lex_state = 2},
  [19390] = {.lex_state = 434, .external_lex_state = 2},
  [19391] = {.lex_state = 434, .external_lex_state = 2},
  [19392] = {.lex_state = 434, .external_lex_state = 2},
  [19393] = {.lex_state = 18, .external_lex_state = 2},
  [19394] = {.lex_state = 434, .external_lex_state = 2},
  [19395] = {.lex_state = 434, .external_lex_state = 2},
  [19396] = {.lex_state = 434, .external_lex_state = 2},
  [19397] = {.lex_state = 434, .external_lex_state = 2},
  [19398] = {.lex_state = 434, .external_lex_state = 2},
  [19399] = {.lex_state = 434, .external_lex_state = 2},
  [19400] = {.lex_state = 434, .external_lex_state = 2},
  [19401] = {.lex_state = 434, .external_lex_state = 2},
  [19402] = {.lex_state = 434, .external_lex_state = 2},
  [19403] = {.lex_state = 164, .external_lex_state = 2},
  [19404] = {.lex_state = 164, .external_lex_state = 2},
  [19405] = {.lex_state = 164, .external_lex_state = 2},
  [19406] = {.lex_state = 434, .external_lex_state = 2},
  [19407] = {.lex_state = 434, .external_lex_state = 2},
  [19408] = {.lex_state = 434, .external_lex_state = 2},
  [19409] = {.lex_state = 434, .external_lex_state = 2},
  [19410] = {.lex_state = 164, .external_lex_state = 2},
  [19411] = {.lex_state = 157, .external_lex_state = 2},
  [19412] = {.lex_state = 434, .external_lex_state = 2},
  [19413] = {.lex_state = 434, .external_lex_state = 2},
  [19414] = {.lex_state = 434, .external_lex_state = 2},
  [19415] = {.lex_state = 434, .external_lex_state = 2},
  [19416] = {.lex_state = 434, .external_lex_state = 2},
  [19417] = {.lex_state = 434, .external_lex_state = 2},
  [19418] = {.lex_state = 164, .external_lex_state = 2},
  [19419] = {.lex_state = 164, .external_lex_state = 2},
  [19420] = {.lex_state = 434, .external_lex_state = 2},
  [19421] = {.lex_state = 434, .external_lex_state = 2},
  [19422] = {.lex_state = 434, .external_lex_state = 2},
  [19423] = {.lex_state = 434, .external_lex_state = 2},
  [19424] = {.lex_state = 164, .external_lex_state = 2},
  [19425] = {.lex_state = 434, .external_lex_state = 2},
  [19426] = {.lex_state = 434, .external_lex_state = 2},
  [19427] = {.lex_state = 164, .external_lex_state = 2},
  [19428] = {.lex_state = 434, .external_lex_state = 2},
  [19429] = {.lex_state = 434, .external_lex_state = 2},
  [19430] = {.lex_state = 434, .external_lex_state = 2},
  [19431] = {.lex_state = 434, .external_lex_state = 2},
  [19432] = {.lex_state = 164, .external_lex_state = 2},
  [19433] = {.lex_state = 434, .external_lex_state = 2},
  [19434] = {.lex_state = 434, .external_lex_state = 2},
  [19435] = {.lex_state = 434, .external_lex_state = 2},
  [19436] = {.lex_state = 434, .external_lex_state = 2},
  [19437] = {.lex_state = 18, .external_lex_state = 2},
  [19438] = {.lex_state = 434, .external_lex_state = 2},
  [19439] = {.lex_state = 157, .external_lex_state = 2},
  [19440] = {.lex_state = 434, .external_lex_state = 2},
  [19441] = {.lex_state = 157, .external_lex_state = 2},
  [19442] = {.lex_state = 434, .external_lex_state = 2},
  [19443] = {.lex_state = 157, .external_lex_state = 2},
  [19444] = {.lex_state = 434, .external_lex_state = 3},
  [19445] = {.lex_state = 434, .external_lex_state = 2},
  [19446] = {.lex_state = 434, .external_lex_state = 2},
  [19447] = {.lex_state = 434, .external_lex_state = 2},
  [19448] = {.lex_state = 434, .external_lex_state = 2},
  [19449] = {.lex_state = 159, .external_lex_state = 2},
  [19450] = {.lex_state = 434, .external_lex_state = 2},
  [19451] = {.lex_state = 434, .external_lex_state = 2},
  [19452] = {.lex_state = 434, .external_lex_state = 2},
  [19453] = {.lex_state = 164, .external_lex_state = 2},
  [19454] = {.lex_state = 434, .external_lex_state = 2},
  [19455] = {.lex_state = 18, .external_lex_state = 2},
  [19456] = {.lex_state = 18, .external_lex_state = 2},
  [19457] = {.lex_state = 434, .external_lex_state = 2},
  [19458] = {.lex_state = 157, .external_lex_state = 2},
  [19459] = {.lex_state = 157, .external_lex_state = 2},
  [19460] = {.lex_state = 434, .external_lex_state = 2},
  [19461] = {.lex_state = 434, .external_lex_state = 2},
  [19462] = {.lex_state = 157, .external_lex_state = 2},
  [19463] = {.lex_state = 434, .external_lex_state = 3},
  [19464] = {.lex_state = 434, .external_lex_state = 9},
  [19465] = {.lex_state = 157, .external_lex_state = 2},
  [19466] = {.lex_state = 434, .external_lex_state = 2},
  [19467] = {.lex_state = 434, .external_lex_state = 2},
  [19468] = {.lex_state = 434, .external_lex_state = 2},
  [19469] = {.lex_state = 434, .external_lex_state = 2},
  [19470] = {.lex_state = 434, .external_lex_state = 2},
  [19471] = {.lex_state = 434, .external_lex_state = 2},
  [19472] = {.lex_state = 434, .external_lex_state = 2},
  [19473] = {.lex_state = 434, .external_lex_state = 2},
  [19474] = {.lex_state = 434, .external_lex_state = 3},
  [19475] = {.lex_state = 434, .external_lex_state = 2},
  [19476] = {.lex_state = 434, .external_lex_state = 2},
  [19477] = {.lex_state = 434, .external_lex_state = 2},
  [19478] = {.lex_state = 157, .external_lex_state = 2},
  [19479] = {.lex_state = 157, .external_lex_state = 2},
  [19480] = {.lex_state = 18, .external_lex_state = 2},
  [19481] = {.lex_state = 434, .external_lex_state = 2},
  [19482] = {.lex_state = 434, .external_lex_state = 2},
  [19483] = {.lex_state = 434, .external_lex_state = 2},
  [19484] = {.lex_state = 434, .external_lex_state = 2},
  [19485] = {.lex_state = 434, .external_lex_state = 2},
  [19486] = {.lex_state = 434, .external_lex_state = 2},
  [19487] = {.lex_state = 434, .external_lex_state = 2},
  [19488] = {.lex_state = 434, .external_lex_state = 2},
  [19489] = {.lex_state = 434, .external_lex_state = 2},
  [19490] = {.lex_state = 434, .external_lex_state = 2},
  [19491] = {.lex_state = 434, .external_lex_state = 2},
  [19492] = {.lex_state = 434, .external_lex_state = 2},
  [19493] = {.lex_state = 434, .external_lex_state = 2},
  [19494] = {.lex_state = 434, .external_lex_state = 2},
  [19495] = {.lex_state = 434, .external_lex_state = 2},
  [19496] = {.lex_state = 434, .external_lex_state = 2},
  [19497] = {.lex_state = 434, .external_lex_state = 2},
  [19498] = {.lex_state = 434, .external_lex_state = 2},
  [19499] = {.lex_state = 18, .external_lex_state = 2},
  [19500] = {.lex_state = 434, .external_lex_state = 2},
  [19501] = {.lex_state = 434, .external_lex_state = 2},
  [19502] = {.lex_state = 434, .external_lex_state = 2},
  [19503] = {.lex_state = 434, .external_lex_state = 2},
  [19504] = {.lex_state = 164, .external_lex_state = 2},
  [19505] = {.lex_state = 434, .external_lex_state = 2},
  [19506] = {.lex_state = 157, .external_lex_state = 2},
  [19507] = {.lex_state = 434, .external_lex_state = 2},
  [19508] = {.lex_state = 434, .external_lex_state = 2},
  [19509] = {.lex_state = 157, .external_lex_state = 2},
  [19510] = {.lex_state = 434, .external_lex_state = 2},
  [19511] = {.lex_state = 434, .external_lex_state = 2},
  [19512] = {.lex_state = 434, .external_lex_state = 2},
  [19513] = {.lex_state = 434, .external_lex_state = 2},
  [19514] = {.lex_state = 434, .external_lex_state = 2},
  [19515] = {.lex_state = 434, .external_lex_state = 2},
  [19516] = {.lex_state = 434, .external_lex_state = 2},
  [19517] = {.lex_state = 434, .external_lex_state = 3},
  [19518] = {.lex_state = 434, .external_lex_state = 2},
  [19519] = {.lex_state = 434, .external_lex_state = 2},
  [19520] = {.lex_state = 434, .external_lex_state = 2},
  [19521] = {.lex_state = 434, .external_lex_state = 2},
  [19522] = {.lex_state = 164, .external_lex_state = 2},
  [19523] = {.lex_state = 434, .external_lex_state = 2},
  [19524] = {.lex_state = 164, .external_lex_state = 2},
  [19525] = {.lex_state = 164, .external_lex_state = 2},
  [19526] = {.lex_state = 434, .external_lex_state = 2},
  [19527] = {.lex_state = 434, .external_lex_state = 2},
  [19528] = {.lex_state = 434, .external_lex_state = 2},
  [19529] = {.lex_state = 434, .external_lex_state = 2},
  [19530] = {.lex_state = 434, .external_lex_state = 2},
  [19531] = {.lex_state = 434, .external_lex_state = 2},
  [19532] = {.lex_state = 157, .external_lex_state = 2},
  [19533] = {.lex_state = 434, .external_lex_state = 2},
  [19534] = {.lex_state = 434, .external_lex_state = 2},
  [19535] = {.lex_state = 157, .external_lex_state = 2},
  [19536] = {.lex_state = 434, .external_lex_state = 2},
  [19537] = {.lex_state = 434, .external_lex_state = 2},
  [19538] = {.lex_state = 434, .external_lex_state = 2},
  [19539] = {.lex_state = 157, .external_lex_state = 2},
  [19540] = {.lex_state = 434, .external_lex_state = 2},
  [19541] = {.lex_state = 434, .external_lex_state = 2},
  [19542] = {.lex_state = 434, .external_lex_state = 2},
  [19543] = {.lex_state = 434, .external_lex_state = 2},
  [19544] = {.lex_state = 434, .external_lex_state = 2},
  [19545] = {.lex_state = 434, .external_lex_state = 2},
  [19546] = {.lex_state = 434, .external_lex_state = 2},
  [19547] = {.lex_state = 434, .external_lex_state = 2},
  [19548] = {.lex_state = 434, .external_lex_state = 2},
  [19549] = {.lex_state = 434, .external_lex_state = 2},
  [19550] = {.lex_state = 434, .external_lex_state = 2},
  [19551] = {.lex_state = 434, .external_lex_state = 2},
  [19552] = {.lex_state = 434, .external_lex_state = 2},
  [19553] = {.lex_state = 434, .external_lex_state = 2},
  [19554] = {.lex_state = 434, .external_lex_state = 2},
  [19555] = {.lex_state = 434, .external_lex_state = 2},
  [19556] = {.lex_state = 434, .external_lex_state = 2},
  [19557] = {.lex_state = 91, .external_lex_state = 2},
  [19558] = {.lex_state = 434, .external_lex_state = 2},
  [19559] = {.lex_state = 434, .external_lex_state = 2},
  [19560] = {.lex_state = 434, .external_lex_state = 2},
  [19561] = {.lex_state = 434, .external_lex_state = 2},
  [19562] = {.lex_state = 434, .external_lex_state = 2},
  [19563] = {.lex_state = 434, .external_lex_state = 2},
  [19564] = {.lex_state = 434, .external_lex_state = 2},
  [19565] = {.lex_state = 434, .external_lex_state = 2},
  [19566] = {.lex_state = 157, .external_lex_state = 2},
  [19567] = {.lex_state = 434, .external_lex_state = 2},
  [19568] = {.lex_state = 434, .external_lex_state = 2},
  [19569] = {.lex_state = 434, .external_lex_state = 2},
  [19570] = {.lex_state = 434, .external_lex_state = 2},
  [19571] = {.lex_state = 434, .external_lex_state = 2},
  [19572] = {.lex_state = 157, .external_lex_state = 2},
  [19573] = {.lex_state = 434, .external_lex_state = 2},
  [19574] = {.lex_state = 18, .external_lex_state = 2},
  [19575] = {.lex_state = 434, .external_lex_state = 2},
  [19576] = {.lex_state = 434, .external_lex_state = 2},
  [19577] = {.lex_state = 434, .external_lex_state = 2},
  [19578] = {.lex_state = 434, .external_lex_state = 2},
  [19579] = {.lex_state = 434, .external_lex_state = 2},
  [19580] = {.lex_state = 434, .external_lex_state = 2},
  [19581] = {.lex_state = 434, .external_lex_state = 2},
  [19582] = {.lex_state = 434, .external_lex_state = 2},
  [19583] = {.lex_state = 434, .external_lex_state = 2},
  [19584] = {.lex_state = 434, .external_lex_state = 2},
  [19585] = {.lex_state = 434, .external_lex_state = 2},
  [19586] = {.lex_state = 434, .external_lex_state = 2},
  [19587] = {.lex_state = 434, .external_lex_state = 2},
  [19588] = {.lex_state = 434, .external_lex_state = 2},
  [19589] = {.lex_state = 434, .external_lex_state = 2},
  [19590] = {.lex_state = 434, .external_lex_state = 2},
  [19591] = {.lex_state = 434, .external_lex_state = 2},
  [19592] = {.lex_state = 434, .external_lex_state = 2},
  [19593] = {.lex_state = 434, .external_lex_state = 2},
  [19594] = {.lex_state = 434, .external_lex_state = 2},
  [19595] = {.lex_state = 434, .external_lex_state = 2},
  [19596] = {.lex_state = 434, .external_lex_state = 2},
  [19597] = {.lex_state = 434, .external_lex_state = 2},
  [19598] = {.lex_state = 434, .external_lex_state = 2},
  [19599] = {.lex_state = 434, .external_lex_state = 2},
  [19600] = {.lex_state = 434, .external_lex_state = 2},
  [19601] = {.lex_state = 91, .external_lex_state = 2},
  [19602] = {.lex_state = 91, .external_lex_state = 2},
  [19603] = {.lex_state = 434, .external_lex_state = 2},
  [19604] = {.lex_state = 434, .external_lex_state = 2},
  [19605] = {.lex_state = 434, .external_lex_state = 2},
  [19606] = {.lex_state = 434, .external_lex_state = 2},
  [19607] = {.lex_state = 434, .external_lex_state = 2},
  [19608] = {.lex_state = 434, .external_lex_state = 2},
  [19609] = {.lex_state = 434, .external_lex_state = 2},
  [19610] = {.lex_state = 434, .external_lex_state = 2},
  [19611] = {.lex_state = 434, .external_lex_state = 2},
  [19612] = {.lex_state = 164, .external_lex_state = 2},
  [19613] = {.lex_state = 434, .external_lex_state = 2},
  [19614] = {.lex_state = 434, .external_lex_state = 2},
  [19615] = {.lex_state = 434, .external_lex_state = 2},
  [19616] = {.lex_state = 434, .external_lex_state = 2},
  [19617] = {.lex_state = 434, .external_lex_state = 2},
  [19618] = {.lex_state = 434, .external_lex_state = 2},
  [19619] = {.lex_state = 434, .external_lex_state = 2},
  [19620] = {.lex_state = 434, .external_lex_state = 2},
  [19621] = {.lex_state = 434, .external_lex_state = 2},
  [19622] = {.lex_state = 434, .external_lex_state = 2},
  [19623] = {.lex_state = 434, .external_lex_state = 2},
  [19624] = {.lex_state = 434, .external_lex_state = 2},
  [19625] = {.lex_state = 434, .external_lex_state = 2},
  [19626] = {.lex_state = 434, .external_lex_state = 2},
  [19627] = {.lex_state = 434, .external_lex_state = 2},
  [19628] = {.lex_state = 434, .external_lex_state = 2},
  [19629] = {.lex_state = 434, .external_lex_state = 2},
  [19630] = {.lex_state = 434, .external_lex_state = 2},
  [19631] = {.lex_state = 434, .external_lex_state = 2},
  [19632] = {.lex_state = 434, .external_lex_state = 2},
  [19633] = {.lex_state = 434, .external_lex_state = 2},
  [19634] = {.lex_state = 434, .external_lex_state = 2},
  [19635] = {.lex_state = 434, .external_lex_state = 2},
  [19636] = {.lex_state = 91, .external_lex_state = 2},
  [19637] = {.lex_state = 434, .external_lex_state = 2},
  [19638] = {.lex_state = 91, .external_lex_state = 2},
  [19639] = {.lex_state = 434, .external_lex_state = 2},
  [19640] = {.lex_state = 434, .external_lex_state = 2},
  [19641] = {.lex_state = 434, .external_lex_state = 2},
  [19642] = {.lex_state = 434, .external_lex_state = 2},
  [19643] = {.lex_state = 434, .external_lex_state = 2},
  [19644] = {.lex_state = 164, .external_lex_state = 2},
  [19645] = {.lex_state = 434, .external_lex_state = 2},
  [19646] = {.lex_state = 434, .external_lex_state = 2},
  [19647] = {.lex_state = 434, .external_lex_state = 2},
  [19648] = {.lex_state = 434, .external_lex_state = 2},
  [19649] = {.lex_state = 434, .external_lex_state = 2},
  [19650] = {.lex_state = 434, .external_lex_state = 2},
  [19651] = {.lex_state = 434, .external_lex_state = 2},
  [19652] = {.lex_state = 434, .external_lex_state = 2},
  [19653] = {.lex_state = 164, .external_lex_state = 2},
  [19654] = {.lex_state = 434, .external_lex_state = 2},
  [19655] = {.lex_state = 434, .external_lex_state = 2},
  [19656] = {.lex_state = 434, .external_lex_state = 2},
  [19657] = {.lex_state = 434, .external_lex_state = 2},
  [19658] = {.lex_state = 434, .external_lex_state = 2},
  [19659] = {.lex_state = 434, .external_lex_state = 2},
  [19660] = {.lex_state = 434, .external_lex_state = 2},
  [19661] = {.lex_state = 434, .external_lex_state = 2},
  [19662] = {.lex_state = 157, .external_lex_state = 2},
  [19663] = {.lex_state = 157, .external_lex_state = 2},
  [19664] = {.lex_state = 434, .external_lex_state = 2},
  [19665] = {.lex_state = 434, .external_lex_state = 2},
  [19666] = {.lex_state = 434, .external_lex_state = 2},
  [19667] = {.lex_state = 434, .external_lex_state = 2},
  [19668] = {.lex_state = 434, .external_lex_state = 2},
  [19669] = {.lex_state = 434, .external_lex_state = 2},
  [19670] = {.lex_state = 434, .external_lex_state = 2},
  [19671] = {.lex_state = 434, .external_lex_state = 2},
  [19672] = {.lex_state = 434, .external_lex_state = 2},
  [19673] = {.lex_state = 434, .external_lex_state = 2},
  [19674] = {.lex_state = 434, .external_lex_state = 2},
  [19675] = {.lex_state = 434, .external_lex_state = 2},
  [19676] = {.lex_state = 434, .external_lex_state = 2},
  [19677] = {.lex_state = 434, .external_lex_state = 2},
  [19678] = {.lex_state = 434, .external_lex_state = 2},
  [19679] = {.lex_state = 157, .external_lex_state = 2},
  [19680] = {.lex_state = 434, .external_lex_state = 2},
  [19681] = {.lex_state = 91, .external_lex_state = 2},
  [19682] = {.lex_state = 434, .external_lex_state = 2},
  [19683] = {.lex_state = 434, .external_lex_state = 2},
  [19684] = {.lex_state = 434, .external_lex_state = 2},
  [19685] = {.lex_state = 434, .external_lex_state = 2},
  [19686] = {.lex_state = 157, .external_lex_state = 2},
  [19687] = {.lex_state = 434, .external_lex_state = 2},
  [19688] = {.lex_state = 434, .external_lex_state = 2},
  [19689] = {.lex_state = 434, .external_lex_state = 2},
  [19690] = {.lex_state = 434, .external_lex_state = 2},
  [19691] = {.lex_state = 434, .external_lex_state = 2},
  [19692] = {.lex_state = 434, .external_lex_state = 2},
  [19693] = {.lex_state = 434, .external_lex_state = 2},
  [19694] = {.lex_state = 434, .external_lex_state = 2},
  [19695] = {.lex_state = 434, .external_lex_state = 2},
  [19696] = {.lex_state = 434, .external_lex_state = 2},
  [19697] = {.lex_state = 434, .external_lex_state = 2},
  [19698] = {.lex_state = 434, .external_lex_state = 2},
  [19699] = {.lex_state = 434, .external_lex_state = 2},
  [19700] = {.lex_state = 434, .external_lex_state = 2},
  [19701] = {.lex_state = 18, .external_lex_state = 2},
  [19702] = {.lex_state = 434, .external_lex_state = 2},
  [19703] = {.lex_state = 434, .external_lex_state = 2},
  [19704] = {.lex_state = 157, .external_lex_state = 2},
  [19705] = {.lex_state = 434, .external_lex_state = 2},
  [19706] = {.lex_state = 434, .external_lex_state = 2},
  [19707] = {.lex_state = 434, .external_lex_state = 2},
  [19708] = {.lex_state = 434, .external_lex_state = 2},
  [19709] = {.lex_state = 434, .external_lex_state = 2},
  [19710] = {.lex_state = 157, .external_lex_state = 2},
  [19711] = {.lex_state = 434, .external_lex_state = 2},
  [19712] = {.lex_state = 434, .external_lex_state = 2},
  [19713] = {.lex_state = 434, .external_lex_state = 2},
  [19714] = {.lex_state = 434, .external_lex_state = 2},
  [19715] = {.lex_state = 164, .external_lex_state = 2},
  [19716] = {.lex_state = 18, .external_lex_state = 2},
  [19717] = {.lex_state = 434, .external_lex_state = 2},
  [19718] = {.lex_state = 434, .external_lex_state = 2},
  [19719] = {.lex_state = 434, .external_lex_state = 2},
  [19720] = {.lex_state = 434, .external_lex_state = 2},
  [19721] = {.lex_state = 434, .external_lex_state = 2},
  [19722] = {.lex_state = 434, .external_lex_state = 2},
  [19723] = {.lex_state = 434, .external_lex_state = 2},
  [19724] = {.lex_state = 434, .external_lex_state = 2},
  [19725] = {.lex_state = 434, .external_lex_state = 2},
  [19726] = {.lex_state = 91, .external_lex_state = 2},
  [19727] = {.lex_state = 164, .external_lex_state = 2},
  [19728] = {.lex_state = 434, .external_lex_state = 2},
  [19729] = {.lex_state = 434, .external_lex_state = 2},
  [19730] = {.lex_state = 164, .external_lex_state = 2},
  [19731] = {.lex_state = 157, .external_lex_state = 2},
  [19732] = {.lex_state = 434, .external_lex_state = 2},
  [19733] = {.lex_state = 434, .external_lex_state = 2},
  [19734] = {.lex_state = 164, .external_lex_state = 2},
  [19735] = {.lex_state = 434, .external_lex_state = 2},
  [19736] = {.lex_state = 434, .external_lex_state = 2},
  [19737] = {.lex_state = 434, .external_lex_state = 2},
  [19738] = {.lex_state = 434, .external_lex_state = 2},
  [19739] = {.lex_state = 434, .external_lex_state = 2},
  [19740] = {.lex_state = 434, .external_lex_state = 2},
  [19741] = {.lex_state = 434, .external_lex_state = 2},
  [19742] = {.lex_state = 434, .external_lex_state = 2},
  [19743] = {.lex_state = 434, .external_lex_state = 2},
  [19744] = {.lex_state = 434, .external_lex_state = 2},
  [19745] = {.lex_state = 434, .external_lex_state = 2},
  [19746] = {.lex_state = 434, .external_lex_state = 2},
  [19747] = {.lex_state = 434, .external_lex_state = 2},
  [19748] = {.lex_state = 434, .external_lex_state = 2},
  [19749] = {.lex_state = 434, .external_lex_state = 2},
  [19750] = {.lex_state = 434, .external_lex_state = 2},
  [19751] = {.lex_state = 434, .external_lex_state = 2},
  [19752] = {.lex_state = 434, .external_lex_state = 2},
  [19753] = {.lex_state = 434, .external_lex_state = 2},
  [19754] = {.lex_state = 164, .external_lex_state = 2},
  [19755] = {.lex_state = 18, .external_lex_state = 2},
  [19756] = {.lex_state = 18, .external_lex_state = 2},
  [19757] = {.lex_state = 434, .external_lex_state = 2},
  [19758] = {.lex_state = 164, .external_lex_state = 2},
  [19759] = {.lex_state = 164, .external_lex_state = 2},
  [19760] = {.lex_state = 164, .external_lex_state = 2},
  [19761] = {.lex_state = 91, .external_lex_state = 2},
  [19762] = {.lex_state = 18, .external_lex_state = 2},
  [19763] = {.lex_state = 434, .external_lex_state = 2},
  [19764] = {.lex_state = 434, .external_lex_state = 3},
  [19765] = {.lex_state = 434, .external_lex_state = 2},
  [19766] = {.lex_state = 434, .external_lex_state = 2},
  [19767] = {.lex_state = 434, .external_lex_state = 2},
  [19768] = {.lex_state = 434, .external_lex_state = 2},
  [19769] = {.lex_state = 434, .external_lex_state = 2},
  [19770] = {.lex_state = 434, .external_lex_state = 2},
  [19771] = {.lex_state = 434, .external_lex_state = 2},
  [19772] = {.lex_state = 434, .external_lex_state = 2},
  [19773] = {.lex_state = 434, .external_lex_state = 2},
  [19774] = {.lex_state = 434, .external_lex_state = 2},
  [19775] = {.lex_state = 434, .external_lex_state = 2},
  [19776] = {.lex_state = 157, .external_lex_state = 2},
  [19777] = {.lex_state = 434, .external_lex_state = 2},
  [19778] = {.lex_state = 434, .external_lex_state = 2},
  [19779] = {.lex_state = 434, .external_lex_state = 2},
  [19780] = {.lex_state = 434, .external_lex_state = 2},
  [19781] = {.lex_state = 434, .external_lex_state = 2},
  [19782] = {.lex_state = 434, .external_lex_state = 2},
  [19783] = {.lex_state = 434, .external_lex_state = 2},
  [19784] = {.lex_state = 434, .external_lex_state = 2},
  [19785] = {.lex_state = 164, .external_lex_state = 2},
  [19786] = {.lex_state = 164, .external_lex_state = 2},
  [19787] = {.lex_state = 18, .external_lex_state = 2},
  [19788] = {.lex_state = 164, .external_lex_state = 2},
  [19789] = {.lex_state = 434, .external_lex_state = 2},
  [19790] = {.lex_state = 434, .external_lex_state = 2},
  [19791] = {.lex_state = 18, .external_lex_state = 2},
  [19792] = {.lex_state = 434, .external_lex_state = 2},
  [19793] = {.lex_state = 434, .external_lex_state = 2},
  [19794] = {.lex_state = 157, .external_lex_state = 2},
  [19795] = {.lex_state = 434, .external_lex_state = 2},
  [19796] = {.lex_state = 434, .external_lex_state = 2},
  [19797] = {.lex_state = 434, .external_lex_state = 2},
  [19798] = {.lex_state = 157, .external_lex_state = 2},
  [19799] = {.lex_state = 434, .external_lex_state = 3},
  [19800] = {.lex_state = 434, .external_lex_state = 3},
  [19801] = {.lex_state = 164, .external_lex_state = 2},
  [19802] = {.lex_state = 434, .external_lex_state = 2},
  [19803] = {.lex_state = 434, .external_lex_state = 2},
  [19804] = {.lex_state = 434, .external_lex_state = 2},
  [19805] = {.lex_state = 434, .external_lex_state = 2},
  [19806] = {.lex_state = 434, .external_lex_state = 2},
  [19807] = {.lex_state = 434, .external_lex_state = 2},
  [19808] = {.lex_state = 434, .external_lex_state = 2},
  [19809] = {.lex_state = 434, .external_lex_state = 2},
  [19810] = {.lex_state = 434, .external_lex_state = 2},
  [19811] = {.lex_state = 434, .external_lex_state = 2},
  [19812] = {.lex_state = 434, .external_lex_state = 2},
  [19813] = {.lex_state = 157, .external_lex_state = 2},
  [19814] = {.lex_state = 434, .external_lex_state = 2},
  [19815] = {.lex_state = 434, .external_lex_state = 2},
  [19816] = {.lex_state = 434, .external_lex_state = 2},
  [19817] = {.lex_state = 434, .external_lex_state = 2},
  [19818] = {.lex_state = 434, .external_lex_state = 2},
  [19819] = {.lex_state = 434, .external_lex_state = 2},
  [19820] = {.lex_state = 434, .external_lex_state = 2},
  [19821] = {.lex_state = 157, .external_lex_state = 2},
  [19822] = {.lex_state = 434, .external_lex_state = 2},
  [19823] = {.lex_state = 434, .external_lex_state = 2},
  [19824] = {.lex_state = 164, .external_lex_state = 2},
  [19825] = {.lex_state = 434, .external_lex_state = 2},
  [19826] = {.lex_state = 434, .external_lex_state = 2},
  [19827] = {.lex_state = 434, .external_lex_state = 2},
  [19828] = {.lex_state = 164, .external_lex_state = 2},
  [19829] = {.lex_state = 18, .external_lex_state = 2},
  [19830] = {.lex_state = 164, .external_lex_state = 2},
  [19831] = {.lex_state = 157, .external_lex_state = 2},
  [19832] = {.lex_state = 434, .external_lex_state = 2},
  [19833] = {.lex_state = 157, .external_lex_state = 2},
  [19834] = {.lex_state = 434, .external_lex_state = 3},
  [19835] = {.lex_state = 434, .external_lex_state = 2},
  [19836] = {.lex_state = 434, .external_lex_state = 2},
  [19837] = {.lex_state = 434, .external_lex_state = 2},
  [19838] = {.lex_state = 434, .external_lex_state = 2},
  [19839] = {.lex_state = 434, .external_lex_state = 2},
  [19840] = {.lex_state = 434, .external_lex_state = 2},
  [19841] = {.lex_state = 434, .external_lex_state = 2},
  [19842] = {.lex_state = 434, .external_lex_state = 2},
  [19843] = {.lex_state = 434, .external_lex_state = 2},
  [19844] = {.lex_state = 434, .external_lex_state = 2},
  [19845] = {.lex_state = 164, .external_lex_state = 2},
  [19846] = {.lex_state = 434, .external_lex_state = 2},
  [19847] = {.lex_state = 434, .external_lex_state = 2},
  [19848] = {.lex_state = 434, .external_lex_state = 2},
  [19849] = {.lex_state = 434, .external_lex_state = 2},
  [19850] = {.lex_state = 434, .external_lex_state = 2},
  [19851] = {.lex_state = 434, .external_lex_state = 2},
  [19852] = {.lex_state = 434, .external_lex_state = 2},
  [19853] = {.lex_state = 434, .external_lex_state = 2},
  [19854] = {.lex_state = 434, .external_lex_state = 2},
  [19855] = {.lex_state = 434, .external_lex_state = 2},
  [19856] = {.lex_state = 434, .external_lex_state = 2},
  [19857] = {.lex_state = 434, .external_lex_state = 2},
  [19858] = {.lex_state = 18, .external_lex_state = 2},
  [19859] = {.lex_state = 434, .external_lex_state = 2},
  [19860] = {.lex_state = 434, .external_lex_state = 2},
  [19861] = {.lex_state = 434, .external_lex_state = 2},
  [19862] = {.lex_state = 434, .external_lex_state = 2},
  [19863] = {.lex_state = 434, .external_lex_state = 2},
  [19864] = {.lex_state = 434, .external_lex_state = 2},
  [19865] = {.lex_state = 434, .external_lex_state = 2},
  [19866] = {.lex_state = 434, .external_lex_state = 2},
  [19867] = {.lex_state = 434, .external_lex_state = 2},
  [19868] = {.lex_state = 434, .external_lex_state = 2},
  [19869] = {.lex_state = 18, .external_lex_state = 2},
  [19870] = {.lex_state = 434, .external_lex_state = 2},
  [19871] = {.lex_state = 434, .external_lex_state = 2},
  [19872] = {.lex_state = 434, .external_lex_state = 2},
  [19873] = {.lex_state = 164, .external_lex_state = 2},
  [19874] = {.lex_state = 157, .external_lex_state = 2},
  [19875] = {.lex_state = 157, .external_lex_state = 2},
  [19876] = {.lex_state = 434, .external_lex_state = 3},
  [19877] = {.lex_state = 164, .external_lex_state = 2},
  [19878] = {.lex_state = 434, .external_lex_state = 2},
  [19879] = {.lex_state = 434, .external_lex_state = 2},
  [19880] = {.lex_state = 434, .external_lex_state = 2},
  [19881] = {.lex_state = 434, .external_lex_state = 2},
  [19882] = {.lex_state = 434, .external_lex_state = 2},
  [19883] = {.lex_state = 434, .external_lex_state = 2},
  [19884] = {.lex_state = 157, .external_lex_state = 2},
  [19885] = {.lex_state = 434, .external_lex_state = 2},
  [19886] = {.lex_state = 434, .external_lex_state = 2},
  [19887] = {.lex_state = 434, .external_lex_state = 2},
  [19888] = {.lex_state = 18, .external_lex_state = 2},
  [19889] = {.lex_state = 164, .external_lex_state = 2},
  [19890] = {.lex_state = 157, .external_lex_state = 2},
  [19891] = {.lex_state = 434, .external_lex_state = 2},
  [19892] = {.lex_state = 164, .external_lex_state = 2},
  [19893] = {.lex_state = 434, .external_lex_state = 2},
  [19894] = {.lex_state = 434, .external_lex_state = 2},
  [19895] = {.lex_state = 434, .external_lex_state = 2},
  [19896] = {.lex_state = 164, .external_lex_state = 2},
  [19897] = {.lex_state = 164, .external_lex_state = 2},
  [19898] = {.lex_state = 434, .external_lex_state = 2},
  [19899] = {.lex_state = 434, .external_lex_state = 2},
  [19900] = {.lex_state = 434, .external_lex_state = 2},
  [19901] = {.lex_state = 434, .external_lex_state = 2},
  [19902] = {.lex_state = 434, .external_lex_state = 2},
  [19903] = {.lex_state = 434, .external_lex_state = 2},
  [19904] = {.lex_state = 434, .external_lex_state = 2},
  [19905] = {.lex_state = 434, .external_lex_state = 2},
  [19906] = {.lex_state = 157, .external_lex_state = 2},
  [19907] = {.lex_state = 434, .external_lex_state = 2},
  [19908] = {.lex_state = 157, .external_lex_state = 2},
  [19909] = {.lex_state = 434, .external_lex_state = 2},
  [19910] = {.lex_state = 157, .external_lex_state = 2},
  [19911] = {.lex_state = 434, .external_lex_state = 2},
  [19912] = {.lex_state = 18, .external_lex_state = 2},
  [19913] = {.lex_state = 434, .external_lex_state = 2},
  [19914] = {.lex_state = 18, .external_lex_state = 2},
  [19915] = {.lex_state = 434, .external_lex_state = 2},
  [19916] = {.lex_state = 434, .external_lex_state = 2},
  [19917] = {.lex_state = 434, .external_lex_state = 2},
  [19918] = {.lex_state = 157, .external_lex_state = 2},
  [19919] = {.lex_state = 18, .external_lex_state = 2},
  [19920] = {.lex_state = 434, .external_lex_state = 2},
  [19921] = {.lex_state = 434, .external_lex_state = 2},
  [19922] = {.lex_state = 434, .external_lex_state = 2},
  [19923] = {.lex_state = 434, .external_lex_state = 2},
  [19924] = {.lex_state = 157, .external_lex_state = 2},
  [19925] = {.lex_state = 434, .external_lex_state = 2},
  [19926] = {.lex_state = 434, .external_lex_state = 2},
  [19927] = {.lex_state = 434, .external_lex_state = 2},
  [19928] = {.lex_state = 434, .external_lex_state = 2},
  [19929] = {.lex_state = 434, .external_lex_state = 2},
  [19930] = {.lex_state = 434, .external_lex_state = 2},
  [19931] = {.lex_state = 434, .external_lex_state = 2},
  [19932] = {.lex_state = 434, .external_lex_state = 2},
  [19933] = {.lex_state = 434, .external_lex_state = 2},
  [19934] = {.lex_state = 434, .external_lex_state = 2},
  [19935] = {.lex_state = 434, .external_lex_state = 2},
  [19936] = {.lex_state = 434, .external_lex_state = 2},
  [19937] = {.lex_state = 434, .external_lex_state = 2},
  [19938] = {.lex_state = 164, .external_lex_state = 2},
  [19939] = {.lex_state = 434, .external_lex_state = 2},
  [19940] = {.lex_state = 18, .external_lex_state = 2},
  [19941] = {.lex_state = 157, .external_lex_state = 2},
  [19942] = {.lex_state = 91, .external_lex_state = 2},
  [19943] = {.lex_state = 434, .external_lex_state = 2},
  [19944] = {.lex_state = 434, .external_lex_state = 2},
  [19945] = {.lex_state = 434, .external_lex_state = 2},
  [19946] = {.lex_state = 434, .external_lex_state = 2},
  [19947] = {.lex_state = 91, .external_lex_state = 2},
  [19948] = {.lex_state = 434, .external_lex_state = 2},
  [19949] = {.lex_state = 434, .external_lex_state = 2},
  [19950] = {.lex_state = 434, .external_lex_state = 2},
  [19951] = {.lex_state = 434, .external_lex_state = 2},
  [19952] = {.lex_state = 434, .external_lex_state = 2},
  [19953] = {.lex_state = 434, .external_lex_state = 2},
  [19954] = {.lex_state = 434, .external_lex_state = 2},
  [19955] = {.lex_state = 157, .external_lex_state = 2},
  [19956] = {.lex_state = 434, .external_lex_state = 2},
  [19957] = {.lex_state = 434, .external_lex_state = 2},
  [19958] = {.lex_state = 434, .external_lex_state = 2},
  [19959] = {.lex_state = 434, .external_lex_state = 2},
  [19960] = {.lex_state = 434, .external_lex_state = 2},
  [19961] = {.lex_state = 434, .external_lex_state = 2},
  [19962] = {.lex_state = 434, .external_lex_state = 2},
  [19963] = {.lex_state = 91, .external_lex_state = 2},
  [19964] = {.lex_state = 91, .external_lex_state = 2},
  [19965] = {.lex_state = 434, .external_lex_state = 2},
  [19966] = {.lex_state = 434, .external_lex_state = 2},
  [19967] = {.lex_state = 91, .external_lex_state = 2},
  [19968] = {.lex_state = 434, .external_lex_state = 2},
  [19969] = {.lex_state = 434, .external_lex_state = 2},
  [19970] = {.lex_state = 434, .external_lex_state = 2},
  [19971] = {.lex_state = 157, .external_lex_state = 2},
  [19972] = {.lex_state = 434, .external_lex_state = 2},
  [19973] = {.lex_state = 434, .external_lex_state = 2},
  [19974] = {.lex_state = 434, .external_lex_state = 2},
  [19975] = {.lex_state = 434, .external_lex_state = 2},
  [19976] = {.lex_state = 434, .external_lex_state = 2},
  [19977] = {.lex_state = 434, .external_lex_state = 2},
  [19978] = {.lex_state = 434, .external_lex_state = 2},
  [19979] = {.lex_state = 18, .external_lex_state = 2},
  [19980] = {.lex_state = 434, .external_lex_state = 2},
  [19981] = {.lex_state = 434, .external_lex_state = 2},
  [19982] = {.lex_state = 434, .external_lex_state = 2},
  [19983] = {.lex_state = 434, .external_lex_state = 2},
  [19984] = {.lex_state = 434, .external_lex_state = 2},
  [19985] = {.lex_state = 91, .external_lex_state = 2},
  [19986] = {.lex_state = 434, .external_lex_state = 2},
  [19987] = {.lex_state = 434, .external_lex_state = 2},
  [19988] = {.lex_state = 434, .external_lex_state = 2},
  [19989] = {.lex_state = 434, .external_lex_state = 2},
  [19990] = {.lex_state = 164, .external_lex_state = 2},
  [19991] = {.lex_state = 434, .external_lex_state = 3},
  [19992] = {.lex_state = 434, .external_lex_state = 2},
  [19993] = {.lex_state = 157, .external_lex_state = 2},
  [19994] = {.lex_state = 91, .external_lex_state = 2},
  [19995] = {.lex_state = 164, .external_lex_state = 2},
  [19996] = {.lex_state = 157, .external_lex_state = 2},
  [19997] = {.lex_state = 91, .external_lex_state = 2},
  [19998] = {.lex_state = 434, .external_lex_state = 2},
  [19999] = {.lex_state = 434, .external_lex_state = 2},
  [20000] = {.lex_state = 434, .external_lex_state = 2},
  [20001] = {.lex_state = 434, .external_lex_state = 2},
  [20002] = {.lex_state = 434, .external_lex_state = 2},
  [20003] = {.lex_state = 434, .external_lex_state = 2},
  [20004] = {.lex_state = 434, .external_lex_state = 2},
  [20005] = {.lex_state = 434, .external_lex_state = 2},
  [20006] = {.lex_state = 434, .external_lex_state = 2},
  [20007] = {.lex_state = 434, .external_lex_state = 2},
  [20008] = {.lex_state = 434, .external_lex_state = 2},
  [20009] = {.lex_state = 434, .external_lex_state = 2},
  [20010] = {.lex_state = 434, .external_lex_state = 2},
  [20011] = {.lex_state = 434, .external_lex_state = 2},
  [20012] = {.lex_state = 434, .external_lex_state = 2},
  [20013] = {.lex_state = 91, .external_lex_state = 2},
  [20014] = {.lex_state = 434, .external_lex_state = 2},
  [20015] = {.lex_state = 434, .external_lex_state = 2},
  [20016] = {.lex_state = 434, .external_lex_state = 2},
  [20017] = {.lex_state = 434, .external_lex_state = 2},
  [20018] = {.lex_state = 434, .external_lex_state = 2},
  [20019] = {.lex_state = 434, .external_lex_state = 2},
  [20020] = {.lex_state = 434, .external_lex_state = 2},
  [20021] = {.lex_state = 434, .external_lex_state = 2},
  [20022] = {.lex_state = 434, .external_lex_state = 2},
  [20023] = {.lex_state = 434, .external_lex_state = 2},
  [20024] = {.lex_state = 157, .external_lex_state = 2},
  [20025] = {.lex_state = 434, .external_lex_state = 2},
  [20026] = {.lex_state = 434, .external_lex_state = 2},
  [20027] = {.lex_state = 434, .external_lex_state = 2},
  [20028] = {.lex_state = 434, .external_lex_state = 2},
  [20029] = {.lex_state = 434, .external_lex_state = 2},
  [20030] = {.lex_state = 434, .external_lex_state = 2},
  [20031] = {.lex_state = 434, .external_lex_state = 2},
  [20032] = {.lex_state = 434, .external_lex_state = 2},
  [20033] = {.lex_state = 157, .external_lex_state = 2},
  [20034] = {.lex_state = 434, .external_lex_state = 2},
  [20035] = {.lex_state = 434, .external_lex_state = 2},
  [20036] = {.lex_state = 434, .external_lex_state = 2},
  [20037] = {.lex_state = 434, .external_lex_state = 2},
  [20038] = {.lex_state = 157, .external_lex_state = 2},
  [20039] = {.lex_state = 434, .external_lex_state = 2},
  [20040] = {.lex_state = 434, .external_lex_state = 2},
  [20041] = {.lex_state = 434, .external_lex_state = 2},
  [20042] = {.lex_state = 434, .external_lex_state = 2},
  [20043] = {.lex_state = 434, .external_lex_state = 2},
  [20044] = {.lex_state = 157, .external_lex_state = 2},
  [20045] = {.lex_state = 434, .external_lex_state = 2},
  [20046] = {.lex_state = 434, .external_lex_state = 2},
  [20047] = {.lex_state = 434, .external_lex_state = 2},
  [20048] = {.lex_state = 434, .external_lex_state = 2},
  [20049] = {.lex_state = 91, .external_lex_state = 2},
  [20050] = {.lex_state = 434, .external_lex_state = 2},
  [20051] = {.lex_state = 434, .external_lex_state = 2},
  [20052] = {.lex_state = 434, .external_lex_state = 2},
  [20053] = {.lex_state = 164, .external_lex_state = 2},
  [20054] = {.lex_state = 434, .external_lex_state = 2},
  [20055] = {.lex_state = 434, .external_lex_state = 2},
  [20056] = {.lex_state = 434, .external_lex_state = 2},
  [20057] = {.lex_state = 434, .external_lex_state = 2},
  [20058] = {.lex_state = 157, .external_lex_state = 2},
  [20059] = {.lex_state = 434, .external_lex_state = 2},
  [20060] = {.lex_state = 434, .external_lex_state = 2},
  [20061] = {.lex_state = 434, .external_lex_state = 2},
  [20062] = {.lex_state = 434, .external_lex_state = 2},
  [20063] = {.lex_state = 157, .external_lex_state = 2},
  [20064] = {.lex_state = 434, .external_lex_state = 2},
  [20065] = {.lex_state = 434, .external_lex_state = 2},
  [20066] = {.lex_state = 434, .external_lex_state = 2},
  [20067] = {.lex_state = 434, .external_lex_state = 2},
  [20068] = {.lex_state = 434, .external_lex_state = 2},
  [20069] = {.lex_state = 434, .external_lex_state = 2},
  [20070] = {.lex_state = 434, .external_lex_state = 2},
  [20071] = {.lex_state = 434, .external_lex_state = 2},
  [20072] = {.lex_state = 434, .external_lex_state = 2},
  [20073] = {.lex_state = 91, .external_lex_state = 2},
  [20074] = {.lex_state = 157, .external_lex_state = 2},
  [20075] = {.lex_state = 91, .external_lex_state = 2},
  [20076] = {.lex_state = 18, .external_lex_state = 2},
  [20077] = {.lex_state = 434, .external_lex_state = 2},
  [20078] = {.lex_state = 434, .external_lex_state = 2},
  [20079] = {.lex_state = 434, .external_lex_state = 2},
  [20080] = {.lex_state = 434, .external_lex_state = 2},
  [20081] = {.lex_state = 164, .external_lex_state = 2},
  [20082] = {.lex_state = 157, .external_lex_state = 2},
  [20083] = {.lex_state = 434, .external_lex_state = 2},
  [20084] = {.lex_state = 164, .external_lex_state = 2},
  [20085] = {.lex_state = 434, .external_lex_state = 2},
  [20086] = {.lex_state = 18, .external_lex_state = 2},
  [20087] = {.lex_state = 434, .external_lex_state = 2},
  [20088] = {.lex_state = 164, .external_lex_state = 2},
  [20089] = {.lex_state = 434, .external_lex_state = 2},
  [20090] = {.lex_state = 91, .external_lex_state = 2},
  [20091] = {.lex_state = 434, .external_lex_state = 2},
  [20092] = {.lex_state = 164, .external_lex_state = 2},
  [20093] = {.lex_state = 434, .external_lex_state = 2},
  [20094] = {.lex_state = 18, .external_lex_state = 2},
  [20095] = {.lex_state = 434, .external_lex_state = 2},
  [20096] = {.lex_state = 434, .external_lex_state = 2},
  [20097] = {.lex_state = 434, .external_lex_state = 2},
  [20098] = {.lex_state = 18, .external_lex_state = 2},
  [20099] = {.lex_state = 434, .external_lex_state = 2},
  [20100] = {.lex_state = 252, .external_lex_state = 2},
  [20101] = {.lex_state = 434, .external_lex_state = 2},
  [20102] = {.lex_state = 434, .external_lex_state = 2},
  [20103] = {.lex_state = 164, .external_lex_state = 2},
  [20104] = {.lex_state = 434, .external_lex_state = 2},
  [20105] = {.lex_state = 164, .external_lex_state = 2},
  [20106] = {.lex_state = 434, .external_lex_state = 2},
  [20107] = {.lex_state = 434, .external_lex_state = 2},
  [20108] = {.lex_state = 164, .external_lex_state = 2},
  [20109] = {.lex_state = 157, .external_lex_state = 2},
  [20110] = {.lex_state = 434, .external_lex_state = 2},
  [20111] = {.lex_state = 164, .external_lex_state = 2},
  [20112] = {.lex_state = 434, .external_lex_state = 2},
  [20113] = {.lex_state = 434, .external_lex_state = 2},
  [20114] = {.lex_state = 157, .external_lex_state = 2},
  [20115] = {.lex_state = 164, .external_lex_state = 2},
  [20116] = {.lex_state = 157, .external_lex_state = 2},
  [20117] = {.lex_state = 157, .external_lex_state = 2},
  [20118] = {.lex_state = 434, .external_lex_state = 2},
  [20119] = {.lex_state = 164, .external_lex_state = 2},
  [20120] = {.lex_state = 164, .external_lex_state = 2},
  [20121] = {.lex_state = 252, .external_lex_state = 2},
  [20122] = {.lex_state = 434, .external_lex_state = 2},
  [20123] = {.lex_state = 434, .external_lex_state = 2},
  [20124] = {.lex_state = 434, .external_lex_state = 2},
  [20125] = {.lex_state = 164, .external_lex_state = 2},
  [20126] = {.lex_state = 164, .external_lex_state = 2},
  [20127] = {.lex_state = 434, .external_lex_state = 2},
  [20128] = {.lex_state = 434, .external_lex_state = 2},
  [20129] = {.lex_state = 434, .external_lex_state = 2},
  [20130] = {.lex_state = 434, .external_lex_state = 2},
  [20131] = {.lex_state = 434, .external_lex_state = 2},
  [20132] = {.lex_state = 434, .external_lex_state = 2},
  [20133] = {.lex_state = 434, .external_lex_state = 2},
  [20134] = {.lex_state = 164, .external_lex_state = 2},
  [20135] = {.lex_state = 434, .external_lex_state = 2},
  [20136] = {.lex_state = 252, .external_lex_state = 2},
  [20137] = {.lex_state = 434, .external_lex_state = 2},
  [20138] = {.lex_state = 434, .external_lex_state = 2},
  [20139] = {.lex_state = 434, .external_lex_state = 2},
  [20140] = {.lex_state = 434, .external_lex_state = 2},
  [20141] = {.lex_state = 91, .external_lex_state = 2},
  [20142] = {.lex_state = 434, .external_lex_state = 2},
  [20143] = {.lex_state = 434, .external_lex_state = 2},
  [20144] = {.lex_state = 434, .external_lex_state = 2},
  [20145] = {.lex_state = 164, .external_lex_state = 2},
  [20146] = {.lex_state = 434, .external_lex_state = 2},
  [20147] = {.lex_state = 434, .external_lex_state = 2},
  [20148] = {.lex_state = 164, .external_lex_state = 2},
  [20149] = {.lex_state = 434, .external_lex_state = 2},
  [20150] = {.lex_state = 252, .external_lex_state = 2},
  [20151] = {.lex_state = 434, .external_lex_state = 2},
  [20152] = {.lex_state = 164, .external_lex_state = 2},
  [20153] = {.lex_state = 434, .external_lex_state = 2},
  [20154] = {.lex_state = 434, .external_lex_state = 2},
  [20155] = {.lex_state = 434, .external_lex_state = 2},
  [20156] = {.lex_state = 434, .external_lex_state = 2},
  [20157] = {.lex_state = 434, .external_lex_state = 2},
  [20158] = {.lex_state = 434, .external_lex_state = 2},
  [20159] = {.lex_state = 434, .external_lex_state = 2},
  [20160] = {.lex_state = 252, .external_lex_state = 2},
  [20161] = {.lex_state = 434, .external_lex_state = 2},
  [20162] = {.lex_state = 434, .external_lex_state = 2},
  [20163] = {.lex_state = 252, .external_lex_state = 2},
  [20164] = {.lex_state = 434, .external_lex_state = 2},
  [20165] = {.lex_state = 18, .external_lex_state = 2},
  [20166] = {.lex_state = 252, .external_lex_state = 2},
  [20167] = {.lex_state = 434, .external_lex_state = 2},
  [20168] = {.lex_state = 164, .external_lex_state = 2},
  [20169] = {.lex_state = 252, .external_lex_state = 2},
  [20170] = {.lex_state = 252, .external_lex_state = 2},
  [20171] = {.lex_state = 252, .external_lex_state = 2},
  [20172] = {.lex_state = 252, .external_lex_state = 2},
  [20173] = {.lex_state = 252, .external_lex_state = 2},
  [20174] = {.lex_state = 252, .external_lex_state = 2},
  [20175] = {.lex_state = 252, .external_lex_state = 2},
  [20176] = {.lex_state = 252, .external_lex_state = 2},
  [20177] = {.lex_state = 252, .external_lex_state = 2},
  [20178] = {.lex_state = 252, .external_lex_state = 2},
  [20179] = {.lex_state = 252, .external_lex_state = 2},
  [20180] = {.lex_state = 252, .external_lex_state = 2},
  [20181] = {.lex_state = 252, .external_lex_state = 2},
  [20182] = {.lex_state = 252, .external_lex_state = 2},
  [20183] = {.lex_state = 252, .external_lex_state = 2},
  [20184] = {.lex_state = 252, .external_lex_state = 2},
  [20185] = {.lex_state = 252, .external_lex_state = 2},
  [20186] = {.lex_state = 252, .external_lex_state = 2},
  [20187] = {.lex_state = 252, .external_lex_state = 2},
  [20188] = {.lex_state = 252, .external_lex_state = 2},
  [20189] = {.lex_state = 252, .external_lex_state = 2},
  [20190] = {.lex_state = 252, .external_lex_state = 2},
  [20191] = {.lex_state = 252, .external_lex_state = 2},
  [20192] = {.lex_state = 252, .external_lex_state = 2},
  [20193] = {.lex_state = 252, .external_lex_state = 2},
  [20194] = {.lex_state = 252, .external_lex_state = 2},
  [20195] = {.lex_state = 252, .external_lex_state = 2},
  [20196] = {.lex_state = 252, .external_lex_state = 2},
  [20197] = {.lex_state = 252, .external_lex_state = 2},
  [20198] = {.lex_state = 252, .external_lex_state = 2},
  [20199] = {.lex_state = 252, .external_lex_state = 2},
  [20200] = {.lex_state = 252, .external_lex_state = 2},
  [20201] = {.lex_state = 252, .external_lex_state = 2},
  [20202] = {.lex_state = 252, .external_lex_state = 2},
  [20203] = {.lex_state = 252, .external_lex_state = 2},
  [20204] = {.lex_state = 252, .external_lex_state = 2},
  [20205] = {.lex_state = 252, .external_lex_state = 2},
  [20206] = {.lex_state = 252, .external_lex_state = 2},
  [20207] = {.lex_state = 252, .external_lex_state = 2},
  [20208] = {.lex_state = 252, .external_lex_state = 2},
  [20209] = {.lex_state = 252, .external_lex_state = 2},
  [20210] = {.lex_state = 252, .external_lex_state = 2},
  [20211] = {.lex_state = 252, .external_lex_state = 2},
  [20212] = {.lex_state = 252, .external_lex_state = 2},
  [20213] = {.lex_state = 252, .external_lex_state = 2},
  [20214] = {.lex_state = 252, .external_lex_state = 2},
  [20215] = {.lex_state = 252, .external_lex_state = 2},
  [20216] = {.lex_state = 252, .external_lex_state = 2},
  [20217] = {.lex_state = 157, .external_lex_state = 2},
  [20218] = {.lex_state = 434, .external_lex_state = 2},
  [20219] = {.lex_state = 434, .external_lex_state = 2},
  [20220] = {.lex_state = 434, .external_lex_state = 2},
  [20221] = {.lex_state = 434, .external_lex_state = 2},
  [20222] = {.lex_state = 434, .external_lex_state = 2},
  [20223] = {.lex_state = 434, .external_lex_state = 2},
  [20224] = {.lex_state = 18, .external_lex_state = 2},
  [20225] = {.lex_state = 164, .external_lex_state = 2},
  [20226] = {.lex_state = 157, .external_lex_state = 2},
  [20227] = {.lex_state = 18, .external_lex_state = 2},
  [20228] = {.lex_state = 434, .external_lex_state = 2},
  [20229] = {.lex_state = 434, .external_lex_state = 2},
  [20230] = {.lex_state = 434, .external_lex_state = 2},
  [20231] = {.lex_state = 157, .external_lex_state = 2},
  [20232] = {.lex_state = 434, .external_lex_state = 2},
  [20233] = {.lex_state = 434, .external_lex_state = 2},
  [20234] = {.lex_state = 434, .external_lex_state = 2},
  [20235] = {.lex_state = 164, .external_lex_state = 2},
  [20236] = {.lex_state = 164, .external_lex_state = 2},
  [20237] = {.lex_state = 164, .external_lex_state = 2},
  [20238] = {.lex_state = 164, .external_lex_state = 2},
  [20239] = {.lex_state = 434, .external_lex_state = 2},
  [20240] = {.lex_state = 434, .external_lex_state = 2},
  [20241] = {.lex_state = 434, .external_lex_state = 2},
  [20242] = {.lex_state = 434, .external_lex_state = 2},
  [20243] = {.lex_state = 434, .external_lex_state = 2},
  [20244] = {.lex_state = 434, .external_lex_state = 2},
  [20245] = {.lex_state = 18, .external_lex_state = 2},
  [20246] = {.lex_state = 164, .external_lex_state = 2},
  [20247] = {.lex_state = 157, .external_lex_state = 2},
  [20248] = {.lex_state = 434, .external_lex_state = 2},
  [20249] = {.lex_state = 434, .external_lex_state = 2},
  [20250] = {.lex_state = 434, .external_lex_state = 2},
  [20251] = {.lex_state = 434, .external_lex_state = 2},
  [20252] = {.lex_state = 434, .external_lex_state = 2},
  [20253] = {.lex_state = 434, .external_lex_state = 2},
  [20254] = {.lex_state = 434, .external_lex_state = 2},
  [20255] = {.lex_state = 434, .external_lex_state = 2},
  [20256] = {.lex_state = 18, .external_lex_state = 2},
  [20257] = {.lex_state = 434, .external_lex_state = 2},
  [20258] = {.lex_state = 434, .external_lex_state = 2},
  [20259] = {.lex_state = 434, .external_lex_state = 2},
  [20260] = {.lex_state = 157, .external_lex_state = 2},
  [20261] = {.lex_state = 157, .external_lex_state = 2},
  [20262] = {.lex_state = 434, .external_lex_state = 2},
  [20263] = {.lex_state = 434, .external_lex_state = 2},
  [20264] = {.lex_state = 434, .external_lex_state = 2},
  [20265] = {.lex_state = 434, .external_lex_state = 3},
  [20266] = {.lex_state = 434, .external_lex_state = 2},
  [20267] = {.lex_state = 164, .external_lex_state = 2},
  [20268] = {.lex_state = 18, .external_lex_state = 2},
  [20269] = {.lex_state = 434, .external_lex_state = 2},
  [20270] = {.lex_state = 164, .external_lex_state = 2},
  [20271] = {.lex_state = 157, .external_lex_state = 2},
  [20272] = {.lex_state = 157, .external_lex_state = 2},
  [20273] = {.lex_state = 434, .external_lex_state = 3},
  [20274] = {.lex_state = 434, .external_lex_state = 2},
  [20275] = {.lex_state = 434, .external_lex_state = 2},
  [20276] = {.lex_state = 434, .external_lex_state = 2},
  [20277] = {.lex_state = 434, .external_lex_state = 2},
  [20278] = {.lex_state = 434, .external_lex_state = 2},
  [20279] = {.lex_state = 434, .external_lex_state = 2},
  [20280] = {.lex_state = 434, .external_lex_state = 2},
  [20281] = {.lex_state = 434, .external_lex_state = 2},
  [20282] = {.lex_state = 164, .external_lex_state = 2},
  [20283] = {.lex_state = 434, .external_lex_state = 2},
  [20284] = {.lex_state = 157, .external_lex_state = 2},
  [20285] = {.lex_state = 434, .external_lex_state = 2},
  [20286] = {.lex_state = 434, .external_lex_state = 2},
  [20287] = {.lex_state = 434, .external_lex_state = 2},
  [20288] = {.lex_state = 434, .external_lex_state = 2},
  [20289] = {.lex_state = 434, .external_lex_state = 2},
  [20290] = {.lex_state = 164, .external_lex_state = 2},
  [20291] = {.lex_state = 434, .external_lex_state = 2},
  [20292] = {.lex_state = 434, .external_lex_state = 3},
  [20293] = {.lex_state = 164, .external_lex_state = 2},
  [20294] = {.lex_state = 434, .external_lex_state = 2},
  [20295] = {.lex_state = 434, .external_lex_state = 2},
  [20296] = {.lex_state = 434, .external_lex_state = 2},
  [20297] = {.lex_state = 434, .external_lex_state = 2},
  [20298] = {.lex_state = 434, .external_lex_state = 2},
  [20299] = {.lex_state = 434, .external_lex_state = 2},
  [20300] = {.lex_state = 434, .external_lex_state = 2},
  [20301] = {.lex_state = 434, .external_lex_state = 2},
  [20302] = {.lex_state = 434, .external_lex_state = 2},
  [20303] = {.lex_state = 434, .external_lex_state = 2},
  [20304] = {.lex_state = 164, .external_lex_state = 2},
  [20305] = {.lex_state = 157, .external_lex_state = 2},
  [20306] = {.lex_state = 434, .external_lex_state = 2},
  [20307] = {.lex_state = 434, .external_lex_state = 2},
  [20308] = {.lex_state = 434, .external_lex_state = 2},
  [20309] = {.lex_state = 434, .external_lex_state = 2},
  [20310] = {.lex_state = 434, .external_lex_state = 2},
  [20311] = {.lex_state = 434, .external_lex_state = 2},
  [20312] = {.lex_state = 434, .external_lex_state = 2},
  [20313] = {.lex_state = 434, .external_lex_state = 2},
  [20314] = {.lex_state = 434, .external_lex_state = 2},
  [20315] = {.lex_state = 157, .external_lex_state = 2},
  [20316] = {.lex_state = 434, .external_lex_state = 2},
  [20317] = {.lex_state = 434, .external_lex_state = 2},
  [20318] = {.lex_state = 157, .external_lex_state = 2},
  [20319] = {.lex_state = 164, .external_lex_state = 2},
  [20320] = {.lex_state = 18, .external_lex_state = 2},
  [20321] = {.lex_state = 434, .external_lex_state = 2},
  [20322] = {.lex_state = 164, .external_lex_state = 2},
  [20323] = {.lex_state = 434, .external_lex_state = 2},
  [20324] = {.lex_state = 157, .external_lex_state = 2},
  [20325] = {.lex_state = 18, .external_lex_state = 2},
  [20326] = {.lex_state = 434, .external_lex_state = 2},
  [20327] = {.lex_state = 164, .external_lex_state = 2},
  [20328] = {.lex_state = 157, .external_lex_state = 2},
  [20329] = {.lex_state = 434, .external_lex_state = 3},
  [20330] = {.lex_state = 157, .external_lex_state = 2},
  [20331] = {.lex_state = 164, .external_lex_state = 2},
  [20332] = {.lex_state = 434, .external_lex_state = 2},
  [20333] = {.lex_state = 157, .external_lex_state = 2},
  [20334] = {.lex_state = 434, .external_lex_state = 2},
  [20335] = {.lex_state = 434, .external_lex_state = 2},
  [20336] = {.lex_state = 434, .external_lex_state = 2},
  [20337] = {.lex_state = 434, .external_lex_state = 2},
  [20338] = {.lex_state = 434, .external_lex_state = 2},
  [20339] = {.lex_state = 157, .external_lex_state = 2},
  [20340] = {.lex_state = 434, .external_lex_state = 2},
  [20341] = {.lex_state = 434, .external_lex_state = 2},
  [20342] = {.lex_state = 434, .external_lex_state = 2},
  [20343] = {.lex_state = 434, .external_lex_state = 2},
  [20344] = {.lex_state = 157, .external_lex_state = 2},
  [20345] = {.lex_state = 434, .external_lex_state = 3},
  [20346] = {.lex_state = 157, .external_lex_state = 2},
  [20347] = {.lex_state = 434, .external_lex_state = 2},
  [20348] = {.lex_state = 434, .external_lex_state = 2},
  [20349] = {.lex_state = 434, .external_lex_state = 2},
  [20350] = {.lex_state = 157, .external_lex_state = 2},
  [20351] = {(TSStateId)(-1)},
  [20352] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_attribute] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__lowercase_identifier] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_rec] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_COLON_GT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_external] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_nonrec] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_COLON2] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constraint] = ACTIONS(1),
    [anon_sym_exception] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_include] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_val] = ACTIONS(1),
    [anon_sym_sig] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_functor] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_method] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_fun] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACK_GT] = ACTIONS(1),
    [anon_sym_LBRACK_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACK] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_to] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_lazy] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_LBRACE_LT] = ACTIONS(1),
    [anon_sym_begin] = ACTIONS(1),
    [sym_ocamlyacc_value] = ACTIONS(1),
    [anon_sym_effect] = ACTIONS(1),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_number_token1] = ACTIONS(1),
    [aux_sym_signed_number_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_content_token2] = ACTIONS(1),
    [aux_sym_string_content_token4] = ACTIONS(1),
    [aux_sym_string_content_token5] = ACTIONS(1),
    [aux_sym_escape_sequence_token1] = ACTIONS(1),
    [aux_sym_escape_sequence_token2] = ACTIONS(1),
    [aux_sym_escape_sequence_token3] = ACTIONS(1),
    [aux_sym_escape_sequence_token4] = ACTIONS(1),
    [sym_pretty_printing_indication] = ACTIONS(1),
    [aux_sym_sign_operator_token1] = ACTIONS(1),
    [sym_hash_operator] = ACTIONS(1),
    [sym_concat_operator] = ACTIONS(1),
    [sym_and_operator] = ACTIONS(1),
    [sym_or_operator] = ACTIONS(1),
    [sym_assign_operator] = ACTIONS(1),
    [sym_let_operator] = ACTIONS(1),
    [sym_let_and_operator] = ACTIONS(1),
    [sym_match_operator] = ACTIONS(1),
    [sym__uppercase_identifier] = ACTIONS(1),
    [aux_sym_directive_token1] = ACTIONS(1),
    [aux_sym_type_variable_token1] = ACTIONS(1),
    [aux_sym_tag_token1] = ACTIONS(1),
    [aux_sym_attribute_id_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__left_quoted_string_delimiter] = ACTIONS(1),
    [sym__right_quoted_string_delimiter] = ACTIONS(1),
    [sym_line_number_directive] = ACTIONS(5),
    [sym__null] = ACTIONS(1),
    [sym__error_sentinel] = ACTIONS(1),
  },
  [1] = {
    [sym_type] = STATE(18295),
    [sym__simple_type] = STATE(11782),
    [sym__tuple_type] = STATE(12791),
    [sym__type] = STATE(15398),
    [sym_function_type] = STATE(8045),
    [sym_typed_label] = STATE(18020),
    [sym_tuple_type] = STATE(7716),
    [sym_constructed_type] = STATE(12461),
    [sym_aliased_type] = STATE(8045),
    [sym_local_open_type] = STATE(12461),
    [sym_polymorphic_variant_type] = STATE(12461),
    [sym_package_type] = STATE(12461),
    [sym_object_type] = STATE(12461),
    [sym_hash_type] = STATE(12461),
    [sym_parenthesized_type] = STATE(12461),
    [sym_attribute] = STATE(1),
    [sym_extension] = STATE(12461),
    [sym_quoted_extension] = STATE(12461),
    [sym_extended_module_path] = STATE(16860),
    [sym_type_constructor_path] = STATE(12461),
    [sym_type_variable] = STATE(12461),
    [sym__lowercase_identifier] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(13),
    [anon_sym_LBRACK_GT] = ACTIONS(15),
    [anon_sym_LBRACK_LT] = ACTIONS(17),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [sym__uppercase_identifier] = ACTIONS(29),
    [aux_sym_type_variable_token1] = ACTIONS(31),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(2),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(17800),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(3),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19678),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [4] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(4),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19181),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(131),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [5] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(5),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(17670),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(133),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [6] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(6),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19452),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(135),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [7] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(7),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19585),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(137),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [8] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(8),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19983),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(139),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [9] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(9),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18547),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(141),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [10] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(10),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18033),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(143),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [11] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(11),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19108),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(145),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [12] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(12),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(20006),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(147),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [13] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(13),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19984),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(149),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [14] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(14),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(20034),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [15] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(15),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(17694),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [16] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(16),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19344),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [17] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(17),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19814),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [18] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(18),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18340),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [19] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(19),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(17686),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [20] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(20),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18892),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [21] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(21),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(20313),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [22] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(22),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(17814),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [23] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(23),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18196),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [24] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(24),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18605),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [25] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(25),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19165),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(173),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [26] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(26),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19412),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [27] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(27),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19775),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(177),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [28] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(28),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(20230),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(179),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [29] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(29),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19043),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [30] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(30),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(17682),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(183),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [31] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(31),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19667),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(185),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [32] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(32),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(17566),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(187),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [33] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(33),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19302),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [34] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(34),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(17583),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(191),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [35] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(35),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19303),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(193),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [36] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(36),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(17774),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [37] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(37),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18049),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(197),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [38] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(38),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18479),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(199),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [39] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(39),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19358),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(201),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [40] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(40),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19719),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(203),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [41] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(41),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(20095),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(205),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [42] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(42),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19590),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(207),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [43] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(43),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(20004),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [44] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(44),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18042),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(211),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [45] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(45),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18734),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(213),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [46] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(46),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19516),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [47] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(47),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(17520),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(217),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [48] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(48),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(17718),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [49] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(49),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(17931),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(221),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [50] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(50),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18167),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(223),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [51] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(51),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18307),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [52] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(52),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18406),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [53] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(53),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18448),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [54] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(54),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18482),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [55] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(55),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18519),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(233),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [56] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(56),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18553),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [57] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(57),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18581),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(237),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [58] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(58),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18627),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [59] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(59),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18666),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(241),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [60] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(60),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18705),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [61] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(61),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18743),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [62] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(62),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18773),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(247),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [63] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(63),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18816),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(249),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [64] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(64),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18870),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(251),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [65] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(65),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18888),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(253),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [66] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(66),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18900),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(255),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [67] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(67),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18911),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(257),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [68] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(68),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18922),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(259),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [69] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(69),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18940),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(261),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [70] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(70),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18951),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(263),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [71] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(71),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18962),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(265),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [72] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(72),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18980),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [73] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(73),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(18991),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(269),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [74] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(74),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19003),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(271),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [75] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(75),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19009),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(273),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [76] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(76),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19015),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(275),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [77] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(77),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19021),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [78] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(78),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19027),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(279),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [79] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(79),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19033),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(281),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [80] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(80),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19039),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [81] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(81),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19045),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(285),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [82] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(82),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19051),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [83] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(83),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19057),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [84] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(84),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19063),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [85] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(85),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19069),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(293),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [86] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(86),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19076),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(295),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [87] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(87),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19080),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [88] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(88),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(19253),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(299),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [89] = {
    [sym__structure] = STATE(19660),
    [sym_expression_item] = STATE(8301),
    [sym_toplevel_directive] = STATE(8301),
    [sym__structure_item] = STATE(8301),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(89),
    [sym_floating_attribute] = STATE(12321),
    [sym_attribute_payload] = STATE(20078),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(103),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(301),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [90] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8084),
    [sym__sequence_expression] = STATE(7589),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(90),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__attribute] = STATE(751),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_SEMI_SEMI] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_and] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_external] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(309),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_RBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_SEMI] = ACTIONS(309),
    [anon_sym_exception] = ACTIONS(309),
    [anon_sym_module] = ACTIONS(309),
    [anon_sym_open] = ACTIONS(309),
    [anon_sym_include] = ACTIONS(309),
    [anon_sym_class] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(309),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(341),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(343),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_let_and_operator] = ACTIONS(305),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_directive_token1] = ACTIONS(305),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [91] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(8103),
    [sym__sequence_expression] = STATE(7589),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(91),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__attribute] = STATE(794),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_SEMI_SEMI] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_and] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_external] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(309),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_SEMI] = ACTIONS(309),
    [anon_sym_exception] = ACTIONS(309),
    [anon_sym_module] = ACTIONS(309),
    [anon_sym_open] = ACTIONS(309),
    [anon_sym_include] = ACTIONS(309),
    [anon_sym_class] = ACTIONS(309),
    [anon_sym_end] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_in] = ACTIONS(309),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(399),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_let_and_operator] = ACTIONS(305),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_directive_token1] = ACTIONS(305),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [92] = {
    [sym__structure] = STATE(17910),
    [sym_expression_item] = STATE(8315),
    [sym_toplevel_directive] = STATE(8315),
    [sym__structure_item] = STATE(8315),
    [sym_value_definition] = STATE(12328),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8783),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(92),
    [sym_floating_attribute] = STATE(12321),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_directive] = STATE(7669),
    [sym_tag] = STATE(4397),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_SEMI_SEMI] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_exception] = ACTIONS(431),
    [anon_sym_module] = ACTIONS(433),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(435),
    [anon_sym_end] = ACTIONS(437),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(461),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(463),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(473),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_directive_token1] = ACTIONS(479),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [93] = {
    [sym__structure] = STATE(19924),
    [sym_expression_item] = STATE(8315),
    [sym_toplevel_directive] = STATE(8315),
    [sym__structure_item] = STATE(8315),
    [sym_value_definition] = STATE(12328),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8783),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(93),
    [sym_floating_attribute] = STATE(12321),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_directive] = STATE(7669),
    [sym_tag] = STATE(4397),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_SEMI_SEMI] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_exception] = ACTIONS(431),
    [anon_sym_module] = ACTIONS(433),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(435),
    [anon_sym_end] = ACTIONS(483),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(461),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(463),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(473),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_directive_token1] = ACTIONS(479),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [94] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8187),
    [sym__sequence_expression] = STATE(7589),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(94),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__attribute] = STATE(907),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_SEMI_SEMI] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_and] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_external] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(309),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_SEMI] = ACTIONS(309),
    [anon_sym_exception] = ACTIONS(309),
    [anon_sym_module] = ACTIONS(309),
    [anon_sym_open] = ACTIONS(309),
    [anon_sym_include] = ACTIONS(309),
    [anon_sym_class] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_in] = ACTIONS(309),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(521),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_let_and_operator] = ACTIONS(305),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_directive_token1] = ACTIONS(305),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [95] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8203),
    [sym__sequence_expression] = STATE(7589),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(95),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__attribute] = STATE(919),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_SEMI_SEMI] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_and] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_external] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(309),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_SEMI] = ACTIONS(309),
    [anon_sym_exception] = ACTIONS(309),
    [anon_sym_module] = ACTIONS(309),
    [anon_sym_open] = ACTIONS(309),
    [anon_sym_include] = ACTIONS(309),
    [anon_sym_class] = ACTIONS(309),
    [anon_sym_end] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_in] = ACTIONS(309),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(571),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(573),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_let_and_operator] = ACTIONS(305),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_directive_token1] = ACTIONS(305),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [96] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8186),
    [sym__sequence_expression] = STATE(5277),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(96),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__attribute] = STATE(782),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_SEMI_SEMI] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_and] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_external] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(309),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_RBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_SEMI] = ACTIONS(309),
    [anon_sym_exception] = ACTIONS(309),
    [anon_sym_module] = ACTIONS(309),
    [anon_sym_open] = ACTIONS(309),
    [anon_sym_include] = ACTIONS(309),
    [anon_sym_class] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(623),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(625),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_let_and_operator] = ACTIONS(305),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_directive_token1] = ACTIONS(305),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [97] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8198),
    [sym__sequence_expression] = STATE(5277),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(97),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__attribute] = STATE(800),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_SEMI_SEMI] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_and] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_external] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(309),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_SEMI] = ACTIONS(309),
    [anon_sym_exception] = ACTIONS(309),
    [anon_sym_module] = ACTIONS(309),
    [anon_sym_open] = ACTIONS(309),
    [anon_sym_include] = ACTIONS(309),
    [anon_sym_class] = ACTIONS(309),
    [anon_sym_end] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(675),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(677),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_let_and_operator] = ACTIONS(305),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_directive_token1] = ACTIONS(305),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [98] = {
    [sym_expression_item] = STATE(12210),
    [sym_toplevel_directive] = STATE(12210),
    [sym__structure_item] = STATE(12210),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(98),
    [sym_floating_attribute] = STATE(12321),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(4974),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [99] = {
    [sym_expression_item] = STATE(8293),
    [sym_toplevel_directive] = STATE(8293),
    [sym__structure_item] = STATE(8293),
    [sym_value_definition] = STATE(12328),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8783),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(99),
    [sym_floating_attribute] = STATE(12321),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_directive] = STATE(7669),
    [sym_tag] = STATE(4397),
    [aux_sym__structure_repeat1] = STATE(5097),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_SEMI_SEMI] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_exception] = ACTIONS(431),
    [anon_sym_module] = ACTIONS(433),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(435),
    [anon_sym_end] = ACTIONS(695),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(461),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(463),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(473),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_directive_token1] = ACTIONS(479),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [100] = {
    [sym_expression_item] = STATE(12210),
    [sym_toplevel_directive] = STATE(12210),
    [sym__structure_item] = STATE(12210),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(100),
    [sym_floating_attribute] = STATE(12321),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(4974),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [101] = {
    [sym_expression_item] = STATE(12210),
    [sym_toplevel_directive] = STATE(12210),
    [sym__structure_item] = STATE(12210),
    [sym_value_definition] = STATE(12328),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8783),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(101),
    [sym_floating_attribute] = STATE(12321),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_directive] = STATE(7669),
    [sym_tag] = STATE(4397),
    [aux_sym__structure_repeat1] = STATE(5097),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_SEMI_SEMI] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_exception] = ACTIONS(431),
    [anon_sym_module] = ACTIONS(433),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(435),
    [anon_sym_end] = ACTIONS(699),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(461),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(463),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(473),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_directive_token1] = ACTIONS(479),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [102] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8300),
    [sym__sequence_expression] = STATE(5277),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(102),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__attribute] = STATE(918),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_SEMI_SEMI] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_and] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_external] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(309),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_RBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_SEMI] = ACTIONS(309),
    [anon_sym_exception] = ACTIONS(309),
    [anon_sym_module] = ACTIONS(309),
    [anon_sym_open] = ACTIONS(309),
    [anon_sym_include] = ACTIONS(309),
    [anon_sym_class] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(735),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(737),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_let_and_operator] = ACTIONS(305),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_directive_token1] = ACTIONS(305),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [103] = {
    [sym_expression_item] = STATE(8285),
    [sym_toplevel_directive] = STATE(8285),
    [sym__structure_item] = STATE(8285),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(103),
    [sym_floating_attribute] = STATE(12321),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(4974),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(753),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [104] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8286),
    [sym__sequence_expression] = STATE(5277),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(104),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__attribute] = STATE(757),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_SEMI_SEMI] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_and] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_external] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(309),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_SEMI] = ACTIONS(309),
    [anon_sym_exception] = ACTIONS(309),
    [anon_sym_module] = ACTIONS(309),
    [anon_sym_open] = ACTIONS(309),
    [anon_sym_include] = ACTIONS(309),
    [anon_sym_class] = ACTIONS(309),
    [anon_sym_end] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(789),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(791),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_let_and_operator] = ACTIONS(305),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_directive_token1] = ACTIONS(305),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [105] = {
    [sym_expression_item] = STATE(12210),
    [sym_toplevel_directive] = STATE(12210),
    [sym__structure_item] = STATE(12210),
    [sym_value_definition] = STATE(12328),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8783),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(105),
    [sym_floating_attribute] = STATE(12321),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_directive] = STATE(7669),
    [sym_tag] = STATE(4397),
    [aux_sym__structure_repeat1] = STATE(5097),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_SEMI_SEMI] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_exception] = ACTIONS(431),
    [anon_sym_module] = ACTIONS(433),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(435),
    [anon_sym_end] = ACTIONS(807),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(461),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(463),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(473),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_directive_token1] = ACTIONS(479),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [106] = {
    [sym_expression_item] = STATE(12210),
    [sym_toplevel_directive] = STATE(12210),
    [sym__structure_item] = STATE(12210),
    [sym_value_definition] = STATE(12328),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8783),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(106),
    [sym_floating_attribute] = STATE(12321),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_directive] = STATE(7669),
    [sym_tag] = STATE(4397),
    [aux_sym__structure_repeat1] = STATE(5097),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_SEMI_SEMI] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_exception] = ACTIONS(431),
    [anon_sym_module] = ACTIONS(433),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(435),
    [anon_sym_end] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(461),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(463),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(473),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_directive_token1] = ACTIONS(479),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [107] = {
    [sym_expression_item] = STATE(12210),
    [sym_toplevel_directive] = STATE(12210),
    [sym__structure_item] = STATE(12210),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(107),
    [sym_floating_attribute] = STATE(12321),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(4974),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(811),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [108] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8341),
    [sym__sequence_expression] = STATE(5277),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(108),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__attribute] = STATE(565),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_SEMI_SEMI] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_external] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(309),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(309),
    [anon_sym_exception] = ACTIONS(309),
    [anon_sym_module] = ACTIONS(309),
    [anon_sym_open] = ACTIONS(309),
    [anon_sym_include] = ACTIONS(309),
    [anon_sym_class] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(847),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(849),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_directive_token1] = ACTIONS(305),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [109] = {
    [sym_expression_item] = STATE(12210),
    [sym_toplevel_directive] = STATE(12210),
    [sym__structure_item] = STATE(12210),
    [sym_value_definition] = STATE(12328),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8783),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(109),
    [sym_floating_attribute] = STATE(12321),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_directive] = STATE(7669),
    [sym_tag] = STATE(4397),
    [aux_sym__structure_repeat1] = STATE(4974),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_exception] = ACTIONS(431),
    [anon_sym_module] = ACTIONS(433),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(435),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(461),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(463),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(473),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_directive_token1] = ACTIONS(479),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [110] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(5277),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(110),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__attribute] = STATE(684),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_SEMI_SEMI] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_external] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(309),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_SEMI] = ACTIONS(309),
    [anon_sym_exception] = ACTIONS(309),
    [anon_sym_module] = ACTIONS(309),
    [anon_sym_open] = ACTIONS(309),
    [anon_sym_include] = ACTIONS(309),
    [anon_sym_class] = ACTIONS(309),
    [anon_sym_end] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(899),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(901),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_directive_token1] = ACTIONS(305),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [111] = {
    [sym_expression_item] = STATE(12210),
    [sym_toplevel_directive] = STATE(12210),
    [sym__structure_item] = STATE(12210),
    [sym_value_definition] = STATE(12288),
    [sym_external] = STATE(12321),
    [sym_type_definition] = STATE(12321),
    [sym_exception_definition] = STATE(12321),
    [sym_module_definition] = STATE(12321),
    [sym_module_type_definition] = STATE(12321),
    [sym_open_module] = STATE(12321),
    [sym_include_module] = STATE(12321),
    [sym_class_definition] = STATE(12321),
    [sym_class_type_definition] = STATE(12321),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(11244),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(111),
    [sym_floating_attribute] = STATE(12321),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym_item_extension] = STATE(12321),
    [sym_quoted_item_extension] = STATE(12321),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_directive] = STATE(7720),
    [sym_tag] = STATE(4374),
    [aux_sym__structure_repeat1] = STATE(4974),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [112] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8532),
    [sym__sequence_expression] = STATE(5277),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(112),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__attribute] = STATE(906),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_SEMI_SEMI] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_external] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(309),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_SEMI] = ACTIONS(309),
    [anon_sym_exception] = ACTIONS(309),
    [anon_sym_module] = ACTIONS(309),
    [anon_sym_open] = ACTIONS(309),
    [anon_sym_include] = ACTIONS(309),
    [anon_sym_class] = ACTIONS(309),
    [anon_sym_end] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(461),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(463),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_directive_token1] = ACTIONS(305),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [113] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8458),
    [sym__sequence_expression] = STATE(5277),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(113),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__attribute] = STATE(759),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(309),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_SEMI] = ACTIONS(309),
    [anon_sym_exception] = ACTIONS(309),
    [anon_sym_module] = ACTIONS(309),
    [anon_sym_open] = ACTIONS(309),
    [anon_sym_include] = ACTIONS(309),
    [anon_sym_class] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(305),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [114] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9308),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(114),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__attribute] = STATE(761),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_constraint] = ACTIONS(309),
    [anon_sym_val] = ACTIONS(309),
    [anon_sym_end] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_inherit] = ACTIONS(309),
    [anon_sym_method] = ACTIONS(309),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_initializer] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(963),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(965),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [115] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9500),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(115),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__attribute] = STATE(697),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_constraint] = ACTIONS(309),
    [anon_sym_val] = ACTIONS(309),
    [anon_sym_end] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_inherit] = ACTIONS(309),
    [anon_sym_method] = ACTIONS(309),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_initializer] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(963),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(965),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [116] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9573),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(116),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__attribute] = STATE(875),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_constraint] = ACTIONS(309),
    [anon_sym_val] = ACTIONS(309),
    [anon_sym_end] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_inherit] = ACTIONS(309),
    [anon_sym_method] = ACTIONS(309),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_initializer] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1039),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [117] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9842),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(117),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__attribute] = STATE(816),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_constraint] = ACTIONS(309),
    [anon_sym_val] = ACTIONS(309),
    [anon_sym_end] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_inherit] = ACTIONS(309),
    [anon_sym_method] = ACTIONS(309),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_initializer] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1039),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [118] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(9971),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(118),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__attribute] = STATE(671),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_COLON_GT] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_RPAREN] = ACTIONS(305),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_RBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(309),
    [anon_sym_DASH_GT] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_RBRACE] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_GT_RBRACE] = ACTIONS(305),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [119] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10412),
    [sym__sequence_expression] = STATE(8531),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(119),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__attribute] = STATE(555),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_COLON_GT] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_RPAREN] = ACTIONS(305),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_RBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_COLON2] = ACTIONS(309),
    [anon_sym_DASH_GT] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_RBRACE] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_GT_RBRACE] = ACTIONS(305),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [120] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10319),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(120),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__attribute] = STATE(1110),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_COLON_GT] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_RPAREN] = ACTIONS(305),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_RBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_COLON2] = ACTIONS(309),
    [anon_sym_DASH_GT] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_RBRACE] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_GT_RBRACE] = ACTIONS(305),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [121] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10618),
    [sym__sequence_expression] = STATE(8531),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(121),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__attribute] = STATE(769),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_COLON_GT] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(305),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_COLON2] = ACTIONS(309),
    [anon_sym_DASH_GT] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_RBRACE] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_GT_RBRACE] = ACTIONS(305),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [122] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8271),
    [sym__sequence_expression] = STATE(7589),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(122),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__attribute] = STATE(1365),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_SEMI_SEMI] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_and] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_external] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_exception] = ACTIONS(309),
    [anon_sym_module] = ACTIONS(309),
    [anon_sym_open] = ACTIONS(309),
    [anon_sym_include] = ACTIONS(309),
    [anon_sym_class] = ACTIONS(309),
    [anon_sym_end] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_in] = ACTIONS(309),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(571),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(573),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_let_and_operator] = ACTIONS(305),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_directive_token1] = ACTIONS(305),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [123] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8308),
    [sym__sequence_expression] = STATE(7589),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(123),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__attribute] = STATE(1438),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_SEMI_SEMI] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_and] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_external] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_exception] = ACTIONS(309),
    [anon_sym_module] = ACTIONS(309),
    [anon_sym_open] = ACTIONS(309),
    [anon_sym_include] = ACTIONS(309),
    [anon_sym_class] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_in] = ACTIONS(309),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(521),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_let_and_operator] = ACTIONS(305),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_directive_token1] = ACTIONS(305),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [124] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10962),
    [sym__sequence_expression] = STATE(10253),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(124),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__attribute] = STATE(788),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_and] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_in] = ACTIONS(309),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_let_and_operator] = ACTIONS(305),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [125] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8393),
    [sym__sequence_expression] = STATE(5277),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(125),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__attribute] = STATE(1320),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_SEMI_SEMI] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_and] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_external] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_RBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_exception] = ACTIONS(309),
    [anon_sym_module] = ACTIONS(309),
    [anon_sym_open] = ACTIONS(309),
    [anon_sym_include] = ACTIONS(309),
    [anon_sym_class] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(735),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(737),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_let_and_operator] = ACTIONS(305),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_directive_token1] = ACTIONS(305),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [126] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8361),
    [sym__sequence_expression] = STATE(5277),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(126),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__attribute] = STATE(571),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_SEMI_SEMI] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_and] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_external] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_exception] = ACTIONS(309),
    [anon_sym_module] = ACTIONS(309),
    [anon_sym_open] = ACTIONS(309),
    [anon_sym_include] = ACTIONS(309),
    [anon_sym_class] = ACTIONS(309),
    [anon_sym_end] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(789),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(791),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_let_and_operator] = ACTIONS(305),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_directive_token1] = ACTIONS(305),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [127] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11273),
    [sym__sequence_expression] = STATE(8531),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(127),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__attribute] = STATE(776),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_and] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_in] = ACTIONS(309),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_let_and_operator] = ACTIONS(305),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [128] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(10253),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(128),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__attribute] = STATE(658),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_and] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_in] = ACTIONS(309),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_let_and_operator] = ACTIONS(305),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [129] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11576),
    [sym__sequence_expression] = STATE(8531),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(129),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__attribute] = STATE(917),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_and] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_in] = ACTIONS(309),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_let_and_operator] = ACTIONS(305),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [130] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11593),
    [sym__sequence_expression] = STATE(10253),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(130),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__attribute] = STATE(770),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_to] = ACTIONS(309),
    [anon_sym_downto] = ACTIONS(309),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [131] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14564),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(131),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18183),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1455),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1459),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1461),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1465),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1467),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1475),
    [sym_let_and_operator] = ACTIONS(1467),
    [sym_match_operator] = ACTIONS(1477),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [132] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14591),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(132),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18155),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1479),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1483),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1489),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1491),
    [sym_let_and_operator] = ACTIONS(1489),
    [sym_match_operator] = ACTIONS(1493),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [133] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14909),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(133),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(20167),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1495),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1497),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1499),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1503),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1505),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1507),
    [sym_let_and_operator] = ACTIONS(1505),
    [sym_match_operator] = ACTIONS(1509),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [134] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19816),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(134),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(20167),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1497),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1499),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1503),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1505),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1507),
    [sym_let_and_operator] = ACTIONS(1505),
    [sym_match_operator] = ACTIONS(1509),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [135] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14423),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(135),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(17744),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1515),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1517),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1519),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1521),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1523),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1525),
    [sym_let_and_operator] = ACTIONS(1523),
    [sym_match_operator] = ACTIONS(1527),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [136] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17860),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(136),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(17744),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1529),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1515),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1517),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1519),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1521),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1523),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1525),
    [sym_let_and_operator] = ACTIONS(1523),
    [sym_match_operator] = ACTIONS(1527),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [137] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14751),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(137),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(19387),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1541),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1543),
    [sym_let_and_operator] = ACTIONS(1541),
    [sym_match_operator] = ACTIONS(1545),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [138] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18565),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(138),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(19387),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1541),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1543),
    [sym_let_and_operator] = ACTIONS(1541),
    [sym_match_operator] = ACTIONS(1545),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [139] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14452),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(139),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(19837),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1551),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1553),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1555),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1557),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1559),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1561),
    [sym_let_and_operator] = ACTIONS(1559),
    [sym_match_operator] = ACTIONS(1563),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [140] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18135),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(140),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(19837),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1551),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1553),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1555),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1557),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1559),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1561),
    [sym_let_and_operator] = ACTIONS(1559),
    [sym_match_operator] = ACTIONS(1563),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [141] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14557),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(141),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(20349),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1571),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1575),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1577),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1579),
    [sym_let_and_operator] = ACTIONS(1577),
    [sym_match_operator] = ACTIONS(1581),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [142] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18360),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(142),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(20349),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1583),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1571),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1575),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1577),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1579),
    [sym_let_and_operator] = ACTIONS(1577),
    [sym_match_operator] = ACTIONS(1581),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [143] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14358),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(143),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(17835),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1589),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1591),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1593),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1595),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1597),
    [sym_let_and_operator] = ACTIONS(1595),
    [sym_match_operator] = ACTIONS(1599),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [144] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19582),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(144),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(17835),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1601),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1589),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1591),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1593),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1595),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1597),
    [sym_let_and_operator] = ACTIONS(1595),
    [sym_match_operator] = ACTIONS(1599),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [145] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14546),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(145),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18620),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1605),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1609),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1611),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1613),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1615),
    [sym_let_and_operator] = ACTIONS(1613),
    [sym_match_operator] = ACTIONS(1617),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [146] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20149),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(146),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18620),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1619),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1605),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1609),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1611),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1613),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1615),
    [sym_let_and_operator] = ACTIONS(1613),
    [sym_match_operator] = ACTIONS(1617),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [147] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14724),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(147),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(19429),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1621),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1623),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1627),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1629),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1631),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1633),
    [sym_let_and_operator] = ACTIONS(1631),
    [sym_match_operator] = ACTIONS(1635),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [148] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18814),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(148),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(19429),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1623),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1625),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1627),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1629),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1631),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1633),
    [sym_let_and_operator] = ACTIONS(1631),
    [sym_match_operator] = ACTIONS(1635),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [149] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(5277),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(149),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__attribute] = STATE(1082),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(309),
    [anon_sym_module] = ACTIONS(309),
    [anon_sym_open] = ACTIONS(309),
    [anon_sym_include] = ACTIONS(309),
    [anon_sym_class] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(305),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [150] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14912),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(150),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(19233),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1639),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1643),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1647),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1649),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1651),
    [sym_let_and_operator] = ACTIONS(1649),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [151] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18152),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(151),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(19233),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1655),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1643),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1647),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1649),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1651),
    [sym_let_and_operator] = ACTIONS(1649),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [152] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14343),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(152),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18263),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1657),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1663),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1665),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1667),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1669),
    [sym_let_and_operator] = ACTIONS(1667),
    [sym_match_operator] = ACTIONS(1671),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [153] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19333),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(153),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18263),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1663),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1665),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1667),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1669),
    [sym_let_and_operator] = ACTIONS(1667),
    [sym_match_operator] = ACTIONS(1671),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [154] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14418),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(154),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(17626),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1675),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1679),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1683),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1685),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1687),
    [sym_let_and_operator] = ACTIONS(1685),
    [sym_match_operator] = ACTIONS(1689),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [155] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17633),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(155),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(17626),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1691),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1679),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1683),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1685),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1687),
    [sym_let_and_operator] = ACTIONS(1685),
    [sym_match_operator] = ACTIONS(1689),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [156] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(11962),
    [sym__sequence_expression] = STATE(10253),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(156),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__attribute] = STATE(1466),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_to] = ACTIONS(309),
    [anon_sym_downto] = ACTIONS(309),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [157] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14495),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(157),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(19345),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1745),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1747),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1749),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1751),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1753),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1755),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1757),
    [sym_let_and_operator] = ACTIONS(1755),
    [sym_match_operator] = ACTIONS(1759),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [158] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17992),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(158),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(19345),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1761),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1747),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1749),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1751),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1753),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1755),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1757),
    [sym_let_and_operator] = ACTIONS(1755),
    [sym_match_operator] = ACTIONS(1759),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [159] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14553),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(159),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(17668),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1763),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1767),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1771),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1773),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1775),
    [sym_let_and_operator] = ACTIONS(1773),
    [sym_match_operator] = ACTIONS(1777),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [160] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18399),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(160),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(17668),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1779),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1767),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1771),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1773),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1775),
    [sym_let_and_operator] = ACTIONS(1773),
    [sym_match_operator] = ACTIONS(1777),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [161] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14622),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(161),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(19469),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1783),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1785),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1787),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1789),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1791),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1793),
    [sym_let_and_operator] = ACTIONS(1791),
    [sym_match_operator] = ACTIONS(1795),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [162] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18802),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(162),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(19469),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1797),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1783),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1785),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1787),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1789),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1791),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1793),
    [sym_let_and_operator] = ACTIONS(1791),
    [sym_match_operator] = ACTIONS(1795),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [163] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14696),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(163),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(17803),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1799),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1803),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1805),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1807),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1809),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1811),
    [sym_let_and_operator] = ACTIONS(1809),
    [sym_match_operator] = ACTIONS(1813),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [164] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19280),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(164),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(17803),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1815),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1803),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1805),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1807),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1809),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1811),
    [sym_let_and_operator] = ACTIONS(1809),
    [sym_match_operator] = ACTIONS(1813),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [165] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14768),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(165),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(19746),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1817),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1821),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1825),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1827),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1829),
    [sym_let_and_operator] = ACTIONS(1827),
    [sym_match_operator] = ACTIONS(1831),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [166] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19588),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(166),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(19746),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1833),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1821),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1825),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1827),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1829),
    [sym_let_and_operator] = ACTIONS(1827),
    [sym_match_operator] = ACTIONS(1831),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [167] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14850),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(167),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(20128),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1839),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1841),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1843),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1845),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1847),
    [sym_let_and_operator] = ACTIONS(1845),
    [sym_match_operator] = ACTIONS(1849),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [168] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19953),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(168),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(20128),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1851),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1839),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1841),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1843),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1845),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1847),
    [sym_let_and_operator] = ACTIONS(1845),
    [sym_match_operator] = ACTIONS(1849),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [169] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14918),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(169),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(17666),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1857),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1861),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1863),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1865),
    [sym_let_and_operator] = ACTIONS(1863),
    [sym_match_operator] = ACTIONS(1867),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [170] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17916),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(170),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(17666),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1857),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1861),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1863),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1865),
    [sym_let_and_operator] = ACTIONS(1863),
    [sym_match_operator] = ACTIONS(1867),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [171] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14494),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(171),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(20306),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1875),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1881),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1883),
    [sym_let_and_operator] = ACTIONS(1881),
    [sym_match_operator] = ACTIONS(1885),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [172] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19603),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(172),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(20306),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1887),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1875),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1879),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1881),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1883),
    [sym_let_and_operator] = ACTIONS(1881),
    [sym_match_operator] = ACTIONS(1885),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [173] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14565),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(173),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18070),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1889),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1893),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1895),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1897),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1899),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1901),
    [sym_let_and_operator] = ACTIONS(1899),
    [sym_match_operator] = ACTIONS(1903),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [174] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19714),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(174),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18070),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1893),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1895),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1897),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1899),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1901),
    [sym_let_and_operator] = ACTIONS(1899),
    [sym_match_operator] = ACTIONS(1903),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [175] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14410),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(175),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18813),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1913),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1915),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1917),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1919),
    [sym_let_and_operator] = ACTIONS(1917),
    [sym_match_operator] = ACTIONS(1921),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [176] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19053),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(176),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18813),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1913),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1915),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1917),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1919),
    [sym_let_and_operator] = ACTIONS(1917),
    [sym_match_operator] = ACTIONS(1921),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [177] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14635),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(177),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(19569),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1929),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1935),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1937),
    [sym_let_and_operator] = ACTIONS(1935),
    [sym_match_operator] = ACTIONS(1939),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [178] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18384),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(178),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(19569),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1941),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1929),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1935),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1937),
    [sym_let_and_operator] = ACTIONS(1935),
    [sym_match_operator] = ACTIONS(1939),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [179] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14300),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(179),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(17532),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1943),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1945),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1947),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1949),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1951),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1953),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1955),
    [sym_let_and_operator] = ACTIONS(1953),
    [sym_match_operator] = ACTIONS(1957),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [180] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19803),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(180),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(17532),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1959),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1945),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1947),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1949),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1951),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1953),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1955),
    [sym_let_and_operator] = ACTIONS(1953),
    [sym_match_operator] = ACTIONS(1957),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [181] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14401),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(181),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(17731),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1963),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1965),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1969),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1971),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1973),
    [sym_let_and_operator] = ACTIONS(1971),
    [sym_match_operator] = ACTIONS(1975),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [182] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18607),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(182),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(17731),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1963),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1965),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1969),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1971),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1973),
    [sym_let_and_operator] = ACTIONS(1971),
    [sym_match_operator] = ACTIONS(1975),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [183] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14483),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(183),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(17947),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1981),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1983),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1987),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1989),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1991),
    [sym_let_and_operator] = ACTIONS(1989),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [184] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18624),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(184),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(17947),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1981),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1983),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1987),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1989),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1991),
    [sym_let_and_operator] = ACTIONS(1989),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [185] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17602),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(185),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18183),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1459),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1461),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1465),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1467),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1475),
    [sym_let_and_operator] = ACTIONS(1467),
    [sym_match_operator] = ACTIONS(1477),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [186] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14632),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(186),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18319),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1999),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2003),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2005),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2007),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2009),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2011),
    [sym_let_and_operator] = ACTIONS(2009),
    [sym_match_operator] = ACTIONS(2013),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [187] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18140),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(187),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18319),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2003),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2005),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2007),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2009),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2011),
    [sym_let_and_operator] = ACTIONS(2009),
    [sym_match_operator] = ACTIONS(2013),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [188] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14708),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(188),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18412),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2023),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2025),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2027),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2029),
    [sym_let_and_operator] = ACTIONS(2027),
    [sym_match_operator] = ACTIONS(2031),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [189] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19223),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(189),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18412),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2033),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2023),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2025),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2027),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2029),
    [sym_let_and_operator] = ACTIONS(2027),
    [sym_match_operator] = ACTIONS(2031),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [190] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12030),
    [sym__sequence_expression] = STATE(10253),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(190),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__attribute] = STATE(765),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_done] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [191] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14951),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(191),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18454),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2087),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2095),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2097),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2099),
    [sym_let_and_operator] = ACTIONS(2097),
    [sym_match_operator] = ACTIONS(2101),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [192] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19640),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(192),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18454),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2103),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2095),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2097),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2099),
    [sym_let_and_operator] = ACTIONS(2097),
    [sym_match_operator] = ACTIONS(2101),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [193] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14331),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(193),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18487),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2107),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2113),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2115),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2117),
    [sym_let_and_operator] = ACTIONS(2115),
    [sym_match_operator] = ACTIONS(2119),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [194] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19975),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(194),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18487),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2107),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2113),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2115),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2117),
    [sym_let_and_operator] = ACTIONS(2115),
    [sym_match_operator] = ACTIONS(2119),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [195] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14451),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(195),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18522),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2125),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2131),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2133),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2135),
    [sym_let_and_operator] = ACTIONS(2133),
    [sym_match_operator] = ACTIONS(2137),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [196] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19075),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(196),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18522),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2139),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2125),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2131),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2133),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2135),
    [sym_let_and_operator] = ACTIONS(2133),
    [sym_match_operator] = ACTIONS(2137),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [197] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14739),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(197),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18560),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2143),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2145),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2147),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2149),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2151),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2153),
    [sym_let_and_operator] = ACTIONS(2151),
    [sym_match_operator] = ACTIONS(2155),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [198] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19059),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(198),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18560),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2157),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2143),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2145),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2147),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2149),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2151),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2153),
    [sym_let_and_operator] = ACTIONS(2151),
    [sym_match_operator] = ACTIONS(2155),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [199] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8783),
    [sym__sequence_expression] = STATE(5277),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(199),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__attribute] = STATE(1338),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_SEMI_SEMI] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_external] = ACTIONS(309),
    [anon_sym_type] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_exception] = ACTIONS(309),
    [anon_sym_module] = ACTIONS(309),
    [anon_sym_open] = ACTIONS(309),
    [anon_sym_include] = ACTIONS(309),
    [anon_sym_class] = ACTIONS(309),
    [anon_sym_end] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(461),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(463),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_directive_token1] = ACTIONS(305),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [200] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14420),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(200),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18590),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2159),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2161),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2163),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2167),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2169),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2171),
    [sym_let_and_operator] = ACTIONS(2169),
    [sym_match_operator] = ACTIONS(2173),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [201] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17792),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(201),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18590),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2175),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2161),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2163),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2167),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2169),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2171),
    [sym_let_and_operator] = ACTIONS(2169),
    [sym_match_operator] = ACTIONS(2173),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [202] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14583),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(202),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18637),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2179),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2181),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2187),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2189),
    [sym_let_and_operator] = ACTIONS(2187),
    [sym_match_operator] = ACTIONS(2191),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [203] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18506),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(203),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18637),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2179),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2181),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2187),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2189),
    [sym_let_and_operator] = ACTIONS(2187),
    [sym_match_operator] = ACTIONS(2191),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [204] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14823),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(204),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18677),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2203),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2205),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2207),
    [sym_let_and_operator] = ACTIONS(2205),
    [sym_match_operator] = ACTIONS(2209),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [205] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19190),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(205),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18677),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2211),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2203),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2205),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2207),
    [sym_let_and_operator] = ACTIONS(2205),
    [sym_match_operator] = ACTIONS(2209),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [206] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14873),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(206),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18090),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2217),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2219),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2223),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2225),
    [sym_let_and_operator] = ACTIONS(2223),
    [sym_match_operator] = ACTIONS(2227),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [207] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14380),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(207),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18714),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2231),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2233),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2237),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2239),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2241),
    [sym_let_and_operator] = ACTIONS(2239),
    [sym_match_operator] = ACTIONS(2243),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [208] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20274),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(208),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18714),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2231),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2233),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2237),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2239),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2241),
    [sym_let_and_operator] = ACTIONS(2239),
    [sym_match_operator] = ACTIONS(2243),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [209] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14492),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(209),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18752),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2247),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2255),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2257),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2259),
    [sym_let_and_operator] = ACTIONS(2257),
    [sym_match_operator] = ACTIONS(2261),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [210] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17662),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(210),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18752),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2251),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2255),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2257),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2259),
    [sym_let_and_operator] = ACTIONS(2257),
    [sym_match_operator] = ACTIONS(2261),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [211] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14548),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(211),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18783),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2267),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2269),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2271),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2273),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2275),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2277),
    [sym_let_and_operator] = ACTIONS(2275),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [212] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17875),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(212),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18783),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2281),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2267),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2269),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2271),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2273),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2275),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2277),
    [sym_let_and_operator] = ACTIONS(2275),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [213] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14633),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(213),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18827),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2283),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2285),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2291),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2293),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2295),
    [sym_let_and_operator] = ACTIONS(2293),
    [sym_match_operator] = ACTIONS(2297),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [214] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18103),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(214),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18827),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2299),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2285),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2291),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2293),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2295),
    [sym_let_and_operator] = ACTIONS(2293),
    [sym_match_operator] = ACTIONS(2297),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [215] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19192),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(215),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18155),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2301),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1483),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(1489),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(1491),
    [sym_let_and_operator] = ACTIONS(1489),
    [sym_match_operator] = ACTIONS(1493),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [216] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19596),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(216),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18090),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2303),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2217),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2219),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2223),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2225),
    [sym_let_and_operator] = ACTIONS(2223),
    [sym_match_operator] = ACTIONS(2227),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [217] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11905),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(217),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__attribute] = STATE(709),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_then] = ACTIONS(309),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [218] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11947),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(218),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__attribute] = STATE(722),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [219] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11767),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(219),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__attribute] = STATE(734),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_with] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [220] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11942),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(220),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__attribute] = STATE(747),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_end] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [221] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14751),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(221),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18381),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2513),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2517),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2519),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2521),
    [sym_let_and_operator] = ACTIONS(2519),
    [sym_match_operator] = ACTIONS(2523),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [222] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18565),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(222),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18381),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(1535),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(1537),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2517),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2519),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2521),
    [sym_let_and_operator] = ACTIONS(2519),
    [sym_match_operator] = ACTIONS(2523),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [223] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(14533),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(223),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18430),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2525),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2527),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2529),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2531),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2533),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2535),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2537),
    [sym_let_and_operator] = ACTIONS(2535),
    [sym_match_operator] = ACTIONS(2539),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [224] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11997),
    [sym__sequence_expression] = STATE(8531),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(224),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__attribute] = STATE(589),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_PIPE_RBRACK] = ACTIONS(305),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [225] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19109),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(225),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__infix_operator] = STATE(18430),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(2527),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_module] = ACTIONS(2529),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(2531),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(2533),
    [aux_sym_sign_operator_token1] = ACTIONS(1463),
    [sym_hash_operator] = ACTIONS(2535),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2537),
    [sym_let_and_operator] = ACTIONS(2535),
    [sym_match_operator] = ACTIONS(2539),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [226] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12159),
    [sym__sequence_expression] = STATE(8531),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(226),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__attribute] = STATE(616),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [227] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12069),
    [sym__sequence_expression] = STATE(8531),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(227),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__attribute] = STATE(602),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_then] = ACTIONS(309),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [228] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12209),
    [sym__sequence_expression] = STATE(8531),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(228),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__attribute] = STATE(630),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_with] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [229] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12280),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(229),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(868),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_then] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [230] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12263),
    [sym__sequence_expression] = STATE(8531),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(230),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__attribute] = STATE(644),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_end] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_else] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [231] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(231),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__attribute] = STATE(870),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [232] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12071),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(232),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(872),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_with] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [233] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12163),
    [sym__sequence_expression] = STATE(8145),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(233),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(874),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_end] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [234] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12187),
    [sym__sequence_expression] = STATE(8531),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(234),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__attribute] = STATE(866),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(305),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [235] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12062),
    [sym__sequence_expression] = STATE(10253),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(235),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__attribute] = STATE(1414),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_PIPE] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_done] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [236] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(8531),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(236),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(808),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_end] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [237] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12601),
    [sym__sequence_expression] = STATE(8531),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(237),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__attribute] = STATE(789),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [238] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12623),
    [sym__sequence_expression] = STATE(8531),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(238),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(778),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_then] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [239] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12488),
    [sym__sequence_expression] = STATE(8531),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(239),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(799),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_COMMA] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_SEMI] = ACTIONS(305),
    [anon_sym_with] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(309),
    [sym_mult_operator] = ACTIONS(309),
    [aux_sym_add_operator_token1] = ACTIONS(309),
    [sym_concat_operator] = ACTIONS(305),
    [sym_rel_operator] = ACTIONS(309),
    [sym_and_operator] = ACTIONS(309),
    [sym_or_operator] = ACTIONS(309),
    [sym_assign_operator] = ACTIONS(305),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [240] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(5277),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(240),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__attribute] = STATE(1385),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_constraint] = ACTIONS(309),
    [anon_sym_val] = ACTIONS(309),
    [anon_sym_end] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_inherit] = ACTIONS(309),
    [anon_sym_method] = ACTIONS(309),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_initializer] = ACTIONS(309),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(309),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1039),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(305),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [241] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(5277),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(241),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__attribute] = STATE(758),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_COLON_GT] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_COLON2] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_RBRACE] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [242] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11599),
    [sym__sequence_expression] = STATE(8531),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(242),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__attribute] = STATE(876),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_and] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_in] = ACTIONS(309),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(305),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_let_and_operator] = ACTIONS(305),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [243] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12379),
    [sym__sequence_expression] = STATE(7589),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(243),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__attribute] = STATE(819),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_to] = ACTIONS(309),
    [anon_sym_downto] = ACTIONS(309),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [244] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19175),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(244),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(922),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2943),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [245] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18255),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(245),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1057),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2945),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [246] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(20260),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(246),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(954),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [247] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17537),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(247),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1130),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2949),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [248] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18153),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(248),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1243),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2951),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [249] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(20333),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(249),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(978),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2953),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [250] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17853),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(250),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1014),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2955),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [251] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18933),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(251),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1251),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2957),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [252] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17832),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(252),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1022),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2959),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [253] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17805),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(253),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1139),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2961),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [254] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18664),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(254),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1066),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2963),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [255] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19731),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(255),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1259),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2965),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [256] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(5277),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(256),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(847),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_then] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [257] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(20117),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(257),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(885),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [258] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19439),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(258),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(996),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [259] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17567),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(259),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1267),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2971),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [260] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19506),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(260),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1148),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2973),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [261] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19794),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(261),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1209),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2975),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [262] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17767),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(262),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1275),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2977),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [263] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19195),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(263),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1075),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2979),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [264] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(20324),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(264),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1157),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2981),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [265] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17978),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(265),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1283),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2983),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [266] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18973),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(266),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1030),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2985),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [267] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18944),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(267),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1310),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2987),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [268] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19049),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(268),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1193),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [269] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12570),
    [sym__sequence_expression] = STATE(18215),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(19904),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(269),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__attribute] = STATE(1073),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DASH_GT] = ACTIONS(305),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [270] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17673),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(270),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1112),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2991),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [271] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(5277),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(271),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1191),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [272] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17868),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(272),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1048),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2993),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [273] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(20247),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(273),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1218),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2995),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [274] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(20271),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(274),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1103),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2997),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [275] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19458),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(275),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1085),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [276] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12451),
    [sym__sequence_expression] = STATE(5277),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(276),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__attribute] = STATE(859),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_do] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [277] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19941),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(277),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1175),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(3001),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [278] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19357),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(278),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(966),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(3003),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [279] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17999),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(279),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1227),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(3005),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [280] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12475),
    [sym__sequence_expression] = STATE(7589),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(280),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__attribute] = STATE(1004),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_done] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [281] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19874),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(281),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1005),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(3007),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [282] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19175),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(282),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(922),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(3009),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [283] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18194),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(283),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1121),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(3011),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [284] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17903),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(284),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1184),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(3013),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [285] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17848),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(285),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(987),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [286] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19831),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(286),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1094),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(3017),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [287] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18236),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(287),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(939),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(3019),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [288] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19459),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(288),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1201),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(3021),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [289] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(5277),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(289),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(936),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_with] = ACTIONS(309),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [290] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17519),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(290),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1235),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(3023),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [291] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17507),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(291),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1039),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(3025),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [292] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17961),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(292),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__attribute] = STATE(1166),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_end] = ACTIONS(3027),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [293] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18367),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(293),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1436),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [294] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12062),
    [sym__sequence_expression] = STATE(10317),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_refutation_case] = STATE(10317),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(294),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [295] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11947),
    [sym__sequence_expression] = STATE(8137),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8137),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(295),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [296] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12187),
    [sym__sequence_expression] = STATE(12172),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_refutation_case] = STATE(12172),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(296),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [297] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10319),
    [sym__sequence_expression] = STATE(8010),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8010),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(297),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [298] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(9971),
    [sym__sequence_expression] = STATE(8010),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8010),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(298),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [299] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8084),
    [sym__sequence_expression] = STATE(8132),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8132),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(299),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [300] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8532),
    [sym__sequence_expression] = STATE(8132),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8132),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(300),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [301] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8084),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8116),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(301),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [302] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11767),
    [sym__sequence_expression] = STATE(8137),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8137),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(302),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [303] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8532),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8116),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(303),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [304] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12163),
    [sym__sequence_expression] = STATE(8137),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8137),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(304),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [305] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12163),
    [sym__sequence_expression] = STATE(8010),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8010),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(305),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [306] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11942),
    [sym__sequence_expression] = STATE(8137),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8137),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(306),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [307] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8203),
    [sym__sequence_expression] = STATE(8132),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8132),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(307),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [308] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(11962),
    [sym__sequence_expression] = STATE(10317),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_refutation_case] = STATE(10317),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(308),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [309] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11905),
    [sym__sequence_expression] = STATE(8010),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8010),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(309),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [310] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8286),
    [sym__sequence_expression] = STATE(8132),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8132),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(310),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [311] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12062),
    [sym__sequence_expression] = STATE(10382),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_refutation_case] = STATE(10382),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(311),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [312] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9308),
    [sym__sequence_expression] = STATE(8137),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8137),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(312),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [313] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8286),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8116),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(313),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [314] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8203),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8116),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(314),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [315] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11593),
    [sym__sequence_expression] = STATE(10382),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_refutation_case] = STATE(10382),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(315),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [316] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12030),
    [sym__sequence_expression] = STATE(10317),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_refutation_case] = STATE(10317),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(316),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [317] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11997),
    [sym__sequence_expression] = STATE(12172),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_refutation_case] = STATE(12172),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(317),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [318] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(20344),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(318),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(858),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [319] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12030),
    [sym__sequence_expression] = STATE(10382),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_refutation_case] = STATE(10382),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(319),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [320] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11593),
    [sym__sequence_expression] = STATE(10317),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_refutation_case] = STATE(10317),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(320),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [321] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8458),
    [sym__sequence_expression] = STATE(8132),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8132),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(321),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [322] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(10317),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_refutation_case] = STATE(10317),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(322),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [323] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11947),
    [sym__sequence_expression] = STATE(8010),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8010),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(323),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [324] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8186),
    [sym__sequence_expression] = STATE(8132),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8132),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(324),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [325] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10962),
    [sym__sequence_expression] = STATE(10317),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_refutation_case] = STATE(10317),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(325),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [326] = {
    [sym__simple_expression] = STATE(3159),
    [sym_typed_expression] = STATE(3151),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_labeled_argument] = STATE(4151),
    [sym_prefix_expression] = STATE(3151),
    [sym_hash_expression] = STATE(3151),
    [sym_field_get_expression] = STATE(3151),
    [sym_array_get_expression] = STATE(3151),
    [sym_string_get_expression] = STATE(3151),
    [sym_bigarray_get_expression] = STATE(3151),
    [sym_coercion_expression] = STATE(3151),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(326),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [aux_sym_class_application_repeat1] = STATE(1585),
    [sym__lowercase_identifier] = ACTIONS(3065),
    [anon_sym_SEMI_SEMI] = ACTIONS(3067),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_and] = ACTIONS(3069),
    [anon_sym_TILDE] = ACTIONS(3071),
    [anon_sym_QMARK] = ACTIONS(3071),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_external] = ACTIONS(3069),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_DOT] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_SEMI] = ACTIONS(3069),
    [anon_sym_exception] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_open] = ACTIONS(3069),
    [anon_sym_include] = ACTIONS(3069),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_end] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_in] = ACTIONS(3069),
    [anon_sym_POUND] = ACTIONS(3075),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3069),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3067),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(399),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(3077),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym_let_operator] = ACTIONS(3067),
    [sym_let_and_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_directive_token1] = ACTIONS(3069),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [327] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8186),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8116),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(327),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [328] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12071),
    [sym__sequence_expression] = STATE(8137),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8137),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(328),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [329] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17424),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(329),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(846),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [330] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12071),
    [sym__sequence_expression] = STATE(8010),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8010),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(330),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [331] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9573),
    [sym__sequence_expression] = STATE(8137),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8137),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(331),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [332] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(9971),
    [sym__sequence_expression] = STATE(8137),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8137),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(332),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [333] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11767),
    [sym__sequence_expression] = STATE(8010),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8010),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(333),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [334] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(8103),
    [sym__sequence_expression] = STATE(8132),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8132),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(334),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [335] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(8103),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8116),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(335),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [336] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10319),
    [sym__sequence_expression] = STATE(8137),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8137),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(336),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [337] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9573),
    [sym__sequence_expression] = STATE(8010),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8010),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(337),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [338] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12280),
    [sym__sequence_expression] = STATE(8137),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8137),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(338),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [339] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12280),
    [sym__sequence_expression] = STATE(8010),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8010),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(339),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [340] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8187),
    [sym__sequence_expression] = STATE(8132),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8132),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(340),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [341] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8187),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8116),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(341),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [342] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(11962),
    [sym__sequence_expression] = STATE(10382),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_refutation_case] = STATE(10382),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(342),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [343] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(8132),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8132),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(343),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [344] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8116),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(344),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [345] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11997),
    [sym__sequence_expression] = STATE(12287),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_refutation_case] = STATE(12287),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(345),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [346] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8458),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8116),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(346),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [347] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11942),
    [sym__sequence_expression] = STATE(8010),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8010),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(347),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [348] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8198),
    [sym__sequence_expression] = STATE(8132),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8132),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(348),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [349] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8198),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8116),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(349),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [350] = {
    [sym__simple_expression] = STATE(3087),
    [sym_typed_expression] = STATE(3021),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_labeled_argument] = STATE(4129),
    [sym_prefix_expression] = STATE(3021),
    [sym_hash_expression] = STATE(3021),
    [sym_field_get_expression] = STATE(3021),
    [sym_array_get_expression] = STATE(3021),
    [sym_string_get_expression] = STATE(3021),
    [sym_bigarray_get_expression] = STATE(3021),
    [sym_coercion_expression] = STATE(3021),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(350),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [aux_sym_class_application_repeat1] = STATE(1736),
    [sym__lowercase_identifier] = ACTIONS(3099),
    [anon_sym_SEMI_SEMI] = ACTIONS(3067),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_and] = ACTIONS(3069),
    [anon_sym_TILDE] = ACTIONS(3101),
    [anon_sym_QMARK] = ACTIONS(3101),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_external] = ACTIONS(3069),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_RBRACK] = ACTIONS(3067),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_DOT] = ACTIONS(3103),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_SEMI] = ACTIONS(3069),
    [anon_sym_exception] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_open] = ACTIONS(3069),
    [anon_sym_include] = ACTIONS(3069),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(3069),
    [anon_sym_POUND] = ACTIONS(3105),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_else] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3069),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3067),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(341),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(343),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(3107),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym_let_operator] = ACTIONS(3067),
    [sym_let_and_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_directive_token1] = ACTIONS(3069),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [351] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10962),
    [sym__sequence_expression] = STATE(10382),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_refutation_case] = STATE(10382),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(351),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [352] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12451),
    [sym__sequence_expression] = STATE(17431),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(352),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__attribute] = STATE(852),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [353] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17635),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(353),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1225),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [354] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8300),
    [sym__sequence_expression] = STATE(8132),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8132),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(354),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [355] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(8137),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8137),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(355),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [356] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(8010),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8010),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(356),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [357] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8341),
    [sym__sequence_expression] = STATE(8132),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8132),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(357),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [358] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8341),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8116),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(358),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [359] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(10382),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_refutation_case] = STATE(10382),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(359),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [360] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11905),
    [sym__sequence_expression] = STATE(8137),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8137),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(360),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [361] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9308),
    [sym__sequence_expression] = STATE(8010),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_refutation_case] = STATE(8010),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(361),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [362] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16545),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(362),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(883),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [363] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12451),
    [sym__sequence_expression] = STATE(16557),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(363),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__attribute] = STATE(884),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [364] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17337),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(364),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(920),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [365] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12451),
    [sym__sequence_expression] = STATE(16435),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(365),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__attribute] = STATE(921),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [366] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16434),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(366),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(937),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [367] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12451),
    [sym__sequence_expression] = STATE(16892),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(367),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__attribute] = STATE(938),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [368] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16890),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(368),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(953),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [369] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17425),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(369),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(965),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [370] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16423),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(370),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(977),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [371] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17452),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(371),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(995),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [372] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16780),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(372),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1021),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [373] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17263),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(373),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1029),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [374] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17355),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(374),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1038),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [375] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16413),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(375),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1047),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [376] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16486),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(376),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1056),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [377] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16579),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(377),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1065),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [378] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16687),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(378),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1074),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [379] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16909),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(379),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1093),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [380] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17027),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(380),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1102),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [381] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17197),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(381),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1111),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [382] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8300),
    [sym__sequence_expression] = STATE(8116),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_refutation_case] = STATE(8116),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(382),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [383] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17268),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(383),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1120),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [384] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17348),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(384),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1129),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [385] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17426),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(385),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1138),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [386] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16420),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(386),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1174),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [387] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16857),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(387),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1183),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [388] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16464),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(388),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1208),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [389] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16761),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(389),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1217),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [390] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17269),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(390),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1226),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [391] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17352),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(391),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1234),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [392] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17354),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(392),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1242),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [393] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17441),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(393),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1250),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [394] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16384),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(394),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1258),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [395] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16436),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(395),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1266),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [396] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16478),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(396),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1274),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [397] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16515),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(397),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1290),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [398] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17367),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(398),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1291),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [399] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17192),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(399),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(986),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [400] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(400),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1294),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [401] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19188),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(401),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1295),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [402] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17386),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(402),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1498),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [403] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19993),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(403),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1301),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [404] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19996),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(404),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1302),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [405] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16397),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(405),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1013),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [406] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18404),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(406),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1306),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [407] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18575),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(407),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1307),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [408] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16445),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(408),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1147),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [409] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19411),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(409),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1312),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [410] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19535),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(410),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1313),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [411] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16488),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(411),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1156),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [412] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17819),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(412),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1318),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [413] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17834),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(413),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1319),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [414] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16528),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(414),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1165),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [415] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18297),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(415),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1324),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [416] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18301),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(416),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1325),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [417] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16563),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(417),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1192),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [418] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18663),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(418),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1330),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [419] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18682),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(419),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1331),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [420] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16589),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(420),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1200),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [421] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19014),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(421),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1336),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [422] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19023),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(422),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1337),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [423] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16614),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(423),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1282),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [424] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19282),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(424),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1340),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [425] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19297),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(425),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1341),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [426] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16635),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(426),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1296),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [427] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19662),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(427),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1345),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [428] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19679),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(428),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1346),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [429] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16662),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(429),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1297),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [430] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(20044),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(430),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1349),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [431] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(20074),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(431),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1350),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [432] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17476),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(432),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1353),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [433] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17477),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(433),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1354),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [434] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17542),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(434),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1358),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [435] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17543),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(435),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1359),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [436] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17597),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(436),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1363),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [437] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17598),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(437),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1364),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [438] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17651),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(438),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1368),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [439] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17652),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(439),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1369),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [440] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17706),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(440),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1373),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [441] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17707),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(441),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1374),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [442] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17761),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(442),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1378),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [443] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17762),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(443),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1379),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [444] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17816),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(444),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1383),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [445] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17817),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(445),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1384),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [446] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17871),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(446),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1388),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [447] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17872),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(447),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1389),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [448] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17926),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(448),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1391),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [449] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17927),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(449),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1392),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [450] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17981),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(450),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1395),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [451] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17982),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(451),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1396),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [452] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18036),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(452),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1398),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [453] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18037),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(453),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1399),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [454] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18080),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(454),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1402),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [455] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18081),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(455),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1403),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [456] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18121),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(456),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1406),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [457] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18122),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(457),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1407),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [458] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18162),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(458),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1411),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [459] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18163),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(459),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1412),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [460] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18203),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(460),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1416),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [461] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18204),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(461),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1417),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [462] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18244),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(462),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1421),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [463] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18245),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(463),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1422),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [464] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18285),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(464),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1426),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [465] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18286),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(465),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1427),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [466] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18326),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(466),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1431),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [467] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18327),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(467),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1432),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [468] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12187),
    [sym__sequence_expression] = STATE(12287),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_refutation_case] = STATE(12287),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(468),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [469] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18368),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(469),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1437),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [470] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18408),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(470),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1440),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [471] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18409),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(471),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1441),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [472] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18449),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(472),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1444),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [473] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18450),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(473),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1445),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [474] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18490),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(474),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1448),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [475] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18491),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(475),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1449),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [476] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18530),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(476),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1451),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [477] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18531),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(477),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1452),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [478] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18569),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(478),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1454),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [479] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18570),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(479),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1455),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [480] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18608),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(480),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1459),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [481] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18609),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(481),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1460),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [482] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18647),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(482),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1464),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [483] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18648),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(483),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1465),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [484] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18686),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(484),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1469),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [485] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18687),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(485),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1470),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [486] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18724),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(486),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1474),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [487] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18725),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(487),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1475),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [488] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18762),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(488),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1479),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [489] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18763),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(489),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1480),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [490] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18799),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(490),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1484),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [491] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18800),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(491),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1485),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [492] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18836),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(492),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1489),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [493] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18837),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(493),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1490),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [494] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18860),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(494),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1492),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [495] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18861),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(495),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__attribute] = STATE(1493),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [496] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16797),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(496),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__attribute] = STATE(1084),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [497] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(497),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [498] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(498),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [499] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12475),
    [sym__sequence_expression] = STATE(18528),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(499),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_done] = ACTIONS(3121),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [500] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(500),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3123),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [501] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(501),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [502] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(502),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3127),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [503] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(503),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3129),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [504] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(504),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3131),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [505] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(505),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3133),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [506] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(506),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [507] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(507),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3137),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [508] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(508),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [509] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(509),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3141),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [510] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(510),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [511] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(511),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [512] = {
    [sym__simple_expression] = STATE(3528),
    [sym_typed_expression] = STATE(3517),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_labeled_argument] = STATE(4171),
    [sym_prefix_expression] = STATE(3517),
    [sym_hash_expression] = STATE(3517),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_coercion_expression] = STATE(3517),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(512),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [aux_sym_class_application_repeat1] = STATE(2389),
    [sym__lowercase_identifier] = ACTIONS(3147),
    [anon_sym_SEMI_SEMI] = ACTIONS(3067),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_and] = ACTIONS(3069),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_QMARK] = ACTIONS(3149),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_external] = ACTIONS(3069),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_DOT] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_SEMI] = ACTIONS(3069),
    [anon_sym_exception] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_open] = ACTIONS(3069),
    [anon_sym_include] = ACTIONS(3069),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_end] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_POUND] = ACTIONS(3153),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_else] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3069),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3067),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(675),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(677),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(3155),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym_let_operator] = ACTIONS(3067),
    [sym_let_and_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_directive_token1] = ACTIONS(3069),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [513] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12475),
    [sym__sequence_expression] = STATE(19097),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(513),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_done] = ACTIONS(3157),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [514] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(514),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3159),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [515] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(515),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3161),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [516] = {
    [sym__simple_expression] = STATE(3421),
    [sym_typed_expression] = STATE(3361),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_labeled_argument] = STATE(4339),
    [sym_prefix_expression] = STATE(3361),
    [sym_hash_expression] = STATE(3361),
    [sym_field_get_expression] = STATE(3361),
    [sym_array_get_expression] = STATE(3361),
    [sym_string_get_expression] = STATE(3361),
    [sym_bigarray_get_expression] = STATE(3361),
    [sym_coercion_expression] = STATE(3361),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(516),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [aux_sym_class_application_repeat1] = STATE(2331),
    [sym__lowercase_identifier] = ACTIONS(3163),
    [anon_sym_SEMI_SEMI] = ACTIONS(3067),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_and] = ACTIONS(3069),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_QMARK] = ACTIONS(3165),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_external] = ACTIONS(3069),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_DOT] = ACTIONS(3167),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_SEMI] = ACTIONS(3069),
    [anon_sym_exception] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_open] = ACTIONS(3069),
    [anon_sym_include] = ACTIONS(3069),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_end] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_in] = ACTIONS(3069),
    [anon_sym_POUND] = ACTIONS(3169),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3069),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3067),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(571),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(573),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(3171),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym_let_operator] = ACTIONS(3067),
    [sym_let_and_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_directive_token1] = ACTIONS(3069),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [517] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(517),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [518] = {
    [sym__simple_expression] = STATE(3481),
    [sym_typed_expression] = STATE(3475),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_labeled_argument] = STATE(4355),
    [sym_prefix_expression] = STATE(3475),
    [sym_hash_expression] = STATE(3475),
    [sym_field_get_expression] = STATE(3475),
    [sym_array_get_expression] = STATE(3475),
    [sym_string_get_expression] = STATE(3475),
    [sym_bigarray_get_expression] = STATE(3475),
    [sym_coercion_expression] = STATE(3475),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(518),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [aux_sym_class_application_repeat1] = STATE(2388),
    [sym__lowercase_identifier] = ACTIONS(3175),
    [anon_sym_SEMI_SEMI] = ACTIONS(3067),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_and] = ACTIONS(3069),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_QMARK] = ACTIONS(3177),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_external] = ACTIONS(3069),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_RBRACK] = ACTIONS(3067),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_DOT] = ACTIONS(3179),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_SEMI] = ACTIONS(3069),
    [anon_sym_exception] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_open] = ACTIONS(3069),
    [anon_sym_include] = ACTIONS(3069),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_POUND] = ACTIONS(3181),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_else] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3069),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3067),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(623),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(625),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(3183),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym_let_operator] = ACTIONS(3067),
    [sym_let_and_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_directive_token1] = ACTIONS(3069),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [519] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(519),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [520] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(520),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [521] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(521),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [522] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(522),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3191),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [523] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(523),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [524] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12475),
    [sym__sequence_expression] = STATE(19449),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(524),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_done] = ACTIONS(3195),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [525] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(525),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [526] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(526),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [527] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(527),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [528] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(528),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [529] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(529),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [530] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(530),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [531] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(531),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [532] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(532),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [533] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(533),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [534] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(534),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3215),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [535] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(535),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [536] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(536),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [537] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(537),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [538] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12475),
    [sym__sequence_expression] = STATE(18113),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(538),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_done] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [539] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(539),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [540] = {
    [sym__simple_expression] = STATE(3300),
    [sym_typed_expression] = STATE(3293),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_labeled_argument] = STATE(4255),
    [sym_prefix_expression] = STATE(3293),
    [sym_hash_expression] = STATE(3293),
    [sym_field_get_expression] = STATE(3293),
    [sym_array_get_expression] = STATE(3293),
    [sym_string_get_expression] = STATE(3293),
    [sym_bigarray_get_expression] = STATE(3293),
    [sym_coercion_expression] = STATE(3293),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(540),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [aux_sym_class_application_repeat1] = STATE(2095),
    [sym__lowercase_identifier] = ACTIONS(3227),
    [anon_sym_SEMI_SEMI] = ACTIONS(3067),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_and] = ACTIONS(3069),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_QMARK] = ACTIONS(3229),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_external] = ACTIONS(3069),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(3067),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_DOT] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_SEMI] = ACTIONS(3069),
    [anon_sym_exception] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_open] = ACTIONS(3069),
    [anon_sym_include] = ACTIONS(3069),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_in] = ACTIONS(3069),
    [anon_sym_POUND] = ACTIONS(3233),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3069),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3067),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(521),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(3235),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym_let_operator] = ACTIONS(3067),
    [sym_let_and_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_directive_token1] = ACTIONS(3069),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [541] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(541),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [542] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(542),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3239),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [543] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(543),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [544] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(544),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3243),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [545] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(545),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [546] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(546),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3247),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [547] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(547),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [548] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10412),
    [sym__sequence_expression] = STATE(7743),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(548),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [549] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8341),
    [sym__sequence_expression] = STATE(8002),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(549),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [550] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8341),
    [sym__sequence_expression] = STATE(8115),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(550),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [551] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12062),
    [sym__sequence_expression] = STATE(10378),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(551),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [552] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8458),
    [sym__sequence_expression] = STATE(8002),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(552),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [553] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12062),
    [sym__sequence_expression] = STATE(10326),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(553),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [554] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12062),
    [sym__sequence_expression] = STATE(10336),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(554),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [555] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10412),
    [sym__sequence_expression] = STATE(8557),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(555),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [556] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8084),
    [sym__sequence_expression] = STATE(8056),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(556),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [557] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8084),
    [sym__sequence_expression] = STATE(8013),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(557),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [558] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8084),
    [sym__sequence_expression] = STATE(8014),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(558),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [559] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8084),
    [sym__sequence_expression] = STATE(8015),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(559),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [560] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8084),
    [sym__sequence_expression] = STATE(8114),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(560),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [561] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8084),
    [sym__sequence_expression] = STATE(8002),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(561),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [562] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8084),
    [sym__sequence_expression] = STATE(8115),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(562),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [563] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12062),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(563),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [564] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12062),
    [sym__sequence_expression] = STATE(10405),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(564),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [565] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8341),
    [sym__sequence_expression] = STATE(5323),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(565),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [566] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12062),
    [sym__sequence_expression] = STATE(10240),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(566),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [567] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12062),
    [sym__sequence_expression] = STATE(10222),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(567),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [568] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(11962),
    [sym__sequence_expression] = STATE(10378),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(568),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [569] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(11962),
    [sym__sequence_expression] = STATE(10326),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(569),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [570] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(11962),
    [sym__sequence_expression] = STATE(10336),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(570),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [571] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8361),
    [sym__sequence_expression] = STATE(5323),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(571),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [572] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8286),
    [sym__sequence_expression] = STATE(8056),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(572),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [573] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12379),
    [sym__sequence_expression] = STATE(17230),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(573),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [574] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8286),
    [sym__sequence_expression] = STATE(8013),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(574),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [575] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8286),
    [sym__sequence_expression] = STATE(8014),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(575),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [576] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8286),
    [sym__sequence_expression] = STATE(8015),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(576),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [577] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8286),
    [sym__sequence_expression] = STATE(8114),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(577),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [578] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8286),
    [sym__sequence_expression] = STATE(8002),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(578),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [579] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8286),
    [sym__sequence_expression] = STATE(8115),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(579),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [580] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(11962),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(580),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [581] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(11962),
    [sym__sequence_expression] = STATE(10405),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(581),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [582] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(11962),
    [sym__sequence_expression] = STATE(10240),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(582),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [583] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(11962),
    [sym__sequence_expression] = STATE(10222),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(583),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [584] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11576),
    [sym__sequence_expression] = STATE(10378),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(584),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [585] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12379),
    [sym__sequence_expression] = STATE(16936),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(585),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [586] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11576),
    [sym__sequence_expression] = STATE(10326),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(586),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [587] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11576),
    [sym__sequence_expression] = STATE(10336),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(587),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [588] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11576),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(588),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [589] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11997),
    [sym__sequence_expression] = STATE(8557),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(589),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [590] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12030),
    [sym__sequence_expression] = STATE(10378),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(590),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [591] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12030),
    [sym__sequence_expression] = STATE(10326),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(591),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [592] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12030),
    [sym__sequence_expression] = STATE(10336),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(592),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [593] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12030),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(593),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [594] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12030),
    [sym__sequence_expression] = STATE(10405),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(594),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [595] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12030),
    [sym__sequence_expression] = STATE(10240),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(595),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [596] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12030),
    [sym__sequence_expression] = STATE(10222),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(596),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [597] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11576),
    [sym__sequence_expression] = STATE(10405),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(597),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [598] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11576),
    [sym__sequence_expression] = STATE(10240),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(598),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [599] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11576),
    [sym__sequence_expression] = STATE(10222),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(599),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [600] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10412),
    [sym__sequence_expression] = STATE(7737),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(600),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [601] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10412),
    [sym__sequence_expression] = STATE(7745),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(601),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [602] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12069),
    [sym__sequence_expression] = STATE(8557),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(602),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [603] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11593),
    [sym__sequence_expression] = STATE(10378),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(603),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [604] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11593),
    [sym__sequence_expression] = STATE(10326),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(604),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [605] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11593),
    [sym__sequence_expression] = STATE(10336),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(605),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [606] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11593),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(606),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [607] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11593),
    [sym__sequence_expression] = STATE(10405),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(607),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [608] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11593),
    [sym__sequence_expression] = STATE(10240),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(608),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [609] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11593),
    [sym__sequence_expression] = STATE(10222),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(609),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [610] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10412),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(610),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [611] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10412),
    [sym__sequence_expression] = STATE(7758),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(611),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [612] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10412),
    [sym__sequence_expression] = STATE(7775),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(612),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [613] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10412),
    [sym__sequence_expression] = STATE(7797),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(613),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [614] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10319),
    [sym__sequence_expression] = STATE(8154),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(614),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [615] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19067),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(615),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [616] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12159),
    [sym__sequence_expression] = STATE(8557),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(616),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [617] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11273),
    [sym__sequence_expression] = STATE(10378),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(617),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [618] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11273),
    [sym__sequence_expression] = STATE(10326),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(618),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [619] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11273),
    [sym__sequence_expression] = STATE(10336),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(619),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [620] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11273),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(620),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [621] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11273),
    [sym__sequence_expression] = STATE(10405),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(621),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [622] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11273),
    [sym__sequence_expression] = STATE(10240),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(622),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [623] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11273),
    [sym__sequence_expression] = STATE(10222),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(623),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [624] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10319),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(624),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [625] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10319),
    [sym__sequence_expression] = STATE(8156),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(625),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [626] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10319),
    [sym__sequence_expression] = STATE(8157),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(626),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [627] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10319),
    [sym__sequence_expression] = STATE(8121),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(627),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [628] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10319),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(628),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [629] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10319),
    [sym__sequence_expression] = STATE(8085),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(629),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [630] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12209),
    [sym__sequence_expression] = STATE(8557),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(630),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [631] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(9971),
    [sym__sequence_expression] = STATE(8154),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(631),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [632] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(9971),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(632),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [633] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(9971),
    [sym__sequence_expression] = STATE(8156),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(633),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [634] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(9971),
    [sym__sequence_expression] = STATE(8157),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(634),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [635] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(9971),
    [sym__sequence_expression] = STATE(8121),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(635),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [636] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(9971),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(636),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [637] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(9971),
    [sym__sequence_expression] = STATE(8085),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(637),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [638] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12069),
    [sym__sequence_expression] = STATE(7737),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(638),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [639] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19093),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(639),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [640] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12069),
    [sym__sequence_expression] = STATE(7743),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(640),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [641] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12069),
    [sym__sequence_expression] = STATE(7745),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(641),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [642] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12069),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(642),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [643] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12069),
    [sym__sequence_expression] = STATE(7758),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(643),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [644] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12263),
    [sym__sequence_expression] = STATE(8557),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(644),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [645] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11947),
    [sym__sequence_expression] = STATE(8154),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(645),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [646] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11947),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(646),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [647] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11947),
    [sym__sequence_expression] = STATE(8156),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(647),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [648] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11947),
    [sym__sequence_expression] = STATE(8157),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(648),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [649] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11947),
    [sym__sequence_expression] = STATE(8121),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(649),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [650] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11947),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(650),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [651] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11947),
    [sym__sequence_expression] = STATE(8085),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(651),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [652] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12069),
    [sym__sequence_expression] = STATE(7775),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(652),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [653] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12069),
    [sym__sequence_expression] = STATE(7797),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(653),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [654] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19100),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(654),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [655] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(20344),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(655),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [656] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8308),
    [sym__sequence_expression] = STATE(10204),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(656),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [657] = {
    [sym__simple_expression] = STATE(3891),
    [sym_typed_expression] = STATE(3831),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_labeled_argument] = STATE(4444),
    [sym_prefix_expression] = STATE(3831),
    [sym_hash_expression] = STATE(3831),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_coercion_expression] = STATE(3831),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(657),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [aux_sym_class_application_repeat1] = STATE(2396),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_SEMI_SEMI] = ACTIONS(3067),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_and] = ACTIONS(3069),
    [anon_sym_TILDE] = ACTIONS(3253),
    [anon_sym_QMARK] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_external] = ACTIONS(3069),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_RBRACK] = ACTIONS(3067),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_DOT] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_SEMI] = ACTIONS(3069),
    [anon_sym_exception] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_open] = ACTIONS(3069),
    [anon_sym_include] = ACTIONS(3069),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_POUND] = ACTIONS(3257),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3069),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3067),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(735),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(737),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(3259),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym_let_operator] = ACTIONS(3067),
    [sym_let_and_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_directive_token1] = ACTIONS(3069),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [658] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(10225),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(658),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [659] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11767),
    [sym__sequence_expression] = STATE(8154),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(659),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [660] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11767),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(660),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [661] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11767),
    [sym__sequence_expression] = STATE(8156),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(661),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [662] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11767),
    [sym__sequence_expression] = STATE(8157),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(662),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [663] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11767),
    [sym__sequence_expression] = STATE(8121),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(663),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [664] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11767),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(664),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [665] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11767),
    [sym__sequence_expression] = STATE(8085),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(665),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [666] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12885),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(666),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [667] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12830),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(667),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [668] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12873),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(668),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [669] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12969),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(669),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [670] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18463),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(670),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [671] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(9971),
    [sym__sequence_expression] = STATE(8135),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(671),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [672] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11942),
    [sym__sequence_expression] = STATE(8154),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(672),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [673] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11942),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(673),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [674] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11942),
    [sym__sequence_expression] = STATE(8156),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(674),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [675] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11942),
    [sym__sequence_expression] = STATE(8157),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(675),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [676] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11942),
    [sym__sequence_expression] = STATE(8121),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(676),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [677] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11942),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(677),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [678] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11942),
    [sym__sequence_expression] = STATE(8085),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(678),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [679] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8458),
    [sym__sequence_expression] = STATE(8115),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(679),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [680] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12451),
    [sym__sequence_expression] = STATE(16550),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(680),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [681] = {
    [sym__simple_expression] = STATE(3763),
    [sym_typed_expression] = STATE(3755),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_labeled_argument] = STATE(4440),
    [sym_prefix_expression] = STATE(3755),
    [sym_hash_expression] = STATE(3755),
    [sym_field_get_expression] = STATE(3755),
    [sym_array_get_expression] = STATE(3755),
    [sym_string_get_expression] = STATE(3755),
    [sym_bigarray_get_expression] = STATE(3755),
    [sym_coercion_expression] = STATE(3755),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(681),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [aux_sym_class_application_repeat1] = STATE(2395),
    [sym__lowercase_identifier] = ACTIONS(3261),
    [anon_sym_SEMI_SEMI] = ACTIONS(3067),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_and] = ACTIONS(3069),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_QMARK] = ACTIONS(3263),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_external] = ACTIONS(3069),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(3265),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_SEMI] = ACTIONS(3069),
    [anon_sym_exception] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_open] = ACTIONS(3069),
    [anon_sym_include] = ACTIONS(3069),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_end] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_POUND] = ACTIONS(3267),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3069),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3067),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(789),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(791),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(3269),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym_let_operator] = ACTIONS(3067),
    [sym_let_and_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_directive_token1] = ACTIONS(3069),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [682] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8308),
    [sym__sequence_expression] = STATE(10281),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(682),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [683] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12924),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(683),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [684] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(5323),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(684),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [685] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8186),
    [sym__sequence_expression] = STATE(8056),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(685),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [686] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8186),
    [sym__sequence_expression] = STATE(8013),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(686),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [687] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8186),
    [sym__sequence_expression] = STATE(8014),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(687),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [688] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8186),
    [sym__sequence_expression] = STATE(8015),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(688),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [689] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8186),
    [sym__sequence_expression] = STATE(8114),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(689),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [690] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8186),
    [sym__sequence_expression] = STATE(8002),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(690),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [691] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8186),
    [sym__sequence_expression] = STATE(8115),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(691),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [692] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12964),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(692),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [693] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12793),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(693),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [694] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12942),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(694),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [695] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12835),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(695),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [696] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12928),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(696),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [697] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9500),
    [sym__sequence_expression] = STATE(8135),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(697),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [698] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(8103),
    [sym__sequence_expression] = STATE(8056),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(698),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [699] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(8103),
    [sym__sequence_expression] = STATE(8013),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(699),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [700] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(8103),
    [sym__sequence_expression] = STATE(8014),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(700),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [701] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(8103),
    [sym__sequence_expression] = STATE(8015),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(701),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [702] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(8103),
    [sym__sequence_expression] = STATE(8114),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(702),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [703] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(8103),
    [sym__sequence_expression] = STATE(8002),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(703),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [704] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(8103),
    [sym__sequence_expression] = STATE(8115),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(704),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [705] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18446),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(705),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [706] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12451),
    [sym__sequence_expression] = STATE(16978),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(706),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [707] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8308),
    [sym__sequence_expression] = STATE(10277),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(707),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [708] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12957),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(708),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [709] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11905),
    [sym__sequence_expression] = STATE(8135),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(709),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [710] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9308),
    [sym__sequence_expression] = STATE(8154),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(710),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [711] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9308),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(711),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [712] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9308),
    [sym__sequence_expression] = STATE(8156),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(712),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [713] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9308),
    [sym__sequence_expression] = STATE(8157),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(713),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [714] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9308),
    [sym__sequence_expression] = STATE(8121),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(714),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [715] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9308),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(715),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [716] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9308),
    [sym__sequence_expression] = STATE(8085),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(716),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [717] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12991),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(717),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [718] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12832),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(718),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [719] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12987),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(719),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [720] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12852),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(720),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [721] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19507),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(721),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [722] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11947),
    [sym__sequence_expression] = STATE(8135),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(722),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [723] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8198),
    [sym__sequence_expression] = STATE(8056),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(723),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [724] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8198),
    [sym__sequence_expression] = STATE(8013),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(724),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [725] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8198),
    [sym__sequence_expression] = STATE(8014),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(725),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [726] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8198),
    [sym__sequence_expression] = STATE(8015),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(726),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [727] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8198),
    [sym__sequence_expression] = STATE(8114),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(727),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [728] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8198),
    [sym__sequence_expression] = STATE(8002),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(728),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [729] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8198),
    [sym__sequence_expression] = STATE(8115),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(729),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [730] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12854),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(730),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [731] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12869),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(731),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [732] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12896),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(732),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [733] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19740),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(733),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [734] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11767),
    [sym__sequence_expression] = STATE(8135),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(734),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [735] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10962),
    [sym__sequence_expression] = STATE(10378),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(735),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [736] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10962),
    [sym__sequence_expression] = STATE(10326),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(736),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [737] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10962),
    [sym__sequence_expression] = STATE(10336),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(737),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [738] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10962),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(738),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [739] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10962),
    [sym__sequence_expression] = STATE(10405),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(739),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [740] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10962),
    [sym__sequence_expression] = STATE(10240),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(740),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [741] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10962),
    [sym__sequence_expression] = STATE(10222),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(741),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [742] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12952),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(742),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [743] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8458),
    [sym__sequence_expression] = STATE(8056),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(743),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [744] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12777),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(744),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [745] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10618),
    [sym__sequence_expression] = STATE(7737),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(745),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [746] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8458),
    [sym__sequence_expression] = STATE(8013),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(746),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [747] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11942),
    [sym__sequence_expression] = STATE(8135),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(747),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [748] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10618),
    [sym__sequence_expression] = STATE(7743),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(748),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [749] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10618),
    [sym__sequence_expression] = STATE(7745),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(749),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [750] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10618),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(750),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [751] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8084),
    [sym__sequence_expression] = STATE(7399),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(751),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [752] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10618),
    [sym__sequence_expression] = STATE(7758),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(752),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [753] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8458),
    [sym__sequence_expression] = STATE(8014),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(753),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [754] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8458),
    [sym__sequence_expression] = STATE(8015),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(754),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [755] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11599),
    [sym__sequence_expression] = STATE(13833),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(755),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [756] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12570),
    [sym__sequence_expression] = STATE(17262),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(19904),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(756),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [757] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8286),
    [sym__sequence_expression] = STATE(5323),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(757),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [758] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(5323),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(758),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [759] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8458),
    [sym__sequence_expression] = STATE(5323),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(759),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [760] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10618),
    [sym__sequence_expression] = STATE(7775),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(760),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [761] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9308),
    [sym__sequence_expression] = STATE(8135),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(761),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [762] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8308),
    [sym__sequence_expression] = STATE(10208),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(762),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [763] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11599),
    [sym__sequence_expression] = STATE(13881),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(763),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [764] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11599),
    [sym__sequence_expression] = STATE(13910),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(764),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [765] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12030),
    [sym__sequence_expression] = STATE(10225),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(765),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [766] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11599),
    [sym__sequence_expression] = STATE(13923),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(766),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [767] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11599),
    [sym__sequence_expression] = STATE(13931),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(767),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [768] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17262),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(768),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [769] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10618),
    [sym__sequence_expression] = STATE(8557),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(769),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [770] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11593),
    [sym__sequence_expression] = STATE(10225),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(770),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [771] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10618),
    [sym__sequence_expression] = STATE(7797),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(771),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [772] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12280),
    [sym__sequence_expression] = STATE(8154),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(772),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [773] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12280),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(773),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [774] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12280),
    [sym__sequence_expression] = STATE(8156),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(774),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [775] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12280),
    [sym__sequence_expression] = STATE(8157),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(775),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [776] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11273),
    [sym__sequence_expression] = STATE(8557),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(776),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [777] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12280),
    [sym__sequence_expression] = STATE(8121),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(777),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [778] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12623),
    [sym__sequence_expression] = STATE(8557),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(778),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [779] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12280),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(779),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [780] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12280),
    [sym__sequence_expression] = STATE(8085),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(780),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [781] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(8154),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(781),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [782] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8186),
    [sym__sequence_expression] = STATE(5323),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(782),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [783] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(783),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [784] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(8156),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(784),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [785] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(8157),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(785),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [786] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(8121),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(786),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [787] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8458),
    [sym__sequence_expression] = STATE(8114),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(787),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [788] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10962),
    [sym__sequence_expression] = STATE(10225),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(788),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [789] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12601),
    [sym__sequence_expression] = STATE(8557),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(789),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [790] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(790),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [791] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12623),
    [sym__sequence_expression] = STATE(7737),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(791),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [792] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(8085),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(792),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [793] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12071),
    [sym__sequence_expression] = STATE(8154),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(793),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [794] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(8103),
    [sym__sequence_expression] = STATE(7399),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(794),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [795] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12071),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(795),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [796] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12071),
    [sym__sequence_expression] = STATE(8156),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(796),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [797] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12071),
    [sym__sequence_expression] = STATE(8157),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(797),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [798] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12071),
    [sym__sequence_expression] = STATE(8121),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(798),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [799] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12488),
    [sym__sequence_expression] = STATE(8557),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(799),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [800] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8198),
    [sym__sequence_expression] = STATE(5323),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(800),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [801] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12071),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(801),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [802] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12071),
    [sym__sequence_expression] = STATE(8085),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(802),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [803] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12163),
    [sym__sequence_expression] = STATE(8154),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(803),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [804] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12163),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(804),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [805] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12163),
    [sym__sequence_expression] = STATE(8156),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(805),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [806] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12163),
    [sym__sequence_expression] = STATE(8157),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(806),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [807] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12163),
    [sym__sequence_expression] = STATE(8121),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(807),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [808] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(8557),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(808),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [809] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12163),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(809),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [810] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12163),
    [sym__sequence_expression] = STATE(8085),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(810),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [811] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9573),
    [sym__sequence_expression] = STATE(8154),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(811),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [812] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9573),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(812),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [813] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9573),
    [sym__sequence_expression] = STATE(8156),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(813),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [814] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9573),
    [sym__sequence_expression] = STATE(8157),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(814),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [815] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9573),
    [sym__sequence_expression] = STATE(8121),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(815),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [816] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9842),
    [sym__sequence_expression] = STATE(8135),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(816),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [817] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9573),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(817),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [818] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9573),
    [sym__sequence_expression] = STATE(8085),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(818),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [819] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12379),
    [sym__sequence_expression] = STATE(7399),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(819),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [820] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12623),
    [sym__sequence_expression] = STATE(7743),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(820),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [821] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(10378),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(821),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [822] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12623),
    [sym__sequence_expression] = STATE(7745),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(822),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [823] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(10326),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(823),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [824] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(10336),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(824),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [825] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(825),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [826] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(10405),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(826),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [827] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(10240),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(827),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [828] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11518),
    [sym__sequence_expression] = STATE(10222),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(828),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [829] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12159),
    [sym__sequence_expression] = STATE(7737),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(829),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [830] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12159),
    [sym__sequence_expression] = STATE(7743),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(830),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [831] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12159),
    [sym__sequence_expression] = STATE(7745),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(831),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [832] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12159),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(832),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [833] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12159),
    [sym__sequence_expression] = STATE(7758),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(833),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [834] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12159),
    [sym__sequence_expression] = STATE(7775),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(834),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [835] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12159),
    [sym__sequence_expression] = STATE(7797),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(835),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [836] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11905),
    [sym__sequence_expression] = STATE(8154),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(836),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [837] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12623),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(837),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [838] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11905),
    [sym__sequence_expression] = STATE(8155),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(838),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [839] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11905),
    [sym__sequence_expression] = STATE(8156),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(839),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [840] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11905),
    [sym__sequence_expression] = STATE(8157),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(840),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [841] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11905),
    [sym__sequence_expression] = STATE(8121),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(841),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [842] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11905),
    [sym__sequence_expression] = STATE(8107),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(842),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [843] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11905),
    [sym__sequence_expression] = STATE(8085),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(843),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [844] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12379),
    [sym__sequence_expression] = STATE(17236),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(844),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [845] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12623),
    [sym__sequence_expression] = STATE(7758),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(845),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [846] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17167),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(846),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [847] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(5323),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(847),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [848] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12623),
    [sym__sequence_expression] = STATE(7775),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(848),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [849] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12379),
    [sym__sequence_expression] = STATE(16888),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(849),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [850] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12623),
    [sym__sequence_expression] = STATE(7797),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(850),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [851] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12601),
    [sym__sequence_expression] = STATE(7737),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(851),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [852] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12451),
    [sym__sequence_expression] = STATE(17193),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(852),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [853] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12601),
    [sym__sequence_expression] = STATE(7743),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(853),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [854] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12601),
    [sym__sequence_expression] = STATE(7745),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(854),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [855] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12601),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(855),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [856] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12601),
    [sym__sequence_expression] = STATE(7758),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(856),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [857] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8393),
    [sym__sequence_expression] = STATE(10208),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(857),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [858] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19219),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(858),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [859] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12451),
    [sym__sequence_expression] = STATE(5323),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(859),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [860] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12601),
    [sym__sequence_expression] = STATE(7775),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(860),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [861] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8393),
    [sym__sequence_expression] = STATE(10302),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(861),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [862] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8393),
    [sym__sequence_expression] = STATE(10204),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(862),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [863] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8393),
    [sym__sequence_expression] = STATE(10281),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(863),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [864] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8393),
    [sym__sequence_expression] = STATE(10277),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(864),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [865] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19085),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(865),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [866] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12187),
    [sym__sequence_expression] = STATE(8557),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(866),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [867] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12601),
    [sym__sequence_expression] = STATE(7797),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(867),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [868] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12280),
    [sym__sequence_expression] = STATE(8135),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(868),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [869] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12488),
    [sym__sequence_expression] = STATE(7737),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(869),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [870] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12196),
    [sym__sequence_expression] = STATE(8135),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(870),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [871] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19091),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(871),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [872] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12071),
    [sym__sequence_expression] = STATE(8135),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(872),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [873] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12488),
    [sym__sequence_expression] = STATE(7743),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(873),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [874] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12163),
    [sym__sequence_expression] = STATE(8135),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(874),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [875] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9573),
    [sym__sequence_expression] = STATE(8135),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(875),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [876] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11599),
    [sym__sequence_expression] = STATE(8557),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(876),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [877] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12209),
    [sym__sequence_expression] = STATE(7737),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(877),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [878] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12209),
    [sym__sequence_expression] = STATE(7743),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(878),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [879] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12209),
    [sym__sequence_expression] = STATE(7745),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(879),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [880] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12209),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(880),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [881] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12209),
    [sym__sequence_expression] = STATE(7758),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(881),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [882] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12209),
    [sym__sequence_expression] = STATE(7775),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(882),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [883] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16520),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(883),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [884] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12451),
    [sym__sequence_expression] = STATE(16529),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(884),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [885] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(20350),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(885),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [886] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12209),
    [sym__sequence_expression] = STATE(7797),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(886),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [887] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19551),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(887),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [888] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19556),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(888),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [889] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19567),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(889),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [890] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20303),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(890),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [891] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20309),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(891),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [892] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(892),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [893] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18700),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(893),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [894] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12451),
    [sym__sequence_expression] = STATE(16585),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(894),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [895] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19321),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(895),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [896] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12451),
    [sym__sequence_expression] = STATE(16624),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(896),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [897] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19684),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(897),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [898] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19695),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(898),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [899] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12187),
    [sym__sequence_expression] = STATE(7737),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(899),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [900] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12187),
    [sym__sequence_expression] = STATE(7743),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(900),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [901] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12187),
    [sym__sequence_expression] = STATE(7745),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(901),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [902] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12187),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(902),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [903] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12187),
    [sym__sequence_expression] = STATE(7758),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(903),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [904] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12187),
    [sym__sequence_expression] = STATE(7775),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(904),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [905] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12187),
    [sym__sequence_expression] = STATE(7797),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(905),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [906] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8532),
    [sym__sequence_expression] = STATE(5323),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(906),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [907] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8187),
    [sym__sequence_expression] = STATE(7399),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(907),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [908] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12488),
    [sym__sequence_expression] = STATE(7745),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(908),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [909] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11997),
    [sym__sequence_expression] = STATE(7737),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(909),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [910] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11997),
    [sym__sequence_expression] = STATE(7743),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(910),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [911] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11997),
    [sym__sequence_expression] = STATE(7745),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(911),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [912] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11997),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(912),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [913] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11997),
    [sym__sequence_expression] = STATE(7758),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(913),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [914] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11997),
    [sym__sequence_expression] = STATE(7775),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(914),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [915] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11997),
    [sym__sequence_expression] = STATE(7797),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(915),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [916] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12488),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(916),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [917] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11576),
    [sym__sequence_expression] = STATE(8557),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(917),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [918] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8300),
    [sym__sequence_expression] = STATE(5323),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(918),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [919] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8203),
    [sym__sequence_expression] = STATE(7399),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(919),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [920] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16485),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(920),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [921] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12451),
    [sym__sequence_expression] = STATE(16493),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(921),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [922] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18029),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(922),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [923] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18540),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(923),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [924] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18544),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(924),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [925] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18545),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(925),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [926] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19284),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(926),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [927] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19285),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(927),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [928] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19300),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(928),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [929] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19654),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(929),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [930] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12451),
    [sym__sequence_expression] = STATE(16637),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(930),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [931] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19882),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(931),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [932] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12451),
    [sym__sequence_expression] = STATE(16648),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(932),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [933] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19911),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(933),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [934] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19925),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(934),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [935] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12488),
    [sym__sequence_expression] = STATE(7758),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(935),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [936] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(5323),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(936),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [937] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16991),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(937),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [938] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12451),
    [sym__sequence_expression] = STATE(16993),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(938),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [939] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18562),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(939),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [940] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19103),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(940),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [941] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19104),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(941),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [942] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19105),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(942),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [943] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19267),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(943),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [944] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19268),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(944),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [945] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19269),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(945),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [946] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19332),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(946),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [947] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12451),
    [sym__sequence_expression] = STATE(17242),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(947),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [948] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19351),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(948),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [949] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12451),
    [sym__sequence_expression] = STATE(17249),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(949),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [950] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19386),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(950),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [951] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19406),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(951),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [952] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8271),
    [sym__sequence_expression] = STATE(10208),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(952),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [953] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16866),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(953),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [954] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17536),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(954),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [955] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19182),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(955),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [956] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19204),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(956),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [957] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19229),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(957),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [958] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20064),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(958),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [959] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20153),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(959),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [960] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20279),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(960),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [961] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17481),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(961),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [962] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18371),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(962),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [963] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18505),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(963),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [964] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18534),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(964),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [965] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16601),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(965),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [966] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19224),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(966),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [967] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17810),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(967),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [968] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17824),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(968),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [969] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17840),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(969),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [970] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18443),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(970),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [971] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18810),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(971),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [972] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18859),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(972),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [973] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19133),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(973),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [974] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19196),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(974),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [975] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19237),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(975),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [976] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19264),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(976),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [977] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16448),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(977),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [978] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19955),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(978),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [979] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18100),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(979),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [980] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18117),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(980),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [981] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18119),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(981),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [982] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18727),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(982),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [983] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18804),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(983),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [984] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18815),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(984),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [985] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12488),
    [sym__sequence_expression] = STATE(7775),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(985),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [986] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16861),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(986),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [987] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18154),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(987),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [988] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18338),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(988),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [989] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18349),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(989),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [990] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18354),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(990),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [991] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18659),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(991),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [992] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18696),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(992),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [993] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18698),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(993),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [994] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19096),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(994),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [995] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17286),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(995),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [996] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19532),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(996),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [997] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19571),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(997),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [998] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19573),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(998),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [999] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19576),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(999),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1000] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19622),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1000),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1001] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19624),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1001),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1002] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19628),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1002),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1003] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12488),
    [sym__sequence_expression] = STATE(7797),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1003),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1004] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12475),
    [sym__sequence_expression] = STATE(7399),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(1004),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1005] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(20033),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1005),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1006] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20131),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1006),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1007] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20140),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1007),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1008] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20144),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1008),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1009] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20253),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1009),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1010] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20254),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1010),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1011] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20255),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1011),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1012] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8271),
    [sym__sequence_expression] = STATE(10302),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1012),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1013] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16425),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1013),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1014] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18465),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1014),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1015] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18766),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1015),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1016] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18768),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1016),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1017] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18769),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1017),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1018] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19005),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1018),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1019] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19011),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1019),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1020] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19013),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1020),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1021] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16508),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1021),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1022] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18068),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1022),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1023] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18142),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1023),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1024] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18143),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1024),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1025] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18144),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1025),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1026] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18260),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1026),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1027] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18275),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1027),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1028] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18276),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1028),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1029] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16605),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1029),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1030] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19183),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1030),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1031] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19312),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1031),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1032] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19317),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1032),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1033] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19328),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1033),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1034] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19498),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1034),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1035] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19500),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1035),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1036] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19501),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1036),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1037] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8271),
    [sym__sequence_expression] = STATE(10204),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1037),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1038] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16711),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1038),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1039] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17586),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1039),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1040] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17627),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1040),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1041] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17628),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1041),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1042] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17629),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1042),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1043] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17650),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1043),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1044] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17654),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1044),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1045] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17656),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1045),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1046] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8271),
    [sym__sequence_expression] = STATE(10281),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1046),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1047] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16817),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1047),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1048] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17949),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1048),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1049] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17980),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1049),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1050] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17984),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1050),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1051] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17986),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1051),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1052] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18014),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1052),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1053] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18017),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1053),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1054] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18018),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1054),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1055] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8271),
    [sym__sequence_expression] = STATE(10277),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1055),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1056] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16933),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1056),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1057] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18343),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1057),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1058] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18388),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1058),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1059] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18389),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1059),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1060] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18390),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1060),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1061] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18419),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1061),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1062] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18420),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1062),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1063] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18425),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1063),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1064] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(7737),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1064),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1065] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17045),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1065),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1066] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18751),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1066),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1067] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18792),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1067),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1068] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18796),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1068),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1069] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18797),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1069),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1070] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18826),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1070),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1071] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18829),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1071),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1072] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18830),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1072),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1073] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12570),
    [sym__sequence_expression] = STATE(19214),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(19904),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1073),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1074] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17212),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1074),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1075] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19250),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1075),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1076] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19275),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1076),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1077] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19276),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1077),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1078] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19277),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1078),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1079] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19293),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1079),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1080] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19294),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1080),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1081] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19295),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1081),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1082] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8757),
    [sym__sequence_expression] = STATE(5323),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(1082),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1083] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(7743),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1083),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1084] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17288),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1084),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1085] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19539),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1085),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1086] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19583),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1086),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1087] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19584),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1087),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1088] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19586),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1088),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1089] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19615),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1089),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1090] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19616),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1090),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1091] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19618),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1091),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1092] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(7745),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1092),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1093] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17363),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1093),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1094] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19908),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1094),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1095] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19948),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1095),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1096] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19949),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1096),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1097] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19950),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1097),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1098] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19976),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1098),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1099] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19977),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1099),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1100] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19978),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1100),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1101] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1101),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1102] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17453),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1102),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1103] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(20330),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1103),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1104] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17957),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1104),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1105] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19878),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1105),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1106] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20135),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1106),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1107] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18021),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1107),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1108] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18950),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1108),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1109] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18693),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1109),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1110] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10319),
    [sym__sequence_expression] = STATE(8135),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(1110),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1111] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16826),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1111),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1112] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19025),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1112),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1113] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19528),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1113),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1114] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19541),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1114),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1115] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19558),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1115),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1116] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19846),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1116),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1117] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19848),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1117),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1118] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19943),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1118),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1119] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12263),
    [sym__sequence_expression] = STATE(7737),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(1119),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1120] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17218),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1120),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1121] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19479),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1121),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1122] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19700),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1122),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1123] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19709),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1123),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1124] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19711),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1124),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1125] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19862),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1125),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1126] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19929),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1126),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1127] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19934),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1127),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1128] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12263),
    [sym__sequence_expression] = STATE(7743),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(1128),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1129] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16512),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1129),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1130] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18337),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1130),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1131] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18701),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1131),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1132] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18995),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1132),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1133] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19002),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1133),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1134] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19646),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1134),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1135] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19683),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1135),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1136] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19694),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1136),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1137] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12263),
    [sym__sequence_expression] = STATE(7745),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(1137),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1138] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16842),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1138),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1139] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18069),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1139),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1140] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18288),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1140),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1141] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18306),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1141),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1142] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18364),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1142),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1143] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19107),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1143),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1144] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19112),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1144),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1145] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19114),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1145),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1146] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12263),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(1146),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1147] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17306),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1147),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1148] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19686),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1148),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1149] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19772),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1149),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1150] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19779),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1150),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1151] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19783),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1151),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1152] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19867),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1152),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1153] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19899),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1153),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1154] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19903),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1154),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1155] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12263),
    [sym__sequence_expression] = STATE(7758),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(1155),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1156] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16401),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1156),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1157] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17857),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1157),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1158] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18464),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1158),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1159] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18509),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1159),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1160] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18510),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1160),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1161] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18954),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1161),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1162] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19047),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1162),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1163] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19082),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1163),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1164] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12263),
    [sym__sequence_expression] = STATE(7775),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(1164),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1165] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16523),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1165),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1166] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18363),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1166),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1167] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18546),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1167),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1168] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18601),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1168),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1169] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18602),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1169),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1170] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18923),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1170),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1171] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18926),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1171),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1172] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18955),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1172),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1173] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12263),
    [sym__sequence_expression] = STATE(7797),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(1173),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1174] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16677),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1174),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1175] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17506),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1175),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1176] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17591),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1176),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1177] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17593),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1177),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1178] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17594),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1178),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1179] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17634),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1179),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1180] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17636),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1180),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1181] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17640),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1181),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1182] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(7758),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1182),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1183] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16833),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1183),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1184] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18015),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1184),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1185] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18114),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1185),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1186] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18115),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1186),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1187] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18118),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1187),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1188] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18209),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1188),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1189] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18210),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1189),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1190] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18226),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1190),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1191] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(5323),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1191),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1192] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17176),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1192),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1193] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19145),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1193),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1194] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19211),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1194),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1195] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19212),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1195),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1196] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19216),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1196),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1197] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19241),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1197),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1198] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19258),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1198),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1199] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19259),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1199),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1200] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17292),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1200),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1201] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19566),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1201),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1202] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19633),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1202),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1203] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19635),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1203),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1204] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19637),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1204),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1205] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19664),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1205),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1206] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19665),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1206),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1207] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19666),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1207),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1208] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17357),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1208),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1209] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19918),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1209),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1210] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19965),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1210),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1211] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19966),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1211),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1212] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19968),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1212),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1213] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20008),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1213),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1214] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20014),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1214),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1215] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20018),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1215),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1216] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(7775),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1216),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1217] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17445),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1217),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1218] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(20315),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1218),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1219] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19106),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1219),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1220] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17743),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1220),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1221] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18242),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1221),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1222] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19485),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1222),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1223] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19708),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1223),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1224] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20326),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1224),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1225] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19441),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1225),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1226] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16428),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1226),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1227] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18615),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1227),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1228] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18964),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1228),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1229] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18985),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1229),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1230] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18993),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1230),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1231] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19336),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1231),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1232] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19347),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1232),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1233] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19350),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1233),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1234] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17365),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1234),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1235] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17646),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1235),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1236] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17778),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1236),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1237] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17779),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1237),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1238] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17784),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1238),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1239] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17887),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1239),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1240] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17889),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1240),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1241] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17893),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1241),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1242] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16473),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1242),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1243] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18386),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1243),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1244] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18480),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1244),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1245] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18486),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1245),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1246] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18502),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1246),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1247] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18568),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1247),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1248] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18573),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1248),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1249] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18583),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1249),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1250] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16532),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1250),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1251] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19062),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1251),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1252] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19163),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1252),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1253] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19174),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1253),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1254] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19177),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1254),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1255] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19244),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1255),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1256] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19248),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1256),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1257] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(19263),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1257),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1258] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16591),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1258),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1259] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(20024),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1259),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1260] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20249),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1260),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1261] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20262),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1261),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1262] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20266),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1262),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1263] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(20340),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1263),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1264] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17465),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1264),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1265] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17466),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1265),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1266] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16657),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1266),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1267] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17617),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1267),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1268] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17648),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1268),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1269] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17655),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1269),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1270] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17658),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1270),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1271] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17685),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1271),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1272] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17688),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1272),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1273] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17689),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1273),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1274] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16720),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1274),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1275] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(17820),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1275),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1276] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17861),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1276),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1277] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17863),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1277),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1278] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17865),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1278),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1279] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17890),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1279),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1280] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17892),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1280),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1281] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(17894),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1281),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1282] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17368),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1282),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1283] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(18043),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1283),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1284] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18087),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1284),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1285] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18099),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1285),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1286] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18101),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1286),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1287] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18128),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1287),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1288] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18131),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1288),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1289] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11513),
    [sym__sequence_expression] = STATE(18132),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1289),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1290] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(16779),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1290),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1291] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17369),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1291),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1292] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8361),
    [sym__sequence_expression] = STATE(10208),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(1292),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1293] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19184),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1293),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1294] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19249),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1294),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1295] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19252),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1295),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1296] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17195),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1296),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1297] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17196),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1297),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1298] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12491),
    [sym__sequence_expression] = STATE(7797),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8500),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1298),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1299] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8361),
    [sym__sequence_expression] = STATE(10302),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(1299),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1300] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19993),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1300),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1301] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(20058),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1301),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1302] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(20063),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1302),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1303] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8361),
    [sym__sequence_expression] = STATE(10204),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(1303),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1304] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8361),
    [sym__sequence_expression] = STATE(10281),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(1304),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1305] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18404),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1305),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1306] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19813),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1306),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1307] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19890),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1307),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1308] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8361),
    [sym__sequence_expression] = STATE(10277),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(1308),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1309] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8532),
    [sym__sequence_expression] = STATE(8056),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(1309),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1310] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12469),
    [sym__sequence_expression] = STATE(19663),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1310),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1311] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19411),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1311),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1312] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19884),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1312),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1313] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19906),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1313),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1314] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8532),
    [sym__sequence_expression] = STATE(8013),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(1314),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1315] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8532),
    [sym__sequence_expression] = STATE(8014),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(1315),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1316] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8532),
    [sym__sequence_expression] = STATE(8015),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(1316),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1317] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17819),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1317),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1318] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17884),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1318),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1319] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17888),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1319),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1320] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8393),
    [sym__sequence_expression] = STATE(5323),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(1320),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1321] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8300),
    [sym__sequence_expression] = STATE(8056),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(1321),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1322] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8300),
    [sym__sequence_expression] = STATE(8013),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(1322),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1323] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18297),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1323),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1324] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18341),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1324),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1325] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18346),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1325),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1326] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8300),
    [sym__sequence_expression] = STATE(8014),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(1326),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1327] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8300),
    [sym__sequence_expression] = STATE(8015),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(1327),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1328] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8300),
    [sym__sequence_expression] = STATE(8114),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(1328),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1329] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18663),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1329),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1330] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18730),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1330),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1331] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18738),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1331),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1332] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8300),
    [sym__sequence_expression] = STATE(8002),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(1332),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1333] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8300),
    [sym__sequence_expression] = STATE(8115),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(1333),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1334] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8532),
    [sym__sequence_expression] = STATE(8114),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(1334),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1335] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19014),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1335),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1336] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19050),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1336),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1337] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19056),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1337),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1338] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8783),
    [sym__sequence_expression] = STATE(5323),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(1338),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1339] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19282),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1339),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1340] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19327),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1340),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1341] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19329),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1341),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1342] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8532),
    [sym__sequence_expression] = STATE(8002),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(1342),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1343] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8532),
    [sym__sequence_expression] = STATE(8115),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(1343),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1344] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19662),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1344),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1345] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19704),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1345),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1346] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(19710),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1346),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1347] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9842),
    [sym__sequence_expression] = STATE(7737),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1347),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1348] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(20044),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1348),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1349] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(20109),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1349),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1350] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(20114),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1350),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1351] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8308),
    [sym__sequence_expression] = STATE(10302),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(1351),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1352] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17476),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1352),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1353] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17486),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1353),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1354] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17487),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1354),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1355] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9842),
    [sym__sequence_expression] = STATE(7743),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1355),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1356] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9842),
    [sym__sequence_expression] = STATE(7745),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1356),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1357] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17542),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1357),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1358] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17551),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1358),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1359] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17552),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1359),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1360] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9842),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1360),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1361] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9842),
    [sym__sequence_expression] = STATE(7758),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1361),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1362] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17597),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1362),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1363] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17606),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1363),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1364] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17607),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1364),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1365] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8271),
    [sym__sequence_expression] = STATE(7399),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1365),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1366] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8203),
    [sym__sequence_expression] = STATE(8056),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1366),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1367] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17651),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1367),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1368] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17660),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1368),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1369] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17661),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1369),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1370] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8203),
    [sym__sequence_expression] = STATE(8013),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1370),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1371] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8203),
    [sym__sequence_expression] = STATE(8014),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1371),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1372] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17706),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1372),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1373] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17715),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1373),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1374] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17716),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1374),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1375] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8203),
    [sym__sequence_expression] = STATE(8015),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1375),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1376] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8203),
    [sym__sequence_expression] = STATE(8114),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1376),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1377] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17761),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1377),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1378] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17770),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1378),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1379] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17771),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1379),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1380] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8203),
    [sym__sequence_expression] = STATE(8002),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1380),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1381] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8203),
    [sym__sequence_expression] = STATE(8115),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1381),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1382] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17816),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1382),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1383] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17825),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1383),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1384] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17826),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1384),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1385] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(5323),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1385),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1386] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9842),
    [sym__sequence_expression] = STATE(7775),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1386),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1387] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17871),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1387),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1388] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17880),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1388),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1389] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17881),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1389),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1390] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17926),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1390),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1391] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17935),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1391),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1392] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17936),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1392),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1393] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9842),
    [sym__sequence_expression] = STATE(7797),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1393),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1394] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17981),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1394),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1395] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17990),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1395),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1396] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(17991),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1396),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1397] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18036),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1397),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1398] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18045),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1398),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1399] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18046),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1399),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1400] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8187),
    [sym__sequence_expression] = STATE(8056),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(1400),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1401] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18080),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1401),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1402] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18088),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1402),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1403] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18089),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1403),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1404] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12797),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1404),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1405] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18121),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1405),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1406] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18129),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1406),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1407] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18130),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1407),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1408] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8187),
    [sym__sequence_expression] = STATE(8013),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(1408),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1409] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8187),
    [sym__sequence_expression] = STATE(8014),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(1409),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1410] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18162),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1410),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1411] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18170),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1411),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1412] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18171),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1412),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1413] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8187),
    [sym__sequence_expression] = STATE(8015),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(1413),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1414] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12062),
    [sym__sequence_expression] = STATE(10225),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(1414),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1415] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18203),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1415),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1416] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18211),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1416),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1417] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18212),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1417),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1418] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(8056),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(1418),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1419] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(8013),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(1419),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1420] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18244),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1420),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1421] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18252),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1421),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1422] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18253),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1422),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1423] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(8014),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(1423),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1424] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(8015),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(1424),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1425] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18285),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1425),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1426] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18293),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1426),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1427] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18294),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1427),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1428] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(8114),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(1428),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1429] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(8002),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(1429),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1430] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18326),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1430),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1431] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18334),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1431),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1432] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18335),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1432),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1433] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8353),
    [sym__sequence_expression] = STATE(8115),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(1433),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1434] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8187),
    [sym__sequence_expression] = STATE(8114),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(1434),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1435] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18367),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1435),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1436] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18375),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1436),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1437] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18376),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1437),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1438] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8308),
    [sym__sequence_expression] = STATE(7399),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(1438),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1439] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18408),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1439),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1440] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18416),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1440),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1441] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18417),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1441),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1442] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8187),
    [sym__sequence_expression] = STATE(8002),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(1442),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1443] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18449),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1443),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1444] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18457),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1444),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1445] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18458),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1445),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1446] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8187),
    [sym__sequence_expression] = STATE(8115),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(1446),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1447] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18490),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1447),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1448] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18498),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1448),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1449] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18499),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1449),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1450] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18530),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1450),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1451] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18538),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1451),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1452] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18539),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1452),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1453] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18569),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1453),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1454] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18577),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1454),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1455] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18578),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1455),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1456] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8341),
    [sym__sequence_expression] = STATE(8056),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(1456),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1457] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9871),
    [sym__sequence_expression] = STATE(12923),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1457),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1458] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18608),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1458),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1459] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18616),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1459),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1460] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18617),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1460),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1461] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8341),
    [sym__sequence_expression] = STATE(8013),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(1461),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1462] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8341),
    [sym__sequence_expression] = STATE(8014),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(1462),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1463] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18647),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1463),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1464] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18655),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1464),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1465] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18656),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1465),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1466] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(11962),
    [sym__sequence_expression] = STATE(10225),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(10278),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(1466),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1467] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9500),
    [sym__sequence_expression] = STATE(7737),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(1467),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1468] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18686),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1468),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1469] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18694),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1469),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1470] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18695),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1470),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1471] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9500),
    [sym__sequence_expression] = STATE(7743),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(1471),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1472] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9500),
    [sym__sequence_expression] = STATE(7745),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(1472),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1473] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18724),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1473),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1474] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18732),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1474),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1475] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18733),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1475),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1476] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9500),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(1476),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1477] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9500),
    [sym__sequence_expression] = STATE(7758),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(1477),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1478] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18762),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1478),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1479] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18770),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1479),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1480] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18771),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1480),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1481] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9500),
    [sym__sequence_expression] = STATE(7775),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(1481),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1482] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9500),
    [sym__sequence_expression] = STATE(7797),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(8106),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(1482),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1483] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18799),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1483),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1484] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18807),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1484),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1485] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18808),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1485),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1486] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8341),
    [sym__sequence_expression] = STATE(8015),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(1486),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1487] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8341),
    [sym__sequence_expression] = STATE(8114),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(1487),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1488] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18836),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1488),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1489] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18840),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1489),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1490] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18841),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1490),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1491] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18860),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1491),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1492] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18864),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1492),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1493] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12564),
    [sym__sequence_expression] = STATE(18865),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1493),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1494] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12379),
    [sym__sequence_expression] = STATE(17178),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(1494),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1495] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12379),
    [sym__sequence_expression] = STATE(17187),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(1495),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1496] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12379),
    [sym__sequence_expression] = STATE(17209),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(1496),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1497] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12379),
    [sym__sequence_expression] = STATE(17216),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_sequence_expression] = STATE(7488),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(1497),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1498] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12569),
    [sym__sequence_expression] = STATE(17388),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_sequence_expression] = STATE(5329),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1498),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1499] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1499),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3271),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1500] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12134),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1500),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3273),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1501] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1501),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3275),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1502] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1502),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1503] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12138),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1503),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3279),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1504] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1504),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3281),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1505] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12333),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1505),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3283),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1506] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12344),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1506),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3285),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1507] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1507),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3287),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1508] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1508),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3289),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1509] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1509),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3291),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1510] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1510),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1511] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1511),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3295),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1512] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1512),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3297),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1513] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1513),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1514] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1514),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3301),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1515] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1515),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3303),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1516] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12050),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1516),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3305),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1517] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12053),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1517),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1518] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1518),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1519] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1519),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3311),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1520] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1520),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3313),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1521] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1521),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3315),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1522] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1522),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1523] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1523),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3319),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1524] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1524),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3321),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1525] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1525),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3323),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1526] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1526),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1527] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1527),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3327),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1528] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12157),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1528),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3329),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1529] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12158),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1529),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3331),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1530] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1530),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3333),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1531] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12173),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1531),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3335),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1532] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1532),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3337),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1533] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1533),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1534] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1534),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3341),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1535] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12243),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1535),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1536] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1536),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3345),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1537] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1537),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1538] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1538),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3349),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1539] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12125),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1539),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3351),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1540] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12152),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1540),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1541] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1541),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3355),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1542] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1542),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1543] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12348),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1543),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3359),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1544] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1544),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3361),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1545] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1545),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1546] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12180),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1546),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3365),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1547] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12183),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1547),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1548] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12354),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1548),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3369),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1549] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1549),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3371),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1550] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1550),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3373),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1551] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1551),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1552] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1552),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3377),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1553] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1553),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1554] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1554),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3381),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1555] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1555),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3383),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1556] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1556),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3385),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1557] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12350),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1557),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3387),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1558] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1558),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3389),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1559] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1559),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3391),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1560] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12203),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1560),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3393),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1561] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12207),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1561),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3395),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1562] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12352),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1562),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1563] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1563),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3399),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1564] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1564),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3401),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1565] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1565),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1566] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1566),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1567] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1567),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3407),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1568] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1568),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3409),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1569] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1569),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3411),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1570] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1570),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3413),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1571] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12075),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1571),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3415),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1572] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12228),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1572),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3417),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1573] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12229),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1573),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3419),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1574] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1574),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3421),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1575] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12108),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1575),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3423),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1576] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12111),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1576),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3425),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1577] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1577),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1578] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1578),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3429),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1579] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1579),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3431),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1580] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1580),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3433),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1581] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1581),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3435),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1582] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1582),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3437),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1583] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1583),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3439),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1584] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1584),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3441),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1585] = {
    [sym__simple_expression] = STATE(3159),
    [sym_typed_expression] = STATE(3151),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_labeled_argument] = STATE(4151),
    [sym_prefix_expression] = STATE(3151),
    [sym_hash_expression] = STATE(3151),
    [sym_field_get_expression] = STATE(3151),
    [sym_array_get_expression] = STATE(3151),
    [sym_string_get_expression] = STATE(3151),
    [sym_bigarray_get_expression] = STATE(3151),
    [sym_coercion_expression] = STATE(3151),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(1585),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [aux_sym_class_application_repeat1] = STATE(1705),
    [sym__lowercase_identifier] = ACTIONS(3065),
    [anon_sym_SEMI_SEMI] = ACTIONS(3443),
    [anon_sym_let] = ACTIONS(3445),
    [anon_sym_and] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3071),
    [anon_sym_QMARK] = ACTIONS(3071),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_external] = ACTIONS(3445),
    [anon_sym_type] = ACTIONS(3445),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_exception] = ACTIONS(3445),
    [anon_sym_module] = ACTIONS(3445),
    [anon_sym_open] = ACTIONS(3445),
    [anon_sym_include] = ACTIONS(3445),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_end] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_in] = ACTIONS(3445),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3445),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3443),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(399),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3443),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3443),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym_let_operator] = ACTIONS(3443),
    [sym_let_and_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_directive_token1] = ACTIONS(3443),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1586] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1586),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3447),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1587] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12181),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1587),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3449),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1588] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1588),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3451),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1589] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12269),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1589),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3453),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1590] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12271),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1590),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3455),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1591] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12186),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1591),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3457),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1592] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1592),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3459),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1593] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1593),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3461),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1594] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1594),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3463),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1595] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1595),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3465),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1596] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1596),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3467),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1597] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1597),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3469),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1598] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1598),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3471),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1599] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1599),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3473),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1600] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1600),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3475),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1601] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1601),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3477),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1602] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12285),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1602),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3479),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1603] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12286),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1603),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3481),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1604] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12351),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1604),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3483),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1605] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1605),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3485),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1606] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1606),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3487),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1607] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1607),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3489),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1608] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1608),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3491),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1609] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1609),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3493),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1610] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1610),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3495),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1611] = {
    [sym__simple_expression] = STATE(3087),
    [sym_typed_expression] = STATE(3021),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_labeled_argument] = STATE(4129),
    [sym_prefix_expression] = STATE(3021),
    [sym_hash_expression] = STATE(3021),
    [sym_field_get_expression] = STATE(3021),
    [sym_array_get_expression] = STATE(3021),
    [sym_string_get_expression] = STATE(3021),
    [sym_bigarray_get_expression] = STATE(3021),
    [sym_coercion_expression] = STATE(3021),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(1611),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [aux_sym_class_application_repeat1] = STATE(1611),
    [sym__lowercase_identifier] = ACTIONS(3497),
    [anon_sym_SEMI_SEMI] = ACTIONS(3500),
    [anon_sym_let] = ACTIONS(3502),
    [anon_sym_and] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3504),
    [anon_sym_QMARK] = ACTIONS(3504),
    [anon_sym_LPAREN] = ACTIONS(3507),
    [anon_sym_external] = ACTIONS(3502),
    [anon_sym_type] = ACTIONS(3502),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(3510),
    [anon_sym_RBRACK] = ACTIONS(3500),
    [anon_sym_true] = ACTIONS(3513),
    [anon_sym_false] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(3516),
    [anon_sym_SEMI] = ACTIONS(3502),
    [anon_sym_exception] = ACTIONS(3502),
    [anon_sym_module] = ACTIONS(3502),
    [anon_sym_open] = ACTIONS(3502),
    [anon_sym_include] = ACTIONS(3502),
    [anon_sym_class] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(3519),
    [anon_sym_in] = ACTIONS(3502),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3522),
    [anon_sym_else] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3525),
    [anon_sym_LBRACE_LT] = ACTIONS(3528),
    [anon_sym_begin] = ACTIONS(3531),
    [sym_ocamlyacc_value] = ACTIONS(3534),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3502),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3500),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3540),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3500),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3500),
    [aux_sym_number_token1] = ACTIONS(3543),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(3546),
    [anon_sym_DQUOTE] = ACTIONS(3549),
    [sym_prefix_operator] = ACTIONS(3552),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym_let_operator] = ACTIONS(3500),
    [sym_let_and_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(3555),
    [aux_sym_directive_token1] = ACTIONS(3500),
    [aux_sym_tag_token1] = ACTIONS(3558),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1612] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12402),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1612),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3561),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1613] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12403),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1613),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3563),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1614] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12306),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1614),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3565),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1615] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12308),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1615),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3567),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1616] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12279),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1616),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3569),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1617] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12301),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1617),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3571),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1618] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12398),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1618),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3573),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1619] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12401),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1619),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3575),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1620] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1620),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3577),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1621] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1621),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3579),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1622] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1622),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3581),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1623] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1623),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3583),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1624] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1624),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3585),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1625] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1625),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3587),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1626] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1626),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3589),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1627] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1627),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3591),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1628] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12318),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1628),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3593),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1629] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12320),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1629),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3595),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1630] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1630),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3597),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1631] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1631),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3599),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1632] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12330),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1632),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3601),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1633] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12336),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1633),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3603),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1634] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1634),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3605),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1635] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1635),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1636] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1636),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3609),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1637] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1637),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3611),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1638] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1638),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3613),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1639] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1639),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3615),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1640] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1640),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3617),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1641] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1641),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3619),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1642] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1642),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3621),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1643] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1643),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3623),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1644] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1644),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3625),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1645] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12337),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1645),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3627),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1646] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12338),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1646),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3629),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1647] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1647),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3631),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1648] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1648),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3633),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1649] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1649),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3635),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1650] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1650),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3637),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1651] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1651),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3639),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1652] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1652),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3641),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1653] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1653),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3643),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1654] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1654),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3645),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1655] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1655),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3647),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1656] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12238),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1656),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3649),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1657] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12239),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1657),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3651),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1658] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12063),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1658),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3653),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1659] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12363),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1659),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3655),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1660] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12364),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1660),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3657),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1661] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12065),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1661),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3659),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1662] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1662),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3661),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1663] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1663),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3663),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1664] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1664),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3665),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1665] = {
    [sym__simple_expression] = STATE(4094),
    [sym_typed_expression] = STATE(4019),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_labeled_argument] = STATE(4533),
    [sym_prefix_expression] = STATE(4019),
    [sym_hash_expression] = STATE(4019),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_coercion_expression] = STATE(4019),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(1665),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [aux_sym_class_application_repeat1] = STATE(2401),
    [sym__lowercase_identifier] = ACTIONS(3667),
    [anon_sym_SEMI_SEMI] = ACTIONS(3067),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_TILDE] = ACTIONS(3669),
    [anon_sym_QMARK] = ACTIONS(3669),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_external] = ACTIONS(3069),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_DOT] = ACTIONS(3671),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_SEMI] = ACTIONS(3069),
    [anon_sym_exception] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_open] = ACTIONS(3069),
    [anon_sym_include] = ACTIONS(3069),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_end] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_POUND] = ACTIONS(3673),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_else] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3069),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3067),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(899),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(901),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(3675),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym_let_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_directive_token1] = ACTIONS(3069),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1666] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1666),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3677),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1667] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1667),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3679),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1668] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1668),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3681),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1669] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1669),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3683),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1670] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1670),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3685),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1671] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1671),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3687),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1672] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12380),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1672),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3689),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1673] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12385),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1673),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3691),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1674] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1674),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3693),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1675] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1675),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3695),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1676] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1676),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3697),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1677] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1677),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3699),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1678] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1678),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3701),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1679] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12342),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1679),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3703),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1680] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1680),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3705),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1681] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1681),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3707),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1682] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1682),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3709),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1683] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1683),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3711),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1684] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1684),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3713),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1685] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12230),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1685),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3715),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1686] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12310),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1686),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3717),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1687] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1687),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3719),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1688] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12095),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1688),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3721),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1689] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12358),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1689),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3723),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1690] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1690),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3725),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1691] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1691),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3727),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1692] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12098),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1692),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3729),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1693] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1693),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3731),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1694] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12113),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1694),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3733),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1695] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1695),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3735),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1696] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1696),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3737),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1697] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12135),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1697),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3739),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1698] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1698),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3741),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1699] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12102),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1699),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3743),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1700] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12297),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1700),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3745),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1701] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12314),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1701),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3747),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1702] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1702),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3749),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1703] = {
    [sym__simple_expression] = STATE(3956),
    [sym_typed_expression] = STATE(4049),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_labeled_argument] = STATE(4520),
    [sym_prefix_expression] = STATE(4049),
    [sym_hash_expression] = STATE(4049),
    [sym_field_get_expression] = STATE(4049),
    [sym_array_get_expression] = STATE(4049),
    [sym_string_get_expression] = STATE(4049),
    [sym_bigarray_get_expression] = STATE(4049),
    [sym_coercion_expression] = STATE(4049),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(1703),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [aux_sym_class_application_repeat1] = STATE(2399),
    [sym__lowercase_identifier] = ACTIONS(3751),
    [anon_sym_SEMI_SEMI] = ACTIONS(3067),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_TILDE] = ACTIONS(3753),
    [anon_sym_QMARK] = ACTIONS(3753),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_external] = ACTIONS(3069),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(3067),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_DOT] = ACTIONS(3755),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(3069),
    [anon_sym_exception] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_open] = ACTIONS(3069),
    [anon_sym_include] = ACTIONS(3069),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_POUND] = ACTIONS(3757),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_else] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3069),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3067),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(847),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(849),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(3759),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym_let_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_directive_token1] = ACTIONS(3069),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1704] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12132),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1704),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3761),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1705] = {
    [sym__simple_expression] = STATE(3159),
    [sym_typed_expression] = STATE(3151),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_labeled_argument] = STATE(4151),
    [sym_prefix_expression] = STATE(3151),
    [sym_hash_expression] = STATE(3151),
    [sym_field_get_expression] = STATE(3151),
    [sym_array_get_expression] = STATE(3151),
    [sym_string_get_expression] = STATE(3151),
    [sym_bigarray_get_expression] = STATE(3151),
    [sym_coercion_expression] = STATE(3151),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(1705),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [aux_sym_class_application_repeat1] = STATE(1705),
    [sym__lowercase_identifier] = ACTIONS(3763),
    [anon_sym_SEMI_SEMI] = ACTIONS(3500),
    [anon_sym_let] = ACTIONS(3502),
    [anon_sym_and] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3766),
    [anon_sym_QMARK] = ACTIONS(3766),
    [anon_sym_LPAREN] = ACTIONS(3769),
    [anon_sym_external] = ACTIONS(3502),
    [anon_sym_type] = ACTIONS(3502),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(3772),
    [anon_sym_true] = ACTIONS(3775),
    [anon_sym_false] = ACTIONS(3775),
    [anon_sym_LBRACE] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3502),
    [anon_sym_exception] = ACTIONS(3502),
    [anon_sym_module] = ACTIONS(3502),
    [anon_sym_open] = ACTIONS(3502),
    [anon_sym_include] = ACTIONS(3502),
    [anon_sym_class] = ACTIONS(3502),
    [anon_sym_end] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(3781),
    [anon_sym_in] = ACTIONS(3502),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3784),
    [anon_sym_else] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3787),
    [anon_sym_LBRACE_LT] = ACTIONS(3790),
    [anon_sym_begin] = ACTIONS(3793),
    [sym_ocamlyacc_value] = ACTIONS(3796),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3502),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3500),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3799),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3500),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3500),
    [aux_sym_number_token1] = ACTIONS(3805),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(3808),
    [anon_sym_DQUOTE] = ACTIONS(3811),
    [sym_prefix_operator] = ACTIONS(3814),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym_let_operator] = ACTIONS(3500),
    [sym_let_and_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(3817),
    [aux_sym_directive_token1] = ACTIONS(3500),
    [aux_sym_tag_token1] = ACTIONS(3820),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1706] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1706),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3823),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1707] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1707),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3825),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1708] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1708),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3827),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1709] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1709),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3829),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1710] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12198),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1710),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3831),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1711] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1711),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3833),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1712] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1712),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3835),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1713] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12104),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1713),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3837),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1714] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12107),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1714),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3839),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1715] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12190),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1715),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3841),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1716] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12224),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1716),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3843),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1717] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12205),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1717),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3845),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1718] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1718),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3847),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1719] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1719),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3849),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1720] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1720),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3851),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1721] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1721),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3853),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1722] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1722),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3855),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1723] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1723),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1724] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1724),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3859),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1725] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12124),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1725),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3861),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1726] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12406),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1726),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3863),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1727] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12409),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1727),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3865),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1728] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1728),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3867),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1729] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1729),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3869),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1730] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1730),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3871),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1731] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1731),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3873),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1732] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12126),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1732),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3875),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1733] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1733),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3877),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1734] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1734),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3879),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1735] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1735),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3881),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1736] = {
    [sym__simple_expression] = STATE(3087),
    [sym_typed_expression] = STATE(3021),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_labeled_argument] = STATE(4129),
    [sym_prefix_expression] = STATE(3021),
    [sym_hash_expression] = STATE(3021),
    [sym_field_get_expression] = STATE(3021),
    [sym_array_get_expression] = STATE(3021),
    [sym_string_get_expression] = STATE(3021),
    [sym_bigarray_get_expression] = STATE(3021),
    [sym_coercion_expression] = STATE(3021),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(1736),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [aux_sym_class_application_repeat1] = STATE(1611),
    [sym__lowercase_identifier] = ACTIONS(3099),
    [anon_sym_SEMI_SEMI] = ACTIONS(3443),
    [anon_sym_let] = ACTIONS(3445),
    [anon_sym_and] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3101),
    [anon_sym_QMARK] = ACTIONS(3101),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_external] = ACTIONS(3445),
    [anon_sym_type] = ACTIONS(3445),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_RBRACK] = ACTIONS(3443),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_exception] = ACTIONS(3445),
    [anon_sym_module] = ACTIONS(3445),
    [anon_sym_open] = ACTIONS(3445),
    [anon_sym_include] = ACTIONS(3445),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(3445),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_else] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3445),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3443),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(341),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(343),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3443),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3443),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym_let_operator] = ACTIONS(3443),
    [sym_let_and_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_directive_token1] = ACTIONS(3443),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1737] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1737),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3883),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1738] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12123),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1738),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3885),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1739] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12139),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1739),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3887),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1740] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12295),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1740),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3889),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1741] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12299),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1741),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3891),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1742] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1742),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3893),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1743] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1743),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3895),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1744] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1744),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3897),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1745] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1745),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3899),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1746] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1746),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3901),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1747] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12281),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1747),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3903),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1748] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12282),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1748),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3905),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1749] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1749),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3907),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1750] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1750),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3909),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1751] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1751),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3911),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1752] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12261),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1752),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3913),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1753] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12264),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1753),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3915),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1754] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1754),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3917),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1755] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1755),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3919),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1756] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1756),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3921),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1757] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8269),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(1757),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1758] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8521),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(1758),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1759] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8522),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(1759),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1760] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8523),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(1760),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1761] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10348),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(1761),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1762] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10463),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1762),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1763] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8524),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(1763),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1764] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10465),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1764),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1765] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10466),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1765),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1766] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1766),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1767] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10468),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1767),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1768] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10469),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1768),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1769] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10470),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1769),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1770] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10471),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1770),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1771] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10472),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1771),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1772] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10473),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1772),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1773] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10474),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1773),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1774] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12051),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1774),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1775] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8525),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(1775),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1776] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12067),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1776),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1777] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12068),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1777),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1778] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12070),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1778),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1779] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12072),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1779),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1780] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12073),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1780),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1781] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12079),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1781),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1782] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12081),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1782),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1783] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12082),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1783),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1784] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12093),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1784),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1785] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12094),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1785),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1786] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12097),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1786),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1787] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8526),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(1787),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1788] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8527),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(1788),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1789] = {
    [sym_value_definition] = STATE(18630),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12128),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6115),
    [sym_array_get_expression] = STATE(6115),
    [sym_string_get_expression] = STATE(6115),
    [sym_bigarray_get_expression] = STATE(6115),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1789),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1774),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18579),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2619),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2623),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2645),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1790] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12064),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1790),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1791] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12298),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1791),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1792] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12302),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1792),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1793] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12304),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1793),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1794] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12305),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1794),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1795] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12307),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1795),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1796] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12311),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1796),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1797] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12312),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1797),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1798] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12313),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1798),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1799] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12315),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1799),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1800] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12317),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1800),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1801] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12319),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1801),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1802] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8528),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(1802),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1803] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8529),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(1803),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1804] = {
    [sym_value_definition] = STATE(19432),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12332),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6116),
    [sym_array_get_expression] = STATE(6116),
    [sym_string_get_expression] = STATE(6116),
    [sym_bigarray_get_expression] = STATE(6116),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1804),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1790),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(19393),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2711),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1805] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8530),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(1805),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1806] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12410),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1806),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1807] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12100),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1807),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1808] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12099),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1808),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1809] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12109),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1809),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1810] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12232),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1810),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1811] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12240),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1811),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1812] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12259),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1812),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1813] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12273),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1813),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1814] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12088),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1814),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1815] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12141),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1815),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1816] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12167),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1816),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1817] = {
    [sym__simple_expression] = STATE(4373),
    [sym_typed_expression] = STATE(4374),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_labeled_argument] = STATE(4586),
    [sym_prefix_expression] = STATE(4374),
    [sym_hash_expression] = STATE(4374),
    [sym_field_get_expression] = STATE(4374),
    [sym_array_get_expression] = STATE(4374),
    [sym_string_get_expression] = STATE(4374),
    [sym_bigarray_get_expression] = STATE(4374),
    [sym_coercion_expression] = STATE(4374),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(1817),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [aux_sym_class_application_repeat1] = STATE(2406),
    [sym__lowercase_identifier] = ACTIONS(3923),
    [anon_sym_SEMI_SEMI] = ACTIONS(3067),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_TILDE] = ACTIONS(3925),
    [anon_sym_QMARK] = ACTIONS(3925),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(3069),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(3067),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(3927),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_SEMI] = ACTIONS(3069),
    [anon_sym_exception] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_open] = ACTIONS(3069),
    [anon_sym_include] = ACTIONS(3069),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_POUND] = ACTIONS(3929),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3069),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3067),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(3931),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym_let_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(3069),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1818] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10558),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1818),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1819] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12404),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1819),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1820] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8443),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(1820),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1821] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12270),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1821),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1822] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12289),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1822),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1823] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12296),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1823),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1824] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12309),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1824),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1825] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12322),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1825),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1826] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12323),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1826),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1827] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12325),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1827),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1828] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12329),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1828),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1829] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12347),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1829),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1830] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12395),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1830),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1831] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12397),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1831),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1832] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12408),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1832),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1833] = {
    [sym_value_definition] = STATE(17956),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12066),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6118),
    [sym_array_get_expression] = STATE(6118),
    [sym_string_get_expression] = STATE(6118),
    [sym_bigarray_get_expression] = STATE(6118),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1833),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1821),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(20098),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2791),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2815),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1834] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9374),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1834),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1835] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9611),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1835),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1836] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9618),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1836),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1837] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9628),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1837),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1838] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9643),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1838),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1839] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9644),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1839),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1840] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9645),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1840),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1841] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9647),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1841),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1842] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9648),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1842),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1843] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9649),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1843),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1844] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9651),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1844),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1845] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9656),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1845),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1846] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12581),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1846),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1847] = {
    [sym_value_definition] = STATE(17693),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9351),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4770),
    [sym_array_get_expression] = STATE(4770),
    [sym_string_get_expression] = STATE(4770),
    [sym_bigarray_get_expression] = STATE(4770),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(1847),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(1834),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1017),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1049),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1848] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12359),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(1848),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1849] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12598),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1849),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1850] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12084),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(1850),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1851] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12114),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(1851),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1852] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12115),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(1852),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1853] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12116),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(1853),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1854] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12117),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(1854),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1855] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12118),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(1855),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1856] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12119),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(1856),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1857] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12146),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(1857),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1858] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12155),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(1858),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1859] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12160),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(1859),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1860] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12182),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(1860),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1861] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12602),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1861),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1862] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12603),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1862),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1863] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12604),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1863),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1864] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12606),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1864),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1865] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12204),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(1865),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1866] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12607),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1866),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1867] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11895),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(1867),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1868] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12609),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1868),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1869] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11849),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(1869),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1870] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12610),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1870),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1871] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11875),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(1871),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1872] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11876),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(1872),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1873] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11877),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(1873),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1874] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11878),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(1874),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1875] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11922),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(1875),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1876] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11931),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(1876),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1877] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11932),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(1877),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1878] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11936),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(1878),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1879] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11937),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(1879),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1880] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11939),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(1880),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1881] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12611),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1881),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1882] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12612),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1882),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1883] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12614),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1883),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1884] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11993),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(1884),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1885] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11952),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(1885),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1886] = {
    [sym_value_definition] = STATE(19504),
    [sym__simple_expression] = STATE(2466),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(6676),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6676),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6676),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6643),
    [sym_array_get_expression] = STATE(6643),
    [sym_string_get_expression] = STATE(6643),
    [sym_bigarray_get_expression] = STATE(6643),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6676),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(1886),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym_sign_operator] = STATE(1846),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__instance_variable_name] = STATE(18332),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [sym__lowercase_identifier] = ACTIONS(2599),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_fun] = ACTIONS(2917),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2927),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1887] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12625),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1887),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1888] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12249),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(1888),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1889] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12130),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(1889),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1890] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12131),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(1890),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1891] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12133),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(1891),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1892] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12137),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(1892),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1893] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12140),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(1893),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1894] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12142),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(1894),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1895] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12144),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(1895),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1896] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12145),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(1896),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1897] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12147),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(1897),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1898] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12148),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(1898),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1899] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12151),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(1899),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1900] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12536),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1900),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1901] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1901),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1902] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12579),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1902),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1903] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12587),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1903),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1904] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12164),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(1904),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1905] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12613),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1905),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1906] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12626),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1906),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1907] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12432),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1907),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1908] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12433),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1908),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1909] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12439),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1909),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1910] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12442),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1910),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1911] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12448),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1911),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1912] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12449),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1912),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1913] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12003),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1913),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1914] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12353),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(1914),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1915] = {
    [sym_value_definition] = STATE(18470),
    [sym__simple_expression] = STATE(2470),
    [sym__expression] = STATE(12447),
    [sym_typed_expression] = STATE(6940),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6940),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6940),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6937),
    [sym_array_get_expression] = STATE(6937),
    [sym_string_get_expression] = STATE(6937),
    [sym_bigarray_get_expression] = STATE(6937),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6940),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(1915),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym_sign_operator] = STATE(1887),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__instance_variable_name] = STATE(17951),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [sym__lowercase_identifier] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_fun] = ACTIONS(2903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2907),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2913),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1916] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12251),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(1916),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1917] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12201),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(1917),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1918] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12208),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(1918),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1919] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12211),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(1919),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1920] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12212),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(1920),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1921] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12213),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(1921),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1922] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12214),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(1922),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1923] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12217),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(1923),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1924] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12218),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(1924),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1925] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12219),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(1925),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1926] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12222),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(1926),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1927] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12223),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(1927),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1928] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12246),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(1928),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1929] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12567),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1929),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1930] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12571),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1930),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1931] = {
    [sym_value_definition] = STATE(19176),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12057),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6445),
    [sym_array_get_expression] = STATE(6445),
    [sym_string_get_expression] = STATE(6445),
    [sym_bigarray_get_expression] = STATE(6445),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(1931),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(1848),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19152),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2563),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1932] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12646),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1932),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1933] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12429),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1933),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1934] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12502),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1934),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1935] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12503),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1935),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1936] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12526),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1936),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1937] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12527),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1937),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1938] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12499),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1938),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1939] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12594),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1939),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1940] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12619),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1940),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1941] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12443),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1941),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1942] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8350),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(1942),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1943] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8261),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(1943),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1944] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8302),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(1944),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1945] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8303),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(1945),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1946] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8305),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(1946),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1947] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8306),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(1947),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1948] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8307),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(1948),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1949] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8309),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(1949),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1950] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8310),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(1950),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1951] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8311),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(1951),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1952] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8312),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(1952),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1953] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8314),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(1953),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1954] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8256),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(1954),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1955] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(657),
    [sym__expression] = STATE(8277),
    [sym_typed_expression] = STATE(3831),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3831),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3831),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3326),
    [sym_array_get_expression] = STATE(3326),
    [sym_string_get_expression] = STATE(3326),
    [sym_bigarray_get_expression] = STATE(3326),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3831),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(1955),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym_sign_operator] = STATE(1943),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__instance_variable_name] = STATE(19071),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [sym__lowercase_identifier] = ACTIONS(701),
    [anon_sym_let] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_fun] = ACTIONS(715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(723),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3111),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(747),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1956] = {
    [sym_value_definition] = STATE(18097),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12455),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(1956),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1929),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(19940),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2935),
    [anon_sym_function] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2941),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1957] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12471),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1957),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1958] = {
    [sym_value_definition] = STATE(19801),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(12399),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6486),
    [sym_array_get_expression] = STATE(6486),
    [sym_string_get_expression] = STATE(6486),
    [sym_bigarray_get_expression] = STATE(6486),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(1958),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(1888),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2591),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2597),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1959] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12535),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1959),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1960] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12639),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(1960),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1961] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12542),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1961),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1962] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12543),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1962),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1963] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12550),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1963),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1964] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12551),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1964),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1965] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8225),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1965),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1966] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12552),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1966),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1967] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8190),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1967),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1968] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8192),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1968),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1969] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8193),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1969),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1970] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8195),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1970),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1971] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8196),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1971),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1972] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8197),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1972),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1973] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8199),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1973),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1974] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8200),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1974),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1975] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8201),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1975),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1976] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8202),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1976),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1977] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8204),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1977),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1978] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12553),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1978),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1979] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12555),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1979),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1980] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12556),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1980),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1981] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12557),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1981),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1982] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12560),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1982),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1983] = {
    [sym_value_definition] = STATE(17674),
    [sym__simple_expression] = STATE(516),
    [sym__expression] = STATE(8206),
    [sym_typed_expression] = STATE(3361),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3361),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3361),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3205),
    [sym_array_get_expression] = STATE(3205),
    [sym_string_get_expression] = STATE(3205),
    [sym_bigarray_get_expression] = STATE(3205),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3361),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(1983),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym_sign_operator] = STATE(1965),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__instance_variable_name] = STATE(17555),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [sym__lowercase_identifier] = ACTIONS(537),
    [anon_sym_let] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_fun] = ACTIONS(551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(557),
    [anon_sym_function] = ACTIONS(559),
    [anon_sym_try] = ACTIONS(561),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1984] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12247),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6517),
    [sym_array_get_expression] = STATE(6517),
    [sym_string_get_expression] = STATE(6517),
    [sym_bigarray_get_expression] = STATE(6517),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(1984),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(1916),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(17548),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2663),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1985] = {
    [sym_value_definition] = STATE(20152),
    [sym__simple_expression] = STATE(2469),
    [sym__expression] = STATE(12638),
    [sym_typed_expression] = STATE(6827),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6827),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6827),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6944),
    [sym_array_get_expression] = STATE(6944),
    [sym_string_get_expression] = STATE(6944),
    [sym_bigarray_get_expression] = STATE(6944),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6827),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(1985),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym_sign_operator] = STATE(1957),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [sym__lowercase_identifier] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_fun] = ACTIONS(2889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2899),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1986] = {
    [sym__simple_expression] = STATE(4246),
    [sym_typed_expression] = STATE(4397),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_labeled_argument] = STATE(4613),
    [sym_prefix_expression] = STATE(4397),
    [sym_hash_expression] = STATE(4397),
    [sym_field_get_expression] = STATE(4397),
    [sym_array_get_expression] = STATE(4397),
    [sym_string_get_expression] = STATE(4397),
    [sym_bigarray_get_expression] = STATE(4397),
    [sym_coercion_expression] = STATE(4397),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(1986),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [aux_sym_class_application_repeat1] = STATE(2405),
    [sym__lowercase_identifier] = ACTIONS(3933),
    [anon_sym_SEMI_SEMI] = ACTIONS(3067),
    [anon_sym_let] = ACTIONS(3069),
    [anon_sym_TILDE] = ACTIONS(3935),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_external] = ACTIONS(3069),
    [anon_sym_type] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_DOT] = ACTIONS(3937),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_SEMI] = ACTIONS(3069),
    [anon_sym_exception] = ACTIONS(3069),
    [anon_sym_module] = ACTIONS(3069),
    [anon_sym_open] = ACTIONS(3069),
    [anon_sym_include] = ACTIONS(3069),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_end] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_POUND] = ACTIONS(3939),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3069),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3067),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(461),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(463),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(3941),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym_let_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_directive_token1] = ACTIONS(3069),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1987] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8322),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(1987),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1988] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8533),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(1988),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1989] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8363),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(1989),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1990] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8366),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(1990),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1991] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8371),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(1991),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1992] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8392),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(1992),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1993] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8433),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(1993),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1994] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8379),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(1994),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1995] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8430),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(1995),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1996] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8317),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(1996),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1997] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8329),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(1997),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1998] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8334),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(1998),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1999] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8346),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(1999),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2000] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8390),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(2000),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2001] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8481),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(2001),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2002] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8438),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(2002),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2003] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8482),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(2003),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2004] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8483),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(2004),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2005] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8484),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(2005),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2006] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8485),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(2006),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2007] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8486),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(2007),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2008] = {
    [sym_value_definition] = STATE(19403),
    [sym__simple_expression] = STATE(1665),
    [sym__expression] = STATE(8377),
    [sym_typed_expression] = STATE(4019),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4019),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4019),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3821),
    [sym_array_get_expression] = STATE(3821),
    [sym_string_get_expression] = STATE(3821),
    [sym_bigarray_get_expression] = STATE(3821),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4019),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(2008),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym_sign_operator] = STATE(1987),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__instance_variable_name] = STATE(19299),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [sym__lowercase_identifier] = ACTIONS(865),
    [anon_sym_let] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_fun] = ACTIONS(879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(887),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(911),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2009] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8487),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(2009),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2010] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8488),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(2010),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2011] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8489),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(2011),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2012] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8490),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(2012),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2013] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9558),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2013),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2014] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9614),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2014),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2015] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9615),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2015),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2016] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9617),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2016),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2017] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9620),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2017),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2018] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9621),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2018),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2019] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9622),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2019),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2020] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9623),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2020),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2021] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9624),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2021),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2022] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9627),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2022),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2023] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9636),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2023),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2024] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9637),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2024),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2025] = {
    [sym_value_definition] = STATE(19404),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(8495),
    [sym_typed_expression] = STATE(4397),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4397),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4397),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(4143),
    [sym_array_get_expression] = STATE(4143),
    [sym_string_get_expression] = STATE(4143),
    [sym_bigarray_get_expression] = STATE(4143),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4397),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(2025),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym_sign_operator] = STATE(1988),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__instance_variable_name] = STATE(19919),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [sym__lowercase_identifier] = ACTIONS(415),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_fun] = ACTIONS(441),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(447),
    [anon_sym_function] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(475),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2026] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9641),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2026),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2027] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9873),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(2027),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2028] = {
    [sym_value_definition] = STATE(20270),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9373),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4738),
    [sym_array_get_expression] = STATE(4738),
    [sym_string_get_expression] = STATE(4738),
    [sym_bigarray_get_expression] = STATE(4738),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2028),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2013),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(20076),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(991),
    [anon_sym_function] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1001),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2029] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9786),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(2029),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2030] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8104),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(2030),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2031] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8086),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(2031),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2032] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8087),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(2032),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2033] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8089),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(2033),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2034] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8090),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(2034),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2035] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8091),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(2035),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2036] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8092),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(2036),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2037] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8093),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(2037),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2038] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8094),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(2038),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2039] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8095),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(2039),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2040] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8097),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(2040),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2041] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8098),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(2041),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2042] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9791),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(2042),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2043] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9793),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(2043),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2044] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9797),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(2044),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2045] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9798),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(2045),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2046] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9799),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(2046),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2047] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8100),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(2047),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2048] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9805),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(2048),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2049] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9825),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(2049),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2050] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9826),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(2050),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2051] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9843),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(2051),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2052] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9844),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(2052),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2053] = {
    [sym_value_definition] = STATE(19612),
    [sym__simple_expression] = STATE(350),
    [sym__expression] = STATE(8047),
    [sym_typed_expression] = STATE(3021),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3021),
    [sym_array_expression] = STATE(3021),
    [sym_record_expression] = STATE(3021),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3021),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3021),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2899),
    [sym_array_get_expression] = STATE(2899),
    [sym_string_get_expression] = STATE(2899),
    [sym_bigarray_get_expression] = STATE(2899),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3021),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3021),
    [sym_package_expression] = STATE(3021),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3021),
    [sym_object_copy_expression] = STATE(3021),
    [sym_method_invocation] = STATE(3021),
    [sym_object_expression] = STATE(3021),
    [sym_parenthesized_expression] = STATE(3021),
    [sym_attribute] = STATE(2053),
    [sym_extension] = STATE(3021),
    [sym_quoted_extension] = STATE(3021),
    [sym__constant] = STATE(3021),
    [sym_number] = STATE(3248),
    [sym_character] = STATE(3248),
    [sym_string] = STATE(3248),
    [sym_quoted_string] = STATE(3248),
    [sym_boolean] = STATE(3248),
    [sym_unit] = STATE(3248),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(3086),
    [sym_parenthesized_operator] = STATE(3128),
    [sym_value_path] = STATE(3021),
    [sym_module_path] = STATE(18485),
    [sym_constructor_path] = STATE(3021),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(3249),
    [sym_tag] = STATE(3021),
    [sym__lowercase_identifier] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(315),
    [anon_sym_false] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_object] = ACTIONS(319),
    [anon_sym_fun] = ACTIONS(321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(327),
    [anon_sym_function] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(331),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(333),
    [anon_sym_LBRACE_LT] = ACTIONS(335),
    [anon_sym_begin] = ACTIONS(337),
    [sym_ocamlyacc_value] = ACTIONS(339),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(347),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(351),
    [sym_prefix_operator] = ACTIONS(353),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(357),
    [sym__uppercase_identifier] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(361),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2054] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8289),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(2054),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2055] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8270),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(2055),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2056] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8272),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(2056),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2057] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8273),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(2057),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2058] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8275),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(2058),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2059] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8276),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(2059),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2060] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8278),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(2060),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2061] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8279),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(2061),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2062] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8280),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(2062),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2063] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8281),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(2063),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2064] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8283),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(2064),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2065] = {
    [sym_value_definition] = STATE(17812),
    [sym__simple_expression] = STATE(681),
    [sym__expression] = STATE(8284),
    [sym_typed_expression] = STATE(3755),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3755),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3755),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3359),
    [sym_array_get_expression] = STATE(3359),
    [sym_string_get_expression] = STATE(3359),
    [sym_bigarray_get_expression] = STATE(3359),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3755),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(2065),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym_sign_operator] = STATE(2054),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__instance_variable_name] = STATE(17772),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [sym__lowercase_identifier] = ACTIONS(755),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_fun] = ACTIONS(769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(801),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2066] = {
    [sym_value_definition] = STATE(20225),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(9913),
    [sym_typed_expression] = STATE(4887),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(4887),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(4887),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(4875),
    [sym_array_get_expression] = STATE(4875),
    [sym_string_get_expression] = STATE(4875),
    [sym_bigarray_get_expression] = STATE(4875),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(4887),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(2066),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [sym__lowercase_identifier] = ACTIONS(1003),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_fun] = ACTIONS(1057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2067] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(11943),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(2067),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2068] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(11738),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(2068),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2069] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(11763),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(2069),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2070] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(11809),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(2070),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2071] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(11916),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(2071),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2072] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(11923),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(2072),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2073] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(11928),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(2073),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2074] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(11944),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(2074),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2075] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(11946),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(2075),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2076] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(11963),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(2076),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2077] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(11969),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(2077),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2078] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(11791),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(2078),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2079] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(11797),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(2079),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2080] = {
    [sym_value_definition] = STATE(18881),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(11921),
    [sym_typed_expression] = STATE(6494),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6494),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6494),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5860),
    [sym_array_get_expression] = STATE(5860),
    [sym_string_get_expression] = STATE(5860),
    [sym_bigarray_get_expression] = STATE(5860),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6494),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(2080),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym_sign_operator] = STATE(2068),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__instance_variable_name] = STATE(18478),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [sym__lowercase_identifier] = ACTIONS(2035),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_fun] = ACTIONS(2049),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2055),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2059),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2081),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2081] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11628),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(2081),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2082] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8243),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2082),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2083] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11590),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(2083),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2084] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11571),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(2084),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2085] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11572),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(2085),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2086] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11575),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(2086),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2087] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11577),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(2087),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2088] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11578),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(2088),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2089] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11579),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(2089),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2090] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11581),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(2090),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2091] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11582),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(2091),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2092] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11583),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(2092),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2093] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11584),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(2093),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2094] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11585),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(2094),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2095] = {
    [sym__simple_expression] = STATE(3300),
    [sym_typed_expression] = STATE(3293),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_labeled_argument] = STATE(4255),
    [sym_prefix_expression] = STATE(3293),
    [sym_hash_expression] = STATE(3293),
    [sym_field_get_expression] = STATE(3293),
    [sym_array_get_expression] = STATE(3293),
    [sym_string_get_expression] = STATE(3293),
    [sym_bigarray_get_expression] = STATE(3293),
    [sym_coercion_expression] = STATE(3293),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2095),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [aux_sym_class_application_repeat1] = STATE(2164),
    [sym__lowercase_identifier] = ACTIONS(3227),
    [anon_sym_SEMI_SEMI] = ACTIONS(3443),
    [anon_sym_let] = ACTIONS(3445),
    [anon_sym_and] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_QMARK] = ACTIONS(3229),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_external] = ACTIONS(3445),
    [anon_sym_type] = ACTIONS(3445),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(3443),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_exception] = ACTIONS(3445),
    [anon_sym_module] = ACTIONS(3445),
    [anon_sym_open] = ACTIONS(3445),
    [anon_sym_include] = ACTIONS(3445),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_in] = ACTIONS(3445),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3445),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3443),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(521),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3443),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3443),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym_let_operator] = ACTIONS(3443),
    [sym_let_and_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_directive_token1] = ACTIONS(3443),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2096] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8254),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2096),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2097] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8226),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2097),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2098] = {
    [sym_value_definition] = STATE(19405),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(11588),
    [sym_typed_expression] = STATE(5914),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5914),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5914),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5744),
    [sym_array_get_expression] = STATE(5744),
    [sym_string_get_expression] = STATE(5744),
    [sym_bigarray_get_expression] = STATE(5744),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5914),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(2098),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym_sign_operator] = STATE(2083),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__instance_variable_name] = STATE(19356),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [sym__lowercase_identifier] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_fun] = ACTIONS(1417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1449),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2099] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8227),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2099),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2100] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8168),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2100),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2101] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8176),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2101),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2102] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8177),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2102),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2103] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8182),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2103),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2104] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8183),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2104),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2105] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8184),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2105),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2106] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8188),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2106),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2107] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8189),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2107),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2108] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11420),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2108),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2109] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12631),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(2109),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2110] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11460),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2110),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2111] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11343),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2111),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2112] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11345),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2112),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2113] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11346),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2113),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2114] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11347),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2114),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2115] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11348),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2115),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2116] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11349),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2116),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2117] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11350),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2117),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2118] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11352),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2118),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2119] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11354),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2119),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2120] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11355),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2120),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2121] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11356),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2121),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2122] = {
    [sym_value_definition] = STATE(17754),
    [sym__simple_expression] = STATE(540),
    [sym__expression] = STATE(8224),
    [sym_typed_expression] = STATE(3293),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3071),
    [sym_array_get_expression] = STATE(3071),
    [sym_string_get_expression] = STATE(3071),
    [sym_bigarray_get_expression] = STATE(3071),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2122),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym_sign_operator] = STATE(2082),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(19287),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_object] = ACTIONS(497),
    [anon_sym_fun] = ACTIONS(499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(505),
    [anon_sym_function] = ACTIONS(507),
    [anon_sym_try] = ACTIONS(509),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_LBRACE_LT] = ACTIONS(513),
    [anon_sym_begin] = ACTIONS(515),
    [sym_ocamlyacc_value] = ACTIONS(517),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(523),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(525),
    [anon_sym_DQUOTE] = ACTIONS(527),
    [sym_prefix_operator] = ACTIONS(529),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(531),
    [sym__uppercase_identifier] = ACTIONS(533),
    [aux_sym_tag_token1] = ACTIONS(535),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2123] = {
    [sym_value_definition] = STATE(19754),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11363),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5583),
    [sym_array_get_expression] = STATE(5583),
    [sym_string_get_expression] = STATE(5583),
    [sym_bigarray_get_expression] = STATE(5583),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2123),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2110),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19716),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2124] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8384),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(2124),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2125] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10031),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(2125),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2126] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(9948),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(2126),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2127] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(9993),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(2127),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2128] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(9994),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(2128),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2129] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(9995),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(2129),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2130] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(9996),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(2130),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2131] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(9997),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(2131),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2132] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(9998),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(2132),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2133] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(9999),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(2133),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2134] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10001),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(2134),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2135] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10002),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(2135),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2136] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10003),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(2136),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2137] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10004),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(2137),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2138] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8383),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(2138),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2139] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8389),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(2139),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2140] = {
    [sym_value_definition] = STATE(17730),
    [sym__simple_expression] = STATE(2411),
    [sym__expression] = STATE(10005),
    [sym_typed_expression] = STATE(5111),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5111),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5111),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4967),
    [sym_array_get_expression] = STATE(4967),
    [sym_string_get_expression] = STATE(4967),
    [sym_bigarray_get_expression] = STATE(4967),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5111),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(2140),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym_sign_operator] = STATE(2126),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__instance_variable_name] = STATE(20094),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [sym__lowercase_identifier] = ACTIONS(1069),
    [anon_sym_let] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_fun] = ACTIONS(1083),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1115),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2141] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8394),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(2141),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2142] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8403),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(2142),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2143] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8406),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(2143),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2144] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8407),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(2144),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2145] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8408),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(2145),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2146] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8412),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(2146),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2147] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8413),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(2147),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2148] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8415),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(2148),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2149] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8424),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(2149),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2150] = {
    [sym_value_definition] = STATE(20322),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(11811),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5908),
    [sym_array_get_expression] = STATE(5908),
    [sym_string_get_expression] = STATE(5908),
    [sym_bigarray_get_expression] = STATE(5908),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(2150),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(1867),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(19574),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2325),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2329),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2151] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11950),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(2151),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2152] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11879),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(2152),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2153] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11883),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(2153),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2154] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11886),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(2154),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2155] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11890),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(2155),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2156] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11891),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(2156),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2157] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11896),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(2157),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2158] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11897),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(2158),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2159] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11898),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(2159),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2160] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11900),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(2160),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2161] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(12048),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(2161),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2162] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11906),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(2162),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2163] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11917),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(2163),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2164] = {
    [sym__simple_expression] = STATE(3300),
    [sym_typed_expression] = STATE(3293),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_labeled_argument] = STATE(4255),
    [sym_prefix_expression] = STATE(3293),
    [sym_hash_expression] = STATE(3293),
    [sym_field_get_expression] = STATE(3293),
    [sym_array_get_expression] = STATE(3293),
    [sym_string_get_expression] = STATE(3293),
    [sym_bigarray_get_expression] = STATE(3293),
    [sym_coercion_expression] = STATE(3293),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2164),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3313),
    [sym_character] = STATE(3313),
    [sym_string] = STATE(3313),
    [sym_quoted_string] = STATE(3313),
    [sym_boolean] = STATE(3313),
    [sym_unit] = STATE(3313),
    [sym__value_name] = STATE(3402),
    [sym_parenthesized_operator] = STATE(3509),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19985),
    [sym_constructor_path] = STATE(3293),
    [sym__constructor_name] = STATE(3306),
    [sym_tag] = STATE(3293),
    [aux_sym_class_application_repeat1] = STATE(2164),
    [sym__lowercase_identifier] = ACTIONS(3943),
    [anon_sym_SEMI_SEMI] = ACTIONS(3500),
    [anon_sym_let] = ACTIONS(3502),
    [anon_sym_and] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3946),
    [anon_sym_QMARK] = ACTIONS(3946),
    [anon_sym_LPAREN] = ACTIONS(3949),
    [anon_sym_external] = ACTIONS(3502),
    [anon_sym_type] = ACTIONS(3502),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(3952),
    [anon_sym_RBRACK] = ACTIONS(3500),
    [anon_sym_true] = ACTIONS(3955),
    [anon_sym_false] = ACTIONS(3955),
    [anon_sym_LBRACE] = ACTIONS(3958),
    [anon_sym_SEMI] = ACTIONS(3502),
    [anon_sym_exception] = ACTIONS(3502),
    [anon_sym_module] = ACTIONS(3502),
    [anon_sym_open] = ACTIONS(3502),
    [anon_sym_include] = ACTIONS(3502),
    [anon_sym_class] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(3961),
    [anon_sym_in] = ACTIONS(3502),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3964),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_LBRACE_LT] = ACTIONS(3970),
    [anon_sym_begin] = ACTIONS(3973),
    [sym_ocamlyacc_value] = ACTIONS(3976),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3502),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3500),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3979),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3982),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3500),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3500),
    [aux_sym_number_token1] = ACTIONS(3985),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3991),
    [sym_prefix_operator] = ACTIONS(3994),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym_let_operator] = ACTIONS(3500),
    [sym_let_and_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(3997),
    [aux_sym_directive_token1] = ACTIONS(3500),
    [aux_sym_tag_token1] = ACTIONS(4000),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2165] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8647),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(2165),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2166] = {
    [sym_value_definition] = STATE(18094),
    [sym__simple_expression] = STATE(2452),
    [sym__expression] = STATE(11742),
    [sym_typed_expression] = STATE(6572),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6572),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6572),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5909),
    [sym_array_get_expression] = STATE(5909),
    [sym_string_get_expression] = STATE(5909),
    [sym_bigarray_get_expression] = STATE(5909),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6572),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(2166),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__instance_variable_name] = STATE(19979),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [sym__lowercase_identifier] = ACTIONS(2357),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_fun] = ACTIONS(2371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_if] = ACTIONS(2375),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(2379),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2403),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2167] = {
    [sym_value_definition] = STATE(19845),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(8318),
    [sym_typed_expression] = STATE(4049),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4049),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4049),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3825),
    [sym_array_get_expression] = STATE(3825),
    [sym_string_get_expression] = STATE(3825),
    [sym_bigarray_get_expression] = STATE(3825),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4049),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(2167),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym_sign_operator] = STATE(2124),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__instance_variable_name] = STATE(19791),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [sym__lowercase_identifier] = ACTIONS(813),
    [anon_sym_let] = ACTIONS(815),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_fun] = ACTIONS(827),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(835),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3115),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(859),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2168] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11755),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(2168),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2169] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11828),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(2169),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2170] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11730),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(2170),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2171] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11836),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(2171),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2172] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11838),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(2172),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2173] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11839),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(2173),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2174] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11841),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(2174),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2175] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11842),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(2175),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2176] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11846),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(2176),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2177] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11847),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(2177),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2178] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11850),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(2178),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2179] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11851),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(2179),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2180] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11852),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(2180),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2181] = {
    [sym_value_definition] = STATE(18833),
    [sym__simple_expression] = STATE(2453),
    [sym__expression] = STATE(11967),
    [sym_typed_expression] = STATE(6576),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6576),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6576),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5910),
    [sym_array_get_expression] = STATE(5910),
    [sym_string_get_expression] = STATE(5910),
    [sym_bigarray_get_expression] = STATE(5910),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6576),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(2181),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym_sign_operator] = STATE(2168),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__instance_variable_name] = STATE(18039),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [sym__lowercase_identifier] = ACTIONS(2409),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_fun] = ACTIONS(2423),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2427),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2429),
    [anon_sym_function] = ACTIONS(2431),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2455),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2182] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11960),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(2182),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2183] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12006),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(2183),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2184] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12007),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(2184),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2185] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12009),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(2185),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2186] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12010),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(2186),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2187] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12012),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(2187),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2188] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12013),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(2188),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2189] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12014),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(2189),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2190] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12015),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(2190),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2191] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12016),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(2191),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2192] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12017),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(2192),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2193] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12018),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(2193),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2194] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(12020),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(2194),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2195] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12169),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(2195),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2196] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(2196),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2197] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12413),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(2197),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2198] = {
    [sym_value_definition] = STATE(19644),
    [sym__simple_expression] = STATE(2454),
    [sym__expression] = STATE(11758),
    [sym_typed_expression] = STATE(6316),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6316),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6316),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5911),
    [sym_array_get_expression] = STATE(5911),
    [sym_string_get_expression] = STATE(5911),
    [sym_bigarray_get_expression] = STATE(5911),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6316),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(2198),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym_sign_operator] = STATE(2182),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__instance_variable_name] = STATE(18729),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [sym__lowercase_identifier] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_fun] = ACTIONS(2475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2507),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2199] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12414),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(2199),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2200] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12417),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(2200),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2201] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12418),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(2201),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2202] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(2202),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2203] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12420),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(2203),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2204] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8245),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(2204),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2205] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12421),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(2205),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2206] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8230),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(2206),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2207] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8231),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(2207),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2208] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8232),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(2208),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2209] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8234),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(2209),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2210] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8235),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(2210),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2211] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8236),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(2211),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2212] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8237),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(2212),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2213] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8238),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(2213),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2214] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8239),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(2214),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2215] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8240),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(2215),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2216] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8241),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(2216),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2217] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12422),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(2217),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2218] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12423),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(2218),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2219] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12257),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(2219),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2220] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8244),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(2220),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2221] = {
    [sym_value_definition] = STATE(19877),
    [sym__simple_expression] = STATE(2465),
    [sym__expression] = STATE(12076),
    [sym_typed_expression] = STATE(6941),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6941),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6941),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6321),
    [sym_array_get_expression] = STATE(6321),
    [sym_string_get_expression] = STATE(6321),
    [sym_bigarray_get_expression] = STATE(6321),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6941),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(2221),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__instance_variable_name] = STATE(20224),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [sym__lowercase_identifier] = ACTIONS(2835),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_fun] = ACTIONS(2849),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2855),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2859),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2881),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2222] = {
    [sym_value_definition] = STATE(17540),
    [sym__simple_expression] = STATE(518),
    [sym__expression] = STATE(8172),
    [sym_typed_expression] = STATE(3475),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3475),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3475),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3006),
    [sym_array_get_expression] = STATE(3006),
    [sym_string_get_expression] = STATE(3006),
    [sym_bigarray_get_expression] = STATE(3006),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3475),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(2222),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym_sign_operator] = STATE(2204),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__instance_variable_name] = STATE(19480),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [sym__lowercase_identifier] = ACTIONS(589),
    [anon_sym_let] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_fun] = ACTIONS(603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(607),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(611),
    [anon_sym_try] = ACTIONS(613),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(635),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2223] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(7994),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(2223),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2224] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(8160),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(2224),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2225] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(7979),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(2225),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2226] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(7980),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(2226),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2227] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(7981),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(2227),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2228] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(7982),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(2228),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2229] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(7983),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(2229),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2230] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(7984),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(2230),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2231] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(7985),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(2231),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2232] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(7986),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(2232),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2233] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(7987),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(2233),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2234] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(7988),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(2234),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2235] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(11871),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(2235),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2236] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(7990),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(2236),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2237] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12022),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(2237),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2238] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12023),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(2238),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2239] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12024),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(2239),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2240] = {
    [sym_value_definition] = STATE(17740),
    [sym__simple_expression] = STATE(326),
    [sym__expression] = STATE(8102),
    [sym_typed_expression] = STATE(3151),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3151),
    [sym_array_expression] = STATE(3151),
    [sym_record_expression] = STATE(3151),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3151),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3151),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(2915),
    [sym_array_get_expression] = STATE(2915),
    [sym_string_get_expression] = STATE(2915),
    [sym_bigarray_get_expression] = STATE(2915),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3151),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3151),
    [sym_package_expression] = STATE(3151),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3151),
    [sym_object_copy_expression] = STATE(3151),
    [sym_method_invocation] = STATE(3151),
    [sym_object_expression] = STATE(3151),
    [sym_parenthesized_expression] = STATE(3151),
    [sym_attribute] = STATE(2240),
    [sym_extension] = STATE(3151),
    [sym_quoted_extension] = STATE(3151),
    [sym__constant] = STATE(3151),
    [sym_number] = STATE(3269),
    [sym_character] = STATE(3269),
    [sym_string] = STATE(3269),
    [sym_quoted_string] = STATE(3269),
    [sym_boolean] = STATE(3269),
    [sym_unit] = STATE(3269),
    [sym_sign_operator] = STATE(2223),
    [sym__value_name] = STATE(3210),
    [sym_parenthesized_operator] = STATE(3241),
    [sym_value_path] = STATE(3151),
    [sym_module_path] = STATE(18794),
    [sym_constructor_path] = STATE(3151),
    [sym__instance_variable_name] = STATE(17509),
    [sym__constructor_name] = STATE(3270),
    [sym_tag] = STATE(3151),
    [sym__lowercase_identifier] = ACTIONS(363),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(409),
    [sym__uppercase_identifier] = ACTIONS(411),
    [aux_sym_tag_token1] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2241] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12025),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(2241),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2242] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12026),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(2242),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2243] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12027),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(2243),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2244] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12031),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(2244),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2245] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9289),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2245),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2246] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(12033),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(2246),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2247] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9258),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2247),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2248] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9277),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2248),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2249] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9279),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2249),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2250] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9204),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2250),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2251] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9208),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2251),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2252] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9217),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2252),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2253] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9219),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2253),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2254] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9235),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2254),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2255] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9244),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2255),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2256] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9287),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2256),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2257] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9291),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2257),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2258] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(11902),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(2258),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2259] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(11775),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(2259),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2260] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(11853),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(2260),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2261] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9294),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2261),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2262] = {
    [sym_value_definition] = STATE(17960),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9347),
    [sym_typed_expression] = STATE(4766),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(4766),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(4766),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(4693),
    [sym_array_get_expression] = STATE(4693),
    [sym_string_get_expression] = STATE(4693),
    [sym_bigarray_get_expression] = STATE(4693),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(4766),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2262),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym_sign_operator] = STATE(2245),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__instance_variable_name] = STATE(17717),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [sym__lowercase_identifier] = ACTIONS(921),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_fun] = ACTIONS(935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(939),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(975),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2263] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8178),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2263),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2264] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8207),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2264),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2265] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8247),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2265),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2266] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8248),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2266),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2267] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8249),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2267),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2268] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8250),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2268),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2269] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8251),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2269),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2270] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8252),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2270),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2271] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8162),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2271),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2272] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8163),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2272),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2273] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8164),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2273),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2274] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8167),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2274),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2275] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8171),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2275),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2276] = {
    [sym_value_definition] = STATE(17741),
    [sym__simple_expression] = STATE(2462),
    [sym__expression] = STATE(11999),
    [sym_typed_expression] = STATE(6185),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(6185),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(6185),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(6094),
    [sym_array_get_expression] = STATE(6094),
    [sym_string_get_expression] = STATE(6094),
    [sym_bigarray_get_expression] = STATE(6094),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(6185),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(2276),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym_sign_operator] = STATE(2235),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__instance_variable_name] = STATE(17644),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [sym__lowercase_identifier] = ACTIONS(1693),
    [anon_sym_let] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_fun] = ACTIONS(1707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1713),
    [anon_sym_function] = ACTIONS(1715),
    [anon_sym_try] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1739),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2277] = {
    [sym_value_definition] = STATE(18191),
    [sym__simple_expression] = STATE(512),
    [sym__expression] = STATE(8219),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3085),
    [sym_array_get_expression] = STATE(3085),
    [sym_string_get_expression] = STATE(3085),
    [sym_bigarray_get_expression] = STATE(3085),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2277),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(17930),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3097),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2278] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11594),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2278),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2279] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11659),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2279),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2280] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11660),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2280),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2281] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11662),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2281),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2282] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11663),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2282),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2283] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11664),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2283),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2284] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11665),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2284),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2285] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11666),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2285),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2286] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11667),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2286),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2287] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11668),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2287),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2288] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11669),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2288),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2289] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11670),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2289),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2290] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(2290),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2291] = {
    [sym_value_definition] = STATE(18924),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11681),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5751),
    [sym_array_get_expression] = STATE(5751),
    [sym_string_get_expression] = STATE(5751),
    [sym_bigarray_get_expression] = STATE(5751),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2291),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(18777),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2292] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10303),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2292),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2293] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10333),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2293),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2294] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10334),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2294),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2295] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10373),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2295),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2296] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10198),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2296),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2297] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10286),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2297),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2298] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10327),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2298),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2299] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10256),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2299),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2300] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10237),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2300),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2301] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10291),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2301),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2302] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10223),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2302),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2303] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10285),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2303),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2304] = {
    [sym_value_definition] = STATE(17469),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10254),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2304),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2292),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(20245),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(1123),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(1135),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1167),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2305] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10267),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(2305),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2306] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10280),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(2306),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2307] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10279),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(2307),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2308] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10181),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(2308),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2309] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10197),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(2309),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2310] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10251),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(2310),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2311] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10174),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(2311),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2312] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10172),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(2312),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2313] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10177),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(2313),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2314] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10183),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(2314),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2315] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10283),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(2315),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2316] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10294),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(2316),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2317] = {
    [sym_value_definition] = STATE(17841),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10184),
    [sym_typed_expression] = STATE(5315),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(5315),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(5315),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(5117),
    [sym_array_get_expression] = STATE(5117),
    [sym_string_get_expression] = STATE(5117),
    [sym_bigarray_get_expression] = STATE(5117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(5315),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(2317),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym_sign_operator] = STATE(2305),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__instance_variable_name] = STATE(17798),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [sym__lowercase_identifier] = ACTIONS(1173),
    [anon_sym_let] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_fun] = ACTIONS(1187),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(1193),
    [anon_sym_function] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1219),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2318] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12175),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(2318),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2319] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12220),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(2319),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2320] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12225),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(2320),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2321] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12231),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(2321),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2322] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12233),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(2322),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2323] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12245),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(2323),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2324] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12248),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(2324),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2325] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12265),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(2325),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2326] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12274),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(2326),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2327] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12276),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(2327),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2328] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12277),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(2328),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2329] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12278),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(2329),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2330] = {
    [sym_value_definition] = STATE(18224),
    [sym__simple_expression] = STATE(2451),
    [sym__expression] = STATE(12149),
    [sym_typed_expression] = STATE(6530),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(6530),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(6530),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(6530),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(2330),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym_sign_operator] = STATE(2318),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__instance_variable_name] = STATE(18172),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [sym__lowercase_identifier] = ACTIONS(2305),
    [anon_sym_let] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2579),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2331] = {
    [sym__simple_expression] = STATE(3421),
    [sym_typed_expression] = STATE(3361),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_labeled_argument] = STATE(4339),
    [sym_prefix_expression] = STATE(3361),
    [sym_hash_expression] = STATE(3361),
    [sym_field_get_expression] = STATE(3361),
    [sym_array_get_expression] = STATE(3361),
    [sym_string_get_expression] = STATE(3361),
    [sym_bigarray_get_expression] = STATE(3361),
    [sym_coercion_expression] = STATE(3361),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(2331),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [aux_sym_class_application_repeat1] = STATE(2387),
    [sym__lowercase_identifier] = ACTIONS(3163),
    [anon_sym_SEMI_SEMI] = ACTIONS(3443),
    [anon_sym_let] = ACTIONS(3445),
    [anon_sym_and] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_QMARK] = ACTIONS(3165),
    [anon_sym_LPAREN] = ACTIONS(541),
    [anon_sym_external] = ACTIONS(3445),
    [anon_sym_type] = ACTIONS(3445),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(547),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_exception] = ACTIONS(3445),
    [anon_sym_module] = ACTIONS(3445),
    [anon_sym_open] = ACTIONS(3445),
    [anon_sym_include] = ACTIONS(3445),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_end] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(549),
    [anon_sym_in] = ACTIONS(3445),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(553),
    [anon_sym_new] = ACTIONS(563),
    [anon_sym_LBRACE_LT] = ACTIONS(565),
    [anon_sym_begin] = ACTIONS(567),
    [sym_ocamlyacc_value] = ACTIONS(569),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3445),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3443),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(571),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(573),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3443),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3443),
    [aux_sym_number_token1] = ACTIONS(575),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [sym_prefix_operator] = ACTIONS(581),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym_let_operator] = ACTIONS(3443),
    [sym_let_and_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_directive_token1] = ACTIONS(3443),
    [aux_sym_tag_token1] = ACTIONS(587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2332] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(11981),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(2332),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2333] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(2333),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2334] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12355),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(2334),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2335] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12368),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(2335),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2336] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12369),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(2336),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2337] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12372),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(2337),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2338] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12373),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(2338),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2339] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12374),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(2339),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2340] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12376),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(2340),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2341] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12377),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(2341),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2342] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12381),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(2342),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2343] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12382),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(2343),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2344] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12383),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(2344),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2345] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12384),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(2345),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2346] = {
    [sym_value_definition] = STATE(19083),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(12394),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(6466),
    [sym_array_get_expression] = STATE(6466),
    [sym_string_get_expression] = STATE(6466),
    [sym_bigarray_get_expression] = STATE(6466),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(2346),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2334),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(19755),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(2823),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2827),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2831),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2833),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2347] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11396),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2347),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2348] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11143),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2348),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2349] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11144),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2349),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2350] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11145),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2350),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2351] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11146),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2351),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2352] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11147),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2352),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2353] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11148),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2353),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2354] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11150),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2354),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2355] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11153),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2355),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2356] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11155),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2356),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2357] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11156),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2357),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2358] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11158),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2358),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2359] = {
    [sym_value_definition] = STATE(20145),
    [sym__simple_expression] = STATE(2430),
    [sym__expression] = STATE(11165),
    [sym_typed_expression] = STATE(5724),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5724),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5724),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5646),
    [sym_array_get_expression] = STATE(5646),
    [sym_string_get_expression] = STATE(5646),
    [sym_bigarray_get_expression] = STATE(5646),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5724),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2359),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym_sign_operator] = STATE(2347),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__instance_variable_name] = STATE(19858),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [sym__lowercase_identifier] = ACTIONS(1345),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_fun] = ACTIONS(1359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1365),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1391),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2360] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11978),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2360),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2361] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11831),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2361),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2362] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11860),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2362),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2363] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11863),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2363),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2364] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11864),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2364),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2365] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11866),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2365),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2366] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11889),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2366),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2367] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11892),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2367),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2368] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11903),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2368),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2369] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11904),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2369),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2370] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11909),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2370),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2371] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11913),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2371),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2372] = {
    [sym_value_definition] = STATE(19897),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11965),
    [sym_typed_expression] = STATE(5016),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5016),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5016),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5942),
    [sym_array_get_expression] = STATE(5942),
    [sym_string_get_expression] = STATE(5942),
    [sym_bigarray_get_expression] = STATE(5942),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5016),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2372),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__instance_variable_name] = STATE(19888),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [sym__lowercase_identifier] = ACTIONS(1121),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_fun] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(2547),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2373] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10994),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2373),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2374] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(11011),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2374),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2375] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10857),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2375),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2376] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10858),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2376),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2377] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10860),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2377),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2378] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10862),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2378),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2379] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10863),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2379),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2380] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10864),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2380),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2381] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10866),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2381),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2382] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10868),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2382),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2383] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10869),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2383),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2384] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10870),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2384),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2385] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10873),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2385),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2386] = {
    [sym_value_definition] = STATE(18320),
    [sym__simple_expression] = STATE(2421),
    [sym__expression] = STATE(10893),
    [sym_typed_expression] = STATE(5663),
    [sym_product_expression] = STATE(10298),
    [sym_cons_expression] = STATE(10298),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_application_expression] = STATE(10298),
    [sym_prefix_expression] = STATE(5663),
    [sym_sign_expression] = STATE(10298),
    [sym_hash_expression] = STATE(5663),
    [sym_infix_expression] = STATE(10298),
    [sym_field_get_expression] = STATE(5481),
    [sym_array_get_expression] = STATE(5481),
    [sym_string_get_expression] = STATE(5481),
    [sym_bigarray_get_expression] = STATE(5481),
    [sym_set_expression] = STATE(10298),
    [sym_if_expression] = STATE(10298),
    [sym_while_expression] = STATE(10298),
    [sym_for_expression] = STATE(10298),
    [sym_match_expression] = STATE(10298),
    [sym_function_expression] = STATE(10298),
    [sym_fun_expression] = STATE(10298),
    [sym_try_expression] = STATE(10298),
    [sym_let_expression] = STATE(10298),
    [sym_coercion_expression] = STATE(5663),
    [sym_assert_expression] = STATE(10298),
    [sym_lazy_expression] = STATE(10298),
    [sym_let_module_expression] = STATE(10298),
    [sym_let_open_expression] = STATE(10298),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_let_exception_expression] = STATE(10298),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2386),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__instance_variable_name] = STATE(19912),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2387] = {
    [sym__simple_expression] = STATE(3421),
    [sym_typed_expression] = STATE(3361),
    [sym_list_expression] = STATE(3361),
    [sym_array_expression] = STATE(3361),
    [sym_record_expression] = STATE(3361),
    [sym_labeled_argument] = STATE(4339),
    [sym_prefix_expression] = STATE(3361),
    [sym_hash_expression] = STATE(3361),
    [sym_field_get_expression] = STATE(3361),
    [sym_array_get_expression] = STATE(3361),
    [sym_string_get_expression] = STATE(3361),
    [sym_bigarray_get_expression] = STATE(3361),
    [sym_coercion_expression] = STATE(3361),
    [sym_local_open_expression] = STATE(3361),
    [sym_package_expression] = STATE(3361),
    [sym_new_expression] = STATE(3361),
    [sym_object_copy_expression] = STATE(3361),
    [sym_method_invocation] = STATE(3361),
    [sym_object_expression] = STATE(3361),
    [sym_parenthesized_expression] = STATE(3361),
    [sym_attribute] = STATE(2387),
    [sym_extension] = STATE(3361),
    [sym_quoted_extension] = STATE(3361),
    [sym__constant] = STATE(3361),
    [sym_number] = STATE(3601),
    [sym_character] = STATE(3601),
    [sym_string] = STATE(3601),
    [sym_quoted_string] = STATE(3601),
    [sym_boolean] = STATE(3601),
    [sym_unit] = STATE(3601),
    [sym__value_name] = STATE(3420),
    [sym_parenthesized_operator] = STATE(3461),
    [sym_value_path] = STATE(3361),
    [sym_module_path] = STATE(18321),
    [sym_constructor_path] = STATE(3361),
    [sym__constructor_name] = STATE(3602),
    [sym_tag] = STATE(3361),
    [aux_sym_class_application_repeat1] = STATE(2387),
    [sym__lowercase_identifier] = ACTIONS(4003),
    [anon_sym_SEMI_SEMI] = ACTIONS(3500),
    [anon_sym_let] = ACTIONS(3502),
    [anon_sym_and] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(4006),
    [anon_sym_QMARK] = ACTIONS(4006),
    [anon_sym_LPAREN] = ACTIONS(4009),
    [anon_sym_external] = ACTIONS(3502),
    [anon_sym_type] = ACTIONS(3502),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(4012),
    [anon_sym_true] = ACTIONS(4015),
    [anon_sym_false] = ACTIONS(4015),
    [anon_sym_LBRACE] = ACTIONS(4018),
    [anon_sym_SEMI] = ACTIONS(3502),
    [anon_sym_exception] = ACTIONS(3502),
    [anon_sym_module] = ACTIONS(3502),
    [anon_sym_open] = ACTIONS(3502),
    [anon_sym_include] = ACTIONS(3502),
    [anon_sym_class] = ACTIONS(3502),
    [anon_sym_end] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(4021),
    [anon_sym_in] = ACTIONS(3502),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4024),
    [anon_sym_new] = ACTIONS(4027),
    [anon_sym_LBRACE_LT] = ACTIONS(4030),
    [anon_sym_begin] = ACTIONS(4033),
    [sym_ocamlyacc_value] = ACTIONS(4036),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3502),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3500),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4042),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3500),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3500),
    [aux_sym_number_token1] = ACTIONS(4045),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(4048),
    [anon_sym_DQUOTE] = ACTIONS(4051),
    [sym_prefix_operator] = ACTIONS(4054),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym_let_operator] = ACTIONS(3500),
    [sym_let_and_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(4057),
    [aux_sym_directive_token1] = ACTIONS(3500),
    [aux_sym_tag_token1] = ACTIONS(4060),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2388] = {
    [sym__simple_expression] = STATE(3481),
    [sym_typed_expression] = STATE(3475),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_labeled_argument] = STATE(4355),
    [sym_prefix_expression] = STATE(3475),
    [sym_hash_expression] = STATE(3475),
    [sym_field_get_expression] = STATE(3475),
    [sym_array_get_expression] = STATE(3475),
    [sym_string_get_expression] = STATE(3475),
    [sym_bigarray_get_expression] = STATE(3475),
    [sym_coercion_expression] = STATE(3475),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(2388),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [aux_sym_class_application_repeat1] = STATE(2390),
    [sym__lowercase_identifier] = ACTIONS(3175),
    [anon_sym_SEMI_SEMI] = ACTIONS(3443),
    [anon_sym_let] = ACTIONS(3445),
    [anon_sym_and] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_QMARK] = ACTIONS(3177),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_external] = ACTIONS(3445),
    [anon_sym_type] = ACTIONS(3445),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_RBRACK] = ACTIONS(3443),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(599),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_exception] = ACTIONS(3445),
    [anon_sym_module] = ACTIONS(3445),
    [anon_sym_open] = ACTIONS(3445),
    [anon_sym_include] = ACTIONS(3445),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(605),
    [anon_sym_else] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(615),
    [anon_sym_LBRACE_LT] = ACTIONS(617),
    [anon_sym_begin] = ACTIONS(619),
    [sym_ocamlyacc_value] = ACTIONS(621),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3445),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3443),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(623),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(625),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3443),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3443),
    [aux_sym_number_token1] = ACTIONS(627),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [sym_prefix_operator] = ACTIONS(633),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym_let_operator] = ACTIONS(3443),
    [sym_let_and_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(637),
    [aux_sym_directive_token1] = ACTIONS(3443),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2389] = {
    [sym__simple_expression] = STATE(3528),
    [sym_typed_expression] = STATE(3517),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_labeled_argument] = STATE(4171),
    [sym_prefix_expression] = STATE(3517),
    [sym_hash_expression] = STATE(3517),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_coercion_expression] = STATE(3517),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2389),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [aux_sym_class_application_repeat1] = STATE(2392),
    [sym__lowercase_identifier] = ACTIONS(3147),
    [anon_sym_SEMI_SEMI] = ACTIONS(3443),
    [anon_sym_let] = ACTIONS(3445),
    [anon_sym_and] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_QMARK] = ACTIONS(3149),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_external] = ACTIONS(3445),
    [anon_sym_type] = ACTIONS(3445),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_exception] = ACTIONS(3445),
    [anon_sym_module] = ACTIONS(3445),
    [anon_sym_open] = ACTIONS(3445),
    [anon_sym_include] = ACTIONS(3445),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_end] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_else] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3445),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3443),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(675),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(677),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3443),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3443),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym_let_operator] = ACTIONS(3443),
    [sym_let_and_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_directive_token1] = ACTIONS(3443),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2390] = {
    [sym__simple_expression] = STATE(3481),
    [sym_typed_expression] = STATE(3475),
    [sym_list_expression] = STATE(3475),
    [sym_array_expression] = STATE(3475),
    [sym_record_expression] = STATE(3475),
    [sym_labeled_argument] = STATE(4355),
    [sym_prefix_expression] = STATE(3475),
    [sym_hash_expression] = STATE(3475),
    [sym_field_get_expression] = STATE(3475),
    [sym_array_get_expression] = STATE(3475),
    [sym_string_get_expression] = STATE(3475),
    [sym_bigarray_get_expression] = STATE(3475),
    [sym_coercion_expression] = STATE(3475),
    [sym_local_open_expression] = STATE(3475),
    [sym_package_expression] = STATE(3475),
    [sym_new_expression] = STATE(3475),
    [sym_object_copy_expression] = STATE(3475),
    [sym_method_invocation] = STATE(3475),
    [sym_object_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_attribute] = STATE(2390),
    [sym_extension] = STATE(3475),
    [sym_quoted_extension] = STATE(3475),
    [sym__constant] = STATE(3475),
    [sym_number] = STATE(3675),
    [sym_character] = STATE(3675),
    [sym_string] = STATE(3675),
    [sym_quoted_string] = STATE(3675),
    [sym_boolean] = STATE(3675),
    [sym_unit] = STATE(3675),
    [sym__value_name] = STATE(3513),
    [sym_parenthesized_operator] = STATE(3634),
    [sym_value_path] = STATE(3475),
    [sym_module_path] = STATE(18757),
    [sym_constructor_path] = STATE(3475),
    [sym__constructor_name] = STATE(3677),
    [sym_tag] = STATE(3475),
    [aux_sym_class_application_repeat1] = STATE(2390),
    [sym__lowercase_identifier] = ACTIONS(4063),
    [anon_sym_SEMI_SEMI] = ACTIONS(3500),
    [anon_sym_let] = ACTIONS(3502),
    [anon_sym_and] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(4066),
    [anon_sym_QMARK] = ACTIONS(4066),
    [anon_sym_LPAREN] = ACTIONS(4069),
    [anon_sym_external] = ACTIONS(3502),
    [anon_sym_type] = ACTIONS(3502),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(4072),
    [anon_sym_RBRACK] = ACTIONS(3500),
    [anon_sym_true] = ACTIONS(4075),
    [anon_sym_false] = ACTIONS(4075),
    [anon_sym_LBRACE] = ACTIONS(4078),
    [anon_sym_SEMI] = ACTIONS(3502),
    [anon_sym_exception] = ACTIONS(3502),
    [anon_sym_module] = ACTIONS(3502),
    [anon_sym_open] = ACTIONS(3502),
    [anon_sym_include] = ACTIONS(3502),
    [anon_sym_class] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(4081),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4084),
    [anon_sym_else] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(4087),
    [anon_sym_LBRACE_LT] = ACTIONS(4090),
    [anon_sym_begin] = ACTIONS(4093),
    [sym_ocamlyacc_value] = ACTIONS(4096),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3502),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3500),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4102),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3500),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3500),
    [aux_sym_number_token1] = ACTIONS(4105),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(4108),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_prefix_operator] = ACTIONS(4114),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym_let_operator] = ACTIONS(3500),
    [sym_let_and_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(4117),
    [aux_sym_directive_token1] = ACTIONS(3500),
    [aux_sym_tag_token1] = ACTIONS(4120),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2391] = {
    [sym_value_definition] = STATE(18504),
    [sym__simple_expression] = STATE(1817),
    [sym__expression] = STATE(8518),
    [sym_typed_expression] = STATE(4374),
    [sym_product_expression] = STATE(8147),
    [sym_cons_expression] = STATE(8147),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_application_expression] = STATE(8147),
    [sym_prefix_expression] = STATE(4374),
    [sym_sign_expression] = STATE(8147),
    [sym_hash_expression] = STATE(4374),
    [sym_infix_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(3966),
    [sym_array_get_expression] = STATE(3966),
    [sym_string_get_expression] = STATE(3966),
    [sym_bigarray_get_expression] = STATE(3966),
    [sym_set_expression] = STATE(8147),
    [sym_if_expression] = STATE(8147),
    [sym_while_expression] = STATE(8147),
    [sym_for_expression] = STATE(8147),
    [sym_match_expression] = STATE(8147),
    [sym_function_expression] = STATE(8147),
    [sym_fun_expression] = STATE(8147),
    [sym_try_expression] = STATE(8147),
    [sym_let_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(4374),
    [sym_assert_expression] = STATE(8147),
    [sym_lazy_expression] = STATE(8147),
    [sym_let_module_expression] = STATE(8147),
    [sym_let_open_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_let_exception_expression] = STATE(8147),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(2391),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym_sign_operator] = STATE(1820),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__instance_variable_name] = STATE(18383),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(121),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2392] = {
    [sym__simple_expression] = STATE(3528),
    [sym_typed_expression] = STATE(3517),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_labeled_argument] = STATE(4171),
    [sym_prefix_expression] = STATE(3517),
    [sym_hash_expression] = STATE(3517),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_coercion_expression] = STATE(3517),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2392),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3710),
    [sym_character] = STATE(3710),
    [sym_string] = STATE(3710),
    [sym_quoted_string] = STATE(3710),
    [sym_boolean] = STATE(3710),
    [sym_unit] = STATE(3710),
    [sym__value_name] = STATE(3587),
    [sym_parenthesized_operator] = STATE(3649),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(18832),
    [sym_constructor_path] = STATE(3517),
    [sym__constructor_name] = STATE(3711),
    [sym_tag] = STATE(3517),
    [aux_sym_class_application_repeat1] = STATE(2392),
    [sym__lowercase_identifier] = ACTIONS(4123),
    [anon_sym_SEMI_SEMI] = ACTIONS(3500),
    [anon_sym_let] = ACTIONS(3502),
    [anon_sym_and] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(4126),
    [anon_sym_QMARK] = ACTIONS(4126),
    [anon_sym_LPAREN] = ACTIONS(4129),
    [anon_sym_external] = ACTIONS(3502),
    [anon_sym_type] = ACTIONS(3502),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(4132),
    [anon_sym_true] = ACTIONS(4135),
    [anon_sym_false] = ACTIONS(4135),
    [anon_sym_LBRACE] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(3502),
    [anon_sym_exception] = ACTIONS(3502),
    [anon_sym_module] = ACTIONS(3502),
    [anon_sym_open] = ACTIONS(3502),
    [anon_sym_include] = ACTIONS(3502),
    [anon_sym_class] = ACTIONS(3502),
    [anon_sym_end] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(4141),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4144),
    [anon_sym_else] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(4147),
    [anon_sym_LBRACE_LT] = ACTIONS(4150),
    [anon_sym_begin] = ACTIONS(4153),
    [sym_ocamlyacc_value] = ACTIONS(4156),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3502),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3500),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4159),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4162),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3500),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3500),
    [aux_sym_number_token1] = ACTIONS(4165),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(4168),
    [anon_sym_DQUOTE] = ACTIONS(4171),
    [sym_prefix_operator] = ACTIONS(4174),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym_let_operator] = ACTIONS(3500),
    [sym_let_and_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(4177),
    [aux_sym_directive_token1] = ACTIONS(3500),
    [aux_sym_tag_token1] = ACTIONS(4180),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2393] = {
    [sym_value_definition] = STATE(18377),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10420),
    [sym_typed_expression] = STATE(5105),
    [sym_product_expression] = STATE(7665),
    [sym_cons_expression] = STATE(7665),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_application_expression] = STATE(7665),
    [sym_prefix_expression] = STATE(5105),
    [sym_sign_expression] = STATE(7665),
    [sym_hash_expression] = STATE(5105),
    [sym_infix_expression] = STATE(7665),
    [sym_field_get_expression] = STATE(5321),
    [sym_array_get_expression] = STATE(5321),
    [sym_string_get_expression] = STATE(5321),
    [sym_bigarray_get_expression] = STATE(5321),
    [sym_set_expression] = STATE(7665),
    [sym_if_expression] = STATE(7665),
    [sym_while_expression] = STATE(7665),
    [sym_for_expression] = STATE(7665),
    [sym_match_expression] = STATE(7665),
    [sym_function_expression] = STATE(7665),
    [sym_fun_expression] = STATE(7665),
    [sym_try_expression] = STATE(7665),
    [sym_let_expression] = STATE(7665),
    [sym_coercion_expression] = STATE(5105),
    [sym_assert_expression] = STATE(7665),
    [sym_lazy_expression] = STATE(7665),
    [sym_let_module_expression] = STATE(7665),
    [sym_let_open_expression] = STATE(7665),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_let_exception_expression] = STATE(7665),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(2393),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym_sign_operator] = STATE(2393),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__instance_variable_name] = STATE(18661),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [sym__lowercase_identifier] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_fun] = ACTIONS(1239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(1245),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_lazy] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(1271),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2394] = {
    [sym_value_definition] = STATE(20246),
    [sym__simple_expression] = STATE(2464),
    [sym__expression] = STATE(12078),
    [sym_typed_expression] = STATE(6935),
    [sym_product_expression] = STATE(8088),
    [sym_cons_expression] = STATE(8088),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_application_expression] = STATE(8088),
    [sym_prefix_expression] = STATE(6935),
    [sym_sign_expression] = STATE(8088),
    [sym_hash_expression] = STATE(6935),
    [sym_infix_expression] = STATE(8088),
    [sym_field_get_expression] = STATE(6117),
    [sym_array_get_expression] = STATE(6117),
    [sym_string_get_expression] = STATE(6117),
    [sym_bigarray_get_expression] = STATE(6117),
    [sym_set_expression] = STATE(8088),
    [sym_if_expression] = STATE(8088),
    [sym_while_expression] = STATE(8088),
    [sym_for_expression] = STATE(8088),
    [sym_match_expression] = STATE(8088),
    [sym_function_expression] = STATE(8088),
    [sym_fun_expression] = STATE(8088),
    [sym_try_expression] = STATE(8088),
    [sym_let_expression] = STATE(8088),
    [sym_coercion_expression] = STATE(6935),
    [sym_assert_expression] = STATE(8088),
    [sym_lazy_expression] = STATE(8088),
    [sym_let_module_expression] = STATE(8088),
    [sym_let_open_expression] = STATE(8088),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_let_exception_expression] = STATE(8088),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(2394),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__instance_variable_name] = STATE(20165),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [sym__lowercase_identifier] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_fun] = ACTIONS(2731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2735),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2739),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_assert] = ACTIONS(951),
    [anon_sym_lazy] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(355),
    [sym_match_operator] = ACTIONS(2763),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2395] = {
    [sym__simple_expression] = STATE(3763),
    [sym_typed_expression] = STATE(3755),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_labeled_argument] = STATE(4440),
    [sym_prefix_expression] = STATE(3755),
    [sym_hash_expression] = STATE(3755),
    [sym_field_get_expression] = STATE(3755),
    [sym_array_get_expression] = STATE(3755),
    [sym_string_get_expression] = STATE(3755),
    [sym_bigarray_get_expression] = STATE(3755),
    [sym_coercion_expression] = STATE(3755),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(2395),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [aux_sym_class_application_repeat1] = STATE(2398),
    [sym__lowercase_identifier] = ACTIONS(3261),
    [anon_sym_SEMI_SEMI] = ACTIONS(3443),
    [anon_sym_let] = ACTIONS(3445),
    [anon_sym_and] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_QMARK] = ACTIONS(3263),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_external] = ACTIONS(3445),
    [anon_sym_type] = ACTIONS(3445),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(761),
    [anon_sym_true] = ACTIONS(763),
    [anon_sym_false] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_exception] = ACTIONS(3445),
    [anon_sym_module] = ACTIONS(3445),
    [anon_sym_open] = ACTIONS(3445),
    [anon_sym_include] = ACTIONS(3445),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_end] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(767),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(771),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_LBRACE_LT] = ACTIONS(783),
    [anon_sym_begin] = ACTIONS(785),
    [sym_ocamlyacc_value] = ACTIONS(787),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3445),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3443),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(789),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(791),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3443),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3443),
    [aux_sym_number_token1] = ACTIONS(793),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [sym_prefix_operator] = ACTIONS(799),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym_let_operator] = ACTIONS(3443),
    [sym_let_and_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(803),
    [aux_sym_directive_token1] = ACTIONS(3443),
    [aux_sym_tag_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2396] = {
    [sym__simple_expression] = STATE(3891),
    [sym_typed_expression] = STATE(3831),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_labeled_argument] = STATE(4444),
    [sym_prefix_expression] = STATE(3831),
    [sym_hash_expression] = STATE(3831),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_coercion_expression] = STATE(3831),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(2396),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [aux_sym_class_application_repeat1] = STATE(2397),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_SEMI_SEMI] = ACTIONS(3443),
    [anon_sym_let] = ACTIONS(3445),
    [anon_sym_and] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3253),
    [anon_sym_QMARK] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_external] = ACTIONS(3445),
    [anon_sym_type] = ACTIONS(3445),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(707),
    [anon_sym_RBRACK] = ACTIONS(3443),
    [anon_sym_true] = ACTIONS(709),
    [anon_sym_false] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_exception] = ACTIONS(3445),
    [anon_sym_module] = ACTIONS(3445),
    [anon_sym_open] = ACTIONS(3445),
    [anon_sym_include] = ACTIONS(3445),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(713),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(717),
    [anon_sym_new] = ACTIONS(727),
    [anon_sym_LBRACE_LT] = ACTIONS(729),
    [anon_sym_begin] = ACTIONS(731),
    [sym_ocamlyacc_value] = ACTIONS(733),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3445),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3443),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(735),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(737),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3443),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3443),
    [aux_sym_number_token1] = ACTIONS(739),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [sym_prefix_operator] = ACTIONS(745),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym_let_operator] = ACTIONS(3443),
    [sym_let_and_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(749),
    [aux_sym_directive_token1] = ACTIONS(3443),
    [aux_sym_tag_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2397] = {
    [sym__simple_expression] = STATE(3891),
    [sym_typed_expression] = STATE(3831),
    [sym_list_expression] = STATE(3831),
    [sym_array_expression] = STATE(3831),
    [sym_record_expression] = STATE(3831),
    [sym_labeled_argument] = STATE(4444),
    [sym_prefix_expression] = STATE(3831),
    [sym_hash_expression] = STATE(3831),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_coercion_expression] = STATE(3831),
    [sym_local_open_expression] = STATE(3831),
    [sym_package_expression] = STATE(3831),
    [sym_new_expression] = STATE(3831),
    [sym_object_copy_expression] = STATE(3831),
    [sym_method_invocation] = STATE(3831),
    [sym_object_expression] = STATE(3831),
    [sym_parenthesized_expression] = STATE(3831),
    [sym_attribute] = STATE(2397),
    [sym_extension] = STATE(3831),
    [sym_quoted_extension] = STATE(3831),
    [sym__constant] = STATE(3831),
    [sym_number] = STATE(3835),
    [sym_character] = STATE(3835),
    [sym_string] = STATE(3835),
    [sym_quoted_string] = STATE(3835),
    [sym_boolean] = STATE(3835),
    [sym_unit] = STATE(3835),
    [sym__value_name] = STATE(3890),
    [sym_parenthesized_operator] = STATE(3741),
    [sym_value_path] = STATE(3831),
    [sym_module_path] = STATE(18198),
    [sym_constructor_path] = STATE(3831),
    [sym__constructor_name] = STATE(3836),
    [sym_tag] = STATE(3831),
    [aux_sym_class_application_repeat1] = STATE(2397),
    [sym__lowercase_identifier] = ACTIONS(4183),
    [anon_sym_SEMI_SEMI] = ACTIONS(3500),
    [anon_sym_let] = ACTIONS(3502),
    [anon_sym_and] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(4186),
    [anon_sym_QMARK] = ACTIONS(4186),
    [anon_sym_LPAREN] = ACTIONS(4189),
    [anon_sym_external] = ACTIONS(3502),
    [anon_sym_type] = ACTIONS(3502),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(4192),
    [anon_sym_RBRACK] = ACTIONS(3500),
    [anon_sym_true] = ACTIONS(4195),
    [anon_sym_false] = ACTIONS(4195),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_SEMI] = ACTIONS(3502),
    [anon_sym_exception] = ACTIONS(3502),
    [anon_sym_module] = ACTIONS(3502),
    [anon_sym_open] = ACTIONS(3502),
    [anon_sym_include] = ACTIONS(3502),
    [anon_sym_class] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(4201),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4204),
    [anon_sym_new] = ACTIONS(4207),
    [anon_sym_LBRACE_LT] = ACTIONS(4210),
    [anon_sym_begin] = ACTIONS(4213),
    [sym_ocamlyacc_value] = ACTIONS(4216),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3502),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3500),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4222),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3500),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3500),
    [aux_sym_number_token1] = ACTIONS(4225),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(4228),
    [anon_sym_DQUOTE] = ACTIONS(4231),
    [sym_prefix_operator] = ACTIONS(4234),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym_let_operator] = ACTIONS(3500),
    [sym_let_and_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(4237),
    [aux_sym_directive_token1] = ACTIONS(3500),
    [aux_sym_tag_token1] = ACTIONS(4240),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2398] = {
    [sym__simple_expression] = STATE(3763),
    [sym_typed_expression] = STATE(3755),
    [sym_list_expression] = STATE(3755),
    [sym_array_expression] = STATE(3755),
    [sym_record_expression] = STATE(3755),
    [sym_labeled_argument] = STATE(4440),
    [sym_prefix_expression] = STATE(3755),
    [sym_hash_expression] = STATE(3755),
    [sym_field_get_expression] = STATE(3755),
    [sym_array_get_expression] = STATE(3755),
    [sym_string_get_expression] = STATE(3755),
    [sym_bigarray_get_expression] = STATE(3755),
    [sym_coercion_expression] = STATE(3755),
    [sym_local_open_expression] = STATE(3755),
    [sym_package_expression] = STATE(3755),
    [sym_new_expression] = STATE(3755),
    [sym_object_copy_expression] = STATE(3755),
    [sym_method_invocation] = STATE(3755),
    [sym_object_expression] = STATE(3755),
    [sym_parenthesized_expression] = STATE(3755),
    [sym_attribute] = STATE(2398),
    [sym_extension] = STATE(3755),
    [sym_quoted_extension] = STATE(3755),
    [sym__constant] = STATE(3755),
    [sym_number] = STATE(3906),
    [sym_character] = STATE(3906),
    [sym_string] = STATE(3906),
    [sym_quoted_string] = STATE(3906),
    [sym_boolean] = STATE(3906),
    [sym_unit] = STATE(3906),
    [sym__value_name] = STATE(3800),
    [sym_parenthesized_operator] = STATE(3826),
    [sym_value_path] = STATE(3755),
    [sym_module_path] = STATE(18564),
    [sym_constructor_path] = STATE(3755),
    [sym__constructor_name] = STATE(3907),
    [sym_tag] = STATE(3755),
    [aux_sym_class_application_repeat1] = STATE(2398),
    [sym__lowercase_identifier] = ACTIONS(4243),
    [anon_sym_SEMI_SEMI] = ACTIONS(3500),
    [anon_sym_let] = ACTIONS(3502),
    [anon_sym_and] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(4246),
    [anon_sym_QMARK] = ACTIONS(4246),
    [anon_sym_LPAREN] = ACTIONS(4249),
    [anon_sym_external] = ACTIONS(3502),
    [anon_sym_type] = ACTIONS(3502),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(4252),
    [anon_sym_true] = ACTIONS(4255),
    [anon_sym_false] = ACTIONS(4255),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_SEMI] = ACTIONS(3502),
    [anon_sym_exception] = ACTIONS(3502),
    [anon_sym_module] = ACTIONS(3502),
    [anon_sym_open] = ACTIONS(3502),
    [anon_sym_include] = ACTIONS(3502),
    [anon_sym_class] = ACTIONS(3502),
    [anon_sym_end] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(4261),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4264),
    [anon_sym_new] = ACTIONS(4267),
    [anon_sym_LBRACE_LT] = ACTIONS(4270),
    [anon_sym_begin] = ACTIONS(4273),
    [sym_ocamlyacc_value] = ACTIONS(4276),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3502),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3500),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4279),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4282),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3500),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3500),
    [aux_sym_number_token1] = ACTIONS(4285),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(4288),
    [anon_sym_DQUOTE] = ACTIONS(4291),
    [sym_prefix_operator] = ACTIONS(4294),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym_let_operator] = ACTIONS(3500),
    [sym_let_and_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(4297),
    [aux_sym_directive_token1] = ACTIONS(3500),
    [aux_sym_tag_token1] = ACTIONS(4300),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2399] = {
    [sym__simple_expression] = STATE(3956),
    [sym_typed_expression] = STATE(4049),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_labeled_argument] = STATE(4520),
    [sym_prefix_expression] = STATE(4049),
    [sym_hash_expression] = STATE(4049),
    [sym_field_get_expression] = STATE(4049),
    [sym_array_get_expression] = STATE(4049),
    [sym_string_get_expression] = STATE(4049),
    [sym_bigarray_get_expression] = STATE(4049),
    [sym_coercion_expression] = STATE(4049),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(2399),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [aux_sym_class_application_repeat1] = STATE(2400),
    [sym__lowercase_identifier] = ACTIONS(3751),
    [anon_sym_SEMI_SEMI] = ACTIONS(3443),
    [anon_sym_let] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3753),
    [anon_sym_QMARK] = ACTIONS(3753),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_external] = ACTIONS(3445),
    [anon_sym_type] = ACTIONS(3445),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(3443),
    [anon_sym_true] = ACTIONS(821),
    [anon_sym_false] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_exception] = ACTIONS(3445),
    [anon_sym_module] = ACTIONS(3445),
    [anon_sym_open] = ACTIONS(3445),
    [anon_sym_include] = ACTIONS(3445),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(825),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(829),
    [anon_sym_else] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(839),
    [anon_sym_LBRACE_LT] = ACTIONS(841),
    [anon_sym_begin] = ACTIONS(843),
    [sym_ocamlyacc_value] = ACTIONS(845),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3445),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3443),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(847),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(849),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3443),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3443),
    [aux_sym_number_token1] = ACTIONS(851),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [sym_prefix_operator] = ACTIONS(857),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym_let_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(861),
    [aux_sym_directive_token1] = ACTIONS(3443),
    [aux_sym_tag_token1] = ACTIONS(863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2400] = {
    [sym__simple_expression] = STATE(3956),
    [sym_typed_expression] = STATE(4049),
    [sym_list_expression] = STATE(4049),
    [sym_array_expression] = STATE(4049),
    [sym_record_expression] = STATE(4049),
    [sym_labeled_argument] = STATE(4520),
    [sym_prefix_expression] = STATE(4049),
    [sym_hash_expression] = STATE(4049),
    [sym_field_get_expression] = STATE(4049),
    [sym_array_get_expression] = STATE(4049),
    [sym_string_get_expression] = STATE(4049),
    [sym_bigarray_get_expression] = STATE(4049),
    [sym_coercion_expression] = STATE(4049),
    [sym_local_open_expression] = STATE(4049),
    [sym_package_expression] = STATE(4049),
    [sym_new_expression] = STATE(4049),
    [sym_object_copy_expression] = STATE(4049),
    [sym_method_invocation] = STATE(4049),
    [sym_object_expression] = STATE(4049),
    [sym_parenthesized_expression] = STATE(4049),
    [sym_attribute] = STATE(2400),
    [sym_extension] = STATE(4049),
    [sym_quoted_extension] = STATE(4049),
    [sym__constant] = STATE(4049),
    [sym_number] = STATE(3985),
    [sym_character] = STATE(3985),
    [sym_string] = STATE(3985),
    [sym_quoted_string] = STATE(3985),
    [sym_boolean] = STATE(3985),
    [sym_unit] = STATE(3985),
    [sym__value_name] = STATE(3945),
    [sym_parenthesized_operator] = STATE(4111),
    [sym_value_path] = STATE(4049),
    [sym_module_path] = STATE(17533),
    [sym_constructor_path] = STATE(4049),
    [sym__constructor_name] = STATE(3988),
    [sym_tag] = STATE(4049),
    [aux_sym_class_application_repeat1] = STATE(2400),
    [sym__lowercase_identifier] = ACTIONS(4303),
    [anon_sym_SEMI_SEMI] = ACTIONS(3500),
    [anon_sym_let] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(4306),
    [anon_sym_QMARK] = ACTIONS(4306),
    [anon_sym_LPAREN] = ACTIONS(4309),
    [anon_sym_external] = ACTIONS(3502),
    [anon_sym_type] = ACTIONS(3502),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(4312),
    [anon_sym_RBRACK] = ACTIONS(3500),
    [anon_sym_true] = ACTIONS(4315),
    [anon_sym_false] = ACTIONS(4315),
    [anon_sym_LBRACE] = ACTIONS(4318),
    [anon_sym_SEMI] = ACTIONS(3502),
    [anon_sym_exception] = ACTIONS(3502),
    [anon_sym_module] = ACTIONS(3502),
    [anon_sym_open] = ACTIONS(3502),
    [anon_sym_include] = ACTIONS(3502),
    [anon_sym_class] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(4321),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4324),
    [anon_sym_else] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(4327),
    [anon_sym_LBRACE_LT] = ACTIONS(4330),
    [anon_sym_begin] = ACTIONS(4333),
    [sym_ocamlyacc_value] = ACTIONS(4336),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3502),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3500),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4342),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3500),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3500),
    [aux_sym_number_token1] = ACTIONS(4345),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(4348),
    [anon_sym_DQUOTE] = ACTIONS(4351),
    [sym_prefix_operator] = ACTIONS(4354),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym_let_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(4357),
    [aux_sym_directive_token1] = ACTIONS(3500),
    [aux_sym_tag_token1] = ACTIONS(4360),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2401] = {
    [sym__simple_expression] = STATE(4094),
    [sym_typed_expression] = STATE(4019),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_labeled_argument] = STATE(4533),
    [sym_prefix_expression] = STATE(4019),
    [sym_hash_expression] = STATE(4019),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_coercion_expression] = STATE(4019),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(2401),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [aux_sym_class_application_repeat1] = STATE(2402),
    [sym__lowercase_identifier] = ACTIONS(3667),
    [anon_sym_SEMI_SEMI] = ACTIONS(3443),
    [anon_sym_let] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3669),
    [anon_sym_QMARK] = ACTIONS(3669),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_external] = ACTIONS(3445),
    [anon_sym_type] = ACTIONS(3445),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_true] = ACTIONS(873),
    [anon_sym_false] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_exception] = ACTIONS(3445),
    [anon_sym_module] = ACTIONS(3445),
    [anon_sym_open] = ACTIONS(3445),
    [anon_sym_include] = ACTIONS(3445),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_end] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(881),
    [anon_sym_else] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(891),
    [anon_sym_LBRACE_LT] = ACTIONS(893),
    [anon_sym_begin] = ACTIONS(895),
    [sym_ocamlyacc_value] = ACTIONS(897),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3445),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3443),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(899),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(901),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3443),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3443),
    [aux_sym_number_token1] = ACTIONS(903),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [sym_prefix_operator] = ACTIONS(909),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym_let_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(913),
    [aux_sym_directive_token1] = ACTIONS(3443),
    [aux_sym_tag_token1] = ACTIONS(915),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2402] = {
    [sym__simple_expression] = STATE(4094),
    [sym_typed_expression] = STATE(4019),
    [sym_list_expression] = STATE(4019),
    [sym_array_expression] = STATE(4019),
    [sym_record_expression] = STATE(4019),
    [sym_labeled_argument] = STATE(4533),
    [sym_prefix_expression] = STATE(4019),
    [sym_hash_expression] = STATE(4019),
    [sym_field_get_expression] = STATE(4019),
    [sym_array_get_expression] = STATE(4019),
    [sym_string_get_expression] = STATE(4019),
    [sym_bigarray_get_expression] = STATE(4019),
    [sym_coercion_expression] = STATE(4019),
    [sym_local_open_expression] = STATE(4019),
    [sym_package_expression] = STATE(4019),
    [sym_new_expression] = STATE(4019),
    [sym_object_copy_expression] = STATE(4019),
    [sym_method_invocation] = STATE(4019),
    [sym_object_expression] = STATE(4019),
    [sym_parenthesized_expression] = STATE(4019),
    [sym_attribute] = STATE(2402),
    [sym_extension] = STATE(4019),
    [sym_quoted_extension] = STATE(4019),
    [sym__constant] = STATE(4019),
    [sym_number] = STATE(4077),
    [sym_character] = STATE(4077),
    [sym_string] = STATE(4077),
    [sym_quoted_string] = STATE(4077),
    [sym_boolean] = STATE(4077),
    [sym_unit] = STATE(4077),
    [sym__value_name] = STATE(4044),
    [sym_parenthesized_operator] = STATE(3993),
    [sym_value_path] = STATE(4019),
    [sym_module_path] = STATE(18362),
    [sym_constructor_path] = STATE(4019),
    [sym__constructor_name] = STATE(4078),
    [sym_tag] = STATE(4019),
    [aux_sym_class_application_repeat1] = STATE(2402),
    [sym__lowercase_identifier] = ACTIONS(4363),
    [anon_sym_SEMI_SEMI] = ACTIONS(3500),
    [anon_sym_let] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(4366),
    [anon_sym_QMARK] = ACTIONS(4366),
    [anon_sym_LPAREN] = ACTIONS(4369),
    [anon_sym_external] = ACTIONS(3502),
    [anon_sym_type] = ACTIONS(3502),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(4372),
    [anon_sym_true] = ACTIONS(4375),
    [anon_sym_false] = ACTIONS(4375),
    [anon_sym_LBRACE] = ACTIONS(4378),
    [anon_sym_SEMI] = ACTIONS(3502),
    [anon_sym_exception] = ACTIONS(3502),
    [anon_sym_module] = ACTIONS(3502),
    [anon_sym_open] = ACTIONS(3502),
    [anon_sym_include] = ACTIONS(3502),
    [anon_sym_class] = ACTIONS(3502),
    [anon_sym_end] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(4381),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4384),
    [anon_sym_else] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(4387),
    [anon_sym_LBRACE_LT] = ACTIONS(4390),
    [anon_sym_begin] = ACTIONS(4393),
    [sym_ocamlyacc_value] = ACTIONS(4396),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3502),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3500),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4399),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4402),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3500),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3500),
    [aux_sym_number_token1] = ACTIONS(4405),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(4408),
    [anon_sym_DQUOTE] = ACTIONS(4411),
    [sym_prefix_operator] = ACTIONS(4414),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym_let_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(4417),
    [aux_sym_directive_token1] = ACTIONS(3500),
    [aux_sym_tag_token1] = ACTIONS(4420),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2403] = {
    [sym__simple_expression] = STATE(4373),
    [sym_typed_expression] = STATE(4374),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_labeled_argument] = STATE(4586),
    [sym_prefix_expression] = STATE(4374),
    [sym_hash_expression] = STATE(4374),
    [sym_field_get_expression] = STATE(4374),
    [sym_array_get_expression] = STATE(4374),
    [sym_string_get_expression] = STATE(4374),
    [sym_bigarray_get_expression] = STATE(4374),
    [sym_coercion_expression] = STATE(4374),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(2403),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [aux_sym_class_application_repeat1] = STATE(2403),
    [sym__lowercase_identifier] = ACTIONS(4423),
    [anon_sym_SEMI_SEMI] = ACTIONS(3500),
    [anon_sym_let] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(4426),
    [anon_sym_QMARK] = ACTIONS(4426),
    [anon_sym_LPAREN] = ACTIONS(4429),
    [anon_sym_external] = ACTIONS(3502),
    [anon_sym_type] = ACTIONS(3502),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(4432),
    [anon_sym_RBRACK] = ACTIONS(3500),
    [anon_sym_true] = ACTIONS(4435),
    [anon_sym_false] = ACTIONS(4435),
    [anon_sym_LBRACE] = ACTIONS(4438),
    [anon_sym_SEMI] = ACTIONS(3502),
    [anon_sym_exception] = ACTIONS(3502),
    [anon_sym_module] = ACTIONS(3502),
    [anon_sym_open] = ACTIONS(3502),
    [anon_sym_include] = ACTIONS(3502),
    [anon_sym_class] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(4441),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4444),
    [anon_sym_new] = ACTIONS(4447),
    [anon_sym_LBRACE_LT] = ACTIONS(4450),
    [anon_sym_begin] = ACTIONS(4453),
    [sym_ocamlyacc_value] = ACTIONS(4456),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3502),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3500),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4459),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4462),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3500),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3500),
    [aux_sym_number_token1] = ACTIONS(4465),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(4468),
    [anon_sym_DQUOTE] = ACTIONS(4471),
    [sym_prefix_operator] = ACTIONS(4474),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym_let_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(4477),
    [aux_sym_directive_token1] = ACTIONS(3500),
    [aux_sym_tag_token1] = ACTIONS(4480),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2404] = {
    [sym__simple_expression] = STATE(4246),
    [sym_typed_expression] = STATE(4397),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_labeled_argument] = STATE(4613),
    [sym_prefix_expression] = STATE(4397),
    [sym_hash_expression] = STATE(4397),
    [sym_field_get_expression] = STATE(4397),
    [sym_array_get_expression] = STATE(4397),
    [sym_string_get_expression] = STATE(4397),
    [sym_bigarray_get_expression] = STATE(4397),
    [sym_coercion_expression] = STATE(4397),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(2404),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [aux_sym_class_application_repeat1] = STATE(2404),
    [sym__lowercase_identifier] = ACTIONS(4483),
    [anon_sym_SEMI_SEMI] = ACTIONS(3500),
    [anon_sym_let] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(4486),
    [anon_sym_QMARK] = ACTIONS(4486),
    [anon_sym_LPAREN] = ACTIONS(4489),
    [anon_sym_external] = ACTIONS(3502),
    [anon_sym_type] = ACTIONS(3502),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(4492),
    [anon_sym_true] = ACTIONS(4495),
    [anon_sym_false] = ACTIONS(4495),
    [anon_sym_LBRACE] = ACTIONS(4498),
    [anon_sym_SEMI] = ACTIONS(3502),
    [anon_sym_exception] = ACTIONS(3502),
    [anon_sym_module] = ACTIONS(3502),
    [anon_sym_open] = ACTIONS(3502),
    [anon_sym_include] = ACTIONS(3502),
    [anon_sym_class] = ACTIONS(3502),
    [anon_sym_end] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(4501),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4504),
    [anon_sym_new] = ACTIONS(4507),
    [anon_sym_LBRACE_LT] = ACTIONS(4510),
    [anon_sym_begin] = ACTIONS(4513),
    [sym_ocamlyacc_value] = ACTIONS(4516),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3502),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3500),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4522),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3500),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3500),
    [aux_sym_number_token1] = ACTIONS(4525),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(4528),
    [anon_sym_DQUOTE] = ACTIONS(4531),
    [sym_prefix_operator] = ACTIONS(4534),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym_let_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(4537),
    [aux_sym_directive_token1] = ACTIONS(3500),
    [aux_sym_tag_token1] = ACTIONS(4540),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2405] = {
    [sym__simple_expression] = STATE(4246),
    [sym_typed_expression] = STATE(4397),
    [sym_list_expression] = STATE(4397),
    [sym_array_expression] = STATE(4397),
    [sym_record_expression] = STATE(4397),
    [sym_labeled_argument] = STATE(4613),
    [sym_prefix_expression] = STATE(4397),
    [sym_hash_expression] = STATE(4397),
    [sym_field_get_expression] = STATE(4397),
    [sym_array_get_expression] = STATE(4397),
    [sym_string_get_expression] = STATE(4397),
    [sym_bigarray_get_expression] = STATE(4397),
    [sym_coercion_expression] = STATE(4397),
    [sym_local_open_expression] = STATE(4397),
    [sym_package_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_object_copy_expression] = STATE(4397),
    [sym_method_invocation] = STATE(4397),
    [sym_object_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4397),
    [sym_attribute] = STATE(2405),
    [sym_extension] = STATE(4397),
    [sym_quoted_extension] = STATE(4397),
    [sym__constant] = STATE(4397),
    [sym_number] = STATE(4260),
    [sym_character] = STATE(4260),
    [sym_string] = STATE(4260),
    [sym_quoted_string] = STATE(4260),
    [sym_boolean] = STATE(4260),
    [sym_unit] = STATE(4260),
    [sym__value_name] = STATE(4191),
    [sym_parenthesized_operator] = STATE(4236),
    [sym_value_path] = STATE(4397),
    [sym_module_path] = STATE(19232),
    [sym_constructor_path] = STATE(4397),
    [sym__constructor_name] = STATE(4161),
    [sym_tag] = STATE(4397),
    [aux_sym_class_application_repeat1] = STATE(2404),
    [sym__lowercase_identifier] = ACTIONS(3933),
    [anon_sym_SEMI_SEMI] = ACTIONS(3443),
    [anon_sym_let] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3935),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_external] = ACTIONS(3445),
    [anon_sym_type] = ACTIONS(3445),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_exception] = ACTIONS(3445),
    [anon_sym_module] = ACTIONS(3445),
    [anon_sym_open] = ACTIONS(3445),
    [anon_sym_include] = ACTIONS(3445),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_end] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(439),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(443),
    [anon_sym_new] = ACTIONS(453),
    [anon_sym_LBRACE_LT] = ACTIONS(455),
    [anon_sym_begin] = ACTIONS(457),
    [sym_ocamlyacc_value] = ACTIONS(459),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3445),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3443),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(461),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(463),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3443),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3443),
    [aux_sym_number_token1] = ACTIONS(465),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(469),
    [sym_prefix_operator] = ACTIONS(471),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym_let_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(477),
    [aux_sym_directive_token1] = ACTIONS(3443),
    [aux_sym_tag_token1] = ACTIONS(481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2406] = {
    [sym__simple_expression] = STATE(4373),
    [sym_typed_expression] = STATE(4374),
    [sym_list_expression] = STATE(4374),
    [sym_array_expression] = STATE(4374),
    [sym_record_expression] = STATE(4374),
    [sym_labeled_argument] = STATE(4586),
    [sym_prefix_expression] = STATE(4374),
    [sym_hash_expression] = STATE(4374),
    [sym_field_get_expression] = STATE(4374),
    [sym_array_get_expression] = STATE(4374),
    [sym_string_get_expression] = STATE(4374),
    [sym_bigarray_get_expression] = STATE(4374),
    [sym_coercion_expression] = STATE(4374),
    [sym_local_open_expression] = STATE(4374),
    [sym_package_expression] = STATE(4374),
    [sym_new_expression] = STATE(4374),
    [sym_object_copy_expression] = STATE(4374),
    [sym_method_invocation] = STATE(4374),
    [sym_object_expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(4374),
    [sym_attribute] = STATE(2406),
    [sym_extension] = STATE(4374),
    [sym_quoted_extension] = STATE(4374),
    [sym__constant] = STATE(4374),
    [sym_number] = STATE(4200),
    [sym_character] = STATE(4200),
    [sym_string] = STATE(4200),
    [sym_quoted_string] = STATE(4200),
    [sym_boolean] = STATE(4200),
    [sym_unit] = STATE(4200),
    [sym__value_name] = STATE(4156),
    [sym_parenthesized_operator] = STATE(4402),
    [sym_value_path] = STATE(4374),
    [sym_module_path] = STATE(18136),
    [sym_constructor_path] = STATE(4374),
    [sym__constructor_name] = STATE(4413),
    [sym_tag] = STATE(4374),
    [aux_sym_class_application_repeat1] = STATE(2403),
    [sym__lowercase_identifier] = ACTIONS(3923),
    [anon_sym_SEMI_SEMI] = ACTIONS(3443),
    [anon_sym_let] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3925),
    [anon_sym_QMARK] = ACTIONS(3925),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(3445),
    [anon_sym_type] = ACTIONS(3445),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(3443),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_exception] = ACTIONS(3445),
    [anon_sym_module] = ACTIONS(3445),
    [anon_sym_open] = ACTIONS(3445),
    [anon_sym_include] = ACTIONS(3445),
    [anon_sym_class] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3445),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3443),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3443),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3443),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym_let_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(3443),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2407] = {
    [sym__simple_expression] = STATE(4761),
    [sym_typed_expression] = STATE(4766),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_labeled_argument] = STATE(5202),
    [sym_prefix_expression] = STATE(4766),
    [sym_hash_expression] = STATE(4766),
    [sym_field_get_expression] = STATE(4766),
    [sym_array_get_expression] = STATE(4766),
    [sym_string_get_expression] = STATE(4766),
    [sym_bigarray_get_expression] = STATE(4766),
    [sym_coercion_expression] = STATE(4766),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2407),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [aux_sym_class_application_repeat1] = STATE(2413),
    [sym__lowercase_identifier] = ACTIONS(4543),
    [anon_sym_TILDE] = ACTIONS(4545),
    [anon_sym_QMARK] = ACTIONS(4545),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(4547),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_constraint] = ACTIONS(3069),
    [anon_sym_val] = ACTIONS(3069),
    [anon_sym_end] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_inherit] = ACTIONS(3069),
    [anon_sym_method] = ACTIONS(3069),
    [anon_sym_initializer] = ACTIONS(3069),
    [anon_sym_POUND] = ACTIONS(4549),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_else] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3069),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3067),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(963),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(965),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(4551),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2408] = {
    [sym__simple_expression] = STATE(4878),
    [sym_typed_expression] = STATE(4887),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_labeled_argument] = STATE(5289),
    [sym_prefix_expression] = STATE(4887),
    [sym_hash_expression] = STATE(4887),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_coercion_expression] = STATE(4887),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(2408),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [aux_sym_class_application_repeat1] = STATE(2416),
    [sym__lowercase_identifier] = ACTIONS(4553),
    [anon_sym_TILDE] = ACTIONS(4555),
    [anon_sym_QMARK] = ACTIONS(4555),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_DOT] = ACTIONS(4557),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_constraint] = ACTIONS(3069),
    [anon_sym_val] = ACTIONS(3069),
    [anon_sym_end] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_inherit] = ACTIONS(3069),
    [anon_sym_method] = ACTIONS(3069),
    [anon_sym_initializer] = ACTIONS(3069),
    [anon_sym_POUND] = ACTIONS(4559),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3069),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3067),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1039),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3067),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(4561),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2409] = {
    [sym__simple_expression] = STATE(5083),
    [sym_typed_expression] = STATE(5016),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_labeled_argument] = STATE(5495),
    [sym_prefix_expression] = STATE(5016),
    [sym_hash_expression] = STATE(5016),
    [sym_field_get_expression] = STATE(5016),
    [sym_array_get_expression] = STATE(5016),
    [sym_string_get_expression] = STATE(5016),
    [sym_bigarray_get_expression] = STATE(5016),
    [sym_coercion_expression] = STATE(5016),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2409),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [aux_sym_class_application_repeat1] = STATE(2418),
    [sym__lowercase_identifier] = ACTIONS(4563),
    [anon_sym_COLON_GT] = ACTIONS(3067),
    [anon_sym_TILDE] = ACTIONS(4565),
    [anon_sym_QMARK] = ACTIONS(4565),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_RPAREN] = ACTIONS(3067),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_RBRACK] = ACTIONS(3067),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_COLON2] = ACTIONS(3069),
    [anon_sym_DOT] = ACTIONS(4567),
    [anon_sym_DASH_GT] = ACTIONS(3069),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_RBRACE] = ACTIONS(3067),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_POUND] = ACTIONS(4569),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3067),
    [anon_sym_else] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_GT_RBRACE] = ACTIONS(3067),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(4571),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2410] = {
    [sym__simple_expression] = STATE(5164),
    [sym_typed_expression] = STATE(5105),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_labeled_argument] = STATE(5539),
    [sym_prefix_expression] = STATE(5105),
    [sym_hash_expression] = STATE(5105),
    [sym_field_get_expression] = STATE(5105),
    [sym_array_get_expression] = STATE(5105),
    [sym_string_get_expression] = STATE(5105),
    [sym_bigarray_get_expression] = STATE(5105),
    [sym_coercion_expression] = STATE(5105),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(2410),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [aux_sym_class_application_repeat1] = STATE(2419),
    [sym__lowercase_identifier] = ACTIONS(4573),
    [anon_sym_COLON_GT] = ACTIONS(3067),
    [anon_sym_TILDE] = ACTIONS(4575),
    [anon_sym_QMARK] = ACTIONS(4575),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(3067),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3067),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_COLON2] = ACTIONS(3069),
    [anon_sym_DOT] = ACTIONS(4577),
    [anon_sym_DASH_GT] = ACTIONS(3069),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_RBRACE] = ACTIONS(3067),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_POUND] = ACTIONS(4579),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3067),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_GT_RBRACE] = ACTIONS(3067),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(4581),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2411] = {
    [sym__simple_expression] = STATE(5256),
    [sym_typed_expression] = STATE(5111),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_labeled_argument] = STATE(5533),
    [sym_prefix_expression] = STATE(5111),
    [sym_hash_expression] = STATE(5111),
    [sym_field_get_expression] = STATE(5111),
    [sym_array_get_expression] = STATE(5111),
    [sym_string_get_expression] = STATE(5111),
    [sym_bigarray_get_expression] = STATE(5111),
    [sym_coercion_expression] = STATE(5111),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(2411),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [aux_sym_class_application_repeat1] = STATE(2423),
    [sym__lowercase_identifier] = ACTIONS(4583),
    [anon_sym_COLON_GT] = ACTIONS(3067),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_QMARK] = ACTIONS(4585),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_RPAREN] = ACTIONS(3067),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_RBRACK] = ACTIONS(3067),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(3069),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DASH_GT] = ACTIONS(3069),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_RBRACE] = ACTIONS(3067),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_POUND] = ACTIONS(4589),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_else] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_GT_RBRACE] = ACTIONS(3067),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(4591),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2412] = {
    [sym__simple_expression] = STATE(4761),
    [sym_typed_expression] = STATE(4766),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_labeled_argument] = STATE(5202),
    [sym_prefix_expression] = STATE(4766),
    [sym_hash_expression] = STATE(4766),
    [sym_field_get_expression] = STATE(4766),
    [sym_array_get_expression] = STATE(4766),
    [sym_string_get_expression] = STATE(4766),
    [sym_bigarray_get_expression] = STATE(4766),
    [sym_coercion_expression] = STATE(4766),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2412),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [aux_sym_class_application_repeat1] = STATE(2412),
    [sym__lowercase_identifier] = ACTIONS(4593),
    [anon_sym_TILDE] = ACTIONS(4596),
    [anon_sym_QMARK] = ACTIONS(4596),
    [anon_sym_LPAREN] = ACTIONS(4599),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(4602),
    [anon_sym_true] = ACTIONS(4605),
    [anon_sym_false] = ACTIONS(4605),
    [anon_sym_LBRACE] = ACTIONS(4608),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_constraint] = ACTIONS(3502),
    [anon_sym_val] = ACTIONS(3502),
    [anon_sym_end] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(4611),
    [anon_sym_inherit] = ACTIONS(3502),
    [anon_sym_method] = ACTIONS(3502),
    [anon_sym_initializer] = ACTIONS(3502),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4614),
    [anon_sym_else] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(4617),
    [anon_sym_LBRACE_LT] = ACTIONS(4620),
    [anon_sym_begin] = ACTIONS(4623),
    [sym_ocamlyacc_value] = ACTIONS(4626),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3502),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3500),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4632),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3500),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3500),
    [aux_sym_number_token1] = ACTIONS(4635),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(4638),
    [anon_sym_DQUOTE] = ACTIONS(4641),
    [sym_prefix_operator] = ACTIONS(4644),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(4647),
    [aux_sym_tag_token1] = ACTIONS(4650),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2413] = {
    [sym__simple_expression] = STATE(4761),
    [sym_typed_expression] = STATE(4766),
    [sym_list_expression] = STATE(4766),
    [sym_array_expression] = STATE(4766),
    [sym_record_expression] = STATE(4766),
    [sym_labeled_argument] = STATE(5202),
    [sym_prefix_expression] = STATE(4766),
    [sym_hash_expression] = STATE(4766),
    [sym_field_get_expression] = STATE(4766),
    [sym_array_get_expression] = STATE(4766),
    [sym_string_get_expression] = STATE(4766),
    [sym_bigarray_get_expression] = STATE(4766),
    [sym_coercion_expression] = STATE(4766),
    [sym_local_open_expression] = STATE(4766),
    [sym_package_expression] = STATE(4766),
    [sym_new_expression] = STATE(4766),
    [sym_object_copy_expression] = STATE(4766),
    [sym_method_invocation] = STATE(4766),
    [sym_object_expression] = STATE(4766),
    [sym_parenthesized_expression] = STATE(4766),
    [sym_attribute] = STATE(2413),
    [sym_extension] = STATE(4766),
    [sym_quoted_extension] = STATE(4766),
    [sym__constant] = STATE(4766),
    [sym_number] = STATE(4777),
    [sym_character] = STATE(4777),
    [sym_string] = STATE(4777),
    [sym_quoted_string] = STATE(4777),
    [sym_boolean] = STATE(4777),
    [sym_unit] = STATE(4777),
    [sym__value_name] = STATE(4755),
    [sym_parenthesized_operator] = STATE(4733),
    [sym_value_path] = STATE(4766),
    [sym_module_path] = STATE(18403),
    [sym_constructor_path] = STATE(4766),
    [sym__constructor_name] = STATE(4778),
    [sym_tag] = STATE(4766),
    [aux_sym_class_application_repeat1] = STATE(2412),
    [sym__lowercase_identifier] = ACTIONS(4543),
    [anon_sym_TILDE] = ACTIONS(4545),
    [anon_sym_QMARK] = ACTIONS(4545),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_SEMI] = ACTIONS(3443),
    [anon_sym_constraint] = ACTIONS(3445),
    [anon_sym_val] = ACTIONS(3445),
    [anon_sym_end] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_inherit] = ACTIONS(3445),
    [anon_sym_method] = ACTIONS(3445),
    [anon_sym_initializer] = ACTIONS(3445),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(937),
    [anon_sym_else] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(955),
    [anon_sym_LBRACE_LT] = ACTIONS(957),
    [anon_sym_begin] = ACTIONS(959),
    [sym_ocamlyacc_value] = ACTIONS(961),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3445),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3443),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(963),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(965),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3443),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3443),
    [aux_sym_number_token1] = ACTIONS(967),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(971),
    [sym_prefix_operator] = ACTIONS(973),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(977),
    [aux_sym_tag_token1] = ACTIONS(979),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2414] = {
    [sym__simple_expression] = STATE(5325),
    [sym_typed_expression] = STATE(5315),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_labeled_argument] = STATE(5782),
    [sym_prefix_expression] = STATE(5315),
    [sym_hash_expression] = STATE(5315),
    [sym_field_get_expression] = STATE(5315),
    [sym_array_get_expression] = STATE(5315),
    [sym_string_get_expression] = STATE(5315),
    [sym_bigarray_get_expression] = STATE(5315),
    [sym_coercion_expression] = STATE(5315),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(2414),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [aux_sym_class_application_repeat1] = STATE(2432),
    [sym__lowercase_identifier] = ACTIONS(4653),
    [anon_sym_COLON_GT] = ACTIONS(3067),
    [anon_sym_TILDE] = ACTIONS(4655),
    [anon_sym_QMARK] = ACTIONS(4655),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_RPAREN] = ACTIONS(3067),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_RBRACK] = ACTIONS(3067),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_COLON2] = ACTIONS(3069),
    [anon_sym_DOT] = ACTIONS(4657),
    [anon_sym_DASH_GT] = ACTIONS(3069),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_RBRACE] = ACTIONS(3067),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_POUND] = ACTIONS(4659),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_GT_RBRACE] = ACTIONS(3067),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(4661),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2415] = {
    [sym__simple_expression] = STATE(4878),
    [sym_typed_expression] = STATE(4887),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_labeled_argument] = STATE(5289),
    [sym_prefix_expression] = STATE(4887),
    [sym_hash_expression] = STATE(4887),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_coercion_expression] = STATE(4887),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(2415),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [aux_sym_class_application_repeat1] = STATE(2415),
    [sym__lowercase_identifier] = ACTIONS(4663),
    [anon_sym_TILDE] = ACTIONS(4666),
    [anon_sym_QMARK] = ACTIONS(4666),
    [anon_sym_LPAREN] = ACTIONS(4669),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(4672),
    [anon_sym_true] = ACTIONS(4675),
    [anon_sym_false] = ACTIONS(4675),
    [anon_sym_LBRACE] = ACTIONS(4678),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_constraint] = ACTIONS(3502),
    [anon_sym_val] = ACTIONS(3502),
    [anon_sym_end] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(4681),
    [anon_sym_inherit] = ACTIONS(3502),
    [anon_sym_method] = ACTIONS(3502),
    [anon_sym_initializer] = ACTIONS(3502),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4684),
    [anon_sym_new] = ACTIONS(4687),
    [anon_sym_LBRACE_LT] = ACTIONS(4690),
    [anon_sym_begin] = ACTIONS(4693),
    [sym_ocamlyacc_value] = ACTIONS(4696),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3502),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3500),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4702),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3500),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3500),
    [aux_sym_number_token1] = ACTIONS(4705),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(4708),
    [anon_sym_DQUOTE] = ACTIONS(4711),
    [sym_prefix_operator] = ACTIONS(4714),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(4717),
    [aux_sym_tag_token1] = ACTIONS(4720),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2416] = {
    [sym__simple_expression] = STATE(4878),
    [sym_typed_expression] = STATE(4887),
    [sym_list_expression] = STATE(4887),
    [sym_array_expression] = STATE(4887),
    [sym_record_expression] = STATE(4887),
    [sym_labeled_argument] = STATE(5289),
    [sym_prefix_expression] = STATE(4887),
    [sym_hash_expression] = STATE(4887),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_coercion_expression] = STATE(4887),
    [sym_local_open_expression] = STATE(4887),
    [sym_package_expression] = STATE(4887),
    [sym_new_expression] = STATE(4887),
    [sym_object_copy_expression] = STATE(4887),
    [sym_method_invocation] = STATE(4887),
    [sym_object_expression] = STATE(4887),
    [sym_parenthesized_expression] = STATE(4887),
    [sym_attribute] = STATE(2416),
    [sym_extension] = STATE(4887),
    [sym_quoted_extension] = STATE(4887),
    [sym__constant] = STATE(4887),
    [sym_number] = STATE(4891),
    [sym_character] = STATE(4891),
    [sym_string] = STATE(4891),
    [sym_quoted_string] = STATE(4891),
    [sym_boolean] = STATE(4891),
    [sym_unit] = STATE(4891),
    [sym__value_name] = STATE(4882),
    [sym_parenthesized_operator] = STATE(4906),
    [sym_value_path] = STATE(4887),
    [sym_module_path] = STATE(19601),
    [sym_constructor_path] = STATE(4887),
    [sym__constructor_name] = STATE(4864),
    [sym_tag] = STATE(4887),
    [aux_sym_class_application_repeat1] = STATE(2415),
    [sym__lowercase_identifier] = ACTIONS(4553),
    [anon_sym_TILDE] = ACTIONS(4555),
    [anon_sym_QMARK] = ACTIONS(4555),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_SEMI] = ACTIONS(3443),
    [anon_sym_constraint] = ACTIONS(3445),
    [anon_sym_val] = ACTIONS(3445),
    [anon_sym_end] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(1015),
    [anon_sym_inherit] = ACTIONS(3445),
    [anon_sym_method] = ACTIONS(3445),
    [anon_sym_initializer] = ACTIONS(3445),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1019),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_LBRACE_LT] = ACTIONS(1031),
    [anon_sym_begin] = ACTIONS(1033),
    [sym_ocamlyacc_value] = ACTIONS(1035),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3445),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3443),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1039),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3443),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3443),
    [aux_sym_number_token1] = ACTIONS(1041),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [sym_prefix_operator] = ACTIONS(1047),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(1051),
    [aux_sym_tag_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2417] = {
    [sym__simple_expression] = STATE(5083),
    [sym_typed_expression] = STATE(5016),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_labeled_argument] = STATE(5495),
    [sym_prefix_expression] = STATE(5016),
    [sym_hash_expression] = STATE(5016),
    [sym_field_get_expression] = STATE(5016),
    [sym_array_get_expression] = STATE(5016),
    [sym_string_get_expression] = STATE(5016),
    [sym_bigarray_get_expression] = STATE(5016),
    [sym_coercion_expression] = STATE(5016),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2417),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [aux_sym_class_application_repeat1] = STATE(2417),
    [sym__lowercase_identifier] = ACTIONS(4723),
    [anon_sym_COLON_GT] = ACTIONS(3500),
    [anon_sym_TILDE] = ACTIONS(4726),
    [anon_sym_QMARK] = ACTIONS(4726),
    [anon_sym_LPAREN] = ACTIONS(4729),
    [anon_sym_RPAREN] = ACTIONS(3500),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(4732),
    [anon_sym_RBRACK] = ACTIONS(3500),
    [anon_sym_true] = ACTIONS(4735),
    [anon_sym_false] = ACTIONS(4735),
    [anon_sym_COLON2] = ACTIONS(3502),
    [anon_sym_DASH_GT] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(4738),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_RBRACE] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(4741),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4744),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3500),
    [anon_sym_else] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(4747),
    [anon_sym_LBRACE_LT] = ACTIONS(4750),
    [anon_sym_GT_RBRACE] = ACTIONS(3500),
    [anon_sym_begin] = ACTIONS(4753),
    [sym_ocamlyacc_value] = ACTIONS(4756),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4759),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4762),
    [aux_sym_number_token1] = ACTIONS(4765),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(4768),
    [anon_sym_DQUOTE] = ACTIONS(4771),
    [sym_prefix_operator] = ACTIONS(4774),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(4777),
    [aux_sym_tag_token1] = ACTIONS(4780),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2418] = {
    [sym__simple_expression] = STATE(5083),
    [sym_typed_expression] = STATE(5016),
    [sym_list_expression] = STATE(5016),
    [sym_array_expression] = STATE(5016),
    [sym_record_expression] = STATE(5016),
    [sym_labeled_argument] = STATE(5495),
    [sym_prefix_expression] = STATE(5016),
    [sym_hash_expression] = STATE(5016),
    [sym_field_get_expression] = STATE(5016),
    [sym_array_get_expression] = STATE(5016),
    [sym_string_get_expression] = STATE(5016),
    [sym_bigarray_get_expression] = STATE(5016),
    [sym_coercion_expression] = STATE(5016),
    [sym_local_open_expression] = STATE(5016),
    [sym_package_expression] = STATE(5016),
    [sym_new_expression] = STATE(5016),
    [sym_object_copy_expression] = STATE(5016),
    [sym_method_invocation] = STATE(5016),
    [sym_object_expression] = STATE(5016),
    [sym_parenthesized_expression] = STATE(5016),
    [sym_attribute] = STATE(2418),
    [sym_extension] = STATE(5016),
    [sym_quoted_extension] = STATE(5016),
    [sym__constant] = STATE(5016),
    [sym_number] = STATE(5018),
    [sym_character] = STATE(5018),
    [sym_string] = STATE(5018),
    [sym_quoted_string] = STATE(5018),
    [sym_boolean] = STATE(5018),
    [sym_unit] = STATE(5018),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5095),
    [sym_value_path] = STATE(5016),
    [sym_module_path] = STATE(17752),
    [sym_constructor_path] = STATE(5016),
    [sym__constructor_name] = STATE(5029),
    [sym_tag] = STATE(5016),
    [aux_sym_class_application_repeat1] = STATE(2417),
    [sym__lowercase_identifier] = ACTIONS(4563),
    [anon_sym_COLON_GT] = ACTIONS(3443),
    [anon_sym_TILDE] = ACTIONS(4565),
    [anon_sym_QMARK] = ACTIONS(4565),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [anon_sym_RPAREN] = ACTIONS(3443),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_RBRACK] = ACTIONS(3443),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [anon_sym_COLON2] = ACTIONS(3445),
    [anon_sym_DASH_GT] = ACTIONS(3445),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_SEMI] = ACTIONS(3443),
    [anon_sym_RBRACE] = ACTIONS(3443),
    [anon_sym_object] = ACTIONS(1133),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1137),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3443),
    [anon_sym_else] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(1147),
    [anon_sym_LBRACE_LT] = ACTIONS(1149),
    [anon_sym_GT_RBRACE] = ACTIONS(3443),
    [anon_sym_begin] = ACTIONS(1151),
    [sym_ocamlyacc_value] = ACTIONS(1153),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1157),
    [aux_sym_number_token1] = ACTIONS(1159),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [sym_prefix_operator] = ACTIONS(1165),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(1169),
    [aux_sym_tag_token1] = ACTIONS(1171),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2419] = {
    [sym__simple_expression] = STATE(5164),
    [sym_typed_expression] = STATE(5105),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_labeled_argument] = STATE(5539),
    [sym_prefix_expression] = STATE(5105),
    [sym_hash_expression] = STATE(5105),
    [sym_field_get_expression] = STATE(5105),
    [sym_array_get_expression] = STATE(5105),
    [sym_string_get_expression] = STATE(5105),
    [sym_bigarray_get_expression] = STATE(5105),
    [sym_coercion_expression] = STATE(5105),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(2419),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [aux_sym_class_application_repeat1] = STATE(2422),
    [sym__lowercase_identifier] = ACTIONS(4573),
    [anon_sym_COLON_GT] = ACTIONS(3443),
    [anon_sym_TILDE] = ACTIONS(4575),
    [anon_sym_QMARK] = ACTIONS(4575),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(3443),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(3443),
    [anon_sym_true] = ACTIONS(1233),
    [anon_sym_false] = ACTIONS(1233),
    [anon_sym_COLON2] = ACTIONS(3445),
    [anon_sym_DASH_GT] = ACTIONS(3445),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_SEMI] = ACTIONS(3443),
    [anon_sym_RBRACE] = ACTIONS(3443),
    [anon_sym_object] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1241),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3443),
    [anon_sym_new] = ACTIONS(1251),
    [anon_sym_LBRACE_LT] = ACTIONS(1253),
    [anon_sym_GT_RBRACE] = ACTIONS(3443),
    [anon_sym_begin] = ACTIONS(1255),
    [sym_ocamlyacc_value] = ACTIONS(1257),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1261),
    [aux_sym_number_token1] = ACTIONS(1263),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1267),
    [sym_prefix_operator] = ACTIONS(1269),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(1273),
    [aux_sym_tag_token1] = ACTIONS(1275),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2420] = {
    [sym__simple_expression] = STATE(5256),
    [sym_typed_expression] = STATE(5111),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_labeled_argument] = STATE(5533),
    [sym_prefix_expression] = STATE(5111),
    [sym_hash_expression] = STATE(5111),
    [sym_field_get_expression] = STATE(5111),
    [sym_array_get_expression] = STATE(5111),
    [sym_string_get_expression] = STATE(5111),
    [sym_bigarray_get_expression] = STATE(5111),
    [sym_coercion_expression] = STATE(5111),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(2420),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [aux_sym_class_application_repeat1] = STATE(2420),
    [sym__lowercase_identifier] = ACTIONS(4783),
    [anon_sym_COLON_GT] = ACTIONS(3500),
    [anon_sym_TILDE] = ACTIONS(4786),
    [anon_sym_QMARK] = ACTIONS(4786),
    [anon_sym_LPAREN] = ACTIONS(4789),
    [anon_sym_RPAREN] = ACTIONS(3500),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(4792),
    [anon_sym_RBRACK] = ACTIONS(3500),
    [anon_sym_true] = ACTIONS(4795),
    [anon_sym_false] = ACTIONS(4795),
    [anon_sym_COLON2] = ACTIONS(3502),
    [anon_sym_DASH_GT] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(4798),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_RBRACE] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(4801),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4804),
    [anon_sym_else] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(4807),
    [anon_sym_LBRACE_LT] = ACTIONS(4810),
    [anon_sym_GT_RBRACE] = ACTIONS(3500),
    [anon_sym_begin] = ACTIONS(4813),
    [sym_ocamlyacc_value] = ACTIONS(4816),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4822),
    [aux_sym_number_token1] = ACTIONS(4825),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym_DQUOTE] = ACTIONS(4831),
    [sym_prefix_operator] = ACTIONS(4834),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(4837),
    [aux_sym_tag_token1] = ACTIONS(4840),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2421] = {
    [sym__simple_expression] = STATE(5531),
    [sym_typed_expression] = STATE(5663),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_labeled_argument] = STATE(6348),
    [sym_prefix_expression] = STATE(5663),
    [sym_hash_expression] = STATE(5663),
    [sym_field_get_expression] = STATE(5663),
    [sym_array_get_expression] = STATE(5663),
    [sym_string_get_expression] = STATE(5663),
    [sym_bigarray_get_expression] = STATE(5663),
    [sym_coercion_expression] = STATE(5663),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2421),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [aux_sym_class_application_repeat1] = STATE(2459),
    [sym__lowercase_identifier] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(3069),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_in] = ACTIONS(3069),
    [anon_sym_POUND] = ACTIONS(4849),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_else] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3067),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(4851),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym_let_and_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2422] = {
    [sym__simple_expression] = STATE(5164),
    [sym_typed_expression] = STATE(5105),
    [sym_list_expression] = STATE(5105),
    [sym_array_expression] = STATE(5105),
    [sym_record_expression] = STATE(5105),
    [sym_labeled_argument] = STATE(5539),
    [sym_prefix_expression] = STATE(5105),
    [sym_hash_expression] = STATE(5105),
    [sym_field_get_expression] = STATE(5105),
    [sym_array_get_expression] = STATE(5105),
    [sym_string_get_expression] = STATE(5105),
    [sym_bigarray_get_expression] = STATE(5105),
    [sym_coercion_expression] = STATE(5105),
    [sym_local_open_expression] = STATE(5105),
    [sym_package_expression] = STATE(5105),
    [sym_new_expression] = STATE(5105),
    [sym_object_copy_expression] = STATE(5105),
    [sym_method_invocation] = STATE(5105),
    [sym_object_expression] = STATE(5105),
    [sym_parenthesized_expression] = STATE(5105),
    [sym_attribute] = STATE(2422),
    [sym_extension] = STATE(5105),
    [sym_quoted_extension] = STATE(5105),
    [sym__constant] = STATE(5105),
    [sym_number] = STATE(5161),
    [sym_character] = STATE(5161),
    [sym_string] = STATE(5161),
    [sym_quoted_string] = STATE(5161),
    [sym_boolean] = STATE(5161),
    [sym_unit] = STATE(5161),
    [sym__value_name] = STATE(5227),
    [sym_parenthesized_operator] = STATE(5101),
    [sym_value_path] = STATE(5105),
    [sym_module_path] = STATE(19126),
    [sym_constructor_path] = STATE(5105),
    [sym__constructor_name] = STATE(5168),
    [sym_tag] = STATE(5105),
    [aux_sym_class_application_repeat1] = STATE(2422),
    [sym__lowercase_identifier] = ACTIONS(4853),
    [anon_sym_COLON_GT] = ACTIONS(3500),
    [anon_sym_TILDE] = ACTIONS(4856),
    [anon_sym_QMARK] = ACTIONS(4856),
    [anon_sym_LPAREN] = ACTIONS(4859),
    [anon_sym_RPAREN] = ACTIONS(3500),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(4862),
    [anon_sym_RBRACK] = ACTIONS(3500),
    [anon_sym_true] = ACTIONS(4865),
    [anon_sym_false] = ACTIONS(4865),
    [anon_sym_COLON2] = ACTIONS(3502),
    [anon_sym_DASH_GT] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(4868),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_RBRACE] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(4871),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4874),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3500),
    [anon_sym_new] = ACTIONS(4877),
    [anon_sym_LBRACE_LT] = ACTIONS(4880),
    [anon_sym_GT_RBRACE] = ACTIONS(3500),
    [anon_sym_begin] = ACTIONS(4883),
    [sym_ocamlyacc_value] = ACTIONS(4886),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4892),
    [aux_sym_number_token1] = ACTIONS(4895),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(4898),
    [anon_sym_DQUOTE] = ACTIONS(4901),
    [sym_prefix_operator] = ACTIONS(4904),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(4907),
    [aux_sym_tag_token1] = ACTIONS(4910),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2423] = {
    [sym__simple_expression] = STATE(5256),
    [sym_typed_expression] = STATE(5111),
    [sym_list_expression] = STATE(5111),
    [sym_array_expression] = STATE(5111),
    [sym_record_expression] = STATE(5111),
    [sym_labeled_argument] = STATE(5533),
    [sym_prefix_expression] = STATE(5111),
    [sym_hash_expression] = STATE(5111),
    [sym_field_get_expression] = STATE(5111),
    [sym_array_get_expression] = STATE(5111),
    [sym_string_get_expression] = STATE(5111),
    [sym_bigarray_get_expression] = STATE(5111),
    [sym_coercion_expression] = STATE(5111),
    [sym_local_open_expression] = STATE(5111),
    [sym_package_expression] = STATE(5111),
    [sym_new_expression] = STATE(5111),
    [sym_object_copy_expression] = STATE(5111),
    [sym_method_invocation] = STATE(5111),
    [sym_object_expression] = STATE(5111),
    [sym_parenthesized_expression] = STATE(5111),
    [sym_attribute] = STATE(2423),
    [sym_extension] = STATE(5111),
    [sym_quoted_extension] = STATE(5111),
    [sym__constant] = STATE(5111),
    [sym_number] = STATE(5139),
    [sym_character] = STATE(5139),
    [sym_string] = STATE(5139),
    [sym_quoted_string] = STATE(5139),
    [sym_boolean] = STATE(5139),
    [sym_unit] = STATE(5139),
    [sym__value_name] = STATE(5217),
    [sym_parenthesized_operator] = STATE(5115),
    [sym_value_path] = STATE(5111),
    [sym_module_path] = STATE(18719),
    [sym_constructor_path] = STATE(5111),
    [sym__constructor_name] = STATE(5099),
    [sym_tag] = STATE(5111),
    [aux_sym_class_application_repeat1] = STATE(2420),
    [sym__lowercase_identifier] = ACTIONS(4583),
    [anon_sym_COLON_GT] = ACTIONS(3443),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_QMARK] = ACTIONS(4585),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_RPAREN] = ACTIONS(3443),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_RBRACK] = ACTIONS(3443),
    [anon_sym_true] = ACTIONS(1077),
    [anon_sym_false] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(3445),
    [anon_sym_DASH_GT] = ACTIONS(3445),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_SEMI] = ACTIONS(3443),
    [anon_sym_RBRACE] = ACTIONS(3443),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1085),
    [anon_sym_else] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(1095),
    [anon_sym_LBRACE_LT] = ACTIONS(1097),
    [anon_sym_GT_RBRACE] = ACTIONS(3443),
    [anon_sym_begin] = ACTIONS(1099),
    [sym_ocamlyacc_value] = ACTIONS(1101),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1107),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [sym_prefix_operator] = ACTIONS(1113),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(1117),
    [aux_sym_tag_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2424] = {
    [sym__abstract_type] = STATE(18935),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13449),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2424),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(18811),
    [sym_add_operator] = STATE(18190),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(4917),
    [anon_sym_type] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(4925),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(4931),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(4935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(4953),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(4953),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(4953),
    [sym_let_and_operator] = ACTIONS(4953),
    [sym_match_operator] = ACTIONS(4953),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2425] = {
    [sym__binding_pattern] = STATE(5511),
    [sym_alias_binding_pattern] = STATE(5518),
    [sym_typed_binding_pattern] = STATE(5518),
    [sym_or_binding_pattern] = STATE(5518),
    [sym_constructor_binding_pattern] = STATE(5518),
    [sym_tag_binding_pattern] = STATE(5518),
    [sym_polymorphic_variant_pattern] = STATE(5518),
    [sym_tuple_binding_pattern] = STATE(5518),
    [sym_record_binding_pattern] = STATE(5429),
    [sym_list_binding_pattern] = STATE(5434),
    [sym_cons_binding_pattern] = STATE(5518),
    [sym_array_binding_pattern] = STATE(5442),
    [sym_range_pattern] = STATE(5518),
    [sym_lazy_binding_pattern] = STATE(5518),
    [sym_local_open_binding_pattern] = STATE(5518),
    [sym_package_pattern] = STATE(5518),
    [sym_parenthesized_binding_pattern] = STATE(5518),
    [sym_attribute] = STATE(2425),
    [sym_extension] = STATE(5518),
    [sym_quoted_extension] = STATE(5518),
    [sym__constant] = STATE(5264),
    [sym__signed_constant] = STATE(5336),
    [sym_number] = STATE(5369),
    [sym_signed_number] = STATE(5264),
    [sym_character] = STATE(5369),
    [sym_string] = STATE(5369),
    [sym_quoted_string] = STATE(5369),
    [sym_boolean] = STATE(5369),
    [sym_unit] = STATE(5369),
    [sym__value_name] = STATE(5518),
    [sym_parenthesized_operator] = STATE(5488),
    [sym_module_path] = STATE(18300),
    [sym_constructor_path] = STATE(2428),
    [sym__constructor_name] = STATE(5317),
    [sym_tag] = STATE(2425),
    [sym__lowercase_identifier] = ACTIONS(4959),
    [anon_sym_SEMI_SEMI] = ACTIONS(4961),
    [anon_sym_let] = ACTIONS(4963),
    [anon_sym_and] = ACTIONS(4963),
    [anon_sym_COLON_GT] = ACTIONS(4961),
    [anon_sym_EQ] = ACTIONS(4961),
    [anon_sym_TILDE] = ACTIONS(4961),
    [anon_sym_QMARK] = ACTIONS(4961),
    [anon_sym_LPAREN] = ACTIONS(4965),
    [anon_sym_external] = ACTIONS(4963),
    [anon_sym_type] = ACTIONS(4963),
    [anon_sym_COMMA] = ACTIONS(4961),
    [anon_sym_PIPE] = ACTIONS(4961),
    [anon_sym_LBRACK] = ACTIONS(4967),
    [anon_sym_RBRACK] = ACTIONS(4961),
    [anon_sym_true] = ACTIONS(4969),
    [anon_sym_false] = ACTIONS(4969),
    [anon_sym_COLON2] = ACTIONS(4963),
    [anon_sym_LBRACE] = ACTIONS(4971),
    [anon_sym_exception] = ACTIONS(4963),
    [anon_sym_module] = ACTIONS(4963),
    [anon_sym_open] = ACTIONS(4963),
    [anon_sym_include] = ACTIONS(4963),
    [anon_sym_class] = ACTIONS(4963),
    [anon_sym_in] = ACTIONS(4963),
    [anon_sym_as] = ACTIONS(4963),
    [anon_sym_POUND] = ACTIONS(4973),
    [anon_sym_COLON_COLON] = ACTIONS(4961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4975),
    [anon_sym_lazy] = ACTIONS(4977),
    [anon_sym_begin] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4963),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4961),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4983),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4961),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4961),
    [aux_sym_number_token1] = ACTIONS(4985),
    [aux_sym_signed_number_token1] = ACTIONS(4987),
    [anon_sym_SQUOTE] = ACTIONS(4989),
    [anon_sym_DQUOTE] = ACTIONS(4991),
    [sym_let_operator] = ACTIONS(4961),
    [sym_let_and_operator] = ACTIONS(4961),
    [sym__uppercase_identifier] = ACTIONS(4993),
    [aux_sym_directive_token1] = ACTIONS(4963),
    [aux_sym_tag_token1] = ACTIONS(4995),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2426] = {
    [sym__simple_expression] = STATE(5325),
    [sym_typed_expression] = STATE(5315),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_labeled_argument] = STATE(5782),
    [sym_prefix_expression] = STATE(5315),
    [sym_hash_expression] = STATE(5315),
    [sym_field_get_expression] = STATE(5315),
    [sym_array_get_expression] = STATE(5315),
    [sym_string_get_expression] = STATE(5315),
    [sym_bigarray_get_expression] = STATE(5315),
    [sym_coercion_expression] = STATE(5315),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(2426),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [aux_sym_class_application_repeat1] = STATE(2426),
    [sym__lowercase_identifier] = ACTIONS(4997),
    [anon_sym_COLON_GT] = ACTIONS(3500),
    [anon_sym_TILDE] = ACTIONS(5000),
    [anon_sym_QMARK] = ACTIONS(5000),
    [anon_sym_LPAREN] = ACTIONS(5003),
    [anon_sym_RPAREN] = ACTIONS(3500),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [anon_sym_RBRACK] = ACTIONS(3500),
    [anon_sym_true] = ACTIONS(5009),
    [anon_sym_false] = ACTIONS(5009),
    [anon_sym_COLON2] = ACTIONS(3502),
    [anon_sym_DASH_GT] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(5012),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_RBRACE] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(5015),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5018),
    [anon_sym_new] = ACTIONS(5021),
    [anon_sym_LBRACE_LT] = ACTIONS(5024),
    [anon_sym_GT_RBRACE] = ACTIONS(3500),
    [anon_sym_begin] = ACTIONS(5027),
    [sym_ocamlyacc_value] = ACTIONS(5030),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5036),
    [aux_sym_number_token1] = ACTIONS(5039),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(5042),
    [anon_sym_DQUOTE] = ACTIONS(5045),
    [sym_prefix_operator] = ACTIONS(5048),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(5051),
    [aux_sym_tag_token1] = ACTIONS(5054),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2427] = {
    [sym__abstract_type] = STATE(17503),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13445),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2427),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(17867),
    [sym_add_operator] = STATE(18190),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5057),
    [anon_sym_type] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5059),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5061),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5063),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(5065),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(5065),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(5065),
    [sym_let_and_operator] = ACTIONS(5065),
    [sym_match_operator] = ACTIONS(5065),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2428] = {
    [sym__binding_pattern] = STATE(5510),
    [sym_alias_binding_pattern] = STATE(5518),
    [sym_typed_binding_pattern] = STATE(5518),
    [sym_or_binding_pattern] = STATE(5518),
    [sym_constructor_binding_pattern] = STATE(5518),
    [sym_tag_binding_pattern] = STATE(5518),
    [sym_polymorphic_variant_pattern] = STATE(5518),
    [sym_tuple_binding_pattern] = STATE(5518),
    [sym_record_binding_pattern] = STATE(5429),
    [sym_list_binding_pattern] = STATE(5434),
    [sym_cons_binding_pattern] = STATE(5518),
    [sym_array_binding_pattern] = STATE(5442),
    [sym_range_pattern] = STATE(5518),
    [sym_lazy_binding_pattern] = STATE(5518),
    [sym_local_open_binding_pattern] = STATE(5518),
    [sym_package_pattern] = STATE(5518),
    [sym_parenthesized_binding_pattern] = STATE(5518),
    [sym_attribute] = STATE(2428),
    [sym_extension] = STATE(5518),
    [sym_quoted_extension] = STATE(5518),
    [sym__constant] = STATE(5264),
    [sym__signed_constant] = STATE(5336),
    [sym_number] = STATE(5369),
    [sym_signed_number] = STATE(5264),
    [sym_character] = STATE(5369),
    [sym_string] = STATE(5369),
    [sym_quoted_string] = STATE(5369),
    [sym_boolean] = STATE(5369),
    [sym_unit] = STATE(5369),
    [sym__value_name] = STATE(5518),
    [sym_parenthesized_operator] = STATE(5488),
    [sym_module_path] = STATE(18300),
    [sym_constructor_path] = STATE(2428),
    [sym__constructor_name] = STATE(5317),
    [sym_tag] = STATE(2425),
    [sym__lowercase_identifier] = ACTIONS(4959),
    [anon_sym_SEMI_SEMI] = ACTIONS(4961),
    [anon_sym_let] = ACTIONS(4963),
    [anon_sym_and] = ACTIONS(4963),
    [anon_sym_COLON_GT] = ACTIONS(4961),
    [anon_sym_EQ] = ACTIONS(4961),
    [anon_sym_TILDE] = ACTIONS(4961),
    [anon_sym_QMARK] = ACTIONS(4961),
    [anon_sym_LPAREN] = ACTIONS(4965),
    [anon_sym_external] = ACTIONS(4963),
    [anon_sym_type] = ACTIONS(4963),
    [anon_sym_COMMA] = ACTIONS(4961),
    [anon_sym_PIPE] = ACTIONS(4961),
    [anon_sym_LBRACK] = ACTIONS(4967),
    [anon_sym_RBRACK] = ACTIONS(4961),
    [anon_sym_true] = ACTIONS(4969),
    [anon_sym_false] = ACTIONS(4969),
    [anon_sym_COLON2] = ACTIONS(4963),
    [anon_sym_LBRACE] = ACTIONS(4971),
    [anon_sym_exception] = ACTIONS(4963),
    [anon_sym_module] = ACTIONS(4963),
    [anon_sym_open] = ACTIONS(4963),
    [anon_sym_include] = ACTIONS(4963),
    [anon_sym_class] = ACTIONS(4963),
    [anon_sym_in] = ACTIONS(4963),
    [anon_sym_as] = ACTIONS(4963),
    [anon_sym_POUND] = ACTIONS(4973),
    [anon_sym_COLON_COLON] = ACTIONS(4961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4975),
    [anon_sym_lazy] = ACTIONS(4977),
    [anon_sym_begin] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4963),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4961),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4983),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4961),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4961),
    [aux_sym_number_token1] = ACTIONS(4985),
    [aux_sym_signed_number_token1] = ACTIONS(4987),
    [anon_sym_SQUOTE] = ACTIONS(4989),
    [anon_sym_DQUOTE] = ACTIONS(4991),
    [sym_let_operator] = ACTIONS(4961),
    [sym_let_and_operator] = ACTIONS(4961),
    [sym__uppercase_identifier] = ACTIONS(4993),
    [aux_sym_directive_token1] = ACTIONS(4963),
    [aux_sym_tag_token1] = ACTIONS(4995),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2429] = {
    [sym__abstract_type] = STATE(18481),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13651),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2429),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(20132),
    [sym_add_operator] = STATE(18190),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5067),
    [anon_sym_type] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5069),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5071),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5073),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(5075),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(5075),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(5075),
    [sym_let_and_operator] = ACTIONS(5075),
    [sym_match_operator] = ACTIONS(5075),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2430] = {
    [sym__simple_expression] = STATE(5716),
    [sym_typed_expression] = STATE(5724),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_labeled_argument] = STATE(6779),
    [sym_prefix_expression] = STATE(5724),
    [sym_hash_expression] = STATE(5724),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_coercion_expression] = STATE(5724),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2430),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [aux_sym_class_application_repeat1] = STATE(2467),
    [sym__lowercase_identifier] = ACTIONS(5077),
    [anon_sym_and] = ACTIONS(3069),
    [anon_sym_TILDE] = ACTIONS(5079),
    [anon_sym_QMARK] = ACTIONS(5079),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_DOT] = ACTIONS(5081),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_in] = ACTIONS(3069),
    [anon_sym_POUND] = ACTIONS(5083),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3067),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(5085),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym_let_and_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2431] = {
    [sym__abstract_type] = STATE(18494),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13441),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2431),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(19792),
    [sym_add_operator] = STATE(18190),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5087),
    [anon_sym_type] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5089),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5091),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(5095),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(5095),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(5095),
    [sym_let_and_operator] = ACTIONS(5095),
    [sym_match_operator] = ACTIONS(5095),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2432] = {
    [sym__simple_expression] = STATE(5325),
    [sym_typed_expression] = STATE(5315),
    [sym_list_expression] = STATE(5315),
    [sym_array_expression] = STATE(5315),
    [sym_record_expression] = STATE(5315),
    [sym_labeled_argument] = STATE(5782),
    [sym_prefix_expression] = STATE(5315),
    [sym_hash_expression] = STATE(5315),
    [sym_field_get_expression] = STATE(5315),
    [sym_array_get_expression] = STATE(5315),
    [sym_string_get_expression] = STATE(5315),
    [sym_bigarray_get_expression] = STATE(5315),
    [sym_coercion_expression] = STATE(5315),
    [sym_local_open_expression] = STATE(5315),
    [sym_package_expression] = STATE(5315),
    [sym_new_expression] = STATE(5315),
    [sym_object_copy_expression] = STATE(5315),
    [sym_method_invocation] = STATE(5315),
    [sym_object_expression] = STATE(5315),
    [sym_parenthesized_expression] = STATE(5315),
    [sym_attribute] = STATE(2432),
    [sym_extension] = STATE(5315),
    [sym_quoted_extension] = STATE(5315),
    [sym__constant] = STATE(5315),
    [sym_number] = STATE(5307),
    [sym_character] = STATE(5307),
    [sym_string] = STATE(5307),
    [sym_quoted_string] = STATE(5307),
    [sym_boolean] = STATE(5307),
    [sym_unit] = STATE(5307),
    [sym__value_name] = STATE(5310),
    [sym_parenthesized_operator] = STATE(5354),
    [sym_value_path] = STATE(5315),
    [sym_module_path] = STATE(17807),
    [sym_constructor_path] = STATE(5315),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5315),
    [aux_sym_class_application_repeat1] = STATE(2426),
    [sym__lowercase_identifier] = ACTIONS(4653),
    [anon_sym_COLON_GT] = ACTIONS(3443),
    [anon_sym_TILDE] = ACTIONS(4655),
    [anon_sym_QMARK] = ACTIONS(4655),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_RPAREN] = ACTIONS(3443),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_RBRACK] = ACTIONS(3443),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_COLON2] = ACTIONS(3445),
    [anon_sym_DASH_GT] = ACTIONS(3445),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_SEMI] = ACTIONS(3443),
    [anon_sym_RBRACE] = ACTIONS(3443),
    [anon_sym_object] = ACTIONS(1185),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1189),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_LBRACE_LT] = ACTIONS(1201),
    [anon_sym_GT_RBRACE] = ACTIONS(3443),
    [anon_sym_begin] = ACTIONS(1203),
    [sym_ocamlyacc_value] = ACTIONS(1205),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1209),
    [aux_sym_number_token1] = ACTIONS(1211),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [sym_prefix_operator] = ACTIONS(1217),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(1221),
    [aux_sym_tag_token1] = ACTIONS(1223),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2433] = {
    [sym__abstract_type] = STATE(18125),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13393),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2433),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(17724),
    [sym_add_operator] = STATE(18190),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5097),
    [anon_sym_type] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5099),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5101),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(5105),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(5105),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(5105),
    [sym_let_and_operator] = ACTIONS(5105),
    [sym_match_operator] = ACTIONS(5105),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2434] = {
    [sym__abstract_type] = STATE(18125),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13492),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2434),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(18381),
    [sym_add_operator] = STATE(18190),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(2513),
    [anon_sym_type] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5107),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5109),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(2519),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(2519),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2519),
    [sym_let_and_operator] = ACTIONS(2519),
    [sym_match_operator] = ACTIONS(2519),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2435] = {
    [sym__abstract_type] = STATE(18706),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13701),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2435),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(20222),
    [sym_add_operator] = STATE(18190),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5111),
    [anon_sym_type] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5113),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5115),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5117),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(5119),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(5119),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(5119),
    [sym_let_and_operator] = ACTIONS(5119),
    [sym_match_operator] = ACTIONS(5119),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2436] = {
    [sym__abstract_type] = STATE(17723),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13570),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2436),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(18214),
    [sym_add_operator] = STATE(18190),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5121),
    [anon_sym_type] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5123),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5125),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(5129),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(5129),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(5129),
    [sym_let_and_operator] = ACTIONS(5129),
    [sym_match_operator] = ACTIONS(5129),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2437] = {
    [sym__binding_pattern] = STATE(5455),
    [sym_alias_binding_pattern] = STATE(5416),
    [sym_typed_binding_pattern] = STATE(5416),
    [sym_or_binding_pattern] = STATE(5416),
    [sym_constructor_binding_pattern] = STATE(5416),
    [sym_tag_binding_pattern] = STATE(5416),
    [sym_polymorphic_variant_pattern] = STATE(5416),
    [sym_tuple_binding_pattern] = STATE(5416),
    [sym_record_binding_pattern] = STATE(5417),
    [sym_list_binding_pattern] = STATE(5418),
    [sym_cons_binding_pattern] = STATE(5416),
    [sym_array_binding_pattern] = STATE(5419),
    [sym_range_pattern] = STATE(5416),
    [sym_lazy_binding_pattern] = STATE(5416),
    [sym_local_open_binding_pattern] = STATE(5416),
    [sym_package_pattern] = STATE(5416),
    [sym_parenthesized_binding_pattern] = STATE(5416),
    [sym_attribute] = STATE(2437),
    [sym_extension] = STATE(5416),
    [sym_quoted_extension] = STATE(5416),
    [sym__constant] = STATE(5265),
    [sym__signed_constant] = STATE(5326),
    [sym_number] = STATE(5352),
    [sym_signed_number] = STATE(5265),
    [sym_character] = STATE(5352),
    [sym_string] = STATE(5352),
    [sym_quoted_string] = STATE(5352),
    [sym_boolean] = STATE(5352),
    [sym_unit] = STATE(5352),
    [sym__value_name] = STATE(5416),
    [sym_parenthesized_operator] = STATE(5449),
    [sym_module_path] = STATE(17786),
    [sym_constructor_path] = STATE(2438),
    [sym__constructor_name] = STATE(5355),
    [sym_tag] = STATE(2437),
    [sym__lowercase_identifier] = ACTIONS(5131),
    [anon_sym_SEMI_SEMI] = ACTIONS(4961),
    [anon_sym_let] = ACTIONS(4963),
    [anon_sym_and] = ACTIONS(4963),
    [anon_sym_COLON_GT] = ACTIONS(4961),
    [anon_sym_EQ] = ACTIONS(4961),
    [anon_sym_TILDE] = ACTIONS(4961),
    [anon_sym_QMARK] = ACTIONS(4961),
    [anon_sym_LPAREN] = ACTIONS(5133),
    [anon_sym_external] = ACTIONS(4963),
    [anon_sym_type] = ACTIONS(4963),
    [anon_sym_COMMA] = ACTIONS(4961),
    [anon_sym_PIPE] = ACTIONS(4961),
    [anon_sym_LBRACK] = ACTIONS(5135),
    [anon_sym_true] = ACTIONS(5137),
    [anon_sym_false] = ACTIONS(5137),
    [anon_sym_COLON2] = ACTIONS(4963),
    [anon_sym_LBRACE] = ACTIONS(5139),
    [anon_sym_exception] = ACTIONS(4963),
    [anon_sym_module] = ACTIONS(4963),
    [anon_sym_open] = ACTIONS(4963),
    [anon_sym_include] = ACTIONS(4963),
    [anon_sym_class] = ACTIONS(4963),
    [anon_sym_end] = ACTIONS(4963),
    [anon_sym_in] = ACTIONS(4963),
    [anon_sym_as] = ACTIONS(4963),
    [anon_sym_POUND] = ACTIONS(5141),
    [anon_sym_COLON_COLON] = ACTIONS(4961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5143),
    [anon_sym_lazy] = ACTIONS(5145),
    [anon_sym_begin] = ACTIONS(5147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4963),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4961),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4961),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4961),
    [aux_sym_number_token1] = ACTIONS(5153),
    [aux_sym_signed_number_token1] = ACTIONS(5155),
    [anon_sym_SQUOTE] = ACTIONS(5157),
    [anon_sym_DQUOTE] = ACTIONS(5159),
    [sym_let_operator] = ACTIONS(4961),
    [sym_let_and_operator] = ACTIONS(4961),
    [sym__uppercase_identifier] = ACTIONS(5161),
    [aux_sym_directive_token1] = ACTIONS(4963),
    [aux_sym_tag_token1] = ACTIONS(5163),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2438] = {
    [sym__binding_pattern] = STATE(5454),
    [sym_alias_binding_pattern] = STATE(5416),
    [sym_typed_binding_pattern] = STATE(5416),
    [sym_or_binding_pattern] = STATE(5416),
    [sym_constructor_binding_pattern] = STATE(5416),
    [sym_tag_binding_pattern] = STATE(5416),
    [sym_polymorphic_variant_pattern] = STATE(5416),
    [sym_tuple_binding_pattern] = STATE(5416),
    [sym_record_binding_pattern] = STATE(5417),
    [sym_list_binding_pattern] = STATE(5418),
    [sym_cons_binding_pattern] = STATE(5416),
    [sym_array_binding_pattern] = STATE(5419),
    [sym_range_pattern] = STATE(5416),
    [sym_lazy_binding_pattern] = STATE(5416),
    [sym_local_open_binding_pattern] = STATE(5416),
    [sym_package_pattern] = STATE(5416),
    [sym_parenthesized_binding_pattern] = STATE(5416),
    [sym_attribute] = STATE(2438),
    [sym_extension] = STATE(5416),
    [sym_quoted_extension] = STATE(5416),
    [sym__constant] = STATE(5265),
    [sym__signed_constant] = STATE(5326),
    [sym_number] = STATE(5352),
    [sym_signed_number] = STATE(5265),
    [sym_character] = STATE(5352),
    [sym_string] = STATE(5352),
    [sym_quoted_string] = STATE(5352),
    [sym_boolean] = STATE(5352),
    [sym_unit] = STATE(5352),
    [sym__value_name] = STATE(5416),
    [sym_parenthesized_operator] = STATE(5449),
    [sym_module_path] = STATE(17786),
    [sym_constructor_path] = STATE(2438),
    [sym__constructor_name] = STATE(5355),
    [sym_tag] = STATE(2437),
    [sym__lowercase_identifier] = ACTIONS(5131),
    [anon_sym_SEMI_SEMI] = ACTIONS(4961),
    [anon_sym_let] = ACTIONS(4963),
    [anon_sym_and] = ACTIONS(4963),
    [anon_sym_COLON_GT] = ACTIONS(4961),
    [anon_sym_EQ] = ACTIONS(4961),
    [anon_sym_TILDE] = ACTIONS(4961),
    [anon_sym_QMARK] = ACTIONS(4961),
    [anon_sym_LPAREN] = ACTIONS(5133),
    [anon_sym_external] = ACTIONS(4963),
    [anon_sym_type] = ACTIONS(4963),
    [anon_sym_COMMA] = ACTIONS(4961),
    [anon_sym_PIPE] = ACTIONS(4961),
    [anon_sym_LBRACK] = ACTIONS(5135),
    [anon_sym_true] = ACTIONS(5137),
    [anon_sym_false] = ACTIONS(5137),
    [anon_sym_COLON2] = ACTIONS(4963),
    [anon_sym_LBRACE] = ACTIONS(5139),
    [anon_sym_exception] = ACTIONS(4963),
    [anon_sym_module] = ACTIONS(4963),
    [anon_sym_open] = ACTIONS(4963),
    [anon_sym_include] = ACTIONS(4963),
    [anon_sym_class] = ACTIONS(4963),
    [anon_sym_end] = ACTIONS(4963),
    [anon_sym_in] = ACTIONS(4963),
    [anon_sym_as] = ACTIONS(4963),
    [anon_sym_POUND] = ACTIONS(5141),
    [anon_sym_COLON_COLON] = ACTIONS(4961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5143),
    [anon_sym_lazy] = ACTIONS(5145),
    [anon_sym_begin] = ACTIONS(5147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4963),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4961),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4961),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4961),
    [aux_sym_number_token1] = ACTIONS(5153),
    [aux_sym_signed_number_token1] = ACTIONS(5155),
    [anon_sym_SQUOTE] = ACTIONS(5157),
    [anon_sym_DQUOTE] = ACTIONS(5159),
    [sym_let_operator] = ACTIONS(4961),
    [sym_let_and_operator] = ACTIONS(4961),
    [sym__uppercase_identifier] = ACTIONS(5161),
    [aux_sym_directive_token1] = ACTIONS(4963),
    [aux_sym_tag_token1] = ACTIONS(5163),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2439] = {
    [sym__binding_pattern] = STATE(5654),
    [sym_alias_binding_pattern] = STATE(5687),
    [sym_typed_binding_pattern] = STATE(5687),
    [sym_or_binding_pattern] = STATE(5687),
    [sym_constructor_binding_pattern] = STATE(5687),
    [sym_tag_binding_pattern] = STATE(5687),
    [sym_polymorphic_variant_pattern] = STATE(5687),
    [sym_tuple_binding_pattern] = STATE(5687),
    [sym_record_binding_pattern] = STATE(5706),
    [sym_list_binding_pattern] = STATE(5535),
    [sym_cons_binding_pattern] = STATE(5687),
    [sym_array_binding_pattern] = STATE(5552),
    [sym_range_pattern] = STATE(5687),
    [sym_lazy_binding_pattern] = STATE(5687),
    [sym_local_open_binding_pattern] = STATE(5687),
    [sym_package_pattern] = STATE(5687),
    [sym_parenthesized_binding_pattern] = STATE(5687),
    [sym_attribute] = STATE(2439),
    [sym_extension] = STATE(5687),
    [sym_quoted_extension] = STATE(5687),
    [sym__constant] = STATE(5505),
    [sym__signed_constant] = STATE(5389),
    [sym_number] = STATE(5489),
    [sym_signed_number] = STATE(5505),
    [sym_character] = STATE(5489),
    [sym_string] = STATE(5489),
    [sym_quoted_string] = STATE(5489),
    [sym_boolean] = STATE(5489),
    [sym_unit] = STATE(5489),
    [sym__value_name] = STATE(5687),
    [sym_parenthesized_operator] = STATE(5661),
    [sym_module_path] = STATE(19313),
    [sym_constructor_path] = STATE(2442),
    [sym__constructor_name] = STATE(5475),
    [sym_tag] = STATE(2439),
    [sym__lowercase_identifier] = ACTIONS(5165),
    [anon_sym_SEMI_SEMI] = ACTIONS(4961),
    [anon_sym_let] = ACTIONS(4963),
    [anon_sym_and] = ACTIONS(4963),
    [anon_sym_COLON_GT] = ACTIONS(4961),
    [anon_sym_EQ] = ACTIONS(4961),
    [anon_sym_TILDE] = ACTIONS(4961),
    [anon_sym_QMARK] = ACTIONS(4961),
    [anon_sym_LPAREN] = ACTIONS(5167),
    [anon_sym_external] = ACTIONS(4963),
    [anon_sym_type] = ACTIONS(4963),
    [anon_sym_COMMA] = ACTIONS(4961),
    [anon_sym_PIPE] = ACTIONS(4961),
    [anon_sym_LBRACK] = ACTIONS(5169),
    [anon_sym_RBRACK] = ACTIONS(4961),
    [anon_sym_true] = ACTIONS(5171),
    [anon_sym_false] = ACTIONS(5171),
    [anon_sym_COLON2] = ACTIONS(4963),
    [anon_sym_LBRACE] = ACTIONS(5173),
    [anon_sym_exception] = ACTIONS(4963),
    [anon_sym_module] = ACTIONS(4963),
    [anon_sym_open] = ACTIONS(4963),
    [anon_sym_include] = ACTIONS(4963),
    [anon_sym_class] = ACTIONS(4963),
    [anon_sym_as] = ACTIONS(4963),
    [anon_sym_POUND] = ACTIONS(5175),
    [anon_sym_COLON_COLON] = ACTIONS(4961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5177),
    [anon_sym_lazy] = ACTIONS(5179),
    [anon_sym_begin] = ACTIONS(5181),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4963),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4961),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5185),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4961),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4961),
    [aux_sym_number_token1] = ACTIONS(5187),
    [aux_sym_signed_number_token1] = ACTIONS(5189),
    [anon_sym_SQUOTE] = ACTIONS(5191),
    [anon_sym_DQUOTE] = ACTIONS(5193),
    [sym_let_operator] = ACTIONS(4961),
    [sym_let_and_operator] = ACTIONS(4961),
    [sym__uppercase_identifier] = ACTIONS(5195),
    [aux_sym_directive_token1] = ACTIONS(4963),
    [aux_sym_tag_token1] = ACTIONS(5197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2440] = {
    [sym__binding_pattern] = STATE(5623),
    [sym_alias_binding_pattern] = STATE(5679),
    [sym_typed_binding_pattern] = STATE(5679),
    [sym_or_binding_pattern] = STATE(5679),
    [sym_constructor_binding_pattern] = STATE(5679),
    [sym_tag_binding_pattern] = STATE(5679),
    [sym_polymorphic_variant_pattern] = STATE(5679),
    [sym_tuple_binding_pattern] = STATE(5679),
    [sym_record_binding_pattern] = STATE(5680),
    [sym_list_binding_pattern] = STATE(5683),
    [sym_cons_binding_pattern] = STATE(5679),
    [sym_array_binding_pattern] = STATE(5685),
    [sym_range_pattern] = STATE(5679),
    [sym_lazy_binding_pattern] = STATE(5679),
    [sym_local_open_binding_pattern] = STATE(5679),
    [sym_package_pattern] = STATE(5679),
    [sym_parenthesized_binding_pattern] = STATE(5679),
    [sym_attribute] = STATE(2440),
    [sym_extension] = STATE(5679),
    [sym_quoted_extension] = STATE(5679),
    [sym__constant] = STATE(5415),
    [sym__signed_constant] = STATE(5506),
    [sym_number] = STATE(5507),
    [sym_signed_number] = STATE(5415),
    [sym_character] = STATE(5507),
    [sym_string] = STATE(5507),
    [sym_quoted_string] = STATE(5507),
    [sym_boolean] = STATE(5507),
    [sym_unit] = STATE(5507),
    [sym__value_name] = STATE(5679),
    [sym_parenthesized_operator] = STATE(5559),
    [sym_module_path] = STATE(18264),
    [sym_constructor_path] = STATE(2441),
    [sym__constructor_name] = STATE(5508),
    [sym_tag] = STATE(2440),
    [sym__lowercase_identifier] = ACTIONS(5199),
    [anon_sym_SEMI_SEMI] = ACTIONS(4961),
    [anon_sym_let] = ACTIONS(4963),
    [anon_sym_and] = ACTIONS(4963),
    [anon_sym_COLON_GT] = ACTIONS(4961),
    [anon_sym_EQ] = ACTIONS(4961),
    [anon_sym_TILDE] = ACTIONS(4961),
    [anon_sym_QMARK] = ACTIONS(4961),
    [anon_sym_LPAREN] = ACTIONS(5201),
    [anon_sym_external] = ACTIONS(4963),
    [anon_sym_type] = ACTIONS(4963),
    [anon_sym_COMMA] = ACTIONS(4961),
    [anon_sym_PIPE] = ACTIONS(4961),
    [anon_sym_LBRACK] = ACTIONS(5203),
    [anon_sym_true] = ACTIONS(5205),
    [anon_sym_false] = ACTIONS(5205),
    [anon_sym_COLON2] = ACTIONS(4963),
    [anon_sym_LBRACE] = ACTIONS(5207),
    [anon_sym_exception] = ACTIONS(4963),
    [anon_sym_module] = ACTIONS(4963),
    [anon_sym_open] = ACTIONS(4963),
    [anon_sym_include] = ACTIONS(4963),
    [anon_sym_class] = ACTIONS(4963),
    [anon_sym_end] = ACTIONS(4963),
    [anon_sym_as] = ACTIONS(4963),
    [anon_sym_POUND] = ACTIONS(5209),
    [anon_sym_COLON_COLON] = ACTIONS(4961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5211),
    [anon_sym_lazy] = ACTIONS(5213),
    [anon_sym_begin] = ACTIONS(5215),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4963),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4961),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5219),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4961),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4961),
    [aux_sym_number_token1] = ACTIONS(5221),
    [aux_sym_signed_number_token1] = ACTIONS(5223),
    [anon_sym_SQUOTE] = ACTIONS(5225),
    [anon_sym_DQUOTE] = ACTIONS(5227),
    [sym_let_operator] = ACTIONS(4961),
    [sym_let_and_operator] = ACTIONS(4961),
    [sym__uppercase_identifier] = ACTIONS(5229),
    [aux_sym_directive_token1] = ACTIONS(4963),
    [aux_sym_tag_token1] = ACTIONS(5231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2441] = {
    [sym__binding_pattern] = STATE(5622),
    [sym_alias_binding_pattern] = STATE(5679),
    [sym_typed_binding_pattern] = STATE(5679),
    [sym_or_binding_pattern] = STATE(5679),
    [sym_constructor_binding_pattern] = STATE(5679),
    [sym_tag_binding_pattern] = STATE(5679),
    [sym_polymorphic_variant_pattern] = STATE(5679),
    [sym_tuple_binding_pattern] = STATE(5679),
    [sym_record_binding_pattern] = STATE(5680),
    [sym_list_binding_pattern] = STATE(5683),
    [sym_cons_binding_pattern] = STATE(5679),
    [sym_array_binding_pattern] = STATE(5685),
    [sym_range_pattern] = STATE(5679),
    [sym_lazy_binding_pattern] = STATE(5679),
    [sym_local_open_binding_pattern] = STATE(5679),
    [sym_package_pattern] = STATE(5679),
    [sym_parenthesized_binding_pattern] = STATE(5679),
    [sym_attribute] = STATE(2441),
    [sym_extension] = STATE(5679),
    [sym_quoted_extension] = STATE(5679),
    [sym__constant] = STATE(5415),
    [sym__signed_constant] = STATE(5506),
    [sym_number] = STATE(5507),
    [sym_signed_number] = STATE(5415),
    [sym_character] = STATE(5507),
    [sym_string] = STATE(5507),
    [sym_quoted_string] = STATE(5507),
    [sym_boolean] = STATE(5507),
    [sym_unit] = STATE(5507),
    [sym__value_name] = STATE(5679),
    [sym_parenthesized_operator] = STATE(5559),
    [sym_module_path] = STATE(18264),
    [sym_constructor_path] = STATE(2441),
    [sym__constructor_name] = STATE(5508),
    [sym_tag] = STATE(2440),
    [sym__lowercase_identifier] = ACTIONS(5199),
    [anon_sym_SEMI_SEMI] = ACTIONS(4961),
    [anon_sym_let] = ACTIONS(4963),
    [anon_sym_and] = ACTIONS(4963),
    [anon_sym_COLON_GT] = ACTIONS(4961),
    [anon_sym_EQ] = ACTIONS(4961),
    [anon_sym_TILDE] = ACTIONS(4961),
    [anon_sym_QMARK] = ACTIONS(4961),
    [anon_sym_LPAREN] = ACTIONS(5201),
    [anon_sym_external] = ACTIONS(4963),
    [anon_sym_type] = ACTIONS(4963),
    [anon_sym_COMMA] = ACTIONS(4961),
    [anon_sym_PIPE] = ACTIONS(4961),
    [anon_sym_LBRACK] = ACTIONS(5203),
    [anon_sym_true] = ACTIONS(5205),
    [anon_sym_false] = ACTIONS(5205),
    [anon_sym_COLON2] = ACTIONS(4963),
    [anon_sym_LBRACE] = ACTIONS(5207),
    [anon_sym_exception] = ACTIONS(4963),
    [anon_sym_module] = ACTIONS(4963),
    [anon_sym_open] = ACTIONS(4963),
    [anon_sym_include] = ACTIONS(4963),
    [anon_sym_class] = ACTIONS(4963),
    [anon_sym_end] = ACTIONS(4963),
    [anon_sym_as] = ACTIONS(4963),
    [anon_sym_POUND] = ACTIONS(5209),
    [anon_sym_COLON_COLON] = ACTIONS(4961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5211),
    [anon_sym_lazy] = ACTIONS(5213),
    [anon_sym_begin] = ACTIONS(5215),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4963),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4961),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5219),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4961),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4961),
    [aux_sym_number_token1] = ACTIONS(5221),
    [aux_sym_signed_number_token1] = ACTIONS(5223),
    [anon_sym_SQUOTE] = ACTIONS(5225),
    [anon_sym_DQUOTE] = ACTIONS(5227),
    [sym_let_operator] = ACTIONS(4961),
    [sym_let_and_operator] = ACTIONS(4961),
    [sym__uppercase_identifier] = ACTIONS(5229),
    [aux_sym_directive_token1] = ACTIONS(4963),
    [aux_sym_tag_token1] = ACTIONS(5231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2442] = {
    [sym__binding_pattern] = STATE(5648),
    [sym_alias_binding_pattern] = STATE(5687),
    [sym_typed_binding_pattern] = STATE(5687),
    [sym_or_binding_pattern] = STATE(5687),
    [sym_constructor_binding_pattern] = STATE(5687),
    [sym_tag_binding_pattern] = STATE(5687),
    [sym_polymorphic_variant_pattern] = STATE(5687),
    [sym_tuple_binding_pattern] = STATE(5687),
    [sym_record_binding_pattern] = STATE(5706),
    [sym_list_binding_pattern] = STATE(5535),
    [sym_cons_binding_pattern] = STATE(5687),
    [sym_array_binding_pattern] = STATE(5552),
    [sym_range_pattern] = STATE(5687),
    [sym_lazy_binding_pattern] = STATE(5687),
    [sym_local_open_binding_pattern] = STATE(5687),
    [sym_package_pattern] = STATE(5687),
    [sym_parenthesized_binding_pattern] = STATE(5687),
    [sym_attribute] = STATE(2442),
    [sym_extension] = STATE(5687),
    [sym_quoted_extension] = STATE(5687),
    [sym__constant] = STATE(5505),
    [sym__signed_constant] = STATE(5389),
    [sym_number] = STATE(5489),
    [sym_signed_number] = STATE(5505),
    [sym_character] = STATE(5489),
    [sym_string] = STATE(5489),
    [sym_quoted_string] = STATE(5489),
    [sym_boolean] = STATE(5489),
    [sym_unit] = STATE(5489),
    [sym__value_name] = STATE(5687),
    [sym_parenthesized_operator] = STATE(5661),
    [sym_module_path] = STATE(19313),
    [sym_constructor_path] = STATE(2442),
    [sym__constructor_name] = STATE(5475),
    [sym_tag] = STATE(2439),
    [sym__lowercase_identifier] = ACTIONS(5165),
    [anon_sym_SEMI_SEMI] = ACTIONS(4961),
    [anon_sym_let] = ACTIONS(4963),
    [anon_sym_and] = ACTIONS(4963),
    [anon_sym_COLON_GT] = ACTIONS(4961),
    [anon_sym_EQ] = ACTIONS(4961),
    [anon_sym_TILDE] = ACTIONS(4961),
    [anon_sym_QMARK] = ACTIONS(4961),
    [anon_sym_LPAREN] = ACTIONS(5167),
    [anon_sym_external] = ACTIONS(4963),
    [anon_sym_type] = ACTIONS(4963),
    [anon_sym_COMMA] = ACTIONS(4961),
    [anon_sym_PIPE] = ACTIONS(4961),
    [anon_sym_LBRACK] = ACTIONS(5169),
    [anon_sym_RBRACK] = ACTIONS(4961),
    [anon_sym_true] = ACTIONS(5171),
    [anon_sym_false] = ACTIONS(5171),
    [anon_sym_COLON2] = ACTIONS(4963),
    [anon_sym_LBRACE] = ACTIONS(5173),
    [anon_sym_exception] = ACTIONS(4963),
    [anon_sym_module] = ACTIONS(4963),
    [anon_sym_open] = ACTIONS(4963),
    [anon_sym_include] = ACTIONS(4963),
    [anon_sym_class] = ACTIONS(4963),
    [anon_sym_as] = ACTIONS(4963),
    [anon_sym_POUND] = ACTIONS(5175),
    [anon_sym_COLON_COLON] = ACTIONS(4961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5177),
    [anon_sym_lazy] = ACTIONS(5179),
    [anon_sym_begin] = ACTIONS(5181),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4963),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4961),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5185),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4961),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4961),
    [aux_sym_number_token1] = ACTIONS(5187),
    [aux_sym_signed_number_token1] = ACTIONS(5189),
    [anon_sym_SQUOTE] = ACTIONS(5191),
    [anon_sym_DQUOTE] = ACTIONS(5193),
    [sym_let_operator] = ACTIONS(4961),
    [sym_let_and_operator] = ACTIONS(4961),
    [sym__uppercase_identifier] = ACTIONS(5195),
    [aux_sym_directive_token1] = ACTIONS(4963),
    [aux_sym_tag_token1] = ACTIONS(5197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2443] = {
    [sym__simple_expression] = STATE(5931),
    [sym_typed_expression] = STATE(5914),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_labeled_argument] = STATE(7230),
    [sym_prefix_expression] = STATE(5914),
    [sym_hash_expression] = STATE(5914),
    [sym_field_get_expression] = STATE(5914),
    [sym_array_get_expression] = STATE(5914),
    [sym_string_get_expression] = STATE(5914),
    [sym_bigarray_get_expression] = STATE(5914),
    [sym_coercion_expression] = STATE(5914),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(2443),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [aux_sym_class_application_repeat1] = STATE(2478),
    [sym__lowercase_identifier] = ACTIONS(5233),
    [anon_sym_TILDE] = ACTIONS(5235),
    [anon_sym_QMARK] = ACTIONS(5235),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_DOT] = ACTIONS(5237),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_POUND] = ACTIONS(5239),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_else] = ACTIONS(3069),
    [anon_sym_to] = ACTIONS(3069),
    [anon_sym_downto] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(5241),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2444] = {
    [sym__simple_expression] = STATE(6109),
    [sym_typed_expression] = STATE(6494),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_labeled_argument] = STATE(7440),
    [sym_prefix_expression] = STATE(6494),
    [sym_hash_expression] = STATE(6494),
    [sym_field_get_expression] = STATE(6494),
    [sym_array_get_expression] = STATE(6494),
    [sym_string_get_expression] = STATE(6494),
    [sym_bigarray_get_expression] = STATE(6494),
    [sym_coercion_expression] = STATE(6494),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(2444),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [aux_sym_class_application_repeat1] = STATE(2493),
    [sym__lowercase_identifier] = ACTIONS(5243),
    [anon_sym_TILDE] = ACTIONS(5245),
    [anon_sym_QMARK] = ACTIONS(5245),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_DOT] = ACTIONS(5247),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_POUND] = ACTIONS(5249),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_else] = ACTIONS(3069),
    [anon_sym_done] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(5251),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2445] = {
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13492),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2445),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(18381),
    [sym_add_operator] = STATE(18190),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(2513),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5107),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5109),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(2519),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(2519),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2519),
    [sym_let_and_operator] = ACTIONS(2519),
    [sym_match_operator] = ACTIONS(2519),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2446] = {
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13328),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2446),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(19792),
    [sym_add_operator] = STATE(18190),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5087),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5089),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5091),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(5095),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(5095),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(5095),
    [sym_let_and_operator] = ACTIONS(5095),
    [sym_match_operator] = ACTIONS(5095),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2447] = {
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13334),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2447),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(18214),
    [sym_add_operator] = STATE(18190),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5121),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5123),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5125),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(5129),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(5129),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(5129),
    [sym_let_and_operator] = ACTIONS(5129),
    [sym_match_operator] = ACTIONS(5129),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2448] = {
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13353),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2448),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(17867),
    [sym_add_operator] = STATE(18190),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5057),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5059),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5061),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5063),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(5065),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(5065),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(5065),
    [sym_let_and_operator] = ACTIONS(5065),
    [sym_match_operator] = ACTIONS(5065),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2449] = {
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13393),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2449),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(17724),
    [sym_add_operator] = STATE(18190),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5097),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5099),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5101),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(5105),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(5105),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(5105),
    [sym_let_and_operator] = ACTIONS(5105),
    [sym_match_operator] = ACTIONS(5105),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2450] = {
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13308),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2450),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(20132),
    [sym_add_operator] = STATE(18190),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5067),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5069),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5071),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5073),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(5075),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(5075),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(5075),
    [sym_let_and_operator] = ACTIONS(5075),
    [sym_match_operator] = ACTIONS(5075),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2451] = {
    [sym__simple_expression] = STATE(6585),
    [sym_typed_expression] = STATE(6530),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_labeled_argument] = STATE(7357),
    [sym_prefix_expression] = STATE(6530),
    [sym_hash_expression] = STATE(6530),
    [sym_field_get_expression] = STATE(6530),
    [sym_array_get_expression] = STATE(6530),
    [sym_string_get_expression] = STATE(6530),
    [sym_bigarray_get_expression] = STATE(6530),
    [sym_coercion_expression] = STATE(6530),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(2451),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [aux_sym_class_application_repeat1] = STATE(2485),
    [sym__lowercase_identifier] = ACTIONS(5253),
    [anon_sym_TILDE] = ACTIONS(5255),
    [anon_sym_QMARK] = ACTIONS(5255),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_DOT] = ACTIONS(5257),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_POUND] = ACTIONS(5259),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_then] = ACTIONS(3069),
    [anon_sym_else] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(5261),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2452] = {
    [sym__simple_expression] = STATE(6161),
    [sym_typed_expression] = STATE(6572),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_labeled_argument] = STATE(7361),
    [sym_prefix_expression] = STATE(6572),
    [sym_hash_expression] = STATE(6572),
    [sym_field_get_expression] = STATE(6572),
    [sym_array_get_expression] = STATE(6572),
    [sym_string_get_expression] = STATE(6572),
    [sym_bigarray_get_expression] = STATE(6572),
    [sym_coercion_expression] = STATE(6572),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(2452),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [aux_sym_class_application_repeat1] = STATE(2486),
    [sym__lowercase_identifier] = ACTIONS(5263),
    [anon_sym_TILDE] = ACTIONS(5265),
    [anon_sym_QMARK] = ACTIONS(5265),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_DOT] = ACTIONS(5267),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_POUND] = ACTIONS(5269),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_else] = ACTIONS(3069),
    [anon_sym_do] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(5271),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2453] = {
    [sym__simple_expression] = STATE(6367),
    [sym_typed_expression] = STATE(6576),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_labeled_argument] = STATE(7365),
    [sym_prefix_expression] = STATE(6576),
    [sym_hash_expression] = STATE(6576),
    [sym_field_get_expression] = STATE(6576),
    [sym_array_get_expression] = STATE(6576),
    [sym_string_get_expression] = STATE(6576),
    [sym_bigarray_get_expression] = STATE(6576),
    [sym_coercion_expression] = STATE(6576),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(2453),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [aux_sym_class_application_repeat1] = STATE(2487),
    [sym__lowercase_identifier] = ACTIONS(5273),
    [anon_sym_TILDE] = ACTIONS(5275),
    [anon_sym_QMARK] = ACTIONS(5275),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_DOT] = ACTIONS(5277),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_with] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_POUND] = ACTIONS(5279),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_else] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(5281),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2454] = {
    [sym__simple_expression] = STATE(6474),
    [sym_typed_expression] = STATE(6316),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_labeled_argument] = STATE(7367),
    [sym_prefix_expression] = STATE(6316),
    [sym_hash_expression] = STATE(6316),
    [sym_field_get_expression] = STATE(6316),
    [sym_array_get_expression] = STATE(6316),
    [sym_string_get_expression] = STATE(6316),
    [sym_bigarray_get_expression] = STATE(6316),
    [sym_coercion_expression] = STATE(6316),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(2454),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [aux_sym_class_application_repeat1] = STATE(2488),
    [sym__lowercase_identifier] = ACTIONS(5283),
    [anon_sym_TILDE] = ACTIONS(5285),
    [anon_sym_QMARK] = ACTIONS(5285),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_DOT] = ACTIONS(5287),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_end] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_POUND] = ACTIONS(5289),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_else] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(5291),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2455] = {
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13492),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2455),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(18381),
    [sym_add_operator] = STATE(18190),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(2513),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5107),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(2519),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(2519),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2519),
    [sym_let_and_operator] = ACTIONS(2519),
    [sym_match_operator] = ACTIONS(2519),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2456] = {
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13321),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2456),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(20222),
    [sym_add_operator] = STATE(18190),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5111),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5113),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5115),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5117),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(5119),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(5119),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(5119),
    [sym_let_and_operator] = ACTIONS(5119),
    [sym_match_operator] = ACTIONS(5119),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2457] = {
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13393),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2457),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(17724),
    [sym_add_operator] = STATE(18190),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(5097),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5099),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5101),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(5105),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(5105),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(5105),
    [sym_let_and_operator] = ACTIONS(5105),
    [sym_match_operator] = ACTIONS(5105),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2458] = {
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13492),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2458),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(18381),
    [sym_add_operator] = STATE(18190),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(2513),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(5107),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(2519),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(2519),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2519),
    [sym_let_and_operator] = ACTIONS(2519),
    [sym_match_operator] = ACTIONS(2519),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2459] = {
    [sym__simple_expression] = STATE(5531),
    [sym_typed_expression] = STATE(5663),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_labeled_argument] = STATE(6348),
    [sym_prefix_expression] = STATE(5663),
    [sym_hash_expression] = STATE(5663),
    [sym_field_get_expression] = STATE(5663),
    [sym_array_get_expression] = STATE(5663),
    [sym_string_get_expression] = STATE(5663),
    [sym_bigarray_get_expression] = STATE(5663),
    [sym_coercion_expression] = STATE(5663),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2459),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [aux_sym_class_application_repeat1] = STATE(2461),
    [sym__lowercase_identifier] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(3443),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_in] = ACTIONS(3445),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_else] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3443),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym_let_and_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2460] = {
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13329),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2460),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(18811),
    [sym_add_operator] = STATE(18190),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(4917),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(4925),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_module] = ACTIONS(4931),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(4935),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(4953),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(4953),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(4953),
    [sym_let_and_operator] = ACTIONS(4953),
    [sym_match_operator] = ACTIONS(4953),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2461] = {
    [sym__simple_expression] = STATE(5531),
    [sym_typed_expression] = STATE(5663),
    [sym_list_expression] = STATE(5663),
    [sym_array_expression] = STATE(5663),
    [sym_record_expression] = STATE(5663),
    [sym_labeled_argument] = STATE(6348),
    [sym_prefix_expression] = STATE(5663),
    [sym_hash_expression] = STATE(5663),
    [sym_field_get_expression] = STATE(5663),
    [sym_array_get_expression] = STATE(5663),
    [sym_string_get_expression] = STATE(5663),
    [sym_bigarray_get_expression] = STATE(5663),
    [sym_coercion_expression] = STATE(5663),
    [sym_local_open_expression] = STATE(5663),
    [sym_package_expression] = STATE(5663),
    [sym_new_expression] = STATE(5663),
    [sym_object_copy_expression] = STATE(5663),
    [sym_method_invocation] = STATE(5663),
    [sym_object_expression] = STATE(5663),
    [sym_parenthesized_expression] = STATE(5663),
    [sym_attribute] = STATE(2461),
    [sym_extension] = STATE(5663),
    [sym_quoted_extension] = STATE(5663),
    [sym__constant] = STATE(5663),
    [sym_number] = STATE(5595),
    [sym_character] = STATE(5595),
    [sym_string] = STATE(5595),
    [sym_quoted_string] = STATE(5595),
    [sym_boolean] = STATE(5595),
    [sym_unit] = STATE(5595),
    [sym__value_name] = STATE(5625),
    [sym_parenthesized_operator] = STATE(5550),
    [sym_value_path] = STATE(5663),
    [sym_module_path] = STATE(18681),
    [sym_constructor_path] = STATE(5663),
    [sym__constructor_name] = STATE(5596),
    [sym_tag] = STATE(5663),
    [aux_sym_class_application_repeat1] = STATE(2461),
    [sym__lowercase_identifier] = ACTIONS(5299),
    [anon_sym_and] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(5302),
    [anon_sym_QMARK] = ACTIONS(5302),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(5308),
    [anon_sym_true] = ACTIONS(5311),
    [anon_sym_false] = ACTIONS(5311),
    [anon_sym_LBRACE] = ACTIONS(5314),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(5317),
    [anon_sym_in] = ACTIONS(3502),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5320),
    [anon_sym_else] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(5323),
    [anon_sym_LBRACE_LT] = ACTIONS(5326),
    [anon_sym_begin] = ACTIONS(5329),
    [sym_ocamlyacc_value] = ACTIONS(5332),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3500),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5338),
    [aux_sym_number_token1] = ACTIONS(5341),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(5344),
    [anon_sym_DQUOTE] = ACTIONS(5347),
    [sym_prefix_operator] = ACTIONS(5350),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym_let_and_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(5353),
    [aux_sym_tag_token1] = ACTIONS(5356),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2462] = {
    [sym__simple_expression] = STATE(6399),
    [sym_typed_expression] = STATE(6185),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_labeled_argument] = STATE(7494),
    [sym_prefix_expression] = STATE(6185),
    [sym_hash_expression] = STATE(6185),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_coercion_expression] = STATE(6185),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(2462),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [aux_sym_class_application_repeat1] = STATE(2483),
    [sym__lowercase_identifier] = ACTIONS(5359),
    [anon_sym_TILDE] = ACTIONS(5361),
    [anon_sym_QMARK] = ACTIONS(5361),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_DOT] = ACTIONS(5363),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_POUND] = ACTIONS(5365),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_to] = ACTIONS(3069),
    [anon_sym_downto] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(5367),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2463] = {
    [sym_parameter] = STATE(10099),
    [sym__polymorphic_typed] = STATE(16859),
    [sym__parenthesized_abstract_type] = STATE(10099),
    [sym__simple_pattern] = STATE(10102),
    [sym_typed_pattern] = STATE(10064),
    [sym_polymorphic_variant_pattern] = STATE(10064),
    [sym_record_pattern] = STATE(10064),
    [sym_list_pattern] = STATE(10064),
    [sym_array_pattern] = STATE(10064),
    [sym_local_open_pattern] = STATE(10064),
    [sym_package_pattern] = STATE(10064),
    [sym_parenthesized_pattern] = STATE(10064),
    [sym_attribute] = STATE(2463),
    [sym_item_attribute] = STATE(10430),
    [sym_extension] = STATE(10064),
    [sym_quoted_extension] = STATE(10064),
    [sym__constant] = STATE(10069),
    [sym__signed_constant] = STATE(10064),
    [sym_number] = STATE(10122),
    [sym_signed_number] = STATE(10069),
    [sym_character] = STATE(10122),
    [sym_string] = STATE(10122),
    [sym_quoted_string] = STATE(10122),
    [sym_boolean] = STATE(10122),
    [sym_unit] = STATE(10122),
    [sym__simple_value_pattern] = STATE(10064),
    [sym_parenthesized_operator] = STATE(10064),
    [sym_module_path] = STATE(19143),
    [sym_constructor_path] = STATE(10064),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(10064),
    [aux_sym_expression_item_repeat1] = STATE(10200),
    [aux_sym_let_binding_repeat1] = STATE(4612),
    [sym__lowercase_identifier] = ACTIONS(5369),
    [anon_sym_SEMI_SEMI] = ACTIONS(5371),
    [anon_sym_let] = ACTIONS(5373),
    [anon_sym_and] = ACTIONS(5373),
    [anon_sym_COLON_GT] = ACTIONS(5375),
    [anon_sym_EQ] = ACTIONS(5377),
    [anon_sym_TILDE] = ACTIONS(5379),
    [anon_sym_QMARK] = ACTIONS(5379),
    [anon_sym_LPAREN] = ACTIONS(5381),
    [anon_sym_external] = ACTIONS(5373),
    [anon_sym_type] = ACTIONS(5373),
    [anon_sym_COMMA] = ACTIONS(5383),
    [anon_sym_PIPE] = ACTIONS(5385),
    [anon_sym_LBRACK] = ACTIONS(5387),
    [anon_sym_RBRACK] = ACTIONS(5371),
    [anon_sym_true] = ACTIONS(5389),
    [anon_sym_false] = ACTIONS(5389),
    [anon_sym_COLON2] = ACTIONS(5391),
    [anon_sym_LBRACE] = ACTIONS(5393),
    [anon_sym_exception] = ACTIONS(5373),
    [anon_sym_module] = ACTIONS(5373),
    [anon_sym_open] = ACTIONS(5373),
    [anon_sym_include] = ACTIONS(5373),
    [anon_sym_class] = ACTIONS(5373),
    [anon_sym_in] = ACTIONS(5373),
    [anon_sym_as] = ACTIONS(5395),
    [anon_sym_POUND] = ACTIONS(5397),
    [anon_sym_COLON_COLON] = ACTIONS(5399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5401),
    [anon_sym_begin] = ACTIONS(5403),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5405),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5371),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5407),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5409),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5371),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5371),
    [aux_sym_number_token1] = ACTIONS(5411),
    [aux_sym_signed_number_token1] = ACTIONS(5413),
    [anon_sym_SQUOTE] = ACTIONS(5415),
    [anon_sym_DQUOTE] = ACTIONS(5417),
    [sym_let_operator] = ACTIONS(5371),
    [sym_let_and_operator] = ACTIONS(5371),
    [sym__uppercase_identifier] = ACTIONS(5419),
    [aux_sym_directive_token1] = ACTIONS(5373),
    [aux_sym_tag_token1] = ACTIONS(5421),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2464] = {
    [sym__simple_expression] = STATE(6755),
    [sym_typed_expression] = STATE(6935),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_labeled_argument] = STATE(7596),
    [sym_prefix_expression] = STATE(6935),
    [sym_hash_expression] = STATE(6935),
    [sym_field_get_expression] = STATE(6935),
    [sym_array_get_expression] = STATE(6935),
    [sym_string_get_expression] = STATE(6935),
    [sym_bigarray_get_expression] = STATE(6935),
    [sym_coercion_expression] = STATE(6935),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(2464),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [aux_sym_class_application_repeat1] = STATE(2501),
    [sym__lowercase_identifier] = ACTIONS(5423),
    [anon_sym_TILDE] = ACTIONS(5425),
    [anon_sym_QMARK] = ACTIONS(5425),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_DOT] = ACTIONS(5427),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_with] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_POUND] = ACTIONS(5429),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(5431),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2465] = {
    [sym__simple_expression] = STATE(7007),
    [sym_typed_expression] = STATE(6941),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_labeled_argument] = STATE(7616),
    [sym_prefix_expression] = STATE(6941),
    [sym_hash_expression] = STATE(6941),
    [sym_field_get_expression] = STATE(6941),
    [sym_array_get_expression] = STATE(6941),
    [sym_string_get_expression] = STATE(6941),
    [sym_bigarray_get_expression] = STATE(6941),
    [sym_coercion_expression] = STATE(6941),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(2465),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [aux_sym_class_application_repeat1] = STATE(2498),
    [sym__lowercase_identifier] = ACTIONS(5433),
    [anon_sym_TILDE] = ACTIONS(5435),
    [anon_sym_QMARK] = ACTIONS(5435),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(5437),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_POUND] = ACTIONS(5439),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_done] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(5441),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2466] = {
    [sym__simple_expression] = STATE(6910),
    [sym_typed_expression] = STATE(6676),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_labeled_argument] = STATE(7627),
    [sym_prefix_expression] = STATE(6676),
    [sym_hash_expression] = STATE(6676),
    [sym_field_get_expression] = STATE(6676),
    [sym_array_get_expression] = STATE(6676),
    [sym_string_get_expression] = STATE(6676),
    [sym_bigarray_get_expression] = STATE(6676),
    [sym_coercion_expression] = STATE(6676),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(2466),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [aux_sym_class_application_repeat1] = STATE(2509),
    [sym__lowercase_identifier] = ACTIONS(5443),
    [anon_sym_TILDE] = ACTIONS(5445),
    [anon_sym_QMARK] = ACTIONS(5445),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(5447),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_POUND] = ACTIONS(5449),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_then] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(5451),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2467] = {
    [sym__simple_expression] = STATE(5716),
    [sym_typed_expression] = STATE(5724),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_labeled_argument] = STATE(6779),
    [sym_prefix_expression] = STATE(5724),
    [sym_hash_expression] = STATE(5724),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_coercion_expression] = STATE(5724),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2467),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [aux_sym_class_application_repeat1] = STATE(2468),
    [sym__lowercase_identifier] = ACTIONS(5077),
    [anon_sym_and] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(5079),
    [anon_sym_QMARK] = ACTIONS(5079),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_SEMI] = ACTIONS(3443),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_in] = ACTIONS(3445),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1361),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACE_LT] = ACTIONS(1373),
    [anon_sym_begin] = ACTIONS(1375),
    [sym_ocamlyacc_value] = ACTIONS(1377),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3443),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1381),
    [aux_sym_number_token1] = ACTIONS(1383),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [sym_prefix_operator] = ACTIONS(1389),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym_let_and_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(1393),
    [aux_sym_tag_token1] = ACTIONS(1395),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2468] = {
    [sym__simple_expression] = STATE(5716),
    [sym_typed_expression] = STATE(5724),
    [sym_list_expression] = STATE(5724),
    [sym_array_expression] = STATE(5724),
    [sym_record_expression] = STATE(5724),
    [sym_labeled_argument] = STATE(6779),
    [sym_prefix_expression] = STATE(5724),
    [sym_hash_expression] = STATE(5724),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_coercion_expression] = STATE(5724),
    [sym_local_open_expression] = STATE(5724),
    [sym_package_expression] = STATE(5724),
    [sym_new_expression] = STATE(5724),
    [sym_object_copy_expression] = STATE(5724),
    [sym_method_invocation] = STATE(5724),
    [sym_object_expression] = STATE(5724),
    [sym_parenthesized_expression] = STATE(5724),
    [sym_attribute] = STATE(2468),
    [sym_extension] = STATE(5724),
    [sym_quoted_extension] = STATE(5724),
    [sym__constant] = STATE(5724),
    [sym_number] = STATE(5727),
    [sym_character] = STATE(5727),
    [sym_string] = STATE(5727),
    [sym_quoted_string] = STATE(5727),
    [sym_boolean] = STATE(5727),
    [sym_unit] = STATE(5727),
    [sym__value_name] = STATE(5711),
    [sym_parenthesized_operator] = STATE(5780),
    [sym_value_path] = STATE(5724),
    [sym_module_path] = STATE(17697),
    [sym_constructor_path] = STATE(5724),
    [sym__constructor_name] = STATE(5738),
    [sym_tag] = STATE(5724),
    [aux_sym_class_application_repeat1] = STATE(2468),
    [sym__lowercase_identifier] = ACTIONS(5453),
    [anon_sym_and] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(5456),
    [anon_sym_QMARK] = ACTIONS(5456),
    [anon_sym_LPAREN] = ACTIONS(5459),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(5462),
    [anon_sym_true] = ACTIONS(5465),
    [anon_sym_false] = ACTIONS(5465),
    [anon_sym_LBRACE] = ACTIONS(5468),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(5471),
    [anon_sym_in] = ACTIONS(3502),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5474),
    [anon_sym_new] = ACTIONS(5477),
    [anon_sym_LBRACE_LT] = ACTIONS(5480),
    [anon_sym_begin] = ACTIONS(5483),
    [sym_ocamlyacc_value] = ACTIONS(5486),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3500),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5489),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5492),
    [aux_sym_number_token1] = ACTIONS(5495),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(5498),
    [anon_sym_DQUOTE] = ACTIONS(5501),
    [sym_prefix_operator] = ACTIONS(5504),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym_let_and_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(5507),
    [aux_sym_tag_token1] = ACTIONS(5510),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2469] = {
    [sym__simple_expression] = STATE(6647),
    [sym_typed_expression] = STATE(6827),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_labeled_argument] = STATE(7621),
    [sym_prefix_expression] = STATE(6827),
    [sym_hash_expression] = STATE(6827),
    [sym_field_get_expression] = STATE(6827),
    [sym_array_get_expression] = STATE(6827),
    [sym_string_get_expression] = STATE(6827),
    [sym_bigarray_get_expression] = STATE(6827),
    [sym_coercion_expression] = STATE(6827),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(2469),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [aux_sym_class_application_repeat1] = STATE(2507),
    [sym__lowercase_identifier] = ACTIONS(5513),
    [anon_sym_TILDE] = ACTIONS(5515),
    [anon_sym_QMARK] = ACTIONS(5515),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(5517),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_end] = ACTIONS(3069),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_POUND] = ACTIONS(5519),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(5521),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2470] = {
    [sym__simple_expression] = STATE(6644),
    [sym_typed_expression] = STATE(6940),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_labeled_argument] = STATE(7613),
    [sym_prefix_expression] = STATE(6940),
    [sym_hash_expression] = STATE(6940),
    [sym_field_get_expression] = STATE(6940),
    [sym_array_get_expression] = STATE(6940),
    [sym_string_get_expression] = STATE(6940),
    [sym_bigarray_get_expression] = STATE(6940),
    [sym_coercion_expression] = STATE(6940),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(2470),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [aux_sym_class_application_repeat1] = STATE(2503),
    [sym__lowercase_identifier] = ACTIONS(5523),
    [anon_sym_TILDE] = ACTIONS(5525),
    [anon_sym_QMARK] = ACTIONS(5525),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_COMMA] = ACTIONS(3067),
    [anon_sym_PIPE] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_DOT] = ACTIONS(5527),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_SEMI] = ACTIONS(3067),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_POUND] = ACTIONS(5529),
    [anon_sym_COLON_COLON] = ACTIONS(3067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_do] = ACTIONS(3069),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(3069),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(3069),
    [sym_hash_operator] = ACTIONS(5531),
    [sym_pow_operator] = ACTIONS(3069),
    [sym_mult_operator] = ACTIONS(3069),
    [aux_sym_add_operator_token1] = ACTIONS(3069),
    [sym_concat_operator] = ACTIONS(3067),
    [sym_rel_operator] = ACTIONS(3069),
    [sym_and_operator] = ACTIONS(3069),
    [sym_or_operator] = ACTIONS(3069),
    [sym_assign_operator] = ACTIONS(3067),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2471] = {
    [sym_parameter] = STATE(10099),
    [sym__polymorphic_typed] = STATE(16400),
    [sym__parenthesized_abstract_type] = STATE(10099),
    [sym__simple_pattern] = STATE(10102),
    [sym_typed_pattern] = STATE(10064),
    [sym_polymorphic_variant_pattern] = STATE(10064),
    [sym_record_pattern] = STATE(10064),
    [sym_list_pattern] = STATE(10064),
    [sym_array_pattern] = STATE(10064),
    [sym_local_open_pattern] = STATE(10064),
    [sym_package_pattern] = STATE(10064),
    [sym_parenthesized_pattern] = STATE(10064),
    [sym_attribute] = STATE(2471),
    [sym_item_attribute] = STATE(10430),
    [sym_extension] = STATE(10064),
    [sym_quoted_extension] = STATE(10064),
    [sym__constant] = STATE(10069),
    [sym__signed_constant] = STATE(10064),
    [sym_number] = STATE(10122),
    [sym_signed_number] = STATE(10069),
    [sym_character] = STATE(10122),
    [sym_string] = STATE(10122),
    [sym_quoted_string] = STATE(10122),
    [sym_boolean] = STATE(10122),
    [sym_unit] = STATE(10122),
    [sym__simple_value_pattern] = STATE(10064),
    [sym_parenthesized_operator] = STATE(10064),
    [sym_module_path] = STATE(19143),
    [sym_constructor_path] = STATE(10064),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(10064),
    [aux_sym_expression_item_repeat1] = STATE(10200),
    [aux_sym_let_binding_repeat1] = STATE(4602),
    [sym__lowercase_identifier] = ACTIONS(5369),
    [anon_sym_SEMI_SEMI] = ACTIONS(5371),
    [anon_sym_let] = ACTIONS(5373),
    [anon_sym_and] = ACTIONS(5373),
    [anon_sym_COLON_GT] = ACTIONS(5533),
    [anon_sym_EQ] = ACTIONS(5535),
    [anon_sym_TILDE] = ACTIONS(5379),
    [anon_sym_QMARK] = ACTIONS(5379),
    [anon_sym_LPAREN] = ACTIONS(5381),
    [anon_sym_external] = ACTIONS(5373),
    [anon_sym_type] = ACTIONS(5373),
    [anon_sym_COMMA] = ACTIONS(5537),
    [anon_sym_PIPE] = ACTIONS(5539),
    [anon_sym_LBRACK] = ACTIONS(5387),
    [anon_sym_true] = ACTIONS(5389),
    [anon_sym_false] = ACTIONS(5389),
    [anon_sym_COLON2] = ACTIONS(5391),
    [anon_sym_LBRACE] = ACTIONS(5393),
    [anon_sym_exception] = ACTIONS(5373),
    [anon_sym_module] = ACTIONS(5373),
    [anon_sym_open] = ACTIONS(5373),
    [anon_sym_include] = ACTIONS(5373),
    [anon_sym_class] = ACTIONS(5373),
    [anon_sym_end] = ACTIONS(5373),
    [anon_sym_in] = ACTIONS(5373),
    [anon_sym_as] = ACTIONS(5541),
    [anon_sym_POUND] = ACTIONS(5397),
    [anon_sym_COLON_COLON] = ACTIONS(5543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5401),
    [anon_sym_begin] = ACTIONS(5403),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5405),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5371),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5407),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5409),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5371),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5371),
    [aux_sym_number_token1] = ACTIONS(5411),
    [aux_sym_signed_number_token1] = ACTIONS(5413),
    [anon_sym_SQUOTE] = ACTIONS(5415),
    [anon_sym_DQUOTE] = ACTIONS(5417),
    [sym_let_operator] = ACTIONS(5371),
    [sym_let_and_operator] = ACTIONS(5371),
    [sym__uppercase_identifier] = ACTIONS(5419),
    [aux_sym_directive_token1] = ACTIONS(5373),
    [aux_sym_tag_token1] = ACTIONS(5421),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2472] = {
    [sym__simple_expression] = STATE(5952),
    [sym_typed_expression] = STATE(5960),
    [sym_list_expression] = STATE(5960),
    [sym_array_expression] = STATE(5960),
    [sym_record_expression] = STATE(5960),
    [sym_labeled_argument] = STATE(7243),
    [sym_prefix_expression] = STATE(5960),
    [sym_hash_expression] = STATE(5960),
    [sym_field_get_expression] = STATE(5960),
    [sym_array_get_expression] = STATE(5960),
    [sym_string_get_expression] = STATE(5960),
    [sym_bigarray_get_expression] = STATE(5960),
    [sym_coercion_expression] = STATE(5960),
    [sym_local_open_expression] = STATE(5960),
    [sym_package_expression] = STATE(5960),
    [sym_new_expression] = STATE(5960),
    [sym_object_copy_expression] = STATE(5960),
    [sym_method_invocation] = STATE(5960),
    [sym_object_expression] = STATE(5960),
    [sym_parenthesized_expression] = STATE(5960),
    [sym_attribute] = STATE(2472),
    [sym_extension] = STATE(5960),
    [sym_quoted_extension] = STATE(5960),
    [sym__constant] = STATE(5960),
    [sym_number] = STATE(5823),
    [sym_character] = STATE(5823),
    [sym_string] = STATE(5823),
    [sym_quoted_string] = STATE(5823),
    [sym_boolean] = STATE(5823),
    [sym_unit] = STATE(5823),
    [sym__value_name] = STATE(6038),
    [sym_parenthesized_operator] = STATE(5827),
    [sym_value_path] = STATE(5960),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(5960),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5960),
    [aux_sym_class_application_repeat1] = STATE(2473),
    [sym__lowercase_identifier] = ACTIONS(5545),
    [anon_sym_SEMI_SEMI] = ACTIONS(5547),
    [anon_sym_let] = ACTIONS(5549),
    [anon_sym_and] = ACTIONS(5549),
    [anon_sym_TILDE] = ACTIONS(5551),
    [anon_sym_QMARK] = ACTIONS(5551),
    [anon_sym_LPAREN] = ACTIONS(5553),
    [anon_sym_external] = ACTIONS(5549),
    [anon_sym_type] = ACTIONS(5549),
    [anon_sym_LBRACK] = ACTIONS(5555),
    [anon_sym_RBRACK] = ACTIONS(5547),
    [anon_sym_true] = ACTIONS(5557),
    [anon_sym_false] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(5559),
    [anon_sym_exception] = ACTIONS(5549),
    [anon_sym_module] = ACTIONS(5549),
    [anon_sym_open] = ACTIONS(5549),
    [anon_sym_include] = ACTIONS(5549),
    [anon_sym_class] = ACTIONS(5549),
    [anon_sym_object] = ACTIONS(5561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5563),
    [anon_sym_new] = ACTIONS(5565),
    [anon_sym_LBRACE_LT] = ACTIONS(5567),
    [anon_sym_begin] = ACTIONS(5569),
    [sym_ocamlyacc_value] = ACTIONS(5571),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5549),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5547),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5575),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5547),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5547),
    [aux_sym_number_token1] = ACTIONS(5577),
    [anon_sym_SQUOTE] = ACTIONS(5579),
    [anon_sym_DQUOTE] = ACTIONS(5581),
    [sym_prefix_operator] = ACTIONS(5583),
    [sym_let_operator] = ACTIONS(5547),
    [sym__uppercase_identifier] = ACTIONS(5585),
    [aux_sym_directive_token1] = ACTIONS(5547),
    [aux_sym_tag_token1] = ACTIONS(5587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2473] = {
    [sym__simple_expression] = STATE(5952),
    [sym_typed_expression] = STATE(5960),
    [sym_list_expression] = STATE(5960),
    [sym_array_expression] = STATE(5960),
    [sym_record_expression] = STATE(5960),
    [sym_labeled_argument] = STATE(7243),
    [sym_prefix_expression] = STATE(5960),
    [sym_hash_expression] = STATE(5960),
    [sym_field_get_expression] = STATE(5960),
    [sym_array_get_expression] = STATE(5960),
    [sym_string_get_expression] = STATE(5960),
    [sym_bigarray_get_expression] = STATE(5960),
    [sym_coercion_expression] = STATE(5960),
    [sym_local_open_expression] = STATE(5960),
    [sym_package_expression] = STATE(5960),
    [sym_new_expression] = STATE(5960),
    [sym_object_copy_expression] = STATE(5960),
    [sym_method_invocation] = STATE(5960),
    [sym_object_expression] = STATE(5960),
    [sym_parenthesized_expression] = STATE(5960),
    [sym_attribute] = STATE(2473),
    [sym_extension] = STATE(5960),
    [sym_quoted_extension] = STATE(5960),
    [sym__constant] = STATE(5960),
    [sym_number] = STATE(5823),
    [sym_character] = STATE(5823),
    [sym_string] = STATE(5823),
    [sym_quoted_string] = STATE(5823),
    [sym_boolean] = STATE(5823),
    [sym_unit] = STATE(5823),
    [sym__value_name] = STATE(6038),
    [sym_parenthesized_operator] = STATE(5827),
    [sym_value_path] = STATE(5960),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(5960),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5960),
    [aux_sym_class_application_repeat1] = STATE(2479),
    [sym__lowercase_identifier] = ACTIONS(5545),
    [anon_sym_SEMI_SEMI] = ACTIONS(5589),
    [anon_sym_let] = ACTIONS(5591),
    [anon_sym_and] = ACTIONS(5591),
    [anon_sym_TILDE] = ACTIONS(5551),
    [anon_sym_QMARK] = ACTIONS(5551),
    [anon_sym_LPAREN] = ACTIONS(5553),
    [anon_sym_external] = ACTIONS(5591),
    [anon_sym_type] = ACTIONS(5591),
    [anon_sym_LBRACK] = ACTIONS(5555),
    [anon_sym_RBRACK] = ACTIONS(5589),
    [anon_sym_true] = ACTIONS(5557),
    [anon_sym_false] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(5559),
    [anon_sym_exception] = ACTIONS(5591),
    [anon_sym_module] = ACTIONS(5591),
    [anon_sym_open] = ACTIONS(5591),
    [anon_sym_include] = ACTIONS(5591),
    [anon_sym_class] = ACTIONS(5591),
    [anon_sym_object] = ACTIONS(5561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5563),
    [anon_sym_new] = ACTIONS(5565),
    [anon_sym_LBRACE_LT] = ACTIONS(5567),
    [anon_sym_begin] = ACTIONS(5569),
    [sym_ocamlyacc_value] = ACTIONS(5571),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5575),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5589),
    [aux_sym_number_token1] = ACTIONS(5577),
    [anon_sym_SQUOTE] = ACTIONS(5579),
    [anon_sym_DQUOTE] = ACTIONS(5581),
    [sym_prefix_operator] = ACTIONS(5583),
    [sym_let_operator] = ACTIONS(5589),
    [sym__uppercase_identifier] = ACTIONS(5585),
    [aux_sym_directive_token1] = ACTIONS(5589),
    [aux_sym_tag_token1] = ACTIONS(5587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2474] = {
    [sym__simple_expression] = STATE(5978),
    [sym_typed_expression] = STATE(6015),
    [sym_list_expression] = STATE(6015),
    [sym_array_expression] = STATE(6015),
    [sym_record_expression] = STATE(6015),
    [sym_labeled_argument] = STATE(7215),
    [sym_prefix_expression] = STATE(6015),
    [sym_hash_expression] = STATE(6015),
    [sym_field_get_expression] = STATE(6015),
    [sym_array_get_expression] = STATE(6015),
    [sym_string_get_expression] = STATE(6015),
    [sym_bigarray_get_expression] = STATE(6015),
    [sym_coercion_expression] = STATE(6015),
    [sym_local_open_expression] = STATE(6015),
    [sym_package_expression] = STATE(6015),
    [sym_new_expression] = STATE(6015),
    [sym_object_copy_expression] = STATE(6015),
    [sym_method_invocation] = STATE(6015),
    [sym_object_expression] = STATE(6015),
    [sym_parenthesized_expression] = STATE(6015),
    [sym_attribute] = STATE(2474),
    [sym_extension] = STATE(6015),
    [sym_quoted_extension] = STATE(6015),
    [sym__constant] = STATE(6015),
    [sym_number] = STATE(5991),
    [sym_character] = STATE(5991),
    [sym_string] = STATE(5991),
    [sym_quoted_string] = STATE(5991),
    [sym_boolean] = STATE(5991),
    [sym_unit] = STATE(5991),
    [sym__value_name] = STATE(5824),
    [sym_parenthesized_operator] = STATE(5919),
    [sym_value_path] = STATE(6015),
    [sym_module_path] = STATE(18525),
    [sym_constructor_path] = STATE(6015),
    [sym__constructor_name] = STATE(5992),
    [sym_tag] = STATE(6015),
    [aux_sym_class_application_repeat1] = STATE(2480),
    [sym__lowercase_identifier] = ACTIONS(5593),
    [anon_sym_SEMI_SEMI] = ACTIONS(5547),
    [anon_sym_let] = ACTIONS(5549),
    [anon_sym_and] = ACTIONS(5549),
    [anon_sym_TILDE] = ACTIONS(5595),
    [anon_sym_QMARK] = ACTIONS(5595),
    [anon_sym_LPAREN] = ACTIONS(5597),
    [anon_sym_external] = ACTIONS(5549),
    [anon_sym_type] = ACTIONS(5549),
    [anon_sym_LBRACK] = ACTIONS(5599),
    [anon_sym_true] = ACTIONS(5601),
    [anon_sym_false] = ACTIONS(5601),
    [anon_sym_LBRACE] = ACTIONS(5603),
    [anon_sym_exception] = ACTIONS(5549),
    [anon_sym_module] = ACTIONS(5549),
    [anon_sym_open] = ACTIONS(5549),
    [anon_sym_include] = ACTIONS(5549),
    [anon_sym_class] = ACTIONS(5549),
    [anon_sym_end] = ACTIONS(5549),
    [anon_sym_object] = ACTIONS(5605),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5607),
    [anon_sym_new] = ACTIONS(5609),
    [anon_sym_LBRACE_LT] = ACTIONS(5611),
    [anon_sym_begin] = ACTIONS(5613),
    [sym_ocamlyacc_value] = ACTIONS(5615),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5549),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5547),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5619),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5547),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5547),
    [aux_sym_number_token1] = ACTIONS(5621),
    [anon_sym_SQUOTE] = ACTIONS(5623),
    [anon_sym_DQUOTE] = ACTIONS(5625),
    [sym_prefix_operator] = ACTIONS(5627),
    [sym_let_operator] = ACTIONS(5547),
    [sym__uppercase_identifier] = ACTIONS(5629),
    [aux_sym_directive_token1] = ACTIONS(5547),
    [aux_sym_tag_token1] = ACTIONS(5631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2475] = {
    [sym_parameter] = STATE(10099),
    [sym__polymorphic_typed] = STATE(16450),
    [sym__parenthesized_abstract_type] = STATE(10099),
    [sym__simple_pattern] = STATE(10102),
    [sym_typed_pattern] = STATE(10064),
    [sym_polymorphic_variant_pattern] = STATE(10064),
    [sym_record_pattern] = STATE(10064),
    [sym_list_pattern] = STATE(10064),
    [sym_array_pattern] = STATE(10064),
    [sym_local_open_pattern] = STATE(10064),
    [sym_package_pattern] = STATE(10064),
    [sym_parenthesized_pattern] = STATE(10064),
    [sym_attribute] = STATE(2475),
    [sym_item_attribute] = STATE(10430),
    [sym_extension] = STATE(10064),
    [sym_quoted_extension] = STATE(10064),
    [sym__constant] = STATE(10069),
    [sym__signed_constant] = STATE(10064),
    [sym_number] = STATE(10122),
    [sym_signed_number] = STATE(10069),
    [sym_character] = STATE(10122),
    [sym_string] = STATE(10122),
    [sym_quoted_string] = STATE(10122),
    [sym_boolean] = STATE(10122),
    [sym_unit] = STATE(10122),
    [sym__simple_value_pattern] = STATE(10064),
    [sym_parenthesized_operator] = STATE(10064),
    [sym_module_path] = STATE(19143),
    [sym_constructor_path] = STATE(10064),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(10064),
    [aux_sym_expression_item_repeat1] = STATE(10200),
    [aux_sym_let_binding_repeat1] = STATE(4603),
    [sym__lowercase_identifier] = ACTIONS(5369),
    [anon_sym_SEMI_SEMI] = ACTIONS(5371),
    [anon_sym_let] = ACTIONS(5373),
    [anon_sym_and] = ACTIONS(5373),
    [anon_sym_COLON_GT] = ACTIONS(5633),
    [anon_sym_EQ] = ACTIONS(5635),
    [anon_sym_TILDE] = ACTIONS(5379),
    [anon_sym_QMARK] = ACTIONS(5379),
    [anon_sym_LPAREN] = ACTIONS(5381),
    [anon_sym_external] = ACTIONS(5373),
    [anon_sym_type] = ACTIONS(5373),
    [anon_sym_COMMA] = ACTIONS(5637),
    [anon_sym_PIPE] = ACTIONS(5639),
    [anon_sym_LBRACK] = ACTIONS(5387),
    [anon_sym_true] = ACTIONS(5389),
    [anon_sym_false] = ACTIONS(5389),
    [anon_sym_COLON2] = ACTIONS(5391),
    [anon_sym_LBRACE] = ACTIONS(5393),
    [anon_sym_exception] = ACTIONS(5373),
    [anon_sym_module] = ACTIONS(5373),
    [anon_sym_open] = ACTIONS(5373),
    [anon_sym_include] = ACTIONS(5373),
    [anon_sym_class] = ACTIONS(5373),
    [anon_sym_end] = ACTIONS(5373),
    [anon_sym_as] = ACTIONS(5641),
    [anon_sym_POUND] = ACTIONS(5397),
    [anon_sym_COLON_COLON] = ACTIONS(5643),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5401),
    [anon_sym_begin] = ACTIONS(5403),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5405),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5371),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5407),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5409),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5371),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5371),
    [aux_sym_number_token1] = ACTIONS(5411),
    [aux_sym_signed_number_token1] = ACTIONS(5413),
    [anon_sym_SQUOTE] = ACTIONS(5415),
    [anon_sym_DQUOTE] = ACTIONS(5417),
    [sym_let_operator] = ACTIONS(5371),
    [sym_let_and_operator] = ACTIONS(5371),
    [sym__uppercase_identifier] = ACTIONS(5419),
    [aux_sym_directive_token1] = ACTIONS(5373),
    [aux_sym_tag_token1] = ACTIONS(5421),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2476] = {
    [sym__simple_expression] = STATE(5978),
    [sym_typed_expression] = STATE(6015),
    [sym_list_expression] = STATE(6015),
    [sym_array_expression] = STATE(6015),
    [sym_record_expression] = STATE(6015),
    [sym_labeled_argument] = STATE(7215),
    [sym_prefix_expression] = STATE(6015),
    [sym_hash_expression] = STATE(6015),
    [sym_field_get_expression] = STATE(6015),
    [sym_array_get_expression] = STATE(6015),
    [sym_string_get_expression] = STATE(6015),
    [sym_bigarray_get_expression] = STATE(6015),
    [sym_coercion_expression] = STATE(6015),
    [sym_local_open_expression] = STATE(6015),
    [sym_package_expression] = STATE(6015),
    [sym_new_expression] = STATE(6015),
    [sym_object_copy_expression] = STATE(6015),
    [sym_method_invocation] = STATE(6015),
    [sym_object_expression] = STATE(6015),
    [sym_parenthesized_expression] = STATE(6015),
    [sym_attribute] = STATE(2476),
    [sym_extension] = STATE(6015),
    [sym_quoted_extension] = STATE(6015),
    [sym__constant] = STATE(6015),
    [sym_number] = STATE(5991),
    [sym_character] = STATE(5991),
    [sym_string] = STATE(5991),
    [sym_quoted_string] = STATE(5991),
    [sym_boolean] = STATE(5991),
    [sym_unit] = STATE(5991),
    [sym__value_name] = STATE(5824),
    [sym_parenthesized_operator] = STATE(5919),
    [sym_value_path] = STATE(6015),
    [sym_module_path] = STATE(18525),
    [sym_constructor_path] = STATE(6015),
    [sym__constructor_name] = STATE(5992),
    [sym_tag] = STATE(6015),
    [aux_sym_class_application_repeat1] = STATE(2476),
    [sym__lowercase_identifier] = ACTIONS(5645),
    [anon_sym_SEMI_SEMI] = ACTIONS(3500),
    [anon_sym_let] = ACTIONS(3502),
    [anon_sym_and] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(5648),
    [anon_sym_QMARK] = ACTIONS(5648),
    [anon_sym_LPAREN] = ACTIONS(5651),
    [anon_sym_external] = ACTIONS(3502),
    [anon_sym_type] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(5654),
    [anon_sym_true] = ACTIONS(5657),
    [anon_sym_false] = ACTIONS(5657),
    [anon_sym_LBRACE] = ACTIONS(5660),
    [anon_sym_exception] = ACTIONS(3502),
    [anon_sym_module] = ACTIONS(3502),
    [anon_sym_open] = ACTIONS(3502),
    [anon_sym_include] = ACTIONS(3502),
    [anon_sym_class] = ACTIONS(3502),
    [anon_sym_end] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(5663),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5666),
    [anon_sym_new] = ACTIONS(5669),
    [anon_sym_LBRACE_LT] = ACTIONS(5672),
    [anon_sym_begin] = ACTIONS(5675),
    [sym_ocamlyacc_value] = ACTIONS(5678),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3502),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3500),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5681),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5684),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3500),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3500),
    [aux_sym_number_token1] = ACTIONS(5687),
    [anon_sym_SQUOTE] = ACTIONS(5690),
    [anon_sym_DQUOTE] = ACTIONS(5693),
    [sym_prefix_operator] = ACTIONS(5696),
    [sym_let_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(5699),
    [aux_sym_directive_token1] = ACTIONS(3500),
    [aux_sym_tag_token1] = ACTIONS(5702),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2477] = {
    [sym_parameter] = STATE(10099),
    [sym__polymorphic_typed] = STATE(17394),
    [sym__parenthesized_abstract_type] = STATE(10099),
    [sym__simple_pattern] = STATE(10102),
    [sym_typed_pattern] = STATE(10064),
    [sym_polymorphic_variant_pattern] = STATE(10064),
    [sym_record_pattern] = STATE(10064),
    [sym_list_pattern] = STATE(10064),
    [sym_array_pattern] = STATE(10064),
    [sym_local_open_pattern] = STATE(10064),
    [sym_package_pattern] = STATE(10064),
    [sym_parenthesized_pattern] = STATE(10064),
    [sym_attribute] = STATE(2477),
    [sym_item_attribute] = STATE(10430),
    [sym_extension] = STATE(10064),
    [sym_quoted_extension] = STATE(10064),
    [sym__constant] = STATE(10069),
    [sym__signed_constant] = STATE(10064),
    [sym_number] = STATE(10122),
    [sym_signed_number] = STATE(10069),
    [sym_character] = STATE(10122),
    [sym_string] = STATE(10122),
    [sym_quoted_string] = STATE(10122),
    [sym_boolean] = STATE(10122),
    [sym_unit] = STATE(10122),
    [sym__simple_value_pattern] = STATE(10064),
    [sym_parenthesized_operator] = STATE(10064),
    [sym_module_path] = STATE(19143),
    [sym_constructor_path] = STATE(10064),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(10064),
    [aux_sym_expression_item_repeat1] = STATE(10200),
    [aux_sym_let_binding_repeat1] = STATE(4601),
    [sym__lowercase_identifier] = ACTIONS(5369),
    [anon_sym_SEMI_SEMI] = ACTIONS(5371),
    [anon_sym_let] = ACTIONS(5373),
    [anon_sym_and] = ACTIONS(5373),
    [anon_sym_COLON_GT] = ACTIONS(5705),
    [anon_sym_EQ] = ACTIONS(5707),
    [anon_sym_TILDE] = ACTIONS(5379),
    [anon_sym_QMARK] = ACTIONS(5379),
    [anon_sym_LPAREN] = ACTIONS(5381),
    [anon_sym_external] = ACTIONS(5373),
    [anon_sym_type] = ACTIONS(5373),
    [anon_sym_COMMA] = ACTIONS(5709),
    [anon_sym_PIPE] = ACTIONS(5711),
    [anon_sym_LBRACK] = ACTIONS(5387),
    [anon_sym_RBRACK] = ACTIONS(5371),
    [anon_sym_true] = ACTIONS(5389),
    [anon_sym_false] = ACTIONS(5389),
    [anon_sym_COLON2] = ACTIONS(5391),
    [anon_sym_LBRACE] = ACTIONS(5393),
    [anon_sym_exception] = ACTIONS(5373),
    [anon_sym_module] = ACTIONS(5373),
    [anon_sym_open] = ACTIONS(5373),
    [anon_sym_include] = ACTIONS(5373),
    [anon_sym_class] = ACTIONS(5373),
    [anon_sym_as] = ACTIONS(5713),
    [anon_sym_POUND] = ACTIONS(5397),
    [anon_sym_COLON_COLON] = ACTIONS(5715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5401),
    [anon_sym_begin] = ACTIONS(5403),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5405),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5371),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5407),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5409),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5371),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5371),
    [aux_sym_number_token1] = ACTIONS(5411),
    [aux_sym_signed_number_token1] = ACTIONS(5413),
    [anon_sym_SQUOTE] = ACTIONS(5415),
    [anon_sym_DQUOTE] = ACTIONS(5417),
    [sym_let_operator] = ACTIONS(5371),
    [sym_let_and_operator] = ACTIONS(5371),
    [sym__uppercase_identifier] = ACTIONS(5419),
    [aux_sym_directive_token1] = ACTIONS(5373),
    [aux_sym_tag_token1] = ACTIONS(5421),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2478] = {
    [sym__simple_expression] = STATE(5931),
    [sym_typed_expression] = STATE(5914),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_labeled_argument] = STATE(7230),
    [sym_prefix_expression] = STATE(5914),
    [sym_hash_expression] = STATE(5914),
    [sym_field_get_expression] = STATE(5914),
    [sym_array_get_expression] = STATE(5914),
    [sym_string_get_expression] = STATE(5914),
    [sym_bigarray_get_expression] = STATE(5914),
    [sym_coercion_expression] = STATE(5914),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(2478),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [aux_sym_class_application_repeat1] = STATE(2481),
    [sym__lowercase_identifier] = ACTIONS(5233),
    [anon_sym_TILDE] = ACTIONS(5235),
    [anon_sym_QMARK] = ACTIONS(5235),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1411),
    [anon_sym_false] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(3443),
    [anon_sym_object] = ACTIONS(1415),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1419),
    [anon_sym_else] = ACTIONS(3445),
    [anon_sym_to] = ACTIONS(3445),
    [anon_sym_downto] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(1429),
    [anon_sym_LBRACE_LT] = ACTIONS(1431),
    [anon_sym_begin] = ACTIONS(1433),
    [sym_ocamlyacc_value] = ACTIONS(1435),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1439),
    [aux_sym_number_token1] = ACTIONS(1441),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(1451),
    [aux_sym_tag_token1] = ACTIONS(1453),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2479] = {
    [sym__simple_expression] = STATE(5952),
    [sym_typed_expression] = STATE(5960),
    [sym_list_expression] = STATE(5960),
    [sym_array_expression] = STATE(5960),
    [sym_record_expression] = STATE(5960),
    [sym_labeled_argument] = STATE(7243),
    [sym_prefix_expression] = STATE(5960),
    [sym_hash_expression] = STATE(5960),
    [sym_field_get_expression] = STATE(5960),
    [sym_array_get_expression] = STATE(5960),
    [sym_string_get_expression] = STATE(5960),
    [sym_bigarray_get_expression] = STATE(5960),
    [sym_coercion_expression] = STATE(5960),
    [sym_local_open_expression] = STATE(5960),
    [sym_package_expression] = STATE(5960),
    [sym_new_expression] = STATE(5960),
    [sym_object_copy_expression] = STATE(5960),
    [sym_method_invocation] = STATE(5960),
    [sym_object_expression] = STATE(5960),
    [sym_parenthesized_expression] = STATE(5960),
    [sym_attribute] = STATE(2479),
    [sym_extension] = STATE(5960),
    [sym_quoted_extension] = STATE(5960),
    [sym__constant] = STATE(5960),
    [sym_number] = STATE(5823),
    [sym_character] = STATE(5823),
    [sym_string] = STATE(5823),
    [sym_quoted_string] = STATE(5823),
    [sym_boolean] = STATE(5823),
    [sym_unit] = STATE(5823),
    [sym__value_name] = STATE(6038),
    [sym_parenthesized_operator] = STATE(5827),
    [sym_value_path] = STATE(5960),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(5960),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5960),
    [aux_sym_class_application_repeat1] = STATE(2479),
    [sym__lowercase_identifier] = ACTIONS(5717),
    [anon_sym_SEMI_SEMI] = ACTIONS(3500),
    [anon_sym_let] = ACTIONS(3502),
    [anon_sym_and] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(5720),
    [anon_sym_QMARK] = ACTIONS(5720),
    [anon_sym_LPAREN] = ACTIONS(5723),
    [anon_sym_external] = ACTIONS(3502),
    [anon_sym_type] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(5726),
    [anon_sym_RBRACK] = ACTIONS(3500),
    [anon_sym_true] = ACTIONS(5729),
    [anon_sym_false] = ACTIONS(5729),
    [anon_sym_LBRACE] = ACTIONS(5732),
    [anon_sym_exception] = ACTIONS(3502),
    [anon_sym_module] = ACTIONS(3502),
    [anon_sym_open] = ACTIONS(3502),
    [anon_sym_include] = ACTIONS(3502),
    [anon_sym_class] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(5735),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5738),
    [anon_sym_new] = ACTIONS(5741),
    [anon_sym_LBRACE_LT] = ACTIONS(5744),
    [anon_sym_begin] = ACTIONS(5747),
    [sym_ocamlyacc_value] = ACTIONS(5750),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3502),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3500),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5756),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3500),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3500),
    [aux_sym_number_token1] = ACTIONS(5759),
    [anon_sym_SQUOTE] = ACTIONS(5762),
    [anon_sym_DQUOTE] = ACTIONS(5765),
    [sym_prefix_operator] = ACTIONS(5768),
    [sym_let_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(5771),
    [aux_sym_directive_token1] = ACTIONS(3500),
    [aux_sym_tag_token1] = ACTIONS(5774),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2480] = {
    [sym__simple_expression] = STATE(5978),
    [sym_typed_expression] = STATE(6015),
    [sym_list_expression] = STATE(6015),
    [sym_array_expression] = STATE(6015),
    [sym_record_expression] = STATE(6015),
    [sym_labeled_argument] = STATE(7215),
    [sym_prefix_expression] = STATE(6015),
    [sym_hash_expression] = STATE(6015),
    [sym_field_get_expression] = STATE(6015),
    [sym_array_get_expression] = STATE(6015),
    [sym_string_get_expression] = STATE(6015),
    [sym_bigarray_get_expression] = STATE(6015),
    [sym_coercion_expression] = STATE(6015),
    [sym_local_open_expression] = STATE(6015),
    [sym_package_expression] = STATE(6015),
    [sym_new_expression] = STATE(6015),
    [sym_object_copy_expression] = STATE(6015),
    [sym_method_invocation] = STATE(6015),
    [sym_object_expression] = STATE(6015),
    [sym_parenthesized_expression] = STATE(6015),
    [sym_attribute] = STATE(2480),
    [sym_extension] = STATE(6015),
    [sym_quoted_extension] = STATE(6015),
    [sym__constant] = STATE(6015),
    [sym_number] = STATE(5991),
    [sym_character] = STATE(5991),
    [sym_string] = STATE(5991),
    [sym_quoted_string] = STATE(5991),
    [sym_boolean] = STATE(5991),
    [sym_unit] = STATE(5991),
    [sym__value_name] = STATE(5824),
    [sym_parenthesized_operator] = STATE(5919),
    [sym_value_path] = STATE(6015),
    [sym_module_path] = STATE(18525),
    [sym_constructor_path] = STATE(6015),
    [sym__constructor_name] = STATE(5992),
    [sym_tag] = STATE(6015),
    [aux_sym_class_application_repeat1] = STATE(2476),
    [sym__lowercase_identifier] = ACTIONS(5593),
    [anon_sym_SEMI_SEMI] = ACTIONS(5589),
    [anon_sym_let] = ACTIONS(5591),
    [anon_sym_and] = ACTIONS(5591),
    [anon_sym_TILDE] = ACTIONS(5595),
    [anon_sym_QMARK] = ACTIONS(5595),
    [anon_sym_LPAREN] = ACTIONS(5597),
    [anon_sym_external] = ACTIONS(5591),
    [anon_sym_type] = ACTIONS(5591),
    [anon_sym_LBRACK] = ACTIONS(5599),
    [anon_sym_true] = ACTIONS(5601),
    [anon_sym_false] = ACTIONS(5601),
    [anon_sym_LBRACE] = ACTIONS(5603),
    [anon_sym_exception] = ACTIONS(5591),
    [anon_sym_module] = ACTIONS(5591),
    [anon_sym_open] = ACTIONS(5591),
    [anon_sym_include] = ACTIONS(5591),
    [anon_sym_class] = ACTIONS(5591),
    [anon_sym_end] = ACTIONS(5591),
    [anon_sym_object] = ACTIONS(5605),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5607),
    [anon_sym_new] = ACTIONS(5609),
    [anon_sym_LBRACE_LT] = ACTIONS(5611),
    [anon_sym_begin] = ACTIONS(5613),
    [sym_ocamlyacc_value] = ACTIONS(5615),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5617),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5619),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5589),
    [aux_sym_number_token1] = ACTIONS(5621),
    [anon_sym_SQUOTE] = ACTIONS(5623),
    [anon_sym_DQUOTE] = ACTIONS(5625),
    [sym_prefix_operator] = ACTIONS(5627),
    [sym_let_operator] = ACTIONS(5589),
    [sym__uppercase_identifier] = ACTIONS(5629),
    [aux_sym_directive_token1] = ACTIONS(5589),
    [aux_sym_tag_token1] = ACTIONS(5631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2481] = {
    [sym__simple_expression] = STATE(5931),
    [sym_typed_expression] = STATE(5914),
    [sym_list_expression] = STATE(5914),
    [sym_array_expression] = STATE(5914),
    [sym_record_expression] = STATE(5914),
    [sym_labeled_argument] = STATE(7230),
    [sym_prefix_expression] = STATE(5914),
    [sym_hash_expression] = STATE(5914),
    [sym_field_get_expression] = STATE(5914),
    [sym_array_get_expression] = STATE(5914),
    [sym_string_get_expression] = STATE(5914),
    [sym_bigarray_get_expression] = STATE(5914),
    [sym_coercion_expression] = STATE(5914),
    [sym_local_open_expression] = STATE(5914),
    [sym_package_expression] = STATE(5914),
    [sym_new_expression] = STATE(5914),
    [sym_object_copy_expression] = STATE(5914),
    [sym_method_invocation] = STATE(5914),
    [sym_object_expression] = STATE(5914),
    [sym_parenthesized_expression] = STATE(5914),
    [sym_attribute] = STATE(2481),
    [sym_extension] = STATE(5914),
    [sym_quoted_extension] = STATE(5914),
    [sym__constant] = STATE(5914),
    [sym_number] = STATE(6056),
    [sym_character] = STATE(6056),
    [sym_string] = STATE(6056),
    [sym_quoted_string] = STATE(6056),
    [sym_boolean] = STATE(6056),
    [sym_unit] = STATE(6056),
    [sym__value_name] = STATE(5828),
    [sym_parenthesized_operator] = STATE(5862),
    [sym_value_path] = STATE(5914),
    [sym_module_path] = STATE(17464),
    [sym_constructor_path] = STATE(5914),
    [sym__constructor_name] = STATE(6057),
    [sym_tag] = STATE(5914),
    [aux_sym_class_application_repeat1] = STATE(2481),
    [sym__lowercase_identifier] = ACTIONS(5777),
    [anon_sym_TILDE] = ACTIONS(5780),
    [anon_sym_QMARK] = ACTIONS(5780),
    [anon_sym_LPAREN] = ACTIONS(5783),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(5786),
    [anon_sym_true] = ACTIONS(5789),
    [anon_sym_false] = ACTIONS(5789),
    [anon_sym_LBRACE] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(5795),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5798),
    [anon_sym_else] = ACTIONS(3502),
    [anon_sym_to] = ACTIONS(3502),
    [anon_sym_downto] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(5801),
    [anon_sym_LBRACE_LT] = ACTIONS(5804),
    [anon_sym_begin] = ACTIONS(5807),
    [sym_ocamlyacc_value] = ACTIONS(5810),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5813),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5816),
    [aux_sym_number_token1] = ACTIONS(5819),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(5822),
    [anon_sym_DQUOTE] = ACTIONS(5825),
    [sym_prefix_operator] = ACTIONS(5828),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(5831),
    [aux_sym_tag_token1] = ACTIONS(5834),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2482] = {
    [sym__simple_expression] = STATE(6109),
    [sym_typed_expression] = STATE(6494),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_labeled_argument] = STATE(7440),
    [sym_prefix_expression] = STATE(6494),
    [sym_hash_expression] = STATE(6494),
    [sym_field_get_expression] = STATE(6494),
    [sym_array_get_expression] = STATE(6494),
    [sym_string_get_expression] = STATE(6494),
    [sym_bigarray_get_expression] = STATE(6494),
    [sym_coercion_expression] = STATE(6494),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(2482),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [aux_sym_class_application_repeat1] = STATE(2482),
    [sym__lowercase_identifier] = ACTIONS(5837),
    [anon_sym_TILDE] = ACTIONS(5840),
    [anon_sym_QMARK] = ACTIONS(5840),
    [anon_sym_LPAREN] = ACTIONS(5843),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(5846),
    [anon_sym_true] = ACTIONS(5849),
    [anon_sym_false] = ACTIONS(5849),
    [anon_sym_LBRACE] = ACTIONS(5852),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(5855),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5858),
    [anon_sym_else] = ACTIONS(3502),
    [anon_sym_done] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(5861),
    [anon_sym_LBRACE_LT] = ACTIONS(5864),
    [anon_sym_begin] = ACTIONS(5867),
    [sym_ocamlyacc_value] = ACTIONS(5870),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5873),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5876),
    [aux_sym_number_token1] = ACTIONS(5879),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(5882),
    [anon_sym_DQUOTE] = ACTIONS(5885),
    [sym_prefix_operator] = ACTIONS(5888),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(5891),
    [aux_sym_tag_token1] = ACTIONS(5894),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2483] = {
    [sym__simple_expression] = STATE(6399),
    [sym_typed_expression] = STATE(6185),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_labeled_argument] = STATE(7494),
    [sym_prefix_expression] = STATE(6185),
    [sym_hash_expression] = STATE(6185),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_coercion_expression] = STATE(6185),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(2483),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [aux_sym_class_application_repeat1] = STATE(2484),
    [sym__lowercase_identifier] = ACTIONS(5359),
    [anon_sym_TILDE] = ACTIONS(5361),
    [anon_sym_QMARK] = ACTIONS(5361),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_true] = ACTIONS(1701),
    [anon_sym_false] = ACTIONS(1701),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_SEMI] = ACTIONS(3443),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1709),
    [anon_sym_to] = ACTIONS(3445),
    [anon_sym_downto] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_LBRACE_LT] = ACTIONS(1721),
    [anon_sym_begin] = ACTIONS(1723),
    [sym_ocamlyacc_value] = ACTIONS(1725),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1729),
    [aux_sym_number_token1] = ACTIONS(1731),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [sym_prefix_operator] = ACTIONS(1737),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(1741),
    [aux_sym_tag_token1] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2484] = {
    [sym__simple_expression] = STATE(6399),
    [sym_typed_expression] = STATE(6185),
    [sym_list_expression] = STATE(6185),
    [sym_array_expression] = STATE(6185),
    [sym_record_expression] = STATE(6185),
    [sym_labeled_argument] = STATE(7494),
    [sym_prefix_expression] = STATE(6185),
    [sym_hash_expression] = STATE(6185),
    [sym_field_get_expression] = STATE(6185),
    [sym_array_get_expression] = STATE(6185),
    [sym_string_get_expression] = STATE(6185),
    [sym_bigarray_get_expression] = STATE(6185),
    [sym_coercion_expression] = STATE(6185),
    [sym_local_open_expression] = STATE(6185),
    [sym_package_expression] = STATE(6185),
    [sym_new_expression] = STATE(6185),
    [sym_object_copy_expression] = STATE(6185),
    [sym_method_invocation] = STATE(6185),
    [sym_object_expression] = STATE(6185),
    [sym_parenthesized_expression] = STATE(6185),
    [sym_attribute] = STATE(2484),
    [sym_extension] = STATE(6185),
    [sym_quoted_extension] = STATE(6185),
    [sym__constant] = STATE(6185),
    [sym_number] = STATE(6514),
    [sym_character] = STATE(6514),
    [sym_string] = STATE(6514),
    [sym_quoted_string] = STATE(6514),
    [sym_boolean] = STATE(6514),
    [sym_unit] = STATE(6514),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6518),
    [sym_value_path] = STATE(6185),
    [sym_module_path] = STATE(17642),
    [sym_constructor_path] = STATE(6185),
    [sym__constructor_name] = STATE(6520),
    [sym_tag] = STATE(6185),
    [aux_sym_class_application_repeat1] = STATE(2484),
    [sym__lowercase_identifier] = ACTIONS(5897),
    [anon_sym_TILDE] = ACTIONS(5900),
    [anon_sym_QMARK] = ACTIONS(5900),
    [anon_sym_LPAREN] = ACTIONS(5903),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(5906),
    [anon_sym_true] = ACTIONS(5909),
    [anon_sym_false] = ACTIONS(5909),
    [anon_sym_LBRACE] = ACTIONS(5912),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(5915),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5918),
    [anon_sym_to] = ACTIONS(3502),
    [anon_sym_downto] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(5921),
    [anon_sym_LBRACE_LT] = ACTIONS(5924),
    [anon_sym_begin] = ACTIONS(5927),
    [sym_ocamlyacc_value] = ACTIONS(5930),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5936),
    [aux_sym_number_token1] = ACTIONS(5939),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(5942),
    [anon_sym_DQUOTE] = ACTIONS(5945),
    [sym_prefix_operator] = ACTIONS(5948),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(5951),
    [aux_sym_tag_token1] = ACTIONS(5954),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2485] = {
    [sym__simple_expression] = STATE(6585),
    [sym_typed_expression] = STATE(6530),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_labeled_argument] = STATE(7357),
    [sym_prefix_expression] = STATE(6530),
    [sym_hash_expression] = STATE(6530),
    [sym_field_get_expression] = STATE(6530),
    [sym_array_get_expression] = STATE(6530),
    [sym_string_get_expression] = STATE(6530),
    [sym_bigarray_get_expression] = STATE(6530),
    [sym_coercion_expression] = STATE(6530),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(2485),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [aux_sym_class_application_repeat1] = STATE(2489),
    [sym__lowercase_identifier] = ACTIONS(5253),
    [anon_sym_TILDE] = ACTIONS(5255),
    [anon_sym_QMARK] = ACTIONS(5255),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2315),
    [anon_sym_SEMI] = ACTIONS(3443),
    [anon_sym_object] = ACTIONS(2317),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2321),
    [anon_sym_then] = ACTIONS(3445),
    [anon_sym_else] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_LBRACE_LT] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [sym_ocamlyacc_value] = ACTIONS(2337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2341),
    [aux_sym_number_token1] = ACTIONS(2343),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [sym_prefix_operator] = ACTIONS(2349),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(2353),
    [aux_sym_tag_token1] = ACTIONS(2355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2486] = {
    [sym__simple_expression] = STATE(6161),
    [sym_typed_expression] = STATE(6572),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_labeled_argument] = STATE(7361),
    [sym_prefix_expression] = STATE(6572),
    [sym_hash_expression] = STATE(6572),
    [sym_field_get_expression] = STATE(6572),
    [sym_array_get_expression] = STATE(6572),
    [sym_string_get_expression] = STATE(6572),
    [sym_bigarray_get_expression] = STATE(6572),
    [sym_coercion_expression] = STATE(6572),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(2486),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [aux_sym_class_application_repeat1] = STATE(2490),
    [sym__lowercase_identifier] = ACTIONS(5263),
    [anon_sym_TILDE] = ACTIONS(5265),
    [anon_sym_QMARK] = ACTIONS(5265),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(2365),
    [anon_sym_false] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(3443),
    [anon_sym_object] = ACTIONS(2369),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2373),
    [anon_sym_else] = ACTIONS(3445),
    [anon_sym_do] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_LBRACE_LT] = ACTIONS(2385),
    [anon_sym_begin] = ACTIONS(2387),
    [sym_ocamlyacc_value] = ACTIONS(2389),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2391),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2393),
    [aux_sym_number_token1] = ACTIONS(2395),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2399),
    [sym_prefix_operator] = ACTIONS(2401),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(2405),
    [aux_sym_tag_token1] = ACTIONS(2407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2487] = {
    [sym__simple_expression] = STATE(6367),
    [sym_typed_expression] = STATE(6576),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_labeled_argument] = STATE(7365),
    [sym_prefix_expression] = STATE(6576),
    [sym_hash_expression] = STATE(6576),
    [sym_field_get_expression] = STATE(6576),
    [sym_array_get_expression] = STATE(6576),
    [sym_string_get_expression] = STATE(6576),
    [sym_bigarray_get_expression] = STATE(6576),
    [sym_coercion_expression] = STATE(6576),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(2487),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [aux_sym_class_application_repeat1] = STATE(2491),
    [sym__lowercase_identifier] = ACTIONS(5273),
    [anon_sym_TILDE] = ACTIONS(5275),
    [anon_sym_QMARK] = ACTIONS(5275),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(2417),
    [anon_sym_false] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_SEMI] = ACTIONS(3443),
    [anon_sym_with] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2425),
    [anon_sym_else] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(2435),
    [anon_sym_LBRACE_LT] = ACTIONS(2437),
    [anon_sym_begin] = ACTIONS(2439),
    [sym_ocamlyacc_value] = ACTIONS(2441),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2443),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2445),
    [aux_sym_number_token1] = ACTIONS(2447),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(2457),
    [aux_sym_tag_token1] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2488] = {
    [sym__simple_expression] = STATE(6474),
    [sym_typed_expression] = STATE(6316),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_labeled_argument] = STATE(7367),
    [sym_prefix_expression] = STATE(6316),
    [sym_hash_expression] = STATE(6316),
    [sym_field_get_expression] = STATE(6316),
    [sym_array_get_expression] = STATE(6316),
    [sym_string_get_expression] = STATE(6316),
    [sym_bigarray_get_expression] = STATE(6316),
    [sym_coercion_expression] = STATE(6316),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(2488),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [aux_sym_class_application_repeat1] = STATE(2492),
    [sym__lowercase_identifier] = ACTIONS(5283),
    [anon_sym_TILDE] = ACTIONS(5285),
    [anon_sym_QMARK] = ACTIONS(5285),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(2469),
    [anon_sym_false] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_SEMI] = ACTIONS(3443),
    [anon_sym_end] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2477),
    [anon_sym_else] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_LBRACE_LT] = ACTIONS(2489),
    [anon_sym_begin] = ACTIONS(2491),
    [sym_ocamlyacc_value] = ACTIONS(2493),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2495),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2497),
    [aux_sym_number_token1] = ACTIONS(2499),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [sym_prefix_operator] = ACTIONS(2505),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(2509),
    [aux_sym_tag_token1] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2489] = {
    [sym__simple_expression] = STATE(6585),
    [sym_typed_expression] = STATE(6530),
    [sym_list_expression] = STATE(6530),
    [sym_array_expression] = STATE(6530),
    [sym_record_expression] = STATE(6530),
    [sym_labeled_argument] = STATE(7357),
    [sym_prefix_expression] = STATE(6530),
    [sym_hash_expression] = STATE(6530),
    [sym_field_get_expression] = STATE(6530),
    [sym_array_get_expression] = STATE(6530),
    [sym_string_get_expression] = STATE(6530),
    [sym_bigarray_get_expression] = STATE(6530),
    [sym_coercion_expression] = STATE(6530),
    [sym_local_open_expression] = STATE(6530),
    [sym_package_expression] = STATE(6530),
    [sym_new_expression] = STATE(6530),
    [sym_object_copy_expression] = STATE(6530),
    [sym_method_invocation] = STATE(6530),
    [sym_object_expression] = STATE(6530),
    [sym_parenthesized_expression] = STATE(6530),
    [sym_attribute] = STATE(2489),
    [sym_extension] = STATE(6530),
    [sym_quoted_extension] = STATE(6530),
    [sym__constant] = STATE(6530),
    [sym_number] = STATE(6305),
    [sym_character] = STATE(6305),
    [sym_string] = STATE(6305),
    [sym_quoted_string] = STATE(6305),
    [sym_boolean] = STATE(6305),
    [sym_unit] = STATE(6305),
    [sym__value_name] = STATE(6575),
    [sym_parenthesized_operator] = STATE(6317),
    [sym_value_path] = STATE(6530),
    [sym_module_path] = STATE(17972),
    [sym_constructor_path] = STATE(6530),
    [sym__constructor_name] = STATE(6318),
    [sym_tag] = STATE(6530),
    [aux_sym_class_application_repeat1] = STATE(2489),
    [sym__lowercase_identifier] = ACTIONS(5957),
    [anon_sym_TILDE] = ACTIONS(5960),
    [anon_sym_QMARK] = ACTIONS(5960),
    [anon_sym_LPAREN] = ACTIONS(5963),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(5966),
    [anon_sym_true] = ACTIONS(5969),
    [anon_sym_false] = ACTIONS(5969),
    [anon_sym_LBRACE] = ACTIONS(5972),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(5975),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5978),
    [anon_sym_then] = ACTIONS(3502),
    [anon_sym_else] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(5981),
    [anon_sym_LBRACE_LT] = ACTIONS(5984),
    [anon_sym_begin] = ACTIONS(5987),
    [sym_ocamlyacc_value] = ACTIONS(5990),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5996),
    [aux_sym_number_token1] = ACTIONS(5999),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(6002),
    [anon_sym_DQUOTE] = ACTIONS(6005),
    [sym_prefix_operator] = ACTIONS(6008),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(6011),
    [aux_sym_tag_token1] = ACTIONS(6014),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2490] = {
    [sym__simple_expression] = STATE(6161),
    [sym_typed_expression] = STATE(6572),
    [sym_list_expression] = STATE(6572),
    [sym_array_expression] = STATE(6572),
    [sym_record_expression] = STATE(6572),
    [sym_labeled_argument] = STATE(7361),
    [sym_prefix_expression] = STATE(6572),
    [sym_hash_expression] = STATE(6572),
    [sym_field_get_expression] = STATE(6572),
    [sym_array_get_expression] = STATE(6572),
    [sym_string_get_expression] = STATE(6572),
    [sym_bigarray_get_expression] = STATE(6572),
    [sym_coercion_expression] = STATE(6572),
    [sym_local_open_expression] = STATE(6572),
    [sym_package_expression] = STATE(6572),
    [sym_new_expression] = STATE(6572),
    [sym_object_copy_expression] = STATE(6572),
    [sym_method_invocation] = STATE(6572),
    [sym_object_expression] = STATE(6572),
    [sym_parenthesized_expression] = STATE(6572),
    [sym_attribute] = STATE(2490),
    [sym_extension] = STATE(6572),
    [sym_quoted_extension] = STATE(6572),
    [sym__constant] = STATE(6572),
    [sym_number] = STATE(6537),
    [sym_character] = STATE(6537),
    [sym_string] = STATE(6537),
    [sym_quoted_string] = STATE(6537),
    [sym_boolean] = STATE(6537),
    [sym_unit] = STATE(6537),
    [sym__value_name] = STATE(6110),
    [sym_parenthesized_operator] = STATE(6519),
    [sym_value_path] = STATE(6572),
    [sym_module_path] = STATE(18027),
    [sym_constructor_path] = STATE(6572),
    [sym__constructor_name] = STATE(6564),
    [sym_tag] = STATE(6572),
    [aux_sym_class_application_repeat1] = STATE(2490),
    [sym__lowercase_identifier] = ACTIONS(6017),
    [anon_sym_TILDE] = ACTIONS(6020),
    [anon_sym_QMARK] = ACTIONS(6020),
    [anon_sym_LPAREN] = ACTIONS(6023),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(6026),
    [anon_sym_true] = ACTIONS(6029),
    [anon_sym_false] = ACTIONS(6029),
    [anon_sym_LBRACE] = ACTIONS(6032),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(6035),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6038),
    [anon_sym_else] = ACTIONS(3502),
    [anon_sym_do] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(6041),
    [anon_sym_LBRACE_LT] = ACTIONS(6044),
    [anon_sym_begin] = ACTIONS(6047),
    [sym_ocamlyacc_value] = ACTIONS(6050),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6056),
    [aux_sym_number_token1] = ACTIONS(6059),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(6062),
    [anon_sym_DQUOTE] = ACTIONS(6065),
    [sym_prefix_operator] = ACTIONS(6068),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(6071),
    [aux_sym_tag_token1] = ACTIONS(6074),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2491] = {
    [sym__simple_expression] = STATE(6367),
    [sym_typed_expression] = STATE(6576),
    [sym_list_expression] = STATE(6576),
    [sym_array_expression] = STATE(6576),
    [sym_record_expression] = STATE(6576),
    [sym_labeled_argument] = STATE(7365),
    [sym_prefix_expression] = STATE(6576),
    [sym_hash_expression] = STATE(6576),
    [sym_field_get_expression] = STATE(6576),
    [sym_array_get_expression] = STATE(6576),
    [sym_string_get_expression] = STATE(6576),
    [sym_bigarray_get_expression] = STATE(6576),
    [sym_coercion_expression] = STATE(6576),
    [sym_local_open_expression] = STATE(6576),
    [sym_package_expression] = STATE(6576),
    [sym_new_expression] = STATE(6576),
    [sym_object_copy_expression] = STATE(6576),
    [sym_method_invocation] = STATE(6576),
    [sym_object_expression] = STATE(6576),
    [sym_parenthesized_expression] = STATE(6576),
    [sym_attribute] = STATE(2491),
    [sym_extension] = STATE(6576),
    [sym_quoted_extension] = STATE(6576),
    [sym__constant] = STATE(6576),
    [sym_number] = STATE(6245),
    [sym_character] = STATE(6245),
    [sym_string] = STATE(6245),
    [sym_quoted_string] = STATE(6245),
    [sym_boolean] = STATE(6245),
    [sym_unit] = STATE(6245),
    [sym__value_name] = STATE(6332),
    [sym_parenthesized_operator] = STATE(6157),
    [sym_value_path] = STATE(6576),
    [sym_module_path] = STATE(18116),
    [sym_constructor_path] = STATE(6576),
    [sym__constructor_name] = STATE(6248),
    [sym_tag] = STATE(6576),
    [aux_sym_class_application_repeat1] = STATE(2491),
    [sym__lowercase_identifier] = ACTIONS(6077),
    [anon_sym_TILDE] = ACTIONS(6080),
    [anon_sym_QMARK] = ACTIONS(6080),
    [anon_sym_LPAREN] = ACTIONS(6083),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(6086),
    [anon_sym_true] = ACTIONS(6089),
    [anon_sym_false] = ACTIONS(6089),
    [anon_sym_LBRACE] = ACTIONS(6092),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_with] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(6095),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6098),
    [anon_sym_else] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(6101),
    [anon_sym_LBRACE_LT] = ACTIONS(6104),
    [anon_sym_begin] = ACTIONS(6107),
    [sym_ocamlyacc_value] = ACTIONS(6110),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6116),
    [aux_sym_number_token1] = ACTIONS(6119),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(6122),
    [anon_sym_DQUOTE] = ACTIONS(6125),
    [sym_prefix_operator] = ACTIONS(6128),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(6131),
    [aux_sym_tag_token1] = ACTIONS(6134),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2492] = {
    [sym__simple_expression] = STATE(6474),
    [sym_typed_expression] = STATE(6316),
    [sym_list_expression] = STATE(6316),
    [sym_array_expression] = STATE(6316),
    [sym_record_expression] = STATE(6316),
    [sym_labeled_argument] = STATE(7367),
    [sym_prefix_expression] = STATE(6316),
    [sym_hash_expression] = STATE(6316),
    [sym_field_get_expression] = STATE(6316),
    [sym_array_get_expression] = STATE(6316),
    [sym_string_get_expression] = STATE(6316),
    [sym_bigarray_get_expression] = STATE(6316),
    [sym_coercion_expression] = STATE(6316),
    [sym_local_open_expression] = STATE(6316),
    [sym_package_expression] = STATE(6316),
    [sym_new_expression] = STATE(6316),
    [sym_object_copy_expression] = STATE(6316),
    [sym_method_invocation] = STATE(6316),
    [sym_object_expression] = STATE(6316),
    [sym_parenthesized_expression] = STATE(6316),
    [sym_attribute] = STATE(2492),
    [sym_extension] = STATE(6316),
    [sym_quoted_extension] = STATE(6316),
    [sym__constant] = STATE(6316),
    [sym_number] = STATE(6378),
    [sym_character] = STATE(6378),
    [sym_string] = STATE(6378),
    [sym_quoted_string] = STATE(6378),
    [sym_boolean] = STATE(6378),
    [sym_unit] = STATE(6378),
    [sym__value_name] = STATE(6465),
    [sym_parenthesized_operator] = STATE(6208),
    [sym_value_path] = STATE(6316),
    [sym_module_path] = STATE(18157),
    [sym_constructor_path] = STATE(6316),
    [sym__constructor_name] = STATE(6382),
    [sym_tag] = STATE(6316),
    [aux_sym_class_application_repeat1] = STATE(2492),
    [sym__lowercase_identifier] = ACTIONS(6137),
    [anon_sym_TILDE] = ACTIONS(6140),
    [anon_sym_QMARK] = ACTIONS(6140),
    [anon_sym_LPAREN] = ACTIONS(6143),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(6146),
    [anon_sym_true] = ACTIONS(6149),
    [anon_sym_false] = ACTIONS(6149),
    [anon_sym_LBRACE] = ACTIONS(6152),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_end] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(6155),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6158),
    [anon_sym_else] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(6161),
    [anon_sym_LBRACE_LT] = ACTIONS(6164),
    [anon_sym_begin] = ACTIONS(6167),
    [sym_ocamlyacc_value] = ACTIONS(6170),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6173),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6176),
    [aux_sym_number_token1] = ACTIONS(6179),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(6182),
    [anon_sym_DQUOTE] = ACTIONS(6185),
    [sym_prefix_operator] = ACTIONS(6188),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(6191),
    [aux_sym_tag_token1] = ACTIONS(6194),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2493] = {
    [sym__simple_expression] = STATE(6109),
    [sym_typed_expression] = STATE(6494),
    [sym_list_expression] = STATE(6494),
    [sym_array_expression] = STATE(6494),
    [sym_record_expression] = STATE(6494),
    [sym_labeled_argument] = STATE(7440),
    [sym_prefix_expression] = STATE(6494),
    [sym_hash_expression] = STATE(6494),
    [sym_field_get_expression] = STATE(6494),
    [sym_array_get_expression] = STATE(6494),
    [sym_string_get_expression] = STATE(6494),
    [sym_bigarray_get_expression] = STATE(6494),
    [sym_coercion_expression] = STATE(6494),
    [sym_local_open_expression] = STATE(6494),
    [sym_package_expression] = STATE(6494),
    [sym_new_expression] = STATE(6494),
    [sym_object_copy_expression] = STATE(6494),
    [sym_method_invocation] = STATE(6494),
    [sym_object_expression] = STATE(6494),
    [sym_parenthesized_expression] = STATE(6494),
    [sym_attribute] = STATE(2493),
    [sym_extension] = STATE(6494),
    [sym_quoted_extension] = STATE(6494),
    [sym__constant] = STATE(6494),
    [sym_number] = STATE(6268),
    [sym_character] = STATE(6268),
    [sym_string] = STATE(6268),
    [sym_quoted_string] = STATE(6268),
    [sym_boolean] = STATE(6268),
    [sym_unit] = STATE(6268),
    [sym__value_name] = STATE(6309),
    [sym_parenthesized_operator] = STATE(6467),
    [sym_value_path] = STATE(6494),
    [sym_module_path] = STATE(18603),
    [sym_constructor_path] = STATE(6494),
    [sym__constructor_name] = STATE(6269),
    [sym_tag] = STATE(6494),
    [aux_sym_class_application_repeat1] = STATE(2482),
    [sym__lowercase_identifier] = ACTIONS(5243),
    [anon_sym_TILDE] = ACTIONS(5245),
    [anon_sym_QMARK] = ACTIONS(5245),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2043),
    [anon_sym_false] = ACTIONS(2043),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(3443),
    [anon_sym_object] = ACTIONS(2047),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2051),
    [anon_sym_else] = ACTIONS(3445),
    [anon_sym_done] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_LBRACE_LT] = ACTIONS(2063),
    [anon_sym_begin] = ACTIONS(2065),
    [sym_ocamlyacc_value] = ACTIONS(2067),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2071),
    [aux_sym_number_token1] = ACTIONS(2073),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2077),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(2083),
    [aux_sym_tag_token1] = ACTIONS(2085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2494] = {
    [sym__simple_expression] = STATE(7007),
    [sym_typed_expression] = STATE(6941),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_labeled_argument] = STATE(7616),
    [sym_prefix_expression] = STATE(6941),
    [sym_hash_expression] = STATE(6941),
    [sym_field_get_expression] = STATE(6941),
    [sym_array_get_expression] = STATE(6941),
    [sym_string_get_expression] = STATE(6941),
    [sym_bigarray_get_expression] = STATE(6941),
    [sym_coercion_expression] = STATE(6941),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(2494),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [aux_sym_class_application_repeat1] = STATE(2494),
    [sym__lowercase_identifier] = ACTIONS(6197),
    [anon_sym_TILDE] = ACTIONS(6200),
    [anon_sym_QMARK] = ACTIONS(6200),
    [anon_sym_LPAREN] = ACTIONS(6203),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(6206),
    [anon_sym_true] = ACTIONS(6209),
    [anon_sym_false] = ACTIONS(6209),
    [anon_sym_LBRACE] = ACTIONS(6212),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(6215),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6218),
    [anon_sym_done] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(6221),
    [anon_sym_LBRACE_LT] = ACTIONS(6224),
    [anon_sym_begin] = ACTIONS(6227),
    [sym_ocamlyacc_value] = ACTIONS(6230),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6233),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6236),
    [aux_sym_number_token1] = ACTIONS(6239),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(6242),
    [anon_sym_DQUOTE] = ACTIONS(6245),
    [sym_prefix_operator] = ACTIONS(6248),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(6251),
    [aux_sym_tag_token1] = ACTIONS(6254),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2495] = {
    [sym__simple_expression] = STATE(6755),
    [sym_typed_expression] = STATE(6935),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_labeled_argument] = STATE(7596),
    [sym_prefix_expression] = STATE(6935),
    [sym_hash_expression] = STATE(6935),
    [sym_field_get_expression] = STATE(6935),
    [sym_array_get_expression] = STATE(6935),
    [sym_string_get_expression] = STATE(6935),
    [sym_bigarray_get_expression] = STATE(6935),
    [sym_coercion_expression] = STATE(6935),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(2495),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [aux_sym_class_application_repeat1] = STATE(2495),
    [sym__lowercase_identifier] = ACTIONS(6257),
    [anon_sym_TILDE] = ACTIONS(6260),
    [anon_sym_QMARK] = ACTIONS(6260),
    [anon_sym_LPAREN] = ACTIONS(6263),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(6266),
    [anon_sym_true] = ACTIONS(6269),
    [anon_sym_false] = ACTIONS(6269),
    [anon_sym_LBRACE] = ACTIONS(6272),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_with] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(6275),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6278),
    [anon_sym_new] = ACTIONS(6281),
    [anon_sym_LBRACE_LT] = ACTIONS(6284),
    [anon_sym_begin] = ACTIONS(6287),
    [sym_ocamlyacc_value] = ACTIONS(6290),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6293),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6296),
    [aux_sym_number_token1] = ACTIONS(6299),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(6302),
    [anon_sym_DQUOTE] = ACTIONS(6305),
    [sym_prefix_operator] = ACTIONS(6308),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(6311),
    [aux_sym_tag_token1] = ACTIONS(6314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2496] = {
    [sym__simple_expression] = STATE(7034),
    [sym_typed_expression] = STATE(6887),
    [sym_list_expression] = STATE(6887),
    [sym_array_expression] = STATE(6887),
    [sym_record_expression] = STATE(6887),
    [sym_labeled_argument] = STATE(7640),
    [sym_prefix_expression] = STATE(6887),
    [sym_hash_expression] = STATE(6887),
    [sym_field_get_expression] = STATE(6887),
    [sym_array_get_expression] = STATE(6887),
    [sym_string_get_expression] = STATE(6887),
    [sym_bigarray_get_expression] = STATE(6887),
    [sym_coercion_expression] = STATE(6887),
    [sym_local_open_expression] = STATE(6887),
    [sym_package_expression] = STATE(6887),
    [sym_new_expression] = STATE(6887),
    [sym_object_copy_expression] = STATE(6887),
    [sym_method_invocation] = STATE(6887),
    [sym_object_expression] = STATE(6887),
    [sym_parenthesized_expression] = STATE(6887),
    [sym_attribute] = STATE(2496),
    [sym_extension] = STATE(6887),
    [sym_quoted_extension] = STATE(6887),
    [sym__constant] = STATE(6887),
    [sym_number] = STATE(6970),
    [sym_character] = STATE(6970),
    [sym_string] = STATE(6970),
    [sym_quoted_string] = STATE(6970),
    [sym_boolean] = STATE(6970),
    [sym_unit] = STATE(6970),
    [sym__value_name] = STATE(6976),
    [sym_parenthesized_operator] = STATE(6801),
    [sym_value_path] = STATE(6887),
    [sym_module_path] = STATE(18280),
    [sym_constructor_path] = STATE(6887),
    [sym__constructor_name] = STATE(6977),
    [sym_tag] = STATE(6887),
    [aux_sym_class_application_repeat1] = STATE(2502),
    [sym__lowercase_identifier] = ACTIONS(6317),
    [anon_sym_SEMI_SEMI] = ACTIONS(5547),
    [anon_sym_and] = ACTIONS(5549),
    [anon_sym_TILDE] = ACTIONS(6319),
    [anon_sym_QMARK] = ACTIONS(6319),
    [anon_sym_LPAREN] = ACTIONS(6321),
    [anon_sym_external] = ACTIONS(5549),
    [anon_sym_type] = ACTIONS(5549),
    [anon_sym_LBRACK] = ACTIONS(6323),
    [anon_sym_RBRACK] = ACTIONS(5547),
    [anon_sym_true] = ACTIONS(6325),
    [anon_sym_false] = ACTIONS(6325),
    [anon_sym_LBRACE] = ACTIONS(6327),
    [anon_sym_exception] = ACTIONS(5549),
    [anon_sym_module] = ACTIONS(5549),
    [anon_sym_open] = ACTIONS(5549),
    [anon_sym_include] = ACTIONS(5549),
    [anon_sym_class] = ACTIONS(5549),
    [anon_sym_val] = ACTIONS(5549),
    [anon_sym_object] = ACTIONS(6329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6331),
    [anon_sym_new] = ACTIONS(6333),
    [anon_sym_LBRACE_LT] = ACTIONS(6335),
    [anon_sym_begin] = ACTIONS(6337),
    [sym_ocamlyacc_value] = ACTIONS(6339),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5549),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5547),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6341),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6343),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5547),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5547),
    [aux_sym_number_token1] = ACTIONS(6345),
    [anon_sym_SQUOTE] = ACTIONS(6347),
    [anon_sym_DQUOTE] = ACTIONS(6349),
    [sym_prefix_operator] = ACTIONS(6351),
    [sym__uppercase_identifier] = ACTIONS(6353),
    [aux_sym_tag_token1] = ACTIONS(6355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2497] = {
    [sym__simple_expression] = STATE(7034),
    [sym_typed_expression] = STATE(6887),
    [sym_list_expression] = STATE(6887),
    [sym_array_expression] = STATE(6887),
    [sym_record_expression] = STATE(6887),
    [sym_labeled_argument] = STATE(7640),
    [sym_prefix_expression] = STATE(6887),
    [sym_hash_expression] = STATE(6887),
    [sym_field_get_expression] = STATE(6887),
    [sym_array_get_expression] = STATE(6887),
    [sym_string_get_expression] = STATE(6887),
    [sym_bigarray_get_expression] = STATE(6887),
    [sym_coercion_expression] = STATE(6887),
    [sym_local_open_expression] = STATE(6887),
    [sym_package_expression] = STATE(6887),
    [sym_new_expression] = STATE(6887),
    [sym_object_copy_expression] = STATE(6887),
    [sym_method_invocation] = STATE(6887),
    [sym_object_expression] = STATE(6887),
    [sym_parenthesized_expression] = STATE(6887),
    [sym_attribute] = STATE(2497),
    [sym_extension] = STATE(6887),
    [sym_quoted_extension] = STATE(6887),
    [sym__constant] = STATE(6887),
    [sym_number] = STATE(6970),
    [sym_character] = STATE(6970),
    [sym_string] = STATE(6970),
    [sym_quoted_string] = STATE(6970),
    [sym_boolean] = STATE(6970),
    [sym_unit] = STATE(6970),
    [sym__value_name] = STATE(6976),
    [sym_parenthesized_operator] = STATE(6801),
    [sym_value_path] = STATE(6887),
    [sym_module_path] = STATE(18280),
    [sym_constructor_path] = STATE(6887),
    [sym__constructor_name] = STATE(6977),
    [sym_tag] = STATE(6887),
    [aux_sym_class_application_repeat1] = STATE(2497),
    [sym__lowercase_identifier] = ACTIONS(6357),
    [anon_sym_SEMI_SEMI] = ACTIONS(3500),
    [anon_sym_and] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(6360),
    [anon_sym_QMARK] = ACTIONS(6360),
    [anon_sym_LPAREN] = ACTIONS(6363),
    [anon_sym_external] = ACTIONS(3502),
    [anon_sym_type] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(6366),
    [anon_sym_RBRACK] = ACTIONS(3500),
    [anon_sym_true] = ACTIONS(6369),
    [anon_sym_false] = ACTIONS(6369),
    [anon_sym_LBRACE] = ACTIONS(6372),
    [anon_sym_exception] = ACTIONS(3502),
    [anon_sym_module] = ACTIONS(3502),
    [anon_sym_open] = ACTIONS(3502),
    [anon_sym_include] = ACTIONS(3502),
    [anon_sym_class] = ACTIONS(3502),
    [anon_sym_val] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(6375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6378),
    [anon_sym_new] = ACTIONS(6381),
    [anon_sym_LBRACE_LT] = ACTIONS(6384),
    [anon_sym_begin] = ACTIONS(6387),
    [sym_ocamlyacc_value] = ACTIONS(6390),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3502),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3500),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6393),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6396),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3500),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3500),
    [aux_sym_number_token1] = ACTIONS(6399),
    [anon_sym_SQUOTE] = ACTIONS(6402),
    [anon_sym_DQUOTE] = ACTIONS(6405),
    [sym_prefix_operator] = ACTIONS(6408),
    [sym__uppercase_identifier] = ACTIONS(6411),
    [aux_sym_tag_token1] = ACTIONS(6414),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2498] = {
    [sym__simple_expression] = STATE(7007),
    [sym_typed_expression] = STATE(6941),
    [sym_list_expression] = STATE(6941),
    [sym_array_expression] = STATE(6941),
    [sym_record_expression] = STATE(6941),
    [sym_labeled_argument] = STATE(7616),
    [sym_prefix_expression] = STATE(6941),
    [sym_hash_expression] = STATE(6941),
    [sym_field_get_expression] = STATE(6941),
    [sym_array_get_expression] = STATE(6941),
    [sym_string_get_expression] = STATE(6941),
    [sym_bigarray_get_expression] = STATE(6941),
    [sym_coercion_expression] = STATE(6941),
    [sym_local_open_expression] = STATE(6941),
    [sym_package_expression] = STATE(6941),
    [sym_new_expression] = STATE(6941),
    [sym_object_copy_expression] = STATE(6941),
    [sym_method_invocation] = STATE(6941),
    [sym_object_expression] = STATE(6941),
    [sym_parenthesized_expression] = STATE(6941),
    [sym_attribute] = STATE(2498),
    [sym_extension] = STATE(6941),
    [sym_quoted_extension] = STATE(6941),
    [sym__constant] = STATE(6941),
    [sym_number] = STATE(6751),
    [sym_character] = STATE(6751),
    [sym_string] = STATE(6751),
    [sym_quoted_string] = STATE(6751),
    [sym_boolean] = STATE(6751),
    [sym_unit] = STATE(6751),
    [sym__value_name] = STATE(6774),
    [sym_parenthesized_operator] = STATE(6894),
    [sym_value_path] = STATE(6941),
    [sym_module_path] = STATE(17588),
    [sym_constructor_path] = STATE(6941),
    [sym__constructor_name] = STATE(6963),
    [sym_tag] = STATE(6941),
    [aux_sym_class_application_repeat1] = STATE(2494),
    [sym__lowercase_identifier] = ACTIONS(5433),
    [anon_sym_TILDE] = ACTIONS(5435),
    [anon_sym_QMARK] = ACTIONS(5435),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2843),
    [anon_sym_false] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(3443),
    [anon_sym_object] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2851),
    [anon_sym_done] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_LBRACE_LT] = ACTIONS(2863),
    [anon_sym_begin] = ACTIONS(2865),
    [sym_ocamlyacc_value] = ACTIONS(2867),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2869),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2871),
    [aux_sym_number_token1] = ACTIONS(2873),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_prefix_operator] = ACTIONS(2879),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(2883),
    [aux_sym_tag_token1] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2499] = {
    [sym__simple_expression] = STATE(6644),
    [sym_typed_expression] = STATE(6940),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_labeled_argument] = STATE(7613),
    [sym_prefix_expression] = STATE(6940),
    [sym_hash_expression] = STATE(6940),
    [sym_field_get_expression] = STATE(6940),
    [sym_array_get_expression] = STATE(6940),
    [sym_string_get_expression] = STATE(6940),
    [sym_bigarray_get_expression] = STATE(6940),
    [sym_coercion_expression] = STATE(6940),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(2499),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [aux_sym_class_application_repeat1] = STATE(2499),
    [sym__lowercase_identifier] = ACTIONS(6417),
    [anon_sym_TILDE] = ACTIONS(6420),
    [anon_sym_QMARK] = ACTIONS(6420),
    [anon_sym_LPAREN] = ACTIONS(6423),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(6426),
    [anon_sym_true] = ACTIONS(6429),
    [anon_sym_false] = ACTIONS(6429),
    [anon_sym_LBRACE] = ACTIONS(6432),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(6435),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6438),
    [anon_sym_do] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(6441),
    [anon_sym_LBRACE_LT] = ACTIONS(6444),
    [anon_sym_begin] = ACTIONS(6447),
    [sym_ocamlyacc_value] = ACTIONS(6450),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6453),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6456),
    [aux_sym_number_token1] = ACTIONS(6459),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(6462),
    [anon_sym_DQUOTE] = ACTIONS(6465),
    [sym_prefix_operator] = ACTIONS(6468),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(6471),
    [aux_sym_tag_token1] = ACTIONS(6474),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2500] = {
    [sym__simple_expression] = STATE(6647),
    [sym_typed_expression] = STATE(6827),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_labeled_argument] = STATE(7621),
    [sym_prefix_expression] = STATE(6827),
    [sym_hash_expression] = STATE(6827),
    [sym_field_get_expression] = STATE(6827),
    [sym_array_get_expression] = STATE(6827),
    [sym_string_get_expression] = STATE(6827),
    [sym_bigarray_get_expression] = STATE(6827),
    [sym_coercion_expression] = STATE(6827),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(2500),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [aux_sym_class_application_repeat1] = STATE(2500),
    [sym__lowercase_identifier] = ACTIONS(6477),
    [anon_sym_TILDE] = ACTIONS(6480),
    [anon_sym_QMARK] = ACTIONS(6480),
    [anon_sym_LPAREN] = ACTIONS(6483),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(6486),
    [anon_sym_true] = ACTIONS(6489),
    [anon_sym_false] = ACTIONS(6489),
    [anon_sym_LBRACE] = ACTIONS(6492),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_end] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(6495),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6498),
    [anon_sym_new] = ACTIONS(6501),
    [anon_sym_LBRACE_LT] = ACTIONS(6504),
    [anon_sym_begin] = ACTIONS(6507),
    [sym_ocamlyacc_value] = ACTIONS(6510),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6513),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6516),
    [aux_sym_number_token1] = ACTIONS(6519),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(6522),
    [anon_sym_DQUOTE] = ACTIONS(6525),
    [sym_prefix_operator] = ACTIONS(6528),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(6531),
    [aux_sym_tag_token1] = ACTIONS(6534),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2501] = {
    [sym__simple_expression] = STATE(6755),
    [sym_typed_expression] = STATE(6935),
    [sym_list_expression] = STATE(6935),
    [sym_array_expression] = STATE(6935),
    [sym_record_expression] = STATE(6935),
    [sym_labeled_argument] = STATE(7596),
    [sym_prefix_expression] = STATE(6935),
    [sym_hash_expression] = STATE(6935),
    [sym_field_get_expression] = STATE(6935),
    [sym_array_get_expression] = STATE(6935),
    [sym_string_get_expression] = STATE(6935),
    [sym_bigarray_get_expression] = STATE(6935),
    [sym_coercion_expression] = STATE(6935),
    [sym_local_open_expression] = STATE(6935),
    [sym_package_expression] = STATE(6935),
    [sym_new_expression] = STATE(6935),
    [sym_object_copy_expression] = STATE(6935),
    [sym_method_invocation] = STATE(6935),
    [sym_object_expression] = STATE(6935),
    [sym_parenthesized_expression] = STATE(6935),
    [sym_attribute] = STATE(2501),
    [sym_extension] = STATE(6935),
    [sym_quoted_extension] = STATE(6935),
    [sym__constant] = STATE(6935),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym__value_name] = STATE(6950),
    [sym_parenthesized_operator] = STATE(6929),
    [sym_value_path] = STATE(6935),
    [sym_module_path] = STATE(19202),
    [sym_constructor_path] = STATE(6935),
    [sym__constructor_name] = STATE(7141),
    [sym_tag] = STATE(6935),
    [aux_sym_class_application_repeat1] = STATE(2495),
    [sym__lowercase_identifier] = ACTIONS(5423),
    [anon_sym_TILDE] = ACTIONS(5425),
    [anon_sym_QMARK] = ACTIONS(5425),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [anon_sym_true] = ACTIONS(2725),
    [anon_sym_false] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_SEMI] = ACTIONS(3443),
    [anon_sym_with] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2733),
    [anon_sym_new] = ACTIONS(2743),
    [anon_sym_LBRACE_LT] = ACTIONS(2745),
    [anon_sym_begin] = ACTIONS(2747),
    [sym_ocamlyacc_value] = ACTIONS(2749),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2753),
    [aux_sym_number_token1] = ACTIONS(2755),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(2765),
    [aux_sym_tag_token1] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2502] = {
    [sym__simple_expression] = STATE(7034),
    [sym_typed_expression] = STATE(6887),
    [sym_list_expression] = STATE(6887),
    [sym_array_expression] = STATE(6887),
    [sym_record_expression] = STATE(6887),
    [sym_labeled_argument] = STATE(7640),
    [sym_prefix_expression] = STATE(6887),
    [sym_hash_expression] = STATE(6887),
    [sym_field_get_expression] = STATE(6887),
    [sym_array_get_expression] = STATE(6887),
    [sym_string_get_expression] = STATE(6887),
    [sym_bigarray_get_expression] = STATE(6887),
    [sym_coercion_expression] = STATE(6887),
    [sym_local_open_expression] = STATE(6887),
    [sym_package_expression] = STATE(6887),
    [sym_new_expression] = STATE(6887),
    [sym_object_copy_expression] = STATE(6887),
    [sym_method_invocation] = STATE(6887),
    [sym_object_expression] = STATE(6887),
    [sym_parenthesized_expression] = STATE(6887),
    [sym_attribute] = STATE(2502),
    [sym_extension] = STATE(6887),
    [sym_quoted_extension] = STATE(6887),
    [sym__constant] = STATE(6887),
    [sym_number] = STATE(6970),
    [sym_character] = STATE(6970),
    [sym_string] = STATE(6970),
    [sym_quoted_string] = STATE(6970),
    [sym_boolean] = STATE(6970),
    [sym_unit] = STATE(6970),
    [sym__value_name] = STATE(6976),
    [sym_parenthesized_operator] = STATE(6801),
    [sym_value_path] = STATE(6887),
    [sym_module_path] = STATE(18280),
    [sym_constructor_path] = STATE(6887),
    [sym__constructor_name] = STATE(6977),
    [sym_tag] = STATE(6887),
    [aux_sym_class_application_repeat1] = STATE(2497),
    [sym__lowercase_identifier] = ACTIONS(6317),
    [anon_sym_SEMI_SEMI] = ACTIONS(5589),
    [anon_sym_and] = ACTIONS(5591),
    [anon_sym_TILDE] = ACTIONS(6319),
    [anon_sym_QMARK] = ACTIONS(6319),
    [anon_sym_LPAREN] = ACTIONS(6321),
    [anon_sym_external] = ACTIONS(5591),
    [anon_sym_type] = ACTIONS(5591),
    [anon_sym_LBRACK] = ACTIONS(6323),
    [anon_sym_RBRACK] = ACTIONS(5589),
    [anon_sym_true] = ACTIONS(6325),
    [anon_sym_false] = ACTIONS(6325),
    [anon_sym_LBRACE] = ACTIONS(6327),
    [anon_sym_exception] = ACTIONS(5591),
    [anon_sym_module] = ACTIONS(5591),
    [anon_sym_open] = ACTIONS(5591),
    [anon_sym_include] = ACTIONS(5591),
    [anon_sym_class] = ACTIONS(5591),
    [anon_sym_val] = ACTIONS(5591),
    [anon_sym_object] = ACTIONS(6329),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6331),
    [anon_sym_new] = ACTIONS(6333),
    [anon_sym_LBRACE_LT] = ACTIONS(6335),
    [anon_sym_begin] = ACTIONS(6337),
    [sym_ocamlyacc_value] = ACTIONS(6339),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6341),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6343),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5589),
    [aux_sym_number_token1] = ACTIONS(6345),
    [anon_sym_SQUOTE] = ACTIONS(6347),
    [anon_sym_DQUOTE] = ACTIONS(6349),
    [sym_prefix_operator] = ACTIONS(6351),
    [sym__uppercase_identifier] = ACTIONS(6353),
    [aux_sym_tag_token1] = ACTIONS(6355),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2503] = {
    [sym__simple_expression] = STATE(6644),
    [sym_typed_expression] = STATE(6940),
    [sym_list_expression] = STATE(6940),
    [sym_array_expression] = STATE(6940),
    [sym_record_expression] = STATE(6940),
    [sym_labeled_argument] = STATE(7613),
    [sym_prefix_expression] = STATE(6940),
    [sym_hash_expression] = STATE(6940),
    [sym_field_get_expression] = STATE(6940),
    [sym_array_get_expression] = STATE(6940),
    [sym_string_get_expression] = STATE(6940),
    [sym_bigarray_get_expression] = STATE(6940),
    [sym_coercion_expression] = STATE(6940),
    [sym_local_open_expression] = STATE(6940),
    [sym_package_expression] = STATE(6940),
    [sym_new_expression] = STATE(6940),
    [sym_object_copy_expression] = STATE(6940),
    [sym_method_invocation] = STATE(6940),
    [sym_object_expression] = STATE(6940),
    [sym_parenthesized_expression] = STATE(6940),
    [sym_attribute] = STATE(2503),
    [sym_extension] = STATE(6940),
    [sym_quoted_extension] = STATE(6940),
    [sym__constant] = STATE(6940),
    [sym_number] = STATE(6909),
    [sym_character] = STATE(6909),
    [sym_string] = STATE(6909),
    [sym_quoted_string] = STATE(6909),
    [sym_boolean] = STATE(6909),
    [sym_unit] = STATE(6909),
    [sym__value_name] = STATE(6711),
    [sym_parenthesized_operator] = STATE(6951),
    [sym_value_path] = STATE(6940),
    [sym_module_path] = STATE(19761),
    [sym_constructor_path] = STATE(6940),
    [sym__constructor_name] = STATE(7136),
    [sym_tag] = STATE(6940),
    [aux_sym_class_application_repeat1] = STATE(2499),
    [sym__lowercase_identifier] = ACTIONS(5523),
    [anon_sym_TILDE] = ACTIONS(5525),
    [anon_sym_QMARK] = ACTIONS(5525),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [anon_sym_true] = ACTIONS(2673),
    [anon_sym_false] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_SEMI] = ACTIONS(3443),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2681),
    [anon_sym_do] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(2691),
    [anon_sym_LBRACE_LT] = ACTIONS(2693),
    [anon_sym_begin] = ACTIONS(2695),
    [sym_ocamlyacc_value] = ACTIONS(2697),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2701),
    [aux_sym_number_token1] = ACTIONS(2703),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(2705),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [sym_prefix_operator] = ACTIONS(2709),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(2713),
    [aux_sym_tag_token1] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2504] = {
    [sym__simple_expression] = STATE(7045),
    [sym_typed_expression] = STATE(7126),
    [sym_list_expression] = STATE(7126),
    [sym_array_expression] = STATE(7126),
    [sym_record_expression] = STATE(7126),
    [sym_labeled_argument] = STATE(7600),
    [sym_prefix_expression] = STATE(7126),
    [sym_hash_expression] = STATE(7126),
    [sym_field_get_expression] = STATE(7126),
    [sym_array_get_expression] = STATE(7126),
    [sym_string_get_expression] = STATE(7126),
    [sym_bigarray_get_expression] = STATE(7126),
    [sym_coercion_expression] = STATE(7126),
    [sym_local_open_expression] = STATE(7126),
    [sym_package_expression] = STATE(7126),
    [sym_new_expression] = STATE(7126),
    [sym_object_copy_expression] = STATE(7126),
    [sym_method_invocation] = STATE(7126),
    [sym_object_expression] = STATE(7126),
    [sym_parenthesized_expression] = STATE(7126),
    [sym_attribute] = STATE(2504),
    [sym_extension] = STATE(7126),
    [sym_quoted_extension] = STATE(7126),
    [sym__constant] = STATE(7126),
    [sym_number] = STATE(6710),
    [sym_character] = STATE(6710),
    [sym_string] = STATE(6710),
    [sym_quoted_string] = STATE(6710),
    [sym_boolean] = STATE(6710),
    [sym_unit] = STATE(6710),
    [sym__value_name] = STATE(6799),
    [sym_parenthesized_operator] = STATE(6882),
    [sym_value_path] = STATE(7126),
    [sym_module_path] = STATE(18444),
    [sym_constructor_path] = STATE(7126),
    [sym__constructor_name] = STATE(6714),
    [sym_tag] = STATE(7126),
    [aux_sym_class_application_repeat1] = STATE(2506),
    [sym__lowercase_identifier] = ACTIONS(6537),
    [anon_sym_SEMI_SEMI] = ACTIONS(5547),
    [anon_sym_and] = ACTIONS(5549),
    [anon_sym_TILDE] = ACTIONS(6539),
    [anon_sym_QMARK] = ACTIONS(6539),
    [anon_sym_LPAREN] = ACTIONS(6541),
    [anon_sym_external] = ACTIONS(5549),
    [anon_sym_type] = ACTIONS(5549),
    [anon_sym_LBRACK] = ACTIONS(6543),
    [anon_sym_true] = ACTIONS(6545),
    [anon_sym_false] = ACTIONS(6545),
    [anon_sym_LBRACE] = ACTIONS(6547),
    [anon_sym_exception] = ACTIONS(5549),
    [anon_sym_module] = ACTIONS(5549),
    [anon_sym_open] = ACTIONS(5549),
    [anon_sym_include] = ACTIONS(5549),
    [anon_sym_class] = ACTIONS(5549),
    [anon_sym_val] = ACTIONS(5549),
    [anon_sym_end] = ACTIONS(5549),
    [anon_sym_object] = ACTIONS(6549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6551),
    [anon_sym_new] = ACTIONS(6553),
    [anon_sym_LBRACE_LT] = ACTIONS(6555),
    [anon_sym_begin] = ACTIONS(6557),
    [sym_ocamlyacc_value] = ACTIONS(6559),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5549),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5547),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6563),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5547),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5547),
    [aux_sym_number_token1] = ACTIONS(6565),
    [anon_sym_SQUOTE] = ACTIONS(6567),
    [anon_sym_DQUOTE] = ACTIONS(6569),
    [sym_prefix_operator] = ACTIONS(6571),
    [sym__uppercase_identifier] = ACTIONS(6573),
    [aux_sym_tag_token1] = ACTIONS(6575),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2505] = {
    [sym__simple_expression] = STATE(7045),
    [sym_typed_expression] = STATE(7126),
    [sym_list_expression] = STATE(7126),
    [sym_array_expression] = STATE(7126),
    [sym_record_expression] = STATE(7126),
    [sym_labeled_argument] = STATE(7600),
    [sym_prefix_expression] = STATE(7126),
    [sym_hash_expression] = STATE(7126),
    [sym_field_get_expression] = STATE(7126),
    [sym_array_get_expression] = STATE(7126),
    [sym_string_get_expression] = STATE(7126),
    [sym_bigarray_get_expression] = STATE(7126),
    [sym_coercion_expression] = STATE(7126),
    [sym_local_open_expression] = STATE(7126),
    [sym_package_expression] = STATE(7126),
    [sym_new_expression] = STATE(7126),
    [sym_object_copy_expression] = STATE(7126),
    [sym_method_invocation] = STATE(7126),
    [sym_object_expression] = STATE(7126),
    [sym_parenthesized_expression] = STATE(7126),
    [sym_attribute] = STATE(2505),
    [sym_extension] = STATE(7126),
    [sym_quoted_extension] = STATE(7126),
    [sym__constant] = STATE(7126),
    [sym_number] = STATE(6710),
    [sym_character] = STATE(6710),
    [sym_string] = STATE(6710),
    [sym_quoted_string] = STATE(6710),
    [sym_boolean] = STATE(6710),
    [sym_unit] = STATE(6710),
    [sym__value_name] = STATE(6799),
    [sym_parenthesized_operator] = STATE(6882),
    [sym_value_path] = STATE(7126),
    [sym_module_path] = STATE(18444),
    [sym_constructor_path] = STATE(7126),
    [sym__constructor_name] = STATE(6714),
    [sym_tag] = STATE(7126),
    [aux_sym_class_application_repeat1] = STATE(2505),
    [sym__lowercase_identifier] = ACTIONS(6577),
    [anon_sym_SEMI_SEMI] = ACTIONS(3500),
    [anon_sym_and] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(6580),
    [anon_sym_QMARK] = ACTIONS(6580),
    [anon_sym_LPAREN] = ACTIONS(6583),
    [anon_sym_external] = ACTIONS(3502),
    [anon_sym_type] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(6586),
    [anon_sym_true] = ACTIONS(6589),
    [anon_sym_false] = ACTIONS(6589),
    [anon_sym_LBRACE] = ACTIONS(6592),
    [anon_sym_exception] = ACTIONS(3502),
    [anon_sym_module] = ACTIONS(3502),
    [anon_sym_open] = ACTIONS(3502),
    [anon_sym_include] = ACTIONS(3502),
    [anon_sym_class] = ACTIONS(3502),
    [anon_sym_val] = ACTIONS(3502),
    [anon_sym_end] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(6595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6598),
    [anon_sym_new] = ACTIONS(6601),
    [anon_sym_LBRACE_LT] = ACTIONS(6604),
    [anon_sym_begin] = ACTIONS(6607),
    [sym_ocamlyacc_value] = ACTIONS(6610),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3502),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3500),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6613),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6616),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3500),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3500),
    [aux_sym_number_token1] = ACTIONS(6619),
    [anon_sym_SQUOTE] = ACTIONS(6622),
    [anon_sym_DQUOTE] = ACTIONS(6625),
    [sym_prefix_operator] = ACTIONS(6628),
    [sym__uppercase_identifier] = ACTIONS(6631),
    [aux_sym_tag_token1] = ACTIONS(6634),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2506] = {
    [sym__simple_expression] = STATE(7045),
    [sym_typed_expression] = STATE(7126),
    [sym_list_expression] = STATE(7126),
    [sym_array_expression] = STATE(7126),
    [sym_record_expression] = STATE(7126),
    [sym_labeled_argument] = STATE(7600),
    [sym_prefix_expression] = STATE(7126),
    [sym_hash_expression] = STATE(7126),
    [sym_field_get_expression] = STATE(7126),
    [sym_array_get_expression] = STATE(7126),
    [sym_string_get_expression] = STATE(7126),
    [sym_bigarray_get_expression] = STATE(7126),
    [sym_coercion_expression] = STATE(7126),
    [sym_local_open_expression] = STATE(7126),
    [sym_package_expression] = STATE(7126),
    [sym_new_expression] = STATE(7126),
    [sym_object_copy_expression] = STATE(7126),
    [sym_method_invocation] = STATE(7126),
    [sym_object_expression] = STATE(7126),
    [sym_parenthesized_expression] = STATE(7126),
    [sym_attribute] = STATE(2506),
    [sym_extension] = STATE(7126),
    [sym_quoted_extension] = STATE(7126),
    [sym__constant] = STATE(7126),
    [sym_number] = STATE(6710),
    [sym_character] = STATE(6710),
    [sym_string] = STATE(6710),
    [sym_quoted_string] = STATE(6710),
    [sym_boolean] = STATE(6710),
    [sym_unit] = STATE(6710),
    [sym__value_name] = STATE(6799),
    [sym_parenthesized_operator] = STATE(6882),
    [sym_value_path] = STATE(7126),
    [sym_module_path] = STATE(18444),
    [sym_constructor_path] = STATE(7126),
    [sym__constructor_name] = STATE(6714),
    [sym_tag] = STATE(7126),
    [aux_sym_class_application_repeat1] = STATE(2505),
    [sym__lowercase_identifier] = ACTIONS(6537),
    [anon_sym_SEMI_SEMI] = ACTIONS(5589),
    [anon_sym_and] = ACTIONS(5591),
    [anon_sym_TILDE] = ACTIONS(6539),
    [anon_sym_QMARK] = ACTIONS(6539),
    [anon_sym_LPAREN] = ACTIONS(6541),
    [anon_sym_external] = ACTIONS(5591),
    [anon_sym_type] = ACTIONS(5591),
    [anon_sym_LBRACK] = ACTIONS(6543),
    [anon_sym_true] = ACTIONS(6545),
    [anon_sym_false] = ACTIONS(6545),
    [anon_sym_LBRACE] = ACTIONS(6547),
    [anon_sym_exception] = ACTIONS(5591),
    [anon_sym_module] = ACTIONS(5591),
    [anon_sym_open] = ACTIONS(5591),
    [anon_sym_include] = ACTIONS(5591),
    [anon_sym_class] = ACTIONS(5591),
    [anon_sym_val] = ACTIONS(5591),
    [anon_sym_end] = ACTIONS(5591),
    [anon_sym_object] = ACTIONS(6549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6551),
    [anon_sym_new] = ACTIONS(6553),
    [anon_sym_LBRACE_LT] = ACTIONS(6555),
    [anon_sym_begin] = ACTIONS(6557),
    [sym_ocamlyacc_value] = ACTIONS(6559),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6563),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5589),
    [aux_sym_number_token1] = ACTIONS(6565),
    [anon_sym_SQUOTE] = ACTIONS(6567),
    [anon_sym_DQUOTE] = ACTIONS(6569),
    [sym_prefix_operator] = ACTIONS(6571),
    [sym__uppercase_identifier] = ACTIONS(6573),
    [aux_sym_tag_token1] = ACTIONS(6575),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2507] = {
    [sym__simple_expression] = STATE(6647),
    [sym_typed_expression] = STATE(6827),
    [sym_list_expression] = STATE(6827),
    [sym_array_expression] = STATE(6827),
    [sym_record_expression] = STATE(6827),
    [sym_labeled_argument] = STATE(7621),
    [sym_prefix_expression] = STATE(6827),
    [sym_hash_expression] = STATE(6827),
    [sym_field_get_expression] = STATE(6827),
    [sym_array_get_expression] = STATE(6827),
    [sym_string_get_expression] = STATE(6827),
    [sym_bigarray_get_expression] = STATE(6827),
    [sym_coercion_expression] = STATE(6827),
    [sym_local_open_expression] = STATE(6827),
    [sym_package_expression] = STATE(6827),
    [sym_new_expression] = STATE(6827),
    [sym_object_copy_expression] = STATE(6827),
    [sym_method_invocation] = STATE(6827),
    [sym_object_expression] = STATE(6827),
    [sym_parenthesized_expression] = STATE(6827),
    [sym_attribute] = STATE(2507),
    [sym_extension] = STATE(6827),
    [sym_quoted_extension] = STATE(6827),
    [sym__constant] = STATE(6827),
    [sym_number] = STATE(6880),
    [sym_character] = STATE(6880),
    [sym_string] = STATE(6880),
    [sym_quoted_string] = STATE(6880),
    [sym_boolean] = STATE(6880),
    [sym_unit] = STATE(6880),
    [sym__value_name] = STATE(6928),
    [sym_parenthesized_operator] = STATE(7129),
    [sym_value_path] = STATE(6827),
    [sym_module_path] = STATE(18243),
    [sym_constructor_path] = STATE(6827),
    [sym__constructor_name] = STATE(6946),
    [sym_tag] = STATE(6827),
    [aux_sym_class_application_repeat1] = STATE(2500),
    [sym__lowercase_identifier] = ACTIONS(5513),
    [anon_sym_TILDE] = ACTIONS(5515),
    [anon_sym_QMARK] = ACTIONS(5515),
    [anon_sym_LPAREN] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_SEMI] = ACTIONS(3443),
    [anon_sym_end] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2795),
    [anon_sym_LBRACE_LT] = ACTIONS(2797),
    [anon_sym_begin] = ACTIONS(2799),
    [sym_ocamlyacc_value] = ACTIONS(2801),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2803),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2805),
    [aux_sym_number_token1] = ACTIONS(2807),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [sym_prefix_operator] = ACTIONS(2813),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(2817),
    [aux_sym_tag_token1] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2508] = {
    [sym__simple_expression] = STATE(6910),
    [sym_typed_expression] = STATE(6676),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_labeled_argument] = STATE(7627),
    [sym_prefix_expression] = STATE(6676),
    [sym_hash_expression] = STATE(6676),
    [sym_field_get_expression] = STATE(6676),
    [sym_array_get_expression] = STATE(6676),
    [sym_string_get_expression] = STATE(6676),
    [sym_bigarray_get_expression] = STATE(6676),
    [sym_coercion_expression] = STATE(6676),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(2508),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [aux_sym_class_application_repeat1] = STATE(2508),
    [sym__lowercase_identifier] = ACTIONS(6637),
    [anon_sym_TILDE] = ACTIONS(6640),
    [anon_sym_QMARK] = ACTIONS(6640),
    [anon_sym_LPAREN] = ACTIONS(6643),
    [anon_sym_COMMA] = ACTIONS(3500),
    [anon_sym_PIPE] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(6646),
    [anon_sym_true] = ACTIONS(6649),
    [anon_sym_false] = ACTIONS(6649),
    [anon_sym_LBRACE] = ACTIONS(6652),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(6655),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6658),
    [anon_sym_then] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(6661),
    [anon_sym_LBRACE_LT] = ACTIONS(6664),
    [anon_sym_begin] = ACTIONS(6667),
    [sym_ocamlyacc_value] = ACTIONS(6670),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6673),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6676),
    [aux_sym_number_token1] = ACTIONS(6679),
    [aux_sym_signed_number_token1] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(6682),
    [anon_sym_DQUOTE] = ACTIONS(6685),
    [sym_prefix_operator] = ACTIONS(6688),
    [aux_sym_sign_operator_token1] = ACTIONS(3502),
    [sym_pow_operator] = ACTIONS(3502),
    [sym_mult_operator] = ACTIONS(3502),
    [aux_sym_add_operator_token1] = ACTIONS(3502),
    [sym_concat_operator] = ACTIONS(3500),
    [sym_rel_operator] = ACTIONS(3502),
    [sym_and_operator] = ACTIONS(3502),
    [sym_or_operator] = ACTIONS(3502),
    [sym_assign_operator] = ACTIONS(3500),
    [sym__uppercase_identifier] = ACTIONS(6691),
    [aux_sym_tag_token1] = ACTIONS(6694),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2509] = {
    [sym__simple_expression] = STATE(6910),
    [sym_typed_expression] = STATE(6676),
    [sym_list_expression] = STATE(6676),
    [sym_array_expression] = STATE(6676),
    [sym_record_expression] = STATE(6676),
    [sym_labeled_argument] = STATE(7627),
    [sym_prefix_expression] = STATE(6676),
    [sym_hash_expression] = STATE(6676),
    [sym_field_get_expression] = STATE(6676),
    [sym_array_get_expression] = STATE(6676),
    [sym_string_get_expression] = STATE(6676),
    [sym_bigarray_get_expression] = STATE(6676),
    [sym_coercion_expression] = STATE(6676),
    [sym_local_open_expression] = STATE(6676),
    [sym_package_expression] = STATE(6676),
    [sym_new_expression] = STATE(6676),
    [sym_object_copy_expression] = STATE(6676),
    [sym_method_invocation] = STATE(6676),
    [sym_object_expression] = STATE(6676),
    [sym_parenthesized_expression] = STATE(6676),
    [sym_attribute] = STATE(2509),
    [sym_extension] = STATE(6676),
    [sym_quoted_extension] = STATE(6676),
    [sym__constant] = STATE(6676),
    [sym_number] = STATE(6947),
    [sym_character] = STATE(6947),
    [sym_string] = STATE(6947),
    [sym_quoted_string] = STATE(6947),
    [sym_boolean] = STATE(6947),
    [sym_unit] = STATE(6947),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(6740),
    [sym_value_path] = STATE(6676),
    [sym_module_path] = STATE(19947),
    [sym_constructor_path] = STATE(6676),
    [sym__constructor_name] = STATE(6932),
    [sym_tag] = STATE(6676),
    [aux_sym_class_application_repeat1] = STATE(2508),
    [sym__lowercase_identifier] = ACTIONS(5443),
    [anon_sym_TILDE] = ACTIONS(5445),
    [anon_sym_QMARK] = ACTIONS(5445),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_COMMA] = ACTIONS(3443),
    [anon_sym_PIPE] = ACTIONS(3445),
    [anon_sym_LBRACK] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(2607),
    [anon_sym_false] = ACTIONS(2607),
    [anon_sym_LBRACE] = ACTIONS(2609),
    [anon_sym_SEMI] = ACTIONS(3443),
    [anon_sym_object] = ACTIONS(2611),
    [anon_sym_COLON_COLON] = ACTIONS(3443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2615),
    [anon_sym_then] = ACTIONS(3445),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_LBRACE_LT] = ACTIONS(2627),
    [anon_sym_begin] = ACTIONS(2629),
    [sym_ocamlyacc_value] = ACTIONS(2631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2635),
    [aux_sym_number_token1] = ACTIONS(2637),
    [aux_sym_signed_number_token1] = ACTIONS(3445),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(3445),
    [sym_pow_operator] = ACTIONS(3445),
    [sym_mult_operator] = ACTIONS(3445),
    [aux_sym_add_operator_token1] = ACTIONS(3445),
    [sym_concat_operator] = ACTIONS(3443),
    [sym_rel_operator] = ACTIONS(3445),
    [sym_and_operator] = ACTIONS(3445),
    [sym_or_operator] = ACTIONS(3445),
    [sym_assign_operator] = ACTIONS(3443),
    [sym__uppercase_identifier] = ACTIONS(2647),
    [aux_sym_tag_token1] = ACTIONS(2649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2510] = {
    [sym__binding_pattern] = STATE(13683),
    [sym_alias_binding_pattern] = STATE(13141),
    [sym_typed_binding_pattern] = STATE(13141),
    [sym_or_binding_pattern] = STATE(13141),
    [sym_constructor_binding_pattern] = STATE(13141),
    [sym_tag_binding_pattern] = STATE(13141),
    [sym_polymorphic_variant_pattern] = STATE(13141),
    [sym_tuple_binding_pattern] = STATE(13141),
    [sym_record_binding_pattern] = STATE(13142),
    [sym_list_binding_pattern] = STATE(13143),
    [sym_cons_binding_pattern] = STATE(13141),
    [sym_array_binding_pattern] = STATE(13144),
    [sym_range_pattern] = STATE(13141),
    [sym_lazy_binding_pattern] = STATE(13141),
    [sym_local_open_binding_pattern] = STATE(13141),
    [sym_package_pattern] = STATE(13141),
    [sym_parenthesized_binding_pattern] = STATE(13141),
    [sym_attribute] = STATE(2510),
    [sym_extension] = STATE(13141),
    [sym_quoted_extension] = STATE(13141),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(13087),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(19391),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(13141),
    [sym_parenthesized_operator] = STATE(10293),
    [sym_module_path] = STATE(19137),
    [sym_constructor_path] = STATE(3452),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(3454),
    [sym__lowercase_identifier] = ACTIONS(6697),
    [anon_sym_LPAREN] = ACTIONS(6699),
    [anon_sym_RPAREN] = ACTIONS(6701),
    [anon_sym_LBRACK] = ACTIONS(6703),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(6705),
    [anon_sym_LBRACE] = ACTIONS(6707),
    [anon_sym_module] = ACTIONS(6709),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(6711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6713),
    [anon_sym_lazy] = ACTIONS(6715),
    [anon_sym_begin] = ACTIONS(4941),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(6717),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(6717),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(6717),
    [sym_let_and_operator] = ACTIONS(6717),
    [sym_match_operator] = ACTIONS(6717),
    [sym__uppercase_identifier] = ACTIONS(5419),
    [aux_sym_tag_token1] = ACTIONS(5421),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2511] = {
    [sym__binding_pattern] = STATE(13556),
    [sym_alias_binding_pattern] = STATE(13141),
    [sym_typed_binding_pattern] = STATE(13141),
    [sym_or_binding_pattern] = STATE(13141),
    [sym_constructor_binding_pattern] = STATE(13141),
    [sym_tag_binding_pattern] = STATE(13141),
    [sym_polymorphic_variant_pattern] = STATE(13141),
    [sym_tuple_binding_pattern] = STATE(13141),
    [sym_record_binding_pattern] = STATE(13142),
    [sym_list_binding_pattern] = STATE(13143),
    [sym_cons_binding_pattern] = STATE(13141),
    [sym_array_binding_pattern] = STATE(13144),
    [sym_range_pattern] = STATE(13141),
    [sym_lazy_binding_pattern] = STATE(13141),
    [sym_local_open_binding_pattern] = STATE(13141),
    [sym_package_pattern] = STATE(13141),
    [sym_parenthesized_binding_pattern] = STATE(13141),
    [sym_attribute] = STATE(2511),
    [sym_extension] = STATE(13141),
    [sym_quoted_extension] = STATE(13141),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(13087),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(19173),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(13141),
    [sym_parenthesized_operator] = STATE(10293),
    [sym_module_path] = STATE(19137),
    [sym_constructor_path] = STATE(3452),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(3454),
    [sym__lowercase_identifier] = ACTIONS(6697),
    [anon_sym_LPAREN] = ACTIONS(6699),
    [anon_sym_RPAREN] = ACTIONS(6719),
    [anon_sym_LBRACK] = ACTIONS(6703),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(6721),
    [anon_sym_LBRACE] = ACTIONS(6707),
    [anon_sym_module] = ACTIONS(6723),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(6725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6713),
    [anon_sym_lazy] = ACTIONS(6715),
    [anon_sym_begin] = ACTIONS(4941),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(6727),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(6727),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(6727),
    [sym_let_and_operator] = ACTIONS(6727),
    [sym_match_operator] = ACTIONS(6727),
    [sym__uppercase_identifier] = ACTIONS(5419),
    [aux_sym_tag_token1] = ACTIONS(5421),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2512] = {
    [sym__binding_pattern] = STATE(13629),
    [sym_alias_binding_pattern] = STATE(13141),
    [sym_typed_binding_pattern] = STATE(13141),
    [sym_or_binding_pattern] = STATE(13141),
    [sym_constructor_binding_pattern] = STATE(13141),
    [sym_tag_binding_pattern] = STATE(13141),
    [sym_polymorphic_variant_pattern] = STATE(13141),
    [sym_tuple_binding_pattern] = STATE(13141),
    [sym_record_binding_pattern] = STATE(13142),
    [sym_list_binding_pattern] = STATE(13143),
    [sym_cons_binding_pattern] = STATE(13141),
    [sym_array_binding_pattern] = STATE(13144),
    [sym_range_pattern] = STATE(13141),
    [sym_lazy_binding_pattern] = STATE(13141),
    [sym_local_open_binding_pattern] = STATE(13141),
    [sym_package_pattern] = STATE(13141),
    [sym_parenthesized_binding_pattern] = STATE(13141),
    [sym_attribute] = STATE(2512),
    [sym_extension] = STATE(13141),
    [sym_quoted_extension] = STATE(13141),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(13087),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(18381),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(13141),
    [sym_parenthesized_operator] = STATE(10293),
    [sym_module_path] = STATE(19137),
    [sym_constructor_path] = STATE(3452),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(3454),
    [sym__lowercase_identifier] = ACTIONS(6697),
    [anon_sym_LPAREN] = ACTIONS(6699),
    [anon_sym_RPAREN] = ACTIONS(2513),
    [anon_sym_LBRACK] = ACTIONS(6703),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(6707),
    [anon_sym_module] = ACTIONS(5107),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(5073),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6713),
    [anon_sym_lazy] = ACTIONS(6715),
    [anon_sym_begin] = ACTIONS(4941),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(2519),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(2519),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(2519),
    [sym_let_and_operator] = ACTIONS(2519),
    [sym_match_operator] = ACTIONS(2519),
    [sym__uppercase_identifier] = ACTIONS(5419),
    [aux_sym_tag_token1] = ACTIONS(5421),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2513] = {
    [sym__binding_pattern] = STATE(13647),
    [sym_alias_binding_pattern] = STATE(13141),
    [sym_typed_binding_pattern] = STATE(13141),
    [sym_or_binding_pattern] = STATE(13141),
    [sym_constructor_binding_pattern] = STATE(13141),
    [sym_tag_binding_pattern] = STATE(13141),
    [sym_polymorphic_variant_pattern] = STATE(13141),
    [sym_tuple_binding_pattern] = STATE(13141),
    [sym_record_binding_pattern] = STATE(13142),
    [sym_list_binding_pattern] = STATE(13143),
    [sym_cons_binding_pattern] = STATE(13141),
    [sym_array_binding_pattern] = STATE(13144),
    [sym_range_pattern] = STATE(13141),
    [sym_lazy_binding_pattern] = STATE(13141),
    [sym_local_open_binding_pattern] = STATE(13141),
    [sym_package_pattern] = STATE(13141),
    [sym_parenthesized_binding_pattern] = STATE(13141),
    [sym_attribute] = STATE(2513),
    [sym_extension] = STATE(13141),
    [sym_quoted_extension] = STATE(13141),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(13087),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(18379),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(13141),
    [sym_parenthesized_operator] = STATE(10293),
    [sym_module_path] = STATE(19137),
    [sym_constructor_path] = STATE(3452),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(3454),
    [sym__lowercase_identifier] = ACTIONS(6697),
    [anon_sym_LPAREN] = ACTIONS(6699),
    [anon_sym_RPAREN] = ACTIONS(6729),
    [anon_sym_LBRACK] = ACTIONS(6703),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(6731),
    [anon_sym_LBRACE] = ACTIONS(6707),
    [anon_sym_module] = ACTIONS(6733),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(6735),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6713),
    [anon_sym_lazy] = ACTIONS(6715),
    [anon_sym_begin] = ACTIONS(4941),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(6737),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(6737),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(6737),
    [sym_let_and_operator] = ACTIONS(6737),
    [sym_match_operator] = ACTIONS(6737),
    [sym__uppercase_identifier] = ACTIONS(5419),
    [aux_sym_tag_token1] = ACTIONS(5421),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2514] = {
    [sym__binding_pattern] = STATE(13388),
    [sym_alias_binding_pattern] = STATE(13141),
    [sym_typed_binding_pattern] = STATE(13141),
    [sym_or_binding_pattern] = STATE(13141),
    [sym_constructor_binding_pattern] = STATE(13141),
    [sym_tag_binding_pattern] = STATE(13141),
    [sym_polymorphic_variant_pattern] = STATE(13141),
    [sym_tuple_binding_pattern] = STATE(13141),
    [sym_record_binding_pattern] = STATE(13142),
    [sym_list_binding_pattern] = STATE(13143),
    [sym_cons_binding_pattern] = STATE(13141),
    [sym_array_binding_pattern] = STATE(13144),
    [sym_range_pattern] = STATE(13141),
    [sym_lazy_binding_pattern] = STATE(13141),
    [sym_local_open_binding_pattern] = STATE(13141),
    [sym_package_pattern] = STATE(13141),
    [sym_parenthesized_binding_pattern] = STATE(13141),
    [sym_attribute] = STATE(2514),
    [sym_extension] = STATE(13141),
    [sym_quoted_extension] = STATE(13141),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(13087),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(17724),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(13141),
    [sym_parenthesized_operator] = STATE(10293),
    [sym_module_path] = STATE(19137),
    [sym_constructor_path] = STATE(3452),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(3454),
    [sym__lowercase_identifier] = ACTIONS(6697),
    [anon_sym_LPAREN] = ACTIONS(6699),
    [anon_sym_RPAREN] = ACTIONS(5097),
    [anon_sym_LBRACK] = ACTIONS(6703),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(5099),
    [anon_sym_LBRACE] = ACTIONS(6707),
    [anon_sym_module] = ACTIONS(5101),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(1841),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6713),
    [anon_sym_lazy] = ACTIONS(6715),
    [anon_sym_begin] = ACTIONS(4941),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(5105),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(5105),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(5105),
    [sym_let_and_operator] = ACTIONS(5105),
    [sym_match_operator] = ACTIONS(5105),
    [sym__uppercase_identifier] = ACTIONS(5419),
    [aux_sym_tag_token1] = ACTIONS(5421),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2515] = {
    [sym__binding_pattern] = STATE(13419),
    [sym_alias_binding_pattern] = STATE(13141),
    [sym_typed_binding_pattern] = STATE(13141),
    [sym_or_binding_pattern] = STATE(13141),
    [sym_constructor_binding_pattern] = STATE(13141),
    [sym_tag_binding_pattern] = STATE(13141),
    [sym_polymorphic_variant_pattern] = STATE(13141),
    [sym_tuple_binding_pattern] = STATE(13141),
    [sym_record_binding_pattern] = STATE(13142),
    [sym_list_binding_pattern] = STATE(13143),
    [sym_cons_binding_pattern] = STATE(13141),
    [sym_array_binding_pattern] = STATE(13144),
    [sym_range_pattern] = STATE(13141),
    [sym_lazy_binding_pattern] = STATE(13141),
    [sym_local_open_binding_pattern] = STATE(13141),
    [sym_package_pattern] = STATE(13141),
    [sym_parenthesized_binding_pattern] = STATE(13141),
    [sym_attribute] = STATE(2515),
    [sym_extension] = STATE(13141),
    [sym_quoted_extension] = STATE(13141),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(13087),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(20243),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(13141),
    [sym_parenthesized_operator] = STATE(10293),
    [sym_module_path] = STATE(19137),
    [sym_constructor_path] = STATE(3452),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(3454),
    [sym__lowercase_identifier] = ACTIONS(6697),
    [anon_sym_LPAREN] = ACTIONS(6699),
    [anon_sym_RPAREN] = ACTIONS(6739),
    [anon_sym_LBRACK] = ACTIONS(6703),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(6741),
    [anon_sym_LBRACE] = ACTIONS(6707),
    [anon_sym_module] = ACTIONS(6743),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(6745),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6713),
    [anon_sym_lazy] = ACTIONS(6715),
    [anon_sym_begin] = ACTIONS(4941),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(6747),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(6747),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(6747),
    [sym_let_and_operator] = ACTIONS(6747),
    [sym_match_operator] = ACTIONS(6747),
    [sym__uppercase_identifier] = ACTIONS(5419),
    [aux_sym_tag_token1] = ACTIONS(5421),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2516] = {
    [sym__binding_pattern] = STATE(13561),
    [sym_alias_binding_pattern] = STATE(13141),
    [sym_typed_binding_pattern] = STATE(13141),
    [sym_or_binding_pattern] = STATE(13141),
    [sym_constructor_binding_pattern] = STATE(13141),
    [sym_tag_binding_pattern] = STATE(13141),
    [sym_polymorphic_variant_pattern] = STATE(13141),
    [sym_tuple_binding_pattern] = STATE(13141),
    [sym_record_binding_pattern] = STATE(13142),
    [sym_list_binding_pattern] = STATE(13143),
    [sym_cons_binding_pattern] = STATE(13141),
    [sym_array_binding_pattern] = STATE(13144),
    [sym_range_pattern] = STATE(13141),
    [sym_lazy_binding_pattern] = STATE(13141),
    [sym_local_open_binding_pattern] = STATE(13141),
    [sym_package_pattern] = STATE(13141),
    [sym_parenthesized_binding_pattern] = STATE(13141),
    [sym_attribute] = STATE(2516),
    [sym_extension] = STATE(13141),
    [sym_quoted_extension] = STATE(13141),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(13087),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__infix_operator] = STATE(18916),
    [sym_add_operator] = STATE(18190),
    [sym__value_name] = STATE(13141),
    [sym_parenthesized_operator] = STATE(10293),
    [sym_module_path] = STATE(19137),
    [sym_constructor_path] = STATE(3452),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(3454),
    [sym__lowercase_identifier] = ACTIONS(6697),
    [anon_sym_LPAREN] = ACTIONS(6699),
    [anon_sym_RPAREN] = ACTIONS(6749),
    [anon_sym_LBRACK] = ACTIONS(6703),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_DOT] = ACTIONS(6751),
    [anon_sym_LBRACE] = ACTIONS(6707),
    [anon_sym_module] = ACTIONS(6753),
    [anon_sym_POUND] = ACTIONS(4933),
    [anon_sym_COLON_COLON] = ACTIONS(6755),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6713),
    [anon_sym_lazy] = ACTIONS(6715),
    [anon_sym_begin] = ACTIONS(4941),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(4947),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym_prefix_operator] = ACTIONS(6757),
    [aux_sym_sign_operator_token1] = ACTIONS(1471),
    [sym_hash_operator] = ACTIONS(6757),
    [sym_pow_operator] = ACTIONS(1469),
    [sym_mult_operator] = ACTIONS(1469),
    [aux_sym_add_operator_token1] = ACTIONS(1471),
    [sym_concat_operator] = ACTIONS(1473),
    [sym_rel_operator] = ACTIONS(1469),
    [sym_and_operator] = ACTIONS(1469),
    [sym_or_operator] = ACTIONS(1469),
    [sym_assign_operator] = ACTIONS(1473),
    [sym_let_operator] = ACTIONS(6757),
    [sym_let_and_operator] = ACTIONS(6757),
    [sym_match_operator] = ACTIONS(6757),
    [sym__uppercase_identifier] = ACTIONS(5419),
    [aux_sym_tag_token1] = ACTIONS(5421),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2517] = {
    [sym_parameter] = STATE(7371),
    [sym__class_typed] = STATE(10812),
    [sym__parenthesized_abstract_type] = STATE(7371),
    [sym__simple_pattern] = STATE(7372),
    [sym_typed_pattern] = STATE(7416),
    [sym_polymorphic_variant_pattern] = STATE(7416),
    [sym_record_pattern] = STATE(7416),
    [sym_list_pattern] = STATE(7416),
    [sym_array_pattern] = STATE(7416),
    [sym_local_open_pattern] = STATE(7416),
    [sym_package_pattern] = STATE(7416),
    [sym_parenthesized_pattern] = STATE(7416),
    [sym_attribute] = STATE(2517),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7416),
    [sym_quoted_extension] = STATE(7416),
    [sym__constant] = STATE(7486),
    [sym__signed_constant] = STATE(7416),
    [sym_number] = STATE(7405),
    [sym_signed_number] = STATE(7486),
    [sym_character] = STATE(7405),
    [sym_string] = STATE(7405),
    [sym_quoted_string] = STATE(7405),
    [sym_boolean] = STATE(7405),
    [sym_unit] = STATE(7405),
    [sym__simple_value_pattern] = STATE(7416),
    [sym_parenthesized_operator] = STATE(7416),
    [sym_module_path] = STATE(18996),
    [sym_constructor_path] = STATE(7416),
    [sym__constructor_name] = STATE(7406),
    [sym_tag] = STATE(7416),
    [aux_sym_expression_item_repeat1] = STATE(10669),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__lowercase_identifier] = ACTIONS(6759),
    [anon_sym_SEMI_SEMI] = ACTIONS(6761),
    [anon_sym_let] = ACTIONS(6763),
    [anon_sym_and] = ACTIONS(6763),
    [anon_sym_EQ] = ACTIONS(6765),
    [anon_sym_TILDE] = ACTIONS(6767),
    [anon_sym_QMARK] = ACTIONS(6767),
    [anon_sym_LPAREN] = ACTIONS(6769),
    [anon_sym_external] = ACTIONS(6763),
    [anon_sym_type] = ACTIONS(6763),
    [anon_sym_LBRACK] = ACTIONS(6771),
    [anon_sym_true] = ACTIONS(6773),
    [anon_sym_false] = ACTIONS(6773),
    [anon_sym_COLON2] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6777),
    [anon_sym_exception] = ACTIONS(6763),
    [anon_sym_module] = ACTIONS(6763),
    [anon_sym_open] = ACTIONS(6763),
    [anon_sym_include] = ACTIONS(6763),
    [anon_sym_class] = ACTIONS(6763),
    [anon_sym_end] = ACTIONS(6763),
    [anon_sym_POUND] = ACTIONS(6779),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6781),
    [anon_sym_begin] = ACTIONS(6783),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6761),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6787),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6789),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6761),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6761),
    [aux_sym_number_token1] = ACTIONS(6791),
    [aux_sym_signed_number_token1] = ACTIONS(6793),
    [anon_sym_SQUOTE] = ACTIONS(6795),
    [anon_sym_DQUOTE] = ACTIONS(6797),
    [sym_let_operator] = ACTIONS(6761),
    [sym__uppercase_identifier] = ACTIONS(6799),
    [aux_sym_directive_token1] = ACTIONS(6763),
    [aux_sym_tag_token1] = ACTIONS(6801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2518] = {
    [sym_parameter] = STATE(7371),
    [sym__class_typed] = STATE(10830),
    [sym__parenthesized_abstract_type] = STATE(7371),
    [sym__simple_pattern] = STATE(7372),
    [sym_typed_pattern] = STATE(7416),
    [sym_polymorphic_variant_pattern] = STATE(7416),
    [sym_record_pattern] = STATE(7416),
    [sym_list_pattern] = STATE(7416),
    [sym_array_pattern] = STATE(7416),
    [sym_local_open_pattern] = STATE(7416),
    [sym_package_pattern] = STATE(7416),
    [sym_parenthesized_pattern] = STATE(7416),
    [sym_attribute] = STATE(2518),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7416),
    [sym_quoted_extension] = STATE(7416),
    [sym__constant] = STATE(7486),
    [sym__signed_constant] = STATE(7416),
    [sym_number] = STATE(7405),
    [sym_signed_number] = STATE(7486),
    [sym_character] = STATE(7405),
    [sym_string] = STATE(7405),
    [sym_quoted_string] = STATE(7405),
    [sym_boolean] = STATE(7405),
    [sym_unit] = STATE(7405),
    [sym__simple_value_pattern] = STATE(7416),
    [sym_parenthesized_operator] = STATE(7416),
    [sym_module_path] = STATE(18996),
    [sym_constructor_path] = STATE(7416),
    [sym__constructor_name] = STATE(7406),
    [sym_tag] = STATE(7416),
    [aux_sym_expression_item_repeat1] = STATE(10661),
    [aux_sym_let_binding_repeat1] = STATE(2521),
    [sym__lowercase_identifier] = ACTIONS(6759),
    [anon_sym_SEMI_SEMI] = ACTIONS(6803),
    [anon_sym_let] = ACTIONS(6805),
    [anon_sym_and] = ACTIONS(6805),
    [anon_sym_EQ] = ACTIONS(6807),
    [anon_sym_TILDE] = ACTIONS(6767),
    [anon_sym_QMARK] = ACTIONS(6767),
    [anon_sym_LPAREN] = ACTIONS(6769),
    [anon_sym_external] = ACTIONS(6805),
    [anon_sym_type] = ACTIONS(6805),
    [anon_sym_LBRACK] = ACTIONS(6771),
    [anon_sym_true] = ACTIONS(6773),
    [anon_sym_false] = ACTIONS(6773),
    [anon_sym_COLON2] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6777),
    [anon_sym_exception] = ACTIONS(6805),
    [anon_sym_module] = ACTIONS(6805),
    [anon_sym_open] = ACTIONS(6805),
    [anon_sym_include] = ACTIONS(6805),
    [anon_sym_class] = ACTIONS(6805),
    [anon_sym_end] = ACTIONS(6805),
    [anon_sym_POUND] = ACTIONS(6779),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6781),
    [anon_sym_begin] = ACTIONS(6783),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6803),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6787),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6789),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6803),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6803),
    [aux_sym_number_token1] = ACTIONS(6791),
    [aux_sym_signed_number_token1] = ACTIONS(6793),
    [anon_sym_SQUOTE] = ACTIONS(6795),
    [anon_sym_DQUOTE] = ACTIONS(6797),
    [sym_let_operator] = ACTIONS(6803),
    [sym__uppercase_identifier] = ACTIONS(6799),
    [aux_sym_directive_token1] = ACTIONS(6805),
    [aux_sym_tag_token1] = ACTIONS(6801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2519] = {
    [sym_parameter] = STATE(7425),
    [sym__class_typed] = STATE(10842),
    [sym__parenthesized_abstract_type] = STATE(7425),
    [sym__simple_pattern] = STATE(7426),
    [sym_typed_pattern] = STATE(7503),
    [sym_polymorphic_variant_pattern] = STATE(7503),
    [sym_record_pattern] = STATE(7503),
    [sym_list_pattern] = STATE(7503),
    [sym_array_pattern] = STATE(7503),
    [sym_local_open_pattern] = STATE(7503),
    [sym_package_pattern] = STATE(7503),
    [sym_parenthesized_pattern] = STATE(7503),
    [sym_attribute] = STATE(2519),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7503),
    [sym_quoted_extension] = STATE(7503),
    [sym__constant] = STATE(7370),
    [sym__signed_constant] = STATE(7503),
    [sym_number] = STATE(7480),
    [sym_signed_number] = STATE(7370),
    [sym_character] = STATE(7480),
    [sym_string] = STATE(7480),
    [sym_quoted_string] = STATE(7480),
    [sym_boolean] = STATE(7480),
    [sym_unit] = STATE(7480),
    [sym__simple_value_pattern] = STATE(7503),
    [sym_parenthesized_operator] = STATE(7503),
    [sym_module_path] = STATE(17613),
    [sym_constructor_path] = STATE(7503),
    [sym__constructor_name] = STATE(7591),
    [sym_tag] = STATE(7503),
    [aux_sym_expression_item_repeat1] = STATE(10669),
    [aux_sym_let_binding_repeat1] = STATE(2563),
    [sym__lowercase_identifier] = ACTIONS(6809),
    [anon_sym_SEMI_SEMI] = ACTIONS(6761),
    [anon_sym_let] = ACTIONS(6763),
    [anon_sym_and] = ACTIONS(6763),
    [anon_sym_EQ] = ACTIONS(6811),
    [anon_sym_TILDE] = ACTIONS(6813),
    [anon_sym_QMARK] = ACTIONS(6813),
    [anon_sym_LPAREN] = ACTIONS(6815),
    [anon_sym_external] = ACTIONS(6763),
    [anon_sym_type] = ACTIONS(6763),
    [anon_sym_LBRACK] = ACTIONS(6817),
    [anon_sym_RBRACK] = ACTIONS(6761),
    [anon_sym_true] = ACTIONS(6819),
    [anon_sym_false] = ACTIONS(6819),
    [anon_sym_COLON2] = ACTIONS(6821),
    [anon_sym_LBRACE] = ACTIONS(6823),
    [anon_sym_exception] = ACTIONS(6763),
    [anon_sym_module] = ACTIONS(6763),
    [anon_sym_open] = ACTIONS(6763),
    [anon_sym_include] = ACTIONS(6763),
    [anon_sym_class] = ACTIONS(6763),
    [anon_sym_POUND] = ACTIONS(6825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6827),
    [anon_sym_begin] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6761),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6761),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6761),
    [aux_sym_number_token1] = ACTIONS(6835),
    [aux_sym_signed_number_token1] = ACTIONS(6837),
    [anon_sym_SQUOTE] = ACTIONS(6839),
    [anon_sym_DQUOTE] = ACTIONS(6841),
    [sym_let_operator] = ACTIONS(6761),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_directive_token1] = ACTIONS(6763),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2520] = {
    [sym__simple_expression] = STATE(7673),
    [sym_typed_expression] = STATE(7789),
    [sym_list_expression] = STATE(7789),
    [sym_array_expression] = STATE(7789),
    [sym_record_expression] = STATE(7789),
    [sym_labeled_argument] = STATE(8299),
    [sym_prefix_expression] = STATE(7789),
    [sym_hash_expression] = STATE(7789),
    [sym_field_get_expression] = STATE(7789),
    [sym_array_get_expression] = STATE(7789),
    [sym_string_get_expression] = STATE(7789),
    [sym_bigarray_get_expression] = STATE(7789),
    [sym_coercion_expression] = STATE(7789),
    [sym_local_open_expression] = STATE(7789),
    [sym_package_expression] = STATE(7789),
    [sym_new_expression] = STATE(7789),
    [sym_object_copy_expression] = STATE(7789),
    [sym_method_invocation] = STATE(7789),
    [sym_object_expression] = STATE(7789),
    [sym_parenthesized_expression] = STATE(7789),
    [sym_attribute] = STATE(2520),
    [sym_extension] = STATE(7789),
    [sym_quoted_extension] = STATE(7789),
    [sym__constant] = STATE(7789),
    [sym_number] = STATE(7659),
    [sym_character] = STATE(7659),
    [sym_string] = STATE(7659),
    [sym_quoted_string] = STATE(7659),
    [sym_boolean] = STATE(7659),
    [sym_unit] = STATE(7659),
    [sym__value_name] = STATE(7874),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7789),
    [sym_module_path] = STATE(17467),
    [sym_constructor_path] = STATE(7789),
    [sym__constructor_name] = STATE(7660),
    [sym_tag] = STATE(7789),
    [aux_sym_class_application_repeat1] = STATE(2526),
    [sym__lowercase_identifier] = ACTIONS(6847),
    [anon_sym_TILDE] = ACTIONS(6849),
    [anon_sym_QMARK] = ACTIONS(6849),
    [anon_sym_LPAREN] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6853),
    [anon_sym_true] = ACTIONS(6855),
    [anon_sym_false] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_constraint] = ACTIONS(5549),
    [anon_sym_val] = ACTIONS(5549),
    [anon_sym_end] = ACTIONS(5549),
    [anon_sym_object] = ACTIONS(6859),
    [anon_sym_inherit] = ACTIONS(5549),
    [anon_sym_method] = ACTIONS(5549),
    [anon_sym_as] = ACTIONS(5549),
    [anon_sym_initializer] = ACTIONS(5549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_new] = ACTIONS(6863),
    [anon_sym_LBRACE_LT] = ACTIONS(6865),
    [anon_sym_begin] = ACTIONS(6867),
    [sym_ocamlyacc_value] = ACTIONS(6869),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5549),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5547),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6873),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5547),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5547),
    [aux_sym_number_token1] = ACTIONS(6875),
    [anon_sym_SQUOTE] = ACTIONS(6877),
    [anon_sym_DQUOTE] = ACTIONS(6879),
    [sym_prefix_operator] = ACTIONS(6881),
    [sym__uppercase_identifier] = ACTIONS(6883),
    [aux_sym_tag_token1] = ACTIONS(6885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2521] = {
    [sym_parameter] = STATE(7371),
    [sym__class_typed] = STATE(10832),
    [sym__parenthesized_abstract_type] = STATE(7371),
    [sym__simple_pattern] = STATE(7372),
    [sym_typed_pattern] = STATE(7416),
    [sym_polymorphic_variant_pattern] = STATE(7416),
    [sym_record_pattern] = STATE(7416),
    [sym_list_pattern] = STATE(7416),
    [sym_array_pattern] = STATE(7416),
    [sym_local_open_pattern] = STATE(7416),
    [sym_package_pattern] = STATE(7416),
    [sym_parenthesized_pattern] = STATE(7416),
    [sym_attribute] = STATE(2521),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7416),
    [sym_quoted_extension] = STATE(7416),
    [sym__constant] = STATE(7486),
    [sym__signed_constant] = STATE(7416),
    [sym_number] = STATE(7405),
    [sym_signed_number] = STATE(7486),
    [sym_character] = STATE(7405),
    [sym_string] = STATE(7405),
    [sym_quoted_string] = STATE(7405),
    [sym_boolean] = STATE(7405),
    [sym_unit] = STATE(7405),
    [sym__simple_value_pattern] = STATE(7416),
    [sym_parenthesized_operator] = STATE(7416),
    [sym_module_path] = STATE(18996),
    [sym_constructor_path] = STATE(7416),
    [sym__constructor_name] = STATE(7406),
    [sym_tag] = STATE(7416),
    [aux_sym_expression_item_repeat1] = STATE(10702),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__lowercase_identifier] = ACTIONS(6759),
    [anon_sym_SEMI_SEMI] = ACTIONS(6887),
    [anon_sym_let] = ACTIONS(6889),
    [anon_sym_and] = ACTIONS(6889),
    [anon_sym_EQ] = ACTIONS(6891),
    [anon_sym_TILDE] = ACTIONS(6767),
    [anon_sym_QMARK] = ACTIONS(6767),
    [anon_sym_LPAREN] = ACTIONS(6769),
    [anon_sym_external] = ACTIONS(6889),
    [anon_sym_type] = ACTIONS(6889),
    [anon_sym_LBRACK] = ACTIONS(6771),
    [anon_sym_true] = ACTIONS(6773),
    [anon_sym_false] = ACTIONS(6773),
    [anon_sym_COLON2] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6777),
    [anon_sym_exception] = ACTIONS(6889),
    [anon_sym_module] = ACTIONS(6889),
    [anon_sym_open] = ACTIONS(6889),
    [anon_sym_include] = ACTIONS(6889),
    [anon_sym_class] = ACTIONS(6889),
    [anon_sym_end] = ACTIONS(6889),
    [anon_sym_POUND] = ACTIONS(6779),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6781),
    [anon_sym_begin] = ACTIONS(6783),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6887),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6787),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6789),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6887),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6887),
    [aux_sym_number_token1] = ACTIONS(6791),
    [aux_sym_signed_number_token1] = ACTIONS(6793),
    [anon_sym_SQUOTE] = ACTIONS(6795),
    [anon_sym_DQUOTE] = ACTIONS(6797),
    [sym_let_operator] = ACTIONS(6887),
    [sym__uppercase_identifier] = ACTIONS(6799),
    [aux_sym_directive_token1] = ACTIONS(6889),
    [aux_sym_tag_token1] = ACTIONS(6801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2522] = {
    [sym_parameter] = STATE(7371),
    [sym__class_typed] = STATE(10792),
    [sym__parenthesized_abstract_type] = STATE(7371),
    [sym__simple_pattern] = STATE(7372),
    [sym_typed_pattern] = STATE(7416),
    [sym_polymorphic_variant_pattern] = STATE(7416),
    [sym_record_pattern] = STATE(7416),
    [sym_list_pattern] = STATE(7416),
    [sym_array_pattern] = STATE(7416),
    [sym_local_open_pattern] = STATE(7416),
    [sym_package_pattern] = STATE(7416),
    [sym_parenthesized_pattern] = STATE(7416),
    [sym_attribute] = STATE(2522),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7416),
    [sym_quoted_extension] = STATE(7416),
    [sym__constant] = STATE(7486),
    [sym__signed_constant] = STATE(7416),
    [sym_number] = STATE(7405),
    [sym_signed_number] = STATE(7486),
    [sym_character] = STATE(7405),
    [sym_string] = STATE(7405),
    [sym_quoted_string] = STATE(7405),
    [sym_boolean] = STATE(7405),
    [sym_unit] = STATE(7405),
    [sym__simple_value_pattern] = STATE(7416),
    [sym_parenthesized_operator] = STATE(7416),
    [sym_module_path] = STATE(18996),
    [sym_constructor_path] = STATE(7416),
    [sym__constructor_name] = STATE(7406),
    [sym_tag] = STATE(7416),
    [aux_sym_expression_item_repeat1] = STATE(10414),
    [aux_sym_let_binding_repeat1] = STATE(2529),
    [sym__lowercase_identifier] = ACTIONS(6759),
    [anon_sym_SEMI_SEMI] = ACTIONS(6893),
    [anon_sym_let] = ACTIONS(6895),
    [anon_sym_and] = ACTIONS(6895),
    [anon_sym_EQ] = ACTIONS(6897),
    [anon_sym_TILDE] = ACTIONS(6767),
    [anon_sym_QMARK] = ACTIONS(6767),
    [anon_sym_LPAREN] = ACTIONS(6769),
    [anon_sym_external] = ACTIONS(6895),
    [anon_sym_type] = ACTIONS(6895),
    [anon_sym_LBRACK] = ACTIONS(6771),
    [anon_sym_true] = ACTIONS(6773),
    [anon_sym_false] = ACTIONS(6773),
    [anon_sym_COLON2] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6777),
    [anon_sym_exception] = ACTIONS(6895),
    [anon_sym_module] = ACTIONS(6895),
    [anon_sym_open] = ACTIONS(6895),
    [anon_sym_include] = ACTIONS(6895),
    [anon_sym_class] = ACTIONS(6895),
    [anon_sym_end] = ACTIONS(6895),
    [anon_sym_POUND] = ACTIONS(6779),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6781),
    [anon_sym_begin] = ACTIONS(6783),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6893),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6787),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6789),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6893),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6893),
    [aux_sym_number_token1] = ACTIONS(6791),
    [aux_sym_signed_number_token1] = ACTIONS(6793),
    [anon_sym_SQUOTE] = ACTIONS(6795),
    [anon_sym_DQUOTE] = ACTIONS(6797),
    [sym_let_operator] = ACTIONS(6893),
    [sym__uppercase_identifier] = ACTIONS(6799),
    [aux_sym_directive_token1] = ACTIONS(6895),
    [aux_sym_tag_token1] = ACTIONS(6801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2523] = {
    [sym_parameter] = STATE(7371),
    [sym__class_typed] = STATE(10815),
    [sym__parenthesized_abstract_type] = STATE(7371),
    [sym__simple_pattern] = STATE(7372),
    [sym_typed_pattern] = STATE(7416),
    [sym_polymorphic_variant_pattern] = STATE(7416),
    [sym_record_pattern] = STATE(7416),
    [sym_list_pattern] = STATE(7416),
    [sym_array_pattern] = STATE(7416),
    [sym_local_open_pattern] = STATE(7416),
    [sym_package_pattern] = STATE(7416),
    [sym_parenthesized_pattern] = STATE(7416),
    [sym_attribute] = STATE(2523),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7416),
    [sym_quoted_extension] = STATE(7416),
    [sym__constant] = STATE(7486),
    [sym__signed_constant] = STATE(7416),
    [sym_number] = STATE(7405),
    [sym_signed_number] = STATE(7486),
    [sym_character] = STATE(7405),
    [sym_string] = STATE(7405),
    [sym_quoted_string] = STATE(7405),
    [sym_boolean] = STATE(7405),
    [sym_unit] = STATE(7405),
    [sym__simple_value_pattern] = STATE(7416),
    [sym_parenthesized_operator] = STATE(7416),
    [sym_module_path] = STATE(18996),
    [sym_constructor_path] = STATE(7416),
    [sym__constructor_name] = STATE(7406),
    [sym_tag] = STATE(7416),
    [aux_sym_expression_item_repeat1] = STATE(10541),
    [aux_sym_let_binding_repeat1] = STATE(2525),
    [sym__lowercase_identifier] = ACTIONS(6759),
    [anon_sym_SEMI_SEMI] = ACTIONS(6899),
    [anon_sym_let] = ACTIONS(6901),
    [anon_sym_and] = ACTIONS(6901),
    [anon_sym_EQ] = ACTIONS(6903),
    [anon_sym_TILDE] = ACTIONS(6767),
    [anon_sym_QMARK] = ACTIONS(6767),
    [anon_sym_LPAREN] = ACTIONS(6769),
    [anon_sym_external] = ACTIONS(6901),
    [anon_sym_type] = ACTIONS(6901),
    [anon_sym_LBRACK] = ACTIONS(6771),
    [anon_sym_true] = ACTIONS(6773),
    [anon_sym_false] = ACTIONS(6773),
    [anon_sym_COLON2] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6777),
    [anon_sym_exception] = ACTIONS(6901),
    [anon_sym_module] = ACTIONS(6901),
    [anon_sym_open] = ACTIONS(6901),
    [anon_sym_include] = ACTIONS(6901),
    [anon_sym_class] = ACTIONS(6901),
    [anon_sym_end] = ACTIONS(6901),
    [anon_sym_POUND] = ACTIONS(6779),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6781),
    [anon_sym_begin] = ACTIONS(6783),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6899),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6787),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6789),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6899),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6899),
    [aux_sym_number_token1] = ACTIONS(6791),
    [aux_sym_signed_number_token1] = ACTIONS(6793),
    [anon_sym_SQUOTE] = ACTIONS(6795),
    [anon_sym_DQUOTE] = ACTIONS(6797),
    [sym_let_operator] = ACTIONS(6899),
    [sym__uppercase_identifier] = ACTIONS(6799),
    [aux_sym_directive_token1] = ACTIONS(6901),
    [aux_sym_tag_token1] = ACTIONS(6801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2524] = {
    [sym_parameter] = STATE(7425),
    [sym__class_typed] = STATE(10990),
    [sym__parenthesized_abstract_type] = STATE(7425),
    [sym__simple_pattern] = STATE(7426),
    [sym_typed_pattern] = STATE(7503),
    [sym_polymorphic_variant_pattern] = STATE(7503),
    [sym_record_pattern] = STATE(7503),
    [sym_list_pattern] = STATE(7503),
    [sym_array_pattern] = STATE(7503),
    [sym_local_open_pattern] = STATE(7503),
    [sym_package_pattern] = STATE(7503),
    [sym_parenthesized_pattern] = STATE(7503),
    [sym_attribute] = STATE(2524),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7503),
    [sym_quoted_extension] = STATE(7503),
    [sym__constant] = STATE(7370),
    [sym__signed_constant] = STATE(7503),
    [sym_number] = STATE(7480),
    [sym_signed_number] = STATE(7370),
    [sym_character] = STATE(7480),
    [sym_string] = STATE(7480),
    [sym_quoted_string] = STATE(7480),
    [sym_boolean] = STATE(7480),
    [sym_unit] = STATE(7480),
    [sym__simple_value_pattern] = STATE(7503),
    [sym_parenthesized_operator] = STATE(7503),
    [sym_module_path] = STATE(17613),
    [sym_constructor_path] = STATE(7503),
    [sym__constructor_name] = STATE(7591),
    [sym_tag] = STATE(7503),
    [aux_sym_expression_item_repeat1] = STATE(10614),
    [aux_sym_let_binding_repeat1] = STATE(2531),
    [sym__lowercase_identifier] = ACTIONS(6809),
    [anon_sym_SEMI_SEMI] = ACTIONS(6905),
    [anon_sym_let] = ACTIONS(6907),
    [anon_sym_and] = ACTIONS(6907),
    [anon_sym_EQ] = ACTIONS(6909),
    [anon_sym_TILDE] = ACTIONS(6813),
    [anon_sym_QMARK] = ACTIONS(6813),
    [anon_sym_LPAREN] = ACTIONS(6815),
    [anon_sym_external] = ACTIONS(6907),
    [anon_sym_type] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6817),
    [anon_sym_RBRACK] = ACTIONS(6905),
    [anon_sym_true] = ACTIONS(6819),
    [anon_sym_false] = ACTIONS(6819),
    [anon_sym_COLON2] = ACTIONS(6821),
    [anon_sym_LBRACE] = ACTIONS(6823),
    [anon_sym_exception] = ACTIONS(6907),
    [anon_sym_module] = ACTIONS(6907),
    [anon_sym_open] = ACTIONS(6907),
    [anon_sym_include] = ACTIONS(6907),
    [anon_sym_class] = ACTIONS(6907),
    [anon_sym_POUND] = ACTIONS(6825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6827),
    [anon_sym_begin] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6905),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6905),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6905),
    [aux_sym_number_token1] = ACTIONS(6835),
    [aux_sym_signed_number_token1] = ACTIONS(6837),
    [anon_sym_SQUOTE] = ACTIONS(6839),
    [anon_sym_DQUOTE] = ACTIONS(6841),
    [sym_let_operator] = ACTIONS(6905),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_directive_token1] = ACTIONS(6907),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2525] = {
    [sym_parameter] = STATE(7371),
    [sym__class_typed] = STATE(10816),
    [sym__parenthesized_abstract_type] = STATE(7371),
    [sym__simple_pattern] = STATE(7372),
    [sym_typed_pattern] = STATE(7416),
    [sym_polymorphic_variant_pattern] = STATE(7416),
    [sym_record_pattern] = STATE(7416),
    [sym_list_pattern] = STATE(7416),
    [sym_array_pattern] = STATE(7416),
    [sym_local_open_pattern] = STATE(7416),
    [sym_package_pattern] = STATE(7416),
    [sym_parenthesized_pattern] = STATE(7416),
    [sym_attribute] = STATE(2525),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7416),
    [sym_quoted_extension] = STATE(7416),
    [sym__constant] = STATE(7486),
    [sym__signed_constant] = STATE(7416),
    [sym_number] = STATE(7405),
    [sym_signed_number] = STATE(7486),
    [sym_character] = STATE(7405),
    [sym_string] = STATE(7405),
    [sym_quoted_string] = STATE(7405),
    [sym_boolean] = STATE(7405),
    [sym_unit] = STATE(7405),
    [sym__simple_value_pattern] = STATE(7416),
    [sym_parenthesized_operator] = STATE(7416),
    [sym_module_path] = STATE(18996),
    [sym_constructor_path] = STATE(7416),
    [sym__constructor_name] = STATE(7406),
    [sym_tag] = STATE(7416),
    [aux_sym_expression_item_repeat1] = STATE(10609),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__lowercase_identifier] = ACTIONS(6759),
    [anon_sym_SEMI_SEMI] = ACTIONS(6911),
    [anon_sym_let] = ACTIONS(6913),
    [anon_sym_and] = ACTIONS(6913),
    [anon_sym_EQ] = ACTIONS(6915),
    [anon_sym_TILDE] = ACTIONS(6767),
    [anon_sym_QMARK] = ACTIONS(6767),
    [anon_sym_LPAREN] = ACTIONS(6769),
    [anon_sym_external] = ACTIONS(6913),
    [anon_sym_type] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6771),
    [anon_sym_true] = ACTIONS(6773),
    [anon_sym_false] = ACTIONS(6773),
    [anon_sym_COLON2] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6777),
    [anon_sym_exception] = ACTIONS(6913),
    [anon_sym_module] = ACTIONS(6913),
    [anon_sym_open] = ACTIONS(6913),
    [anon_sym_include] = ACTIONS(6913),
    [anon_sym_class] = ACTIONS(6913),
    [anon_sym_end] = ACTIONS(6913),
    [anon_sym_POUND] = ACTIONS(6779),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6781),
    [anon_sym_begin] = ACTIONS(6783),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6911),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6787),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6789),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6911),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6911),
    [aux_sym_number_token1] = ACTIONS(6791),
    [aux_sym_signed_number_token1] = ACTIONS(6793),
    [anon_sym_SQUOTE] = ACTIONS(6795),
    [anon_sym_DQUOTE] = ACTIONS(6797),
    [sym_let_operator] = ACTIONS(6911),
    [sym__uppercase_identifier] = ACTIONS(6799),
    [aux_sym_directive_token1] = ACTIONS(6913),
    [aux_sym_tag_token1] = ACTIONS(6801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2526] = {
    [sym__simple_expression] = STATE(7673),
    [sym_typed_expression] = STATE(7789),
    [sym_list_expression] = STATE(7789),
    [sym_array_expression] = STATE(7789),
    [sym_record_expression] = STATE(7789),
    [sym_labeled_argument] = STATE(8299),
    [sym_prefix_expression] = STATE(7789),
    [sym_hash_expression] = STATE(7789),
    [sym_field_get_expression] = STATE(7789),
    [sym_array_get_expression] = STATE(7789),
    [sym_string_get_expression] = STATE(7789),
    [sym_bigarray_get_expression] = STATE(7789),
    [sym_coercion_expression] = STATE(7789),
    [sym_local_open_expression] = STATE(7789),
    [sym_package_expression] = STATE(7789),
    [sym_new_expression] = STATE(7789),
    [sym_object_copy_expression] = STATE(7789),
    [sym_method_invocation] = STATE(7789),
    [sym_object_expression] = STATE(7789),
    [sym_parenthesized_expression] = STATE(7789),
    [sym_attribute] = STATE(2526),
    [sym_extension] = STATE(7789),
    [sym_quoted_extension] = STATE(7789),
    [sym__constant] = STATE(7789),
    [sym_number] = STATE(7659),
    [sym_character] = STATE(7659),
    [sym_string] = STATE(7659),
    [sym_quoted_string] = STATE(7659),
    [sym_boolean] = STATE(7659),
    [sym_unit] = STATE(7659),
    [sym__value_name] = STATE(7874),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7789),
    [sym_module_path] = STATE(17467),
    [sym_constructor_path] = STATE(7789),
    [sym__constructor_name] = STATE(7660),
    [sym_tag] = STATE(7789),
    [aux_sym_class_application_repeat1] = STATE(2535),
    [sym__lowercase_identifier] = ACTIONS(6847),
    [anon_sym_TILDE] = ACTIONS(6849),
    [anon_sym_QMARK] = ACTIONS(6849),
    [anon_sym_LPAREN] = ACTIONS(6851),
    [anon_sym_LBRACK] = ACTIONS(6853),
    [anon_sym_true] = ACTIONS(6855),
    [anon_sym_false] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_constraint] = ACTIONS(5591),
    [anon_sym_val] = ACTIONS(5591),
    [anon_sym_end] = ACTIONS(5591),
    [anon_sym_object] = ACTIONS(6859),
    [anon_sym_inherit] = ACTIONS(5591),
    [anon_sym_method] = ACTIONS(5591),
    [anon_sym_as] = ACTIONS(5591),
    [anon_sym_initializer] = ACTIONS(5591),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_new] = ACTIONS(6863),
    [anon_sym_LBRACE_LT] = ACTIONS(6865),
    [anon_sym_begin] = ACTIONS(6867),
    [sym_ocamlyacc_value] = ACTIONS(6869),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6873),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5589),
    [aux_sym_number_token1] = ACTIONS(6875),
    [anon_sym_SQUOTE] = ACTIONS(6877),
    [anon_sym_DQUOTE] = ACTIONS(6879),
    [sym_prefix_operator] = ACTIONS(6881),
    [sym__uppercase_identifier] = ACTIONS(6883),
    [aux_sym_tag_token1] = ACTIONS(6885),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2527] = {
    [sym_parameter] = STATE(7425),
    [sym__class_typed] = STATE(11036),
    [sym__parenthesized_abstract_type] = STATE(7425),
    [sym__simple_pattern] = STATE(7426),
    [sym_typed_pattern] = STATE(7503),
    [sym_polymorphic_variant_pattern] = STATE(7503),
    [sym_record_pattern] = STATE(7503),
    [sym_list_pattern] = STATE(7503),
    [sym_array_pattern] = STATE(7503),
    [sym_local_open_pattern] = STATE(7503),
    [sym_package_pattern] = STATE(7503),
    [sym_parenthesized_pattern] = STATE(7503),
    [sym_attribute] = STATE(2527),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7503),
    [sym_quoted_extension] = STATE(7503),
    [sym__constant] = STATE(7370),
    [sym__signed_constant] = STATE(7503),
    [sym_number] = STATE(7480),
    [sym_signed_number] = STATE(7370),
    [sym_character] = STATE(7480),
    [sym_string] = STATE(7480),
    [sym_quoted_string] = STATE(7480),
    [sym_boolean] = STATE(7480),
    [sym_unit] = STATE(7480),
    [sym__simple_value_pattern] = STATE(7503),
    [sym_parenthesized_operator] = STATE(7503),
    [sym_module_path] = STATE(17613),
    [sym_constructor_path] = STATE(7503),
    [sym__constructor_name] = STATE(7591),
    [sym_tag] = STATE(7503),
    [aux_sym_expression_item_repeat1] = STATE(10414),
    [aux_sym_let_binding_repeat1] = STATE(2532),
    [sym__lowercase_identifier] = ACTIONS(6809),
    [anon_sym_SEMI_SEMI] = ACTIONS(6893),
    [anon_sym_let] = ACTIONS(6895),
    [anon_sym_and] = ACTIONS(6895),
    [anon_sym_EQ] = ACTIONS(6917),
    [anon_sym_TILDE] = ACTIONS(6813),
    [anon_sym_QMARK] = ACTIONS(6813),
    [anon_sym_LPAREN] = ACTIONS(6815),
    [anon_sym_external] = ACTIONS(6895),
    [anon_sym_type] = ACTIONS(6895),
    [anon_sym_LBRACK] = ACTIONS(6817),
    [anon_sym_RBRACK] = ACTIONS(6893),
    [anon_sym_true] = ACTIONS(6819),
    [anon_sym_false] = ACTIONS(6819),
    [anon_sym_COLON2] = ACTIONS(6821),
    [anon_sym_LBRACE] = ACTIONS(6823),
    [anon_sym_exception] = ACTIONS(6895),
    [anon_sym_module] = ACTIONS(6895),
    [anon_sym_open] = ACTIONS(6895),
    [anon_sym_include] = ACTIONS(6895),
    [anon_sym_class] = ACTIONS(6895),
    [anon_sym_POUND] = ACTIONS(6825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6827),
    [anon_sym_begin] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6893),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6893),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6893),
    [aux_sym_number_token1] = ACTIONS(6835),
    [aux_sym_signed_number_token1] = ACTIONS(6837),
    [anon_sym_SQUOTE] = ACTIONS(6839),
    [anon_sym_DQUOTE] = ACTIONS(6841),
    [sym_let_operator] = ACTIONS(6893),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_directive_token1] = ACTIONS(6895),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2528] = {
    [sym_parameter] = STATE(7425),
    [sym__class_typed] = STATE(10929),
    [sym__parenthesized_abstract_type] = STATE(7425),
    [sym__simple_pattern] = STATE(7426),
    [sym_typed_pattern] = STATE(7503),
    [sym_polymorphic_variant_pattern] = STATE(7503),
    [sym_record_pattern] = STATE(7503),
    [sym_list_pattern] = STATE(7503),
    [sym_array_pattern] = STATE(7503),
    [sym_local_open_pattern] = STATE(7503),
    [sym_package_pattern] = STATE(7503),
    [sym_parenthesized_pattern] = STATE(7503),
    [sym_attribute] = STATE(2528),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7503),
    [sym_quoted_extension] = STATE(7503),
    [sym__constant] = STATE(7370),
    [sym__signed_constant] = STATE(7503),
    [sym_number] = STATE(7480),
    [sym_signed_number] = STATE(7370),
    [sym_character] = STATE(7480),
    [sym_string] = STATE(7480),
    [sym_quoted_string] = STATE(7480),
    [sym_boolean] = STATE(7480),
    [sym_unit] = STATE(7480),
    [sym__simple_value_pattern] = STATE(7503),
    [sym_parenthesized_operator] = STATE(7503),
    [sym_module_path] = STATE(17613),
    [sym_constructor_path] = STATE(7503),
    [sym__constructor_name] = STATE(7591),
    [sym_tag] = STATE(7503),
    [aux_sym_expression_item_repeat1] = STATE(10464),
    [aux_sym_let_binding_repeat1] = STATE(2519),
    [sym__lowercase_identifier] = ACTIONS(6809),
    [anon_sym_SEMI_SEMI] = ACTIONS(6919),
    [anon_sym_let] = ACTIONS(6921),
    [anon_sym_and] = ACTIONS(6921),
    [anon_sym_EQ] = ACTIONS(6923),
    [anon_sym_TILDE] = ACTIONS(6813),
    [anon_sym_QMARK] = ACTIONS(6813),
    [anon_sym_LPAREN] = ACTIONS(6815),
    [anon_sym_external] = ACTIONS(6921),
    [anon_sym_type] = ACTIONS(6921),
    [anon_sym_LBRACK] = ACTIONS(6817),
    [anon_sym_RBRACK] = ACTIONS(6919),
    [anon_sym_true] = ACTIONS(6819),
    [anon_sym_false] = ACTIONS(6819),
    [anon_sym_COLON2] = ACTIONS(6821),
    [anon_sym_LBRACE] = ACTIONS(6823),
    [anon_sym_exception] = ACTIONS(6921),
    [anon_sym_module] = ACTIONS(6921),
    [anon_sym_open] = ACTIONS(6921),
    [anon_sym_include] = ACTIONS(6921),
    [anon_sym_class] = ACTIONS(6921),
    [anon_sym_POUND] = ACTIONS(6825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6827),
    [anon_sym_begin] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6919),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6919),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6919),
    [aux_sym_number_token1] = ACTIONS(6835),
    [aux_sym_signed_number_token1] = ACTIONS(6837),
    [anon_sym_SQUOTE] = ACTIONS(6839),
    [anon_sym_DQUOTE] = ACTIONS(6841),
    [sym_let_operator] = ACTIONS(6919),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_directive_token1] = ACTIONS(6921),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2529] = {
    [sym_parameter] = STATE(7371),
    [sym__class_typed] = STATE(10809),
    [sym__parenthesized_abstract_type] = STATE(7371),
    [sym__simple_pattern] = STATE(7372),
    [sym_typed_pattern] = STATE(7416),
    [sym_polymorphic_variant_pattern] = STATE(7416),
    [sym_record_pattern] = STATE(7416),
    [sym_list_pattern] = STATE(7416),
    [sym_array_pattern] = STATE(7416),
    [sym_local_open_pattern] = STATE(7416),
    [sym_package_pattern] = STATE(7416),
    [sym_parenthesized_pattern] = STATE(7416),
    [sym_attribute] = STATE(2529),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7416),
    [sym_quoted_extension] = STATE(7416),
    [sym__constant] = STATE(7486),
    [sym__signed_constant] = STATE(7416),
    [sym_number] = STATE(7405),
    [sym_signed_number] = STATE(7486),
    [sym_character] = STATE(7405),
    [sym_string] = STATE(7405),
    [sym_quoted_string] = STATE(7405),
    [sym_boolean] = STATE(7405),
    [sym_unit] = STATE(7405),
    [sym__simple_value_pattern] = STATE(7416),
    [sym_parenthesized_operator] = STATE(7416),
    [sym_module_path] = STATE(18996),
    [sym_constructor_path] = STATE(7416),
    [sym__constructor_name] = STATE(7406),
    [sym_tag] = STATE(7416),
    [aux_sym_expression_item_repeat1] = STATE(10624),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__lowercase_identifier] = ACTIONS(6759),
    [anon_sym_SEMI_SEMI] = ACTIONS(6925),
    [anon_sym_let] = ACTIONS(6927),
    [anon_sym_and] = ACTIONS(6927),
    [anon_sym_EQ] = ACTIONS(6929),
    [anon_sym_TILDE] = ACTIONS(6767),
    [anon_sym_QMARK] = ACTIONS(6767),
    [anon_sym_LPAREN] = ACTIONS(6769),
    [anon_sym_external] = ACTIONS(6927),
    [anon_sym_type] = ACTIONS(6927),
    [anon_sym_LBRACK] = ACTIONS(6771),
    [anon_sym_true] = ACTIONS(6773),
    [anon_sym_false] = ACTIONS(6773),
    [anon_sym_COLON2] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6777),
    [anon_sym_exception] = ACTIONS(6927),
    [anon_sym_module] = ACTIONS(6927),
    [anon_sym_open] = ACTIONS(6927),
    [anon_sym_include] = ACTIONS(6927),
    [anon_sym_class] = ACTIONS(6927),
    [anon_sym_end] = ACTIONS(6927),
    [anon_sym_POUND] = ACTIONS(6779),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6781),
    [anon_sym_begin] = ACTIONS(6783),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6925),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6787),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6789),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6925),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6925),
    [aux_sym_number_token1] = ACTIONS(6791),
    [aux_sym_signed_number_token1] = ACTIONS(6793),
    [anon_sym_SQUOTE] = ACTIONS(6795),
    [anon_sym_DQUOTE] = ACTIONS(6797),
    [sym_let_operator] = ACTIONS(6925),
    [sym__uppercase_identifier] = ACTIONS(6799),
    [aux_sym_directive_token1] = ACTIONS(6927),
    [aux_sym_tag_token1] = ACTIONS(6801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2530] = {
    [sym_parameter] = STATE(7425),
    [sym__class_typed] = STATE(10806),
    [sym__parenthesized_abstract_type] = STATE(7425),
    [sym__simple_pattern] = STATE(7426),
    [sym_typed_pattern] = STATE(7503),
    [sym_polymorphic_variant_pattern] = STATE(7503),
    [sym_record_pattern] = STATE(7503),
    [sym_list_pattern] = STATE(7503),
    [sym_array_pattern] = STATE(7503),
    [sym_local_open_pattern] = STATE(7503),
    [sym_package_pattern] = STATE(7503),
    [sym_parenthesized_pattern] = STATE(7503),
    [sym_attribute] = STATE(2530),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7503),
    [sym_quoted_extension] = STATE(7503),
    [sym__constant] = STATE(7370),
    [sym__signed_constant] = STATE(7503),
    [sym_number] = STATE(7480),
    [sym_signed_number] = STATE(7370),
    [sym_character] = STATE(7480),
    [sym_string] = STATE(7480),
    [sym_quoted_string] = STATE(7480),
    [sym_boolean] = STATE(7480),
    [sym_unit] = STATE(7480),
    [sym__simple_value_pattern] = STATE(7503),
    [sym_parenthesized_operator] = STATE(7503),
    [sym_module_path] = STATE(17613),
    [sym_constructor_path] = STATE(7503),
    [sym__constructor_name] = STATE(7591),
    [sym_tag] = STATE(7503),
    [aux_sym_expression_item_repeat1] = STATE(10541),
    [aux_sym_let_binding_repeat1] = STATE(2534),
    [sym__lowercase_identifier] = ACTIONS(6809),
    [anon_sym_SEMI_SEMI] = ACTIONS(6899),
    [anon_sym_let] = ACTIONS(6901),
    [anon_sym_and] = ACTIONS(6901),
    [anon_sym_EQ] = ACTIONS(6931),
    [anon_sym_TILDE] = ACTIONS(6813),
    [anon_sym_QMARK] = ACTIONS(6813),
    [anon_sym_LPAREN] = ACTIONS(6815),
    [anon_sym_external] = ACTIONS(6901),
    [anon_sym_type] = ACTIONS(6901),
    [anon_sym_LBRACK] = ACTIONS(6817),
    [anon_sym_RBRACK] = ACTIONS(6899),
    [anon_sym_true] = ACTIONS(6819),
    [anon_sym_false] = ACTIONS(6819),
    [anon_sym_COLON2] = ACTIONS(6821),
    [anon_sym_LBRACE] = ACTIONS(6823),
    [anon_sym_exception] = ACTIONS(6901),
    [anon_sym_module] = ACTIONS(6901),
    [anon_sym_open] = ACTIONS(6901),
    [anon_sym_include] = ACTIONS(6901),
    [anon_sym_class] = ACTIONS(6901),
    [anon_sym_POUND] = ACTIONS(6825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6827),
    [anon_sym_begin] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6899),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6899),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6899),
    [aux_sym_number_token1] = ACTIONS(6835),
    [aux_sym_signed_number_token1] = ACTIONS(6837),
    [anon_sym_SQUOTE] = ACTIONS(6839),
    [anon_sym_DQUOTE] = ACTIONS(6841),
    [sym_let_operator] = ACTIONS(6899),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_directive_token1] = ACTIONS(6901),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2531] = {
    [sym_parameter] = STATE(7425),
    [sym__class_typed] = STATE(10819),
    [sym__parenthesized_abstract_type] = STATE(7425),
    [sym__simple_pattern] = STATE(7426),
    [sym_typed_pattern] = STATE(7503),
    [sym_polymorphic_variant_pattern] = STATE(7503),
    [sym_record_pattern] = STATE(7503),
    [sym_list_pattern] = STATE(7503),
    [sym_array_pattern] = STATE(7503),
    [sym_local_open_pattern] = STATE(7503),
    [sym_package_pattern] = STATE(7503),
    [sym_parenthesized_pattern] = STATE(7503),
    [sym_attribute] = STATE(2531),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7503),
    [sym_quoted_extension] = STATE(7503),
    [sym__constant] = STATE(7370),
    [sym__signed_constant] = STATE(7503),
    [sym_number] = STATE(7480),
    [sym_signed_number] = STATE(7370),
    [sym_character] = STATE(7480),
    [sym_string] = STATE(7480),
    [sym_quoted_string] = STATE(7480),
    [sym_boolean] = STATE(7480),
    [sym_unit] = STATE(7480),
    [sym__simple_value_pattern] = STATE(7503),
    [sym_parenthesized_operator] = STATE(7503),
    [sym_module_path] = STATE(17613),
    [sym_constructor_path] = STATE(7503),
    [sym__constructor_name] = STATE(7591),
    [sym_tag] = STATE(7503),
    [aux_sym_expression_item_repeat1] = STATE(10658),
    [aux_sym_let_binding_repeat1] = STATE(2563),
    [sym__lowercase_identifier] = ACTIONS(6809),
    [anon_sym_SEMI_SEMI] = ACTIONS(6933),
    [anon_sym_let] = ACTIONS(6935),
    [anon_sym_and] = ACTIONS(6935),
    [anon_sym_EQ] = ACTIONS(6937),
    [anon_sym_TILDE] = ACTIONS(6813),
    [anon_sym_QMARK] = ACTIONS(6813),
    [anon_sym_LPAREN] = ACTIONS(6815),
    [anon_sym_external] = ACTIONS(6935),
    [anon_sym_type] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6817),
    [anon_sym_RBRACK] = ACTIONS(6933),
    [anon_sym_true] = ACTIONS(6819),
    [anon_sym_false] = ACTIONS(6819),
    [anon_sym_COLON2] = ACTIONS(6821),
    [anon_sym_LBRACE] = ACTIONS(6823),
    [anon_sym_exception] = ACTIONS(6935),
    [anon_sym_module] = ACTIONS(6935),
    [anon_sym_open] = ACTIONS(6935),
    [anon_sym_include] = ACTIONS(6935),
    [anon_sym_class] = ACTIONS(6935),
    [anon_sym_POUND] = ACTIONS(6825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6827),
    [anon_sym_begin] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6933),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6933),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6933),
    [aux_sym_number_token1] = ACTIONS(6835),
    [aux_sym_signed_number_token1] = ACTIONS(6837),
    [anon_sym_SQUOTE] = ACTIONS(6839),
    [anon_sym_DQUOTE] = ACTIONS(6841),
    [sym_let_operator] = ACTIONS(6933),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_directive_token1] = ACTIONS(6935),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2532] = {
    [sym_parameter] = STATE(7425),
    [sym__class_typed] = STATE(11012),
    [sym__parenthesized_abstract_type] = STATE(7425),
    [sym__simple_pattern] = STATE(7426),
    [sym_typed_pattern] = STATE(7503),
    [sym_polymorphic_variant_pattern] = STATE(7503),
    [sym_record_pattern] = STATE(7503),
    [sym_list_pattern] = STATE(7503),
    [sym_array_pattern] = STATE(7503),
    [sym_local_open_pattern] = STATE(7503),
    [sym_package_pattern] = STATE(7503),
    [sym_parenthesized_pattern] = STATE(7503),
    [sym_attribute] = STATE(2532),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7503),
    [sym_quoted_extension] = STATE(7503),
    [sym__constant] = STATE(7370),
    [sym__signed_constant] = STATE(7503),
    [sym_number] = STATE(7480),
    [sym_signed_number] = STATE(7370),
    [sym_character] = STATE(7480),
    [sym_string] = STATE(7480),
    [sym_quoted_string] = STATE(7480),
    [sym_boolean] = STATE(7480),
    [sym_unit] = STATE(7480),
    [sym__simple_value_pattern] = STATE(7503),
    [sym_parenthesized_operator] = STATE(7503),
    [sym_module_path] = STATE(17613),
    [sym_constructor_path] = STATE(7503),
    [sym__constructor_name] = STATE(7591),
    [sym_tag] = STATE(7503),
    [aux_sym_expression_item_repeat1] = STATE(10624),
    [aux_sym_let_binding_repeat1] = STATE(2563),
    [sym__lowercase_identifier] = ACTIONS(6809),
    [anon_sym_SEMI_SEMI] = ACTIONS(6925),
    [anon_sym_let] = ACTIONS(6927),
    [anon_sym_and] = ACTIONS(6927),
    [anon_sym_EQ] = ACTIONS(6939),
    [anon_sym_TILDE] = ACTIONS(6813),
    [anon_sym_QMARK] = ACTIONS(6813),
    [anon_sym_LPAREN] = ACTIONS(6815),
    [anon_sym_external] = ACTIONS(6927),
    [anon_sym_type] = ACTIONS(6927),
    [anon_sym_LBRACK] = ACTIONS(6817),
    [anon_sym_RBRACK] = ACTIONS(6925),
    [anon_sym_true] = ACTIONS(6819),
    [anon_sym_false] = ACTIONS(6819),
    [anon_sym_COLON2] = ACTIONS(6821),
    [anon_sym_LBRACE] = ACTIONS(6823),
    [anon_sym_exception] = ACTIONS(6927),
    [anon_sym_module] = ACTIONS(6927),
    [anon_sym_open] = ACTIONS(6927),
    [anon_sym_include] = ACTIONS(6927),
    [anon_sym_class] = ACTIONS(6927),
    [anon_sym_POUND] = ACTIONS(6825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6827),
    [anon_sym_begin] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6925),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6925),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6925),
    [aux_sym_number_token1] = ACTIONS(6835),
    [aux_sym_signed_number_token1] = ACTIONS(6837),
    [anon_sym_SQUOTE] = ACTIONS(6839),
    [anon_sym_DQUOTE] = ACTIONS(6841),
    [sym_let_operator] = ACTIONS(6925),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_directive_token1] = ACTIONS(6927),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2533] = {
    [sym_parameter] = STATE(7425),
    [sym__class_typed] = STATE(10829),
    [sym__parenthesized_abstract_type] = STATE(7425),
    [sym__simple_pattern] = STATE(7426),
    [sym_typed_pattern] = STATE(7503),
    [sym_polymorphic_variant_pattern] = STATE(7503),
    [sym_record_pattern] = STATE(7503),
    [sym_list_pattern] = STATE(7503),
    [sym_array_pattern] = STATE(7503),
    [sym_local_open_pattern] = STATE(7503),
    [sym_package_pattern] = STATE(7503),
    [sym_parenthesized_pattern] = STATE(7503),
    [sym_attribute] = STATE(2533),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7503),
    [sym_quoted_extension] = STATE(7503),
    [sym__constant] = STATE(7370),
    [sym__signed_constant] = STATE(7503),
    [sym_number] = STATE(7480),
    [sym_signed_number] = STATE(7370),
    [sym_character] = STATE(7480),
    [sym_string] = STATE(7480),
    [sym_quoted_string] = STATE(7480),
    [sym_boolean] = STATE(7480),
    [sym_unit] = STATE(7480),
    [sym__simple_value_pattern] = STATE(7503),
    [sym_parenthesized_operator] = STATE(7503),
    [sym_module_path] = STATE(17613),
    [sym_constructor_path] = STATE(7503),
    [sym__constructor_name] = STATE(7591),
    [sym_tag] = STATE(7503),
    [aux_sym_expression_item_repeat1] = STATE(10661),
    [aux_sym_let_binding_repeat1] = STATE(2537),
    [sym__lowercase_identifier] = ACTIONS(6809),
    [anon_sym_SEMI_SEMI] = ACTIONS(6803),
    [anon_sym_let] = ACTIONS(6805),
    [anon_sym_and] = ACTIONS(6805),
    [anon_sym_EQ] = ACTIONS(6941),
    [anon_sym_TILDE] = ACTIONS(6813),
    [anon_sym_QMARK] = ACTIONS(6813),
    [anon_sym_LPAREN] = ACTIONS(6815),
    [anon_sym_external] = ACTIONS(6805),
    [anon_sym_type] = ACTIONS(6805),
    [anon_sym_LBRACK] = ACTIONS(6817),
    [anon_sym_RBRACK] = ACTIONS(6803),
    [anon_sym_true] = ACTIONS(6819),
    [anon_sym_false] = ACTIONS(6819),
    [anon_sym_COLON2] = ACTIONS(6821),
    [anon_sym_LBRACE] = ACTIONS(6823),
    [anon_sym_exception] = ACTIONS(6805),
    [anon_sym_module] = ACTIONS(6805),
    [anon_sym_open] = ACTIONS(6805),
    [anon_sym_include] = ACTIONS(6805),
    [anon_sym_class] = ACTIONS(6805),
    [anon_sym_POUND] = ACTIONS(6825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6827),
    [anon_sym_begin] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6803),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6803),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6803),
    [aux_sym_number_token1] = ACTIONS(6835),
    [aux_sym_signed_number_token1] = ACTIONS(6837),
    [anon_sym_SQUOTE] = ACTIONS(6839),
    [anon_sym_DQUOTE] = ACTIONS(6841),
    [sym_let_operator] = ACTIONS(6803),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_directive_token1] = ACTIONS(6805),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2534] = {
    [sym_parameter] = STATE(7425),
    [sym__class_typed] = STATE(10984),
    [sym__parenthesized_abstract_type] = STATE(7425),
    [sym__simple_pattern] = STATE(7426),
    [sym_typed_pattern] = STATE(7503),
    [sym_polymorphic_variant_pattern] = STATE(7503),
    [sym_record_pattern] = STATE(7503),
    [sym_list_pattern] = STATE(7503),
    [sym_array_pattern] = STATE(7503),
    [sym_local_open_pattern] = STATE(7503),
    [sym_package_pattern] = STATE(7503),
    [sym_parenthesized_pattern] = STATE(7503),
    [sym_attribute] = STATE(2534),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7503),
    [sym_quoted_extension] = STATE(7503),
    [sym__constant] = STATE(7370),
    [sym__signed_constant] = STATE(7503),
    [sym_number] = STATE(7480),
    [sym_signed_number] = STATE(7370),
    [sym_character] = STATE(7480),
    [sym_string] = STATE(7480),
    [sym_quoted_string] = STATE(7480),
    [sym_boolean] = STATE(7480),
    [sym_unit] = STATE(7480),
    [sym__simple_value_pattern] = STATE(7503),
    [sym_parenthesized_operator] = STATE(7503),
    [sym_module_path] = STATE(17613),
    [sym_constructor_path] = STATE(7503),
    [sym__constructor_name] = STATE(7591),
    [sym_tag] = STATE(7503),
    [aux_sym_expression_item_repeat1] = STATE(10609),
    [aux_sym_let_binding_repeat1] = STATE(2563),
    [sym__lowercase_identifier] = ACTIONS(6809),
    [anon_sym_SEMI_SEMI] = ACTIONS(6911),
    [anon_sym_let] = ACTIONS(6913),
    [anon_sym_and] = ACTIONS(6913),
    [anon_sym_EQ] = ACTIONS(6943),
    [anon_sym_TILDE] = ACTIONS(6813),
    [anon_sym_QMARK] = ACTIONS(6813),
    [anon_sym_LPAREN] = ACTIONS(6815),
    [anon_sym_external] = ACTIONS(6913),
    [anon_sym_type] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6817),
    [anon_sym_RBRACK] = ACTIONS(6911),
    [anon_sym_true] = ACTIONS(6819),
    [anon_sym_false] = ACTIONS(6819),
    [anon_sym_COLON2] = ACTIONS(6821),
    [anon_sym_LBRACE] = ACTIONS(6823),
    [anon_sym_exception] = ACTIONS(6913),
    [anon_sym_module] = ACTIONS(6913),
    [anon_sym_open] = ACTIONS(6913),
    [anon_sym_include] = ACTIONS(6913),
    [anon_sym_class] = ACTIONS(6913),
    [anon_sym_POUND] = ACTIONS(6825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6827),
    [anon_sym_begin] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6911),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6911),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6911),
    [aux_sym_number_token1] = ACTIONS(6835),
    [aux_sym_signed_number_token1] = ACTIONS(6837),
    [anon_sym_SQUOTE] = ACTIONS(6839),
    [anon_sym_DQUOTE] = ACTIONS(6841),
    [sym_let_operator] = ACTIONS(6911),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_directive_token1] = ACTIONS(6913),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2535] = {
    [sym__simple_expression] = STATE(7673),
    [sym_typed_expression] = STATE(7789),
    [sym_list_expression] = STATE(7789),
    [sym_array_expression] = STATE(7789),
    [sym_record_expression] = STATE(7789),
    [sym_labeled_argument] = STATE(8299),
    [sym_prefix_expression] = STATE(7789),
    [sym_hash_expression] = STATE(7789),
    [sym_field_get_expression] = STATE(7789),
    [sym_array_get_expression] = STATE(7789),
    [sym_string_get_expression] = STATE(7789),
    [sym_bigarray_get_expression] = STATE(7789),
    [sym_coercion_expression] = STATE(7789),
    [sym_local_open_expression] = STATE(7789),
    [sym_package_expression] = STATE(7789),
    [sym_new_expression] = STATE(7789),
    [sym_object_copy_expression] = STATE(7789),
    [sym_method_invocation] = STATE(7789),
    [sym_object_expression] = STATE(7789),
    [sym_parenthesized_expression] = STATE(7789),
    [sym_attribute] = STATE(2535),
    [sym_extension] = STATE(7789),
    [sym_quoted_extension] = STATE(7789),
    [sym__constant] = STATE(7789),
    [sym_number] = STATE(7659),
    [sym_character] = STATE(7659),
    [sym_string] = STATE(7659),
    [sym_quoted_string] = STATE(7659),
    [sym_boolean] = STATE(7659),
    [sym_unit] = STATE(7659),
    [sym__value_name] = STATE(7874),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7789),
    [sym_module_path] = STATE(17467),
    [sym_constructor_path] = STATE(7789),
    [sym__constructor_name] = STATE(7660),
    [sym_tag] = STATE(7789),
    [aux_sym_class_application_repeat1] = STATE(2535),
    [sym__lowercase_identifier] = ACTIONS(6945),
    [anon_sym_TILDE] = ACTIONS(6948),
    [anon_sym_QMARK] = ACTIONS(6948),
    [anon_sym_LPAREN] = ACTIONS(6951),
    [anon_sym_LBRACK] = ACTIONS(6954),
    [anon_sym_true] = ACTIONS(6957),
    [anon_sym_false] = ACTIONS(6957),
    [anon_sym_LBRACE] = ACTIONS(6960),
    [anon_sym_constraint] = ACTIONS(3502),
    [anon_sym_val] = ACTIONS(3502),
    [anon_sym_end] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(6963),
    [anon_sym_inherit] = ACTIONS(3502),
    [anon_sym_method] = ACTIONS(3502),
    [anon_sym_as] = ACTIONS(3502),
    [anon_sym_initializer] = ACTIONS(3502),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6966),
    [anon_sym_new] = ACTIONS(6969),
    [anon_sym_LBRACE_LT] = ACTIONS(6972),
    [anon_sym_begin] = ACTIONS(6975),
    [sym_ocamlyacc_value] = ACTIONS(6978),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3502),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3500),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6984),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3500),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3500),
    [aux_sym_number_token1] = ACTIONS(6987),
    [anon_sym_SQUOTE] = ACTIONS(6990),
    [anon_sym_DQUOTE] = ACTIONS(6993),
    [sym_prefix_operator] = ACTIONS(6996),
    [sym__uppercase_identifier] = ACTIONS(6999),
    [aux_sym_tag_token1] = ACTIONS(7002),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2536] = {
    [sym_parameter] = STATE(7371),
    [sym__class_typed] = STATE(10818),
    [sym__parenthesized_abstract_type] = STATE(7371),
    [sym__simple_pattern] = STATE(7372),
    [sym_typed_pattern] = STATE(7416),
    [sym_polymorphic_variant_pattern] = STATE(7416),
    [sym_record_pattern] = STATE(7416),
    [sym_list_pattern] = STATE(7416),
    [sym_array_pattern] = STATE(7416),
    [sym_local_open_pattern] = STATE(7416),
    [sym_package_pattern] = STATE(7416),
    [sym_parenthesized_pattern] = STATE(7416),
    [sym_attribute] = STATE(2536),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7416),
    [sym_quoted_extension] = STATE(7416),
    [sym__constant] = STATE(7486),
    [sym__signed_constant] = STATE(7416),
    [sym_number] = STATE(7405),
    [sym_signed_number] = STATE(7486),
    [sym_character] = STATE(7405),
    [sym_string] = STATE(7405),
    [sym_quoted_string] = STATE(7405),
    [sym_boolean] = STATE(7405),
    [sym_unit] = STATE(7405),
    [sym__simple_value_pattern] = STATE(7416),
    [sym_parenthesized_operator] = STATE(7416),
    [sym_module_path] = STATE(18996),
    [sym_constructor_path] = STATE(7416),
    [sym__constructor_name] = STATE(7406),
    [sym_tag] = STATE(7416),
    [aux_sym_expression_item_repeat1] = STATE(10614),
    [aux_sym_let_binding_repeat1] = STATE(2539),
    [sym__lowercase_identifier] = ACTIONS(6759),
    [anon_sym_SEMI_SEMI] = ACTIONS(6905),
    [anon_sym_let] = ACTIONS(6907),
    [anon_sym_and] = ACTIONS(6907),
    [anon_sym_EQ] = ACTIONS(7005),
    [anon_sym_TILDE] = ACTIONS(6767),
    [anon_sym_QMARK] = ACTIONS(6767),
    [anon_sym_LPAREN] = ACTIONS(6769),
    [anon_sym_external] = ACTIONS(6907),
    [anon_sym_type] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(6771),
    [anon_sym_true] = ACTIONS(6773),
    [anon_sym_false] = ACTIONS(6773),
    [anon_sym_COLON2] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6777),
    [anon_sym_exception] = ACTIONS(6907),
    [anon_sym_module] = ACTIONS(6907),
    [anon_sym_open] = ACTIONS(6907),
    [anon_sym_include] = ACTIONS(6907),
    [anon_sym_class] = ACTIONS(6907),
    [anon_sym_end] = ACTIONS(6907),
    [anon_sym_POUND] = ACTIONS(6779),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6781),
    [anon_sym_begin] = ACTIONS(6783),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6905),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6787),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6789),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6905),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6905),
    [aux_sym_number_token1] = ACTIONS(6791),
    [aux_sym_signed_number_token1] = ACTIONS(6793),
    [anon_sym_SQUOTE] = ACTIONS(6795),
    [anon_sym_DQUOTE] = ACTIONS(6797),
    [sym_let_operator] = ACTIONS(6905),
    [sym__uppercase_identifier] = ACTIONS(6799),
    [aux_sym_directive_token1] = ACTIONS(6907),
    [aux_sym_tag_token1] = ACTIONS(6801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2537] = {
    [sym_parameter] = STATE(7425),
    [sym__class_typed] = STATE(10923),
    [sym__parenthesized_abstract_type] = STATE(7425),
    [sym__simple_pattern] = STATE(7426),
    [sym_typed_pattern] = STATE(7503),
    [sym_polymorphic_variant_pattern] = STATE(7503),
    [sym_record_pattern] = STATE(7503),
    [sym_list_pattern] = STATE(7503),
    [sym_array_pattern] = STATE(7503),
    [sym_local_open_pattern] = STATE(7503),
    [sym_package_pattern] = STATE(7503),
    [sym_parenthesized_pattern] = STATE(7503),
    [sym_attribute] = STATE(2537),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7503),
    [sym_quoted_extension] = STATE(7503),
    [sym__constant] = STATE(7370),
    [sym__signed_constant] = STATE(7503),
    [sym_number] = STATE(7480),
    [sym_signed_number] = STATE(7370),
    [sym_character] = STATE(7480),
    [sym_string] = STATE(7480),
    [sym_quoted_string] = STATE(7480),
    [sym_boolean] = STATE(7480),
    [sym_unit] = STATE(7480),
    [sym__simple_value_pattern] = STATE(7503),
    [sym_parenthesized_operator] = STATE(7503),
    [sym_module_path] = STATE(17613),
    [sym_constructor_path] = STATE(7503),
    [sym__constructor_name] = STATE(7591),
    [sym_tag] = STATE(7503),
    [aux_sym_expression_item_repeat1] = STATE(10702),
    [aux_sym_let_binding_repeat1] = STATE(2563),
    [sym__lowercase_identifier] = ACTIONS(6809),
    [anon_sym_SEMI_SEMI] = ACTIONS(6887),
    [anon_sym_let] = ACTIONS(6889),
    [anon_sym_and] = ACTIONS(6889),
    [anon_sym_EQ] = ACTIONS(7007),
    [anon_sym_TILDE] = ACTIONS(6813),
    [anon_sym_QMARK] = ACTIONS(6813),
    [anon_sym_LPAREN] = ACTIONS(6815),
    [anon_sym_external] = ACTIONS(6889),
    [anon_sym_type] = ACTIONS(6889),
    [anon_sym_LBRACK] = ACTIONS(6817),
    [anon_sym_RBRACK] = ACTIONS(6887),
    [anon_sym_true] = ACTIONS(6819),
    [anon_sym_false] = ACTIONS(6819),
    [anon_sym_COLON2] = ACTIONS(6821),
    [anon_sym_LBRACE] = ACTIONS(6823),
    [anon_sym_exception] = ACTIONS(6889),
    [anon_sym_module] = ACTIONS(6889),
    [anon_sym_open] = ACTIONS(6889),
    [anon_sym_include] = ACTIONS(6889),
    [anon_sym_class] = ACTIONS(6889),
    [anon_sym_POUND] = ACTIONS(6825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6827),
    [anon_sym_begin] = ACTIONS(6829),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6887),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6887),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6887),
    [aux_sym_number_token1] = ACTIONS(6835),
    [aux_sym_signed_number_token1] = ACTIONS(6837),
    [anon_sym_SQUOTE] = ACTIONS(6839),
    [anon_sym_DQUOTE] = ACTIONS(6841),
    [sym_let_operator] = ACTIONS(6887),
    [sym__uppercase_identifier] = ACTIONS(6843),
    [aux_sym_directive_token1] = ACTIONS(6889),
    [aux_sym_tag_token1] = ACTIONS(6845),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2538] = {
    [sym_parameter] = STATE(7371),
    [sym__class_typed] = STATE(10808),
    [sym__parenthesized_abstract_type] = STATE(7371),
    [sym__simple_pattern] = STATE(7372),
    [sym_typed_pattern] = STATE(7416),
    [sym_polymorphic_variant_pattern] = STATE(7416),
    [sym_record_pattern] = STATE(7416),
    [sym_list_pattern] = STATE(7416),
    [sym_array_pattern] = STATE(7416),
    [sym_local_open_pattern] = STATE(7416),
    [sym_package_pattern] = STATE(7416),
    [sym_parenthesized_pattern] = STATE(7416),
    [sym_attribute] = STATE(2538),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7416),
    [sym_quoted_extension] = STATE(7416),
    [sym__constant] = STATE(7486),
    [sym__signed_constant] = STATE(7416),
    [sym_number] = STATE(7405),
    [sym_signed_number] = STATE(7486),
    [sym_character] = STATE(7405),
    [sym_string] = STATE(7405),
    [sym_quoted_string] = STATE(7405),
    [sym_boolean] = STATE(7405),
    [sym_unit] = STATE(7405),
    [sym__simple_value_pattern] = STATE(7416),
    [sym_parenthesized_operator] = STATE(7416),
    [sym_module_path] = STATE(18996),
    [sym_constructor_path] = STATE(7416),
    [sym__constructor_name] = STATE(7406),
    [sym_tag] = STATE(7416),
    [aux_sym_expression_item_repeat1] = STATE(10464),
    [aux_sym_let_binding_repeat1] = STATE(2517),
    [sym__lowercase_identifier] = ACTIONS(6759),
    [anon_sym_SEMI_SEMI] = ACTIONS(6919),
    [anon_sym_let] = ACTIONS(6921),
    [anon_sym_and] = ACTIONS(6921),
    [anon_sym_EQ] = ACTIONS(7009),
    [anon_sym_TILDE] = ACTIONS(6767),
    [anon_sym_QMARK] = ACTIONS(6767),
    [anon_sym_LPAREN] = ACTIONS(6769),
    [anon_sym_external] = ACTIONS(6921),
    [anon_sym_type] = ACTIONS(6921),
    [anon_sym_LBRACK] = ACTIONS(6771),
    [anon_sym_true] = ACTIONS(6773),
    [anon_sym_false] = ACTIONS(6773),
    [anon_sym_COLON2] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6777),
    [anon_sym_exception] = ACTIONS(6921),
    [anon_sym_module] = ACTIONS(6921),
    [anon_sym_open] = ACTIONS(6921),
    [anon_sym_include] = ACTIONS(6921),
    [anon_sym_class] = ACTIONS(6921),
    [anon_sym_end] = ACTIONS(6921),
    [anon_sym_POUND] = ACTIONS(6779),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6781),
    [anon_sym_begin] = ACTIONS(6783),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6919),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6787),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6789),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6919),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6919),
    [aux_sym_number_token1] = ACTIONS(6791),
    [aux_sym_signed_number_token1] = ACTIONS(6793),
    [anon_sym_SQUOTE] = ACTIONS(6795),
    [anon_sym_DQUOTE] = ACTIONS(6797),
    [sym_let_operator] = ACTIONS(6919),
    [sym__uppercase_identifier] = ACTIONS(6799),
    [aux_sym_directive_token1] = ACTIONS(6921),
    [aux_sym_tag_token1] = ACTIONS(6801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2539] = {
    [sym_parameter] = STATE(7371),
    [sym__class_typed] = STATE(10825),
    [sym__parenthesized_abstract_type] = STATE(7371),
    [sym__simple_pattern] = STATE(7372),
    [sym_typed_pattern] = STATE(7416),
    [sym_polymorphic_variant_pattern] = STATE(7416),
    [sym_record_pattern] = STATE(7416),
    [sym_list_pattern] = STATE(7416),
    [sym_array_pattern] = STATE(7416),
    [sym_local_open_pattern] = STATE(7416),
    [sym_package_pattern] = STATE(7416),
    [sym_parenthesized_pattern] = STATE(7416),
    [sym_attribute] = STATE(2539),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7416),
    [sym_quoted_extension] = STATE(7416),
    [sym__constant] = STATE(7486),
    [sym__signed_constant] = STATE(7416),
    [sym_number] = STATE(7405),
    [sym_signed_number] = STATE(7486),
    [sym_character] = STATE(7405),
    [sym_string] = STATE(7405),
    [sym_quoted_string] = STATE(7405),
    [sym_boolean] = STATE(7405),
    [sym_unit] = STATE(7405),
    [sym__simple_value_pattern] = STATE(7416),
    [sym_parenthesized_operator] = STATE(7416),
    [sym_module_path] = STATE(18996),
    [sym_constructor_path] = STATE(7416),
    [sym__constructor_name] = STATE(7406),
    [sym_tag] = STATE(7416),
    [aux_sym_expression_item_repeat1] = STATE(10658),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__lowercase_identifier] = ACTIONS(6759),
    [anon_sym_SEMI_SEMI] = ACTIONS(6933),
    [anon_sym_let] = ACTIONS(6935),
    [anon_sym_and] = ACTIONS(6935),
    [anon_sym_EQ] = ACTIONS(7011),
    [anon_sym_TILDE] = ACTIONS(6767),
    [anon_sym_QMARK] = ACTIONS(6767),
    [anon_sym_LPAREN] = ACTIONS(6769),
    [anon_sym_external] = ACTIONS(6935),
    [anon_sym_type] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6771),
    [anon_sym_true] = ACTIONS(6773),
    [anon_sym_false] = ACTIONS(6773),
    [anon_sym_COLON2] = ACTIONS(6775),
    [anon_sym_LBRACE] = ACTIONS(6777),
    [anon_sym_exception] = ACTIONS(6935),
    [anon_sym_module] = ACTIONS(6935),
    [anon_sym_open] = ACTIONS(6935),
    [anon_sym_include] = ACTIONS(6935),
    [anon_sym_class] = ACTIONS(6935),
    [anon_sym_end] = ACTIONS(6935),
    [anon_sym_POUND] = ACTIONS(6779),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6781),
    [anon_sym_begin] = ACTIONS(6783),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6933),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6787),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6789),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6933),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6933),
    [aux_sym_number_token1] = ACTIONS(6791),
    [aux_sym_signed_number_token1] = ACTIONS(6793),
    [anon_sym_SQUOTE] = ACTIONS(6795),
    [anon_sym_DQUOTE] = ACTIONS(6797),
    [sym_let_operator] = ACTIONS(6933),
    [sym__uppercase_identifier] = ACTIONS(6799),
    [aux_sym_directive_token1] = ACTIONS(6935),
    [aux_sym_tag_token1] = ACTIONS(6801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2540] = {
    [sym__parenthesized_abstract_type] = STATE(3285),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(12971),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2540),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_EQ] = ACTIONS(7013),
    [anon_sym_LPAREN] = ACTIONS(7015),
    [anon_sym_RPAREN] = ACTIONS(7013),
    [anon_sym_COMMA] = ACTIONS(7013),
    [anon_sym_PIPE] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_RBRACK] = ACTIONS(7013),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_COLON2] = ACTIONS(7017),
    [anon_sym_DASH_GT] = ACTIONS(7013),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_as] = ACTIONS(7017),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_COLON_COLON] = ACTIONS(7013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_when] = ACTIONS(7017),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7021),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2541] = {
    [sym_parameter] = STATE(7904),
    [sym__class_typed] = STATE(11614),
    [sym__parenthesized_abstract_type] = STATE(7904),
    [sym__simple_pattern] = STATE(7905),
    [sym_typed_pattern] = STATE(7901),
    [sym_polymorphic_variant_pattern] = STATE(7901),
    [sym_record_pattern] = STATE(7901),
    [sym_list_pattern] = STATE(7901),
    [sym_array_pattern] = STATE(7901),
    [sym_local_open_pattern] = STATE(7901),
    [sym_package_pattern] = STATE(7901),
    [sym_parenthesized_pattern] = STATE(7901),
    [sym_attribute] = STATE(2541),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7901),
    [sym_quoted_extension] = STATE(7901),
    [sym__constant] = STATE(7666),
    [sym__signed_constant] = STATE(7901),
    [sym_number] = STATE(7704),
    [sym_signed_number] = STATE(7666),
    [sym_character] = STATE(7704),
    [sym_string] = STATE(7704),
    [sym_quoted_string] = STATE(7704),
    [sym_boolean] = STATE(7704),
    [sym_unit] = STATE(7704),
    [sym__simple_value_pattern] = STATE(7901),
    [sym_parenthesized_operator] = STATE(7901),
    [sym_module_path] = STATE(19343),
    [sym_constructor_path] = STATE(7901),
    [sym__constructor_name] = STATE(7935),
    [sym_tag] = STATE(7901),
    [aux_sym_expression_item_repeat1] = STATE(10669),
    [aux_sym_let_binding_repeat1] = STATE(2570),
    [sym__lowercase_identifier] = ACTIONS(7023),
    [anon_sym_SEMI_SEMI] = ACTIONS(6761),
    [anon_sym_and] = ACTIONS(6763),
    [anon_sym_EQ] = ACTIONS(7025),
    [anon_sym_TILDE] = ACTIONS(7027),
    [anon_sym_QMARK] = ACTIONS(7027),
    [anon_sym_LPAREN] = ACTIONS(7029),
    [anon_sym_external] = ACTIONS(6763),
    [anon_sym_type] = ACTIONS(6763),
    [anon_sym_LBRACK] = ACTIONS(7031),
    [anon_sym_RBRACK] = ACTIONS(6761),
    [anon_sym_true] = ACTIONS(7033),
    [anon_sym_false] = ACTIONS(7033),
    [anon_sym_COLON2] = ACTIONS(7035),
    [anon_sym_LBRACE] = ACTIONS(7037),
    [anon_sym_exception] = ACTIONS(6763),
    [anon_sym_module] = ACTIONS(6763),
    [anon_sym_open] = ACTIONS(6763),
    [anon_sym_include] = ACTIONS(6763),
    [anon_sym_class] = ACTIONS(6763),
    [anon_sym_val] = ACTIONS(6763),
    [anon_sym_POUND] = ACTIONS(7039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7041),
    [anon_sym_begin] = ACTIONS(7043),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6761),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7047),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6761),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6761),
    [aux_sym_number_token1] = ACTIONS(7049),
    [aux_sym_signed_number_token1] = ACTIONS(7051),
    [anon_sym_SQUOTE] = ACTIONS(7053),
    [anon_sym_DQUOTE] = ACTIONS(7055),
    [sym__uppercase_identifier] = ACTIONS(7057),
    [aux_sym_tag_token1] = ACTIONS(7059),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2542] = {
    [sym_parameter] = STATE(7911),
    [sym__class_typed] = STATE(11675),
    [sym__parenthesized_abstract_type] = STATE(7911),
    [sym__simple_pattern] = STATE(7912),
    [sym_typed_pattern] = STATE(7941),
    [sym_polymorphic_variant_pattern] = STATE(7941),
    [sym_record_pattern] = STATE(7941),
    [sym_list_pattern] = STATE(7941),
    [sym_array_pattern] = STATE(7941),
    [sym_local_open_pattern] = STATE(7941),
    [sym_package_pattern] = STATE(7941),
    [sym_parenthesized_pattern] = STATE(7941),
    [sym_attribute] = STATE(2542),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7941),
    [sym_quoted_extension] = STATE(7941),
    [sym__constant] = STATE(7798),
    [sym__signed_constant] = STATE(7941),
    [sym_number] = STATE(7922),
    [sym_signed_number] = STATE(7798),
    [sym_character] = STATE(7922),
    [sym_string] = STATE(7922),
    [sym_quoted_string] = STATE(7922),
    [sym_boolean] = STATE(7922),
    [sym_unit] = STATE(7922),
    [sym__simple_value_pattern] = STATE(7941),
    [sym_parenthesized_operator] = STATE(7941),
    [sym_module_path] = STATE(18274),
    [sym_constructor_path] = STATE(7941),
    [sym__constructor_name] = STATE(7923),
    [sym_tag] = STATE(7941),
    [aux_sym_expression_item_repeat1] = STATE(10614),
    [aux_sym_let_binding_repeat1] = STATE(2556),
    [sym__lowercase_identifier] = ACTIONS(7061),
    [anon_sym_SEMI_SEMI] = ACTIONS(6905),
    [anon_sym_and] = ACTIONS(6907),
    [anon_sym_EQ] = ACTIONS(7063),
    [anon_sym_TILDE] = ACTIONS(7065),
    [anon_sym_QMARK] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7067),
    [anon_sym_external] = ACTIONS(6907),
    [anon_sym_type] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_true] = ACTIONS(7071),
    [anon_sym_false] = ACTIONS(7071),
    [anon_sym_COLON2] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7075),
    [anon_sym_exception] = ACTIONS(6907),
    [anon_sym_module] = ACTIONS(6907),
    [anon_sym_open] = ACTIONS(6907),
    [anon_sym_include] = ACTIONS(6907),
    [anon_sym_class] = ACTIONS(6907),
    [anon_sym_val] = ACTIONS(6907),
    [anon_sym_end] = ACTIONS(6907),
    [anon_sym_POUND] = ACTIONS(7077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7079),
    [anon_sym_begin] = ACTIONS(7081),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6905),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7085),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6905),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6905),
    [aux_sym_number_token1] = ACTIONS(7087),
    [aux_sym_signed_number_token1] = ACTIONS(7089),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym_DQUOTE] = ACTIONS(7093),
    [sym__uppercase_identifier] = ACTIONS(7095),
    [aux_sym_tag_token1] = ACTIONS(7097),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2543] = {
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(12811),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2543),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_EQ] = ACTIONS(7013),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(7013),
    [anon_sym_COMMA] = ACTIONS(7013),
    [anon_sym_PIPE] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_RBRACK] = ACTIONS(7013),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_COLON2] = ACTIONS(7017),
    [anon_sym_DASH_GT] = ACTIONS(7013),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_as] = ACTIONS(7017),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_COLON_COLON] = ACTIONS(7013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_when] = ACTIONS(7017),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7021),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2544] = {
    [sym_parameter] = STATE(7904),
    [sym__class_typed] = STATE(11636),
    [sym__parenthesized_abstract_type] = STATE(7904),
    [sym__simple_pattern] = STATE(7905),
    [sym_typed_pattern] = STATE(7901),
    [sym_polymorphic_variant_pattern] = STATE(7901),
    [sym_record_pattern] = STATE(7901),
    [sym_list_pattern] = STATE(7901),
    [sym_array_pattern] = STATE(7901),
    [sym_local_open_pattern] = STATE(7901),
    [sym_package_pattern] = STATE(7901),
    [sym_parenthesized_pattern] = STATE(7901),
    [sym_attribute] = STATE(2544),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7901),
    [sym_quoted_extension] = STATE(7901),
    [sym__constant] = STATE(7666),
    [sym__signed_constant] = STATE(7901),
    [sym_number] = STATE(7704),
    [sym_signed_number] = STATE(7666),
    [sym_character] = STATE(7704),
    [sym_string] = STATE(7704),
    [sym_quoted_string] = STATE(7704),
    [sym_boolean] = STATE(7704),
    [sym_unit] = STATE(7704),
    [sym__simple_value_pattern] = STATE(7901),
    [sym_parenthesized_operator] = STATE(7901),
    [sym_module_path] = STATE(19343),
    [sym_constructor_path] = STATE(7901),
    [sym__constructor_name] = STATE(7935),
    [sym_tag] = STATE(7901),
    [aux_sym_expression_item_repeat1] = STATE(10609),
    [aux_sym_let_binding_repeat1] = STATE(2570),
    [sym__lowercase_identifier] = ACTIONS(7023),
    [anon_sym_SEMI_SEMI] = ACTIONS(6911),
    [anon_sym_and] = ACTIONS(6913),
    [anon_sym_EQ] = ACTIONS(7099),
    [anon_sym_TILDE] = ACTIONS(7027),
    [anon_sym_QMARK] = ACTIONS(7027),
    [anon_sym_LPAREN] = ACTIONS(7029),
    [anon_sym_external] = ACTIONS(6913),
    [anon_sym_type] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(7031),
    [anon_sym_RBRACK] = ACTIONS(6911),
    [anon_sym_true] = ACTIONS(7033),
    [anon_sym_false] = ACTIONS(7033),
    [anon_sym_COLON2] = ACTIONS(7035),
    [anon_sym_LBRACE] = ACTIONS(7037),
    [anon_sym_exception] = ACTIONS(6913),
    [anon_sym_module] = ACTIONS(6913),
    [anon_sym_open] = ACTIONS(6913),
    [anon_sym_include] = ACTIONS(6913),
    [anon_sym_class] = ACTIONS(6913),
    [anon_sym_val] = ACTIONS(6913),
    [anon_sym_POUND] = ACTIONS(7039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7041),
    [anon_sym_begin] = ACTIONS(7043),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6911),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7047),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6911),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6911),
    [aux_sym_number_token1] = ACTIONS(7049),
    [aux_sym_signed_number_token1] = ACTIONS(7051),
    [anon_sym_SQUOTE] = ACTIONS(7053),
    [anon_sym_DQUOTE] = ACTIONS(7055),
    [sym__uppercase_identifier] = ACTIONS(7057),
    [aux_sym_tag_token1] = ACTIONS(7059),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2545] = {
    [sym_parameter] = STATE(7904),
    [sym__class_typed] = STATE(11635),
    [sym__parenthesized_abstract_type] = STATE(7904),
    [sym__simple_pattern] = STATE(7905),
    [sym_typed_pattern] = STATE(7901),
    [sym_polymorphic_variant_pattern] = STATE(7901),
    [sym_record_pattern] = STATE(7901),
    [sym_list_pattern] = STATE(7901),
    [sym_array_pattern] = STATE(7901),
    [sym_local_open_pattern] = STATE(7901),
    [sym_package_pattern] = STATE(7901),
    [sym_parenthesized_pattern] = STATE(7901),
    [sym_attribute] = STATE(2545),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7901),
    [sym_quoted_extension] = STATE(7901),
    [sym__constant] = STATE(7666),
    [sym__signed_constant] = STATE(7901),
    [sym_number] = STATE(7704),
    [sym_signed_number] = STATE(7666),
    [sym_character] = STATE(7704),
    [sym_string] = STATE(7704),
    [sym_quoted_string] = STATE(7704),
    [sym_boolean] = STATE(7704),
    [sym_unit] = STATE(7704),
    [sym__simple_value_pattern] = STATE(7901),
    [sym_parenthesized_operator] = STATE(7901),
    [sym_module_path] = STATE(19343),
    [sym_constructor_path] = STATE(7901),
    [sym__constructor_name] = STATE(7935),
    [sym_tag] = STATE(7901),
    [aux_sym_expression_item_repeat1] = STATE(10541),
    [aux_sym_let_binding_repeat1] = STATE(2544),
    [sym__lowercase_identifier] = ACTIONS(7023),
    [anon_sym_SEMI_SEMI] = ACTIONS(6899),
    [anon_sym_and] = ACTIONS(6901),
    [anon_sym_EQ] = ACTIONS(7101),
    [anon_sym_TILDE] = ACTIONS(7027),
    [anon_sym_QMARK] = ACTIONS(7027),
    [anon_sym_LPAREN] = ACTIONS(7029),
    [anon_sym_external] = ACTIONS(6901),
    [anon_sym_type] = ACTIONS(6901),
    [anon_sym_LBRACK] = ACTIONS(7031),
    [anon_sym_RBRACK] = ACTIONS(6899),
    [anon_sym_true] = ACTIONS(7033),
    [anon_sym_false] = ACTIONS(7033),
    [anon_sym_COLON2] = ACTIONS(7035),
    [anon_sym_LBRACE] = ACTIONS(7037),
    [anon_sym_exception] = ACTIONS(6901),
    [anon_sym_module] = ACTIONS(6901),
    [anon_sym_open] = ACTIONS(6901),
    [anon_sym_include] = ACTIONS(6901),
    [anon_sym_class] = ACTIONS(6901),
    [anon_sym_val] = ACTIONS(6901),
    [anon_sym_POUND] = ACTIONS(7039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7041),
    [anon_sym_begin] = ACTIONS(7043),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6899),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7047),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6899),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6899),
    [aux_sym_number_token1] = ACTIONS(7049),
    [aux_sym_signed_number_token1] = ACTIONS(7051),
    [anon_sym_SQUOTE] = ACTIONS(7053),
    [anon_sym_DQUOTE] = ACTIONS(7055),
    [sym__uppercase_identifier] = ACTIONS(7057),
    [aux_sym_tag_token1] = ACTIONS(7059),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2546] = {
    [sym_parameter] = STATE(7911),
    [sym__class_typed] = STATE(11673),
    [sym__parenthesized_abstract_type] = STATE(7911),
    [sym__simple_pattern] = STATE(7912),
    [sym_typed_pattern] = STATE(7941),
    [sym_polymorphic_variant_pattern] = STATE(7941),
    [sym_record_pattern] = STATE(7941),
    [sym_list_pattern] = STATE(7941),
    [sym_array_pattern] = STATE(7941),
    [sym_local_open_pattern] = STATE(7941),
    [sym_package_pattern] = STATE(7941),
    [sym_parenthesized_pattern] = STATE(7941),
    [sym_attribute] = STATE(2546),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7941),
    [sym_quoted_extension] = STATE(7941),
    [sym__constant] = STATE(7798),
    [sym__signed_constant] = STATE(7941),
    [sym_number] = STATE(7922),
    [sym_signed_number] = STATE(7798),
    [sym_character] = STATE(7922),
    [sym_string] = STATE(7922),
    [sym_quoted_string] = STATE(7922),
    [sym_boolean] = STATE(7922),
    [sym_unit] = STATE(7922),
    [sym__simple_value_pattern] = STATE(7941),
    [sym_parenthesized_operator] = STATE(7941),
    [sym_module_path] = STATE(18274),
    [sym_constructor_path] = STATE(7941),
    [sym__constructor_name] = STATE(7923),
    [sym_tag] = STATE(7941),
    [aux_sym_expression_item_repeat1] = STATE(10541),
    [aux_sym_let_binding_repeat1] = STATE(2553),
    [sym__lowercase_identifier] = ACTIONS(7061),
    [anon_sym_SEMI_SEMI] = ACTIONS(6899),
    [anon_sym_and] = ACTIONS(6901),
    [anon_sym_EQ] = ACTIONS(7103),
    [anon_sym_TILDE] = ACTIONS(7065),
    [anon_sym_QMARK] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7067),
    [anon_sym_external] = ACTIONS(6901),
    [anon_sym_type] = ACTIONS(6901),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_true] = ACTIONS(7071),
    [anon_sym_false] = ACTIONS(7071),
    [anon_sym_COLON2] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7075),
    [anon_sym_exception] = ACTIONS(6901),
    [anon_sym_module] = ACTIONS(6901),
    [anon_sym_open] = ACTIONS(6901),
    [anon_sym_include] = ACTIONS(6901),
    [anon_sym_class] = ACTIONS(6901),
    [anon_sym_val] = ACTIONS(6901),
    [anon_sym_end] = ACTIONS(6901),
    [anon_sym_POUND] = ACTIONS(7077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7079),
    [anon_sym_begin] = ACTIONS(7081),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6899),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7085),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6899),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6899),
    [aux_sym_number_token1] = ACTIONS(7087),
    [aux_sym_signed_number_token1] = ACTIONS(7089),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym_DQUOTE] = ACTIONS(7093),
    [sym__uppercase_identifier] = ACTIONS(7095),
    [aux_sym_tag_token1] = ACTIONS(7097),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2547] = {
    [sym_parameter] = STATE(7904),
    [sym__class_typed] = STATE(11611),
    [sym__parenthesized_abstract_type] = STATE(7904),
    [sym__simple_pattern] = STATE(7905),
    [sym_typed_pattern] = STATE(7901),
    [sym_polymorphic_variant_pattern] = STATE(7901),
    [sym_record_pattern] = STATE(7901),
    [sym_list_pattern] = STATE(7901),
    [sym_array_pattern] = STATE(7901),
    [sym_local_open_pattern] = STATE(7901),
    [sym_package_pattern] = STATE(7901),
    [sym_parenthesized_pattern] = STATE(7901),
    [sym_attribute] = STATE(2547),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7901),
    [sym_quoted_extension] = STATE(7901),
    [sym__constant] = STATE(7666),
    [sym__signed_constant] = STATE(7901),
    [sym_number] = STATE(7704),
    [sym_signed_number] = STATE(7666),
    [sym_character] = STATE(7704),
    [sym_string] = STATE(7704),
    [sym_quoted_string] = STATE(7704),
    [sym_boolean] = STATE(7704),
    [sym_unit] = STATE(7704),
    [sym__simple_value_pattern] = STATE(7901),
    [sym_parenthesized_operator] = STATE(7901),
    [sym_module_path] = STATE(19343),
    [sym_constructor_path] = STATE(7901),
    [sym__constructor_name] = STATE(7935),
    [sym_tag] = STATE(7901),
    [aux_sym_expression_item_repeat1] = STATE(10702),
    [aux_sym_let_binding_repeat1] = STATE(2570),
    [sym__lowercase_identifier] = ACTIONS(7023),
    [anon_sym_SEMI_SEMI] = ACTIONS(6887),
    [anon_sym_and] = ACTIONS(6889),
    [anon_sym_EQ] = ACTIONS(7105),
    [anon_sym_TILDE] = ACTIONS(7027),
    [anon_sym_QMARK] = ACTIONS(7027),
    [anon_sym_LPAREN] = ACTIONS(7029),
    [anon_sym_external] = ACTIONS(6889),
    [anon_sym_type] = ACTIONS(6889),
    [anon_sym_LBRACK] = ACTIONS(7031),
    [anon_sym_RBRACK] = ACTIONS(6887),
    [anon_sym_true] = ACTIONS(7033),
    [anon_sym_false] = ACTIONS(7033),
    [anon_sym_COLON2] = ACTIONS(7035),
    [anon_sym_LBRACE] = ACTIONS(7037),
    [anon_sym_exception] = ACTIONS(6889),
    [anon_sym_module] = ACTIONS(6889),
    [anon_sym_open] = ACTIONS(6889),
    [anon_sym_include] = ACTIONS(6889),
    [anon_sym_class] = ACTIONS(6889),
    [anon_sym_val] = ACTIONS(6889),
    [anon_sym_POUND] = ACTIONS(7039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7041),
    [anon_sym_begin] = ACTIONS(7043),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6887),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7047),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6887),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6887),
    [aux_sym_number_token1] = ACTIONS(7049),
    [aux_sym_signed_number_token1] = ACTIONS(7051),
    [anon_sym_SQUOTE] = ACTIONS(7053),
    [anon_sym_DQUOTE] = ACTIONS(7055),
    [sym__uppercase_identifier] = ACTIONS(7057),
    [aux_sym_tag_token1] = ACTIONS(7059),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2548] = {
    [sym_parameter] = STATE(7904),
    [sym__class_typed] = STATE(11597),
    [sym__parenthesized_abstract_type] = STATE(7904),
    [sym__simple_pattern] = STATE(7905),
    [sym_typed_pattern] = STATE(7901),
    [sym_polymorphic_variant_pattern] = STATE(7901),
    [sym_record_pattern] = STATE(7901),
    [sym_list_pattern] = STATE(7901),
    [sym_array_pattern] = STATE(7901),
    [sym_local_open_pattern] = STATE(7901),
    [sym_package_pattern] = STATE(7901),
    [sym_parenthesized_pattern] = STATE(7901),
    [sym_attribute] = STATE(2548),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7901),
    [sym_quoted_extension] = STATE(7901),
    [sym__constant] = STATE(7666),
    [sym__signed_constant] = STATE(7901),
    [sym_number] = STATE(7704),
    [sym_signed_number] = STATE(7666),
    [sym_character] = STATE(7704),
    [sym_string] = STATE(7704),
    [sym_quoted_string] = STATE(7704),
    [sym_boolean] = STATE(7704),
    [sym_unit] = STATE(7704),
    [sym__simple_value_pattern] = STATE(7901),
    [sym_parenthesized_operator] = STATE(7901),
    [sym_module_path] = STATE(19343),
    [sym_constructor_path] = STATE(7901),
    [sym__constructor_name] = STATE(7935),
    [sym_tag] = STATE(7901),
    [aux_sym_expression_item_repeat1] = STATE(10624),
    [aux_sym_let_binding_repeat1] = STATE(2570),
    [sym__lowercase_identifier] = ACTIONS(7023),
    [anon_sym_SEMI_SEMI] = ACTIONS(6925),
    [anon_sym_and] = ACTIONS(6927),
    [anon_sym_EQ] = ACTIONS(7107),
    [anon_sym_TILDE] = ACTIONS(7027),
    [anon_sym_QMARK] = ACTIONS(7027),
    [anon_sym_LPAREN] = ACTIONS(7029),
    [anon_sym_external] = ACTIONS(6927),
    [anon_sym_type] = ACTIONS(6927),
    [anon_sym_LBRACK] = ACTIONS(7031),
    [anon_sym_RBRACK] = ACTIONS(6925),
    [anon_sym_true] = ACTIONS(7033),
    [anon_sym_false] = ACTIONS(7033),
    [anon_sym_COLON2] = ACTIONS(7035),
    [anon_sym_LBRACE] = ACTIONS(7037),
    [anon_sym_exception] = ACTIONS(6927),
    [anon_sym_module] = ACTIONS(6927),
    [anon_sym_open] = ACTIONS(6927),
    [anon_sym_include] = ACTIONS(6927),
    [anon_sym_class] = ACTIONS(6927),
    [anon_sym_val] = ACTIONS(6927),
    [anon_sym_POUND] = ACTIONS(7039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7041),
    [anon_sym_begin] = ACTIONS(7043),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6925),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7047),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6925),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6925),
    [aux_sym_number_token1] = ACTIONS(7049),
    [aux_sym_signed_number_token1] = ACTIONS(7051),
    [anon_sym_SQUOTE] = ACTIONS(7053),
    [anon_sym_DQUOTE] = ACTIONS(7055),
    [sym__uppercase_identifier] = ACTIONS(7057),
    [aux_sym_tag_token1] = ACTIONS(7059),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2549] = {
    [sym_parameter] = STATE(7904),
    [sym__class_typed] = STATE(11658),
    [sym__parenthesized_abstract_type] = STATE(7904),
    [sym__simple_pattern] = STATE(7905),
    [sym_typed_pattern] = STATE(7901),
    [sym_polymorphic_variant_pattern] = STATE(7901),
    [sym_record_pattern] = STATE(7901),
    [sym_list_pattern] = STATE(7901),
    [sym_array_pattern] = STATE(7901),
    [sym_local_open_pattern] = STATE(7901),
    [sym_package_pattern] = STATE(7901),
    [sym_parenthesized_pattern] = STATE(7901),
    [sym_attribute] = STATE(2549),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7901),
    [sym_quoted_extension] = STATE(7901),
    [sym__constant] = STATE(7666),
    [sym__signed_constant] = STATE(7901),
    [sym_number] = STATE(7704),
    [sym_signed_number] = STATE(7666),
    [sym_character] = STATE(7704),
    [sym_string] = STATE(7704),
    [sym_quoted_string] = STATE(7704),
    [sym_boolean] = STATE(7704),
    [sym_unit] = STATE(7704),
    [sym__simple_value_pattern] = STATE(7901),
    [sym_parenthesized_operator] = STATE(7901),
    [sym_module_path] = STATE(19343),
    [sym_constructor_path] = STATE(7901),
    [sym__constructor_name] = STATE(7935),
    [sym_tag] = STATE(7901),
    [aux_sym_expression_item_repeat1] = STATE(10614),
    [aux_sym_let_binding_repeat1] = STATE(2550),
    [sym__lowercase_identifier] = ACTIONS(7023),
    [anon_sym_SEMI_SEMI] = ACTIONS(6905),
    [anon_sym_and] = ACTIONS(6907),
    [anon_sym_EQ] = ACTIONS(7109),
    [anon_sym_TILDE] = ACTIONS(7027),
    [anon_sym_QMARK] = ACTIONS(7027),
    [anon_sym_LPAREN] = ACTIONS(7029),
    [anon_sym_external] = ACTIONS(6907),
    [anon_sym_type] = ACTIONS(6907),
    [anon_sym_LBRACK] = ACTIONS(7031),
    [anon_sym_RBRACK] = ACTIONS(6905),
    [anon_sym_true] = ACTIONS(7033),
    [anon_sym_false] = ACTIONS(7033),
    [anon_sym_COLON2] = ACTIONS(7035),
    [anon_sym_LBRACE] = ACTIONS(7037),
    [anon_sym_exception] = ACTIONS(6907),
    [anon_sym_module] = ACTIONS(6907),
    [anon_sym_open] = ACTIONS(6907),
    [anon_sym_include] = ACTIONS(6907),
    [anon_sym_class] = ACTIONS(6907),
    [anon_sym_val] = ACTIONS(6907),
    [anon_sym_POUND] = ACTIONS(7039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7041),
    [anon_sym_begin] = ACTIONS(7043),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6905),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7047),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6905),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6905),
    [aux_sym_number_token1] = ACTIONS(7049),
    [aux_sym_signed_number_token1] = ACTIONS(7051),
    [anon_sym_SQUOTE] = ACTIONS(7053),
    [anon_sym_DQUOTE] = ACTIONS(7055),
    [sym__uppercase_identifier] = ACTIONS(7057),
    [aux_sym_tag_token1] = ACTIONS(7059),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2550] = {
    [sym_parameter] = STATE(7904),
    [sym__class_typed] = STATE(11679),
    [sym__parenthesized_abstract_type] = STATE(7904),
    [sym__simple_pattern] = STATE(7905),
    [sym_typed_pattern] = STATE(7901),
    [sym_polymorphic_variant_pattern] = STATE(7901),
    [sym_record_pattern] = STATE(7901),
    [sym_list_pattern] = STATE(7901),
    [sym_array_pattern] = STATE(7901),
    [sym_local_open_pattern] = STATE(7901),
    [sym_package_pattern] = STATE(7901),
    [sym_parenthesized_pattern] = STATE(7901),
    [sym_attribute] = STATE(2550),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7901),
    [sym_quoted_extension] = STATE(7901),
    [sym__constant] = STATE(7666),
    [sym__signed_constant] = STATE(7901),
    [sym_number] = STATE(7704),
    [sym_signed_number] = STATE(7666),
    [sym_character] = STATE(7704),
    [sym_string] = STATE(7704),
    [sym_quoted_string] = STATE(7704),
    [sym_boolean] = STATE(7704),
    [sym_unit] = STATE(7704),
    [sym__simple_value_pattern] = STATE(7901),
    [sym_parenthesized_operator] = STATE(7901),
    [sym_module_path] = STATE(19343),
    [sym_constructor_path] = STATE(7901),
    [sym__constructor_name] = STATE(7935),
    [sym_tag] = STATE(7901),
    [aux_sym_expression_item_repeat1] = STATE(10658),
    [aux_sym_let_binding_repeat1] = STATE(2570),
    [sym__lowercase_identifier] = ACTIONS(7023),
    [anon_sym_SEMI_SEMI] = ACTIONS(6933),
    [anon_sym_and] = ACTIONS(6935),
    [anon_sym_EQ] = ACTIONS(7111),
    [anon_sym_TILDE] = ACTIONS(7027),
    [anon_sym_QMARK] = ACTIONS(7027),
    [anon_sym_LPAREN] = ACTIONS(7029),
    [anon_sym_external] = ACTIONS(6935),
    [anon_sym_type] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(7031),
    [anon_sym_RBRACK] = ACTIONS(6933),
    [anon_sym_true] = ACTIONS(7033),
    [anon_sym_false] = ACTIONS(7033),
    [anon_sym_COLON2] = ACTIONS(7035),
    [anon_sym_LBRACE] = ACTIONS(7037),
    [anon_sym_exception] = ACTIONS(6935),
    [anon_sym_module] = ACTIONS(6935),
    [anon_sym_open] = ACTIONS(6935),
    [anon_sym_include] = ACTIONS(6935),
    [anon_sym_class] = ACTIONS(6935),
    [anon_sym_val] = ACTIONS(6935),
    [anon_sym_POUND] = ACTIONS(7039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7041),
    [anon_sym_begin] = ACTIONS(7043),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6933),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7047),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6933),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6933),
    [aux_sym_number_token1] = ACTIONS(7049),
    [aux_sym_signed_number_token1] = ACTIONS(7051),
    [anon_sym_SQUOTE] = ACTIONS(7053),
    [anon_sym_DQUOTE] = ACTIONS(7055),
    [sym__uppercase_identifier] = ACTIONS(7057),
    [aux_sym_tag_token1] = ACTIONS(7059),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2551] = {
    [sym_parameter] = STATE(7904),
    [sym__class_typed] = STATE(11695),
    [sym__parenthesized_abstract_type] = STATE(7904),
    [sym__simple_pattern] = STATE(7905),
    [sym_typed_pattern] = STATE(7901),
    [sym_polymorphic_variant_pattern] = STATE(7901),
    [sym_record_pattern] = STATE(7901),
    [sym_list_pattern] = STATE(7901),
    [sym_array_pattern] = STATE(7901),
    [sym_local_open_pattern] = STATE(7901),
    [sym_package_pattern] = STATE(7901),
    [sym_parenthesized_pattern] = STATE(7901),
    [sym_attribute] = STATE(2551),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7901),
    [sym_quoted_extension] = STATE(7901),
    [sym__constant] = STATE(7666),
    [sym__signed_constant] = STATE(7901),
    [sym_number] = STATE(7704),
    [sym_signed_number] = STATE(7666),
    [sym_character] = STATE(7704),
    [sym_string] = STATE(7704),
    [sym_quoted_string] = STATE(7704),
    [sym_boolean] = STATE(7704),
    [sym_unit] = STATE(7704),
    [sym__simple_value_pattern] = STATE(7901),
    [sym_parenthesized_operator] = STATE(7901),
    [sym_module_path] = STATE(19343),
    [sym_constructor_path] = STATE(7901),
    [sym__constructor_name] = STATE(7935),
    [sym_tag] = STATE(7901),
    [aux_sym_expression_item_repeat1] = STATE(10661),
    [aux_sym_let_binding_repeat1] = STATE(2547),
    [sym__lowercase_identifier] = ACTIONS(7023),
    [anon_sym_SEMI_SEMI] = ACTIONS(6803),
    [anon_sym_and] = ACTIONS(6805),
    [anon_sym_EQ] = ACTIONS(7113),
    [anon_sym_TILDE] = ACTIONS(7027),
    [anon_sym_QMARK] = ACTIONS(7027),
    [anon_sym_LPAREN] = ACTIONS(7029),
    [anon_sym_external] = ACTIONS(6805),
    [anon_sym_type] = ACTIONS(6805),
    [anon_sym_LBRACK] = ACTIONS(7031),
    [anon_sym_RBRACK] = ACTIONS(6803),
    [anon_sym_true] = ACTIONS(7033),
    [anon_sym_false] = ACTIONS(7033),
    [anon_sym_COLON2] = ACTIONS(7035),
    [anon_sym_LBRACE] = ACTIONS(7037),
    [anon_sym_exception] = ACTIONS(6805),
    [anon_sym_module] = ACTIONS(6805),
    [anon_sym_open] = ACTIONS(6805),
    [anon_sym_include] = ACTIONS(6805),
    [anon_sym_class] = ACTIONS(6805),
    [anon_sym_val] = ACTIONS(6805),
    [anon_sym_POUND] = ACTIONS(7039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7041),
    [anon_sym_begin] = ACTIONS(7043),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6803),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7047),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6803),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6803),
    [aux_sym_number_token1] = ACTIONS(7049),
    [aux_sym_signed_number_token1] = ACTIONS(7051),
    [anon_sym_SQUOTE] = ACTIONS(7053),
    [anon_sym_DQUOTE] = ACTIONS(7055),
    [sym__uppercase_identifier] = ACTIONS(7057),
    [aux_sym_tag_token1] = ACTIONS(7059),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2552] = {
    [sym_parameter] = STATE(7904),
    [sym__class_typed] = STATE(11612),
    [sym__parenthesized_abstract_type] = STATE(7904),
    [sym__simple_pattern] = STATE(7905),
    [sym_typed_pattern] = STATE(7901),
    [sym_polymorphic_variant_pattern] = STATE(7901),
    [sym_record_pattern] = STATE(7901),
    [sym_list_pattern] = STATE(7901),
    [sym_array_pattern] = STATE(7901),
    [sym_local_open_pattern] = STATE(7901),
    [sym_package_pattern] = STATE(7901),
    [sym_parenthesized_pattern] = STATE(7901),
    [sym_attribute] = STATE(2552),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7901),
    [sym_quoted_extension] = STATE(7901),
    [sym__constant] = STATE(7666),
    [sym__signed_constant] = STATE(7901),
    [sym_number] = STATE(7704),
    [sym_signed_number] = STATE(7666),
    [sym_character] = STATE(7704),
    [sym_string] = STATE(7704),
    [sym_quoted_string] = STATE(7704),
    [sym_boolean] = STATE(7704),
    [sym_unit] = STATE(7704),
    [sym__simple_value_pattern] = STATE(7901),
    [sym_parenthesized_operator] = STATE(7901),
    [sym_module_path] = STATE(19343),
    [sym_constructor_path] = STATE(7901),
    [sym__constructor_name] = STATE(7935),
    [sym_tag] = STATE(7901),
    [aux_sym_expression_item_repeat1] = STATE(10414),
    [aux_sym_let_binding_repeat1] = STATE(2548),
    [sym__lowercase_identifier] = ACTIONS(7023),
    [anon_sym_SEMI_SEMI] = ACTIONS(6893),
    [anon_sym_and] = ACTIONS(6895),
    [anon_sym_EQ] = ACTIONS(7115),
    [anon_sym_TILDE] = ACTIONS(7027),
    [anon_sym_QMARK] = ACTIONS(7027),
    [anon_sym_LPAREN] = ACTIONS(7029),
    [anon_sym_external] = ACTIONS(6895),
    [anon_sym_type] = ACTIONS(6895),
    [anon_sym_LBRACK] = ACTIONS(7031),
    [anon_sym_RBRACK] = ACTIONS(6893),
    [anon_sym_true] = ACTIONS(7033),
    [anon_sym_false] = ACTIONS(7033),
    [anon_sym_COLON2] = ACTIONS(7035),
    [anon_sym_LBRACE] = ACTIONS(7037),
    [anon_sym_exception] = ACTIONS(6895),
    [anon_sym_module] = ACTIONS(6895),
    [anon_sym_open] = ACTIONS(6895),
    [anon_sym_include] = ACTIONS(6895),
    [anon_sym_class] = ACTIONS(6895),
    [anon_sym_val] = ACTIONS(6895),
    [anon_sym_POUND] = ACTIONS(7039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7041),
    [anon_sym_begin] = ACTIONS(7043),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6893),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7047),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6893),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6893),
    [aux_sym_number_token1] = ACTIONS(7049),
    [aux_sym_signed_number_token1] = ACTIONS(7051),
    [anon_sym_SQUOTE] = ACTIONS(7053),
    [anon_sym_DQUOTE] = ACTIONS(7055),
    [sym__uppercase_identifier] = ACTIONS(7057),
    [aux_sym_tag_token1] = ACTIONS(7059),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2553] = {
    [sym_parameter] = STATE(7911),
    [sym__class_typed] = STATE(11674),
    [sym__parenthesized_abstract_type] = STATE(7911),
    [sym__simple_pattern] = STATE(7912),
    [sym_typed_pattern] = STATE(7941),
    [sym_polymorphic_variant_pattern] = STATE(7941),
    [sym_record_pattern] = STATE(7941),
    [sym_list_pattern] = STATE(7941),
    [sym_array_pattern] = STATE(7941),
    [sym_local_open_pattern] = STATE(7941),
    [sym_package_pattern] = STATE(7941),
    [sym_parenthesized_pattern] = STATE(7941),
    [sym_attribute] = STATE(2553),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7941),
    [sym_quoted_extension] = STATE(7941),
    [sym__constant] = STATE(7798),
    [sym__signed_constant] = STATE(7941),
    [sym_number] = STATE(7922),
    [sym_signed_number] = STATE(7798),
    [sym_character] = STATE(7922),
    [sym_string] = STATE(7922),
    [sym_quoted_string] = STATE(7922),
    [sym_boolean] = STATE(7922),
    [sym_unit] = STATE(7922),
    [sym__simple_value_pattern] = STATE(7941),
    [sym_parenthesized_operator] = STATE(7941),
    [sym_module_path] = STATE(18274),
    [sym_constructor_path] = STATE(7941),
    [sym__constructor_name] = STATE(7923),
    [sym_tag] = STATE(7941),
    [aux_sym_expression_item_repeat1] = STATE(10609),
    [aux_sym_let_binding_repeat1] = STATE(2566),
    [sym__lowercase_identifier] = ACTIONS(7061),
    [anon_sym_SEMI_SEMI] = ACTIONS(6911),
    [anon_sym_and] = ACTIONS(6913),
    [anon_sym_EQ] = ACTIONS(7117),
    [anon_sym_TILDE] = ACTIONS(7065),
    [anon_sym_QMARK] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7067),
    [anon_sym_external] = ACTIONS(6913),
    [anon_sym_type] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_true] = ACTIONS(7071),
    [anon_sym_false] = ACTIONS(7071),
    [anon_sym_COLON2] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7075),
    [anon_sym_exception] = ACTIONS(6913),
    [anon_sym_module] = ACTIONS(6913),
    [anon_sym_open] = ACTIONS(6913),
    [anon_sym_include] = ACTIONS(6913),
    [anon_sym_class] = ACTIONS(6913),
    [anon_sym_val] = ACTIONS(6913),
    [anon_sym_end] = ACTIONS(6913),
    [anon_sym_POUND] = ACTIONS(7077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7079),
    [anon_sym_begin] = ACTIONS(7081),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6911),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7085),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6911),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6911),
    [aux_sym_number_token1] = ACTIONS(7087),
    [aux_sym_signed_number_token1] = ACTIONS(7089),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym_DQUOTE] = ACTIONS(7093),
    [sym__uppercase_identifier] = ACTIONS(7095),
    [aux_sym_tag_token1] = ACTIONS(7097),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2554] = {
    [sym_parameter] = STATE(7911),
    [sym__class_typed] = STATE(11643),
    [sym__parenthesized_abstract_type] = STATE(7911),
    [sym__simple_pattern] = STATE(7912),
    [sym_typed_pattern] = STATE(7941),
    [sym_polymorphic_variant_pattern] = STATE(7941),
    [sym_record_pattern] = STATE(7941),
    [sym_list_pattern] = STATE(7941),
    [sym_array_pattern] = STATE(7941),
    [sym_local_open_pattern] = STATE(7941),
    [sym_package_pattern] = STATE(7941),
    [sym_parenthesized_pattern] = STATE(7941),
    [sym_attribute] = STATE(2554),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7941),
    [sym_quoted_extension] = STATE(7941),
    [sym__constant] = STATE(7798),
    [sym__signed_constant] = STATE(7941),
    [sym_number] = STATE(7922),
    [sym_signed_number] = STATE(7798),
    [sym_character] = STATE(7922),
    [sym_string] = STATE(7922),
    [sym_quoted_string] = STATE(7922),
    [sym_boolean] = STATE(7922),
    [sym_unit] = STATE(7922),
    [sym__simple_value_pattern] = STATE(7941),
    [sym_parenthesized_operator] = STATE(7941),
    [sym_module_path] = STATE(18274),
    [sym_constructor_path] = STATE(7941),
    [sym__constructor_name] = STATE(7923),
    [sym_tag] = STATE(7941),
    [aux_sym_expression_item_repeat1] = STATE(10414),
    [aux_sym_let_binding_repeat1] = STATE(2557),
    [sym__lowercase_identifier] = ACTIONS(7061),
    [anon_sym_SEMI_SEMI] = ACTIONS(6893),
    [anon_sym_and] = ACTIONS(6895),
    [anon_sym_EQ] = ACTIONS(7119),
    [anon_sym_TILDE] = ACTIONS(7065),
    [anon_sym_QMARK] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7067),
    [anon_sym_external] = ACTIONS(6895),
    [anon_sym_type] = ACTIONS(6895),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_true] = ACTIONS(7071),
    [anon_sym_false] = ACTIONS(7071),
    [anon_sym_COLON2] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7075),
    [anon_sym_exception] = ACTIONS(6895),
    [anon_sym_module] = ACTIONS(6895),
    [anon_sym_open] = ACTIONS(6895),
    [anon_sym_include] = ACTIONS(6895),
    [anon_sym_class] = ACTIONS(6895),
    [anon_sym_val] = ACTIONS(6895),
    [anon_sym_end] = ACTIONS(6895),
    [anon_sym_POUND] = ACTIONS(7077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7079),
    [anon_sym_begin] = ACTIONS(7081),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6893),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7085),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6893),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6893),
    [aux_sym_number_token1] = ACTIONS(7087),
    [aux_sym_signed_number_token1] = ACTIONS(7089),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym_DQUOTE] = ACTIONS(7093),
    [sym__uppercase_identifier] = ACTIONS(7095),
    [aux_sym_tag_token1] = ACTIONS(7097),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2555] = {
    [sym_parameter] = STATE(7911),
    [sym__class_typed] = STATE(11652),
    [sym__parenthesized_abstract_type] = STATE(7911),
    [sym__simple_pattern] = STATE(7912),
    [sym_typed_pattern] = STATE(7941),
    [sym_polymorphic_variant_pattern] = STATE(7941),
    [sym_record_pattern] = STATE(7941),
    [sym_list_pattern] = STATE(7941),
    [sym_array_pattern] = STATE(7941),
    [sym_local_open_pattern] = STATE(7941),
    [sym_package_pattern] = STATE(7941),
    [sym_parenthesized_pattern] = STATE(7941),
    [sym_attribute] = STATE(2555),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7941),
    [sym_quoted_extension] = STATE(7941),
    [sym__constant] = STATE(7798),
    [sym__signed_constant] = STATE(7941),
    [sym_number] = STATE(7922),
    [sym_signed_number] = STATE(7798),
    [sym_character] = STATE(7922),
    [sym_string] = STATE(7922),
    [sym_quoted_string] = STATE(7922),
    [sym_boolean] = STATE(7922),
    [sym_unit] = STATE(7922),
    [sym__simple_value_pattern] = STATE(7941),
    [sym_parenthesized_operator] = STATE(7941),
    [sym_module_path] = STATE(18274),
    [sym_constructor_path] = STATE(7941),
    [sym__constructor_name] = STATE(7923),
    [sym_tag] = STATE(7941),
    [aux_sym_expression_item_repeat1] = STATE(10464),
    [aux_sym_let_binding_repeat1] = STATE(2559),
    [sym__lowercase_identifier] = ACTIONS(7061),
    [anon_sym_SEMI_SEMI] = ACTIONS(6919),
    [anon_sym_and] = ACTIONS(6921),
    [anon_sym_EQ] = ACTIONS(7121),
    [anon_sym_TILDE] = ACTIONS(7065),
    [anon_sym_QMARK] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7067),
    [anon_sym_external] = ACTIONS(6921),
    [anon_sym_type] = ACTIONS(6921),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_true] = ACTIONS(7071),
    [anon_sym_false] = ACTIONS(7071),
    [anon_sym_COLON2] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7075),
    [anon_sym_exception] = ACTIONS(6921),
    [anon_sym_module] = ACTIONS(6921),
    [anon_sym_open] = ACTIONS(6921),
    [anon_sym_include] = ACTIONS(6921),
    [anon_sym_class] = ACTIONS(6921),
    [anon_sym_val] = ACTIONS(6921),
    [anon_sym_end] = ACTIONS(6921),
    [anon_sym_POUND] = ACTIONS(7077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7079),
    [anon_sym_begin] = ACTIONS(7081),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6919),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7085),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6919),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6919),
    [aux_sym_number_token1] = ACTIONS(7087),
    [aux_sym_signed_number_token1] = ACTIONS(7089),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym_DQUOTE] = ACTIONS(7093),
    [sym__uppercase_identifier] = ACTIONS(7095),
    [aux_sym_tag_token1] = ACTIONS(7097),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2556] = {
    [sym_parameter] = STATE(7911),
    [sym__class_typed] = STATE(11689),
    [sym__parenthesized_abstract_type] = STATE(7911),
    [sym__simple_pattern] = STATE(7912),
    [sym_typed_pattern] = STATE(7941),
    [sym_polymorphic_variant_pattern] = STATE(7941),
    [sym_record_pattern] = STATE(7941),
    [sym_list_pattern] = STATE(7941),
    [sym_array_pattern] = STATE(7941),
    [sym_local_open_pattern] = STATE(7941),
    [sym_package_pattern] = STATE(7941),
    [sym_parenthesized_pattern] = STATE(7941),
    [sym_attribute] = STATE(2556),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7941),
    [sym_quoted_extension] = STATE(7941),
    [sym__constant] = STATE(7798),
    [sym__signed_constant] = STATE(7941),
    [sym_number] = STATE(7922),
    [sym_signed_number] = STATE(7798),
    [sym_character] = STATE(7922),
    [sym_string] = STATE(7922),
    [sym_quoted_string] = STATE(7922),
    [sym_boolean] = STATE(7922),
    [sym_unit] = STATE(7922),
    [sym__simple_value_pattern] = STATE(7941),
    [sym_parenthesized_operator] = STATE(7941),
    [sym_module_path] = STATE(18274),
    [sym_constructor_path] = STATE(7941),
    [sym__constructor_name] = STATE(7923),
    [sym_tag] = STATE(7941),
    [aux_sym_expression_item_repeat1] = STATE(10658),
    [aux_sym_let_binding_repeat1] = STATE(2566),
    [sym__lowercase_identifier] = ACTIONS(7061),
    [anon_sym_SEMI_SEMI] = ACTIONS(6933),
    [anon_sym_and] = ACTIONS(6935),
    [anon_sym_EQ] = ACTIONS(7123),
    [anon_sym_TILDE] = ACTIONS(7065),
    [anon_sym_QMARK] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7067),
    [anon_sym_external] = ACTIONS(6935),
    [anon_sym_type] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_true] = ACTIONS(7071),
    [anon_sym_false] = ACTIONS(7071),
    [anon_sym_COLON2] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7075),
    [anon_sym_exception] = ACTIONS(6935),
    [anon_sym_module] = ACTIONS(6935),
    [anon_sym_open] = ACTIONS(6935),
    [anon_sym_include] = ACTIONS(6935),
    [anon_sym_class] = ACTIONS(6935),
    [anon_sym_val] = ACTIONS(6935),
    [anon_sym_end] = ACTIONS(6935),
    [anon_sym_POUND] = ACTIONS(7077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7079),
    [anon_sym_begin] = ACTIONS(7081),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6933),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7085),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6933),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6933),
    [aux_sym_number_token1] = ACTIONS(7087),
    [aux_sym_signed_number_token1] = ACTIONS(7089),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym_DQUOTE] = ACTIONS(7093),
    [sym__uppercase_identifier] = ACTIONS(7095),
    [aux_sym_tag_token1] = ACTIONS(7097),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2557] = {
    [sym_parameter] = STATE(7911),
    [sym__class_typed] = STATE(11653),
    [sym__parenthesized_abstract_type] = STATE(7911),
    [sym__simple_pattern] = STATE(7912),
    [sym_typed_pattern] = STATE(7941),
    [sym_polymorphic_variant_pattern] = STATE(7941),
    [sym_record_pattern] = STATE(7941),
    [sym_list_pattern] = STATE(7941),
    [sym_array_pattern] = STATE(7941),
    [sym_local_open_pattern] = STATE(7941),
    [sym_package_pattern] = STATE(7941),
    [sym_parenthesized_pattern] = STATE(7941),
    [sym_attribute] = STATE(2557),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7941),
    [sym_quoted_extension] = STATE(7941),
    [sym__constant] = STATE(7798),
    [sym__signed_constant] = STATE(7941),
    [sym_number] = STATE(7922),
    [sym_signed_number] = STATE(7798),
    [sym_character] = STATE(7922),
    [sym_string] = STATE(7922),
    [sym_quoted_string] = STATE(7922),
    [sym_boolean] = STATE(7922),
    [sym_unit] = STATE(7922),
    [sym__simple_value_pattern] = STATE(7941),
    [sym_parenthesized_operator] = STATE(7941),
    [sym_module_path] = STATE(18274),
    [sym_constructor_path] = STATE(7941),
    [sym__constructor_name] = STATE(7923),
    [sym_tag] = STATE(7941),
    [aux_sym_expression_item_repeat1] = STATE(10624),
    [aux_sym_let_binding_repeat1] = STATE(2566),
    [sym__lowercase_identifier] = ACTIONS(7061),
    [anon_sym_SEMI_SEMI] = ACTIONS(6925),
    [anon_sym_and] = ACTIONS(6927),
    [anon_sym_EQ] = ACTIONS(7125),
    [anon_sym_TILDE] = ACTIONS(7065),
    [anon_sym_QMARK] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7067),
    [anon_sym_external] = ACTIONS(6927),
    [anon_sym_type] = ACTIONS(6927),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_true] = ACTIONS(7071),
    [anon_sym_false] = ACTIONS(7071),
    [anon_sym_COLON2] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7075),
    [anon_sym_exception] = ACTIONS(6927),
    [anon_sym_module] = ACTIONS(6927),
    [anon_sym_open] = ACTIONS(6927),
    [anon_sym_include] = ACTIONS(6927),
    [anon_sym_class] = ACTIONS(6927),
    [anon_sym_val] = ACTIONS(6927),
    [anon_sym_end] = ACTIONS(6927),
    [anon_sym_POUND] = ACTIONS(7077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7079),
    [anon_sym_begin] = ACTIONS(7081),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6925),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7085),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6925),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6925),
    [aux_sym_number_token1] = ACTIONS(7087),
    [aux_sym_signed_number_token1] = ACTIONS(7089),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym_DQUOTE] = ACTIONS(7093),
    [sym__uppercase_identifier] = ACTIONS(7095),
    [aux_sym_tag_token1] = ACTIONS(7097),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2558] = {
    [sym_parameter] = STATE(7904),
    [sym__class_typed] = STATE(11717),
    [sym__parenthesized_abstract_type] = STATE(7904),
    [sym__simple_pattern] = STATE(7905),
    [sym_typed_pattern] = STATE(7901),
    [sym_polymorphic_variant_pattern] = STATE(7901),
    [sym_record_pattern] = STATE(7901),
    [sym_list_pattern] = STATE(7901),
    [sym_array_pattern] = STATE(7901),
    [sym_local_open_pattern] = STATE(7901),
    [sym_package_pattern] = STATE(7901),
    [sym_parenthesized_pattern] = STATE(7901),
    [sym_attribute] = STATE(2558),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7901),
    [sym_quoted_extension] = STATE(7901),
    [sym__constant] = STATE(7666),
    [sym__signed_constant] = STATE(7901),
    [sym_number] = STATE(7704),
    [sym_signed_number] = STATE(7666),
    [sym_character] = STATE(7704),
    [sym_string] = STATE(7704),
    [sym_quoted_string] = STATE(7704),
    [sym_boolean] = STATE(7704),
    [sym_unit] = STATE(7704),
    [sym__simple_value_pattern] = STATE(7901),
    [sym_parenthesized_operator] = STATE(7901),
    [sym_module_path] = STATE(19343),
    [sym_constructor_path] = STATE(7901),
    [sym__constructor_name] = STATE(7935),
    [sym_tag] = STATE(7901),
    [aux_sym_expression_item_repeat1] = STATE(10464),
    [aux_sym_let_binding_repeat1] = STATE(2541),
    [sym__lowercase_identifier] = ACTIONS(7023),
    [anon_sym_SEMI_SEMI] = ACTIONS(6919),
    [anon_sym_and] = ACTIONS(6921),
    [anon_sym_EQ] = ACTIONS(7127),
    [anon_sym_TILDE] = ACTIONS(7027),
    [anon_sym_QMARK] = ACTIONS(7027),
    [anon_sym_LPAREN] = ACTIONS(7029),
    [anon_sym_external] = ACTIONS(6921),
    [anon_sym_type] = ACTIONS(6921),
    [anon_sym_LBRACK] = ACTIONS(7031),
    [anon_sym_RBRACK] = ACTIONS(6919),
    [anon_sym_true] = ACTIONS(7033),
    [anon_sym_false] = ACTIONS(7033),
    [anon_sym_COLON2] = ACTIONS(7035),
    [anon_sym_LBRACE] = ACTIONS(7037),
    [anon_sym_exception] = ACTIONS(6921),
    [anon_sym_module] = ACTIONS(6921),
    [anon_sym_open] = ACTIONS(6921),
    [anon_sym_include] = ACTIONS(6921),
    [anon_sym_class] = ACTIONS(6921),
    [anon_sym_val] = ACTIONS(6921),
    [anon_sym_POUND] = ACTIONS(7039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7041),
    [anon_sym_begin] = ACTIONS(7043),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6919),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7047),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6919),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6919),
    [aux_sym_number_token1] = ACTIONS(7049),
    [aux_sym_signed_number_token1] = ACTIONS(7051),
    [anon_sym_SQUOTE] = ACTIONS(7053),
    [anon_sym_DQUOTE] = ACTIONS(7055),
    [sym__uppercase_identifier] = ACTIONS(7057),
    [aux_sym_tag_token1] = ACTIONS(7059),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2559] = {
    [sym_parameter] = STATE(7911),
    [sym__class_typed] = STATE(11661),
    [sym__parenthesized_abstract_type] = STATE(7911),
    [sym__simple_pattern] = STATE(7912),
    [sym_typed_pattern] = STATE(7941),
    [sym_polymorphic_variant_pattern] = STATE(7941),
    [sym_record_pattern] = STATE(7941),
    [sym_list_pattern] = STATE(7941),
    [sym_array_pattern] = STATE(7941),
    [sym_local_open_pattern] = STATE(7941),
    [sym_package_pattern] = STATE(7941),
    [sym_parenthesized_pattern] = STATE(7941),
    [sym_attribute] = STATE(2559),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7941),
    [sym_quoted_extension] = STATE(7941),
    [sym__constant] = STATE(7798),
    [sym__signed_constant] = STATE(7941),
    [sym_number] = STATE(7922),
    [sym_signed_number] = STATE(7798),
    [sym_character] = STATE(7922),
    [sym_string] = STATE(7922),
    [sym_quoted_string] = STATE(7922),
    [sym_boolean] = STATE(7922),
    [sym_unit] = STATE(7922),
    [sym__simple_value_pattern] = STATE(7941),
    [sym_parenthesized_operator] = STATE(7941),
    [sym_module_path] = STATE(18274),
    [sym_constructor_path] = STATE(7941),
    [sym__constructor_name] = STATE(7923),
    [sym_tag] = STATE(7941),
    [aux_sym_expression_item_repeat1] = STATE(10669),
    [aux_sym_let_binding_repeat1] = STATE(2566),
    [sym__lowercase_identifier] = ACTIONS(7061),
    [anon_sym_SEMI_SEMI] = ACTIONS(6761),
    [anon_sym_and] = ACTIONS(6763),
    [anon_sym_EQ] = ACTIONS(7129),
    [anon_sym_TILDE] = ACTIONS(7065),
    [anon_sym_QMARK] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7067),
    [anon_sym_external] = ACTIONS(6763),
    [anon_sym_type] = ACTIONS(6763),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_true] = ACTIONS(7071),
    [anon_sym_false] = ACTIONS(7071),
    [anon_sym_COLON2] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7075),
    [anon_sym_exception] = ACTIONS(6763),
    [anon_sym_module] = ACTIONS(6763),
    [anon_sym_open] = ACTIONS(6763),
    [anon_sym_include] = ACTIONS(6763),
    [anon_sym_class] = ACTIONS(6763),
    [anon_sym_val] = ACTIONS(6763),
    [anon_sym_end] = ACTIONS(6763),
    [anon_sym_POUND] = ACTIONS(7077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7079),
    [anon_sym_begin] = ACTIONS(7081),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6761),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7085),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6761),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6761),
    [aux_sym_number_token1] = ACTIONS(7087),
    [aux_sym_signed_number_token1] = ACTIONS(7089),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym_DQUOTE] = ACTIONS(7093),
    [sym__uppercase_identifier] = ACTIONS(7095),
    [aux_sym_tag_token1] = ACTIONS(7097),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2560] = {
    [sym_parameter] = STATE(7911),
    [sym__class_typed] = STATE(11696),
    [sym__parenthesized_abstract_type] = STATE(7911),
    [sym__simple_pattern] = STATE(7912),
    [sym_typed_pattern] = STATE(7941),
    [sym_polymorphic_variant_pattern] = STATE(7941),
    [sym_record_pattern] = STATE(7941),
    [sym_list_pattern] = STATE(7941),
    [sym_array_pattern] = STATE(7941),
    [sym_local_open_pattern] = STATE(7941),
    [sym_package_pattern] = STATE(7941),
    [sym_parenthesized_pattern] = STATE(7941),
    [sym_attribute] = STATE(2560),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7941),
    [sym_quoted_extension] = STATE(7941),
    [sym__constant] = STATE(7798),
    [sym__signed_constant] = STATE(7941),
    [sym_number] = STATE(7922),
    [sym_signed_number] = STATE(7798),
    [sym_character] = STATE(7922),
    [sym_string] = STATE(7922),
    [sym_quoted_string] = STATE(7922),
    [sym_boolean] = STATE(7922),
    [sym_unit] = STATE(7922),
    [sym__simple_value_pattern] = STATE(7941),
    [sym_parenthesized_operator] = STATE(7941),
    [sym_module_path] = STATE(18274),
    [sym_constructor_path] = STATE(7941),
    [sym__constructor_name] = STATE(7923),
    [sym_tag] = STATE(7941),
    [aux_sym_expression_item_repeat1] = STATE(10702),
    [aux_sym_let_binding_repeat1] = STATE(2566),
    [sym__lowercase_identifier] = ACTIONS(7061),
    [anon_sym_SEMI_SEMI] = ACTIONS(6887),
    [anon_sym_and] = ACTIONS(6889),
    [anon_sym_EQ] = ACTIONS(7131),
    [anon_sym_TILDE] = ACTIONS(7065),
    [anon_sym_QMARK] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7067),
    [anon_sym_external] = ACTIONS(6889),
    [anon_sym_type] = ACTIONS(6889),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_true] = ACTIONS(7071),
    [anon_sym_false] = ACTIONS(7071),
    [anon_sym_COLON2] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7075),
    [anon_sym_exception] = ACTIONS(6889),
    [anon_sym_module] = ACTIONS(6889),
    [anon_sym_open] = ACTIONS(6889),
    [anon_sym_include] = ACTIONS(6889),
    [anon_sym_class] = ACTIONS(6889),
    [anon_sym_val] = ACTIONS(6889),
    [anon_sym_end] = ACTIONS(6889),
    [anon_sym_POUND] = ACTIONS(7077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7079),
    [anon_sym_begin] = ACTIONS(7081),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6887),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7085),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6887),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6887),
    [aux_sym_number_token1] = ACTIONS(7087),
    [aux_sym_signed_number_token1] = ACTIONS(7089),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym_DQUOTE] = ACTIONS(7093),
    [sym__uppercase_identifier] = ACTIONS(7095),
    [aux_sym_tag_token1] = ACTIONS(7097),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2561] = {
    [sym_parameter] = STATE(7911),
    [sym__class_typed] = STATE(11692),
    [sym__parenthesized_abstract_type] = STATE(7911),
    [sym__simple_pattern] = STATE(7912),
    [sym_typed_pattern] = STATE(7941),
    [sym_polymorphic_variant_pattern] = STATE(7941),
    [sym_record_pattern] = STATE(7941),
    [sym_list_pattern] = STATE(7941),
    [sym_array_pattern] = STATE(7941),
    [sym_local_open_pattern] = STATE(7941),
    [sym_package_pattern] = STATE(7941),
    [sym_parenthesized_pattern] = STATE(7941),
    [sym_attribute] = STATE(2561),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(7941),
    [sym_quoted_extension] = STATE(7941),
    [sym__constant] = STATE(7798),
    [sym__signed_constant] = STATE(7941),
    [sym_number] = STATE(7922),
    [sym_signed_number] = STATE(7798),
    [sym_character] = STATE(7922),
    [sym_string] = STATE(7922),
    [sym_quoted_string] = STATE(7922),
    [sym_boolean] = STATE(7922),
    [sym_unit] = STATE(7922),
    [sym__simple_value_pattern] = STATE(7941),
    [sym_parenthesized_operator] = STATE(7941),
    [sym_module_path] = STATE(18274),
    [sym_constructor_path] = STATE(7941),
    [sym__constructor_name] = STATE(7923),
    [sym_tag] = STATE(7941),
    [aux_sym_expression_item_repeat1] = STATE(10661),
    [aux_sym_let_binding_repeat1] = STATE(2560),
    [sym__lowercase_identifier] = ACTIONS(7061),
    [anon_sym_SEMI_SEMI] = ACTIONS(6803),
    [anon_sym_and] = ACTIONS(6805),
    [anon_sym_EQ] = ACTIONS(7133),
    [anon_sym_TILDE] = ACTIONS(7065),
    [anon_sym_QMARK] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7067),
    [anon_sym_external] = ACTIONS(6805),
    [anon_sym_type] = ACTIONS(6805),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_true] = ACTIONS(7071),
    [anon_sym_false] = ACTIONS(7071),
    [anon_sym_COLON2] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7075),
    [anon_sym_exception] = ACTIONS(6805),
    [anon_sym_module] = ACTIONS(6805),
    [anon_sym_open] = ACTIONS(6805),
    [anon_sym_include] = ACTIONS(6805),
    [anon_sym_class] = ACTIONS(6805),
    [anon_sym_val] = ACTIONS(6805),
    [anon_sym_end] = ACTIONS(6805),
    [anon_sym_POUND] = ACTIONS(7077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7079),
    [anon_sym_begin] = ACTIONS(7081),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6803),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7085),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6803),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6803),
    [aux_sym_number_token1] = ACTIONS(7087),
    [aux_sym_signed_number_token1] = ACTIONS(7089),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym_DQUOTE] = ACTIONS(7093),
    [sym__uppercase_identifier] = ACTIONS(7095),
    [aux_sym_tag_token1] = ACTIONS(7097),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2562] = {
    [sym_parameter] = STATE(7371),
    [sym__parenthesized_abstract_type] = STATE(7371),
    [sym__simple_pattern] = STATE(7372),
    [sym_typed_pattern] = STATE(7416),
    [sym_polymorphic_variant_pattern] = STATE(7416),
    [sym_record_pattern] = STATE(7416),
    [sym_list_pattern] = STATE(7416),
    [sym_array_pattern] = STATE(7416),
    [sym_local_open_pattern] = STATE(7416),
    [sym_package_pattern] = STATE(7416),
    [sym_parenthesized_pattern] = STATE(7416),
    [sym_attribute] = STATE(2562),
    [sym_extension] = STATE(7416),
    [sym_quoted_extension] = STATE(7416),
    [sym__constant] = STATE(7486),
    [sym__signed_constant] = STATE(7416),
    [sym_number] = STATE(7405),
    [sym_signed_number] = STATE(7486),
    [sym_character] = STATE(7405),
    [sym_string] = STATE(7405),
    [sym_quoted_string] = STATE(7405),
    [sym_boolean] = STATE(7405),
    [sym_unit] = STATE(7405),
    [sym__simple_value_pattern] = STATE(7416),
    [sym_parenthesized_operator] = STATE(7416),
    [sym_module_path] = STATE(18996),
    [sym_constructor_path] = STATE(7416),
    [sym__constructor_name] = STATE(7406),
    [sym_tag] = STATE(7416),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__lowercase_identifier] = ACTIONS(7135),
    [anon_sym_SEMI_SEMI] = ACTIONS(7138),
    [anon_sym_let] = ACTIONS(7140),
    [anon_sym_and] = ACTIONS(7140),
    [anon_sym_EQ] = ACTIONS(7138),
    [anon_sym_TILDE] = ACTIONS(7142),
    [anon_sym_QMARK] = ACTIONS(7142),
    [anon_sym_LPAREN] = ACTIONS(7145),
    [anon_sym_external] = ACTIONS(7140),
    [anon_sym_type] = ACTIONS(7140),
    [anon_sym_LBRACK] = ACTIONS(7148),
    [anon_sym_true] = ACTIONS(7151),
    [anon_sym_false] = ACTIONS(7151),
    [anon_sym_COLON2] = ACTIONS(7138),
    [anon_sym_LBRACE] = ACTIONS(7154),
    [anon_sym_exception] = ACTIONS(7140),
    [anon_sym_module] = ACTIONS(7140),
    [anon_sym_open] = ACTIONS(7140),
    [anon_sym_include] = ACTIONS(7140),
    [anon_sym_class] = ACTIONS(7140),
    [anon_sym_end] = ACTIONS(7140),
    [anon_sym_POUND] = ACTIONS(7157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7160),
    [anon_sym_begin] = ACTIONS(7163),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7140),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7138),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7166),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7169),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7138),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7138),
    [aux_sym_number_token1] = ACTIONS(7172),
    [aux_sym_signed_number_token1] = ACTIONS(7175),
    [anon_sym_SQUOTE] = ACTIONS(7178),
    [anon_sym_DQUOTE] = ACTIONS(7181),
    [sym_let_operator] = ACTIONS(7138),
    [sym__uppercase_identifier] = ACTIONS(7184),
    [aux_sym_directive_token1] = ACTIONS(7140),
    [aux_sym_tag_token1] = ACTIONS(7187),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2563] = {
    [sym_parameter] = STATE(7425),
    [sym__parenthesized_abstract_type] = STATE(7425),
    [sym__simple_pattern] = STATE(7426),
    [sym_typed_pattern] = STATE(7503),
    [sym_polymorphic_variant_pattern] = STATE(7503),
    [sym_record_pattern] = STATE(7503),
    [sym_list_pattern] = STATE(7503),
    [sym_array_pattern] = STATE(7503),
    [sym_local_open_pattern] = STATE(7503),
    [sym_package_pattern] = STATE(7503),
    [sym_parenthesized_pattern] = STATE(7503),
    [sym_attribute] = STATE(2563),
    [sym_extension] = STATE(7503),
    [sym_quoted_extension] = STATE(7503),
    [sym__constant] = STATE(7370),
    [sym__signed_constant] = STATE(7503),
    [sym_number] = STATE(7480),
    [sym_signed_number] = STATE(7370),
    [sym_character] = STATE(7480),
    [sym_string] = STATE(7480),
    [sym_quoted_string] = STATE(7480),
    [sym_boolean] = STATE(7480),
    [sym_unit] = STATE(7480),
    [sym__simple_value_pattern] = STATE(7503),
    [sym_parenthesized_operator] = STATE(7503),
    [sym_module_path] = STATE(17613),
    [sym_constructor_path] = STATE(7503),
    [sym__constructor_name] = STATE(7591),
    [sym_tag] = STATE(7503),
    [aux_sym_let_binding_repeat1] = STATE(2563),
    [sym__lowercase_identifier] = ACTIONS(7190),
    [anon_sym_SEMI_SEMI] = ACTIONS(7138),
    [anon_sym_let] = ACTIONS(7140),
    [anon_sym_and] = ACTIONS(7140),
    [anon_sym_EQ] = ACTIONS(7138),
    [anon_sym_TILDE] = ACTIONS(7193),
    [anon_sym_QMARK] = ACTIONS(7193),
    [anon_sym_LPAREN] = ACTIONS(7196),
    [anon_sym_external] = ACTIONS(7140),
    [anon_sym_type] = ACTIONS(7140),
    [anon_sym_LBRACK] = ACTIONS(7199),
    [anon_sym_RBRACK] = ACTIONS(7138),
    [anon_sym_true] = ACTIONS(7202),
    [anon_sym_false] = ACTIONS(7202),
    [anon_sym_COLON2] = ACTIONS(7138),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_exception] = ACTIONS(7140),
    [anon_sym_module] = ACTIONS(7140),
    [anon_sym_open] = ACTIONS(7140),
    [anon_sym_include] = ACTIONS(7140),
    [anon_sym_class] = ACTIONS(7140),
    [anon_sym_POUND] = ACTIONS(7208),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7211),
    [anon_sym_begin] = ACTIONS(7214),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7140),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7138),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7220),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7138),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7138),
    [aux_sym_number_token1] = ACTIONS(7223),
    [aux_sym_signed_number_token1] = ACTIONS(7226),
    [anon_sym_SQUOTE] = ACTIONS(7229),
    [anon_sym_DQUOTE] = ACTIONS(7232),
    [sym_let_operator] = ACTIONS(7138),
    [sym__uppercase_identifier] = ACTIONS(7235),
    [aux_sym_directive_token1] = ACTIONS(7140),
    [aux_sym_tag_token1] = ACTIONS(7238),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2564] = {
    [sym__parenthesized_abstract_type] = STATE(3424),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(12971),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2564),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2564),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2567),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(7015),
    [anon_sym_COMMA] = ACTIONS(7013),
    [anon_sym_PIPE] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_RBRACK] = ACTIONS(7013),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_SEMI] = ACTIONS(7013),
    [anon_sym_RBRACE] = ACTIONS(7013),
    [anon_sym_exception] = ACTIONS(7241),
    [anon_sym_as] = ACTIONS(7017),
    [anon_sym_POUND] = ACTIONS(7243),
    [anon_sym_COLON_COLON] = ACTIONS(7013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(7245),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(7247),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7249),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7251),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2565] = {
    [sym__binding_pattern] = STATE(8760),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2565),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_and] = ACTIONS(4963),
    [anon_sym_COLON_GT] = ACTIONS(4961),
    [anon_sym_EQ] = ACTIONS(4961),
    [anon_sym_TILDE] = ACTIONS(4961),
    [anon_sym_QMARK] = ACTIONS(4961),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_COMMA] = ACTIONS(4961),
    [anon_sym_PIPE] = ACTIONS(4961),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_COLON2] = ACTIONS(4963),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_in] = ACTIONS(4963),
    [anon_sym_as] = ACTIONS(4963),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_COLON_COLON] = ACTIONS(4961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4961),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym_let_and_operator] = ACTIONS(4961),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2566] = {
    [sym_parameter] = STATE(7911),
    [sym__parenthesized_abstract_type] = STATE(7911),
    [sym__simple_pattern] = STATE(7912),
    [sym_typed_pattern] = STATE(7941),
    [sym_polymorphic_variant_pattern] = STATE(7941),
    [sym_record_pattern] = STATE(7941),
    [sym_list_pattern] = STATE(7941),
    [sym_array_pattern] = STATE(7941),
    [sym_local_open_pattern] = STATE(7941),
    [sym_package_pattern] = STATE(7941),
    [sym_parenthesized_pattern] = STATE(7941),
    [sym_attribute] = STATE(2566),
    [sym_extension] = STATE(7941),
    [sym_quoted_extension] = STATE(7941),
    [sym__constant] = STATE(7798),
    [sym__signed_constant] = STATE(7941),
    [sym_number] = STATE(7922),
    [sym_signed_number] = STATE(7798),
    [sym_character] = STATE(7922),
    [sym_string] = STATE(7922),
    [sym_quoted_string] = STATE(7922),
    [sym_boolean] = STATE(7922),
    [sym_unit] = STATE(7922),
    [sym__simple_value_pattern] = STATE(7941),
    [sym_parenthesized_operator] = STATE(7941),
    [sym_module_path] = STATE(18274),
    [sym_constructor_path] = STATE(7941),
    [sym__constructor_name] = STATE(7923),
    [sym_tag] = STATE(7941),
    [aux_sym_let_binding_repeat1] = STATE(2566),
    [sym__lowercase_identifier] = ACTIONS(7289),
    [anon_sym_SEMI_SEMI] = ACTIONS(7138),
    [anon_sym_and] = ACTIONS(7140),
    [anon_sym_EQ] = ACTIONS(7138),
    [anon_sym_TILDE] = ACTIONS(7292),
    [anon_sym_QMARK] = ACTIONS(7292),
    [anon_sym_LPAREN] = ACTIONS(7295),
    [anon_sym_external] = ACTIONS(7140),
    [anon_sym_type] = ACTIONS(7140),
    [anon_sym_LBRACK] = ACTIONS(7298),
    [anon_sym_true] = ACTIONS(7301),
    [anon_sym_false] = ACTIONS(7301),
    [anon_sym_COLON2] = ACTIONS(7138),
    [anon_sym_LBRACE] = ACTIONS(7304),
    [anon_sym_exception] = ACTIONS(7140),
    [anon_sym_module] = ACTIONS(7140),
    [anon_sym_open] = ACTIONS(7140),
    [anon_sym_include] = ACTIONS(7140),
    [anon_sym_class] = ACTIONS(7140),
    [anon_sym_val] = ACTIONS(7140),
    [anon_sym_end] = ACTIONS(7140),
    [anon_sym_POUND] = ACTIONS(7307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7310),
    [anon_sym_begin] = ACTIONS(7313),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7140),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7138),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7316),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7319),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7138),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7138),
    [aux_sym_number_token1] = ACTIONS(7322),
    [aux_sym_signed_number_token1] = ACTIONS(7325),
    [anon_sym_SQUOTE] = ACTIONS(7328),
    [anon_sym_DQUOTE] = ACTIONS(7331),
    [sym__uppercase_identifier] = ACTIONS(7334),
    [aux_sym_tag_token1] = ACTIONS(7337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2567] = {
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(12811),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2567),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2564),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2567),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_COMMA] = ACTIONS(7013),
    [anon_sym_PIPE] = ACTIONS(7013),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_RBRACK] = ACTIONS(7013),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_SEMI] = ACTIONS(7013),
    [anon_sym_RBRACE] = ACTIONS(7013),
    [anon_sym_exception] = ACTIONS(7241),
    [anon_sym_as] = ACTIONS(7017),
    [anon_sym_POUND] = ACTIONS(7243),
    [anon_sym_COLON_COLON] = ACTIONS(7013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(7245),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(7247),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7249),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7251),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2568] = {
    [sym__parenthesized_abstract_type] = STATE(3292),
    [sym__simple_pattern] = STATE(13717),
    [sym__effect_pattern] = STATE(13719),
    [sym__pattern] = STATE(13809),
    [sym_alias_pattern] = STATE(13719),
    [sym_typed_pattern] = STATE(13973),
    [sym_or_pattern] = STATE(13719),
    [sym_constructor_pattern] = STATE(13717),
    [sym_tag_pattern] = STATE(13717),
    [sym_polymorphic_variant_pattern] = STATE(13973),
    [sym_tuple_pattern] = STATE(13719),
    [sym_record_pattern] = STATE(13973),
    [sym_list_pattern] = STATE(13973),
    [sym_cons_pattern] = STATE(13719),
    [sym_array_pattern] = STATE(13973),
    [sym_range_pattern] = STATE(13719),
    [sym_lazy_pattern] = STATE(13717),
    [sym_local_open_pattern] = STATE(13973),
    [sym_package_pattern] = STATE(13973),
    [sym_parenthesized_pattern] = STATE(13973),
    [sym_exception_pattern] = STATE(13719),
    [sym_effect_pattern] = STATE(13719),
    [sym_attribute] = STATE(2568),
    [sym_extension] = STATE(13973),
    [sym_quoted_extension] = STATE(13973),
    [sym__constant] = STATE(13506),
    [sym__signed_constant] = STATE(13640),
    [sym_number] = STATE(13514),
    [sym_signed_number] = STATE(13506),
    [sym_character] = STATE(13514),
    [sym_string] = STATE(13514),
    [sym_quoted_string] = STATE(13514),
    [sym_boolean] = STATE(13514),
    [sym_unit] = STATE(13514),
    [sym__simple_value_pattern] = STATE(13973),
    [sym_parenthesized_operator] = STATE(13973),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2568),
    [sym__constructor_name] = STATE(9313),
    [sym_tag] = STATE(2571),
    [sym__lowercase_identifier] = ACTIONS(7340),
    [anon_sym_LPAREN] = ACTIONS(7342),
    [anon_sym_COMMA] = ACTIONS(7013),
    [anon_sym_PIPE] = ACTIONS(7017),
    [anon_sym_LBRACK] = ACTIONS(7344),
    [anon_sym_true] = ACTIONS(7346),
    [anon_sym_false] = ACTIONS(7346),
    [anon_sym_LBRACE] = ACTIONS(7348),
    [anon_sym_SEMI] = ACTIONS(7013),
    [anon_sym_exception] = ACTIONS(7350),
    [anon_sym_as] = ACTIONS(7017),
    [anon_sym_POUND] = ACTIONS(7352),
    [anon_sym_COLON_COLON] = ACTIONS(7013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7354),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7013),
    [anon_sym_lazy] = ACTIONS(7356),
    [anon_sym_begin] = ACTIONS(7358),
    [anon_sym_effect] = ACTIONS(7360),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7362),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7364),
    [aux_sym_number_token1] = ACTIONS(7366),
    [aux_sym_signed_number_token1] = ACTIONS(7368),
    [anon_sym_SQUOTE] = ACTIONS(7370),
    [anon_sym_DQUOTE] = ACTIONS(7372),
    [sym__uppercase_identifier] = ACTIONS(7374),
    [aux_sym_tag_token1] = ACTIONS(7376),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2569] = {
    [sym__binding_pattern] = STATE(8773),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2569),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_and] = ACTIONS(4963),
    [anon_sym_COLON_GT] = ACTIONS(4961),
    [anon_sym_EQ] = ACTIONS(4961),
    [anon_sym_TILDE] = ACTIONS(4961),
    [anon_sym_QMARK] = ACTIONS(4961),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_COMMA] = ACTIONS(4961),
    [anon_sym_PIPE] = ACTIONS(4961),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_COLON2] = ACTIONS(4963),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_in] = ACTIONS(4963),
    [anon_sym_as] = ACTIONS(4963),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_COLON_COLON] = ACTIONS(4961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4961),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym_let_and_operator] = ACTIONS(4961),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2570] = {
    [sym_parameter] = STATE(7904),
    [sym__parenthesized_abstract_type] = STATE(7904),
    [sym__simple_pattern] = STATE(7905),
    [sym_typed_pattern] = STATE(7901),
    [sym_polymorphic_variant_pattern] = STATE(7901),
    [sym_record_pattern] = STATE(7901),
    [sym_list_pattern] = STATE(7901),
    [sym_array_pattern] = STATE(7901),
    [sym_local_open_pattern] = STATE(7901),
    [sym_package_pattern] = STATE(7901),
    [sym_parenthesized_pattern] = STATE(7901),
    [sym_attribute] = STATE(2570),
    [sym_extension] = STATE(7901),
    [sym_quoted_extension] = STATE(7901),
    [sym__constant] = STATE(7666),
    [sym__signed_constant] = STATE(7901),
    [sym_number] = STATE(7704),
    [sym_signed_number] = STATE(7666),
    [sym_character] = STATE(7704),
    [sym_string] = STATE(7704),
    [sym_quoted_string] = STATE(7704),
    [sym_boolean] = STATE(7704),
    [sym_unit] = STATE(7704),
    [sym__simple_value_pattern] = STATE(7901),
    [sym_parenthesized_operator] = STATE(7901),
    [sym_module_path] = STATE(19343),
    [sym_constructor_path] = STATE(7901),
    [sym__constructor_name] = STATE(7935),
    [sym_tag] = STATE(7901),
    [aux_sym_let_binding_repeat1] = STATE(2570),
    [sym__lowercase_identifier] = ACTIONS(7378),
    [anon_sym_SEMI_SEMI] = ACTIONS(7138),
    [anon_sym_and] = ACTIONS(7140),
    [anon_sym_EQ] = ACTIONS(7138),
    [anon_sym_TILDE] = ACTIONS(7381),
    [anon_sym_QMARK] = ACTIONS(7381),
    [anon_sym_LPAREN] = ACTIONS(7384),
    [anon_sym_external] = ACTIONS(7140),
    [anon_sym_type] = ACTIONS(7140),
    [anon_sym_LBRACK] = ACTIONS(7387),
    [anon_sym_RBRACK] = ACTIONS(7138),
    [anon_sym_true] = ACTIONS(7390),
    [anon_sym_false] = ACTIONS(7390),
    [anon_sym_COLON2] = ACTIONS(7138),
    [anon_sym_LBRACE] = ACTIONS(7393),
    [anon_sym_exception] = ACTIONS(7140),
    [anon_sym_module] = ACTIONS(7140),
    [anon_sym_open] = ACTIONS(7140),
    [anon_sym_include] = ACTIONS(7140),
    [anon_sym_class] = ACTIONS(7140),
    [anon_sym_val] = ACTIONS(7140),
    [anon_sym_POUND] = ACTIONS(7396),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7399),
    [anon_sym_begin] = ACTIONS(7402),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7140),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7138),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7405),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7408),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7138),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7138),
    [aux_sym_number_token1] = ACTIONS(7411),
    [aux_sym_signed_number_token1] = ACTIONS(7414),
    [anon_sym_SQUOTE] = ACTIONS(7417),
    [anon_sym_DQUOTE] = ACTIONS(7420),
    [sym__uppercase_identifier] = ACTIONS(7423),
    [aux_sym_tag_token1] = ACTIONS(7426),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2571] = {
    [sym__simple_pattern] = STATE(13717),
    [sym__effect_pattern] = STATE(13719),
    [sym__pattern] = STATE(13810),
    [sym_alias_pattern] = STATE(13719),
    [sym_typed_pattern] = STATE(13973),
    [sym_or_pattern] = STATE(13719),
    [sym_constructor_pattern] = STATE(13717),
    [sym_tag_pattern] = STATE(13717),
    [sym_polymorphic_variant_pattern] = STATE(13973),
    [sym_tuple_pattern] = STATE(13719),
    [sym_record_pattern] = STATE(13973),
    [sym_list_pattern] = STATE(13973),
    [sym_cons_pattern] = STATE(13719),
    [sym_array_pattern] = STATE(13973),
    [sym_range_pattern] = STATE(13719),
    [sym_lazy_pattern] = STATE(13717),
    [sym_local_open_pattern] = STATE(13973),
    [sym_package_pattern] = STATE(13973),
    [sym_parenthesized_pattern] = STATE(13973),
    [sym_exception_pattern] = STATE(13719),
    [sym_effect_pattern] = STATE(13719),
    [sym_attribute] = STATE(2571),
    [sym_extension] = STATE(13973),
    [sym_quoted_extension] = STATE(13973),
    [sym__constant] = STATE(13506),
    [sym__signed_constant] = STATE(13640),
    [sym_number] = STATE(13514),
    [sym_signed_number] = STATE(13506),
    [sym_character] = STATE(13514),
    [sym_string] = STATE(13514),
    [sym_quoted_string] = STATE(13514),
    [sym_boolean] = STATE(13514),
    [sym_unit] = STATE(13514),
    [sym__simple_value_pattern] = STATE(13973),
    [sym_parenthesized_operator] = STATE(13973),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2568),
    [sym__constructor_name] = STATE(9313),
    [sym_tag] = STATE(2571),
    [sym__lowercase_identifier] = ACTIONS(7340),
    [anon_sym_LPAREN] = ACTIONS(7429),
    [anon_sym_COMMA] = ACTIONS(7013),
    [anon_sym_PIPE] = ACTIONS(7017),
    [anon_sym_LBRACK] = ACTIONS(7344),
    [anon_sym_true] = ACTIONS(7346),
    [anon_sym_false] = ACTIONS(7346),
    [anon_sym_LBRACE] = ACTIONS(7348),
    [anon_sym_SEMI] = ACTIONS(7013),
    [anon_sym_exception] = ACTIONS(7350),
    [anon_sym_as] = ACTIONS(7017),
    [anon_sym_POUND] = ACTIONS(7352),
    [anon_sym_COLON_COLON] = ACTIONS(7013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7354),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7013),
    [anon_sym_lazy] = ACTIONS(7356),
    [anon_sym_begin] = ACTIONS(7358),
    [anon_sym_effect] = ACTIONS(7360),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7362),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7364),
    [aux_sym_number_token1] = ACTIONS(7366),
    [aux_sym_signed_number_token1] = ACTIONS(7368),
    [anon_sym_SQUOTE] = ACTIONS(7370),
    [anon_sym_DQUOTE] = ACTIONS(7372),
    [sym__uppercase_identifier] = ACTIONS(7374),
    [aux_sym_tag_token1] = ACTIONS(7376),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2572] = {
    [sym__match_cases] = STATE(8118),
    [sym_match_case] = STATE(9360),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2572),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2855),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2573] = {
    [sym_parameter] = STATE(8679),
    [sym__polymorphic_typed] = STATE(12727),
    [sym__parenthesized_abstract_type] = STATE(8679),
    [sym__simple_pattern] = STATE(8683),
    [sym_typed_pattern] = STATE(8450),
    [sym_polymorphic_variant_pattern] = STATE(8450),
    [sym_record_pattern] = STATE(8450),
    [sym_list_pattern] = STATE(8450),
    [sym_array_pattern] = STATE(8450),
    [sym_local_open_pattern] = STATE(8450),
    [sym_package_pattern] = STATE(8450),
    [sym_parenthesized_pattern] = STATE(8450),
    [sym_attribute] = STATE(2573),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(8450),
    [sym_quoted_extension] = STATE(8450),
    [sym__constant] = STATE(8545),
    [sym__signed_constant] = STATE(8450),
    [sym_number] = STATE(8712),
    [sym_signed_number] = STATE(8545),
    [sym_character] = STATE(8712),
    [sym_string] = STATE(8712),
    [sym_quoted_string] = STATE(8712),
    [sym_boolean] = STATE(8712),
    [sym_unit] = STATE(8712),
    [sym__simple_value_pattern] = STATE(8450),
    [sym_parenthesized_operator] = STATE(8450),
    [sym_module_path] = STATE(17796),
    [sym_constructor_path] = STATE(8450),
    [sym__constructor_name] = STATE(8713),
    [sym_tag] = STATE(8450),
    [aux_sym_expression_item_repeat1] = STATE(12989),
    [aux_sym_let_binding_repeat1] = STATE(2578),
    [sym__lowercase_identifier] = ACTIONS(7435),
    [anon_sym_EQ] = ACTIONS(7437),
    [anon_sym_TILDE] = ACTIONS(7439),
    [anon_sym_QMARK] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7441),
    [anon_sym_LBRACK] = ACTIONS(7443),
    [anon_sym_true] = ACTIONS(7445),
    [anon_sym_false] = ACTIONS(7445),
    [anon_sym_COLON2] = ACTIONS(7447),
    [anon_sym_LBRACE] = ACTIONS(7449),
    [anon_sym_constraint] = ACTIONS(7451),
    [anon_sym_val] = ACTIONS(7451),
    [anon_sym_end] = ACTIONS(7451),
    [anon_sym_inherit] = ACTIONS(7451),
    [anon_sym_method] = ACTIONS(7451),
    [anon_sym_initializer] = ACTIONS(7451),
    [anon_sym_POUND] = ACTIONS(7453),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7455),
    [anon_sym_begin] = ACTIONS(7457),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7459),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7461),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7463),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7459),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7459),
    [aux_sym_number_token1] = ACTIONS(7465),
    [aux_sym_signed_number_token1] = ACTIONS(7467),
    [anon_sym_SQUOTE] = ACTIONS(7469),
    [anon_sym_DQUOTE] = ACTIONS(7471),
    [sym__uppercase_identifier] = ACTIONS(7473),
    [aux_sym_tag_token1] = ACTIONS(7475),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2574] = {
    [sym__match_cases] = STATE(8118),
    [sym_match_case] = STATE(10032),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13515),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2574),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2701),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7477),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2575] = {
    [sym__match_cases] = STATE(8118),
    [sym_match_case] = STATE(12387),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2575),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2846),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2576] = {
    [sym__match_cases] = STATE(8118),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13543),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2576),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2692),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7481),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2577] = {
    [sym__match_cases] = STATE(8118),
    [sym_match_case] = STATE(10180),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13608),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2577),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2728),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2578] = {
    [sym_parameter] = STATE(8679),
    [sym__polymorphic_typed] = STATE(12732),
    [sym__parenthesized_abstract_type] = STATE(8679),
    [sym__simple_pattern] = STATE(8683),
    [sym_typed_pattern] = STATE(8450),
    [sym_polymorphic_variant_pattern] = STATE(8450),
    [sym_record_pattern] = STATE(8450),
    [sym_list_pattern] = STATE(8450),
    [sym_array_pattern] = STATE(8450),
    [sym_local_open_pattern] = STATE(8450),
    [sym_package_pattern] = STATE(8450),
    [sym_parenthesized_pattern] = STATE(8450),
    [sym_attribute] = STATE(2578),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(8450),
    [sym_quoted_extension] = STATE(8450),
    [sym__constant] = STATE(8545),
    [sym__signed_constant] = STATE(8450),
    [sym_number] = STATE(8712),
    [sym_signed_number] = STATE(8545),
    [sym_character] = STATE(8712),
    [sym_string] = STATE(8712),
    [sym_quoted_string] = STATE(8712),
    [sym_boolean] = STATE(8712),
    [sym_unit] = STATE(8712),
    [sym__simple_value_pattern] = STATE(8450),
    [sym_parenthesized_operator] = STATE(8450),
    [sym_module_path] = STATE(17796),
    [sym_constructor_path] = STATE(8450),
    [sym__constructor_name] = STATE(8713),
    [sym_tag] = STATE(8450),
    [aux_sym_expression_item_repeat1] = STATE(12888),
    [aux_sym_let_binding_repeat1] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(7435),
    [anon_sym_EQ] = ACTIONS(7485),
    [anon_sym_TILDE] = ACTIONS(7439),
    [anon_sym_QMARK] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7441),
    [anon_sym_LBRACK] = ACTIONS(7443),
    [anon_sym_true] = ACTIONS(7445),
    [anon_sym_false] = ACTIONS(7445),
    [anon_sym_COLON2] = ACTIONS(7447),
    [anon_sym_LBRACE] = ACTIONS(7449),
    [anon_sym_constraint] = ACTIONS(7487),
    [anon_sym_val] = ACTIONS(7487),
    [anon_sym_end] = ACTIONS(7487),
    [anon_sym_inherit] = ACTIONS(7487),
    [anon_sym_method] = ACTIONS(7487),
    [anon_sym_initializer] = ACTIONS(7487),
    [anon_sym_POUND] = ACTIONS(7453),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7455),
    [anon_sym_begin] = ACTIONS(7457),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7489),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7461),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7463),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7489),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7489),
    [aux_sym_number_token1] = ACTIONS(7465),
    [aux_sym_signed_number_token1] = ACTIONS(7467),
    [anon_sym_SQUOTE] = ACTIONS(7469),
    [anon_sym_DQUOTE] = ACTIONS(7471),
    [sym__uppercase_identifier] = ACTIONS(7473),
    [aux_sym_tag_token1] = ACTIONS(7475),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2579] = {
    [sym__match_cases] = STATE(10257),
    [sym_match_case] = STATE(12371),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13404),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2579),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2768),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2580] = {
    [sym_parameter] = STATE(8679),
    [sym__polymorphic_typed] = STATE(12761),
    [sym__parenthesized_abstract_type] = STATE(8679),
    [sym__simple_pattern] = STATE(8683),
    [sym_typed_pattern] = STATE(8450),
    [sym_polymorphic_variant_pattern] = STATE(8450),
    [sym_record_pattern] = STATE(8450),
    [sym_list_pattern] = STATE(8450),
    [sym_array_pattern] = STATE(8450),
    [sym_local_open_pattern] = STATE(8450),
    [sym_package_pattern] = STATE(8450),
    [sym_parenthesized_pattern] = STATE(8450),
    [sym_attribute] = STATE(2580),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(8450),
    [sym_quoted_extension] = STATE(8450),
    [sym__constant] = STATE(8545),
    [sym__signed_constant] = STATE(8450),
    [sym_number] = STATE(8712),
    [sym_signed_number] = STATE(8545),
    [sym_character] = STATE(8712),
    [sym_string] = STATE(8712),
    [sym_quoted_string] = STATE(8712),
    [sym_boolean] = STATE(8712),
    [sym_unit] = STATE(8712),
    [sym__simple_value_pattern] = STATE(8450),
    [sym_parenthesized_operator] = STATE(8450),
    [sym_module_path] = STATE(17796),
    [sym_constructor_path] = STATE(8450),
    [sym__constructor_name] = STATE(8713),
    [sym_tag] = STATE(8450),
    [aux_sym_expression_item_repeat1] = STATE(12859),
    [aux_sym_let_binding_repeat1] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(7435),
    [anon_sym_EQ] = ACTIONS(7493),
    [anon_sym_TILDE] = ACTIONS(7439),
    [anon_sym_QMARK] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7441),
    [anon_sym_LBRACK] = ACTIONS(7443),
    [anon_sym_true] = ACTIONS(7445),
    [anon_sym_false] = ACTIONS(7445),
    [anon_sym_COLON2] = ACTIONS(7447),
    [anon_sym_LBRACE] = ACTIONS(7449),
    [anon_sym_constraint] = ACTIONS(7495),
    [anon_sym_val] = ACTIONS(7495),
    [anon_sym_end] = ACTIONS(7495),
    [anon_sym_inherit] = ACTIONS(7495),
    [anon_sym_method] = ACTIONS(7495),
    [anon_sym_initializer] = ACTIONS(7495),
    [anon_sym_POUND] = ACTIONS(7453),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7455),
    [anon_sym_begin] = ACTIONS(7457),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7497),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7461),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7463),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7497),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7497),
    [aux_sym_number_token1] = ACTIONS(7465),
    [aux_sym_signed_number_token1] = ACTIONS(7467),
    [anon_sym_SQUOTE] = ACTIONS(7469),
    [anon_sym_DQUOTE] = ACTIONS(7471),
    [sym__uppercase_identifier] = ACTIONS(7473),
    [aux_sym_tag_token1] = ACTIONS(7475),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2581] = {
    [sym_parameter] = STATE(8679),
    [sym__polymorphic_typed] = STATE(12738),
    [sym__parenthesized_abstract_type] = STATE(8679),
    [sym__simple_pattern] = STATE(8683),
    [sym_typed_pattern] = STATE(8450),
    [sym_polymorphic_variant_pattern] = STATE(8450),
    [sym_record_pattern] = STATE(8450),
    [sym_list_pattern] = STATE(8450),
    [sym_array_pattern] = STATE(8450),
    [sym_local_open_pattern] = STATE(8450),
    [sym_package_pattern] = STATE(8450),
    [sym_parenthesized_pattern] = STATE(8450),
    [sym_attribute] = STATE(2581),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(8450),
    [sym_quoted_extension] = STATE(8450),
    [sym__constant] = STATE(8545),
    [sym__signed_constant] = STATE(8450),
    [sym_number] = STATE(8712),
    [sym_signed_number] = STATE(8545),
    [sym_character] = STATE(8712),
    [sym_string] = STATE(8712),
    [sym_quoted_string] = STATE(8712),
    [sym_boolean] = STATE(8712),
    [sym_unit] = STATE(8712),
    [sym__simple_value_pattern] = STATE(8450),
    [sym_parenthesized_operator] = STATE(8450),
    [sym_module_path] = STATE(17796),
    [sym_constructor_path] = STATE(8450),
    [sym__constructor_name] = STATE(8713),
    [sym_tag] = STATE(8450),
    [aux_sym_expression_item_repeat1] = STATE(12861),
    [aux_sym_let_binding_repeat1] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(7435),
    [anon_sym_EQ] = ACTIONS(7499),
    [anon_sym_TILDE] = ACTIONS(7439),
    [anon_sym_QMARK] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7441),
    [anon_sym_LBRACK] = ACTIONS(7443),
    [anon_sym_true] = ACTIONS(7445),
    [anon_sym_false] = ACTIONS(7445),
    [anon_sym_COLON2] = ACTIONS(7447),
    [anon_sym_LBRACE] = ACTIONS(7449),
    [anon_sym_constraint] = ACTIONS(7501),
    [anon_sym_val] = ACTIONS(7501),
    [anon_sym_end] = ACTIONS(7501),
    [anon_sym_inherit] = ACTIONS(7501),
    [anon_sym_method] = ACTIONS(7501),
    [anon_sym_initializer] = ACTIONS(7501),
    [anon_sym_POUND] = ACTIONS(7453),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7455),
    [anon_sym_begin] = ACTIONS(7457),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7503),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7461),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7463),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7503),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7503),
    [aux_sym_number_token1] = ACTIONS(7465),
    [aux_sym_signed_number_token1] = ACTIONS(7467),
    [anon_sym_SQUOTE] = ACTIONS(7469),
    [anon_sym_DQUOTE] = ACTIONS(7471),
    [sym__uppercase_identifier] = ACTIONS(7473),
    [aux_sym_tag_token1] = ACTIONS(7475),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2582] = {
    [sym__match_cases] = STATE(8074),
    [sym_match_case] = STATE(8562),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13399),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2582),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2715),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7505),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2583] = {
    [sym__match_cases] = STATE(8074),
    [sym_match_case] = STATE(8514),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13440),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2583),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2894),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2584] = {
    [sym__match_cases] = STATE(8118),
    [sym_match_case] = STATE(12253),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13698),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2584),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2843),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2585] = {
    [sym__match_cases] = STATE(7682),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13543),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2585),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2784),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7481),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2586] = {
    [sym__match_cases] = STATE(7682),
    [sym_match_case] = STATE(10180),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13608),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2586),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2764),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2587] = {
    [sym__match_cases] = STATE(7682),
    [sym_match_case] = STATE(11814),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13550),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2587),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2844),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2588] = {
    [sym__match_cases] = STATE(10257),
    [sym_match_case] = STATE(11757),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13432),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2588),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2792),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7513),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2589] = {
    [sym__match_cases] = STATE(8118),
    [sym_match_case] = STATE(11740),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13604),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2589),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2708),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2590] = {
    [sym__match_cases] = STATE(7682),
    [sym_match_case] = STATE(12189),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13379),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2590),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2878),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7517),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2591] = {
    [sym_parameter] = STATE(8679),
    [sym__polymorphic_typed] = STATE(12736),
    [sym__parenthesized_abstract_type] = STATE(8679),
    [sym__simple_pattern] = STATE(8683),
    [sym_typed_pattern] = STATE(8450),
    [sym_polymorphic_variant_pattern] = STATE(8450),
    [sym_record_pattern] = STATE(8450),
    [sym_list_pattern] = STATE(8450),
    [sym_array_pattern] = STATE(8450),
    [sym_local_open_pattern] = STATE(8450),
    [sym_package_pattern] = STATE(8450),
    [sym_parenthesized_pattern] = STATE(8450),
    [sym_attribute] = STATE(2591),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(8450),
    [sym_quoted_extension] = STATE(8450),
    [sym__constant] = STATE(8545),
    [sym__signed_constant] = STATE(8450),
    [sym_number] = STATE(8712),
    [sym_signed_number] = STATE(8545),
    [sym_character] = STATE(8712),
    [sym_string] = STATE(8712),
    [sym_quoted_string] = STATE(8712),
    [sym_boolean] = STATE(8712),
    [sym_unit] = STATE(8712),
    [sym__simple_value_pattern] = STATE(8450),
    [sym_parenthesized_operator] = STATE(8450),
    [sym_module_path] = STATE(17796),
    [sym_constructor_path] = STATE(8450),
    [sym__constructor_name] = STATE(8713),
    [sym_tag] = STATE(8450),
    [aux_sym_expression_item_repeat1] = STATE(12925),
    [aux_sym_let_binding_repeat1] = STATE(2580),
    [sym__lowercase_identifier] = ACTIONS(7435),
    [anon_sym_EQ] = ACTIONS(7519),
    [anon_sym_TILDE] = ACTIONS(7439),
    [anon_sym_QMARK] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7441),
    [anon_sym_LBRACK] = ACTIONS(7443),
    [anon_sym_true] = ACTIONS(7445),
    [anon_sym_false] = ACTIONS(7445),
    [anon_sym_COLON2] = ACTIONS(7447),
    [anon_sym_LBRACE] = ACTIONS(7449),
    [anon_sym_constraint] = ACTIONS(7521),
    [anon_sym_val] = ACTIONS(7521),
    [anon_sym_end] = ACTIONS(7521),
    [anon_sym_inherit] = ACTIONS(7521),
    [anon_sym_method] = ACTIONS(7521),
    [anon_sym_initializer] = ACTIONS(7521),
    [anon_sym_POUND] = ACTIONS(7453),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7455),
    [anon_sym_begin] = ACTIONS(7457),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7523),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7461),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7463),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7523),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7523),
    [aux_sym_number_token1] = ACTIONS(7465),
    [aux_sym_signed_number_token1] = ACTIONS(7467),
    [anon_sym_SQUOTE] = ACTIONS(7469),
    [anon_sym_DQUOTE] = ACTIONS(7471),
    [sym__uppercase_identifier] = ACTIONS(7473),
    [aux_sym_tag_token1] = ACTIONS(7475),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2592] = {
    [sym__match_cases] = STATE(8074),
    [sym_match_case] = STATE(8165),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13639),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2592),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2819),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2593] = {
    [sym__match_cases] = STATE(7682),
    [sym_match_case] = STATE(12253),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13698),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2593),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2723),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2594] = {
    [sym__match_cases] = STATE(10257),
    [sym_match_case] = STATE(11530),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13474),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2594),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2873),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2595] = {
    [sym__match_cases] = STATE(8118),
    [sym_match_case] = STATE(11822),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13652),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2595),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2717),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7529),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2596] = {
    [sym__match_cases] = STATE(8074),
    [sym_match_case] = STATE(8356),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13696),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2596),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2890),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2597] = {
    [sym__match_cases] = STATE(7682),
    [sym_match_case] = STATE(12387),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2597),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2850),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2598] = {
    [sym__match_cases] = STATE(10257),
    [sym_match_case] = STATE(11973),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13401),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2598),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2672),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7533),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2599] = {
    [sym__match_cases] = STATE(8118),
    [sym_match_case] = STATE(11996),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13679),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2599),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2722),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2600] = {
    [sym__match_cases] = STATE(8074),
    [sym_match_case] = STATE(8265),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13699),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2600),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2807),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7537),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2601] = {
    [sym__match_cases] = STATE(7682),
    [sym_match_case] = STATE(12089),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13663),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2601),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2810),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2602] = {
    [sym__match_cases] = STATE(10257),
    [sym_match_case] = STATE(11619),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13431),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2602),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2684),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7541),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2603] = {
    [sym__match_cases] = STATE(8118),
    [sym_match_case] = STATE(11854),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13688),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2603),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2732),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2604] = {
    [sym__match_cases] = STATE(8074),
    [sym_match_case] = STATE(8228),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13541),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2604),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2818),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2605] = {
    [sym__match_cases] = STATE(7682),
    [sym_match_case] = STATE(9360),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2605),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2842),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2606] = {
    [sym__match_cases] = STATE(10257),
    [sym_match_case] = STATE(10983),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13481),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2606),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2693),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2607] = {
    [sym__match_cases] = STATE(8118),
    [sym_match_case] = STATE(9239),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13536),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2607),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2750),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7549),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2608] = {
    [sym__match_cases] = STATE(8074),
    [sym_match_case] = STATE(8416),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13409),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2608),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2831),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7551),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2609] = {
    [sym__match_cases] = STATE(7682),
    [sym_match_case] = STATE(10032),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13515),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2609),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2815),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7477),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2610] = {
    [sym__match_cases] = STATE(8074),
    [sym_match_case] = STATE(7999),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13618),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2610),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2869),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7553),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2611] = {
    [sym__match_cases] = STATE(8118),
    [sym_match_case] = STATE(12089),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13663),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2611),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2791),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2612] = {
    [sym__match_cases] = STATE(7682),
    [sym_match_case] = STATE(11740),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13604),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2612),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2812),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2613] = {
    [sym__match_cases] = STATE(8074),
    [sym_match_case] = STATE(8266),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13378),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2613),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2883),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2614] = {
    [sym__match_cases] = STATE(7682),
    [sym_match_case] = STATE(11822),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13652),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2614),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2763),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7529),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2615] = {
    [sym__match_cases] = STATE(8074),
    [sym_match_case] = STATE(8253),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13540),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2615),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2738),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7557),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2616] = {
    [sym__match_cases] = STATE(7682),
    [sym_match_case] = STATE(11996),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13679),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2616),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2682),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2617] = {
    [sym__match_cases] = STATE(8074),
    [sym_match_case] = STATE(8025),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13580),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2617),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2744),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2618] = {
    [sym__match_cases] = STATE(7682),
    [sym_match_case] = STATE(11854),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13688),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2618),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2690),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2619] = {
    [sym__match_cases] = STATE(8074),
    [sym_match_case] = STATE(8180),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13622),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2619),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2755),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7561),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2620] = {
    [sym__match_cases] = STATE(7682),
    [sym_match_case] = STATE(9239),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13536),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2620),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__attribute] = STATE(2845),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7549),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7433),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2621] = {
    [sym_parameter] = STATE(8679),
    [sym__polymorphic_typed] = STATE(12750),
    [sym__parenthesized_abstract_type] = STATE(8679),
    [sym__simple_pattern] = STATE(8683),
    [sym_typed_pattern] = STATE(8450),
    [sym_polymorphic_variant_pattern] = STATE(8450),
    [sym_record_pattern] = STATE(8450),
    [sym_list_pattern] = STATE(8450),
    [sym_array_pattern] = STATE(8450),
    [sym_local_open_pattern] = STATE(8450),
    [sym_package_pattern] = STATE(8450),
    [sym_parenthesized_pattern] = STATE(8450),
    [sym_attribute] = STATE(2621),
    [sym_item_attribute] = STATE(10010),
    [sym_extension] = STATE(8450),
    [sym_quoted_extension] = STATE(8450),
    [sym__constant] = STATE(8545),
    [sym__signed_constant] = STATE(8450),
    [sym_number] = STATE(8712),
    [sym_signed_number] = STATE(8545),
    [sym_character] = STATE(8712),
    [sym_string] = STATE(8712),
    [sym_quoted_string] = STATE(8712),
    [sym_boolean] = STATE(8712),
    [sym_unit] = STATE(8712),
    [sym__simple_value_pattern] = STATE(8450),
    [sym_parenthesized_operator] = STATE(8450),
    [sym_module_path] = STATE(17796),
    [sym_constructor_path] = STATE(8450),
    [sym__constructor_name] = STATE(8713),
    [sym_tag] = STATE(8450),
    [aux_sym_expression_item_repeat1] = STATE(12905),
    [aux_sym_let_binding_repeat1] = STATE(2581),
    [sym__lowercase_identifier] = ACTIONS(7435),
    [anon_sym_EQ] = ACTIONS(7563),
    [anon_sym_TILDE] = ACTIONS(7439),
    [anon_sym_QMARK] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7441),
    [anon_sym_LBRACK] = ACTIONS(7443),
    [anon_sym_true] = ACTIONS(7445),
    [anon_sym_false] = ACTIONS(7445),
    [anon_sym_COLON2] = ACTIONS(7447),
    [anon_sym_LBRACE] = ACTIONS(7449),
    [anon_sym_constraint] = ACTIONS(7565),
    [anon_sym_val] = ACTIONS(7565),
    [anon_sym_end] = ACTIONS(7565),
    [anon_sym_inherit] = ACTIONS(7565),
    [anon_sym_method] = ACTIONS(7565),
    [anon_sym_initializer] = ACTIONS(7565),
    [anon_sym_POUND] = ACTIONS(7453),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7455),
    [anon_sym_begin] = ACTIONS(7457),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6785),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7567),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7461),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7463),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7567),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7567),
    [aux_sym_number_token1] = ACTIONS(7465),
    [aux_sym_signed_number_token1] = ACTIONS(7467),
    [anon_sym_SQUOTE] = ACTIONS(7469),
    [anon_sym_DQUOTE] = ACTIONS(7471),
    [sym__uppercase_identifier] = ACTIONS(7473),
    [aux_sym_tag_token1] = ACTIONS(7475),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2622] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(19161),
    [sym_module_definition] = STATE(19179),
    [sym_open_module] = STATE(19209),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2622),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2623] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(18316),
    [sym_module_definition] = STATE(18322),
    [sym_open_module] = STATE(18324),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2623),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2624] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(17705),
    [sym_module_definition] = STATE(17710),
    [sym_open_module] = STATE(17713),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2624),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2625] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(19824),
    [sym_module_definition] = STATE(19828),
    [sym_open_module] = STATE(19830),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2625),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2626] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(18073),
    [sym_module_definition] = STATE(18077),
    [sym_open_module] = STATE(18078),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2626),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2627] = {
    [sym_parameter] = STATE(10099),
    [sym__polymorphic_typed] = STATE(17205),
    [sym__parenthesized_abstract_type] = STATE(10099),
    [sym__simple_pattern] = STATE(10102),
    [sym_typed_pattern] = STATE(10064),
    [sym_polymorphic_variant_pattern] = STATE(10064),
    [sym_record_pattern] = STATE(10064),
    [sym_list_pattern] = STATE(10064),
    [sym_array_pattern] = STATE(10064),
    [sym_local_open_pattern] = STATE(10064),
    [sym_package_pattern] = STATE(10064),
    [sym_parenthesized_pattern] = STATE(10064),
    [sym_attribute] = STATE(2627),
    [sym_item_attribute] = STATE(14332),
    [sym_extension] = STATE(10064),
    [sym_quoted_extension] = STATE(10064),
    [sym__constant] = STATE(10069),
    [sym__signed_constant] = STATE(10064),
    [sym_number] = STATE(10122),
    [sym_signed_number] = STATE(10069),
    [sym_character] = STATE(10122),
    [sym_string] = STATE(10122),
    [sym_quoted_string] = STATE(10122),
    [sym_boolean] = STATE(10122),
    [sym_unit] = STATE(10122),
    [sym__simple_value_pattern] = STATE(10064),
    [sym_parenthesized_operator] = STATE(10064),
    [sym_module_path] = STATE(19143),
    [sym_constructor_path] = STATE(10064),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(10064),
    [aux_sym_expression_item_repeat1] = STATE(13801),
    [aux_sym_let_binding_repeat1] = STATE(4599),
    [sym__lowercase_identifier] = ACTIONS(5369),
    [anon_sym_and] = ACTIONS(5373),
    [anon_sym_COLON_GT] = ACTIONS(7579),
    [anon_sym_EQ] = ACTIONS(7581),
    [anon_sym_TILDE] = ACTIONS(5379),
    [anon_sym_QMARK] = ACTIONS(5379),
    [anon_sym_LPAREN] = ACTIONS(5381),
    [anon_sym_COMMA] = ACTIONS(7583),
    [anon_sym_PIPE] = ACTIONS(7585),
    [anon_sym_LBRACK] = ACTIONS(5387),
    [anon_sym_true] = ACTIONS(5389),
    [anon_sym_false] = ACTIONS(5389),
    [anon_sym_COLON2] = ACTIONS(5391),
    [anon_sym_LBRACE] = ACTIONS(5393),
    [anon_sym_in] = ACTIONS(5373),
    [anon_sym_as] = ACTIONS(7587),
    [anon_sym_POUND] = ACTIONS(5397),
    [anon_sym_COLON_COLON] = ACTIONS(7589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5401),
    [anon_sym_begin] = ACTIONS(5403),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7591),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7595),
    [aux_sym_number_token1] = ACTIONS(5411),
    [aux_sym_signed_number_token1] = ACTIONS(5413),
    [anon_sym_SQUOTE] = ACTIONS(5415),
    [anon_sym_DQUOTE] = ACTIONS(5417),
    [sym_let_and_operator] = ACTIONS(5371),
    [sym__uppercase_identifier] = ACTIONS(5419),
    [aux_sym_tag_token1] = ACTIONS(5421),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2628] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(19121),
    [sym_module_definition] = STATE(19158),
    [sym_open_module] = STATE(19162),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2628),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2629] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(17750),
    [sym_module_definition] = STATE(18329),
    [sym_open_module] = STATE(18398),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2629),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2630] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(20282),
    [sym_module_definition] = STATE(20290),
    [sym_open_module] = STATE(20293),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2630),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2631] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(17700),
    [sym_module_definition] = STATE(17701),
    [sym_open_module] = STATE(17709),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2631),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2632] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(19375),
    [sym_module_definition] = STATE(19376),
    [sym_open_module] = STATE(19377),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2632),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2633] = {
    [sym_let_binding] = STATE(11089),
    [sym_exception_definition] = STATE(17750),
    [sym_module_definition] = STATE(18329),
    [sym_open_module] = STATE(18398),
    [sym__binding_pattern] = STATE(2463),
    [sym_alias_binding_pattern] = STATE(5518),
    [sym_typed_binding_pattern] = STATE(5518),
    [sym_or_binding_pattern] = STATE(5518),
    [sym_constructor_binding_pattern] = STATE(5518),
    [sym_tag_binding_pattern] = STATE(5518),
    [sym_polymorphic_variant_pattern] = STATE(5518),
    [sym_tuple_binding_pattern] = STATE(5518),
    [sym_record_binding_pattern] = STATE(5429),
    [sym_list_binding_pattern] = STATE(5434),
    [sym_cons_binding_pattern] = STATE(5518),
    [sym_array_binding_pattern] = STATE(5442),
    [sym_range_pattern] = STATE(5518),
    [sym_lazy_binding_pattern] = STATE(5518),
    [sym_local_open_binding_pattern] = STATE(5518),
    [sym_package_pattern] = STATE(5518),
    [sym_parenthesized_binding_pattern] = STATE(5518),
    [sym_attribute] = STATE(2633),
    [sym_extension] = STATE(5518),
    [sym_quoted_extension] = STATE(5518),
    [sym__attribute] = STATE(4463),
    [sym__constant] = STATE(5264),
    [sym__signed_constant] = STATE(5336),
    [sym_number] = STATE(5369),
    [sym_signed_number] = STATE(5264),
    [sym_character] = STATE(5369),
    [sym_string] = STATE(5369),
    [sym_quoted_string] = STATE(5369),
    [sym_boolean] = STATE(5369),
    [sym_unit] = STATE(5369),
    [sym__value_name] = STATE(5518),
    [sym_parenthesized_operator] = STATE(5488),
    [sym_module_path] = STATE(18300),
    [sym_constructor_path] = STATE(2428),
    [sym__constructor_name] = STATE(5317),
    [sym_tag] = STATE(2425),
    [sym__lowercase_identifier] = ACTIONS(4959),
    [anon_sym_rec] = ACTIONS(7597),
    [anon_sym_LPAREN] = ACTIONS(4965),
    [anon_sym_LBRACK] = ACTIONS(4967),
    [anon_sym_true] = ACTIONS(4969),
    [anon_sym_false] = ACTIONS(4969),
    [anon_sym_LBRACE] = ACTIONS(4971),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(4973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4975),
    [anon_sym_lazy] = ACTIONS(4977),
    [anon_sym_begin] = ACTIONS(4979),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7601),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(4985),
    [aux_sym_signed_number_token1] = ACTIONS(4987),
    [anon_sym_SQUOTE] = ACTIONS(4989),
    [anon_sym_DQUOTE] = ACTIONS(4991),
    [sym__uppercase_identifier] = ACTIONS(4993),
    [aux_sym_tag_token1] = ACTIONS(4995),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2634] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(18905),
    [sym_module_definition] = STATE(18906),
    [sym_open_module] = STATE(18913),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2634),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2635] = {
    [sym_let_binding] = STATE(11218),
    [sym_exception_definition] = STATE(20084),
    [sym_module_definition] = STATE(20088),
    [sym_open_module] = STATE(20092),
    [sym__binding_pattern] = STATE(2471),
    [sym_alias_binding_pattern] = STATE(5416),
    [sym_typed_binding_pattern] = STATE(5416),
    [sym_or_binding_pattern] = STATE(5416),
    [sym_constructor_binding_pattern] = STATE(5416),
    [sym_tag_binding_pattern] = STATE(5416),
    [sym_polymorphic_variant_pattern] = STATE(5416),
    [sym_tuple_binding_pattern] = STATE(5416),
    [sym_record_binding_pattern] = STATE(5417),
    [sym_list_binding_pattern] = STATE(5418),
    [sym_cons_binding_pattern] = STATE(5416),
    [sym_array_binding_pattern] = STATE(5419),
    [sym_range_pattern] = STATE(5416),
    [sym_lazy_binding_pattern] = STATE(5416),
    [sym_local_open_binding_pattern] = STATE(5416),
    [sym_package_pattern] = STATE(5416),
    [sym_parenthesized_binding_pattern] = STATE(5416),
    [sym_attribute] = STATE(2635),
    [sym_extension] = STATE(5416),
    [sym_quoted_extension] = STATE(5416),
    [sym__attribute] = STATE(4480),
    [sym__constant] = STATE(5265),
    [sym__signed_constant] = STATE(5326),
    [sym_number] = STATE(5352),
    [sym_signed_number] = STATE(5265),
    [sym_character] = STATE(5352),
    [sym_string] = STATE(5352),
    [sym_quoted_string] = STATE(5352),
    [sym_boolean] = STATE(5352),
    [sym_unit] = STATE(5352),
    [sym__value_name] = STATE(5416),
    [sym_parenthesized_operator] = STATE(5449),
    [sym_module_path] = STATE(17786),
    [sym_constructor_path] = STATE(2438),
    [sym__constructor_name] = STATE(5355),
    [sym_tag] = STATE(2437),
    [sym__lowercase_identifier] = ACTIONS(5131),
    [anon_sym_rec] = ACTIONS(7603),
    [anon_sym_LPAREN] = ACTIONS(5133),
    [anon_sym_LBRACK] = ACTIONS(5135),
    [anon_sym_true] = ACTIONS(5137),
    [anon_sym_false] = ACTIONS(5137),
    [anon_sym_LBRACE] = ACTIONS(5139),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(5141),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5143),
    [anon_sym_lazy] = ACTIONS(5145),
    [anon_sym_begin] = ACTIONS(5147),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7607),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(5153),
    [aux_sym_signed_number_token1] = ACTIONS(5155),
    [anon_sym_SQUOTE] = ACTIONS(5157),
    [anon_sym_DQUOTE] = ACTIONS(5159),
    [sym__uppercase_identifier] = ACTIONS(5161),
    [aux_sym_tag_token1] = ACTIONS(5163),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2636] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(20319),
    [sym_module_definition] = STATE(20327),
    [sym_open_module] = STATE(20331),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2636),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2637] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(17821),
    [sym_module_definition] = STATE(17822),
    [sym_open_module] = STATE(17827),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2637),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2638] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(19889),
    [sym_module_definition] = STATE(19892),
    [sym_open_module] = STATE(19896),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2638),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2639] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(18202),
    [sym_module_definition] = STATE(18206),
    [sym_open_module] = STATE(18207),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2639),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2640] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(18611),
    [sym_module_definition] = STATE(18612),
    [sym_open_module] = STATE(18613),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2640),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2641] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(19168),
    [sym_module_definition] = STATE(19169),
    [sym_open_module] = STATE(19170),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2641),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2642] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(19418),
    [sym_module_definition] = STATE(19419),
    [sym_open_module] = STATE(19424),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2642),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2643] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(19785),
    [sym_module_definition] = STATE(19786),
    [sym_open_module] = STATE(19788),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2643),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2644] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(20236),
    [sym_module_definition] = STATE(20237),
    [sym_open_module] = STATE(20238),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2644),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2645] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(20119),
    [sym_module_definition] = STATE(20120),
    [sym_open_module] = STATE(20126),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2645),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2646] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(20084),
    [sym_module_definition] = STATE(20088),
    [sym_open_module] = STATE(20092),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2646),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2647] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(17908),
    [sym_module_definition] = STATE(17912),
    [sym_open_module] = STATE(17965),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2647),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2648] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(17590),
    [sym_module_definition] = STATE(17601),
    [sym_open_module] = STATE(17610),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2648),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2649] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(19319),
    [sym_module_definition] = STATE(19322),
    [sym_open_module] = STATE(19324),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2649),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2650] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(20125),
    [sym_module_definition] = STATE(20134),
    [sym_open_module] = STATE(20148),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2650),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2651] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(17609),
    [sym_module_definition] = STATE(17614),
    [sym_open_module] = STATE(17637),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2651),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2652] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(19362),
    [sym_module_definition] = STATE(19410),
    [sym_open_module] = STATE(19427),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2652),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2653] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(17793),
    [sym_module_definition] = STATE(17794),
    [sym_open_module] = STATE(17795),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2653),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2654] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(18549),
    [sym_module_definition] = STATE(18551),
    [sym_open_module] = STATE(18576),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2654),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2655] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(19361),
    [sym_module_definition] = STATE(19372),
    [sym_open_module] = STATE(19378),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2655),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2656] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(19727),
    [sym_module_definition] = STATE(19730),
    [sym_open_module] = STATE(19734),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2656),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2657] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(20105),
    [sym_module_definition] = STATE(20108),
    [sym_open_module] = STATE(20111),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2657),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2658] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(19990),
    [sym_module_definition] = STATE(19995),
    [sym_open_module] = STATE(20304),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2658),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2659] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(20081),
    [sym_module_definition] = STATE(20168),
    [sym_open_module] = STATE(20267),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2659),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2660] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(18053),
    [sym_module_definition] = STATE(18054),
    [sym_open_module] = STATE(18058),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2660),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2661] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(19246),
    [sym_module_definition] = STATE(19938),
    [sym_open_module] = STATE(17504),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2661),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2662] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(18744),
    [sym_module_definition] = STATE(18759),
    [sym_open_module] = STATE(18778),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2662),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2663] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(19522),
    [sym_module_definition] = STATE(19524),
    [sym_open_module] = STATE(19525),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2663),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2664] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(17525),
    [sym_module_definition] = STATE(17527),
    [sym_open_module] = STATE(17529),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2664),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2665] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(17721),
    [sym_module_definition] = STATE(17725),
    [sym_open_module] = STATE(17727),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2665),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2666] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(17934),
    [sym_module_definition] = STATE(17937),
    [sym_open_module] = STATE(17939),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2666),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2667] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(18169),
    [sym_module_definition] = STATE(18173),
    [sym_open_module] = STATE(18174),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2667),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2668] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(18313),
    [sym_module_definition] = STATE(18314),
    [sym_open_module] = STATE(18315),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2668),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2669] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(19758),
    [sym_module_definition] = STATE(19759),
    [sym_open_module] = STATE(19760),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2669),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2670] = {
    [sym_let_binding] = STATE(14712),
    [sym_exception_definition] = STATE(17711),
    [sym_module_definition] = STATE(17714),
    [sym_open_module] = STATE(17751),
    [sym__binding_pattern] = STATE(2627),
    [sym_alias_binding_pattern] = STATE(8779),
    [sym_typed_binding_pattern] = STATE(8779),
    [sym_or_binding_pattern] = STATE(8779),
    [sym_constructor_binding_pattern] = STATE(8779),
    [sym_tag_binding_pattern] = STATE(8779),
    [sym_polymorphic_variant_pattern] = STATE(8779),
    [sym_tuple_binding_pattern] = STATE(8779),
    [sym_record_binding_pattern] = STATE(8781),
    [sym_list_binding_pattern] = STATE(8785),
    [sym_cons_binding_pattern] = STATE(8779),
    [sym_array_binding_pattern] = STATE(8786),
    [sym_range_pattern] = STATE(8779),
    [sym_lazy_binding_pattern] = STATE(8779),
    [sym_local_open_binding_pattern] = STATE(8779),
    [sym_package_pattern] = STATE(8779),
    [sym_parenthesized_binding_pattern] = STATE(8779),
    [sym_attribute] = STATE(2670),
    [sym_extension] = STATE(8779),
    [sym_quoted_extension] = STATE(8779),
    [sym__attribute] = STATE(4475),
    [sym__constant] = STATE(8581),
    [sym__signed_constant] = STATE(8663),
    [sym_number] = STATE(8641),
    [sym_signed_number] = STATE(8581),
    [sym_character] = STATE(8641),
    [sym_string] = STATE(8641),
    [sym_quoted_string] = STATE(8641),
    [sym_boolean] = STATE(8641),
    [sym_unit] = STATE(8641),
    [sym__value_name] = STATE(8779),
    [sym_parenthesized_operator] = STATE(8762),
    [sym_module_path] = STATE(17580),
    [sym_constructor_path] = STATE(2565),
    [sym__constructor_name] = STATE(8643),
    [sym_tag] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(7255),
    [anon_sym_rec] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym_true] = ACTIONS(7261),
    [anon_sym_false] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_exception] = ACTIONS(7571),
    [anon_sym_module] = ACTIONS(7573),
    [anon_sym_open] = ACTIONS(7575),
    [anon_sym_POUND] = ACTIONS(7265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7267),
    [anon_sym_lazy] = ACTIONS(7269),
    [anon_sym_begin] = ACTIONS(7271),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7273),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7275),
    [anon_sym_PERCENT] = ACTIONS(7577),
    [aux_sym_number_token1] = ACTIONS(7277),
    [aux_sym_signed_number_token1] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7281),
    [anon_sym_DQUOTE] = ACTIONS(7283),
    [sym__uppercase_identifier] = ACTIONS(7285),
    [aux_sym_tag_token1] = ACTIONS(7287),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2671] = {
    [sym__match_cases] = STATE(7762),
    [sym_match_case] = STATE(11854),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13688),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2671),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2672] = {
    [sym__match_cases] = STATE(10295),
    [sym_match_case] = STATE(11973),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13401),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2672),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7533),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2673] = {
    [sym__simple_expression] = STATE(9030),
    [sym_typed_expression] = STATE(9045),
    [sym_list_expression] = STATE(9045),
    [sym_array_expression] = STATE(9045),
    [sym_record_expression] = STATE(9045),
    [sym_labeled_argument] = STATE(9741),
    [sym_prefix_expression] = STATE(9045),
    [sym_hash_expression] = STATE(9045),
    [sym_field_get_expression] = STATE(9045),
    [sym_array_get_expression] = STATE(9045),
    [sym_string_get_expression] = STATE(9045),
    [sym_bigarray_get_expression] = STATE(9045),
    [sym_coercion_expression] = STATE(9045),
    [sym_local_open_expression] = STATE(9045),
    [sym_package_expression] = STATE(9045),
    [sym_new_expression] = STATE(9045),
    [sym_object_copy_expression] = STATE(9045),
    [sym_method_invocation] = STATE(9045),
    [sym_object_expression] = STATE(9045),
    [sym_parenthesized_expression] = STATE(9045),
    [sym_attribute] = STATE(2673),
    [sym_extension] = STATE(9045),
    [sym_quoted_extension] = STATE(9045),
    [sym__constant] = STATE(9045),
    [sym_number] = STATE(9013),
    [sym_character] = STATE(9013),
    [sym_string] = STATE(9013),
    [sym_quoted_string] = STATE(9013),
    [sym_boolean] = STATE(9013),
    [sym_unit] = STATE(9013),
    [sym__value_name] = STATE(9025),
    [sym_parenthesized_operator] = STATE(9120),
    [sym_value_path] = STATE(9045),
    [sym_module_path] = STATE(17917),
    [sym_constructor_path] = STATE(9045),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(9045),
    [aux_sym_class_application_repeat1] = STATE(2867),
    [sym__lowercase_identifier] = ACTIONS(7609),
    [anon_sym_TILDE] = ACTIONS(7611),
    [anon_sym_QMARK] = ACTIONS(7611),
    [anon_sym_LPAREN] = ACTIONS(7613),
    [anon_sym_RPAREN] = ACTIONS(5589),
    [anon_sym_LBRACK] = ACTIONS(7615),
    [anon_sym_true] = ACTIONS(7617),
    [anon_sym_false] = ACTIONS(7617),
    [anon_sym_COLON2] = ACTIONS(5589),
    [anon_sym_LBRACE] = ACTIONS(7619),
    [anon_sym_object] = ACTIONS(7621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7623),
    [anon_sym_new] = ACTIONS(7625),
    [anon_sym_LBRACE_LT] = ACTIONS(7627),
    [anon_sym_begin] = ACTIONS(7629),
    [sym_ocamlyacc_value] = ACTIONS(7631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7635),
    [aux_sym_number_token1] = ACTIONS(7637),
    [anon_sym_SQUOTE] = ACTIONS(7639),
    [anon_sym_DQUOTE] = ACTIONS(7641),
    [sym_prefix_operator] = ACTIONS(7643),
    [sym__uppercase_identifier] = ACTIONS(7645),
    [aux_sym_tag_token1] = ACTIONS(7647),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2674] = {
    [sym__match_cases] = STATE(10315),
    [sym_match_case] = STATE(11973),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13401),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2674),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7533),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2675] = {
    [sym__match_cases] = STATE(10266),
    [sym_match_case] = STATE(11973),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13401),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2675),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7533),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2676] = {
    [sym__match_cases] = STATE(8126),
    [sym_match_case] = STATE(8356),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13696),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2676),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2677] = {
    [sym__match_cases] = STATE(8134),
    [sym_match_case] = STATE(8356),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13696),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2677),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2678] = {
    [sym__match_cases] = STATE(10381),
    [sym_match_case] = STATE(11973),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13401),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2678),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7533),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2679] = {
    [sym__match_cases] = STATE(10397),
    [sym_match_case] = STATE(11973),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13401),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2679),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7533),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2680] = {
    [sym__match_cases] = STATE(8078),
    [sym_match_case] = STATE(8356),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13696),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2680),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2681] = {
    [sym__match_cases] = STATE(8001),
    [sym_match_case] = STATE(8356),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13696),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2681),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2682] = {
    [sym__match_cases] = STATE(7731),
    [sym_match_case] = STATE(11996),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13679),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2682),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2683] = {
    [sym__match_cases] = STATE(7762),
    [sym_match_case] = STATE(12387),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2683),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2684] = {
    [sym__match_cases] = STATE(10295),
    [sym_match_case] = STATE(11619),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13431),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2684),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7541),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2685] = {
    [sym__match_cases] = STATE(10315),
    [sym_match_case] = STATE(11619),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13431),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2685),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7541),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2686] = {
    [sym__match_cases] = STATE(10266),
    [sym_match_case] = STATE(11619),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13431),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2686),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7541),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2687] = {
    [sym__match_cases] = STATE(7763),
    [sym_match_case] = STATE(11814),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13550),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2687),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2688] = {
    [sym__match_cases] = STATE(10381),
    [sym_match_case] = STATE(11619),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13431),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2688),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7541),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2689] = {
    [sym__match_cases] = STATE(10397),
    [sym_match_case] = STATE(11619),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13431),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2689),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7541),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2690] = {
    [sym__match_cases] = STATE(7731),
    [sym_match_case] = STATE(11854),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13688),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2690),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2691] = {
    [sym__match_cases] = STATE(7763),
    [sym_match_case] = STATE(12387),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2691),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2692] = {
    [sym__match_cases] = STATE(8152),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13543),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2692),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7481),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2693] = {
    [sym__match_cases] = STATE(10295),
    [sym_match_case] = STATE(10983),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13481),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2693),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2694] = {
    [sym__signature] = STATE(18151),
    [sym_external] = STATE(12692),
    [sym_type_definition] = STATE(12692),
    [sym_exception_definition] = STATE(12692),
    [sym_module_definition] = STATE(12692),
    [sym_module_type_definition] = STATE(12692),
    [sym_open_module] = STATE(12692),
    [sym_class_definition] = STATE(12692),
    [sym_class_type_definition] = STATE(12692),
    [sym__signature_item] = STATE(12686),
    [sym_value_specification] = STATE(12692),
    [sym_include_module_type] = STATE(12692),
    [sym__simple_type] = STATE(11782),
    [sym__tuple_type] = STATE(12791),
    [sym__type] = STATE(15125),
    [sym_function_type] = STATE(8045),
    [sym_typed_label] = STATE(18020),
    [sym_tuple_type] = STATE(7716),
    [sym_constructed_type] = STATE(12461),
    [sym_aliased_type] = STATE(8045),
    [sym_local_open_type] = STATE(12461),
    [sym_polymorphic_variant_type] = STATE(12461),
    [sym_package_type] = STATE(12461),
    [sym_object_type] = STATE(12461),
    [sym_hash_type] = STATE(12461),
    [sym_parenthesized_type] = STATE(12461),
    [sym_attribute] = STATE(2694),
    [sym_floating_attribute] = STATE(12692),
    [sym_extension] = STATE(12461),
    [sym_quoted_extension] = STATE(12461),
    [sym_item_extension] = STATE(12692),
    [sym_quoted_item_extension] = STATE(12692),
    [sym_extended_module_path] = STATE(16860),
    [sym_type_constructor_path] = STATE(12461),
    [sym_type_variable] = STATE(12461),
    [aux_sym__structure_repeat1] = STATE(8841),
    [aux_sym__signature_repeat1] = STATE(8822),
    [sym__lowercase_identifier] = ACTIONS(7649),
    [anon_sym_SEMI_SEMI] = ACTIONS(7651),
    [anon_sym_QMARK] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(7653),
    [anon_sym_LBRACK] = ACTIONS(13),
    [anon_sym_RBRACK] = ACTIONS(7655),
    [anon_sym_exception] = ACTIONS(7657),
    [anon_sym_module] = ACTIONS(7659),
    [anon_sym_open] = ACTIONS(7661),
    [anon_sym_include] = ACTIONS(7663),
    [anon_sym_class] = ACTIONS(7665),
    [anon_sym_val] = ACTIONS(7667),
    [anon_sym_LBRACK_GT] = ACTIONS(15),
    [anon_sym_LBRACK_LT] = ACTIONS(17),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7669),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7671),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [sym__uppercase_identifier] = ACTIONS(29),
    [aux_sym_type_variable_token1] = ACTIONS(31),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2695] = {
    [sym__match_cases] = STATE(10315),
    [sym_match_case] = STATE(10983),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13481),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2695),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2696] = {
    [sym__match_cases] = STATE(10266),
    [sym_match_case] = STATE(10983),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13481),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2696),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2697] = {
    [sym__match_cases] = STATE(10315),
    [sym_match_case] = STATE(11530),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13474),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2697),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2698] = {
    [sym__match_cases] = STATE(10381),
    [sym_match_case] = STATE(10983),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13481),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2698),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2699] = {
    [sym__match_cases] = STATE(10397),
    [sym_match_case] = STATE(10983),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13481),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2699),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2700] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13543),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2700),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7481),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2701] = {
    [sym__match_cases] = STATE(8152),
    [sym_match_case] = STATE(10032),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13515),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2701),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7477),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2702] = {
    [sym__match_cases] = STATE(8124),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13543),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2702),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7481),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2703] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(10032),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13515),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2703),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7477),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2704] = {
    [sym__match_cases] = STATE(8124),
    [sym_match_case] = STATE(10032),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13515),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2704),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7477),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2705] = {
    [sym__match_cases] = STATE(8158),
    [sym_match_case] = STATE(10032),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13515),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2705),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7477),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2706] = {
    [sym__match_cases] = STATE(8159),
    [sym_match_case] = STATE(10032),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13515),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2706),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7477),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2707] = {
    [sym__match_cases] = STATE(8158),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13543),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2707),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7481),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2708] = {
    [sym__match_cases] = STATE(8152),
    [sym_match_case] = STATE(11740),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13604),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2708),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2709] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(11740),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13604),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2709),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2710] = {
    [sym__match_cases] = STATE(8124),
    [sym_match_case] = STATE(11740),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13604),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2710),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2711] = {
    [sym__match_cases] = STATE(8159),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13543),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2711),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7481),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2712] = {
    [sym__match_cases] = STATE(8158),
    [sym_match_case] = STATE(11740),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13604),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2712),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2713] = {
    [sym__match_cases] = STATE(8159),
    [sym_match_case] = STATE(11740),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13604),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2713),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2714] = {
    [sym__match_cases] = STATE(8126),
    [sym_match_case] = STATE(8514),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13440),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2714),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2715] = {
    [sym__match_cases] = STATE(8003),
    [sym_match_case] = STATE(8562),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13399),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2715),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7505),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2716] = {
    [sym__match_cases] = STATE(8134),
    [sym_match_case] = STATE(8514),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13440),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2716),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2717] = {
    [sym__match_cases] = STATE(8152),
    [sym_match_case] = STATE(11822),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13652),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2717),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7529),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2718] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(11822),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13652),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2718),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7529),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2719] = {
    [sym__match_cases] = STATE(8124),
    [sym_match_case] = STATE(11822),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13652),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2719),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7529),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2720] = {
    [sym__match_cases] = STATE(8158),
    [sym_match_case] = STATE(11822),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13652),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2720),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7529),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2721] = {
    [sym__match_cases] = STATE(8159),
    [sym_match_case] = STATE(11822),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13652),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2721),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7529),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2722] = {
    [sym__match_cases] = STATE(8152),
    [sym_match_case] = STATE(11996),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13679),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2722),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2723] = {
    [sym__match_cases] = STATE(7731),
    [sym_match_case] = STATE(12253),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13698),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2723),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2724] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(11996),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13679),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2724),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2725] = {
    [sym__match_cases] = STATE(8124),
    [sym_match_case] = STATE(11996),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13679),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2725),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2726] = {
    [sym__match_cases] = STATE(10266),
    [sym_match_case] = STATE(11530),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13474),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2726),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2727] = {
    [sym__match_cases] = STATE(7781),
    [sym_match_case] = STATE(12089),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13663),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2727),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2728] = {
    [sym__match_cases] = STATE(8152),
    [sym_match_case] = STATE(10180),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13608),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2728),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2729] = {
    [sym__match_cases] = STATE(8158),
    [sym_match_case] = STATE(11996),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13679),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2729),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2730] = {
    [sym__match_cases] = STATE(8159),
    [sym_match_case] = STATE(11996),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13679),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2730),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2731] = {
    [sym__match_cases] = STATE(8078),
    [sym_match_case] = STATE(8514),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13440),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2731),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2732] = {
    [sym__match_cases] = STATE(8152),
    [sym_match_case] = STATE(11854),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13688),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2732),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2733] = {
    [sym__match_cases] = STATE(8001),
    [sym_match_case] = STATE(8514),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13440),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2733),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2734] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(11854),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13688),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2734),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2735] = {
    [sym__match_cases] = STATE(8124),
    [sym_match_case] = STATE(11854),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13688),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2735),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2736] = {
    [sym__match_cases] = STATE(8158),
    [sym_match_case] = STATE(11854),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13688),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2736),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2737] = {
    [sym__match_cases] = STATE(8159),
    [sym_match_case] = STATE(11854),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13688),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2737),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2738] = {
    [sym__match_cases] = STATE(8003),
    [sym_match_case] = STATE(8253),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13540),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2738),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7557),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2739] = {
    [sym__match_cases] = STATE(8126),
    [sym_match_case] = STATE(8253),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13540),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2739),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7557),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2740] = {
    [sym__match_cases] = STATE(8134),
    [sym_match_case] = STATE(8253),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13540),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2740),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7557),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2741] = {
    [sym__match_cases] = STATE(8134),
    [sym_match_case] = STATE(8562),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13399),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2741),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7505),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2742] = {
    [sym__match_cases] = STATE(8078),
    [sym_match_case] = STATE(8253),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13540),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2742),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7557),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2743] = {
    [sym__match_cases] = STATE(8001),
    [sym_match_case] = STATE(8253),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13540),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2743),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7557),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2744] = {
    [sym__match_cases] = STATE(8003),
    [sym_match_case] = STATE(8025),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13580),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2744),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2745] = {
    [sym__match_cases] = STATE(8126),
    [sym_match_case] = STATE(8025),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13580),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2745),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2746] = {
    [sym__match_cases] = STATE(8134),
    [sym_match_case] = STATE(8025),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13580),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2746),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2747] = {
    [sym__match_cases] = STATE(8078),
    [sym_match_case] = STATE(8025),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13580),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2747),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2748] = {
    [sym__match_cases] = STATE(8001),
    [sym_match_case] = STATE(8025),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13580),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2748),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2749] = {
    [sym__match_cases] = STATE(7763),
    [sym_match_case] = STATE(11854),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13688),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2749),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2750] = {
    [sym__match_cases] = STATE(8152),
    [sym_match_case] = STATE(9239),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13536),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2750),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7549),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2751] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(9239),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13536),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2751),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7549),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2752] = {
    [sym__match_cases] = STATE(8124),
    [sym_match_case] = STATE(9239),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13536),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2752),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7549),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2753] = {
    [sym__match_cases] = STATE(8158),
    [sym_match_case] = STATE(9239),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13536),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2753),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7549),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2754] = {
    [sym__match_cases] = STATE(8159),
    [sym_match_case] = STATE(9239),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13536),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2754),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7549),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2755] = {
    [sym__match_cases] = STATE(8003),
    [sym_match_case] = STATE(8180),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13622),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2755),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7561),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2756] = {
    [sym__match_cases] = STATE(8126),
    [sym_match_case] = STATE(8180),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13622),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2756),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7561),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2757] = {
    [sym__match_cases] = STATE(8134),
    [sym_match_case] = STATE(8180),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13622),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2757),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7561),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2758] = {
    [sym__match_cases] = STATE(8078),
    [sym_match_case] = STATE(8180),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13622),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2758),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7561),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2759] = {
    [sym__match_cases] = STATE(8001),
    [sym_match_case] = STATE(8180),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13622),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2759),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7561),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2760] = {
    [sym__match_cases] = STATE(7782),
    [sym_match_case] = STATE(12089),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13663),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2760),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2761] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(10180),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13608),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2761),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2762] = {
    [sym__match_cases] = STATE(8124),
    [sym_match_case] = STATE(10180),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13608),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2762),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2763] = {
    [sym__match_cases] = STATE(7731),
    [sym_match_case] = STATE(11822),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13652),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2763),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7529),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2764] = {
    [sym__match_cases] = STATE(7731),
    [sym_match_case] = STATE(10180),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13608),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2764),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2765] = {
    [sym__match_cases] = STATE(8158),
    [sym_match_case] = STATE(10180),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13608),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2765),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2766] = {
    [sym__match_cases] = STATE(7762),
    [sym_match_case] = STATE(12253),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13698),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2766),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2767] = {
    [sym__match_cases] = STATE(7763),
    [sym_match_case] = STATE(12253),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13698),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2767),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2768] = {
    [sym__match_cases] = STATE(10295),
    [sym_match_case] = STATE(12371),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13404),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2768),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2769] = {
    [sym__match_cases] = STATE(8159),
    [sym_match_case] = STATE(10180),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13608),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2769),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2770] = {
    [sym__match_cases] = STATE(10315),
    [sym_match_case] = STATE(12371),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13404),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2770),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2771] = {
    [sym__match_cases] = STATE(10266),
    [sym_match_case] = STATE(12371),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13404),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2771),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2772] = {
    [sym__match_cases] = STATE(10381),
    [sym_match_case] = STATE(12371),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13404),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2772),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2773] = {
    [sym__match_cases] = STATE(10397),
    [sym_match_case] = STATE(12371),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13404),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2773),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2774] = {
    [sym__match_cases] = STATE(7781),
    [sym_match_case] = STATE(12253),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13698),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2774),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2775] = {
    [sym__match_cases] = STATE(7782),
    [sym_match_case] = STATE(12253),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13698),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2775),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2776] = {
    [sym__match_cases] = STATE(7762),
    [sym_match_case] = STATE(10180),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13608),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2776),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2777] = {
    [sym__match_cases] = STATE(7781),
    [sym_match_case] = STATE(12387),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2777),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2778] = {
    [sym__match_cases] = STATE(7763),
    [sym_match_case] = STATE(10180),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13608),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2778),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2779] = {
    [sym__match_cases] = STATE(7762),
    [sym_match_case] = STATE(11822),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13652),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2779),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7529),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2780] = {
    [sym__match_cases] = STATE(7763),
    [sym_match_case] = STATE(11822),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13652),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2780),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7529),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2781] = {
    [sym__match_cases] = STATE(7782),
    [sym_match_case] = STATE(12387),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2781),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2782] = {
    [sym__match_cases] = STATE(7781),
    [sym_match_case] = STATE(11822),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13652),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2782),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7529),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2783] = {
    [sym__match_cases] = STATE(7782),
    [sym_match_case] = STATE(11822),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13652),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2783),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7529),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2784] = {
    [sym__match_cases] = STATE(7731),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13543),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2784),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7481),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2785] = {
    [sym__match_cases] = STATE(10381),
    [sym_match_case] = STATE(11530),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13474),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2785),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2786] = {
    [sym__match_cases] = STATE(7762),
    [sym_match_case] = STATE(10032),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13515),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2786),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7477),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2787] = {
    [sym__match_cases] = STATE(7781),
    [sym_match_case] = STATE(11854),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13688),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2787),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2788] = {
    [sym__match_cases] = STATE(7782),
    [sym_match_case] = STATE(11854),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13688),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2788),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2789] = {
    [sym__match_cases] = STATE(7762),
    [sym_match_case] = STATE(11996),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13679),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2789),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2790] = {
    [sym__match_cases] = STATE(7763),
    [sym_match_case] = STATE(10032),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13515),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2790),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7477),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2791] = {
    [sym__match_cases] = STATE(8152),
    [sym_match_case] = STATE(12089),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13663),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2791),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2792] = {
    [sym__match_cases] = STATE(10295),
    [sym_match_case] = STATE(11757),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13432),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2792),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7513),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2793] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(12089),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13663),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2793),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2794] = {
    [sym__match_cases] = STATE(10397),
    [sym_match_case] = STATE(11530),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13474),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2794),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2795] = {
    [sym__simple_expression] = STATE(9030),
    [sym_typed_expression] = STATE(9045),
    [sym_list_expression] = STATE(9045),
    [sym_array_expression] = STATE(9045),
    [sym_record_expression] = STATE(9045),
    [sym_labeled_argument] = STATE(9741),
    [sym_prefix_expression] = STATE(9045),
    [sym_hash_expression] = STATE(9045),
    [sym_field_get_expression] = STATE(9045),
    [sym_array_get_expression] = STATE(9045),
    [sym_string_get_expression] = STATE(9045),
    [sym_bigarray_get_expression] = STATE(9045),
    [sym_coercion_expression] = STATE(9045),
    [sym_local_open_expression] = STATE(9045),
    [sym_package_expression] = STATE(9045),
    [sym_new_expression] = STATE(9045),
    [sym_object_copy_expression] = STATE(9045),
    [sym_method_invocation] = STATE(9045),
    [sym_object_expression] = STATE(9045),
    [sym_parenthesized_expression] = STATE(9045),
    [sym_attribute] = STATE(2795),
    [sym_extension] = STATE(9045),
    [sym_quoted_extension] = STATE(9045),
    [sym__constant] = STATE(9045),
    [sym_number] = STATE(9013),
    [sym_character] = STATE(9013),
    [sym_string] = STATE(9013),
    [sym_quoted_string] = STATE(9013),
    [sym_boolean] = STATE(9013),
    [sym_unit] = STATE(9013),
    [sym__value_name] = STATE(9025),
    [sym_parenthesized_operator] = STATE(9120),
    [sym_value_path] = STATE(9045),
    [sym_module_path] = STATE(17917),
    [sym_constructor_path] = STATE(9045),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(9045),
    [aux_sym_class_application_repeat1] = STATE(2673),
    [sym__lowercase_identifier] = ACTIONS(7609),
    [anon_sym_TILDE] = ACTIONS(7611),
    [anon_sym_QMARK] = ACTIONS(7611),
    [anon_sym_LPAREN] = ACTIONS(7613),
    [anon_sym_RPAREN] = ACTIONS(5547),
    [anon_sym_LBRACK] = ACTIONS(7615),
    [anon_sym_true] = ACTIONS(7617),
    [anon_sym_false] = ACTIONS(7617),
    [anon_sym_COLON2] = ACTIONS(5547),
    [anon_sym_LBRACE] = ACTIONS(7619),
    [anon_sym_object] = ACTIONS(7621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7623),
    [anon_sym_new] = ACTIONS(7625),
    [anon_sym_LBRACE_LT] = ACTIONS(7627),
    [anon_sym_begin] = ACTIONS(7629),
    [sym_ocamlyacc_value] = ACTIONS(7631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7635),
    [aux_sym_number_token1] = ACTIONS(7637),
    [anon_sym_SQUOTE] = ACTIONS(7639),
    [anon_sym_DQUOTE] = ACTIONS(7641),
    [sym_prefix_operator] = ACTIONS(7643),
    [sym__uppercase_identifier] = ACTIONS(7645),
    [aux_sym_tag_token1] = ACTIONS(7647),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2796] = {
    [sym__match_cases] = STATE(10315),
    [sym_match_case] = STATE(11757),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13432),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2796),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7513),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2797] = {
    [sym__match_cases] = STATE(10266),
    [sym_match_case] = STATE(11757),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13432),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2797),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7513),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2798] = {
    [sym__match_cases] = STATE(10381),
    [sym_match_case] = STATE(11757),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13432),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2798),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7513),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2799] = {
    [sym__match_cases] = STATE(10397),
    [sym_match_case] = STATE(11757),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13432),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2799),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7513),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2800] = {
    [sym__match_cases] = STATE(8124),
    [sym_match_case] = STATE(12089),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13663),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2800),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2801] = {
    [sym__match_cases] = STATE(7762),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13543),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2801),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7481),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2802] = {
    [sym__match_cases] = STATE(7763),
    [sym_match_case] = STATE(11996),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13679),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2802),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2803] = {
    [sym__match_cases] = STATE(8158),
    [sym_match_case] = STATE(12089),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13663),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2803),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2804] = {
    [sym__match_cases] = STATE(7763),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13543),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2804),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7481),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2805] = {
    [sym__match_cases] = STATE(8159),
    [sym_match_case] = STATE(12089),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13663),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2805),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2806] = {
    [sym__match_cases] = STATE(7781),
    [sym_match_case] = STATE(10032),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13515),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2806),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7477),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2807] = {
    [sym__match_cases] = STATE(8003),
    [sym_match_case] = STATE(8265),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13699),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2807),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7537),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2808] = {
    [sym__match_cases] = STATE(8126),
    [sym_match_case] = STATE(8265),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13699),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2808),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7537),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2809] = {
    [sym__match_cases] = STATE(7762),
    [sym_match_case] = STATE(12189),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13379),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2809),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7517),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2810] = {
    [sym__match_cases] = STATE(7731),
    [sym_match_case] = STATE(12089),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13663),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2810),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2811] = {
    [sym__match_cases] = STATE(8134),
    [sym_match_case] = STATE(8265),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13699),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2811),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7537),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2812] = {
    [sym__match_cases] = STATE(7731),
    [sym_match_case] = STATE(11740),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13604),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2812),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2813] = {
    [sym__match_cases] = STATE(8078),
    [sym_match_case] = STATE(8265),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13699),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2813),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7537),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2814] = {
    [sym__match_cases] = STATE(8001),
    [sym_match_case] = STATE(8265),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13699),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2814),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7537),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2815] = {
    [sym__match_cases] = STATE(7731),
    [sym_match_case] = STATE(10032),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13515),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2815),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7477),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2816] = {
    [sym__match_cases] = STATE(8001),
    [sym_match_case] = STATE(8562),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13399),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2816),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7505),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2817] = {
    [sym__match_cases] = STATE(7781),
    [sym_match_case] = STATE(11996),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13679),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2817),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2818] = {
    [sym__match_cases] = STATE(8003),
    [sym_match_case] = STATE(8228),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13541),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2818),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2819] = {
    [sym__match_cases] = STATE(8003),
    [sym_match_case] = STATE(8165),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13639),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2819),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2820] = {
    [sym__match_cases] = STATE(8126),
    [sym_match_case] = STATE(8228),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13541),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2820),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2821] = {
    [sym__match_cases] = STATE(8134),
    [sym_match_case] = STATE(8228),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13541),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2821),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2822] = {
    [sym__match_cases] = STATE(7782),
    [sym_match_case] = STATE(10032),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13515),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2822),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7477),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2823] = {
    [sym__match_cases] = STATE(8126),
    [sym_match_case] = STATE(8165),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13639),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2823),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2824] = {
    [sym__match_cases] = STATE(8078),
    [sym_match_case] = STATE(8228),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13541),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2824),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2825] = {
    [sym__match_cases] = STATE(8001),
    [sym_match_case] = STATE(8228),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13541),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2825),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2826] = {
    [sym__match_cases] = STATE(8134),
    [sym_match_case] = STATE(8165),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13639),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2826),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2827] = {
    [sym__match_cases] = STATE(8078),
    [sym_match_case] = STATE(8165),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13639),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2827),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2828] = {
    [sym__match_cases] = STATE(8001),
    [sym_match_case] = STATE(8165),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13639),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2828),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7525),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2829] = {
    [sym__match_cases] = STATE(7781),
    [sym_match_case] = STATE(10180),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13608),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2829),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2830] = {
    [sym__match_cases] = STATE(7762),
    [sym_match_case] = STATE(11740),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13604),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2830),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2831] = {
    [sym__match_cases] = STATE(8003),
    [sym_match_case] = STATE(8416),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13409),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2831),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7551),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2832] = {
    [sym__match_cases] = STATE(7763),
    [sym_match_case] = STATE(12189),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13379),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2832),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7517),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2833] = {
    [sym__match_cases] = STATE(7782),
    [sym_match_case] = STATE(11996),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13679),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2833),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2834] = {
    [sym__match_cases] = STATE(7762),
    [sym_match_case] = STATE(12089),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13663),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2834),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2835] = {
    [sym__match_cases] = STATE(7781),
    [sym_match_case] = STATE(11814),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13550),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2835),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2836] = {
    [sym__match_cases] = STATE(8126),
    [sym_match_case] = STATE(8416),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13409),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2836),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7551),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2837] = {
    [sym__match_cases] = STATE(8134),
    [sym_match_case] = STATE(8416),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13409),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2837),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7551),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2838] = {
    [sym__match_cases] = STATE(8078),
    [sym_match_case] = STATE(8562),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13399),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2838),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7505),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2839] = {
    [sym__match_cases] = STATE(8078),
    [sym_match_case] = STATE(8416),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13409),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2839),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7551),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2840] = {
    [sym__match_cases] = STATE(8001),
    [sym_match_case] = STATE(8416),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13409),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2840),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7551),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2841] = {
    [sym__match_cases] = STATE(7763),
    [sym_match_case] = STATE(11740),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13604),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2841),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2842] = {
    [sym__match_cases] = STATE(7731),
    [sym_match_case] = STATE(9360),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2842),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2843] = {
    [sym__match_cases] = STATE(8152),
    [sym_match_case] = STATE(12253),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13698),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2843),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2844] = {
    [sym__match_cases] = STATE(7731),
    [sym_match_case] = STATE(11814),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13550),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2844),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2845] = {
    [sym__match_cases] = STATE(7731),
    [sym_match_case] = STATE(9239),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13536),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2845),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7549),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2846] = {
    [sym__match_cases] = STATE(8152),
    [sym_match_case] = STATE(12387),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2846),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2847] = {
    [sym__match_cases] = STATE(7762),
    [sym_match_case] = STATE(9239),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13536),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2847),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7549),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2848] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(12253),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13698),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2848),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2849] = {
    [sym__match_cases] = STATE(7763),
    [sym_match_case] = STATE(9239),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13536),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2849),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7549),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2850] = {
    [sym__match_cases] = STATE(7731),
    [sym_match_case] = STATE(12387),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2850),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2851] = {
    [sym__match_cases] = STATE(7781),
    [sym_match_case] = STATE(9239),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13536),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2851),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7549),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2852] = {
    [sym__match_cases] = STATE(7782),
    [sym_match_case] = STATE(9239),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13536),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2852),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7549),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2853] = {
    [sym__match_cases] = STATE(8124),
    [sym_match_case] = STATE(12253),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13698),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2853),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2854] = {
    [sym__match_cases] = STATE(7782),
    [sym_match_case] = STATE(10180),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13608),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2854),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2855] = {
    [sym__match_cases] = STATE(8152),
    [sym_match_case] = STATE(9360),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2855),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2856] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(9360),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2856),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2857] = {
    [sym__match_cases] = STATE(8124),
    [sym_match_case] = STATE(9360),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2857),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2858] = {
    [sym__match_cases] = STATE(8158),
    [sym_match_case] = STATE(9360),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2858),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2859] = {
    [sym__match_cases] = STATE(8159),
    [sym_match_case] = STATE(9360),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2859),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2860] = {
    [sym__match_cases] = STATE(8126),
    [sym_match_case] = STATE(8562),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13399),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2860),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7505),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2861] = {
    [sym__match_cases] = STATE(7781),
    [sym_match_case] = STATE(11740),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13604),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2861),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2862] = {
    [sym__match_cases] = STATE(8158),
    [sym_match_case] = STATE(12253),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13698),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2862),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2863] = {
    [sym__match_cases] = STATE(7782),
    [sym_match_case] = STATE(11740),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13604),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2863),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2864] = {
    [sym__match_cases] = STATE(7781),
    [sym_match_case] = STATE(12189),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13379),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2864),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7517),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2865] = {
    [sym__match_cases] = STATE(7782),
    [sym_match_case] = STATE(12189),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13379),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2865),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7517),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2866] = {
    [sym__match_cases] = STATE(8159),
    [sym_match_case] = STATE(12253),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13698),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2866),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7509),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2867] = {
    [sym__simple_expression] = STATE(9030),
    [sym_typed_expression] = STATE(9045),
    [sym_list_expression] = STATE(9045),
    [sym_array_expression] = STATE(9045),
    [sym_record_expression] = STATE(9045),
    [sym_labeled_argument] = STATE(9741),
    [sym_prefix_expression] = STATE(9045),
    [sym_hash_expression] = STATE(9045),
    [sym_field_get_expression] = STATE(9045),
    [sym_array_get_expression] = STATE(9045),
    [sym_string_get_expression] = STATE(9045),
    [sym_bigarray_get_expression] = STATE(9045),
    [sym_coercion_expression] = STATE(9045),
    [sym_local_open_expression] = STATE(9045),
    [sym_package_expression] = STATE(9045),
    [sym_new_expression] = STATE(9045),
    [sym_object_copy_expression] = STATE(9045),
    [sym_method_invocation] = STATE(9045),
    [sym_object_expression] = STATE(9045),
    [sym_parenthesized_expression] = STATE(9045),
    [sym_attribute] = STATE(2867),
    [sym_extension] = STATE(9045),
    [sym_quoted_extension] = STATE(9045),
    [sym__constant] = STATE(9045),
    [sym_number] = STATE(9013),
    [sym_character] = STATE(9013),
    [sym_string] = STATE(9013),
    [sym_quoted_string] = STATE(9013),
    [sym_boolean] = STATE(9013),
    [sym_unit] = STATE(9013),
    [sym__value_name] = STATE(9025),
    [sym_parenthesized_operator] = STATE(9120),
    [sym_value_path] = STATE(9045),
    [sym_module_path] = STATE(17917),
    [sym_constructor_path] = STATE(9045),
    [sym__constructor_name] = STATE(8009),
    [sym_tag] = STATE(9045),
    [aux_sym_class_application_repeat1] = STATE(2867),
    [sym__lowercase_identifier] = ACTIONS(7673),
    [anon_sym_TILDE] = ACTIONS(7676),
    [anon_sym_QMARK] = ACTIONS(7676),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_RPAREN] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(7682),
    [anon_sym_true] = ACTIONS(7685),
    [anon_sym_false] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(7688),
    [anon_sym_object] = ACTIONS(7691),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7694),
    [anon_sym_new] = ACTIONS(7697),
    [anon_sym_LBRACE_LT] = ACTIONS(7700),
    [anon_sym_begin] = ACTIONS(7703),
    [sym_ocamlyacc_value] = ACTIONS(7706),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7712),
    [aux_sym_number_token1] = ACTIONS(7715),
    [anon_sym_SQUOTE] = ACTIONS(7718),
    [anon_sym_DQUOTE] = ACTIONS(7721),
    [sym_prefix_operator] = ACTIONS(7724),
    [sym__uppercase_identifier] = ACTIONS(7727),
    [aux_sym_tag_token1] = ACTIONS(7730),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2868] = {
    [sym__match_cases] = STATE(7762),
    [sym_match_case] = STATE(9360),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2868),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2869] = {
    [sym__match_cases] = STATE(8003),
    [sym_match_case] = STATE(7999),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13618),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2869),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7553),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2870] = {
    [sym__match_cases] = STATE(7763),
    [sym_match_case] = STATE(9360),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2870),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2871] = {
    [sym__match_cases] = STATE(7781),
    [sym_match_case] = STATE(9360),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2871),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2872] = {
    [sym__match_cases] = STATE(7782),
    [sym_match_case] = STATE(11814),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13550),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2872),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2873] = {
    [sym__match_cases] = STATE(10295),
    [sym_match_case] = STATE(11530),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13474),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2873),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2874] = {
    [sym__match_cases] = STATE(7782),
    [sym_match_case] = STATE(9360),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13555),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2874),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2875] = {
    [sym__match_cases] = STATE(8126),
    [sym_match_case] = STATE(7999),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13618),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2875),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7553),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2876] = {
    [sym__match_cases] = STATE(8134),
    [sym_match_case] = STATE(7999),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13618),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2876),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7553),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2877] = {
    [sym__match_cases] = STATE(7762),
    [sym_match_case] = STATE(11814),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13550),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2877),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2878] = {
    [sym__match_cases] = STATE(7731),
    [sym_match_case] = STATE(12189),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13379),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2878),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7517),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2879] = {
    [sym__match_cases] = STATE(8078),
    [sym_match_case] = STATE(7999),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13618),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2879),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7553),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2880] = {
    [sym__match_cases] = STATE(8001),
    [sym_match_case] = STATE(7999),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13618),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2880),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7553),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2881] = {
    [sym__match_cases] = STATE(8136),
    [sym_match_case] = STATE(12387),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2881),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2882] = {
    [sym__match_cases] = STATE(8124),
    [sym_match_case] = STATE(12387),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2882),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2883] = {
    [sym__match_cases] = STATE(8003),
    [sym_match_case] = STATE(8266),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13378),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2883),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2884] = {
    [sym__match_cases] = STATE(8126),
    [sym_match_case] = STATE(8266),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13378),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2884),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2885] = {
    [sym__match_cases] = STATE(8134),
    [sym_match_case] = STATE(8266),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13378),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2885),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2886] = {
    [sym__match_cases] = STATE(8158),
    [sym_match_case] = STATE(12387),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2886),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2887] = {
    [sym__match_cases] = STATE(8078),
    [sym_match_case] = STATE(8266),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13378),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2887),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2888] = {
    [sym__match_cases] = STATE(8001),
    [sym_match_case] = STATE(8266),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13378),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2888),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2889] = {
    [sym__match_cases] = STATE(8159),
    [sym_match_case] = STATE(12387),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13406),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2889),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2890] = {
    [sym__match_cases] = STATE(8003),
    [sym_match_case] = STATE(8356),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13696),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2890),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2891] = {
    [sym__match_cases] = STATE(7781),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13543),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2891),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7481),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2892] = {
    [sym__match_cases] = STATE(7782),
    [sym_match_case] = STATE(12334),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13543),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2892),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7481),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2893] = {
    [sym__match_cases] = STATE(7763),
    [sym_match_case] = STATE(12089),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13663),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2893),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2894] = {
    [sym__match_cases] = STATE(8003),
    [sym_match_case] = STATE(8514),
    [sym__simple_pattern] = STATE(12908),
    [sym__effect_pattern] = STATE(12982),
    [sym__pattern] = STATE(13440),
    [sym_alias_pattern] = STATE(12982),
    [sym_typed_pattern] = STATE(12912),
    [sym_or_pattern] = STATE(12982),
    [sym_constructor_pattern] = STATE(12908),
    [sym_tag_pattern] = STATE(12908),
    [sym_polymorphic_variant_pattern] = STATE(12912),
    [sym_tuple_pattern] = STATE(12982),
    [sym_record_pattern] = STATE(12912),
    [sym_list_pattern] = STATE(12912),
    [sym_cons_pattern] = STATE(12982),
    [sym_array_pattern] = STATE(12912),
    [sym_range_pattern] = STATE(12982),
    [sym_lazy_pattern] = STATE(12908),
    [sym_local_open_pattern] = STATE(12912),
    [sym_package_pattern] = STATE(12912),
    [sym_parenthesized_pattern] = STATE(12912),
    [sym_exception_pattern] = STATE(12982),
    [sym_effect_pattern] = STATE(12982),
    [sym_attribute] = STATE(2894),
    [sym_extension] = STATE(12912),
    [sym_quoted_extension] = STATE(12912),
    [sym__constant] = STATE(12713),
    [sym__signed_constant] = STATE(12756),
    [sym_number] = STATE(11874),
    [sym_signed_number] = STATE(12713),
    [sym_character] = STATE(11874),
    [sym_string] = STATE(11874),
    [sym_quoted_string] = STATE(11874),
    [sym_boolean] = STATE(11874),
    [sym_unit] = STATE(11874),
    [sym__simple_value_pattern] = STATE(12912),
    [sym_parenthesized_operator] = STATE(12912),
    [sym_module_path] = STATE(18012),
    [sym_constructor_path] = STATE(2540),
    [sym__constructor_name] = STATE(8373),
    [sym_tag] = STATE(2543),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4927),
    [anon_sym_exception] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4937),
    [anon_sym_lazy] = ACTIONS(4939),
    [anon_sym_begin] = ACTIONS(4941),
    [anon_sym_effect] = ACTIONS(4943),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4945),
    [aux_sym_signed_number_token1] = ACTIONS(7253),
    [anon_sym_SQUOTE] = ACTIONS(4949),
    [anon_sym_DQUOTE] = ACTIONS(4951),
    [sym__uppercase_identifier] = ACTIONS(4955),
    [aux_sym_tag_token1] = ACTIONS(4957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(5073), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7737), 1,
      anon_sym_RPAREN,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2896), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14169), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [210] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(5297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7739), 1,
      anon_sym_RPAREN,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2897), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14235), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [345] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7433), 1,
      anon_sym_PERCENT,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(2898), 1,
      sym_attribute,
    STATE(3336), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(12980), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [480] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7745), 1,
      anon_sym_LT_DASH,
    STATE(2899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [632] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7433), 1,
      anon_sym_PERCENT,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2901), 1,
      sym_attribute,
    STATE(3384), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14797), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [767] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(5109), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7739), 1,
      anon_sym_RPAREN,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2902), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14235), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [902] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(5117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7747), 1,
      anon_sym_RPAREN,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2903), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14245), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1262] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(5103), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7761), 1,
      anon_sym_RPAREN,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2907), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14227), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1547] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(7433), 1,
      anon_sym_PERCENT,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(2910), 1,
      sym_attribute,
    STATE(3286), 1,
      sym__attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13805), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1757] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(5127), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7775), 1,
      anon_sym_RPAREN,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2912), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14178), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1892] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7433), 1,
      anon_sym_PERCENT,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2913), 1,
      sym_attribute,
    STATE(3434), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13085), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2027] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(2914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2104] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7783), 1,
      anon_sym_LT_DASH,
    STATE(2915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2181] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(7433), 1,
      anon_sym_PERCENT,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(2916), 1,
      sym_attribute,
    STATE(3288), 1,
      sym__attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13806), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2316] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(5093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7785), 1,
      anon_sym_RPAREN,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2917), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14195), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2676] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(5295), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7761), 1,
      anon_sym_RPAREN,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2921), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14227), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [3036] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7013), 1,
      anon_sym_COMMA,
    ACTIONS(7015), 1,
      anon_sym_LPAREN,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2925), 1,
      sym_attribute,
    STATE(3391), 1,
      sym__parenthesized_abstract_type,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14812), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [3246] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(5063), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7791), 1,
      anon_sym_RPAREN,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2927), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14165), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3381] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7739), 1,
      anon_sym_RPAREN,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2928), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14235), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3516] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7433), 1,
      anon_sym_PERCENT,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2929), 1,
      sym_attribute,
    STATE(3438), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(12980), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3651] = 29,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7793), 1,
      sym__lowercase_identifier,
    ACTIONS(7799), 1,
      anon_sym_LPAREN,
    ACTIONS(7802), 1,
      anon_sym_LBRACK,
    ACTIONS(7808), 1,
      anon_sym_LBRACE,
    ACTIONS(7811), 1,
      anon_sym_POUND,
    ACTIONS(7814), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7817), 1,
      anon_sym_begin,
    ACTIONS(7820), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7823), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7826), 1,
      aux_sym_number_token1,
    ACTIONS(7829), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7832), 1,
      anon_sym_SQUOTE,
    ACTIONS(7835), 1,
      anon_sym_DQUOTE,
    ACTIONS(7838), 1,
      sym__uppercase_identifier,
    ACTIONS(7841), 1,
      aux_sym_tag_token1,
    STATE(8683), 1,
      sym__simple_pattern,
    STATE(8713), 1,
      sym__constructor_name,
    STATE(17796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7796), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(7805), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2930), 2,
      sym_attribute,
      aux_sym_let_binding_repeat1,
    STATE(8545), 2,
      sym__constant,
      sym_signed_number,
    STATE(8679), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    ACTIONS(7138), 5,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(8712), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(7140), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
    STATE(8450), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [3774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [3849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [3924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [3999] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7433), 1,
      anon_sym_PERCENT,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(2934), 1,
      sym_attribute,
    STATE(3331), 1,
      sym__attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13690), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4134] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(2935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4211] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4935), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7848), 1,
      anon_sym_RPAREN,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2936), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14223), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4494] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2939), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12407), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13550), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4626] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(7854), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(2940), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13886), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4758] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2941), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12254), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13698), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4890] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4963), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    STATE(2952), 1,
      sym_tag,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13170), 1,
      sym__binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2942), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4961), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [5022] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2943), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(11532), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13474), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5154] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2944), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12060), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13404), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5286] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(2945), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14721), 1,
      sym__simple_expression,
    STATE(15365), 1,
      sym_field_expression,
    STATE(17712), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [5416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5490] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2947), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13536), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5770] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2950), 1,
      sym_attribute,
    STATE(8358), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13696), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5902] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7888), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(2951), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13456), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6034] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4963), 1,
      anon_sym_as,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13171), 1,
      sym__binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2952), 2,
      sym_attribute,
      sym_tag,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4961), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [6166] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2953), 1,
      sym_attribute,
    STATE(8129), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13580), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6372] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2955), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12388), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13406), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6504] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2956), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10353), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13608), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6636] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2957), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(11976), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13401), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6768] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2958), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10245), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13474), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6900] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(2959), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14744), 1,
      sym__simple_expression,
    STATE(16295), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    STATE(20285), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [7030] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7890), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(2960), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14017), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7162] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2961), 1,
      sym_attribute,
    STATE(8255), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13699), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7294] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7892), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(2962), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14017), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7426] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(7894), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(2963), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13886), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7558] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7896), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(2964), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13452), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7690] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2965), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12090), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13663), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7822] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2966), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13543), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7954] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2967), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(11620), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13431), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8086] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7898), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(2968), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13675), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8218] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(2969), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14757), 1,
      sym__simple_expression,
    STATE(15110), 1,
      sym_field_expression,
    STATE(17782), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [8348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8422] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2971), 1,
      sym_attribute,
    STATE(8229), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13541), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8554] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(7904), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(2972), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13691), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8686] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(7906), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(2973), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13453), 1,
      sym__pattern,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8818] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2974), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(9361), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13555), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8950] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2975), 1,
      sym_attribute,
    STATE(8129), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13622), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9082] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2976), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10985), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13481), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9214] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7908), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(2977), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14017), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9346] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(2978), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14700), 1,
      sym__simple_expression,
    STATE(15761), 1,
      sym_field_expression,
    STATE(19417), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [9476] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2979), 1,
      sym_attribute,
    STATE(8129), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13618), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9608] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2980), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(8431), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13409), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9740] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(7910), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(2981), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13886), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9872] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2982), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12341), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13379), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10004] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2983), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10034), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13515), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10136] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(2984), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14764), 1,
      sym__simple_expression,
    STATE(15198), 1,
      sym_field_expression,
    STATE(19849), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [10266] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2985), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12407), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13379), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10398] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2986), 1,
      sym_attribute,
    STATE(8000), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13618), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10530] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7912), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(2987), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14017), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10662] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(7914), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(2988), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13886), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10794] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7916), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(2989), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14017), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10926] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2990), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(11741), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13604), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11058] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(2991), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14767), 1,
      sym__simple_expression,
    STATE(15230), 1,
      sym_field_expression,
    STATE(17475), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [11188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11262] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2993), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(8505), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13399), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11394] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2994), 1,
      sym_attribute,
    STATE(8267), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13378), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11674] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2997), 1,
      sym_attribute,
    STATE(8129), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13378), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11880] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(2999), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(11845), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13652), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12012] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3000), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14775), 1,
      sym__simple_expression,
    STATE(16324), 1,
      sym_field_expression,
    STATE(17849), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [12142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [12216] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3002), 1,
      sym_attribute,
    STATE(8129), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13696), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12348] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3003), 1,
      sym_attribute,
    STATE(8208), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13540), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12480] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(3004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [12556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [12630] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7922), 1,
      anon_sym_LT_DASH,
    STATE(3006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [12706] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3007), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13679), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12838] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3008), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14669), 1,
      sym__simple_expression,
    STATE(15926), 1,
      sym_field_expression,
    STATE(18108), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [12968] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3009), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12028), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13679), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13100] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3010), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14778), 1,
      sym__simple_expression,
    STATE(15197), 1,
      sym_field_expression,
    STATE(18640), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [13230] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(7924), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3011), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13886), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13362] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3012), 1,
      sym_attribute,
    STATE(8026), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13580), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13494] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3013), 1,
      sym_attribute,
    STATE(8129), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13699), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13626] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(7926), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3014), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13546), 1,
      sym__pattern,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13758] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3015), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(8516), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13440), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13890] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(7928), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3016), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13886), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14022] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7930), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3017), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13373), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14154] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3018), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(11858), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13688), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14286] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3019), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14780), 1,
      sym__simple_expression,
    STATE(15589), 1,
      sym_field_expression,
    STATE(19440), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [14416] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3020), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14702), 1,
      sym__simple_expression,
    STATE(15329), 1,
      sym_field_expression,
    STATE(19122), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [14546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14620] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3022), 1,
      sym_attribute,
    STATE(8181), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13622), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14752] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7932), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3023), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13464), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14958] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(7938), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3025), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13598), 1,
      sym__pattern,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15164] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3027), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13698), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15296] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(7944), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3028), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13377), 1,
      sym__pattern,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15428] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3029), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(9253), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13536), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15560] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3030), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14783), 1,
      sym__simple_expression,
    STATE(15972), 1,
      sym_field_expression,
    STATE(19692), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [15690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15986] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7962), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3035), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13394), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16192] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3037), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14787), 1,
      sym__simple_expression,
    STATE(16347), 1,
      sym_field_expression,
    STATE(18776), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [16322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16766] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3044), 1,
      sym_attribute,
    STATE(8129), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13440), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16898] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3045), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14791), 1,
      sym__simple_expression,
    STATE(15098), 1,
      sym_field_expression,
    STATE(17702), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [17028] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7992), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3046), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13494), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17234] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3103), 1,
      anon_sym_DOT,
    STATE(3048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17310] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3049), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13406), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17738] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3054), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10245), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13404), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17870] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3055), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14796), 1,
      sym__simple_expression,
    STATE(15262), 1,
      sym_field_expression,
    STATE(19433), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [18000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18518] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3063), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10245), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13401), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [18650] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3064), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14799), 1,
      sym__simple_expression,
    STATE(15408), 1,
      sym_field_expression,
    STATE(17758), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [18780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19076] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(3069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19152] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3070), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13555), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [19284] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8062), 1,
      anon_sym_LT_DASH,
    STATE(3071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19508] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3074), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14801), 1,
      sym__simple_expression,
    STATE(15568), 1,
      sym_field_expression,
    STATE(19685), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [19638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19860] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(8080), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3078), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13460), 1,
      sym__pattern,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [19992] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3079), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14017), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [20124] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8084), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3080), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14017), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [20256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20330] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(8090), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3082), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13886), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [20462] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3083), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14805), 1,
      sym__simple_expression,
    STATE(15799), 1,
      sym_field_expression,
    STATE(17839), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [20592] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(3084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20668] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8092), 1,
      anon_sym_LT_DASH,
    STATE(3085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20818] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3103), 1,
      anon_sym_DOT,
    ACTIONS(3105), 1,
      anon_sym_POUND,
    ACTIONS(3107), 1,
      sym_hash_operator,
    STATE(3087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20898] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3088), 1,
      sym_attribute,
    STATE(8129), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13639), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [21030] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3089), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14809), 1,
      sym__simple_expression,
    STATE(15928), 1,
      sym_field_expression,
    STATE(19769), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [21160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21234] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3103), 1,
      anon_sym_DOT,
    ACTIONS(3105), 1,
      anon_sym_POUND,
    ACTIONS(3107), 1,
      sym_hash_operator,
    STATE(3091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21388] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3093), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14815), 1,
      sym__simple_expression,
    STATE(16112), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    STATE(20162), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [21518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21740] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3097), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14820), 1,
      sym__simple_expression,
    STATE(16315), 1,
      sym_field_expression,
    STATE(17847), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [21870] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(8126), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3098), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13886), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [22002] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3099), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13515), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [22134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22208] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8132), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3101), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14017), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [22340] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3102), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14825), 1,
      sym__simple_expression,
    STATE(15264), 1,
      sym_field_expression,
    STATE(17471), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22470] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8134), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3103), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14017), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [22602] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(8136), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3104), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13886), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [22734] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3105), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14828), 1,
      sym__simple_expression,
    STATE(15231), 1,
      sym_field_expression,
    STATE(18112), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23012] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(8146), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3108), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13886), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [23144] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3109), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13608), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [23276] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3110), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14832), 1,
      sym__simple_expression,
    STATE(15007), 1,
      sym_field_expression,
    STATE(18880), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [23406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23480] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8152), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3112), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14017), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [23612] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3113), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14835), 1,
      sym__simple_expression,
    STATE(15471), 1,
      sym_field_expression,
    STATE(19682), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [23742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23890] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3116), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14837), 1,
      sym__simple_expression,
    STATE(16135), 1,
      sym_field_expression,
    STATE(17549), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [24020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24316] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7013), 1,
      anon_sym_COMMA,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3121), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14818), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [24448] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(8166), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3122), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13886), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [24580] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3123), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14842), 1,
      sym__simple_expression,
    STATE(15064), 1,
      sym_field_expression,
    STATE(17748), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [24710] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3124), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13652), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [24842] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8168), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3125), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14017), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [24974] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8170), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3126), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14017), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [25106] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3127), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14845), 1,
      sym__simple_expression,
    STATE(15236), 1,
      sym_field_expression,
    STATE(17966), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [25236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25384] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3130), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14846), 1,
      sym__simple_expression,
    STATE(15442), 1,
      sym_field_expression,
    STATE(18192), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [25514] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8176), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3131), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14017), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [25646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25720] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3133), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10245), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13431), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [25852] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3134), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14849), 1,
      sym__simple_expression,
    STATE(15599), 1,
      sym_field_expression,
    STATE(18323), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [25982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26056] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3136), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14852), 1,
      sym__simple_expression,
    STATE(15824), 1,
      sym_field_expression,
    STATE(18413), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [26186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26260] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8178), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3138), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14017), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [26392] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(8180), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3139), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13886), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [26524] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3140), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14855), 1,
      sym__simple_expression,
    STATE(16379), 1,
      sym_field_expression,
    STATE(18455), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [26654] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(8182), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3141), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13886), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [26786] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3142), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14858), 1,
      sym__simple_expression,
    STATE(15014), 1,
      sym_field_expression,
    STATE(18489), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [26916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27138] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3146), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12365), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13543), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [27270] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3147), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14861), 1,
      sym__simple_expression,
    STATE(15073), 1,
      sym_field_expression,
    STATE(18524), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [27400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27696] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3152), 1,
      sym_attribute,
    STATE(8129), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13541), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [27828] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3153), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14863), 1,
      sym__simple_expression,
    STATE(15866), 1,
      sym_field_expression,
    STATE(18561), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [27958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28328] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3073), 1,
      anon_sym_DOT,
    ACTIONS(3075), 1,
      anon_sym_POUND,
    ACTIONS(3077), 1,
      sym_hash_operator,
    STATE(3159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28408] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3160), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(11808), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13550), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28540] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3161), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14866), 1,
      sym__simple_expression,
    STATE(15046), 1,
      sym_field_expression,
    STATE(18591), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [28670] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8184), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3162), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13571), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29320] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3170), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14869), 1,
      sym__simple_expression,
    STATE(15476), 1,
      sym_field_expression,
    STATE(18638), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [29450] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3171), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(11771), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13432), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29656] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3073), 1,
      anon_sym_DOT,
    STATE(3173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29732] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3174), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10245), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13481), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30086] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(8186), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3178), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13886), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30218] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3179), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14872), 1,
      sym__simple_expression,
    STATE(15873), 1,
      sym_field_expression,
    STATE(18679), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [30348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31014] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3189), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14875), 1,
      sym__simple_expression,
    STATE(16273), 1,
      sym_field_expression,
    STATE(18715), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [31144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31440] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3073), 1,
      anon_sym_DOT,
    ACTIONS(3075), 1,
      anon_sym_POUND,
    ACTIONS(3077), 1,
      sym_hash_operator,
    STATE(3194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31594] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3196), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13663), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31726] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(3197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31802] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3198), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(10245), 1,
      sym_match_case,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13432), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31934] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3199), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14878), 1,
      sym__simple_expression,
    STATE(15060), 1,
      sym_field_expression,
    STATE(18753), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [32064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32434] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8188), 1,
      anon_sym_LT_DASH,
    STATE(3205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32510] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3206), 1,
      sym_attribute,
    STATE(8129), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13409), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32642] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3207), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13604), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32774] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3208), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14881), 1,
      sym__simple_expression,
    STATE(15200), 1,
      sym_field_expression,
    STATE(18784), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [32904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33052] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8190), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3211), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14017), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33184] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3212), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14882), 1,
      sym__simple_expression,
    STATE(15429), 1,
      sym_field_expression,
    STATE(18828), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [33314] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3213), 1,
      sym_attribute,
    STATE(8129), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13540), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33446] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3214), 1,
      sym_attribute,
    STATE(8120), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13688), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33578] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(8192), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3215), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13886), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33858] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(3218), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14700), 1,
      sym__simple_expression,
    STATE(15761), 1,
      sym_field_expression,
    STATE(18623), 1,
      sym__quoted_string,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [33988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34728] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8194), 1,
      anon_sym_RBRACK,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3229), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14017), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34934] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3231), 1,
      sym_attribute,
    STATE(8129), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13399), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35214] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(8196), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3234), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13574), 1,
      sym__pattern,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35938] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3243), 1,
      sym_attribute,
    STATE(8166), 1,
      sym_match_case,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13639), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36070] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(8198), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3244), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13886), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36350] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(3247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36648] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    ACTIONS(8222), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3251), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13395), 1,
      sym__pattern,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37076] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(3256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37966] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(3268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38560] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(3276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39153] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3284), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13056), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39282] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3285), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(12886), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39411] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3286), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13864), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39613] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3288), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13840), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39742] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3289), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13879), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39871] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3290), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13884), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40000] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3291), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13885), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40129] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3292), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13844), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40769] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3231), 1,
      anon_sym_DOT,
    ACTIONS(3233), 1,
      anon_sym_POUND,
    ACTIONS(3235), 1,
      sym_hash_operator,
    STATE(3300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40848] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3301), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13523), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41050] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3303), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14017), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [41179] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      anon_sym_exception,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7356), 1,
      anon_sym_lazy,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7360), 1,
      anon_sym_effect,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7374), 1,
      sym__uppercase_identifier,
    ACTIONS(7376), 1,
      aux_sym_tag_token1,
    ACTIONS(7429), 1,
      anon_sym_LPAREN,
    STATE(2568), 1,
      sym_constructor_path,
    STATE(2571), 1,
      sym_tag,
    STATE(3304), 1,
      sym_attribute,
    STATE(9313), 1,
      sym__constructor_name,
    STATE(13640), 1,
      sym__signed_constant,
    STATE(13886), 1,
      sym__pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13717), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13719), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13973), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [41308] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(3305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41602] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(3309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42772] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(3325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42847] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8266), 1,
      anon_sym_LT_DASH,
    STATE(3326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43214] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3331), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13631), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43635] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3336), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(12961), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44056] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3231), 1,
      anon_sym_DOT,
    STATE(3341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44131] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3342), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13634), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44771] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3350), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13635), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45411] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(3358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45486] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8268), 1,
      anon_sym_LT_DASH,
    STATE(3359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45561] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3360), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13636), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46858] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3231), 1,
      anon_sym_DOT,
    ACTIONS(3233), 1,
      anon_sym_POUND,
    ACTIONS(3235), 1,
      sym_hash_operator,
    STATE(3377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47375] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3384), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14743), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [47504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47796] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3167), 1,
      anon_sym_DOT,
    STATE(3389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47944] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3391), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14928), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [48073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50190] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3167), 1,
      anon_sym_DOT,
    ACTIONS(3169), 1,
      anon_sym_POUND,
    ACTIONS(3171), 1,
      sym_hash_operator,
    STATE(3421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50415] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3424), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(12886), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [50544] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    STATE(3426), 1,
      sym_tag,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(14009), 1,
      sym__binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4963), 2,
      anon_sym_PIPE,
      anon_sym_as,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3425), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4961), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [50675] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(14010), 1,
      sym__binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4963), 2,
      anon_sym_PIPE,
      anon_sym_as,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3426), 2,
      sym_attribute,
      sym_tag,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4961), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [50806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51317] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3434), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13109), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51446] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3167), 1,
      anon_sym_DOT,
    ACTIONS(3169), 1,
      anon_sym_POUND,
    ACTIONS(3171), 1,
      sym_hash_operator,
    STATE(3435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51671] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3438), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(12961), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52749] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      sym__lowercase_identifier,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6715), 1,
      anon_sym_lazy,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(3454), 1,
      sym_tag,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10293), 1,
      sym_parenthesized_operator,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13170), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4963), 2,
      anon_sym_COLON2,
      anon_sym_as,
    STATE(3452), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4961), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_COLON_COLON,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [52880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52953] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      sym__lowercase_identifier,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6715), 1,
      anon_sym_lazy,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(3452), 1,
      sym_constructor_path,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10293), 1,
      sym_parenthesized_operator,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13171), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4963), 2,
      anon_sym_COLON2,
      anon_sym_as,
    STATE(3454), 2,
      sym_attribute,
      sym_tag,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4961), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_COLON_COLON,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [53084] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3455), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(14019), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [53213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53432] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3459), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13117), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [53561] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3460), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13513), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [53690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53763] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3462), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13503), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [53892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54549] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7241), 1,
      anon_sym_exception,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7245), 1,
      anon_sym_lazy,
    ACTIONS(7247), 1,
      anon_sym_effect,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2564), 1,
      sym_constructor_path,
    STATE(2567), 1,
      sym_tag,
    STATE(3472), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13823), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [54678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55262] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3179), 1,
      anon_sym_DOT,
    ACTIONS(3181), 1,
      anon_sym_POUND,
    ACTIONS(3183), 1,
      sym_hash_operator,
    STATE(3481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55852] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3179), 1,
      anon_sym_DOT,
    STATE(3489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57022] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3179), 1,
      anon_sym_DOT,
    ACTIONS(3181), 1,
      anon_sym_POUND,
    ACTIONS(3183), 1,
      sym_hash_operator,
    STATE(3505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58561] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_rec,
    ACTIONS(7575), 1,
      anon_sym_open,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(3526), 1,
      sym_attribute,
    STATE(4475), 1,
      sym__attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    STATE(19338), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [58702] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3527), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13551), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [58831] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3151), 1,
      anon_sym_DOT,
    ACTIONS(3153), 1,
      anon_sym_POUND,
    ACTIONS(3155), 1,
      sym_hash_operator,
    STATE(3528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58983] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3530), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13668), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [59112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59258] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_rec,
    ACTIONS(7575), 1,
      anon_sym_open,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(3533), 1,
      sym_attribute,
    STATE(4475), 1,
      sym__attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    STATE(20103), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [59399] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3534), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13672), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [59528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59747] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3538), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13695), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [59876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59949] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_rec,
    ACTIONS(7575), 1,
      anon_sym_open,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(3540), 1,
      sym_attribute,
    STATE(4475), 1,
      sym__attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    STATE(17785), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [60090] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3541), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13700), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [60219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60292] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3151), 1,
      anon_sym_DOT,
    STATE(3543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60367] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3544), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13386), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [60496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60569] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_rec,
    ACTIONS(7575), 1,
      anon_sym_open,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(3546), 1,
      sym_attribute,
    STATE(4475), 1,
      sym__attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    STATE(20235), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [60710] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3547), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13389), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [60839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60985] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3550), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13407), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61260] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_rec,
    ACTIONS(7575), 1,
      anon_sym_open,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(3553), 1,
      sym_attribute,
    STATE(4475), 1,
      sym__attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    STATE(17942), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [61401] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3554), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13408), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61822] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3559), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13415), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62097] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3562), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13416), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62445] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3566), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13426), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62720] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3569), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13428), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62995] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3151), 1,
      anon_sym_DOT,
    ACTIONS(3153), 1,
      anon_sym_POUND,
    ACTIONS(3155), 1,
      sym_hash_operator,
    STATE(3572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63074] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3573), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13436), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63203] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3574), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13438), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63551] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3578), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13447), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63826] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3581), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13448), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63955] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3582), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13454), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64230] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3585), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13455), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64505] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3588), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13467), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64634] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3589), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13469), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64763] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3590), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13473), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64892] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3591), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13476), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65094] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3593), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13480), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65223] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3594), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13482), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65352] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3595), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13485), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65481] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3596), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13486), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65756] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(3599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65831] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3600), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13490), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66106] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3603), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13491), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [66235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66454] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3607), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13497), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [66583] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3608), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13501), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [66712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66931] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3612), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13507), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [67060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67206] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3615), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13509), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [67335] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(3616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67556] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3619), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13510), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [67685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67758] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3621), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13512), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [67887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68106] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3625), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13518), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68381] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3628), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13520), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68729] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3632), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13524), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68858] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3633), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13525), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69060] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3635), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13527), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [69189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69262] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3637), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13528), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [69391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69464] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3639), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13530), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [69593] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3640), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13531), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [69722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69795] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3642), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13534), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [69924] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3643), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13535), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [70053] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3644), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13537), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [70182] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3645), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13538), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [70311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70384] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3647), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13544), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [70513] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3648), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [70642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70788] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3651), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13547), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [70917] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3652), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13548), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71046] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3653), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13552), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71175] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3654), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13553), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71304] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3655), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13704), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71433] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3656), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13557), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71562] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3657), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13559), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71691] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3658), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13560), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71820] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3659), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13565), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71949] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3660), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13568), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72078] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3661), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13572), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72207] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3662), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13573), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72336] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3663), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13577), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72465] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3664), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13578), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72594] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3665), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13582), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72723] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3666), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13584), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72852] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3667), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13590), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72981] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3668), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13592), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73110] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3669), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13596), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73239] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3670), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13597), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73514] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3673), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13599), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73643] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(3674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73791] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3676), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13601), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74139] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3680), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13605), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74414] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3683), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13606), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74616] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(3685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74764] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3687), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13609), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75039] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3690), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13610), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75314] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3693), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13612), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75443] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3694), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13614), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75572] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(3695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75647] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3696), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13616), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75849] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3698), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13098), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75978] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3699), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13617), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76107] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3700), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13619), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76309] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3702), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13620), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76438] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3703), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13623), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76567] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    ACTIONS(7569), 1,
      anon_sym_rec,
    ACTIONS(7575), 1,
      anon_sym_open,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(3704), 1,
      sym_attribute,
    STATE(4475), 1,
      sym__attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    STATE(17687), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [76708] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3705), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13624), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76983] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(3708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77058] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3709), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13626), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77333] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3712), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13627), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77608] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4929), 1,
      anon_sym_exception,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4939), 1,
      anon_sym_lazy,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4943), 1,
      anon_sym_effect,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(2540), 1,
      sym_constructor_path,
    STATE(2543), 1,
      sym_tag,
    STATE(3715), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(12756), 1,
      sym__signed_constant,
    STATE(13549), 1,
      sym__pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12982), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(12912), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77737] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3716), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14863), 1,
      sym__simple_expression,
    STATE(15866), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [77861] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3717), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14775), 1,
      sym__simple_expression,
    STATE(16324), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [77985] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      sym__lowercase_identifier,
    ACTIONS(8284), 1,
      anon_sym_LPAREN,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_object,
    ACTIONS(8294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8296), 1,
      anon_sym_new,
    ACTIONS(8298), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8300), 1,
      anon_sym_begin,
    ACTIONS(8302), 1,
      sym_ocamlyacc_value,
    ACTIONS(8304), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8306), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8308), 1,
      anon_sym_PERCENT,
    ACTIONS(8310), 1,
      aux_sym_number_token1,
    ACTIONS(8312), 1,
      anon_sym_SQUOTE,
    ACTIONS(8314), 1,
      anon_sym_DQUOTE,
    ACTIONS(8316), 1,
      sym_prefix_operator,
    ACTIONS(8318), 1,
      sym__uppercase_identifier,
    ACTIONS(8320), 1,
      aux_sym_tag_token1,
    STATE(3718), 1,
      sym_attribute,
    STATE(4379), 1,
      sym__attribute,
    STATE(9510), 1,
      sym__constructor_name,
    STATE(9542), 1,
      sym__simple_expression,
    STATE(9554), 1,
      sym_parenthesized_operator,
    STATE(9610), 1,
      sym__value_name,
    STATE(18075), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9378), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9564), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [78109] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3719), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14861), 1,
      sym__simple_expression,
    STATE(15073), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [78233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78305] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3721), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14805), 1,
      sym__simple_expression,
    STATE(15799), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [78429] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      sym__lowercase_identifier,
    ACTIONS(8284), 1,
      anon_sym_LPAREN,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_object,
    ACTIONS(8294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8296), 1,
      anon_sym_new,
    ACTIONS(8298), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8300), 1,
      anon_sym_begin,
    ACTIONS(8302), 1,
      sym_ocamlyacc_value,
    ACTIONS(8304), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8306), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8308), 1,
      anon_sym_PERCENT,
    ACTIONS(8310), 1,
      aux_sym_number_token1,
    ACTIONS(8312), 1,
      anon_sym_SQUOTE,
    ACTIONS(8314), 1,
      anon_sym_DQUOTE,
    ACTIONS(8316), 1,
      sym_prefix_operator,
    ACTIONS(8318), 1,
      sym__uppercase_identifier,
    ACTIONS(8320), 1,
      aux_sym_tag_token1,
    STATE(3722), 1,
      sym_attribute,
    STATE(4380), 1,
      sym__attribute,
    STATE(9510), 1,
      sym__constructor_name,
    STATE(9550), 1,
      sym__simple_expression,
    STATE(9554), 1,
      sym_parenthesized_operator,
    STATE(9610), 1,
      sym__value_name,
    STATE(18075), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9378), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9564), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [78553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78841] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3727), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14764), 1,
      sym__simple_expression,
    STATE(15198), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [78965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79181] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3731), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14809), 1,
      sym__simple_expression,
    STATE(15928), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [79305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79665] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3737), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14669), 1,
      sym__simple_expression,
    STATE(15926), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [79789] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3738), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14778), 1,
      sym__simple_expression,
    STATE(15197), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [79913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80201] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3743), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14849), 1,
      sym__simple_expression,
    STATE(15599), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [80325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80397] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3745), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14866), 1,
      sym__simple_expression,
    STATE(15046), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [80521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80665] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3748), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14815), 1,
      sym__simple_expression,
    STATE(16112), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [80789] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3749), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14796), 1,
      sym__simple_expression,
    STATE(15262), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [80913] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8326), 1,
      anon_sym_COLON,
    STATE(3750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8322), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [80987] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3751), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14757), 1,
      sym__simple_expression,
    STATE(15110), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [81111] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3752), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14780), 1,
      sym__simple_expression,
    STATE(15589), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [81235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81307] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3754), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14820), 1,
      sym__simple_expression,
    STATE(16315), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [81431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81503] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8308), 1,
      anon_sym_PERCENT,
    ACTIONS(8328), 1,
      sym__lowercase_identifier,
    ACTIONS(8330), 1,
      anon_sym_LPAREN,
    ACTIONS(8332), 1,
      anon_sym_LBRACK,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    ACTIONS(8338), 1,
      anon_sym_object,
    ACTIONS(8340), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8342), 1,
      anon_sym_new,
    ACTIONS(8344), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8346), 1,
      anon_sym_begin,
    ACTIONS(8348), 1,
      sym_ocamlyacc_value,
    ACTIONS(8350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8354), 1,
      aux_sym_number_token1,
    ACTIONS(8356), 1,
      anon_sym_SQUOTE,
    ACTIONS(8358), 1,
      anon_sym_DQUOTE,
    ACTIONS(8360), 1,
      sym_prefix_operator,
    ACTIONS(8362), 1,
      sym__uppercase_identifier,
    ACTIONS(8364), 1,
      aux_sym_tag_token1,
    STATE(3756), 1,
      sym_attribute,
    STATE(4375), 1,
      sym__attribute,
    STATE(7169), 1,
      sym__constructor_name,
    STATE(7227), 1,
      sym__simple_expression,
    STATE(7292), 1,
      sym__value_name,
    STATE(7332), 1,
      sym_parenthesized_operator,
    STATE(18604), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7315), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7249), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [81627] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8308), 1,
      anon_sym_PERCENT,
    ACTIONS(8328), 1,
      sym__lowercase_identifier,
    ACTIONS(8330), 1,
      anon_sym_LPAREN,
    ACTIONS(8332), 1,
      anon_sym_LBRACK,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    ACTIONS(8338), 1,
      anon_sym_object,
    ACTIONS(8340), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8342), 1,
      anon_sym_new,
    ACTIONS(8344), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8346), 1,
      anon_sym_begin,
    ACTIONS(8348), 1,
      sym_ocamlyacc_value,
    ACTIONS(8350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8354), 1,
      aux_sym_number_token1,
    ACTIONS(8356), 1,
      anon_sym_SQUOTE,
    ACTIONS(8358), 1,
      anon_sym_DQUOTE,
    ACTIONS(8360), 1,
      sym_prefix_operator,
    ACTIONS(8362), 1,
      sym__uppercase_identifier,
    ACTIONS(8364), 1,
      aux_sym_tag_token1,
    STATE(3757), 1,
      sym_attribute,
    STATE(4234), 1,
      sym__attribute,
    STATE(7169), 1,
      sym__constructor_name,
    STATE(7228), 1,
      sym__simple_expression,
    STATE(7292), 1,
      sym__value_name,
    STATE(7332), 1,
      sym_parenthesized_operator,
    STATE(18604), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7315), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7249), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [81751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82111] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3265), 1,
      anon_sym_DOT,
    ACTIONS(3267), 1,
      anon_sym_POUND,
    ACTIONS(3269), 1,
      sym_hash_operator,
    STATE(3763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82621] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(8308), 1,
      anon_sym_PERCENT,
    ACTIONS(8366), 1,
      sym__lowercase_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN,
    ACTIONS(8372), 1,
      anon_sym_LBRACE,
    ACTIONS(8374), 1,
      anon_sym_begin,
    ACTIONS(8376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8380), 1,
      aux_sym_number_token1,
    ACTIONS(8382), 1,
      anon_sym_SQUOTE,
    ACTIONS(8384), 1,
      anon_sym_DQUOTE,
    ACTIONS(8386), 1,
      sym_prefix_operator,
    ACTIONS(8388), 1,
      aux_sym_tag_token1,
    STATE(3770), 1,
      sym_attribute,
    STATE(4424), 1,
      sym__attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(7477), 1,
      sym__simple_expression,
    STATE(17759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8370), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7452), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [82745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82817] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3265), 1,
      anon_sym_DOT,
    STATE(3772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83179] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8308), 1,
      anon_sym_PERCENT,
    ACTIONS(8390), 1,
      sym__lowercase_identifier,
    ACTIONS(8392), 1,
      anon_sym_LPAREN,
    ACTIONS(8394), 1,
      anon_sym_LBRACK,
    ACTIONS(8398), 1,
      anon_sym_LBRACE,
    ACTIONS(8400), 1,
      anon_sym_object,
    ACTIONS(8402), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8404), 1,
      anon_sym_new,
    ACTIONS(8406), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8408), 1,
      anon_sym_begin,
    ACTIONS(8410), 1,
      sym_ocamlyacc_value,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8416), 1,
      aux_sym_number_token1,
    ACTIONS(8418), 1,
      anon_sym_SQUOTE,
    ACTIONS(8420), 1,
      anon_sym_DQUOTE,
    ACTIONS(8422), 1,
      sym_prefix_operator,
    ACTIONS(8424), 1,
      sym__uppercase_identifier,
    ACTIONS(8426), 1,
      aux_sym_tag_token1,
    STATE(3777), 1,
      sym_attribute,
    STATE(4215), 1,
      sym__attribute,
    STATE(7387), 1,
      sym__constructor_name,
    STATE(7516), 1,
      sym__simple_expression,
    STATE(7570), 1,
      sym__value_name,
    STATE(7590), 1,
      sym_parenthesized_operator,
    STATE(18239), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8396), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7525), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [83303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84095] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3265), 1,
      anon_sym_DOT,
    ACTIONS(3267), 1,
      anon_sym_POUND,
    ACTIONS(3269), 1,
      sym_hash_operator,
    STATE(3789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84173] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(8308), 1,
      anon_sym_PERCENT,
    ACTIONS(8366), 1,
      sym__lowercase_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN,
    ACTIONS(8372), 1,
      anon_sym_LBRACE,
    ACTIONS(8374), 1,
      anon_sym_begin,
    ACTIONS(8376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8380), 1,
      aux_sym_number_token1,
    ACTIONS(8382), 1,
      anon_sym_SQUOTE,
    ACTIONS(8384), 1,
      anon_sym_DQUOTE,
    ACTIONS(8386), 1,
      sym_prefix_operator,
    ACTIONS(8388), 1,
      aux_sym_tag_token1,
    STATE(3790), 1,
      sym_attribute,
    STATE(4388), 1,
      sym__attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(7473), 1,
      sym__simple_expression,
    STATE(17759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8370), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7452), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [84297] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8308), 1,
      anon_sym_PERCENT,
    ACTIONS(8390), 1,
      sym__lowercase_identifier,
    ACTIONS(8392), 1,
      anon_sym_LPAREN,
    ACTIONS(8394), 1,
      anon_sym_LBRACK,
    ACTIONS(8398), 1,
      anon_sym_LBRACE,
    ACTIONS(8400), 1,
      anon_sym_object,
    ACTIONS(8402), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8404), 1,
      anon_sym_new,
    ACTIONS(8406), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8408), 1,
      anon_sym_begin,
    ACTIONS(8410), 1,
      sym_ocamlyacc_value,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8416), 1,
      aux_sym_number_token1,
    ACTIONS(8418), 1,
      anon_sym_SQUOTE,
    ACTIONS(8420), 1,
      anon_sym_DQUOTE,
    ACTIONS(8422), 1,
      sym_prefix_operator,
    ACTIONS(8424), 1,
      sym__uppercase_identifier,
    ACTIONS(8426), 1,
      aux_sym_tag_token1,
    STATE(3791), 1,
      sym_attribute,
    STATE(4225), 1,
      sym__attribute,
    STATE(7387), 1,
      sym__constructor_name,
    STATE(7517), 1,
      sym__simple_expression,
    STATE(7570), 1,
      sym__value_name,
    STATE(7590), 1,
      sym_parenthesized_operator,
    STATE(18239), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8396), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7525), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [84421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84781] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3797), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14869), 1,
      sym__simple_expression,
    STATE(15476), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [84905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84977] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3799), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14825), 1,
      sym__simple_expression,
    STATE(15264), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [85101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86253] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8428), 1,
      anon_sym_COLON,
    STATE(3816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8322), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [86327] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3817), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14872), 1,
      sym__simple_expression,
    STATE(15873), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [86451] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3818), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14846), 1,
      sym__simple_expression,
    STATE(15442), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [86575] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3819), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14767), 1,
      sym__simple_expression,
    STATE(15230), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [86699] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(3820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86773] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8430), 1,
      anon_sym_LT_DASH,
    STATE(3821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86847] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3822), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14875), 1,
      sym__simple_expression,
    STATE(16273), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [86971] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(3823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87045] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3824), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14828), 1,
      sym__simple_expression,
    STATE(15231), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [87169] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8432), 1,
      anon_sym_LT_DASH,
    STATE(3825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87387] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3828), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14832), 1,
      sym__simple_expression,
    STATE(15007), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [87511] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3829), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14783), 1,
      sym__simple_expression,
    STATE(15972), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [87635] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3830), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14835), 1,
      sym__simple_expression,
    STATE(15471), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [87759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87975] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(3834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88265] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3838), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14852), 1,
      sym__simple_expression,
    STATE(15824), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [88389] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3839), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14878), 1,
      sym__simple_expression,
    STATE(15060), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [88513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89161] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(3849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89235] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3850), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14881), 1,
      sym__simple_expression,
    STATE(15200), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [89359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89863] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3858), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14837), 1,
      sym__simple_expression,
    STATE(16135), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [89987] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3859), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14799), 1,
      sym__simple_expression,
    STATE(15408), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [90111] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3860), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14882), 1,
      sym__simple_expression,
    STATE(15429), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [90235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90307] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3255), 1,
      anon_sym_DOT,
    STATE(3862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92397] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3255), 1,
      anon_sym_DOT,
    ACTIONS(3257), 1,
      anon_sym_POUND,
    ACTIONS(3259), 1,
      sym_hash_operator,
    STATE(3891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92475] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3892), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14700), 1,
      sym__simple_expression,
    STATE(15761), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [92599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92671] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3255), 1,
      anon_sym_DOT,
    ACTIONS(3257), 1,
      anon_sym_POUND,
    ACTIONS(3259), 1,
      sym_hash_operator,
    STATE(3894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92821] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3896), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14855), 1,
      sym__simple_expression,
    STATE(16379), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [92945] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3897), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14744), 1,
      sym__simple_expression,
    STATE(16295), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [93069] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3898), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14791), 1,
      sym__simple_expression,
    STATE(15098), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [93193] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3899), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14721), 1,
      sym__simple_expression,
    STATE(15365), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [93317] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3900), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14842), 1,
      sym__simple_expression,
    STATE(15064), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [93441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93729] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(3905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93947] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3908), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14787), 1,
      sym__simple_expression,
    STATE(16347), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [94071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94503] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(3915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95441] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3928), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14702), 1,
      sym__simple_expression,
    STATE(15329), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [95565] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3929), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14801), 1,
      sym__simple_expression,
    STATE(15568), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [95689] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3930), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14858), 1,
      sym__simple_expression,
    STATE(15014), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [95813] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7860), 1,
      sym__lowercase_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(3931), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14200), 1,
      sym_field_path,
    STATE(14845), 1,
      sym__simple_expression,
    STATE(15236), 1,
      sym_field_expression,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [95937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96081] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3129), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3934), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [96202] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3219), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3935), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [96323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96536] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3201), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3939), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [96657] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3217), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3940), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [96778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96920] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3241), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3943), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [97041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8434), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [97396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97467] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3135), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3950), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [97588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97943] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3755), 1,
      anon_sym_DOT,
    ACTIONS(3757), 1,
      anon_sym_POUND,
    ACTIONS(3759), 1,
      sym_hash_operator,
    STATE(3956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98020] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3189), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3957), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [98141] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3225), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3958), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [98262] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8438), 1,
      anon_sym_COLON,
    STATE(3959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8322), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [98335] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8440), 1,
      anon_sym_COLON,
    STATE(3960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8322), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [98408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98621] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3143), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3964), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [98742] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3243), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3965), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [98863] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8442), 1,
      anon_sym_LT_DASH,
    STATE(3966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99149] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3755), 1,
      anon_sym_DOT,
    ACTIONS(3757), 1,
      anon_sym_POUND,
    ACTIONS(3759), 1,
      sym_hash_operator,
    STATE(3970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99510] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3755), 1,
      anon_sym_DOT,
    STATE(3975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99583] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3125), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3976), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [99704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8434), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [99846] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3127), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3979), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [99967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100038] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(3981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100111] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3245), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3982), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [100232] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3203), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3983), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [100353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100566] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3207), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3987), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [100687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100829] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5165), 1,
      sym__lowercase_identifier,
    ACTIONS(5167), 1,
      anon_sym_LPAREN,
    ACTIONS(5169), 1,
      anon_sym_LBRACK,
    ACTIONS(5173), 1,
      anon_sym_LBRACE,
    ACTIONS(5175), 1,
      anon_sym_POUND,
    ACTIONS(5177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5179), 1,
      anon_sym_lazy,
    ACTIONS(5181), 1,
      anon_sym_begin,
    ACTIONS(5187), 1,
      aux_sym_number_token1,
    ACTIONS(5189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5191), 1,
      anon_sym_SQUOTE,
    ACTIONS(5193), 1,
      anon_sym_DQUOTE,
    ACTIONS(5195), 1,
      sym__uppercase_identifier,
    ACTIONS(5197), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(8444), 1,
      anon_sym_rec,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2439), 1,
      sym_tag,
    STATE(2442), 1,
      sym_constructor_path,
    STATE(2477), 1,
      sym__binding_pattern,
    STATE(3990), 1,
      sym_attribute,
    STATE(4442), 1,
      sym__attribute,
    STATE(5389), 1,
      sym__signed_constant,
    STATE(5475), 1,
      sym__constructor_name,
    STATE(5535), 1,
      sym_list_binding_pattern,
    STATE(5552), 1,
      sym_array_binding_pattern,
    STATE(5661), 1,
      sym_parenthesized_operator,
    STATE(5706), 1,
      sym_record_binding_pattern,
    STATE(11574), 1,
      sym_let_binding,
    STATE(19313), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5505), 2,
      sym__constant,
      sym_signed_number,
    STATE(5489), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5687), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [100964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101248] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3137), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(3995), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [101369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101653] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3141), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4000), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [101774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102271] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3185), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4008), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102463] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3173), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4010), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102584] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3133), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4011), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102847] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(4014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103346] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3191), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4021), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [103467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103609] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(4024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103895] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5199), 1,
      sym__lowercase_identifier,
    ACTIONS(5201), 1,
      anon_sym_LPAREN,
    ACTIONS(5203), 1,
      anon_sym_LBRACK,
    ACTIONS(5207), 1,
      anon_sym_LBRACE,
    ACTIONS(5209), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5213), 1,
      anon_sym_lazy,
    ACTIONS(5215), 1,
      anon_sym_begin,
    ACTIONS(5221), 1,
      aux_sym_number_token1,
    ACTIONS(5223), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5225), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_DQUOTE,
    ACTIONS(5229), 1,
      sym__uppercase_identifier,
    ACTIONS(5231), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(8450), 1,
      anon_sym_rec,
    ACTIONS(8452), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8454), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2440), 1,
      sym_tag,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(2475), 1,
      sym__binding_pattern,
    STATE(4028), 1,
      sym_attribute,
    STATE(4439), 1,
      sym__attribute,
    STATE(5506), 1,
      sym__signed_constant,
    STATE(5508), 1,
      sym__constructor_name,
    STATE(5559), 1,
      sym_parenthesized_operator,
    STATE(5680), 1,
      sym_record_binding_pattern,
    STATE(5683), 1,
      sym_list_binding_pattern,
    STATE(5685), 1,
      sym_array_binding_pattern,
    STATE(11595), 1,
      sym_let_binding,
    STATE(18264), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5205), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5415), 2,
      sym__constant,
      sym_signed_number,
    STATE(5507), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5679), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [104030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104669] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3131), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4038), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [104790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105003] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4042), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105337] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3117), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4046), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105458] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3213), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4047), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105579] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3193), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4048), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105771] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3215), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4050), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106034] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3237), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4053), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [106155] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3211), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4054), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [106276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107057] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3119), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4066), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [107178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107817] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(4076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108529] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3239), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4086), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [108650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108721] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(4088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109149] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3671), 1,
      anon_sym_DOT,
    ACTIONS(3673), 1,
      anon_sym_POUND,
    ACTIONS(3675), 1,
      sym_hash_operator,
    STATE(4094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109723] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3209), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4102), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [109844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110057] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3249), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4106), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [110178] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(4107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110322] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4109), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [110443] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3199), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4110), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [110564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110706] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3187), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4113), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [110827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110969] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3671), 1,
      anon_sym_DOT,
    ACTIONS(3673), 1,
      anon_sym_POUND,
    ACTIONS(3675), 1,
      sym_hash_operator,
    STATE(4116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111046] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3205), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4117), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [111167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111380] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3671), 1,
      anon_sym_DOT,
    STATE(4121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111737] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3123), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4126), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [111858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8098), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [112071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112142] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3247), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4131), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [112263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112334] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8456), 1,
      anon_sym_COLON,
    STATE(4133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8322), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [112407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112478] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8458), 1,
      anon_sym_COLON,
    STATE(4135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8322), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [112551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112977] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3221), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4142), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [113098] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8460), 1,
      anon_sym_LT_DASH,
    STATE(4143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113171] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3145), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4144), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [113292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113363] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3197), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4146), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [113484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113626] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(3139), 1,
      anon_sym_RPAREN,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4149), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [113747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8098), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [113889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114240] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(421), 1,
      anon_sym_LPAREN,
    ACTIONS(425), 1,
      anon_sym_LBRACK,
    ACTIONS(429), 1,
      anon_sym_LBRACE,
    ACTIONS(439), 1,
      anon_sym_object,
    ACTIONS(443), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(453), 1,
      anon_sym_new,
    ACTIONS(455), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(457), 1,
      anon_sym_begin,
    ACTIONS(459), 1,
      sym_ocamlyacc_value,
    ACTIONS(465), 1,
      aux_sym_number_token1,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(471), 1,
      sym_prefix_operator,
    ACTIONS(477), 1,
      sym__uppercase_identifier,
    ACTIONS(481), 1,
      aux_sym_tag_token1,
    ACTIONS(3041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3043), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3933), 1,
      sym__lowercase_identifier,
    STATE(4157), 1,
      sym_attribute,
    STATE(4161), 1,
      sym__constructor_name,
    STATE(4191), 1,
      sym__value_name,
    STATE(4231), 1,
      sym__simple_expression,
    STATE(4236), 1,
      sym_parenthesized_operator,
    STATE(19232), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4260), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4397), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [114358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114848] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2039), 1,
      anon_sym_LPAREN,
    ACTIONS(2041), 1,
      anon_sym_LBRACK,
    ACTIONS(2045), 1,
      anon_sym_LBRACE,
    ACTIONS(2047), 1,
      anon_sym_object,
    ACTIONS(2051), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2061), 1,
      anon_sym_new,
    ACTIONS(2063), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2065), 1,
      anon_sym_begin,
    ACTIONS(2067), 1,
      sym_ocamlyacc_value,
    ACTIONS(2069), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2071), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2073), 1,
      aux_sym_number_token1,
    ACTIONS(2075), 1,
      anon_sym_SQUOTE,
    ACTIONS(2077), 1,
      anon_sym_DQUOTE,
    ACTIONS(2079), 1,
      sym_prefix_operator,
    ACTIONS(2083), 1,
      sym__uppercase_identifier,
    ACTIONS(2085), 1,
      aux_sym_tag_token1,
    ACTIONS(5243), 1,
      sym__lowercase_identifier,
    STATE(4165), 1,
      sym_attribute,
    STATE(6207), 1,
      sym__simple_expression,
    STATE(6269), 1,
      sym__constructor_name,
    STATE(6309), 1,
      sym__value_name,
    STATE(6467), 1,
      sym_parenthesized_operator,
    STATE(18603), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2043), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6268), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6494), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [114966] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6537), 1,
      sym__lowercase_identifier,
    ACTIONS(6541), 1,
      anon_sym_LPAREN,
    ACTIONS(6543), 1,
      anon_sym_LBRACK,
    ACTIONS(6547), 1,
      anon_sym_LBRACE,
    ACTIONS(6549), 1,
      anon_sym_object,
    ACTIONS(6551), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6553), 1,
      anon_sym_new,
    ACTIONS(6555), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6557), 1,
      anon_sym_begin,
    ACTIONS(6559), 1,
      sym_ocamlyacc_value,
    ACTIONS(6565), 1,
      aux_sym_number_token1,
    ACTIONS(6567), 1,
      anon_sym_SQUOTE,
    ACTIONS(6569), 1,
      anon_sym_DQUOTE,
    ACTIONS(6571), 1,
      sym_prefix_operator,
    ACTIONS(6573), 1,
      sym__uppercase_identifier,
    ACTIONS(6575), 1,
      aux_sym_tag_token1,
    ACTIONS(8462), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4166), 1,
      sym_attribute,
    STATE(6714), 1,
      sym__constructor_name,
    STATE(6799), 1,
      sym__value_name,
    STATE(6882), 1,
      sym_parenthesized_operator,
    STATE(7028), 1,
      sym__simple_expression,
    STATE(18444), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6545), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6710), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7126), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [115084] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6537), 1,
      sym__lowercase_identifier,
    ACTIONS(6541), 1,
      anon_sym_LPAREN,
    ACTIONS(6543), 1,
      anon_sym_LBRACK,
    ACTIONS(6547), 1,
      anon_sym_LBRACE,
    ACTIONS(6549), 1,
      anon_sym_object,
    ACTIONS(6551), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6553), 1,
      anon_sym_new,
    ACTIONS(6555), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6557), 1,
      anon_sym_begin,
    ACTIONS(6559), 1,
      sym_ocamlyacc_value,
    ACTIONS(6565), 1,
      aux_sym_number_token1,
    ACTIONS(6567), 1,
      anon_sym_SQUOTE,
    ACTIONS(6569), 1,
      anon_sym_DQUOTE,
    ACTIONS(6571), 1,
      sym_prefix_operator,
    ACTIONS(6573), 1,
      sym__uppercase_identifier,
    ACTIONS(6575), 1,
      aux_sym_tag_token1,
    ACTIONS(8462), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4167), 1,
      sym_attribute,
    STATE(6613), 1,
      sym__simple_expression,
    STATE(6714), 1,
      sym__constructor_name,
    STATE(6799), 1,
      sym__value_name,
    STATE(6882), 1,
      sym_parenthesized_operator,
    STATE(18444), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6545), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6710), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7126), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [115202] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6537), 1,
      sym__lowercase_identifier,
    ACTIONS(6541), 1,
      anon_sym_LPAREN,
    ACTIONS(6543), 1,
      anon_sym_LBRACK,
    ACTIONS(6547), 1,
      anon_sym_LBRACE,
    ACTIONS(6549), 1,
      anon_sym_object,
    ACTIONS(6551), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6553), 1,
      anon_sym_new,
    ACTIONS(6555), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6557), 1,
      anon_sym_begin,
    ACTIONS(6559), 1,
      sym_ocamlyacc_value,
    ACTIONS(6565), 1,
      aux_sym_number_token1,
    ACTIONS(6567), 1,
      anon_sym_SQUOTE,
    ACTIONS(6569), 1,
      anon_sym_DQUOTE,
    ACTIONS(6571), 1,
      sym_prefix_operator,
    ACTIONS(6573), 1,
      sym__uppercase_identifier,
    ACTIONS(6575), 1,
      aux_sym_tag_token1,
    ACTIONS(8462), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4168), 1,
      sym_attribute,
    STATE(6672), 1,
      sym__simple_expression,
    STATE(6714), 1,
      sym__constructor_name,
    STATE(6799), 1,
      sym__value_name,
    STATE(6882), 1,
      sym_parenthesized_operator,
    STATE(18444), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6545), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6710), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7126), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [115320] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2309), 1,
      anon_sym_LPAREN,
    ACTIONS(2311), 1,
      anon_sym_LBRACK,
    ACTIONS(2315), 1,
      anon_sym_LBRACE,
    ACTIONS(2317), 1,
      anon_sym_object,
    ACTIONS(2321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2331), 1,
      anon_sym_new,
    ACTIONS(2333), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2335), 1,
      anon_sym_begin,
    ACTIONS(2337), 1,
      sym_ocamlyacc_value,
    ACTIONS(2339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2343), 1,
      aux_sym_number_token1,
    ACTIONS(2345), 1,
      anon_sym_SQUOTE,
    ACTIONS(2347), 1,
      anon_sym_DQUOTE,
    ACTIONS(2349), 1,
      sym_prefix_operator,
    ACTIONS(2353), 1,
      sym__uppercase_identifier,
    ACTIONS(2355), 1,
      aux_sym_tag_token1,
    ACTIONS(5253), 1,
      sym__lowercase_identifier,
    STATE(4169), 1,
      sym_attribute,
    STATE(6317), 1,
      sym_parenthesized_operator,
    STATE(6318), 1,
      sym__constructor_name,
    STATE(6377), 1,
      sym__simple_expression,
    STATE(6575), 1,
      sym__value_name,
    STATE(17972), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6305), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6530), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [115438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8098), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [115578] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8390), 1,
      sym__lowercase_identifier,
    ACTIONS(8392), 1,
      anon_sym_LPAREN,
    ACTIONS(8394), 1,
      anon_sym_LBRACK,
    ACTIONS(8398), 1,
      anon_sym_LBRACE,
    ACTIONS(8400), 1,
      anon_sym_object,
    ACTIONS(8402), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8404), 1,
      anon_sym_new,
    ACTIONS(8406), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8408), 1,
      anon_sym_begin,
    ACTIONS(8410), 1,
      sym_ocamlyacc_value,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8416), 1,
      aux_sym_number_token1,
    ACTIONS(8418), 1,
      anon_sym_SQUOTE,
    ACTIONS(8420), 1,
      anon_sym_DQUOTE,
    ACTIONS(8422), 1,
      sym_prefix_operator,
    ACTIONS(8424), 1,
      sym__uppercase_identifier,
    ACTIONS(8426), 1,
      aux_sym_tag_token1,
    STATE(4172), 1,
      sym_attribute,
    STATE(7387), 1,
      sym__constructor_name,
    STATE(7530), 1,
      sym__simple_expression,
    STATE(7570), 1,
      sym__value_name,
    STATE(7590), 1,
      sym_parenthesized_operator,
    STATE(18239), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8396), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7525), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [115696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115766] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8390), 1,
      sym__lowercase_identifier,
    ACTIONS(8392), 1,
      anon_sym_LPAREN,
    ACTIONS(8394), 1,
      anon_sym_LBRACK,
    ACTIONS(8398), 1,
      anon_sym_LBRACE,
    ACTIONS(8400), 1,
      anon_sym_object,
    ACTIONS(8402), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8404), 1,
      anon_sym_new,
    ACTIONS(8406), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8408), 1,
      anon_sym_begin,
    ACTIONS(8410), 1,
      sym_ocamlyacc_value,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8416), 1,
      aux_sym_number_token1,
    ACTIONS(8418), 1,
      anon_sym_SQUOTE,
    ACTIONS(8420), 1,
      anon_sym_DQUOTE,
    ACTIONS(8422), 1,
      sym_prefix_operator,
    ACTIONS(8424), 1,
      sym__uppercase_identifier,
    ACTIONS(8426), 1,
      aux_sym_tag_token1,
    STATE(4174), 1,
      sym_attribute,
    STATE(7387), 1,
      sym__constructor_name,
    STATE(7540), 1,
      sym__simple_expression,
    STATE(7570), 1,
      sym__value_name,
    STATE(7590), 1,
      sym_parenthesized_operator,
    STATE(18239), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8396), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7525), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [115884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115954] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2839), 1,
      anon_sym_LPAREN,
    ACTIONS(2841), 1,
      anon_sym_LBRACK,
    ACTIONS(2845), 1,
      anon_sym_LBRACE,
    ACTIONS(2847), 1,
      anon_sym_object,
    ACTIONS(2851), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2861), 1,
      anon_sym_new,
    ACTIONS(2863), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2865), 1,
      anon_sym_begin,
    ACTIONS(2867), 1,
      sym_ocamlyacc_value,
    ACTIONS(2869), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2871), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2873), 1,
      aux_sym_number_token1,
    ACTIONS(2875), 1,
      anon_sym_SQUOTE,
    ACTIONS(2877), 1,
      anon_sym_DQUOTE,
    ACTIONS(2879), 1,
      sym_prefix_operator,
    ACTIONS(2883), 1,
      sym__uppercase_identifier,
    ACTIONS(2885), 1,
      aux_sym_tag_token1,
    ACTIONS(5433), 1,
      sym__lowercase_identifier,
    STATE(4176), 1,
      sym_attribute,
    STATE(6774), 1,
      sym__value_name,
    STATE(6894), 1,
      sym_parenthesized_operator,
    STATE(6959), 1,
      sym__simple_expression,
    STATE(6963), 1,
      sym__constructor_name,
    STATE(17588), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2843), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6751), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6941), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116142] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8328), 1,
      sym__lowercase_identifier,
    ACTIONS(8330), 1,
      anon_sym_LPAREN,
    ACTIONS(8332), 1,
      anon_sym_LBRACK,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    ACTIONS(8338), 1,
      anon_sym_object,
    ACTIONS(8340), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8342), 1,
      anon_sym_new,
    ACTIONS(8344), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8346), 1,
      anon_sym_begin,
    ACTIONS(8348), 1,
      sym_ocamlyacc_value,
    ACTIONS(8350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8354), 1,
      aux_sym_number_token1,
    ACTIONS(8356), 1,
      anon_sym_SQUOTE,
    ACTIONS(8358), 1,
      anon_sym_DQUOTE,
    ACTIONS(8360), 1,
      sym_prefix_operator,
    ACTIONS(8362), 1,
      sym__uppercase_identifier,
    ACTIONS(8364), 1,
      aux_sym_tag_token1,
    STATE(4178), 1,
      sym_attribute,
    STATE(7169), 1,
      sym__constructor_name,
    STATE(7254), 1,
      sym__simple_expression,
    STATE(7292), 1,
      sym__value_name,
    STATE(7332), 1,
      sym_parenthesized_operator,
    STATE(18604), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7315), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7249), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116260] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2839), 1,
      anon_sym_LPAREN,
    ACTIONS(2841), 1,
      anon_sym_LBRACK,
    ACTIONS(2845), 1,
      anon_sym_LBRACE,
    ACTIONS(2847), 1,
      anon_sym_object,
    ACTIONS(2851), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2861), 1,
      anon_sym_new,
    ACTIONS(2863), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2865), 1,
      anon_sym_begin,
    ACTIONS(2867), 1,
      sym_ocamlyacc_value,
    ACTIONS(2869), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2871), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2873), 1,
      aux_sym_number_token1,
    ACTIONS(2875), 1,
      anon_sym_SQUOTE,
    ACTIONS(2877), 1,
      anon_sym_DQUOTE,
    ACTIONS(2879), 1,
      sym_prefix_operator,
    ACTIONS(2883), 1,
      sym__uppercase_identifier,
    ACTIONS(2885), 1,
      aux_sym_tag_token1,
    ACTIONS(5433), 1,
      sym__lowercase_identifier,
    STATE(4179), 1,
      sym_attribute,
    STATE(6622), 1,
      sym__simple_expression,
    STATE(6774), 1,
      sym__value_name,
    STATE(6894), 1,
      sym_parenthesized_operator,
    STATE(6963), 1,
      sym__constructor_name,
    STATE(17588), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2843), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6751), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6941), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116378] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6847), 1,
      sym__lowercase_identifier,
    ACTIONS(6851), 1,
      anon_sym_LPAREN,
    ACTIONS(6853), 1,
      anon_sym_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(6859), 1,
      anon_sym_object,
    ACTIONS(6861), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6863), 1,
      anon_sym_new,
    ACTIONS(6865), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6867), 1,
      anon_sym_begin,
    ACTIONS(6869), 1,
      sym_ocamlyacc_value,
    ACTIONS(6875), 1,
      aux_sym_number_token1,
    ACTIONS(6877), 1,
      anon_sym_SQUOTE,
    ACTIONS(6879), 1,
      anon_sym_DQUOTE,
    ACTIONS(6881), 1,
      sym_prefix_operator,
    ACTIONS(6883), 1,
      sym__uppercase_identifier,
    ACTIONS(6885), 1,
      aux_sym_tag_token1,
    ACTIONS(8466), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8468), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4180), 1,
      sym_attribute,
    STATE(7660), 1,
      sym__constructor_name,
    STATE(7695), 1,
      sym__simple_expression,
    STATE(7874), 1,
      sym__value_name,
    STATE(7875), 1,
      sym_parenthesized_operator,
    STATE(17467), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6855), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7659), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7789), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116496] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_LBRACE,
    ACTIONS(1081), 1,
      anon_sym_object,
    ACTIONS(1085), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1095), 1,
      anon_sym_new,
    ACTIONS(1097), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1099), 1,
      anon_sym_begin,
    ACTIONS(1101), 1,
      sym_ocamlyacc_value,
    ACTIONS(1103), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1105), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1107), 1,
      aux_sym_number_token1,
    ACTIONS(1109), 1,
      anon_sym_SQUOTE,
    ACTIONS(1111), 1,
      anon_sym_DQUOTE,
    ACTIONS(1113), 1,
      sym_prefix_operator,
    ACTIONS(1117), 1,
      sym__uppercase_identifier,
    ACTIONS(1119), 1,
      aux_sym_tag_token1,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4181), 1,
      sym_attribute,
    STATE(5099), 1,
      sym__constructor_name,
    STATE(5115), 1,
      sym_parenthesized_operator,
    STATE(5127), 1,
      sym__simple_expression,
    STATE(5217), 1,
      sym__value_name,
    STATE(18719), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1077), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5139), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5111), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116614] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    ACTIONS(1699), 1,
      anon_sym_LBRACK,
    ACTIONS(1703), 1,
      anon_sym_LBRACE,
    ACTIONS(1705), 1,
      anon_sym_object,
    ACTIONS(1709), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1719), 1,
      anon_sym_new,
    ACTIONS(1721), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1723), 1,
      anon_sym_begin,
    ACTIONS(1725), 1,
      sym_ocamlyacc_value,
    ACTIONS(1727), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1729), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1731), 1,
      aux_sym_number_token1,
    ACTIONS(1733), 1,
      anon_sym_SQUOTE,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1737), 1,
      sym_prefix_operator,
    ACTIONS(1741), 1,
      sym__uppercase_identifier,
    ACTIONS(1743), 1,
      aux_sym_tag_token1,
    ACTIONS(5359), 1,
      sym__lowercase_identifier,
    STATE(4182), 1,
      sym_attribute,
    STATE(6231), 1,
      sym__simple_expression,
    STATE(6365), 1,
      sym__value_name,
    STATE(6518), 1,
      sym_parenthesized_operator,
    STATE(6520), 1,
      sym__constructor_name,
    STATE(17642), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1701), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6185), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8434), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [116802] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    ACTIONS(1699), 1,
      anon_sym_LBRACK,
    ACTIONS(1703), 1,
      anon_sym_LBRACE,
    ACTIONS(1705), 1,
      anon_sym_object,
    ACTIONS(1709), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1719), 1,
      anon_sym_new,
    ACTIONS(1721), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1723), 1,
      anon_sym_begin,
    ACTIONS(1725), 1,
      sym_ocamlyacc_value,
    ACTIONS(1727), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1729), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1731), 1,
      aux_sym_number_token1,
    ACTIONS(1733), 1,
      anon_sym_SQUOTE,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1737), 1,
      sym_prefix_operator,
    ACTIONS(1741), 1,
      sym__uppercase_identifier,
    ACTIONS(1743), 1,
      aux_sym_tag_token1,
    ACTIONS(5359), 1,
      sym__lowercase_identifier,
    STATE(4184), 1,
      sym_attribute,
    STATE(6320), 1,
      sym__simple_expression,
    STATE(6365), 1,
      sym__value_name,
    STATE(6518), 1,
      sym_parenthesized_operator,
    STATE(6520), 1,
      sym__constructor_name,
    STATE(17642), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1701), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6185), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116920] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(541), 1,
      anon_sym_LPAREN,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(549), 1,
      anon_sym_object,
    ACTIONS(553), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(563), 1,
      anon_sym_new,
    ACTIONS(565), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(567), 1,
      anon_sym_begin,
    ACTIONS(569), 1,
      sym_ocamlyacc_value,
    ACTIONS(575), 1,
      aux_sym_number_token1,
    ACTIONS(577), 1,
      anon_sym_SQUOTE,
    ACTIONS(579), 1,
      anon_sym_DQUOTE,
    ACTIONS(581), 1,
      sym_prefix_operator,
    ACTIONS(585), 1,
      sym__uppercase_identifier,
    ACTIONS(587), 1,
      aux_sym_tag_token1,
    ACTIONS(3045), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3047), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3163), 1,
      sym__lowercase_identifier,
    STATE(3420), 1,
      sym__value_name,
    STATE(3435), 1,
      sym__simple_expression,
    STATE(3461), 1,
      sym_parenthesized_operator,
    STATE(3602), 1,
      sym__constructor_name,
    STATE(4185), 1,
      sym_attribute,
    STATE(18321), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3601), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3361), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117038] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    ACTIONS(317), 1,
      anon_sym_LBRACE,
    ACTIONS(319), 1,
      anon_sym_object,
    ACTIONS(323), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(333), 1,
      anon_sym_new,
    ACTIONS(335), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(337), 1,
      anon_sym_begin,
    ACTIONS(339), 1,
      sym_ocamlyacc_value,
    ACTIONS(347), 1,
      aux_sym_number_token1,
    ACTIONS(349), 1,
      anon_sym_SQUOTE,
    ACTIONS(351), 1,
      anon_sym_DQUOTE,
    ACTIONS(353), 1,
      sym_prefix_operator,
    ACTIONS(359), 1,
      sym__uppercase_identifier,
    ACTIONS(361), 1,
      aux_sym_tag_token1,
    ACTIONS(3037), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3039), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3099), 1,
      sym__lowercase_identifier,
    STATE(3034), 1,
      sym__simple_expression,
    STATE(3086), 1,
      sym__value_name,
    STATE(3128), 1,
      sym_parenthesized_operator,
    STATE(3249), 1,
      sym__constructor_name,
    STATE(4186), 1,
      sym_attribute,
    STATE(18485), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3248), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3021), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117156] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    ACTIONS(317), 1,
      anon_sym_LBRACE,
    ACTIONS(319), 1,
      anon_sym_object,
    ACTIONS(323), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(333), 1,
      anon_sym_new,
    ACTIONS(335), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(337), 1,
      anon_sym_begin,
    ACTIONS(339), 1,
      sym_ocamlyacc_value,
    ACTIONS(347), 1,
      aux_sym_number_token1,
    ACTIONS(349), 1,
      anon_sym_SQUOTE,
    ACTIONS(351), 1,
      anon_sym_DQUOTE,
    ACTIONS(353), 1,
      sym_prefix_operator,
    ACTIONS(359), 1,
      sym__uppercase_identifier,
    ACTIONS(361), 1,
      aux_sym_tag_token1,
    ACTIONS(3037), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3039), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3099), 1,
      sym__lowercase_identifier,
    STATE(3048), 1,
      sym__simple_expression,
    STATE(3086), 1,
      sym__value_name,
    STATE(3128), 1,
      sym_parenthesized_operator,
    STATE(3249), 1,
      sym__constructor_name,
    STATE(4187), 1,
      sym_attribute,
    STATE(18485), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3248), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3021), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117554] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2839), 1,
      anon_sym_LPAREN,
    ACTIONS(2841), 1,
      anon_sym_LBRACK,
    ACTIONS(2845), 1,
      anon_sym_LBRACE,
    ACTIONS(2847), 1,
      anon_sym_object,
    ACTIONS(2851), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2861), 1,
      anon_sym_new,
    ACTIONS(2863), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2865), 1,
      anon_sym_begin,
    ACTIONS(2867), 1,
      sym_ocamlyacc_value,
    ACTIONS(2869), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2871), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2873), 1,
      aux_sym_number_token1,
    ACTIONS(2875), 1,
      anon_sym_SQUOTE,
    ACTIONS(2877), 1,
      anon_sym_DQUOTE,
    ACTIONS(2879), 1,
      sym_prefix_operator,
    ACTIONS(2883), 1,
      sym__uppercase_identifier,
    ACTIONS(2885), 1,
      aux_sym_tag_token1,
    ACTIONS(5433), 1,
      sym__lowercase_identifier,
    STATE(4192), 1,
      sym_attribute,
    STATE(6774), 1,
      sym__value_name,
    STATE(6894), 1,
      sym_parenthesized_operator,
    STATE(6963), 1,
      sym__constructor_name,
    STATE(7000), 1,
      sym__simple_expression,
    STATE(17588), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2843), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6751), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6941), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117742] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2309), 1,
      anon_sym_LPAREN,
    ACTIONS(2311), 1,
      anon_sym_LBRACK,
    ACTIONS(2315), 1,
      anon_sym_LBRACE,
    ACTIONS(2317), 1,
      anon_sym_object,
    ACTIONS(2321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2331), 1,
      anon_sym_new,
    ACTIONS(2333), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2335), 1,
      anon_sym_begin,
    ACTIONS(2337), 1,
      sym_ocamlyacc_value,
    ACTIONS(2339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2343), 1,
      aux_sym_number_token1,
    ACTIONS(2345), 1,
      anon_sym_SQUOTE,
    ACTIONS(2347), 1,
      anon_sym_DQUOTE,
    ACTIONS(2349), 1,
      sym_prefix_operator,
    ACTIONS(2353), 1,
      sym__uppercase_identifier,
    ACTIONS(2355), 1,
      aux_sym_tag_token1,
    ACTIONS(5253), 1,
      sym__lowercase_identifier,
    STATE(4194), 1,
      sym_attribute,
    STATE(6317), 1,
      sym_parenthesized_operator,
    STATE(6318), 1,
      sym__constructor_name,
    STATE(6536), 1,
      sym__simple_expression,
    STATE(6575), 1,
      sym__value_name,
    STATE(17972), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6305), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6530), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117860] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2309), 1,
      anon_sym_LPAREN,
    ACTIONS(2311), 1,
      anon_sym_LBRACK,
    ACTIONS(2315), 1,
      anon_sym_LBRACE,
    ACTIONS(2317), 1,
      anon_sym_object,
    ACTIONS(2321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2331), 1,
      anon_sym_new,
    ACTIONS(2333), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2335), 1,
      anon_sym_begin,
    ACTIONS(2337), 1,
      sym_ocamlyacc_value,
    ACTIONS(2339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2343), 1,
      aux_sym_number_token1,
    ACTIONS(2345), 1,
      anon_sym_SQUOTE,
    ACTIONS(2347), 1,
      anon_sym_DQUOTE,
    ACTIONS(2349), 1,
      sym_prefix_operator,
    ACTIONS(2353), 1,
      sym__uppercase_identifier,
    ACTIONS(2355), 1,
      aux_sym_tag_token1,
    ACTIONS(5253), 1,
      sym__lowercase_identifier,
    STATE(4195), 1,
      sym_attribute,
    STATE(6317), 1,
      sym_parenthesized_operator,
    STATE(6318), 1,
      sym__constructor_name,
    STATE(6546), 1,
      sym__simple_expression,
    STATE(6575), 1,
      sym__value_name,
    STATE(17972), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6305), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6530), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118118] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(4198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118330] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5593), 1,
      sym__lowercase_identifier,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    ACTIONS(5599), 1,
      anon_sym_LBRACK,
    ACTIONS(5603), 1,
      anon_sym_LBRACE,
    ACTIONS(5605), 1,
      anon_sym_object,
    ACTIONS(5607), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5609), 1,
      anon_sym_new,
    ACTIONS(5611), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5613), 1,
      anon_sym_begin,
    ACTIONS(5615), 1,
      sym_ocamlyacc_value,
    ACTIONS(5621), 1,
      aux_sym_number_token1,
    ACTIONS(5623), 1,
      anon_sym_SQUOTE,
    ACTIONS(5625), 1,
      anon_sym_DQUOTE,
    ACTIONS(5627), 1,
      sym_prefix_operator,
    ACTIONS(5629), 1,
      sym__uppercase_identifier,
    ACTIONS(5631), 1,
      aux_sym_tag_token1,
    ACTIONS(8470), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8472), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4201), 1,
      sym_attribute,
    STATE(5824), 1,
      sym__value_name,
    STATE(5847), 1,
      sym__simple_expression,
    STATE(5919), 1,
      sym_parenthesized_operator,
    STATE(5992), 1,
      sym__constructor_name,
    STATE(18525), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5601), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5991), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6015), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118448] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5593), 1,
      sym__lowercase_identifier,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    ACTIONS(5599), 1,
      anon_sym_LBRACK,
    ACTIONS(5603), 1,
      anon_sym_LBRACE,
    ACTIONS(5605), 1,
      anon_sym_object,
    ACTIONS(5607), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5609), 1,
      anon_sym_new,
    ACTIONS(5611), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5613), 1,
      anon_sym_begin,
    ACTIONS(5615), 1,
      sym_ocamlyacc_value,
    ACTIONS(5621), 1,
      aux_sym_number_token1,
    ACTIONS(5623), 1,
      anon_sym_SQUOTE,
    ACTIONS(5625), 1,
      anon_sym_DQUOTE,
    ACTIONS(5627), 1,
      sym_prefix_operator,
    ACTIONS(5629), 1,
      sym__uppercase_identifier,
    ACTIONS(5631), 1,
      aux_sym_tag_token1,
    ACTIONS(8470), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8472), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4202), 1,
      sym_attribute,
    STATE(5824), 1,
      sym__value_name,
    STATE(5919), 1,
      sym_parenthesized_operator,
    STATE(5992), 1,
      sym__constructor_name,
    STATE(6065), 1,
      sym__simple_expression,
    STATE(18525), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5601), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5991), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6015), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118566] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5593), 1,
      sym__lowercase_identifier,
    ACTIONS(5597), 1,
      anon_sym_LPAREN,
    ACTIONS(5599), 1,
      anon_sym_LBRACK,
    ACTIONS(5603), 1,
      anon_sym_LBRACE,
    ACTIONS(5605), 1,
      anon_sym_object,
    ACTIONS(5607), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5609), 1,
      anon_sym_new,
    ACTIONS(5611), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5613), 1,
      anon_sym_begin,
    ACTIONS(5615), 1,
      sym_ocamlyacc_value,
    ACTIONS(5621), 1,
      aux_sym_number_token1,
    ACTIONS(5623), 1,
      anon_sym_SQUOTE,
    ACTIONS(5625), 1,
      anon_sym_DQUOTE,
    ACTIONS(5627), 1,
      sym_prefix_operator,
    ACTIONS(5629), 1,
      sym__uppercase_identifier,
    ACTIONS(5631), 1,
      aux_sym_tag_token1,
    ACTIONS(8470), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8472), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4203), 1,
      sym_attribute,
    STATE(5824), 1,
      sym__value_name,
    STATE(5919), 1,
      sym_parenthesized_operator,
    STATE(5992), 1,
      sym__constructor_name,
    STATE(6095), 1,
      sym__simple_expression,
    STATE(18525), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5601), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5991), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6015), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8434), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [118754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118824] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4206), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5180), 1,
      sym__simple_expression,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119152] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(8366), 1,
      sym__lowercase_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN,
    ACTIONS(8372), 1,
      anon_sym_LBRACE,
    ACTIONS(8374), 1,
      anon_sym_begin,
    ACTIONS(8376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8380), 1,
      aux_sym_number_token1,
    ACTIONS(8382), 1,
      anon_sym_SQUOTE,
    ACTIONS(8384), 1,
      anon_sym_DQUOTE,
    ACTIONS(8386), 1,
      sym_prefix_operator,
    ACTIONS(8388), 1,
      aux_sym_tag_token1,
    STATE(4210), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(7466), 1,
      sym__simple_expression,
    STATE(17759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8370), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7452), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119340] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(369), 1,
      anon_sym_LBRACK,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_object,
    ACTIONS(379), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(389), 1,
      anon_sym_new,
    ACTIONS(391), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(393), 1,
      anon_sym_begin,
    ACTIONS(395), 1,
      sym_ocamlyacc_value,
    ACTIONS(401), 1,
      aux_sym_number_token1,
    ACTIONS(403), 1,
      anon_sym_SQUOTE,
    ACTIONS(405), 1,
      anon_sym_DQUOTE,
    ACTIONS(407), 1,
      sym_prefix_operator,
    ACTIONS(411), 1,
      sym__uppercase_identifier,
    ACTIONS(413), 1,
      aux_sym_tag_token1,
    ACTIONS(3065), 1,
      sym__lowercase_identifier,
    ACTIONS(3083), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3085), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(3194), 1,
      sym__simple_expression,
    STATE(3210), 1,
      sym__value_name,
    STATE(3241), 1,
      sym_parenthesized_operator,
    STATE(3270), 1,
      sym__constructor_name,
    STATE(4212), 1,
      sym_attribute,
    STATE(18794), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(371), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3269), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3151), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119598] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8390), 1,
      sym__lowercase_identifier,
    ACTIONS(8392), 1,
      anon_sym_LPAREN,
    ACTIONS(8394), 1,
      anon_sym_LBRACK,
    ACTIONS(8398), 1,
      anon_sym_LBRACE,
    ACTIONS(8400), 1,
      anon_sym_object,
    ACTIONS(8402), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8404), 1,
      anon_sym_new,
    ACTIONS(8406), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8408), 1,
      anon_sym_begin,
    ACTIONS(8410), 1,
      sym_ocamlyacc_value,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8416), 1,
      aux_sym_number_token1,
    ACTIONS(8418), 1,
      anon_sym_SQUOTE,
    ACTIONS(8420), 1,
      anon_sym_DQUOTE,
    ACTIONS(8422), 1,
      sym_prefix_operator,
    ACTIONS(8424), 1,
      sym__uppercase_identifier,
    ACTIONS(8426), 1,
      aux_sym_tag_token1,
    STATE(4215), 1,
      sym_attribute,
    STATE(7387), 1,
      sym__constructor_name,
    STATE(7570), 1,
      sym__value_name,
    STATE(7586), 1,
      sym__simple_expression,
    STATE(7590), 1,
      sym_parenthesized_operator,
    STATE(18239), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8396), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7525), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119716] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2465), 1,
      anon_sym_LPAREN,
    ACTIONS(2467), 1,
      anon_sym_LBRACK,
    ACTIONS(2471), 1,
      anon_sym_LBRACE,
    ACTIONS(2473), 1,
      anon_sym_object,
    ACTIONS(2477), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2487), 1,
      anon_sym_new,
    ACTIONS(2489), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2491), 1,
      anon_sym_begin,
    ACTIONS(2493), 1,
      sym_ocamlyacc_value,
    ACTIONS(2495), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2497), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2499), 1,
      aux_sym_number_token1,
    ACTIONS(2501), 1,
      anon_sym_SQUOTE,
    ACTIONS(2503), 1,
      anon_sym_DQUOTE,
    ACTIONS(2505), 1,
      sym_prefix_operator,
    ACTIONS(2509), 1,
      sym__uppercase_identifier,
    ACTIONS(2511), 1,
      aux_sym_tag_token1,
    ACTIONS(5283), 1,
      sym__lowercase_identifier,
    STATE(4216), 1,
      sym_attribute,
    STATE(6114), 1,
      sym__simple_expression,
    STATE(6208), 1,
      sym_parenthesized_operator,
    STATE(6382), 1,
      sym__constructor_name,
    STATE(6465), 1,
      sym__value_name,
    STATE(18157), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2469), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6378), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6316), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119904] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(489), 1,
      anon_sym_LPAREN,
    ACTIONS(491), 1,
      anon_sym_LBRACK,
    ACTIONS(495), 1,
      anon_sym_LBRACE,
    ACTIONS(497), 1,
      anon_sym_object,
    ACTIONS(501), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(511), 1,
      anon_sym_new,
    ACTIONS(513), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(515), 1,
      anon_sym_begin,
    ACTIONS(517), 1,
      sym_ocamlyacc_value,
    ACTIONS(523), 1,
      aux_sym_number_token1,
    ACTIONS(525), 1,
      anon_sym_SQUOTE,
    ACTIONS(527), 1,
      anon_sym_DQUOTE,
    ACTIONS(529), 1,
      sym_prefix_operator,
    ACTIONS(533), 1,
      sym__uppercase_identifier,
    ACTIONS(535), 1,
      aux_sym_tag_token1,
    ACTIONS(3087), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3089), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3227), 1,
      sym__lowercase_identifier,
    STATE(3298), 1,
      sym__simple_expression,
    STATE(3306), 1,
      sym__constructor_name,
    STATE(3402), 1,
      sym__value_name,
    STATE(3509), 1,
      sym_parenthesized_operator,
    STATE(4218), 1,
      sym_attribute,
    STATE(19985), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(493), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3313), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3293), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120022] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(489), 1,
      anon_sym_LPAREN,
    ACTIONS(491), 1,
      anon_sym_LBRACK,
    ACTIONS(495), 1,
      anon_sym_LBRACE,
    ACTIONS(497), 1,
      anon_sym_object,
    ACTIONS(501), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(511), 1,
      anon_sym_new,
    ACTIONS(513), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(515), 1,
      anon_sym_begin,
    ACTIONS(517), 1,
      sym_ocamlyacc_value,
    ACTIONS(523), 1,
      aux_sym_number_token1,
    ACTIONS(525), 1,
      anon_sym_SQUOTE,
    ACTIONS(527), 1,
      anon_sym_DQUOTE,
    ACTIONS(529), 1,
      sym_prefix_operator,
    ACTIONS(533), 1,
      sym__uppercase_identifier,
    ACTIONS(535), 1,
      aux_sym_tag_token1,
    ACTIONS(3087), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3089), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3227), 1,
      sym__lowercase_identifier,
    STATE(3306), 1,
      sym__constructor_name,
    STATE(3341), 1,
      sym__simple_expression,
    STATE(3402), 1,
      sym__value_name,
    STATE(3509), 1,
      sym_parenthesized_operator,
    STATE(4219), 1,
      sym_attribute,
    STATE(19985), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(493), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3313), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3293), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120140] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(869), 1,
      anon_sym_LPAREN,
    ACTIONS(871), 1,
      anon_sym_LBRACK,
    ACTIONS(875), 1,
      anon_sym_LBRACE,
    ACTIONS(877), 1,
      anon_sym_object,
    ACTIONS(881), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(891), 1,
      anon_sym_new,
    ACTIONS(893), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(895), 1,
      anon_sym_begin,
    ACTIONS(897), 1,
      sym_ocamlyacc_value,
    ACTIONS(903), 1,
      aux_sym_number_token1,
    ACTIONS(905), 1,
      anon_sym_SQUOTE,
    ACTIONS(907), 1,
      anon_sym_DQUOTE,
    ACTIONS(909), 1,
      sym_prefix_operator,
    ACTIONS(913), 1,
      sym__uppercase_identifier,
    ACTIONS(915), 1,
      aux_sym_tag_token1,
    ACTIONS(3091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3667), 1,
      sym__lowercase_identifier,
    STATE(3993), 1,
      sym_parenthesized_operator,
    STATE(4037), 1,
      sym__simple_expression,
    STATE(4044), 1,
      sym__value_name,
    STATE(4078), 1,
      sym__constructor_name,
    STATE(4220), 1,
      sym_attribute,
    STATE(18362), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(873), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4077), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4019), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120258] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(869), 1,
      anon_sym_LPAREN,
    ACTIONS(871), 1,
      anon_sym_LBRACK,
    ACTIONS(875), 1,
      anon_sym_LBRACE,
    ACTIONS(877), 1,
      anon_sym_object,
    ACTIONS(881), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(891), 1,
      anon_sym_new,
    ACTIONS(893), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(895), 1,
      anon_sym_begin,
    ACTIONS(897), 1,
      sym_ocamlyacc_value,
    ACTIONS(903), 1,
      aux_sym_number_token1,
    ACTIONS(905), 1,
      anon_sym_SQUOTE,
    ACTIONS(907), 1,
      anon_sym_DQUOTE,
    ACTIONS(909), 1,
      sym_prefix_operator,
    ACTIONS(913), 1,
      sym__uppercase_identifier,
    ACTIONS(915), 1,
      aux_sym_tag_token1,
    ACTIONS(3091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3667), 1,
      sym__lowercase_identifier,
    STATE(3993), 1,
      sym_parenthesized_operator,
    STATE(4044), 1,
      sym__value_name,
    STATE(4078), 1,
      sym__constructor_name,
    STATE(4121), 1,
      sym__simple_expression,
    STATE(4221), 1,
      sym_attribute,
    STATE(18362), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(873), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4077), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4019), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120586] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8390), 1,
      sym__lowercase_identifier,
    ACTIONS(8392), 1,
      anon_sym_LPAREN,
    ACTIONS(8394), 1,
      anon_sym_LBRACK,
    ACTIONS(8398), 1,
      anon_sym_LBRACE,
    ACTIONS(8400), 1,
      anon_sym_object,
    ACTIONS(8402), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8404), 1,
      anon_sym_new,
    ACTIONS(8406), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8408), 1,
      anon_sym_begin,
    ACTIONS(8410), 1,
      sym_ocamlyacc_value,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8416), 1,
      aux_sym_number_token1,
    ACTIONS(8418), 1,
      anon_sym_SQUOTE,
    ACTIONS(8420), 1,
      anon_sym_DQUOTE,
    ACTIONS(8422), 1,
      sym_prefix_operator,
    ACTIONS(8424), 1,
      sym__uppercase_identifier,
    ACTIONS(8426), 1,
      aux_sym_tag_token1,
    STATE(4225), 1,
      sym_attribute,
    STATE(7387), 1,
      sym__constructor_name,
    STATE(7570), 1,
      sym__value_name,
    STATE(7587), 1,
      sym__simple_expression,
    STATE(7590), 1,
      sym_parenthesized_operator,
    STATE(18239), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8396), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7525), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120704] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2721), 1,
      anon_sym_LPAREN,
    ACTIONS(2723), 1,
      anon_sym_LBRACK,
    ACTIONS(2727), 1,
      anon_sym_LBRACE,
    ACTIONS(2729), 1,
      anon_sym_object,
    ACTIONS(2733), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2743), 1,
      anon_sym_new,
    ACTIONS(2745), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2747), 1,
      anon_sym_begin,
    ACTIONS(2749), 1,
      sym_ocamlyacc_value,
    ACTIONS(2751), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2753), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2755), 1,
      aux_sym_number_token1,
    ACTIONS(2757), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_DQUOTE,
    ACTIONS(2761), 1,
      sym_prefix_operator,
    ACTIONS(2765), 1,
      sym__uppercase_identifier,
    ACTIONS(2767), 1,
      aux_sym_tag_token1,
    ACTIONS(5423), 1,
      sym__lowercase_identifier,
    STATE(4226), 1,
      sym_attribute,
    STATE(6903), 1,
      sym__simple_expression,
    STATE(6929), 1,
      sym_parenthesized_operator,
    STATE(6950), 1,
      sym__value_name,
    STATE(7141), 1,
      sym__constructor_name,
    STATE(19202), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2725), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7119), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6935), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120962] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(817), 1,
      anon_sym_LPAREN,
    ACTIONS(819), 1,
      anon_sym_LBRACK,
    ACTIONS(823), 1,
      anon_sym_LBRACE,
    ACTIONS(825), 1,
      anon_sym_object,
    ACTIONS(829), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(839), 1,
      anon_sym_new,
    ACTIONS(841), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(843), 1,
      anon_sym_begin,
    ACTIONS(845), 1,
      sym_ocamlyacc_value,
    ACTIONS(851), 1,
      aux_sym_number_token1,
    ACTIONS(853), 1,
      anon_sym_SQUOTE,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      sym_prefix_operator,
    ACTIONS(861), 1,
      sym__uppercase_identifier,
    ACTIONS(863), 1,
      aux_sym_tag_token1,
    ACTIONS(3113), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3115), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3751), 1,
      sym__lowercase_identifier,
    STATE(3945), 1,
      sym__value_name,
    STATE(3970), 1,
      sym__simple_expression,
    STATE(3988), 1,
      sym__constructor_name,
    STATE(4111), 1,
      sym_parenthesized_operator,
    STATE(4229), 1,
      sym_attribute,
    STATE(17533), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(821), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3985), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4049), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121220] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7609), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_LPAREN,
    ACTIONS(7615), 1,
      anon_sym_LBRACK,
    ACTIONS(7619), 1,
      anon_sym_LBRACE,
    ACTIONS(7621), 1,
      anon_sym_object,
    ACTIONS(7623), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7625), 1,
      anon_sym_new,
    ACTIONS(7627), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7629), 1,
      anon_sym_begin,
    ACTIONS(7631), 1,
      sym_ocamlyacc_value,
    ACTIONS(7633), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7635), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7637), 1,
      aux_sym_number_token1,
    ACTIONS(7639), 1,
      anon_sym_SQUOTE,
    ACTIONS(7641), 1,
      anon_sym_DQUOTE,
    ACTIONS(7643), 1,
      sym_prefix_operator,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    STATE(4232), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(9025), 1,
      sym__value_name,
    STATE(9086), 1,
      sym__simple_expression,
    STATE(9120), 1,
      sym_parenthesized_operator,
    STATE(17917), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7617), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9013), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9045), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121408] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8328), 1,
      sym__lowercase_identifier,
    ACTIONS(8330), 1,
      anon_sym_LPAREN,
    ACTIONS(8332), 1,
      anon_sym_LBRACK,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    ACTIONS(8338), 1,
      anon_sym_object,
    ACTIONS(8340), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8342), 1,
      anon_sym_new,
    ACTIONS(8344), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8346), 1,
      anon_sym_begin,
    ACTIONS(8348), 1,
      sym_ocamlyacc_value,
    ACTIONS(8350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8354), 1,
      aux_sym_number_token1,
    ACTIONS(8356), 1,
      anon_sym_SQUOTE,
    ACTIONS(8358), 1,
      anon_sym_DQUOTE,
    ACTIONS(8360), 1,
      sym_prefix_operator,
    ACTIONS(8362), 1,
      sym__uppercase_identifier,
    ACTIONS(8364), 1,
      aux_sym_tag_token1,
    STATE(4234), 1,
      sym_attribute,
    STATE(7169), 1,
      sym__constructor_name,
    STATE(7236), 1,
      sym__simple_expression,
    STATE(7292), 1,
      sym__value_name,
    STATE(7332), 1,
      sym_parenthesized_operator,
    STATE(18604), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7315), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7249), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121526] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7609), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_LPAREN,
    ACTIONS(7615), 1,
      anon_sym_LBRACK,
    ACTIONS(7619), 1,
      anon_sym_LBRACE,
    ACTIONS(7621), 1,
      anon_sym_object,
    ACTIONS(7623), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7625), 1,
      anon_sym_new,
    ACTIONS(7627), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7629), 1,
      anon_sym_begin,
    ACTIONS(7631), 1,
      sym_ocamlyacc_value,
    ACTIONS(7633), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7635), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7637), 1,
      aux_sym_number_token1,
    ACTIONS(7639), 1,
      anon_sym_SQUOTE,
    ACTIONS(7641), 1,
      anon_sym_DQUOTE,
    ACTIONS(7643), 1,
      sym_prefix_operator,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    STATE(4235), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(9025), 1,
      sym__value_name,
    STATE(9120), 1,
      sym_parenthesized_operator,
    STATE(9126), 1,
      sym__simple_expression,
    STATE(17917), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7617), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9013), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9045), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121714] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(1413), 1,
      anon_sym_LBRACE,
    ACTIONS(1415), 1,
      anon_sym_object,
    ACTIONS(1419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1429), 1,
      anon_sym_new,
    ACTIONS(1431), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1433), 1,
      anon_sym_begin,
    ACTIONS(1435), 1,
      sym_ocamlyacc_value,
    ACTIONS(1437), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1439), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1441), 1,
      aux_sym_number_token1,
    ACTIONS(1443), 1,
      anon_sym_SQUOTE,
    ACTIONS(1445), 1,
      anon_sym_DQUOTE,
    ACTIONS(1447), 1,
      sym_prefix_operator,
    ACTIONS(1451), 1,
      sym__uppercase_identifier,
    ACTIONS(1453), 1,
      aux_sym_tag_token1,
    ACTIONS(5233), 1,
      sym__lowercase_identifier,
    STATE(4237), 1,
      sym_attribute,
    STATE(5810), 1,
      sym__simple_expression,
    STATE(5828), 1,
      sym__value_name,
    STATE(5862), 1,
      sym_parenthesized_operator,
    STATE(6057), 1,
      sym__constructor_name,
    STATE(17464), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1411), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6056), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5914), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121972] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8474), 1,
      anon_sym_COLON,
    STATE(4240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8322), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [122044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122184] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2603), 1,
      anon_sym_LPAREN,
    ACTIONS(2605), 1,
      anon_sym_LBRACK,
    ACTIONS(2609), 1,
      anon_sym_LBRACE,
    ACTIONS(2611), 1,
      anon_sym_object,
    ACTIONS(2615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2625), 1,
      anon_sym_new,
    ACTIONS(2627), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2629), 1,
      anon_sym_begin,
    ACTIONS(2631), 1,
      sym_ocamlyacc_value,
    ACTIONS(2633), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2635), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2637), 1,
      aux_sym_number_token1,
    ACTIONS(2639), 1,
      anon_sym_SQUOTE,
    ACTIONS(2641), 1,
      anon_sym_DQUOTE,
    ACTIONS(2643), 1,
      sym_prefix_operator,
    ACTIONS(2647), 1,
      sym__uppercase_identifier,
    ACTIONS(2649), 1,
      aux_sym_tag_token1,
    ACTIONS(5443), 1,
      sym__lowercase_identifier,
    STATE(4243), 1,
      sym_attribute,
    STATE(6740), 1,
      sym_parenthesized_operator,
    STATE(6932), 1,
      sym__constructor_name,
    STATE(6943), 1,
      sym__value_name,
    STATE(7132), 1,
      sym__simple_expression,
    STATE(19947), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2607), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6947), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6676), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122302] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(489), 1,
      anon_sym_LPAREN,
    ACTIONS(491), 1,
      anon_sym_LBRACK,
    ACTIONS(495), 1,
      anon_sym_LBRACE,
    ACTIONS(497), 1,
      anon_sym_object,
    ACTIONS(501), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(511), 1,
      anon_sym_new,
    ACTIONS(513), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(515), 1,
      anon_sym_begin,
    ACTIONS(517), 1,
      sym_ocamlyacc_value,
    ACTIONS(523), 1,
      aux_sym_number_token1,
    ACTIONS(525), 1,
      anon_sym_SQUOTE,
    ACTIONS(527), 1,
      anon_sym_DQUOTE,
    ACTIONS(529), 1,
      sym_prefix_operator,
    ACTIONS(533), 1,
      sym__uppercase_identifier,
    ACTIONS(535), 1,
      aux_sym_tag_token1,
    ACTIONS(3087), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3089), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3227), 1,
      sym__lowercase_identifier,
    STATE(3306), 1,
      sym__constructor_name,
    STATE(3377), 1,
      sym__simple_expression,
    STATE(3402), 1,
      sym__value_name,
    STATE(3509), 1,
      sym_parenthesized_operator,
    STATE(4244), 1,
      sym_attribute,
    STATE(19985), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(493), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3313), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3293), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122490] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3937), 1,
      anon_sym_DOT,
    ACTIONS(3939), 1,
      anon_sym_POUND,
    ACTIONS(3941), 1,
      sym_hash_operator,
    STATE(4246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122566] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5545), 1,
      sym__lowercase_identifier,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5555), 1,
      anon_sym_LBRACK,
    ACTIONS(5559), 1,
      anon_sym_LBRACE,
    ACTIONS(5561), 1,
      anon_sym_object,
    ACTIONS(5563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5565), 1,
      anon_sym_new,
    ACTIONS(5567), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5569), 1,
      anon_sym_begin,
    ACTIONS(5571), 1,
      sym_ocamlyacc_value,
    ACTIONS(5577), 1,
      aux_sym_number_token1,
    ACTIONS(5579), 1,
      anon_sym_SQUOTE,
    ACTIONS(5581), 1,
      anon_sym_DQUOTE,
    ACTIONS(5583), 1,
      sym_prefix_operator,
    ACTIONS(5585), 1,
      sym__uppercase_identifier,
    ACTIONS(5587), 1,
      aux_sym_tag_token1,
    ACTIONS(8476), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8478), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4247), 1,
      sym_attribute,
    STATE(5826), 1,
      sym__constructor_name,
    STATE(5827), 1,
      sym_parenthesized_operator,
    STATE(6038), 1,
      sym__value_name,
    STATE(6042), 1,
      sym__simple_expression,
    STATE(17862), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5823), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5960), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122684] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_LBRACE,
    ACTIONS(1081), 1,
      anon_sym_object,
    ACTIONS(1085), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1095), 1,
      anon_sym_new,
    ACTIONS(1097), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1099), 1,
      anon_sym_begin,
    ACTIONS(1101), 1,
      sym_ocamlyacc_value,
    ACTIONS(1103), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1105), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1107), 1,
      aux_sym_number_token1,
    ACTIONS(1109), 1,
      anon_sym_SQUOTE,
    ACTIONS(1111), 1,
      anon_sym_DQUOTE,
    ACTIONS(1113), 1,
      sym_prefix_operator,
    ACTIONS(1117), 1,
      sym__uppercase_identifier,
    ACTIONS(1119), 1,
      aux_sym_tag_token1,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4248), 1,
      sym_attribute,
    STATE(5099), 1,
      sym__constructor_name,
    STATE(5115), 1,
      sym_parenthesized_operator,
    STATE(5167), 1,
      sym__simple_expression,
    STATE(5217), 1,
      sym__value_name,
    STATE(18719), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1077), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5139), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5111), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122802] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2669), 1,
      anon_sym_LPAREN,
    ACTIONS(2671), 1,
      anon_sym_LBRACK,
    ACTIONS(2675), 1,
      anon_sym_LBRACE,
    ACTIONS(2677), 1,
      anon_sym_object,
    ACTIONS(2681), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2695), 1,
      anon_sym_begin,
    ACTIONS(2697), 1,
      sym_ocamlyacc_value,
    ACTIONS(2699), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2701), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2703), 1,
      aux_sym_number_token1,
    ACTIONS(2705), 1,
      anon_sym_SQUOTE,
    ACTIONS(2707), 1,
      anon_sym_DQUOTE,
    ACTIONS(2709), 1,
      sym_prefix_operator,
    ACTIONS(2713), 1,
      sym__uppercase_identifier,
    ACTIONS(2715), 1,
      aux_sym_tag_token1,
    ACTIONS(5523), 1,
      sym__lowercase_identifier,
    STATE(4249), 1,
      sym_attribute,
    STATE(6705), 1,
      sym__simple_expression,
    STATE(6711), 1,
      sym__value_name,
    STATE(6951), 1,
      sym_parenthesized_operator,
    STATE(7136), 1,
      sym__constructor_name,
    STATE(19761), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2673), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6909), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6940), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122920] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2773), 1,
      anon_sym_LPAREN,
    ACTIONS(2775), 1,
      anon_sym_LBRACK,
    ACTIONS(2779), 1,
      anon_sym_LBRACE,
    ACTIONS(2781), 1,
      anon_sym_object,
    ACTIONS(2785), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2795), 1,
      anon_sym_new,
    ACTIONS(2797), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2799), 1,
      anon_sym_begin,
    ACTIONS(2801), 1,
      sym_ocamlyacc_value,
    ACTIONS(2803), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2805), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2807), 1,
      aux_sym_number_token1,
    ACTIONS(2809), 1,
      anon_sym_SQUOTE,
    ACTIONS(2811), 1,
      anon_sym_DQUOTE,
    ACTIONS(2813), 1,
      sym_prefix_operator,
    ACTIONS(2817), 1,
      sym__uppercase_identifier,
    ACTIONS(2819), 1,
      aux_sym_tag_token1,
    ACTIONS(5513), 1,
      sym__lowercase_identifier,
    STATE(4250), 1,
      sym_attribute,
    STATE(6852), 1,
      sym__simple_expression,
    STATE(6928), 1,
      sym__value_name,
    STATE(6946), 1,
      sym__constructor_name,
    STATE(7129), 1,
      sym_parenthesized_operator,
    STATE(18243), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2777), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6880), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6827), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123038] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(593), 1,
      anon_sym_LPAREN,
    ACTIONS(595), 1,
      anon_sym_LBRACK,
    ACTIONS(599), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_object,
    ACTIONS(605), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(615), 1,
      anon_sym_new,
    ACTIONS(617), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(619), 1,
      anon_sym_begin,
    ACTIONS(621), 1,
      sym_ocamlyacc_value,
    ACTIONS(627), 1,
      aux_sym_number_token1,
    ACTIONS(629), 1,
      anon_sym_SQUOTE,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      sym_prefix_operator,
    ACTIONS(637), 1,
      sym__uppercase_identifier,
    ACTIONS(639), 1,
      aux_sym_tag_token1,
    ACTIONS(3061), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3063), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3175), 1,
      sym__lowercase_identifier,
    STATE(3480), 1,
      sym__simple_expression,
    STATE(3513), 1,
      sym__value_name,
    STATE(3634), 1,
      sym_parenthesized_operator,
    STATE(3677), 1,
      sym__constructor_name,
    STATE(4251), 1,
      sym_attribute,
    STATE(18757), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(597), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3675), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3475), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123226] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1177), 1,
      anon_sym_LPAREN,
    ACTIONS(1179), 1,
      anon_sym_LBRACK,
    ACTIONS(1183), 1,
      anon_sym_LBRACE,
    ACTIONS(1185), 1,
      anon_sym_object,
    ACTIONS(1189), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1199), 1,
      anon_sym_new,
    ACTIONS(1201), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1203), 1,
      anon_sym_begin,
    ACTIONS(1205), 1,
      sym_ocamlyacc_value,
    ACTIONS(1207), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1209), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1211), 1,
      aux_sym_number_token1,
    ACTIONS(1213), 1,
      anon_sym_SQUOTE,
    ACTIONS(1215), 1,
      anon_sym_DQUOTE,
    ACTIONS(1217), 1,
      sym_prefix_operator,
    ACTIONS(1221), 1,
      sym__uppercase_identifier,
    ACTIONS(1223), 1,
      aux_sym_tag_token1,
    ACTIONS(4653), 1,
      sym__lowercase_identifier,
    STATE(4253), 1,
      sym_attribute,
    STATE(5283), 1,
      sym__constructor_name,
    STATE(5310), 1,
      sym__value_name,
    STATE(5341), 1,
      sym__simple_expression,
    STATE(5354), 1,
      sym_parenthesized_operator,
    STATE(17807), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1181), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5315), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123344] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2361), 1,
      anon_sym_LPAREN,
    ACTIONS(2363), 1,
      anon_sym_LBRACK,
    ACTIONS(2367), 1,
      anon_sym_LBRACE,
    ACTIONS(2369), 1,
      anon_sym_object,
    ACTIONS(2373), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2383), 1,
      anon_sym_new,
    ACTIONS(2385), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2387), 1,
      anon_sym_begin,
    ACTIONS(2389), 1,
      sym_ocamlyacc_value,
    ACTIONS(2391), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2393), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2395), 1,
      aux_sym_number_token1,
    ACTIONS(2397), 1,
      anon_sym_SQUOTE,
    ACTIONS(2399), 1,
      anon_sym_DQUOTE,
    ACTIONS(2401), 1,
      sym_prefix_operator,
    ACTIONS(2405), 1,
      sym__uppercase_identifier,
    ACTIONS(2407), 1,
      aux_sym_tag_token1,
    ACTIONS(5263), 1,
      sym__lowercase_identifier,
    STATE(4254), 1,
      sym_attribute,
    STATE(6110), 1,
      sym__value_name,
    STATE(6251), 1,
      sym__simple_expression,
    STATE(6519), 1,
      sym_parenthesized_operator,
    STATE(6564), 1,
      sym__constructor_name,
    STATE(18027), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2365), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6537), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6572), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8098), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [123532] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8480), 1,
      anon_sym_COLON,
    STATE(4256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8322), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [123604] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(593), 1,
      anon_sym_LPAREN,
    ACTIONS(595), 1,
      anon_sym_LBRACK,
    ACTIONS(599), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_object,
    ACTIONS(605), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(615), 1,
      anon_sym_new,
    ACTIONS(617), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(619), 1,
      anon_sym_begin,
    ACTIONS(621), 1,
      sym_ocamlyacc_value,
    ACTIONS(627), 1,
      aux_sym_number_token1,
    ACTIONS(629), 1,
      anon_sym_SQUOTE,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      sym_prefix_operator,
    ACTIONS(637), 1,
      sym__uppercase_identifier,
    ACTIONS(639), 1,
      aux_sym_tag_token1,
    ACTIONS(3061), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3063), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3175), 1,
      sym__lowercase_identifier,
    STATE(3489), 1,
      sym__simple_expression,
    STATE(3513), 1,
      sym__value_name,
    STATE(3634), 1,
      sym_parenthesized_operator,
    STATE(3677), 1,
      sym__constructor_name,
    STATE(4257), 1,
      sym_attribute,
    STATE(18757), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(597), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3675), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3475), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123932] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2721), 1,
      anon_sym_LPAREN,
    ACTIONS(2723), 1,
      anon_sym_LBRACK,
    ACTIONS(2727), 1,
      anon_sym_LBRACE,
    ACTIONS(2729), 1,
      anon_sym_object,
    ACTIONS(2733), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2743), 1,
      anon_sym_new,
    ACTIONS(2745), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2747), 1,
      anon_sym_begin,
    ACTIONS(2749), 1,
      sym_ocamlyacc_value,
    ACTIONS(2751), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2753), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2755), 1,
      aux_sym_number_token1,
    ACTIONS(2757), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_DQUOTE,
    ACTIONS(2761), 1,
      sym_prefix_operator,
    ACTIONS(2765), 1,
      sym__uppercase_identifier,
    ACTIONS(2767), 1,
      aux_sym_tag_token1,
    ACTIONS(5423), 1,
      sym__lowercase_identifier,
    STATE(4261), 1,
      sym_attribute,
    STATE(6641), 1,
      sym__simple_expression,
    STATE(6929), 1,
      sym_parenthesized_operator,
    STATE(6950), 1,
      sym__value_name,
    STATE(7141), 1,
      sym__constructor_name,
    STATE(19202), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2725), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7119), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6935), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124050] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2669), 1,
      anon_sym_LPAREN,
    ACTIONS(2671), 1,
      anon_sym_LBRACK,
    ACTIONS(2675), 1,
      anon_sym_LBRACE,
    ACTIONS(2677), 1,
      anon_sym_object,
    ACTIONS(2681), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2695), 1,
      anon_sym_begin,
    ACTIONS(2697), 1,
      sym_ocamlyacc_value,
    ACTIONS(2699), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2701), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2703), 1,
      aux_sym_number_token1,
    ACTIONS(2705), 1,
      anon_sym_SQUOTE,
    ACTIONS(2707), 1,
      anon_sym_DQUOTE,
    ACTIONS(2709), 1,
      sym_prefix_operator,
    ACTIONS(2713), 1,
      sym__uppercase_identifier,
    ACTIONS(2715), 1,
      aux_sym_tag_token1,
    ACTIONS(5523), 1,
      sym__lowercase_identifier,
    STATE(4262), 1,
      sym_attribute,
    STATE(6711), 1,
      sym__value_name,
    STATE(6951), 1,
      sym_parenthesized_operator,
    STATE(7117), 1,
      sym__simple_expression,
    STATE(7136), 1,
      sym__constructor_name,
    STATE(19761), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2673), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6909), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6940), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124168] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6317), 1,
      sym__lowercase_identifier,
    ACTIONS(6321), 1,
      anon_sym_LPAREN,
    ACTIONS(6323), 1,
      anon_sym_LBRACK,
    ACTIONS(6327), 1,
      anon_sym_LBRACE,
    ACTIONS(6329), 1,
      anon_sym_object,
    ACTIONS(6331), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6333), 1,
      anon_sym_new,
    ACTIONS(6335), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6337), 1,
      anon_sym_begin,
    ACTIONS(6339), 1,
      sym_ocamlyacc_value,
    ACTIONS(6345), 1,
      aux_sym_number_token1,
    ACTIONS(6347), 1,
      anon_sym_SQUOTE,
    ACTIONS(6349), 1,
      anon_sym_DQUOTE,
    ACTIONS(6351), 1,
      sym_prefix_operator,
    ACTIONS(6353), 1,
      sym__uppercase_identifier,
    ACTIONS(6355), 1,
      aux_sym_tag_token1,
    ACTIONS(8482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4263), 1,
      sym_attribute,
    STATE(6801), 1,
      sym_parenthesized_operator,
    STATE(6976), 1,
      sym__value_name,
    STATE(6977), 1,
      sym__constructor_name,
    STATE(6978), 1,
      sym__simple_expression,
    STATE(18280), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6325), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6970), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6887), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124286] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1125), 1,
      anon_sym_LPAREN,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1131), 1,
      anon_sym_LBRACE,
    ACTIONS(1133), 1,
      anon_sym_object,
    ACTIONS(1137), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1147), 1,
      anon_sym_new,
    ACTIONS(1149), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1151), 1,
      anon_sym_begin,
    ACTIONS(1153), 1,
      sym_ocamlyacc_value,
    ACTIONS(1155), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1157), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1159), 1,
      aux_sym_number_token1,
    ACTIONS(1161), 1,
      anon_sym_SQUOTE,
    ACTIONS(1163), 1,
      anon_sym_DQUOTE,
    ACTIONS(1165), 1,
      sym_prefix_operator,
    ACTIONS(1169), 1,
      sym__uppercase_identifier,
    ACTIONS(1171), 1,
      aux_sym_tag_token1,
    ACTIONS(4563), 1,
      sym__lowercase_identifier,
    STATE(4264), 1,
      sym_attribute,
    STATE(5029), 1,
      sym__constructor_name,
    STATE(5082), 1,
      sym__value_name,
    STATE(5095), 1,
      sym_parenthesized_operator,
    STATE(5098), 1,
      sym__simple_expression,
    STATE(17752), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1129), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5018), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5016), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124474] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1177), 1,
      anon_sym_LPAREN,
    ACTIONS(1179), 1,
      anon_sym_LBRACK,
    ACTIONS(1183), 1,
      anon_sym_LBRACE,
    ACTIONS(1185), 1,
      anon_sym_object,
    ACTIONS(1189), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1199), 1,
      anon_sym_new,
    ACTIONS(1201), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1203), 1,
      anon_sym_begin,
    ACTIONS(1205), 1,
      sym_ocamlyacc_value,
    ACTIONS(1207), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1209), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1211), 1,
      aux_sym_number_token1,
    ACTIONS(1213), 1,
      anon_sym_SQUOTE,
    ACTIONS(1215), 1,
      anon_sym_DQUOTE,
    ACTIONS(1217), 1,
      sym_prefix_operator,
    ACTIONS(1221), 1,
      sym__uppercase_identifier,
    ACTIONS(1223), 1,
      aux_sym_tag_token1,
    ACTIONS(4653), 1,
      sym__lowercase_identifier,
    STATE(4266), 1,
      sym_attribute,
    STATE(5283), 1,
      sym__constructor_name,
    STATE(5310), 1,
      sym__value_name,
    STATE(5337), 1,
      sym__simple_expression,
    STATE(5354), 1,
      sym_parenthesized_operator,
    STATE(17807), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1181), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5315), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124592] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2465), 1,
      anon_sym_LPAREN,
    ACTIONS(2467), 1,
      anon_sym_LBRACK,
    ACTIONS(2471), 1,
      anon_sym_LBRACE,
    ACTIONS(2473), 1,
      anon_sym_object,
    ACTIONS(2477), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2487), 1,
      anon_sym_new,
    ACTIONS(2489), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2491), 1,
      anon_sym_begin,
    ACTIONS(2493), 1,
      sym_ocamlyacc_value,
    ACTIONS(2495), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2497), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2499), 1,
      aux_sym_number_token1,
    ACTIONS(2501), 1,
      anon_sym_SQUOTE,
    ACTIONS(2503), 1,
      anon_sym_DQUOTE,
    ACTIONS(2505), 1,
      sym_prefix_operator,
    ACTIONS(2509), 1,
      sym__uppercase_identifier,
    ACTIONS(2511), 1,
      aux_sym_tag_token1,
    ACTIONS(5283), 1,
      sym__lowercase_identifier,
    STATE(4267), 1,
      sym_attribute,
    STATE(6208), 1,
      sym_parenthesized_operator,
    STATE(6366), 1,
      sym__simple_expression,
    STATE(6382), 1,
      sym__constructor_name,
    STATE(6465), 1,
      sym__value_name,
    STATE(18157), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2469), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6378), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6316), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124710] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2465), 1,
      anon_sym_LPAREN,
    ACTIONS(2467), 1,
      anon_sym_LBRACK,
    ACTIONS(2471), 1,
      anon_sym_LBRACE,
    ACTIONS(2473), 1,
      anon_sym_object,
    ACTIONS(2477), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2487), 1,
      anon_sym_new,
    ACTIONS(2489), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2491), 1,
      anon_sym_begin,
    ACTIONS(2493), 1,
      sym_ocamlyacc_value,
    ACTIONS(2495), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2497), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2499), 1,
      aux_sym_number_token1,
    ACTIONS(2501), 1,
      anon_sym_SQUOTE,
    ACTIONS(2503), 1,
      anon_sym_DQUOTE,
    ACTIONS(2505), 1,
      sym_prefix_operator,
    ACTIONS(2509), 1,
      sym__uppercase_identifier,
    ACTIONS(2511), 1,
      aux_sym_tag_token1,
    ACTIONS(5283), 1,
      sym__lowercase_identifier,
    STATE(4268), 1,
      sym_attribute,
    STATE(6208), 1,
      sym_parenthesized_operator,
    STATE(6382), 1,
      sym__constructor_name,
    STATE(6388), 1,
      sym__simple_expression,
    STATE(6465), 1,
      sym__value_name,
    STATE(18157), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2469), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6378), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6316), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124828] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(869), 1,
      anon_sym_LPAREN,
    ACTIONS(871), 1,
      anon_sym_LBRACK,
    ACTIONS(875), 1,
      anon_sym_LBRACE,
    ACTIONS(877), 1,
      anon_sym_object,
    ACTIONS(881), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(891), 1,
      anon_sym_new,
    ACTIONS(893), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(895), 1,
      anon_sym_begin,
    ACTIONS(897), 1,
      sym_ocamlyacc_value,
    ACTIONS(903), 1,
      aux_sym_number_token1,
    ACTIONS(905), 1,
      anon_sym_SQUOTE,
    ACTIONS(907), 1,
      anon_sym_DQUOTE,
    ACTIONS(909), 1,
      sym_prefix_operator,
    ACTIONS(913), 1,
      sym__uppercase_identifier,
    ACTIONS(915), 1,
      aux_sym_tag_token1,
    ACTIONS(3091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3667), 1,
      sym__lowercase_identifier,
    STATE(3993), 1,
      sym_parenthesized_operator,
    STATE(4044), 1,
      sym__value_name,
    STATE(4078), 1,
      sym__constructor_name,
    STATE(4116), 1,
      sym__simple_expression,
    STATE(4269), 1,
      sym_attribute,
    STATE(18362), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(873), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4077), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4019), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124946] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(761), 1,
      anon_sym_LBRACK,
    ACTIONS(765), 1,
      anon_sym_LBRACE,
    ACTIONS(767), 1,
      anon_sym_object,
    ACTIONS(771), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(781), 1,
      anon_sym_new,
    ACTIONS(783), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(785), 1,
      anon_sym_begin,
    ACTIONS(787), 1,
      sym_ocamlyacc_value,
    ACTIONS(793), 1,
      aux_sym_number_token1,
    ACTIONS(795), 1,
      anon_sym_SQUOTE,
    ACTIONS(797), 1,
      anon_sym_DQUOTE,
    ACTIONS(799), 1,
      sym_prefix_operator,
    ACTIONS(803), 1,
      sym__uppercase_identifier,
    ACTIONS(805), 1,
      aux_sym_tag_token1,
    ACTIONS(3049), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3051), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3261), 1,
      sym__lowercase_identifier,
    STATE(3762), 1,
      sym__simple_expression,
    STATE(3800), 1,
      sym__value_name,
    STATE(3826), 1,
      sym_parenthesized_operator,
    STATE(3907), 1,
      sym__constructor_name,
    STATE(4270), 1,
      sym_attribute,
    STATE(18564), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(763), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3906), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3755), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125064] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6317), 1,
      sym__lowercase_identifier,
    ACTIONS(6321), 1,
      anon_sym_LPAREN,
    ACTIONS(6323), 1,
      anon_sym_LBRACK,
    ACTIONS(6327), 1,
      anon_sym_LBRACE,
    ACTIONS(6329), 1,
      anon_sym_object,
    ACTIONS(6331), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6333), 1,
      anon_sym_new,
    ACTIONS(6335), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6337), 1,
      anon_sym_begin,
    ACTIONS(6339), 1,
      sym_ocamlyacc_value,
    ACTIONS(6345), 1,
      aux_sym_number_token1,
    ACTIONS(6347), 1,
      anon_sym_SQUOTE,
    ACTIONS(6349), 1,
      anon_sym_DQUOTE,
    ACTIONS(6351), 1,
      sym_prefix_operator,
    ACTIONS(6353), 1,
      sym__uppercase_identifier,
    ACTIONS(6355), 1,
      aux_sym_tag_token1,
    ACTIONS(8482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4271), 1,
      sym_attribute,
    STATE(6801), 1,
      sym_parenthesized_operator,
    STATE(6807), 1,
      sym__simple_expression,
    STATE(6976), 1,
      sym__value_name,
    STATE(6977), 1,
      sym__constructor_name,
    STATE(18280), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6325), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6970), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6887), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125182] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1125), 1,
      anon_sym_LPAREN,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1131), 1,
      anon_sym_LBRACE,
    ACTIONS(1133), 1,
      anon_sym_object,
    ACTIONS(1137), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1147), 1,
      anon_sym_new,
    ACTIONS(1149), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1151), 1,
      anon_sym_begin,
    ACTIONS(1153), 1,
      sym_ocamlyacc_value,
    ACTIONS(1155), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1157), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1159), 1,
      aux_sym_number_token1,
    ACTIONS(1161), 1,
      anon_sym_SQUOTE,
    ACTIONS(1163), 1,
      anon_sym_DQUOTE,
    ACTIONS(1165), 1,
      sym_prefix_operator,
    ACTIONS(1169), 1,
      sym__uppercase_identifier,
    ACTIONS(1171), 1,
      aux_sym_tag_token1,
    ACTIONS(4563), 1,
      sym__lowercase_identifier,
    STATE(4272), 1,
      sym_attribute,
    STATE(5029), 1,
      sym__constructor_name,
    STATE(5048), 1,
      sym__simple_expression,
    STATE(5082), 1,
      sym__value_name,
    STATE(5095), 1,
      sym_parenthesized_operator,
    STATE(17752), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1129), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5018), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5016), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125440] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(8366), 1,
      sym__lowercase_identifier,
    STATE(4275), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(14894), 1,
      sym__simple_expression,
    STATE(18984), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125558] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1177), 1,
      anon_sym_LPAREN,
    ACTIONS(1179), 1,
      anon_sym_LBRACK,
    ACTIONS(1183), 1,
      anon_sym_LBRACE,
    ACTIONS(1185), 1,
      anon_sym_object,
    ACTIONS(1189), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1199), 1,
      anon_sym_new,
    ACTIONS(1201), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1203), 1,
      anon_sym_begin,
    ACTIONS(1205), 1,
      sym_ocamlyacc_value,
    ACTIONS(1207), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1209), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1211), 1,
      aux_sym_number_token1,
    ACTIONS(1213), 1,
      anon_sym_SQUOTE,
    ACTIONS(1215), 1,
      anon_sym_DQUOTE,
    ACTIONS(1217), 1,
      sym_prefix_operator,
    ACTIONS(1221), 1,
      sym__uppercase_identifier,
    ACTIONS(1223), 1,
      aux_sym_tag_token1,
    ACTIONS(4653), 1,
      sym__lowercase_identifier,
    STATE(4276), 1,
      sym_attribute,
    STATE(5283), 1,
      sym__constructor_name,
    STATE(5310), 1,
      sym__value_name,
    STATE(5354), 1,
      sym_parenthesized_operator,
    STATE(5371), 1,
      sym__simple_expression,
    STATE(17807), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1181), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5307), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5315), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125746] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(761), 1,
      anon_sym_LBRACK,
    ACTIONS(765), 1,
      anon_sym_LBRACE,
    ACTIONS(767), 1,
      anon_sym_object,
    ACTIONS(771), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(781), 1,
      anon_sym_new,
    ACTIONS(783), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(785), 1,
      anon_sym_begin,
    ACTIONS(787), 1,
      sym_ocamlyacc_value,
    ACTIONS(793), 1,
      aux_sym_number_token1,
    ACTIONS(795), 1,
      anon_sym_SQUOTE,
    ACTIONS(797), 1,
      anon_sym_DQUOTE,
    ACTIONS(799), 1,
      sym_prefix_operator,
    ACTIONS(803), 1,
      sym__uppercase_identifier,
    ACTIONS(805), 1,
      aux_sym_tag_token1,
    ACTIONS(3049), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3051), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3261), 1,
      sym__lowercase_identifier,
    STATE(3772), 1,
      sym__simple_expression,
    STATE(3800), 1,
      sym__value_name,
    STATE(3826), 1,
      sym_parenthesized_operator,
    STATE(3907), 1,
      sym__constructor_name,
    STATE(4278), 1,
      sym_attribute,
    STATE(18564), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(763), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3906), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3755), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126424] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8328), 1,
      sym__lowercase_identifier,
    ACTIONS(8330), 1,
      anon_sym_LPAREN,
    ACTIONS(8332), 1,
      anon_sym_LBRACK,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    ACTIONS(8338), 1,
      anon_sym_object,
    ACTIONS(8340), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8342), 1,
      anon_sym_new,
    ACTIONS(8344), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8346), 1,
      anon_sym_begin,
    ACTIONS(8348), 1,
      sym_ocamlyacc_value,
    ACTIONS(8350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8354), 1,
      aux_sym_number_token1,
    ACTIONS(8356), 1,
      anon_sym_SQUOTE,
    ACTIONS(8358), 1,
      anon_sym_DQUOTE,
    ACTIONS(8360), 1,
      sym_prefix_operator,
    ACTIONS(8362), 1,
      sym__uppercase_identifier,
    ACTIONS(8364), 1,
      aux_sym_tag_token1,
    STATE(4287), 1,
      sym_attribute,
    STATE(7169), 1,
      sym__constructor_name,
    STATE(7263), 1,
      sym__simple_expression,
    STATE(7292), 1,
      sym__value_name,
    STATE(7332), 1,
      sym_parenthesized_operator,
    STATE(18604), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7315), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7249), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126682] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2721), 1,
      anon_sym_LPAREN,
    ACTIONS(2723), 1,
      anon_sym_LBRACK,
    ACTIONS(2727), 1,
      anon_sym_LBRACE,
    ACTIONS(2729), 1,
      anon_sym_object,
    ACTIONS(2733), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2743), 1,
      anon_sym_new,
    ACTIONS(2745), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2747), 1,
      anon_sym_begin,
    ACTIONS(2749), 1,
      sym_ocamlyacc_value,
    ACTIONS(2751), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2753), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2755), 1,
      aux_sym_number_token1,
    ACTIONS(2757), 1,
      anon_sym_SQUOTE,
    ACTIONS(2759), 1,
      anon_sym_DQUOTE,
    ACTIONS(2761), 1,
      sym_prefix_operator,
    ACTIONS(2765), 1,
      sym__uppercase_identifier,
    ACTIONS(2767), 1,
      aux_sym_tag_token1,
    ACTIONS(5423), 1,
      sym__lowercase_identifier,
    STATE(4290), 1,
      sym_attribute,
    STATE(6929), 1,
      sym_parenthesized_operator,
    STATE(6950), 1,
      sym__value_name,
    STATE(7141), 1,
      sym__constructor_name,
    STATE(7143), 1,
      sym__simple_expression,
    STATE(19202), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2725), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7119), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6935), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126940] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7609), 1,
      sym__lowercase_identifier,
    ACTIONS(7613), 1,
      anon_sym_LPAREN,
    ACTIONS(7615), 1,
      anon_sym_LBRACK,
    ACTIONS(7619), 1,
      anon_sym_LBRACE,
    ACTIONS(7621), 1,
      anon_sym_object,
    ACTIONS(7623), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7625), 1,
      anon_sym_new,
    ACTIONS(7627), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7629), 1,
      anon_sym_begin,
    ACTIONS(7631), 1,
      sym_ocamlyacc_value,
    ACTIONS(7633), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7635), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7637), 1,
      aux_sym_number_token1,
    ACTIONS(7639), 1,
      anon_sym_SQUOTE,
    ACTIONS(7641), 1,
      anon_sym_DQUOTE,
    ACTIONS(7643), 1,
      sym_prefix_operator,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    STATE(4293), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(9025), 1,
      sym__value_name,
    STATE(9098), 1,
      sym__simple_expression,
    STATE(9120), 1,
      sym_parenthesized_operator,
    STATE(17917), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7617), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9013), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9045), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127058] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6847), 1,
      sym__lowercase_identifier,
    ACTIONS(6851), 1,
      anon_sym_LPAREN,
    ACTIONS(6853), 1,
      anon_sym_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(6859), 1,
      anon_sym_object,
    ACTIONS(6861), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6863), 1,
      anon_sym_new,
    ACTIONS(6865), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6867), 1,
      anon_sym_begin,
    ACTIONS(6869), 1,
      sym_ocamlyacc_value,
    ACTIONS(6875), 1,
      aux_sym_number_token1,
    ACTIONS(6877), 1,
      anon_sym_SQUOTE,
    ACTIONS(6879), 1,
      anon_sym_DQUOTE,
    ACTIONS(6881), 1,
      sym_prefix_operator,
    ACTIONS(6883), 1,
      sym__uppercase_identifier,
    ACTIONS(6885), 1,
      aux_sym_tag_token1,
    ACTIONS(8466), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8468), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4294), 1,
      sym_attribute,
    STATE(7660), 1,
      sym__constructor_name,
    STATE(7803), 1,
      sym__simple_expression,
    STATE(7874), 1,
      sym__value_name,
    STATE(7875), 1,
      sym_parenthesized_operator,
    STATE(17467), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6855), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7659), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7789), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127246] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6847), 1,
      sym__lowercase_identifier,
    ACTIONS(6851), 1,
      anon_sym_LPAREN,
    ACTIONS(6853), 1,
      anon_sym_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(6859), 1,
      anon_sym_object,
    ACTIONS(6861), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6863), 1,
      anon_sym_new,
    ACTIONS(6865), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6867), 1,
      anon_sym_begin,
    ACTIONS(6869), 1,
      sym_ocamlyacc_value,
    ACTIONS(6875), 1,
      aux_sym_number_token1,
    ACTIONS(6877), 1,
      anon_sym_SQUOTE,
    ACTIONS(6879), 1,
      anon_sym_DQUOTE,
    ACTIONS(6881), 1,
      sym_prefix_operator,
    ACTIONS(6883), 1,
      sym__uppercase_identifier,
    ACTIONS(6885), 1,
      aux_sym_tag_token1,
    ACTIONS(8466), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8468), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4296), 1,
      sym_attribute,
    STATE(7660), 1,
      sym__constructor_name,
    STATE(7829), 1,
      sym__simple_expression,
    STATE(7874), 1,
      sym__value_name,
    STATE(7875), 1,
      sym_parenthesized_operator,
    STATE(17467), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6855), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7659), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7789), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127434] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    ACTIONS(1699), 1,
      anon_sym_LBRACK,
    ACTIONS(1703), 1,
      anon_sym_LBRACE,
    ACTIONS(1705), 1,
      anon_sym_object,
    ACTIONS(1709), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1719), 1,
      anon_sym_new,
    ACTIONS(1721), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1723), 1,
      anon_sym_begin,
    ACTIONS(1725), 1,
      sym_ocamlyacc_value,
    ACTIONS(1727), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1729), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1731), 1,
      aux_sym_number_token1,
    ACTIONS(1733), 1,
      anon_sym_SQUOTE,
    ACTIONS(1735), 1,
      anon_sym_DQUOTE,
    ACTIONS(1737), 1,
      sym_prefix_operator,
    ACTIONS(1741), 1,
      sym__uppercase_identifier,
    ACTIONS(1743), 1,
      aux_sym_tag_token1,
    ACTIONS(5359), 1,
      sym__lowercase_identifier,
    STATE(4298), 1,
      sym_attribute,
    STATE(6365), 1,
      sym__value_name,
    STATE(6439), 1,
      sym__simple_expression,
    STATE(6518), 1,
      sym_parenthesized_operator,
    STATE(6520), 1,
      sym__constructor_name,
    STATE(17642), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1701), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6185), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127692] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5545), 1,
      sym__lowercase_identifier,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5555), 1,
      anon_sym_LBRACK,
    ACTIONS(5559), 1,
      anon_sym_LBRACE,
    ACTIONS(5561), 1,
      anon_sym_object,
    ACTIONS(5563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5565), 1,
      anon_sym_new,
    ACTIONS(5567), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5569), 1,
      anon_sym_begin,
    ACTIONS(5571), 1,
      sym_ocamlyacc_value,
    ACTIONS(5577), 1,
      aux_sym_number_token1,
    ACTIONS(5579), 1,
      anon_sym_SQUOTE,
    ACTIONS(5581), 1,
      anon_sym_DQUOTE,
    ACTIONS(5583), 1,
      sym_prefix_operator,
    ACTIONS(5585), 1,
      sym__uppercase_identifier,
    ACTIONS(5587), 1,
      aux_sym_tag_token1,
    ACTIONS(8476), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8478), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4301), 1,
      sym_attribute,
    STATE(5826), 1,
      sym__constructor_name,
    STATE(5827), 1,
      sym_parenthesized_operator,
    STATE(5976), 1,
      sym__simple_expression,
    STATE(6038), 1,
      sym__value_name,
    STATE(17862), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5823), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5960), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127810] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(4302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128092] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5545), 1,
      sym__lowercase_identifier,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5555), 1,
      anon_sym_LBRACK,
    ACTIONS(5559), 1,
      anon_sym_LBRACE,
    ACTIONS(5561), 1,
      anon_sym_object,
    ACTIONS(5563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5565), 1,
      anon_sym_new,
    ACTIONS(5567), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5569), 1,
      anon_sym_begin,
    ACTIONS(5571), 1,
      sym_ocamlyacc_value,
    ACTIONS(5577), 1,
      aux_sym_number_token1,
    ACTIONS(5579), 1,
      anon_sym_SQUOTE,
    ACTIONS(5581), 1,
      anon_sym_DQUOTE,
    ACTIONS(5583), 1,
      sym_prefix_operator,
    ACTIONS(5585), 1,
      sym__uppercase_identifier,
    ACTIONS(5587), 1,
      aux_sym_tag_token1,
    ACTIONS(8476), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8478), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4306), 1,
      sym_attribute,
    STATE(5826), 1,
      sym__constructor_name,
    STATE(5827), 1,
      sym_parenthesized_operator,
    STATE(5995), 1,
      sym__simple_expression,
    STATE(6038), 1,
      sym__value_name,
    STATE(17862), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5823), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5960), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128210] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3927), 1,
      anon_sym_DOT,
    ACTIONS(3929), 1,
      anon_sym_POUND,
    ACTIONS(3931), 1,
      sym_hash_operator,
    STATE(4307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129266] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1007), 1,
      anon_sym_LPAREN,
    ACTIONS(1009), 1,
      anon_sym_LBRACK,
    ACTIONS(1013), 1,
      anon_sym_LBRACE,
    ACTIONS(1015), 1,
      anon_sym_object,
    ACTIONS(1019), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1029), 1,
      anon_sym_new,
    ACTIONS(1031), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1033), 1,
      anon_sym_begin,
    ACTIONS(1035), 1,
      sym_ocamlyacc_value,
    ACTIONS(1041), 1,
      aux_sym_number_token1,
    ACTIONS(1043), 1,
      anon_sym_SQUOTE,
    ACTIONS(1045), 1,
      anon_sym_DQUOTE,
    ACTIONS(1047), 1,
      sym_prefix_operator,
    ACTIONS(1051), 1,
      sym__uppercase_identifier,
    ACTIONS(1053), 1,
      aux_sym_tag_token1,
    ACTIONS(3079), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3081), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4553), 1,
      sym__lowercase_identifier,
    STATE(4322), 1,
      sym_attribute,
    STATE(4864), 1,
      sym__constructor_name,
    STATE(4882), 1,
      sym__value_name,
    STATE(4906), 1,
      sym_parenthesized_operator,
    STATE(4937), 1,
      sym__simple_expression,
    STATE(19601), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1011), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4891), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4887), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129384] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(8366), 1,
      sym__lowercase_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN,
    ACTIONS(8372), 1,
      anon_sym_LBRACE,
    ACTIONS(8374), 1,
      anon_sym_begin,
    ACTIONS(8376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8380), 1,
      aux_sym_number_token1,
    ACTIONS(8382), 1,
      anon_sym_SQUOTE,
    ACTIONS(8384), 1,
      anon_sym_DQUOTE,
    ACTIONS(8386), 1,
      sym_prefix_operator,
    ACTIONS(8388), 1,
      aux_sym_tag_token1,
    STATE(4323), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(7299), 1,
      sym__simple_expression,
    STATE(17759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8370), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7452), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129502] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1007), 1,
      anon_sym_LPAREN,
    ACTIONS(1009), 1,
      anon_sym_LBRACK,
    ACTIONS(1013), 1,
      anon_sym_LBRACE,
    ACTIONS(1015), 1,
      anon_sym_object,
    ACTIONS(1019), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1029), 1,
      anon_sym_new,
    ACTIONS(1031), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1033), 1,
      anon_sym_begin,
    ACTIONS(1035), 1,
      sym_ocamlyacc_value,
    ACTIONS(1041), 1,
      aux_sym_number_token1,
    ACTIONS(1043), 1,
      anon_sym_SQUOTE,
    ACTIONS(1045), 1,
      anon_sym_DQUOTE,
    ACTIONS(1047), 1,
      sym_prefix_operator,
    ACTIONS(1051), 1,
      sym__uppercase_identifier,
    ACTIONS(1053), 1,
      aux_sym_tag_token1,
    ACTIONS(3079), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3081), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4553), 1,
      sym__lowercase_identifier,
    STATE(4324), 1,
      sym_attribute,
    STATE(4864), 1,
      sym__constructor_name,
    STATE(4882), 1,
      sym__value_name,
    STATE(4883), 1,
      sym__simple_expression,
    STATE(4906), 1,
      sym_parenthesized_operator,
    STATE(19601), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1011), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4891), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4887), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129760] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4327), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5128), 1,
      sym__simple_expression,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129948] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3937), 1,
      anon_sym_DOT,
    STATE(4329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130230] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(705), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(711), 1,
      anon_sym_LBRACE,
    ACTIONS(713), 1,
      anon_sym_object,
    ACTIONS(717), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(727), 1,
      anon_sym_new,
    ACTIONS(729), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(731), 1,
      anon_sym_begin,
    ACTIONS(733), 1,
      sym_ocamlyacc_value,
    ACTIONS(739), 1,
      aux_sym_number_token1,
    ACTIONS(741), 1,
      anon_sym_SQUOTE,
    ACTIONS(743), 1,
      anon_sym_DQUOTE,
    ACTIONS(745), 1,
      sym_prefix_operator,
    ACTIONS(749), 1,
      sym__uppercase_identifier,
    ACTIONS(751), 1,
      aux_sym_tag_token1,
    ACTIONS(3109), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3111), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3251), 1,
      sym__lowercase_identifier,
    STATE(3741), 1,
      sym_parenthesized_operator,
    STATE(3836), 1,
      sym__constructor_name,
    STATE(3890), 1,
      sym__value_name,
    STATE(3894), 1,
      sym__simple_expression,
    STATE(4333), 1,
      sym_attribute,
    STATE(18198), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(709), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3835), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3831), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130348] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(925), 1,
      anon_sym_LPAREN,
    ACTIONS(927), 1,
      anon_sym_LBRACK,
    ACTIONS(931), 1,
      anon_sym_LBRACE,
    ACTIONS(933), 1,
      anon_sym_object,
    ACTIONS(937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(955), 1,
      anon_sym_new,
    ACTIONS(957), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(959), 1,
      anon_sym_begin,
    ACTIONS(961), 1,
      sym_ocamlyacc_value,
    ACTIONS(967), 1,
      aux_sym_number_token1,
    ACTIONS(969), 1,
      anon_sym_SQUOTE,
    ACTIONS(971), 1,
      anon_sym_DQUOTE,
    ACTIONS(973), 1,
      sym_prefix_operator,
    ACTIONS(977), 1,
      sym__uppercase_identifier,
    ACTIONS(979), 1,
      aux_sym_tag_token1,
    ACTIONS(3053), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3055), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4543), 1,
      sym__lowercase_identifier,
    STATE(4334), 1,
      sym_attribute,
    STATE(4733), 1,
      sym_parenthesized_operator,
    STATE(4752), 1,
      sym__simple_expression,
    STATE(4755), 1,
      sym__value_name,
    STATE(4778), 1,
      sym__constructor_name,
    STATE(18403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(929), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4777), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4766), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130466] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(925), 1,
      anon_sym_LPAREN,
    ACTIONS(927), 1,
      anon_sym_LBRACK,
    ACTIONS(931), 1,
      anon_sym_LBRACE,
    ACTIONS(933), 1,
      anon_sym_object,
    ACTIONS(937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(955), 1,
      anon_sym_new,
    ACTIONS(957), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(959), 1,
      anon_sym_begin,
    ACTIONS(961), 1,
      sym_ocamlyacc_value,
    ACTIONS(967), 1,
      aux_sym_number_token1,
    ACTIONS(969), 1,
      anon_sym_SQUOTE,
    ACTIONS(971), 1,
      anon_sym_DQUOTE,
    ACTIONS(973), 1,
      sym_prefix_operator,
    ACTIONS(977), 1,
      sym__uppercase_identifier,
    ACTIONS(979), 1,
      aux_sym_tag_token1,
    ACTIONS(3053), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3055), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4543), 1,
      sym__lowercase_identifier,
    STATE(4335), 1,
      sym_attribute,
    STATE(4733), 1,
      sym_parenthesized_operator,
    STATE(4755), 1,
      sym__value_name,
    STATE(4778), 1,
      sym__constructor_name,
    STATE(4836), 1,
      sym__simple_expression,
    STATE(18403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(929), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4777), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4766), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130584] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1125), 1,
      anon_sym_LPAREN,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1131), 1,
      anon_sym_LBRACE,
    ACTIONS(1133), 1,
      anon_sym_object,
    ACTIONS(1137), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1147), 1,
      anon_sym_new,
    ACTIONS(1149), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1151), 1,
      anon_sym_begin,
    ACTIONS(1153), 1,
      sym_ocamlyacc_value,
    ACTIONS(1155), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1157), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1159), 1,
      aux_sym_number_token1,
    ACTIONS(1161), 1,
      anon_sym_SQUOTE,
    ACTIONS(1163), 1,
      anon_sym_DQUOTE,
    ACTIONS(1165), 1,
      sym_prefix_operator,
    ACTIONS(1169), 1,
      sym__uppercase_identifier,
    ACTIONS(1171), 1,
      aux_sym_tag_token1,
    ACTIONS(4563), 1,
      sym__lowercase_identifier,
    STATE(4336), 1,
      sym_attribute,
    STATE(5029), 1,
      sym__constructor_name,
    STATE(5082), 1,
      sym__value_name,
    STATE(5085), 1,
      sym__simple_expression,
    STATE(5095), 1,
      sym_parenthesized_operator,
    STATE(17752), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1129), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5018), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5016), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130702] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3927), 1,
      anon_sym_DOT,
    STATE(4337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8098), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [130914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130984] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(41), 1,
      anon_sym_LPAREN,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_object,
    ACTIONS(71), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(89), 1,
      anon_sym_new,
    ACTIONS(91), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(93), 1,
      anon_sym_begin,
    ACTIONS(95), 1,
      sym_ocamlyacc_value,
    ACTIONS(107), 1,
      aux_sym_number_token1,
    ACTIONS(111), 1,
      anon_sym_SQUOTE,
    ACTIONS(113), 1,
      anon_sym_DQUOTE,
    ACTIONS(115), 1,
      sym_prefix_operator,
    ACTIONS(123), 1,
      sym__uppercase_identifier,
    ACTIONS(127), 1,
      aux_sym_tag_token1,
    ACTIONS(3057), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3059), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3923), 1,
      sym__lowercase_identifier,
    STATE(4156), 1,
      sym__value_name,
    STATE(4239), 1,
      sym__simple_expression,
    STATE(4341), 1,
      sym_attribute,
    STATE(4402), 1,
      sym_parenthesized_operator,
    STATE(4413), 1,
      sym__constructor_name,
    STATE(18136), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(51), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4374), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131102] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(761), 1,
      anon_sym_LBRACK,
    ACTIONS(765), 1,
      anon_sym_LBRACE,
    ACTIONS(767), 1,
      anon_sym_object,
    ACTIONS(771), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(781), 1,
      anon_sym_new,
    ACTIONS(783), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(785), 1,
      anon_sym_begin,
    ACTIONS(787), 1,
      sym_ocamlyacc_value,
    ACTIONS(793), 1,
      aux_sym_number_token1,
    ACTIONS(795), 1,
      anon_sym_SQUOTE,
    ACTIONS(797), 1,
      anon_sym_DQUOTE,
    ACTIONS(799), 1,
      sym_prefix_operator,
    ACTIONS(803), 1,
      sym__uppercase_identifier,
    ACTIONS(805), 1,
      aux_sym_tag_token1,
    ACTIONS(3049), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3051), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3261), 1,
      sym__lowercase_identifier,
    STATE(3789), 1,
      sym__simple_expression,
    STATE(3800), 1,
      sym__value_name,
    STATE(3826), 1,
      sym_parenthesized_operator,
    STATE(3907), 1,
      sym__constructor_name,
    STATE(4342), 1,
      sym_attribute,
    STATE(18564), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(763), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3906), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3755), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131220] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1283), 1,
      anon_sym_LPAREN,
    ACTIONS(1285), 1,
      anon_sym_LBRACK,
    ACTIONS(1289), 1,
      anon_sym_LBRACE,
    ACTIONS(1291), 1,
      anon_sym_object,
    ACTIONS(1295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1313), 1,
      anon_sym_new,
    ACTIONS(1315), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1317), 1,
      anon_sym_begin,
    ACTIONS(1319), 1,
      sym_ocamlyacc_value,
    ACTIONS(1321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1325), 1,
      aux_sym_number_token1,
    ACTIONS(1327), 1,
      anon_sym_SQUOTE,
    ACTIONS(1329), 1,
      anon_sym_DQUOTE,
    ACTIONS(1331), 1,
      sym_prefix_operator,
    ACTIONS(1335), 1,
      sym__uppercase_identifier,
    ACTIONS(1337), 1,
      aux_sym_tag_token1,
    ACTIONS(4843), 1,
      sym__lowercase_identifier,
    STATE(4343), 1,
      sym_attribute,
    STATE(5529), 1,
      sym__simple_expression,
    STATE(5550), 1,
      sym_parenthesized_operator,
    STATE(5596), 1,
      sym__constructor_name,
    STATE(5625), 1,
      sym__value_name,
    STATE(18681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1287), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5595), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5663), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131338] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2413), 1,
      anon_sym_LPAREN,
    ACTIONS(2415), 1,
      anon_sym_LBRACK,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(2421), 1,
      anon_sym_object,
    ACTIONS(2425), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2435), 1,
      anon_sym_new,
    ACTIONS(2437), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2439), 1,
      anon_sym_begin,
    ACTIONS(2441), 1,
      sym_ocamlyacc_value,
    ACTIONS(2443), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2445), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2447), 1,
      aux_sym_number_token1,
    ACTIONS(2449), 1,
      anon_sym_SQUOTE,
    ACTIONS(2451), 1,
      anon_sym_DQUOTE,
    ACTIONS(2453), 1,
      sym_prefix_operator,
    ACTIONS(2457), 1,
      sym__uppercase_identifier,
    ACTIONS(2459), 1,
      aux_sym_tag_token1,
    ACTIONS(5273), 1,
      sym__lowercase_identifier,
    STATE(4344), 1,
      sym_attribute,
    STATE(6157), 1,
      sym_parenthesized_operator,
    STATE(6160), 1,
      sym__simple_expression,
    STATE(6248), 1,
      sym__constructor_name,
    STATE(6332), 1,
      sym__value_name,
    STATE(18116), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2417), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6245), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6576), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131456] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1283), 1,
      anon_sym_LPAREN,
    ACTIONS(1285), 1,
      anon_sym_LBRACK,
    ACTIONS(1289), 1,
      anon_sym_LBRACE,
    ACTIONS(1291), 1,
      anon_sym_object,
    ACTIONS(1295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1313), 1,
      anon_sym_new,
    ACTIONS(1315), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1317), 1,
      anon_sym_begin,
    ACTIONS(1319), 1,
      sym_ocamlyacc_value,
    ACTIONS(1321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1325), 1,
      aux_sym_number_token1,
    ACTIONS(1327), 1,
      anon_sym_SQUOTE,
    ACTIONS(1329), 1,
      anon_sym_DQUOTE,
    ACTIONS(1331), 1,
      sym_prefix_operator,
    ACTIONS(1335), 1,
      sym__uppercase_identifier,
    ACTIONS(1337), 1,
      aux_sym_tag_token1,
    ACTIONS(4843), 1,
      sym__lowercase_identifier,
    STATE(4345), 1,
      sym_attribute,
    STATE(5550), 1,
      sym_parenthesized_operator,
    STATE(5586), 1,
      sym__simple_expression,
    STATE(5596), 1,
      sym__constructor_name,
    STATE(5625), 1,
      sym__value_name,
    STATE(18681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1287), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5595), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5663), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131574] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(369), 1,
      anon_sym_LBRACK,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_object,
    ACTIONS(379), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(389), 1,
      anon_sym_new,
    ACTIONS(391), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(393), 1,
      anon_sym_begin,
    ACTIONS(395), 1,
      sym_ocamlyacc_value,
    ACTIONS(401), 1,
      aux_sym_number_token1,
    ACTIONS(403), 1,
      anon_sym_SQUOTE,
    ACTIONS(405), 1,
      anon_sym_DQUOTE,
    ACTIONS(407), 1,
      sym_prefix_operator,
    ACTIONS(411), 1,
      sym__uppercase_identifier,
    ACTIONS(413), 1,
      aux_sym_tag_token1,
    ACTIONS(3065), 1,
      sym__lowercase_identifier,
    ACTIONS(3083), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3085), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(3158), 1,
      sym__simple_expression,
    STATE(3210), 1,
      sym__value_name,
    STATE(3241), 1,
      sym_parenthesized_operator,
    STATE(3270), 1,
      sym__constructor_name,
    STATE(4346), 1,
      sym_attribute,
    STATE(18794), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(371), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3269), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3151), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131692] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2603), 1,
      anon_sym_LPAREN,
    ACTIONS(2605), 1,
      anon_sym_LBRACK,
    ACTIONS(2609), 1,
      anon_sym_LBRACE,
    ACTIONS(2611), 1,
      anon_sym_object,
    ACTIONS(2615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2625), 1,
      anon_sym_new,
    ACTIONS(2627), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2629), 1,
      anon_sym_begin,
    ACTIONS(2631), 1,
      sym_ocamlyacc_value,
    ACTIONS(2633), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2635), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2637), 1,
      aux_sym_number_token1,
    ACTIONS(2639), 1,
      anon_sym_SQUOTE,
    ACTIONS(2641), 1,
      anon_sym_DQUOTE,
    ACTIONS(2643), 1,
      sym_prefix_operator,
    ACTIONS(2647), 1,
      sym__uppercase_identifier,
    ACTIONS(2649), 1,
      aux_sym_tag_token1,
    ACTIONS(5443), 1,
      sym__lowercase_identifier,
    STATE(4347), 1,
      sym_attribute,
    STATE(6740), 1,
      sym_parenthesized_operator,
    STATE(6817), 1,
      sym__simple_expression,
    STATE(6932), 1,
      sym__constructor_name,
    STATE(6943), 1,
      sym__value_name,
    STATE(19947), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2607), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6947), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6676), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131810] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(41), 1,
      anon_sym_LPAREN,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_object,
    ACTIONS(71), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(89), 1,
      anon_sym_new,
    ACTIONS(91), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(93), 1,
      anon_sym_begin,
    ACTIONS(95), 1,
      sym_ocamlyacc_value,
    ACTIONS(107), 1,
      aux_sym_number_token1,
    ACTIONS(111), 1,
      anon_sym_SQUOTE,
    ACTIONS(113), 1,
      anon_sym_DQUOTE,
    ACTIONS(115), 1,
      sym_prefix_operator,
    ACTIONS(123), 1,
      sym__uppercase_identifier,
    ACTIONS(127), 1,
      aux_sym_tag_token1,
    ACTIONS(3057), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3059), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3923), 1,
      sym__lowercase_identifier,
    STATE(4156), 1,
      sym__value_name,
    STATE(4307), 1,
      sym__simple_expression,
    STATE(4348), 1,
      sym_attribute,
    STATE(4402), 1,
      sym_parenthesized_operator,
    STATE(4413), 1,
      sym__constructor_name,
    STATE(18136), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(51), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4374), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131928] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(369), 1,
      anon_sym_LBRACK,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_object,
    ACTIONS(379), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(389), 1,
      anon_sym_new,
    ACTIONS(391), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(393), 1,
      anon_sym_begin,
    ACTIONS(395), 1,
      sym_ocamlyacc_value,
    ACTIONS(401), 1,
      aux_sym_number_token1,
    ACTIONS(403), 1,
      anon_sym_SQUOTE,
    ACTIONS(405), 1,
      anon_sym_DQUOTE,
    ACTIONS(407), 1,
      sym_prefix_operator,
    ACTIONS(411), 1,
      sym__uppercase_identifier,
    ACTIONS(413), 1,
      aux_sym_tag_token1,
    ACTIONS(3065), 1,
      sym__lowercase_identifier,
    ACTIONS(3083), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3085), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(3173), 1,
      sym__simple_expression,
    STATE(3210), 1,
      sym__value_name,
    STATE(3241), 1,
      sym_parenthesized_operator,
    STATE(3270), 1,
      sym__constructor_name,
    STATE(4349), 1,
      sym_attribute,
    STATE(18794), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(371), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3269), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3151), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132046] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(925), 1,
      anon_sym_LPAREN,
    ACTIONS(927), 1,
      anon_sym_LBRACK,
    ACTIONS(931), 1,
      anon_sym_LBRACE,
    ACTIONS(933), 1,
      anon_sym_object,
    ACTIONS(937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(955), 1,
      anon_sym_new,
    ACTIONS(957), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(959), 1,
      anon_sym_begin,
    ACTIONS(961), 1,
      sym_ocamlyacc_value,
    ACTIONS(967), 1,
      aux_sym_number_token1,
    ACTIONS(969), 1,
      anon_sym_SQUOTE,
    ACTIONS(971), 1,
      anon_sym_DQUOTE,
    ACTIONS(973), 1,
      sym_prefix_operator,
    ACTIONS(977), 1,
      sym__uppercase_identifier,
    ACTIONS(979), 1,
      aux_sym_tag_token1,
    ACTIONS(3053), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3055), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4543), 1,
      sym__lowercase_identifier,
    STATE(4350), 1,
      sym_attribute,
    STATE(4733), 1,
      sym_parenthesized_operator,
    STATE(4755), 1,
      sym__value_name,
    STATE(4771), 1,
      sym__simple_expression,
    STATE(4778), 1,
      sym__constructor_name,
    STATE(18403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(929), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4777), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4766), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132164] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2039), 1,
      anon_sym_LPAREN,
    ACTIONS(2041), 1,
      anon_sym_LBRACK,
    ACTIONS(2045), 1,
      anon_sym_LBRACE,
    ACTIONS(2047), 1,
      anon_sym_object,
    ACTIONS(2051), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2061), 1,
      anon_sym_new,
    ACTIONS(2063), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2065), 1,
      anon_sym_begin,
    ACTIONS(2067), 1,
      sym_ocamlyacc_value,
    ACTIONS(2069), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2071), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2073), 1,
      aux_sym_number_token1,
    ACTIONS(2075), 1,
      anon_sym_SQUOTE,
    ACTIONS(2077), 1,
      anon_sym_DQUOTE,
    ACTIONS(2079), 1,
      sym_prefix_operator,
    ACTIONS(2083), 1,
      sym__uppercase_identifier,
    ACTIONS(2085), 1,
      aux_sym_tag_token1,
    ACTIONS(5243), 1,
      sym__lowercase_identifier,
    STATE(4351), 1,
      sym_attribute,
    STATE(6269), 1,
      sym__constructor_name,
    STATE(6309), 1,
      sym__value_name,
    STATE(6467), 1,
      sym_parenthesized_operator,
    STATE(6595), 1,
      sym__simple_expression,
    STATE(18603), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2043), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6268), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6494), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132282] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2361), 1,
      anon_sym_LPAREN,
    ACTIONS(2363), 1,
      anon_sym_LBRACK,
    ACTIONS(2367), 1,
      anon_sym_LBRACE,
    ACTIONS(2369), 1,
      anon_sym_object,
    ACTIONS(2373), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2383), 1,
      anon_sym_new,
    ACTIONS(2385), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2387), 1,
      anon_sym_begin,
    ACTIONS(2389), 1,
      sym_ocamlyacc_value,
    ACTIONS(2391), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2393), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2395), 1,
      aux_sym_number_token1,
    ACTIONS(2397), 1,
      anon_sym_SQUOTE,
    ACTIONS(2399), 1,
      anon_sym_DQUOTE,
    ACTIONS(2401), 1,
      sym_prefix_operator,
    ACTIONS(2405), 1,
      sym__uppercase_identifier,
    ACTIONS(2407), 1,
      aux_sym_tag_token1,
    ACTIONS(5263), 1,
      sym__lowercase_identifier,
    STATE(4352), 1,
      sym_attribute,
    STATE(6110), 1,
      sym__value_name,
    STATE(6519), 1,
      sym_parenthesized_operator,
    STATE(6564), 1,
      sym__constructor_name,
    STATE(6584), 1,
      sym__simple_expression,
    STATE(18027), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2365), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6537), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6572), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132400] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2039), 1,
      anon_sym_LPAREN,
    ACTIONS(2041), 1,
      anon_sym_LBRACK,
    ACTIONS(2045), 1,
      anon_sym_LBRACE,
    ACTIONS(2047), 1,
      anon_sym_object,
    ACTIONS(2051), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2061), 1,
      anon_sym_new,
    ACTIONS(2063), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2065), 1,
      anon_sym_begin,
    ACTIONS(2067), 1,
      sym_ocamlyacc_value,
    ACTIONS(2069), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2071), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2073), 1,
      aux_sym_number_token1,
    ACTIONS(2075), 1,
      anon_sym_SQUOTE,
    ACTIONS(2077), 1,
      anon_sym_DQUOTE,
    ACTIONS(2079), 1,
      sym_prefix_operator,
    ACTIONS(2083), 1,
      sym__uppercase_identifier,
    ACTIONS(2085), 1,
      aux_sym_tag_token1,
    ACTIONS(5243), 1,
      sym__lowercase_identifier,
    STATE(4353), 1,
      sym_attribute,
    STATE(6141), 1,
      sym__simple_expression,
    STATE(6269), 1,
      sym__constructor_name,
    STATE(6309), 1,
      sym__value_name,
    STATE(6467), 1,
      sym_parenthesized_operator,
    STATE(18603), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2043), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6268), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6494), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8098), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [132658] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(41), 1,
      anon_sym_LPAREN,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_object,
    ACTIONS(71), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(89), 1,
      anon_sym_new,
    ACTIONS(91), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(93), 1,
      anon_sym_begin,
    ACTIONS(95), 1,
      sym_ocamlyacc_value,
    ACTIONS(107), 1,
      aux_sym_number_token1,
    ACTIONS(111), 1,
      anon_sym_SQUOTE,
    ACTIONS(113), 1,
      anon_sym_DQUOTE,
    ACTIONS(115), 1,
      sym_prefix_operator,
    ACTIONS(123), 1,
      sym__uppercase_identifier,
    ACTIONS(127), 1,
      aux_sym_tag_token1,
    ACTIONS(3057), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3059), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3923), 1,
      sym__lowercase_identifier,
    STATE(4156), 1,
      sym__value_name,
    STATE(4337), 1,
      sym__simple_expression,
    STATE(4356), 1,
      sym_attribute,
    STATE(4402), 1,
      sym_parenthesized_operator,
    STATE(4413), 1,
      sym__constructor_name,
    STATE(18136), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(51), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4374), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132776] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(421), 1,
      anon_sym_LPAREN,
    ACTIONS(425), 1,
      anon_sym_LBRACK,
    ACTIONS(429), 1,
      anon_sym_LBRACE,
    ACTIONS(439), 1,
      anon_sym_object,
    ACTIONS(443), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(453), 1,
      anon_sym_new,
    ACTIONS(455), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(457), 1,
      anon_sym_begin,
    ACTIONS(459), 1,
      sym_ocamlyacc_value,
    ACTIONS(465), 1,
      aux_sym_number_token1,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(471), 1,
      sym_prefix_operator,
    ACTIONS(477), 1,
      sym__uppercase_identifier,
    ACTIONS(481), 1,
      aux_sym_tag_token1,
    ACTIONS(3041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3043), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3933), 1,
      sym__lowercase_identifier,
    STATE(4161), 1,
      sym__constructor_name,
    STATE(4191), 1,
      sym__value_name,
    STATE(4236), 1,
      sym_parenthesized_operator,
    STATE(4357), 1,
      sym_attribute,
    STATE(4396), 1,
      sym__simple_expression,
    STATE(19232), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4260), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4397), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132894] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2413), 1,
      anon_sym_LPAREN,
    ACTIONS(2415), 1,
      anon_sym_LBRACK,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(2421), 1,
      anon_sym_object,
    ACTIONS(2425), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2435), 1,
      anon_sym_new,
    ACTIONS(2437), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2439), 1,
      anon_sym_begin,
    ACTIONS(2441), 1,
      sym_ocamlyacc_value,
    ACTIONS(2443), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2445), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2447), 1,
      aux_sym_number_token1,
    ACTIONS(2449), 1,
      anon_sym_SQUOTE,
    ACTIONS(2451), 1,
      anon_sym_DQUOTE,
    ACTIONS(2453), 1,
      sym_prefix_operator,
    ACTIONS(2457), 1,
      sym__uppercase_identifier,
    ACTIONS(2459), 1,
      aux_sym_tag_token1,
    ACTIONS(5273), 1,
      sym__lowercase_identifier,
    STATE(4358), 1,
      sym_attribute,
    STATE(6157), 1,
      sym_parenthesized_operator,
    STATE(6248), 1,
      sym__constructor_name,
    STATE(6332), 1,
      sym__value_name,
    STATE(6426), 1,
      sym__simple_expression,
    STATE(18116), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2417), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6245), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6576), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133082] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(541), 1,
      anon_sym_LPAREN,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(549), 1,
      anon_sym_object,
    ACTIONS(553), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(563), 1,
      anon_sym_new,
    ACTIONS(565), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(567), 1,
      anon_sym_begin,
    ACTIONS(569), 1,
      sym_ocamlyacc_value,
    ACTIONS(575), 1,
      aux_sym_number_token1,
    ACTIONS(577), 1,
      anon_sym_SQUOTE,
    ACTIONS(579), 1,
      anon_sym_DQUOTE,
    ACTIONS(581), 1,
      sym_prefix_operator,
    ACTIONS(585), 1,
      sym__uppercase_identifier,
    ACTIONS(587), 1,
      aux_sym_tag_token1,
    ACTIONS(3045), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3047), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3163), 1,
      sym__lowercase_identifier,
    STATE(3366), 1,
      sym__simple_expression,
    STATE(3420), 1,
      sym__value_name,
    STATE(3461), 1,
      sym_parenthesized_operator,
    STATE(3602), 1,
      sym__constructor_name,
    STATE(4360), 1,
      sym_attribute,
    STATE(18321), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3601), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3361), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133270] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1283), 1,
      anon_sym_LPAREN,
    ACTIONS(1285), 1,
      anon_sym_LBRACK,
    ACTIONS(1289), 1,
      anon_sym_LBRACE,
    ACTIONS(1291), 1,
      anon_sym_object,
    ACTIONS(1295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1313), 1,
      anon_sym_new,
    ACTIONS(1315), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1317), 1,
      anon_sym_begin,
    ACTIONS(1319), 1,
      sym_ocamlyacc_value,
    ACTIONS(1321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1325), 1,
      aux_sym_number_token1,
    ACTIONS(1327), 1,
      anon_sym_SQUOTE,
    ACTIONS(1329), 1,
      anon_sym_DQUOTE,
    ACTIONS(1331), 1,
      sym_prefix_operator,
    ACTIONS(1335), 1,
      sym__uppercase_identifier,
    ACTIONS(1337), 1,
      aux_sym_tag_token1,
    ACTIONS(4843), 1,
      sym__lowercase_identifier,
    STATE(4362), 1,
      sym_attribute,
    STATE(5550), 1,
      sym_parenthesized_operator,
    STATE(5555), 1,
      sym__simple_expression,
    STATE(5596), 1,
      sym__constructor_name,
    STATE(5625), 1,
      sym__value_name,
    STATE(18681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1287), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5595), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5663), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133458] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(541), 1,
      anon_sym_LPAREN,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(549), 1,
      anon_sym_object,
    ACTIONS(553), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(563), 1,
      anon_sym_new,
    ACTIONS(565), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(567), 1,
      anon_sym_begin,
    ACTIONS(569), 1,
      sym_ocamlyacc_value,
    ACTIONS(575), 1,
      aux_sym_number_token1,
    ACTIONS(577), 1,
      anon_sym_SQUOTE,
    ACTIONS(579), 1,
      anon_sym_DQUOTE,
    ACTIONS(581), 1,
      sym_prefix_operator,
    ACTIONS(585), 1,
      sym__uppercase_identifier,
    ACTIONS(587), 1,
      aux_sym_tag_token1,
    ACTIONS(3045), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3047), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3163), 1,
      sym__lowercase_identifier,
    STATE(3389), 1,
      sym__simple_expression,
    STATE(3420), 1,
      sym__value_name,
    STATE(3461), 1,
      sym_parenthesized_operator,
    STATE(3602), 1,
      sym__constructor_name,
    STATE(4364), 1,
      sym_attribute,
    STATE(18321), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3601), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3361), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8434), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [133646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133716] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2413), 1,
      anon_sym_LPAREN,
    ACTIONS(2415), 1,
      anon_sym_LBRACK,
    ACTIONS(2419), 1,
      anon_sym_LBRACE,
    ACTIONS(2421), 1,
      anon_sym_object,
    ACTIONS(2425), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2435), 1,
      anon_sym_new,
    ACTIONS(2437), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2439), 1,
      anon_sym_begin,
    ACTIONS(2441), 1,
      sym_ocamlyacc_value,
    ACTIONS(2443), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2445), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2447), 1,
      aux_sym_number_token1,
    ACTIONS(2449), 1,
      anon_sym_SQUOTE,
    ACTIONS(2451), 1,
      anon_sym_DQUOTE,
    ACTIONS(2453), 1,
      sym_prefix_operator,
    ACTIONS(2457), 1,
      sym__uppercase_identifier,
    ACTIONS(2459), 1,
      aux_sym_tag_token1,
    ACTIONS(5273), 1,
      sym__lowercase_identifier,
    STATE(4367), 1,
      sym_attribute,
    STATE(6157), 1,
      sym_parenthesized_operator,
    STATE(6190), 1,
      sym__simple_expression,
    STATE(6248), 1,
      sym__constructor_name,
    STATE(6332), 1,
      sym__value_name,
    STATE(18116), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2417), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6245), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6576), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133974] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2669), 1,
      anon_sym_LPAREN,
    ACTIONS(2671), 1,
      anon_sym_LBRACK,
    ACTIONS(2675), 1,
      anon_sym_LBRACE,
    ACTIONS(2677), 1,
      anon_sym_object,
    ACTIONS(2681), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2691), 1,
      anon_sym_new,
    ACTIONS(2693), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2695), 1,
      anon_sym_begin,
    ACTIONS(2697), 1,
      sym_ocamlyacc_value,
    ACTIONS(2699), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2701), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2703), 1,
      aux_sym_number_token1,
    ACTIONS(2705), 1,
      anon_sym_SQUOTE,
    ACTIONS(2707), 1,
      anon_sym_DQUOTE,
    ACTIONS(2709), 1,
      sym_prefix_operator,
    ACTIONS(2713), 1,
      sym__uppercase_identifier,
    ACTIONS(2715), 1,
      aux_sym_tag_token1,
    ACTIONS(5523), 1,
      sym__lowercase_identifier,
    STATE(4370), 1,
      sym_attribute,
    STATE(6655), 1,
      sym__simple_expression,
    STATE(6711), 1,
      sym__value_name,
    STATE(6951), 1,
      sym_parenthesized_operator,
    STATE(7136), 1,
      sym__constructor_name,
    STATE(19761), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2673), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6909), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6940), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134232] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3927), 1,
      anon_sym_DOT,
    ACTIONS(3929), 1,
      anon_sym_POUND,
    ACTIONS(3931), 1,
      sym_hash_operator,
    STATE(4373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134378] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8328), 1,
      sym__lowercase_identifier,
    ACTIONS(8330), 1,
      anon_sym_LPAREN,
    ACTIONS(8332), 1,
      anon_sym_LBRACK,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    ACTIONS(8338), 1,
      anon_sym_object,
    ACTIONS(8340), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8342), 1,
      anon_sym_new,
    ACTIONS(8344), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8346), 1,
      anon_sym_begin,
    ACTIONS(8348), 1,
      sym_ocamlyacc_value,
    ACTIONS(8350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8354), 1,
      aux_sym_number_token1,
    ACTIONS(8356), 1,
      anon_sym_SQUOTE,
    ACTIONS(8358), 1,
      anon_sym_DQUOTE,
    ACTIONS(8360), 1,
      sym_prefix_operator,
    ACTIONS(8362), 1,
      sym__uppercase_identifier,
    ACTIONS(8364), 1,
      aux_sym_tag_token1,
    STATE(4375), 1,
      sym_attribute,
    STATE(7169), 1,
      sym__constructor_name,
    STATE(7235), 1,
      sym__simple_expression,
    STATE(7292), 1,
      sym__value_name,
    STATE(7332), 1,
      sym_parenthesized_operator,
    STATE(18604), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7315), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7249), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134496] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1349), 1,
      anon_sym_LPAREN,
    ACTIONS(1351), 1,
      anon_sym_LBRACK,
    ACTIONS(1355), 1,
      anon_sym_LBRACE,
    ACTIONS(1357), 1,
      anon_sym_object,
    ACTIONS(1361), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1371), 1,
      anon_sym_new,
    ACTIONS(1373), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1375), 1,
      anon_sym_begin,
    ACTIONS(1377), 1,
      sym_ocamlyacc_value,
    ACTIONS(1379), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1381), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1383), 1,
      aux_sym_number_token1,
    ACTIONS(1385), 1,
      anon_sym_SQUOTE,
    ACTIONS(1387), 1,
      anon_sym_DQUOTE,
    ACTIONS(1389), 1,
      sym_prefix_operator,
    ACTIONS(1393), 1,
      sym__uppercase_identifier,
    ACTIONS(1395), 1,
      aux_sym_tag_token1,
    ACTIONS(5077), 1,
      sym__lowercase_identifier,
    STATE(4376), 1,
      sym_attribute,
    STATE(5711), 1,
      sym__value_name,
    STATE(5733), 1,
      sym__simple_expression,
    STATE(5738), 1,
      sym__constructor_name,
    STATE(5780), 1,
      sym_parenthesized_operator,
    STATE(17697), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5727), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5724), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134684] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1349), 1,
      anon_sym_LPAREN,
    ACTIONS(1351), 1,
      anon_sym_LBRACK,
    ACTIONS(1355), 1,
      anon_sym_LBRACE,
    ACTIONS(1357), 1,
      anon_sym_object,
    ACTIONS(1361), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1371), 1,
      anon_sym_new,
    ACTIONS(1373), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1375), 1,
      anon_sym_begin,
    ACTIONS(1377), 1,
      sym_ocamlyacc_value,
    ACTIONS(1379), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1381), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1383), 1,
      aux_sym_number_token1,
    ACTIONS(1385), 1,
      anon_sym_SQUOTE,
    ACTIONS(1387), 1,
      anon_sym_DQUOTE,
    ACTIONS(1389), 1,
      sym_prefix_operator,
    ACTIONS(1393), 1,
      sym__uppercase_identifier,
    ACTIONS(1395), 1,
      aux_sym_tag_token1,
    ACTIONS(5077), 1,
      sym__lowercase_identifier,
    STATE(4378), 1,
      sym_attribute,
    STATE(5711), 1,
      sym__value_name,
    STATE(5726), 1,
      sym__simple_expression,
    STATE(5738), 1,
      sym__constructor_name,
    STATE(5780), 1,
      sym_parenthesized_operator,
    STATE(17697), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5727), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5724), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134802] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      sym__lowercase_identifier,
    ACTIONS(8284), 1,
      anon_sym_LPAREN,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_object,
    ACTIONS(8294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8296), 1,
      anon_sym_new,
    ACTIONS(8298), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8300), 1,
      anon_sym_begin,
    ACTIONS(8302), 1,
      sym_ocamlyacc_value,
    ACTIONS(8304), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8306), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8310), 1,
      aux_sym_number_token1,
    ACTIONS(8312), 1,
      anon_sym_SQUOTE,
    ACTIONS(8314), 1,
      anon_sym_DQUOTE,
    ACTIONS(8316), 1,
      sym_prefix_operator,
    ACTIONS(8318), 1,
      sym__uppercase_identifier,
    ACTIONS(8320), 1,
      aux_sym_tag_token1,
    STATE(4379), 1,
      sym_attribute,
    STATE(9432), 1,
      sym__simple_expression,
    STATE(9510), 1,
      sym__constructor_name,
    STATE(9554), 1,
      sym_parenthesized_operator,
    STATE(9610), 1,
      sym__value_name,
    STATE(18075), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9378), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9564), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134920] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      sym__lowercase_identifier,
    ACTIONS(8284), 1,
      anon_sym_LPAREN,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_object,
    ACTIONS(8294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8296), 1,
      anon_sym_new,
    ACTIONS(8298), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8300), 1,
      anon_sym_begin,
    ACTIONS(8302), 1,
      sym_ocamlyacc_value,
    ACTIONS(8304), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8306), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8310), 1,
      aux_sym_number_token1,
    ACTIONS(8312), 1,
      anon_sym_SQUOTE,
    ACTIONS(8314), 1,
      anon_sym_DQUOTE,
    ACTIONS(8316), 1,
      sym_prefix_operator,
    ACTIONS(8318), 1,
      sym__uppercase_identifier,
    ACTIONS(8320), 1,
      aux_sym_tag_token1,
    STATE(4380), 1,
      sym_attribute,
    STATE(9450), 1,
      sym__simple_expression,
    STATE(9510), 1,
      sym__constructor_name,
    STATE(9554), 1,
      sym_parenthesized_operator,
    STATE(9610), 1,
      sym__value_name,
    STATE(18075), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9378), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9564), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135038] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(593), 1,
      anon_sym_LPAREN,
    ACTIONS(595), 1,
      anon_sym_LBRACK,
    ACTIONS(599), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_object,
    ACTIONS(605), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(615), 1,
      anon_sym_new,
    ACTIONS(617), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(619), 1,
      anon_sym_begin,
    ACTIONS(621), 1,
      sym_ocamlyacc_value,
    ACTIONS(627), 1,
      aux_sym_number_token1,
    ACTIONS(629), 1,
      anon_sym_SQUOTE,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      sym_prefix_operator,
    ACTIONS(637), 1,
      sym__uppercase_identifier,
    ACTIONS(639), 1,
      aux_sym_tag_token1,
    ACTIONS(3061), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3063), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3175), 1,
      sym__lowercase_identifier,
    STATE(3505), 1,
      sym__simple_expression,
    STATE(3513), 1,
      sym__value_name,
    STATE(3634), 1,
      sym_parenthesized_operator,
    STATE(3677), 1,
      sym__constructor_name,
    STATE(4381), 1,
      sym_attribute,
    STATE(18757), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(597), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3675), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3475), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135296] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      sym__lowercase_identifier,
    ACTIONS(8284), 1,
      anon_sym_LPAREN,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_object,
    ACTIONS(8294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8296), 1,
      anon_sym_new,
    ACTIONS(8298), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8300), 1,
      anon_sym_begin,
    ACTIONS(8302), 1,
      sym_ocamlyacc_value,
    ACTIONS(8304), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8306), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8310), 1,
      aux_sym_number_token1,
    ACTIONS(8312), 1,
      anon_sym_SQUOTE,
    ACTIONS(8314), 1,
      anon_sym_DQUOTE,
    ACTIONS(8316), 1,
      sym_prefix_operator,
    ACTIONS(8318), 1,
      sym__uppercase_identifier,
    ACTIONS(8320), 1,
      aux_sym_tag_token1,
    STATE(4384), 1,
      sym_attribute,
    STATE(9510), 1,
      sym__constructor_name,
    STATE(9554), 1,
      sym_parenthesized_operator,
    STATE(9572), 1,
      sym__simple_expression,
    STATE(9610), 1,
      sym__value_name,
    STATE(18075), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9378), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9564), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135414] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(4385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135626] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(8366), 1,
      sym__lowercase_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN,
    ACTIONS(8372), 1,
      anon_sym_LBRACE,
    ACTIONS(8374), 1,
      anon_sym_begin,
    ACTIONS(8376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8380), 1,
      aux_sym_number_token1,
    ACTIONS(8382), 1,
      anon_sym_SQUOTE,
    ACTIONS(8384), 1,
      anon_sym_DQUOTE,
    ACTIONS(8386), 1,
      sym_prefix_operator,
    ACTIONS(8388), 1,
      aux_sym_tag_token1,
    STATE(4388), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(7450), 1,
      sym__simple_expression,
    STATE(17759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8370), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7452), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135814] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      sym__lowercase_identifier,
    ACTIONS(8284), 1,
      anon_sym_LPAREN,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(8290), 1,
      anon_sym_LBRACE,
    ACTIONS(8292), 1,
      anon_sym_object,
    ACTIONS(8294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8296), 1,
      anon_sym_new,
    ACTIONS(8298), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8300), 1,
      anon_sym_begin,
    ACTIONS(8302), 1,
      sym_ocamlyacc_value,
    ACTIONS(8304), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8306), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8310), 1,
      aux_sym_number_token1,
    ACTIONS(8312), 1,
      anon_sym_SQUOTE,
    ACTIONS(8314), 1,
      anon_sym_DQUOTE,
    ACTIONS(8316), 1,
      sym_prefix_operator,
    ACTIONS(8318), 1,
      sym__uppercase_identifier,
    ACTIONS(8320), 1,
      aux_sym_tag_token1,
    STATE(4390), 1,
      sym_attribute,
    STATE(9510), 1,
      sym__constructor_name,
    STATE(9554), 1,
      sym_parenthesized_operator,
    STATE(9583), 1,
      sym__simple_expression,
    STATE(9610), 1,
      sym__value_name,
    STATE(18075), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9378), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9564), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136002] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(4392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136074] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(421), 1,
      anon_sym_LPAREN,
    ACTIONS(425), 1,
      anon_sym_LBRACK,
    ACTIONS(429), 1,
      anon_sym_LBRACE,
    ACTIONS(439), 1,
      anon_sym_object,
    ACTIONS(443), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(453), 1,
      anon_sym_new,
    ACTIONS(455), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(457), 1,
      anon_sym_begin,
    ACTIONS(459), 1,
      sym_ocamlyacc_value,
    ACTIONS(465), 1,
      aux_sym_number_token1,
    ACTIONS(467), 1,
      anon_sym_SQUOTE,
    ACTIONS(469), 1,
      anon_sym_DQUOTE,
    ACTIONS(471), 1,
      sym_prefix_operator,
    ACTIONS(477), 1,
      sym__uppercase_identifier,
    ACTIONS(481), 1,
      aux_sym_tag_token1,
    ACTIONS(3041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3043), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3933), 1,
      sym__lowercase_identifier,
    STATE(4161), 1,
      sym__constructor_name,
    STATE(4191), 1,
      sym__value_name,
    STATE(4236), 1,
      sym_parenthesized_operator,
    STATE(4329), 1,
      sym__simple_expression,
    STATE(4393), 1,
      sym_attribute,
    STATE(19232), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4260), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4397), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136262] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1349), 1,
      anon_sym_LPAREN,
    ACTIONS(1351), 1,
      anon_sym_LBRACK,
    ACTIONS(1355), 1,
      anon_sym_LBRACE,
    ACTIONS(1357), 1,
      anon_sym_object,
    ACTIONS(1361), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1371), 1,
      anon_sym_new,
    ACTIONS(1373), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1375), 1,
      anon_sym_begin,
    ACTIONS(1377), 1,
      sym_ocamlyacc_value,
    ACTIONS(1379), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1381), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1383), 1,
      aux_sym_number_token1,
    ACTIONS(1385), 1,
      anon_sym_SQUOTE,
    ACTIONS(1387), 1,
      anon_sym_DQUOTE,
    ACTIONS(1389), 1,
      sym_prefix_operator,
    ACTIONS(1393), 1,
      sym__uppercase_identifier,
    ACTIONS(1395), 1,
      aux_sym_tag_token1,
    ACTIONS(5077), 1,
      sym__lowercase_identifier,
    STATE(4395), 1,
      sym_attribute,
    STATE(5711), 1,
      sym__value_name,
    STATE(5738), 1,
      sym__constructor_name,
    STATE(5767), 1,
      sym__simple_expression,
    STATE(5780), 1,
      sym_parenthesized_operator,
    STATE(17697), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1353), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5727), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5724), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136380] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3937), 1,
      anon_sym_DOT,
    ACTIONS(3939), 1,
      anon_sym_POUND,
    ACTIONS(3941), 1,
      sym_hash_operator,
    STATE(4396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136666] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(645), 1,
      anon_sym_LPAREN,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      anon_sym_object,
    ACTIONS(657), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(667), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(671), 1,
      anon_sym_begin,
    ACTIONS(673), 1,
      sym_ocamlyacc_value,
    ACTIONS(679), 1,
      aux_sym_number_token1,
    ACTIONS(681), 1,
      anon_sym_SQUOTE,
    ACTIONS(683), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      sym_prefix_operator,
    ACTIONS(689), 1,
      sym__uppercase_identifier,
    ACTIONS(691), 1,
      aux_sym_tag_token1,
    ACTIONS(3095), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3097), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3147), 1,
      sym__lowercase_identifier,
    STATE(3572), 1,
      sym__simple_expression,
    STATE(3587), 1,
      sym__value_name,
    STATE(3649), 1,
      sym_parenthesized_operator,
    STATE(3711), 1,
      sym__constructor_name,
    STATE(4400), 1,
      sym_attribute,
    STATE(18832), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(649), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3710), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3517), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136784] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2773), 1,
      anon_sym_LPAREN,
    ACTIONS(2775), 1,
      anon_sym_LBRACK,
    ACTIONS(2779), 1,
      anon_sym_LBRACE,
    ACTIONS(2781), 1,
      anon_sym_object,
    ACTIONS(2785), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2795), 1,
      anon_sym_new,
    ACTIONS(2797), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2799), 1,
      anon_sym_begin,
    ACTIONS(2801), 1,
      sym_ocamlyacc_value,
    ACTIONS(2803), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2805), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2807), 1,
      aux_sym_number_token1,
    ACTIONS(2809), 1,
      anon_sym_SQUOTE,
    ACTIONS(2811), 1,
      anon_sym_DQUOTE,
    ACTIONS(2813), 1,
      sym_prefix_operator,
    ACTIONS(2817), 1,
      sym__uppercase_identifier,
    ACTIONS(2819), 1,
      aux_sym_tag_token1,
    ACTIONS(5513), 1,
      sym__lowercase_identifier,
    STATE(4401), 1,
      sym_attribute,
    STATE(6928), 1,
      sym__value_name,
    STATE(6946), 1,
      sym__constructor_name,
    STATE(7016), 1,
      sym__simple_expression,
    STATE(7129), 1,
      sym_parenthesized_operator,
    STATE(18243), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2777), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6880), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6827), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137112] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6317), 1,
      sym__lowercase_identifier,
    ACTIONS(6321), 1,
      anon_sym_LPAREN,
    ACTIONS(6323), 1,
      anon_sym_LBRACK,
    ACTIONS(6327), 1,
      anon_sym_LBRACE,
    ACTIONS(6329), 1,
      anon_sym_object,
    ACTIONS(6331), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6333), 1,
      anon_sym_new,
    ACTIONS(6335), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6337), 1,
      anon_sym_begin,
    ACTIONS(6339), 1,
      sym_ocamlyacc_value,
    ACTIONS(6345), 1,
      aux_sym_number_token1,
    ACTIONS(6347), 1,
      anon_sym_SQUOTE,
    ACTIONS(6349), 1,
      anon_sym_DQUOTE,
    ACTIONS(6351), 1,
      sym_prefix_operator,
    ACTIONS(6353), 1,
      sym__uppercase_identifier,
    ACTIONS(6355), 1,
      aux_sym_tag_token1,
    ACTIONS(8482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4405), 1,
      sym_attribute,
    STATE(6801), 1,
      sym_parenthesized_operator,
    STATE(6976), 1,
      sym__value_name,
    STATE(6977), 1,
      sym__constructor_name,
    STATE(7075), 1,
      sym__simple_expression,
    STATE(18280), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6325), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6970), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6887), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137230] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(705), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(711), 1,
      anon_sym_LBRACE,
    ACTIONS(713), 1,
      anon_sym_object,
    ACTIONS(717), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(727), 1,
      anon_sym_new,
    ACTIONS(729), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(731), 1,
      anon_sym_begin,
    ACTIONS(733), 1,
      sym_ocamlyacc_value,
    ACTIONS(739), 1,
      aux_sym_number_token1,
    ACTIONS(741), 1,
      anon_sym_SQUOTE,
    ACTIONS(743), 1,
      anon_sym_DQUOTE,
    ACTIONS(745), 1,
      sym_prefix_operator,
    ACTIONS(749), 1,
      sym__uppercase_identifier,
    ACTIONS(751), 1,
      aux_sym_tag_token1,
    ACTIONS(3109), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3111), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3251), 1,
      sym__lowercase_identifier,
    STATE(3741), 1,
      sym_parenthesized_operator,
    STATE(3836), 1,
      sym__constructor_name,
    STATE(3848), 1,
      sym__simple_expression,
    STATE(3890), 1,
      sym__value_name,
    STATE(4406), 1,
      sym_attribute,
    STATE(18198), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(709), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3835), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3831), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137348] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(705), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(711), 1,
      anon_sym_LBRACE,
    ACTIONS(713), 1,
      anon_sym_object,
    ACTIONS(717), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(727), 1,
      anon_sym_new,
    ACTIONS(729), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(731), 1,
      anon_sym_begin,
    ACTIONS(733), 1,
      sym_ocamlyacc_value,
    ACTIONS(739), 1,
      aux_sym_number_token1,
    ACTIONS(741), 1,
      anon_sym_SQUOTE,
    ACTIONS(743), 1,
      anon_sym_DQUOTE,
    ACTIONS(745), 1,
      sym_prefix_operator,
    ACTIONS(749), 1,
      sym__uppercase_identifier,
    ACTIONS(751), 1,
      aux_sym_tag_token1,
    ACTIONS(3109), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3111), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3251), 1,
      sym__lowercase_identifier,
    STATE(3741), 1,
      sym_parenthesized_operator,
    STATE(3836), 1,
      sym__constructor_name,
    STATE(3862), 1,
      sym__simple_expression,
    STATE(3890), 1,
      sym__value_name,
    STATE(4407), 1,
      sym_attribute,
    STATE(18198), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(709), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3835), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3831), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8434), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [137536] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2603), 1,
      anon_sym_LPAREN,
    ACTIONS(2605), 1,
      anon_sym_LBRACK,
    ACTIONS(2609), 1,
      anon_sym_LBRACE,
    ACTIONS(2611), 1,
      anon_sym_object,
    ACTIONS(2615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2625), 1,
      anon_sym_new,
    ACTIONS(2627), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2629), 1,
      anon_sym_begin,
    ACTIONS(2631), 1,
      sym_ocamlyacc_value,
    ACTIONS(2633), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2635), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2637), 1,
      aux_sym_number_token1,
    ACTIONS(2639), 1,
      anon_sym_SQUOTE,
    ACTIONS(2641), 1,
      anon_sym_DQUOTE,
    ACTIONS(2643), 1,
      sym_prefix_operator,
    ACTIONS(2647), 1,
      sym__uppercase_identifier,
    ACTIONS(2649), 1,
      aux_sym_tag_token1,
    ACTIONS(5443), 1,
      sym__lowercase_identifier,
    STATE(4409), 1,
      sym_attribute,
    STATE(6740), 1,
      sym_parenthesized_operator,
    STATE(6932), 1,
      sym__constructor_name,
    STATE(6943), 1,
      sym__value_name,
    STATE(7090), 1,
      sym__simple_expression,
    STATE(19947), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2607), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6947), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6676), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137724] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2773), 1,
      anon_sym_LPAREN,
    ACTIONS(2775), 1,
      anon_sym_LBRACK,
    ACTIONS(2779), 1,
      anon_sym_LBRACE,
    ACTIONS(2781), 1,
      anon_sym_object,
    ACTIONS(2785), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2795), 1,
      anon_sym_new,
    ACTIONS(2797), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2799), 1,
      anon_sym_begin,
    ACTIONS(2801), 1,
      sym_ocamlyacc_value,
    ACTIONS(2803), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2805), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2807), 1,
      aux_sym_number_token1,
    ACTIONS(2809), 1,
      anon_sym_SQUOTE,
    ACTIONS(2811), 1,
      anon_sym_DQUOTE,
    ACTIONS(2813), 1,
      sym_prefix_operator,
    ACTIONS(2817), 1,
      sym__uppercase_identifier,
    ACTIONS(2819), 1,
      aux_sym_tag_token1,
    ACTIONS(5513), 1,
      sym__lowercase_identifier,
    STATE(4411), 1,
      sym_attribute,
    STATE(6696), 1,
      sym__simple_expression,
    STATE(6928), 1,
      sym__value_name,
    STATE(6946), 1,
      sym__constructor_name,
    STATE(7129), 1,
      sym_parenthesized_operator,
    STATE(18243), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2777), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6880), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6827), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137982] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7866), 1,
      anon_sym_LBRACE,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7876), 1,
      anon_sym_begin,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7880), 1,
      sym_prefix_operator,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(8366), 1,
      sym__lowercase_identifier,
    STATE(4414), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(7299), 1,
      sym__simple_expression,
    STATE(18984), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138310] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1073), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_LBRACE,
    ACTIONS(1081), 1,
      anon_sym_object,
    ACTIONS(1085), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1095), 1,
      anon_sym_new,
    ACTIONS(1097), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1099), 1,
      anon_sym_begin,
    ACTIONS(1101), 1,
      sym_ocamlyacc_value,
    ACTIONS(1103), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1105), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1107), 1,
      aux_sym_number_token1,
    ACTIONS(1109), 1,
      anon_sym_SQUOTE,
    ACTIONS(1111), 1,
      anon_sym_DQUOTE,
    ACTIONS(1113), 1,
      sym_prefix_operator,
    ACTIONS(1117), 1,
      sym__uppercase_identifier,
    ACTIONS(1119), 1,
      aux_sym_tag_token1,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4418), 1,
      sym_attribute,
    STATE(5099), 1,
      sym__constructor_name,
    STATE(5115), 1,
      sym_parenthesized_operator,
    STATE(5207), 1,
      sym__simple_expression,
    STATE(5217), 1,
      sym__value_name,
    STATE(18719), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1077), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5139), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5111), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138428] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    ACTIONS(317), 1,
      anon_sym_LBRACE,
    ACTIONS(319), 1,
      anon_sym_object,
    ACTIONS(323), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(333), 1,
      anon_sym_new,
    ACTIONS(335), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(337), 1,
      anon_sym_begin,
    ACTIONS(339), 1,
      sym_ocamlyacc_value,
    ACTIONS(347), 1,
      aux_sym_number_token1,
    ACTIONS(349), 1,
      anon_sym_SQUOTE,
    ACTIONS(351), 1,
      anon_sym_DQUOTE,
    ACTIONS(353), 1,
      sym_prefix_operator,
    ACTIONS(359), 1,
      sym__uppercase_identifier,
    ACTIONS(361), 1,
      aux_sym_tag_token1,
    ACTIONS(3037), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3039), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3099), 1,
      sym__lowercase_identifier,
    STATE(3086), 1,
      sym__value_name,
    STATE(3091), 1,
      sym__simple_expression,
    STATE(3128), 1,
      sym_parenthesized_operator,
    STATE(3249), 1,
      sym__constructor_name,
    STATE(4419), 1,
      sym_attribute,
    STATE(18485), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3248), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3021), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138546] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(1413), 1,
      anon_sym_LBRACE,
    ACTIONS(1415), 1,
      anon_sym_object,
    ACTIONS(1419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1429), 1,
      anon_sym_new,
    ACTIONS(1431), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1433), 1,
      anon_sym_begin,
    ACTIONS(1435), 1,
      sym_ocamlyacc_value,
    ACTIONS(1437), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1439), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1441), 1,
      aux_sym_number_token1,
    ACTIONS(1443), 1,
      anon_sym_SQUOTE,
    ACTIONS(1445), 1,
      anon_sym_DQUOTE,
    ACTIONS(1447), 1,
      sym_prefix_operator,
    ACTIONS(1451), 1,
      sym__uppercase_identifier,
    ACTIONS(1453), 1,
      aux_sym_tag_token1,
    ACTIONS(5233), 1,
      sym__lowercase_identifier,
    STATE(4420), 1,
      sym_attribute,
    STATE(5828), 1,
      sym__value_name,
    STATE(5862), 1,
      sym_parenthesized_operator,
    STATE(5929), 1,
      sym__simple_expression,
    STATE(6057), 1,
      sym__constructor_name,
    STATE(17464), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1411), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6056), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5914), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138664] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(1413), 1,
      anon_sym_LBRACE,
    ACTIONS(1415), 1,
      anon_sym_object,
    ACTIONS(1419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1429), 1,
      anon_sym_new,
    ACTIONS(1431), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1433), 1,
      anon_sym_begin,
    ACTIONS(1435), 1,
      sym_ocamlyacc_value,
    ACTIONS(1437), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1439), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1441), 1,
      aux_sym_number_token1,
    ACTIONS(1443), 1,
      anon_sym_SQUOTE,
    ACTIONS(1445), 1,
      anon_sym_DQUOTE,
    ACTIONS(1447), 1,
      sym_prefix_operator,
    ACTIONS(1451), 1,
      sym__uppercase_identifier,
    ACTIONS(1453), 1,
      aux_sym_tag_token1,
    ACTIONS(5233), 1,
      sym__lowercase_identifier,
    STATE(4421), 1,
      sym_attribute,
    STATE(5828), 1,
      sym__value_name,
    STATE(5862), 1,
      sym_parenthesized_operator,
    STATE(5975), 1,
      sym__simple_expression,
    STATE(6057), 1,
      sym__constructor_name,
    STATE(17464), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1411), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6056), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5914), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138782] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(645), 1,
      anon_sym_LPAREN,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      anon_sym_object,
    ACTIONS(657), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(667), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(671), 1,
      anon_sym_begin,
    ACTIONS(673), 1,
      sym_ocamlyacc_value,
    ACTIONS(679), 1,
      aux_sym_number_token1,
    ACTIONS(681), 1,
      anon_sym_SQUOTE,
    ACTIONS(683), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      sym_prefix_operator,
    ACTIONS(689), 1,
      sym__uppercase_identifier,
    ACTIONS(691), 1,
      aux_sym_tag_token1,
    ACTIONS(3095), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3097), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3147), 1,
      sym__lowercase_identifier,
    STATE(3525), 1,
      sym__simple_expression,
    STATE(3587), 1,
      sym__value_name,
    STATE(3649), 1,
      sym_parenthesized_operator,
    STATE(3711), 1,
      sym__constructor_name,
    STATE(4422), 1,
      sym_attribute,
    STATE(18832), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(649), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3710), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3517), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138900] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(645), 1,
      anon_sym_LPAREN,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      anon_sym_object,
    ACTIONS(657), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(667), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(671), 1,
      anon_sym_begin,
    ACTIONS(673), 1,
      sym_ocamlyacc_value,
    ACTIONS(679), 1,
      aux_sym_number_token1,
    ACTIONS(681), 1,
      anon_sym_SQUOTE,
    ACTIONS(683), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      sym_prefix_operator,
    ACTIONS(689), 1,
      sym__uppercase_identifier,
    ACTIONS(691), 1,
      aux_sym_tag_token1,
    ACTIONS(3095), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3097), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3147), 1,
      sym__lowercase_identifier,
    STATE(3543), 1,
      sym__simple_expression,
    STATE(3587), 1,
      sym__value_name,
    STATE(3649), 1,
      sym_parenthesized_operator,
    STATE(3711), 1,
      sym__constructor_name,
    STATE(4423), 1,
      sym_attribute,
    STATE(18832), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(649), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3710), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3517), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139018] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_object,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7872), 1,
      anon_sym_new,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7878), 1,
      sym_ocamlyacc_value,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(8366), 1,
      sym__lowercase_identifier,
    ACTIONS(8368), 1,
      anon_sym_LPAREN,
    ACTIONS(8372), 1,
      anon_sym_LBRACE,
    ACTIONS(8374), 1,
      anon_sym_begin,
    ACTIONS(8376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8380), 1,
      aux_sym_number_token1,
    ACTIONS(8382), 1,
      anon_sym_SQUOTE,
    ACTIONS(8384), 1,
      anon_sym_DQUOTE,
    ACTIONS(8386), 1,
      sym_prefix_operator,
    ACTIONS(8388), 1,
      aux_sym_tag_token1,
    STATE(4424), 1,
      sym_attribute,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7248), 1,
      sym__value_name,
    STATE(7451), 1,
      sym__simple_expression,
    STATE(17759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8370), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7452), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7246), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139416] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2361), 1,
      anon_sym_LPAREN,
    ACTIONS(2363), 1,
      anon_sym_LBRACK,
    ACTIONS(2367), 1,
      anon_sym_LBRACE,
    ACTIONS(2369), 1,
      anon_sym_object,
    ACTIONS(2373), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2383), 1,
      anon_sym_new,
    ACTIONS(2385), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2387), 1,
      anon_sym_begin,
    ACTIONS(2389), 1,
      sym_ocamlyacc_value,
    ACTIONS(2391), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2393), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2395), 1,
      aux_sym_number_token1,
    ACTIONS(2397), 1,
      anon_sym_SQUOTE,
    ACTIONS(2399), 1,
      anon_sym_DQUOTE,
    ACTIONS(2401), 1,
      sym_prefix_operator,
    ACTIONS(2405), 1,
      sym__uppercase_identifier,
    ACTIONS(2407), 1,
      aux_sym_tag_token1,
    ACTIONS(5263), 1,
      sym__lowercase_identifier,
    STATE(4429), 1,
      sym_attribute,
    STATE(6110), 1,
      sym__value_name,
    STATE(6519), 1,
      sym_parenthesized_operator,
    STATE(6564), 1,
      sym__constructor_name,
    STATE(6600), 1,
      sym__simple_expression,
    STATE(18027), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2365), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6537), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6572), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139604] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1235), 1,
      anon_sym_LBRACE,
    ACTIONS(1237), 1,
      anon_sym_object,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_new,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1255), 1,
      anon_sym_begin,
    ACTIONS(1257), 1,
      sym_ocamlyacc_value,
    ACTIONS(1259), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1261), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1263), 1,
      aux_sym_number_token1,
    ACTIONS(1265), 1,
      anon_sym_SQUOTE,
    ACTIONS(1267), 1,
      anon_sym_DQUOTE,
    ACTIONS(1269), 1,
      sym_prefix_operator,
    ACTIONS(1273), 1,
      sym__uppercase_identifier,
    ACTIONS(1275), 1,
      aux_sym_tag_token1,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4431), 1,
      sym_attribute,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5168), 1,
      sym__constructor_name,
    STATE(5227), 1,
      sym__value_name,
    STATE(5231), 1,
      sym__simple_expression,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5161), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139862] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(817), 1,
      anon_sym_LPAREN,
    ACTIONS(819), 1,
      anon_sym_LBRACK,
    ACTIONS(823), 1,
      anon_sym_LBRACE,
    ACTIONS(825), 1,
      anon_sym_object,
    ACTIONS(829), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(839), 1,
      anon_sym_new,
    ACTIONS(841), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(843), 1,
      anon_sym_begin,
    ACTIONS(845), 1,
      sym_ocamlyacc_value,
    ACTIONS(851), 1,
      aux_sym_number_token1,
    ACTIONS(853), 1,
      anon_sym_SQUOTE,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      sym_prefix_operator,
    ACTIONS(861), 1,
      sym__uppercase_identifier,
    ACTIONS(863), 1,
      aux_sym_tag_token1,
    ACTIONS(3113), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3115), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3751), 1,
      sym__lowercase_identifier,
    STATE(3945), 1,
      sym__value_name,
    STATE(3988), 1,
      sym__constructor_name,
    STATE(4087), 1,
      sym__simple_expression,
    STATE(4111), 1,
      sym_parenthesized_operator,
    STATE(4434), 1,
      sym_attribute,
    STATE(17533), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(821), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3985), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4049), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139980] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(817), 1,
      anon_sym_LPAREN,
    ACTIONS(819), 1,
      anon_sym_LBRACK,
    ACTIONS(823), 1,
      anon_sym_LBRACE,
    ACTIONS(825), 1,
      anon_sym_object,
    ACTIONS(829), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(839), 1,
      anon_sym_new,
    ACTIONS(841), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(843), 1,
      anon_sym_begin,
    ACTIONS(845), 1,
      sym_ocamlyacc_value,
    ACTIONS(851), 1,
      aux_sym_number_token1,
    ACTIONS(853), 1,
      anon_sym_SQUOTE,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      sym_prefix_operator,
    ACTIONS(861), 1,
      sym__uppercase_identifier,
    ACTIONS(863), 1,
      aux_sym_tag_token1,
    ACTIONS(3113), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3115), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3751), 1,
      sym__lowercase_identifier,
    STATE(3945), 1,
      sym__value_name,
    STATE(3975), 1,
      sym__simple_expression,
    STATE(3988), 1,
      sym__constructor_name,
    STATE(4111), 1,
      sym_parenthesized_operator,
    STATE(4435), 1,
      sym_attribute,
    STATE(17533), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(821), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3985), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4049), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140168] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1007), 1,
      anon_sym_LPAREN,
    ACTIONS(1009), 1,
      anon_sym_LBRACK,
    ACTIONS(1013), 1,
      anon_sym_LBRACE,
    ACTIONS(1015), 1,
      anon_sym_object,
    ACTIONS(1019), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1029), 1,
      anon_sym_new,
    ACTIONS(1031), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1033), 1,
      anon_sym_begin,
    ACTIONS(1035), 1,
      sym_ocamlyacc_value,
    ACTIONS(1041), 1,
      aux_sym_number_token1,
    ACTIONS(1043), 1,
      anon_sym_SQUOTE,
    ACTIONS(1045), 1,
      anon_sym_DQUOTE,
    ACTIONS(1047), 1,
      sym_prefix_operator,
    ACTIONS(1051), 1,
      sym__uppercase_identifier,
    ACTIONS(1053), 1,
      aux_sym_tag_token1,
    ACTIONS(3079), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3081), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4553), 1,
      sym__lowercase_identifier,
    STATE(4437), 1,
      sym_attribute,
    STATE(4864), 1,
      sym__constructor_name,
    STATE(4877), 1,
      sym__simple_expression,
    STATE(4882), 1,
      sym__value_name,
    STATE(4906), 1,
      sym_parenthesized_operator,
    STATE(19601), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1011), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4891), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4887), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140356] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5199), 1,
      sym__lowercase_identifier,
    ACTIONS(5201), 1,
      anon_sym_LPAREN,
    ACTIONS(5203), 1,
      anon_sym_LBRACK,
    ACTIONS(5207), 1,
      anon_sym_LBRACE,
    ACTIONS(5209), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5213), 1,
      anon_sym_lazy,
    ACTIONS(5215), 1,
      anon_sym_begin,
    ACTIONS(5221), 1,
      aux_sym_number_token1,
    ACTIONS(5223), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5225), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_DQUOTE,
    ACTIONS(5229), 1,
      sym__uppercase_identifier,
    ACTIONS(5231), 1,
      aux_sym_tag_token1,
    ACTIONS(8452), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8454), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_rec,
    STATE(2440), 1,
      sym_tag,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(2475), 1,
      sym__binding_pattern,
    STATE(4439), 1,
      sym_attribute,
    STATE(5506), 1,
      sym__signed_constant,
    STATE(5508), 1,
      sym__constructor_name,
    STATE(5559), 1,
      sym_parenthesized_operator,
    STATE(5680), 1,
      sym_record_binding_pattern,
    STATE(5683), 1,
      sym_list_binding_pattern,
    STATE(5685), 1,
      sym_array_binding_pattern,
    STATE(11596), 1,
      sym_let_binding,
    STATE(18264), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5205), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5415), 2,
      sym__constant,
      sym_signed_number,
    STATE(5507), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5679), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [140485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8098), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [140554] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3185), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4441), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [140683] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5165), 1,
      sym__lowercase_identifier,
    ACTIONS(5167), 1,
      anon_sym_LPAREN,
    ACTIONS(5169), 1,
      anon_sym_LBRACK,
    ACTIONS(5173), 1,
      anon_sym_LBRACE,
    ACTIONS(5175), 1,
      anon_sym_POUND,
    ACTIONS(5177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5179), 1,
      anon_sym_lazy,
    ACTIONS(5181), 1,
      anon_sym_begin,
    ACTIONS(5187), 1,
      aux_sym_number_token1,
    ACTIONS(5189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5191), 1,
      anon_sym_SQUOTE,
    ACTIONS(5193), 1,
      anon_sym_DQUOTE,
    ACTIONS(5195), 1,
      sym__uppercase_identifier,
    ACTIONS(5197), 1,
      aux_sym_tag_token1,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      anon_sym_rec,
    STATE(2439), 1,
      sym_tag,
    STATE(2442), 1,
      sym_constructor_path,
    STATE(2477), 1,
      sym__binding_pattern,
    STATE(4442), 1,
      sym_attribute,
    STATE(5389), 1,
      sym__signed_constant,
    STATE(5475), 1,
      sym__constructor_name,
    STATE(5535), 1,
      sym_list_binding_pattern,
    STATE(5552), 1,
      sym_array_binding_pattern,
    STATE(5661), 1,
      sym_parenthesized_operator,
    STATE(5706), 1,
      sym_record_binding_pattern,
    STATE(11687), 1,
      sym_let_binding,
    STATE(19313), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5505), 2,
      sym__constant,
      sym_signed_number,
    STATE(5489), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5687), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [140812] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3213), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4443), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [140941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8098), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [141010] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3123), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4445), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141139] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3209), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4446), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141268] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3193), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4447), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141397] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8490), 1,
      anon_sym_COLON,
    STATE(4448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8322), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [141468] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4449), 1,
      sym_attribute,
    STATE(4588), 1,
      sym__attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(14005), 1,
      sym__binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141597] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5199), 1,
      sym__lowercase_identifier,
    ACTIONS(5201), 1,
      anon_sym_LPAREN,
    ACTIONS(5203), 1,
      anon_sym_LBRACK,
    ACTIONS(5207), 1,
      anon_sym_LBRACE,
    ACTIONS(5209), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5213), 1,
      anon_sym_lazy,
    ACTIONS(5215), 1,
      anon_sym_begin,
    ACTIONS(5221), 1,
      aux_sym_number_token1,
    ACTIONS(5223), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5225), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_DQUOTE,
    ACTIONS(5229), 1,
      sym__uppercase_identifier,
    ACTIONS(5231), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8454), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2440), 1,
      sym_tag,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(4450), 1,
      sym_attribute,
    STATE(4619), 1,
      sym__attribute,
    STATE(5506), 1,
      sym__signed_constant,
    STATE(5508), 1,
      sym__constructor_name,
    STATE(5559), 1,
      sym_parenthesized_operator,
    STATE(5566), 1,
      sym__binding_pattern,
    STATE(5680), 1,
      sym_record_binding_pattern,
    STATE(5683), 1,
      sym_list_binding_pattern,
    STATE(5685), 1,
      sym_array_binding_pattern,
    STATE(18264), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5205), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5415), 2,
      sym__constant,
      sym_signed_number,
    STATE(5507), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5679), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141726] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3143), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4451), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141855] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3189), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4452), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141984] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3249), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4453), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142113] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      sym__lowercase_identifier,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6715), 1,
      anon_sym_lazy,
    ACTIONS(6755), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_RPAREN,
    STATE(3452), 1,
      sym_constructor_path,
    STATE(3454), 1,
      sym_tag,
    STATE(4454), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10293), 1,
      sym_parenthesized_operator,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(14173), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142242] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3243), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4455), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142371] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4456), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142500] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      sym__lowercase_identifier,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6715), 1,
      anon_sym_lazy,
    ACTIONS(6735), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8494), 1,
      anon_sym_RPAREN,
    STATE(3452), 1,
      sym_constructor_path,
    STATE(3454), 1,
      sym_tag,
    STATE(4457), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10293), 1,
      sym_parenthesized_operator,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(14229), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142629] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3141), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4458), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142758] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3125), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4459), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8434), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [142956] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3117), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4461), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143085] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3207), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4462), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143214] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4965), 1,
      anon_sym_LPAREN,
    ACTIONS(4967), 1,
      anon_sym_LBRACK,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_POUND,
    ACTIONS(4975), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_lazy,
    ACTIONS(4979), 1,
      anon_sym_begin,
    ACTIONS(4985), 1,
      aux_sym_number_token1,
    ACTIONS(4987), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4989), 1,
      anon_sym_SQUOTE,
    ACTIONS(4991), 1,
      anon_sym_DQUOTE,
    ACTIONS(4993), 1,
      sym__uppercase_identifier,
    ACTIONS(4995), 1,
      aux_sym_tag_token1,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8496), 1,
      anon_sym_rec,
    STATE(2425), 1,
      sym_tag,
    STATE(2428), 1,
      sym_constructor_path,
    STATE(2463), 1,
      sym__binding_pattern,
    STATE(4463), 1,
      sym_attribute,
    STATE(5317), 1,
      sym__constructor_name,
    STATE(5336), 1,
      sym__signed_constant,
    STATE(5429), 1,
      sym_record_binding_pattern,
    STATE(5434), 1,
      sym_list_binding_pattern,
    STATE(5442), 1,
      sym_array_binding_pattern,
    STATE(5488), 1,
      sym_parenthesized_operator,
    STATE(11369), 1,
      sym_let_binding,
    STATE(18300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4969), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5264), 2,
      sym__constant,
      sym_signed_number,
    STATE(5369), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5518), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143343] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3219), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4464), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143472] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      sym__lowercase_identifier,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6715), 1,
      anon_sym_lazy,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    STATE(3452), 1,
      sym_constructor_path,
    STATE(3454), 1,
      sym_tag,
    STATE(4465), 1,
      sym_attribute,
    STATE(4581), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10293), 1,
      sym_parenthesized_operator,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13168), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143601] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3205), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4466), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143730] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3119), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4467), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143859] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3221), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4468), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143988] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3173), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4469), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [144117] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8498), 1,
      anon_sym_COLON,
    STATE(4470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8322), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [144188] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3127), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4471), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [144317] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4472), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [144446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8434), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [144515] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3217), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4474), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [144644] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    ACTIONS(8500), 1,
      anon_sym_rec,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4475), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14680), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [144773] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3211), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4476), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [144902] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3247), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4477), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145031] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5165), 1,
      sym__lowercase_identifier,
    ACTIONS(5167), 1,
      anon_sym_LPAREN,
    ACTIONS(5169), 1,
      anon_sym_LBRACK,
    ACTIONS(5173), 1,
      anon_sym_LBRACE,
    ACTIONS(5175), 1,
      anon_sym_POUND,
    ACTIONS(5177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5179), 1,
      anon_sym_lazy,
    ACTIONS(5181), 1,
      anon_sym_begin,
    ACTIONS(5187), 1,
      aux_sym_number_token1,
    ACTIONS(5189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5191), 1,
      anon_sym_SQUOTE,
    ACTIONS(5193), 1,
      anon_sym_DQUOTE,
    ACTIONS(5195), 1,
      sym__uppercase_identifier,
    ACTIONS(5197), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2439), 1,
      sym_tag,
    STATE(2442), 1,
      sym_constructor_path,
    STATE(4478), 1,
      sym_attribute,
    STATE(4608), 1,
      sym__attribute,
    STATE(5389), 1,
      sym__signed_constant,
    STATE(5475), 1,
      sym__constructor_name,
    STATE(5535), 1,
      sym_list_binding_pattern,
    STATE(5552), 1,
      sym_array_binding_pattern,
    STATE(5645), 1,
      sym__binding_pattern,
    STATE(5661), 1,
      sym_parenthesized_operator,
    STATE(5706), 1,
      sym_record_binding_pattern,
    STATE(19313), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5505), 2,
      sym__constant,
      sym_signed_number,
    STATE(5489), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5687), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145160] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      sym__lowercase_identifier,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6715), 1,
      anon_sym_lazy,
    ACTIONS(6725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8502), 1,
      anon_sym_RPAREN,
    STATE(3452), 1,
      sym_constructor_path,
    STATE(3454), 1,
      sym_tag,
    STATE(4479), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10293), 1,
      sym_parenthesized_operator,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(14123), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145289] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5131), 1,
      sym__lowercase_identifier,
    ACTIONS(5133), 1,
      anon_sym_LPAREN,
    ACTIONS(5135), 1,
      anon_sym_LBRACK,
    ACTIONS(5139), 1,
      anon_sym_LBRACE,
    ACTIONS(5141), 1,
      anon_sym_POUND,
    ACTIONS(5143), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5145), 1,
      anon_sym_lazy,
    ACTIONS(5147), 1,
      anon_sym_begin,
    ACTIONS(5153), 1,
      aux_sym_number_token1,
    ACTIONS(5155), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5157), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_DQUOTE,
    ACTIONS(5161), 1,
      sym__uppercase_identifier,
    ACTIONS(5163), 1,
      aux_sym_tag_token1,
    ACTIONS(7605), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7607), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8504), 1,
      anon_sym_rec,
    STATE(2437), 1,
      sym_tag,
    STATE(2438), 1,
      sym_constructor_path,
    STATE(2471), 1,
      sym__binding_pattern,
    STATE(4480), 1,
      sym_attribute,
    STATE(5326), 1,
      sym__signed_constant,
    STATE(5355), 1,
      sym__constructor_name,
    STATE(5417), 1,
      sym_record_binding_pattern,
    STATE(5418), 1,
      sym_list_binding_pattern,
    STATE(5419), 1,
      sym_array_binding_pattern,
    STATE(5449), 1,
      sym_parenthesized_operator,
    STATE(11222), 1,
      sym_let_binding,
    STATE(17786), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5137), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5265), 2,
      sym__constant,
      sym_signed_number,
    STATE(5352), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5416), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145418] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3237), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4481), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145547] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      sym__lowercase_identifier,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6711), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6715), 1,
      anon_sym_lazy,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8506), 1,
      anon_sym_RPAREN,
    STATE(3452), 1,
      sym_constructor_path,
    STATE(3454), 1,
      sym_tag,
    STATE(4482), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10293), 1,
      sym_parenthesized_operator,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(14231), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145676] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3201), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4483), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145805] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3133), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4484), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145934] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(4485), 1,
      sym_attribute,
    STATE(4595), 1,
      sym__attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8774), 1,
      sym__binding_pattern,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146063] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3191), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4486), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146192] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3135), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4487), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146321] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3203), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4488), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146450] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3187), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4489), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146579] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      sym__lowercase_identifier,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6715), 1,
      anon_sym_lazy,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8508), 1,
      anon_sym_RPAREN,
    STATE(3452), 1,
      sym_constructor_path,
    STATE(3454), 1,
      sym_tag,
    STATE(4490), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10293), 1,
      sym_parenthesized_operator,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(14225), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146708] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3197), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4491), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146837] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3239), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4492), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146966] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3245), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4493), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147095] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3199), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4494), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147224] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4495), 1,
      sym_attribute,
    STATE(4618), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13168), 1,
      sym__binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147353] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3145), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4496), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147482] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      sym__lowercase_identifier,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6715), 1,
      anon_sym_lazy,
    ACTIONS(6745), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8510), 1,
      anon_sym_RPAREN,
    STATE(3452), 1,
      sym_constructor_path,
    STATE(3454), 1,
      sym_tag,
    STATE(4497), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10293), 1,
      sym_parenthesized_operator,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(14161), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147611] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3131), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4498), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147740] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3215), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4499), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147869] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3139), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4500), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147998] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3241), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4501), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148127] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3225), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4502), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148256] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4965), 1,
      anon_sym_LPAREN,
    ACTIONS(4967), 1,
      anon_sym_LBRACK,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_POUND,
    ACTIONS(4975), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_lazy,
    ACTIONS(4979), 1,
      anon_sym_begin,
    ACTIONS(4985), 1,
      aux_sym_number_token1,
    ACTIONS(4987), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4989), 1,
      anon_sym_SQUOTE,
    ACTIONS(4991), 1,
      anon_sym_DQUOTE,
    ACTIONS(4993), 1,
      sym__uppercase_identifier,
    ACTIONS(4995), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_tag,
    STATE(2428), 1,
      sym_constructor_path,
    STATE(4503), 1,
      sym_attribute,
    STATE(4585), 1,
      sym__attribute,
    STATE(5317), 1,
      sym__constructor_name,
    STATE(5336), 1,
      sym__signed_constant,
    STATE(5429), 1,
      sym_record_binding_pattern,
    STATE(5434), 1,
      sym_list_binding_pattern,
    STATE(5440), 1,
      sym__binding_pattern,
    STATE(5442), 1,
      sym_array_binding_pattern,
    STATE(5488), 1,
      sym_parenthesized_operator,
    STATE(18300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4969), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5264), 2,
      sym__constant,
      sym_signed_number,
    STATE(5369), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5518), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148385] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5131), 1,
      sym__lowercase_identifier,
    ACTIONS(5133), 1,
      anon_sym_LPAREN,
    ACTIONS(5135), 1,
      anon_sym_LBRACK,
    ACTIONS(5139), 1,
      anon_sym_LBRACE,
    ACTIONS(5141), 1,
      anon_sym_POUND,
    ACTIONS(5143), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5145), 1,
      anon_sym_lazy,
    ACTIONS(5147), 1,
      anon_sym_begin,
    ACTIONS(5153), 1,
      aux_sym_number_token1,
    ACTIONS(5155), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5157), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_DQUOTE,
    ACTIONS(5161), 1,
      sym__uppercase_identifier,
    ACTIONS(5163), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7605), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7607), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2437), 1,
      sym_tag,
    STATE(2438), 1,
      sym_constructor_path,
    STATE(4504), 1,
      sym_attribute,
    STATE(4614), 1,
      sym__attribute,
    STATE(5326), 1,
      sym__signed_constant,
    STATE(5355), 1,
      sym__constructor_name,
    STATE(5417), 1,
      sym_record_binding_pattern,
    STATE(5418), 1,
      sym_list_binding_pattern,
    STATE(5419), 1,
      sym_array_binding_pattern,
    STATE(5449), 1,
      sym_parenthesized_operator,
    STATE(5452), 1,
      sym__binding_pattern,
    STATE(17786), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5137), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5265), 2,
      sym__constant,
      sym_signed_number,
    STATE(5352), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5416), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148514] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5073), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      sym__lowercase_identifier,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6715), 1,
      anon_sym_lazy,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8512), 1,
      anon_sym_RPAREN,
    STATE(3452), 1,
      sym_constructor_path,
    STATE(3454), 1,
      sym_tag,
    STATE(4505), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10293), 1,
      sym_parenthesized_operator,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(14261), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148643] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3137), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4506), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148772] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3129), 1,
      anon_sym_RPAREN,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4507), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148901] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    ACTIONS(8514), 1,
      anon_sym_RBRACK,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4508), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(14003), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149027] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5165), 1,
      sym__lowercase_identifier,
    ACTIONS(5167), 1,
      anon_sym_LPAREN,
    ACTIONS(5169), 1,
      anon_sym_LBRACK,
    ACTIONS(5173), 1,
      anon_sym_LBRACE,
    ACTIONS(5175), 1,
      anon_sym_POUND,
    ACTIONS(5177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5179), 1,
      anon_sym_lazy,
    ACTIONS(5181), 1,
      anon_sym_begin,
    ACTIONS(5187), 1,
      aux_sym_number_token1,
    ACTIONS(5189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5191), 1,
      anon_sym_SQUOTE,
    ACTIONS(5193), 1,
      anon_sym_DQUOTE,
    ACTIONS(5195), 1,
      sym__uppercase_identifier,
    ACTIONS(5197), 1,
      aux_sym_tag_token1,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2439), 1,
      sym_tag,
    STATE(2442), 1,
      sym_constructor_path,
    STATE(2477), 1,
      sym__binding_pattern,
    STATE(4509), 1,
      sym_attribute,
    STATE(5389), 1,
      sym__signed_constant,
    STATE(5475), 1,
      sym__constructor_name,
    STATE(5535), 1,
      sym_list_binding_pattern,
    STATE(5552), 1,
      sym_array_binding_pattern,
    STATE(5661), 1,
      sym_parenthesized_operator,
    STATE(5706), 1,
      sym_record_binding_pattern,
    STATE(11701), 1,
      sym_let_binding,
    STATE(19313), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5505), 2,
      sym__constant,
      sym_signed_number,
    STATE(5489), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5687), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149153] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    ACTIONS(8516), 1,
      anon_sym_RBRACK,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4510), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(14003), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149279] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5199), 1,
      sym__lowercase_identifier,
    ACTIONS(5201), 1,
      anon_sym_LPAREN,
    ACTIONS(5203), 1,
      anon_sym_LBRACK,
    ACTIONS(5207), 1,
      anon_sym_LBRACE,
    ACTIONS(5209), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5213), 1,
      anon_sym_lazy,
    ACTIONS(5215), 1,
      anon_sym_begin,
    ACTIONS(5221), 1,
      aux_sym_number_token1,
    ACTIONS(5223), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5225), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_DQUOTE,
    ACTIONS(5229), 1,
      sym__uppercase_identifier,
    ACTIONS(5231), 1,
      aux_sym_tag_token1,
    ACTIONS(8452), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8454), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2440), 1,
      sym_tag,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(2475), 1,
      sym__binding_pattern,
    STATE(4511), 1,
      sym_attribute,
    STATE(5506), 1,
      sym__signed_constant,
    STATE(5508), 1,
      sym__constructor_name,
    STATE(5559), 1,
      sym_parenthesized_operator,
    STATE(5680), 1,
      sym_record_binding_pattern,
    STATE(5683), 1,
      sym_list_binding_pattern,
    STATE(5685), 1,
      sym_array_binding_pattern,
    STATE(11704), 1,
      sym_let_binding,
    STATE(18264), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5205), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5415), 2,
      sym__constant,
      sym_signed_number,
    STATE(5507), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5679), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149405] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4965), 1,
      anon_sym_LPAREN,
    ACTIONS(4967), 1,
      anon_sym_LBRACK,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_POUND,
    ACTIONS(4975), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_lazy,
    ACTIONS(4979), 1,
      anon_sym_begin,
    ACTIONS(4985), 1,
      aux_sym_number_token1,
    ACTIONS(4987), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4989), 1,
      anon_sym_SQUOTE,
    ACTIONS(4991), 1,
      anon_sym_DQUOTE,
    ACTIONS(4993), 1,
      sym__uppercase_identifier,
    ACTIONS(4995), 1,
      aux_sym_tag_token1,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_tag,
    STATE(2428), 1,
      sym_constructor_path,
    STATE(2463), 1,
      sym__binding_pattern,
    STATE(4512), 1,
      sym_attribute,
    STATE(5317), 1,
      sym__constructor_name,
    STATE(5336), 1,
      sym__signed_constant,
    STATE(5429), 1,
      sym_record_binding_pattern,
    STATE(5434), 1,
      sym_list_binding_pattern,
    STATE(5442), 1,
      sym_array_binding_pattern,
    STATE(5488), 1,
      sym_parenthesized_operator,
    STATE(11185), 1,
      sym_let_binding,
    STATE(18300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4969), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5264), 2,
      sym__constant,
      sym_signed_number,
    STATE(5369), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5518), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149531] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_RBRACK,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4513), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13562), 1,
      sym__binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149657] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4965), 1,
      anon_sym_LPAREN,
    ACTIONS(4967), 1,
      anon_sym_LBRACK,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_POUND,
    ACTIONS(4975), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_lazy,
    ACTIONS(4979), 1,
      anon_sym_begin,
    ACTIONS(4985), 1,
      aux_sym_number_token1,
    ACTIONS(4987), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4989), 1,
      anon_sym_SQUOTE,
    ACTIONS(4991), 1,
      anon_sym_DQUOTE,
    ACTIONS(4993), 1,
      sym__uppercase_identifier,
    ACTIONS(4995), 1,
      aux_sym_tag_token1,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_tag,
    STATE(2428), 1,
      sym_constructor_path,
    STATE(2463), 1,
      sym__binding_pattern,
    STATE(4514), 1,
      sym_attribute,
    STATE(5317), 1,
      sym__constructor_name,
    STATE(5336), 1,
      sym__signed_constant,
    STATE(5429), 1,
      sym_record_binding_pattern,
    STATE(5434), 1,
      sym_list_binding_pattern,
    STATE(5442), 1,
      sym_array_binding_pattern,
    STATE(5488), 1,
      sym_parenthesized_operator,
    STATE(11369), 1,
      sym_let_binding,
    STATE(18300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4969), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5264), 2,
      sym__constant,
      sym_signed_number,
    STATE(5369), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5518), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149783] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    ACTIONS(8520), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4515), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13875), 1,
      sym__binding_pattern,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149909] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    ACTIONS(8522), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4516), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13632), 1,
      sym__binding_pattern,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150035] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    ACTIONS(8524), 1,
      anon_sym_RBRACK,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4517), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13390), 1,
      sym__binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150161] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    ACTIONS(8526), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4518), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13875), 1,
      sym__binding_pattern,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150287] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    ACTIONS(8528), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4519), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13564), 1,
      sym__binding_pattern,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8098), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [150481] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5131), 1,
      sym__lowercase_identifier,
    ACTIONS(5133), 1,
      anon_sym_LPAREN,
    ACTIONS(5135), 1,
      anon_sym_LBRACK,
    ACTIONS(5139), 1,
      anon_sym_LBRACE,
    ACTIONS(5141), 1,
      anon_sym_POUND,
    ACTIONS(5143), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5145), 1,
      anon_sym_lazy,
    ACTIONS(5147), 1,
      anon_sym_begin,
    ACTIONS(5153), 1,
      aux_sym_number_token1,
    ACTIONS(5155), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5157), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_DQUOTE,
    ACTIONS(5161), 1,
      sym__uppercase_identifier,
    ACTIONS(5163), 1,
      aux_sym_tag_token1,
    ACTIONS(7605), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7607), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2437), 1,
      sym_tag,
    STATE(2438), 1,
      sym_constructor_path,
    STATE(2471), 1,
      sym__binding_pattern,
    STATE(4521), 1,
      sym_attribute,
    STATE(5326), 1,
      sym__signed_constant,
    STATE(5355), 1,
      sym__constructor_name,
    STATE(5417), 1,
      sym_record_binding_pattern,
    STATE(5418), 1,
      sym_list_binding_pattern,
    STATE(5419), 1,
      sym_array_binding_pattern,
    STATE(5449), 1,
      sym_parenthesized_operator,
    STATE(11127), 1,
      sym_let_binding,
    STATE(17786), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5137), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5265), 2,
      sym__constant,
      sym_signed_number,
    STATE(5352), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5416), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150607] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    ACTIONS(8530), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4522), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13875), 1,
      sym__binding_pattern,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150733] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    ACTIONS(8532), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4523), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13875), 1,
      sym__binding_pattern,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150859] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5199), 1,
      sym__lowercase_identifier,
    ACTIONS(5201), 1,
      anon_sym_LPAREN,
    ACTIONS(5203), 1,
      anon_sym_LBRACK,
    ACTIONS(5207), 1,
      anon_sym_LBRACE,
    ACTIONS(5209), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5213), 1,
      anon_sym_lazy,
    ACTIONS(5215), 1,
      anon_sym_begin,
    ACTIONS(5221), 1,
      aux_sym_number_token1,
    ACTIONS(5223), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5225), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_DQUOTE,
    ACTIONS(5229), 1,
      sym__uppercase_identifier,
    ACTIONS(5231), 1,
      aux_sym_tag_token1,
    ACTIONS(8452), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8454), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2440), 1,
      sym_tag,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(2475), 1,
      sym__binding_pattern,
    STATE(4524), 1,
      sym_attribute,
    STATE(5506), 1,
      sym__signed_constant,
    STATE(5508), 1,
      sym__constructor_name,
    STATE(5559), 1,
      sym_parenthesized_operator,
    STATE(5680), 1,
      sym_record_binding_pattern,
    STATE(5683), 1,
      sym_list_binding_pattern,
    STATE(5685), 1,
      sym_array_binding_pattern,
    STATE(11127), 1,
      sym_let_binding,
    STATE(18264), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5205), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5415), 2,
      sym__constant,
      sym_signed_number,
    STATE(5507), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5679), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150985] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8534), 1,
      anon_sym_COLON,
    STATE(4525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8322), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [151055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8434), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [151123] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    ACTIONS(8536), 1,
      anon_sym_RBRACK,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4527), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(14003), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151249] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    ACTIONS(8538), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4528), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13875), 1,
      sym__binding_pattern,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8434), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [151443] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4530), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14680), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151569] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    ACTIONS(8540), 1,
      anon_sym_RBRACK,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4531), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(14003), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151695] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    ACTIONS(8542), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4532), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13875), 1,
      sym__binding_pattern,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8098), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [151889] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    ACTIONS(8544), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4534), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13875), 1,
      sym__binding_pattern,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152015] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4535), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(15095), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152141] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5131), 1,
      sym__lowercase_identifier,
    ACTIONS(5133), 1,
      anon_sym_LPAREN,
    ACTIONS(5135), 1,
      anon_sym_LBRACK,
    ACTIONS(5139), 1,
      anon_sym_LBRACE,
    ACTIONS(5141), 1,
      anon_sym_POUND,
    ACTIONS(5143), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5145), 1,
      anon_sym_lazy,
    ACTIONS(5147), 1,
      anon_sym_begin,
    ACTIONS(5153), 1,
      aux_sym_number_token1,
    ACTIONS(5155), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5157), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_DQUOTE,
    ACTIONS(5161), 1,
      sym__uppercase_identifier,
    ACTIONS(5163), 1,
      aux_sym_tag_token1,
    ACTIONS(7605), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7607), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2437), 1,
      sym_tag,
    STATE(2438), 1,
      sym_constructor_path,
    STATE(2471), 1,
      sym__binding_pattern,
    STATE(4536), 1,
      sym_attribute,
    STATE(5326), 1,
      sym__signed_constant,
    STATE(5355), 1,
      sym__constructor_name,
    STATE(5417), 1,
      sym_record_binding_pattern,
    STATE(5418), 1,
      sym_list_binding_pattern,
    STATE(5419), 1,
      sym_array_binding_pattern,
    STATE(5449), 1,
      sym_parenthesized_operator,
    STATE(11218), 1,
      sym_let_binding,
    STATE(17786), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5137), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5265), 2,
      sym__constant,
      sym_signed_number,
    STATE(5352), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5416), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152267] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    ACTIONS(8546), 1,
      anon_sym_RBRACK,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4537), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(13686), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152393] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    ACTIONS(8548), 1,
      anon_sym_RBRACK,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4538), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13387), 1,
      sym__binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152519] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5131), 1,
      sym__lowercase_identifier,
    ACTIONS(5133), 1,
      anon_sym_LPAREN,
    ACTIONS(5135), 1,
      anon_sym_LBRACK,
    ACTIONS(5139), 1,
      anon_sym_LBRACE,
    ACTIONS(5141), 1,
      anon_sym_POUND,
    ACTIONS(5143), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5145), 1,
      anon_sym_lazy,
    ACTIONS(5147), 1,
      anon_sym_begin,
    ACTIONS(5153), 1,
      aux_sym_number_token1,
    ACTIONS(5155), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5157), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_DQUOTE,
    ACTIONS(5161), 1,
      sym__uppercase_identifier,
    ACTIONS(5163), 1,
      aux_sym_tag_token1,
    ACTIONS(7605), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7607), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2437), 1,
      sym_tag,
    STATE(2438), 1,
      sym_constructor_path,
    STATE(2471), 1,
      sym__binding_pattern,
    STATE(4539), 1,
      sym_attribute,
    STATE(5326), 1,
      sym__signed_constant,
    STATE(5355), 1,
      sym__constructor_name,
    STATE(5417), 1,
      sym_record_binding_pattern,
    STATE(5418), 1,
      sym_list_binding_pattern,
    STATE(5419), 1,
      sym_array_binding_pattern,
    STATE(5449), 1,
      sym_parenthesized_operator,
    STATE(11222), 1,
      sym_let_binding,
    STATE(17786), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5137), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5265), 2,
      sym__constant,
      sym_signed_number,
    STATE(5352), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5416), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152645] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    ACTIONS(8550), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4540), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13689), 1,
      sym__binding_pattern,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152771] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5199), 1,
      sym__lowercase_identifier,
    ACTIONS(5201), 1,
      anon_sym_LPAREN,
    ACTIONS(5203), 1,
      anon_sym_LBRACK,
    ACTIONS(5207), 1,
      anon_sym_LBRACE,
    ACTIONS(5209), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5213), 1,
      anon_sym_lazy,
    ACTIONS(5215), 1,
      anon_sym_begin,
    ACTIONS(5221), 1,
      aux_sym_number_token1,
    ACTIONS(5223), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5225), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_DQUOTE,
    ACTIONS(5229), 1,
      sym__uppercase_identifier,
    ACTIONS(5231), 1,
      aux_sym_tag_token1,
    ACTIONS(8452), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8454), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2440), 1,
      sym_tag,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(2475), 1,
      sym__binding_pattern,
    STATE(4541), 1,
      sym_attribute,
    STATE(5506), 1,
      sym__signed_constant,
    STATE(5508), 1,
      sym__constructor_name,
    STATE(5559), 1,
      sym_parenthesized_operator,
    STATE(5680), 1,
      sym_record_binding_pattern,
    STATE(5683), 1,
      sym_list_binding_pattern,
    STATE(5685), 1,
      sym_array_binding_pattern,
    STATE(11595), 1,
      sym_let_binding,
    STATE(18264), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5205), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5415), 2,
      sym__constant,
      sym_signed_number,
    STATE(5507), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5679), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [152897] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4965), 1,
      anon_sym_LPAREN,
    ACTIONS(4967), 1,
      anon_sym_LBRACK,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_POUND,
    ACTIONS(4975), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_lazy,
    ACTIONS(4979), 1,
      anon_sym_begin,
    ACTIONS(4985), 1,
      aux_sym_number_token1,
    ACTIONS(4987), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4989), 1,
      anon_sym_SQUOTE,
    ACTIONS(4991), 1,
      anon_sym_DQUOTE,
    ACTIONS(4993), 1,
      sym__uppercase_identifier,
    ACTIONS(4995), 1,
      aux_sym_tag_token1,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_tag,
    STATE(2428), 1,
      sym_constructor_path,
    STATE(2463), 1,
      sym__binding_pattern,
    STATE(4542), 1,
      sym_attribute,
    STATE(5317), 1,
      sym__constructor_name,
    STATE(5336), 1,
      sym__signed_constant,
    STATE(5429), 1,
      sym_record_binding_pattern,
    STATE(5434), 1,
      sym_list_binding_pattern,
    STATE(5442), 1,
      sym_array_binding_pattern,
    STATE(5488), 1,
      sym_parenthesized_operator,
    STATE(11127), 1,
      sym_let_binding,
    STATE(18300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4969), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5264), 2,
      sym__constant,
      sym_signed_number,
    STATE(5369), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5518), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153023] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5165), 1,
      sym__lowercase_identifier,
    ACTIONS(5167), 1,
      anon_sym_LPAREN,
    ACTIONS(5169), 1,
      anon_sym_LBRACK,
    ACTIONS(5173), 1,
      anon_sym_LBRACE,
    ACTIONS(5175), 1,
      anon_sym_POUND,
    ACTIONS(5177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5179), 1,
      anon_sym_lazy,
    ACTIONS(5181), 1,
      anon_sym_begin,
    ACTIONS(5187), 1,
      aux_sym_number_token1,
    ACTIONS(5189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5191), 1,
      anon_sym_SQUOTE,
    ACTIONS(5193), 1,
      anon_sym_DQUOTE,
    ACTIONS(5195), 1,
      sym__uppercase_identifier,
    ACTIONS(5197), 1,
      aux_sym_tag_token1,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2439), 1,
      sym_tag,
    STATE(2442), 1,
      sym_constructor_path,
    STATE(2477), 1,
      sym__binding_pattern,
    STATE(4543), 1,
      sym_attribute,
    STATE(5389), 1,
      sym__signed_constant,
    STATE(5475), 1,
      sym__constructor_name,
    STATE(5535), 1,
      sym_list_binding_pattern,
    STATE(5552), 1,
      sym_array_binding_pattern,
    STATE(5661), 1,
      sym_parenthesized_operator,
    STATE(5706), 1,
      sym_record_binding_pattern,
    STATE(11687), 1,
      sym_let_binding,
    STATE(19313), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5505), 2,
      sym__constant,
      sym_signed_number,
    STATE(5489), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5687), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153149] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    ACTIONS(8552), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4544), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13875), 1,
      sym__binding_pattern,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153275] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8554), 1,
      anon_sym_COLON,
    STATE(4545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8322), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [153345] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    ACTIONS(8556), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4546), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13875), 1,
      sym__binding_pattern,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153471] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    ACTIONS(8558), 1,
      anon_sym_RBRACK,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4547), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(14003), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153597] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    ACTIONS(8560), 1,
      anon_sym_RBRACK,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4548), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(14003), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153723] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    ACTIONS(8562), 1,
      anon_sym_RBRACK,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4549), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(14003), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153849] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5165), 1,
      sym__lowercase_identifier,
    ACTIONS(5167), 1,
      anon_sym_LPAREN,
    ACTIONS(5169), 1,
      anon_sym_LBRACK,
    ACTIONS(5173), 1,
      anon_sym_LBRACE,
    ACTIONS(5175), 1,
      anon_sym_POUND,
    ACTIONS(5177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5179), 1,
      anon_sym_lazy,
    ACTIONS(5181), 1,
      anon_sym_begin,
    ACTIONS(5187), 1,
      aux_sym_number_token1,
    ACTIONS(5189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5191), 1,
      anon_sym_SQUOTE,
    ACTIONS(5193), 1,
      anon_sym_DQUOTE,
    ACTIONS(5195), 1,
      sym__uppercase_identifier,
    ACTIONS(5197), 1,
      aux_sym_tag_token1,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2439), 1,
      sym_tag,
    STATE(2442), 1,
      sym_constructor_path,
    STATE(2477), 1,
      sym__binding_pattern,
    STATE(4550), 1,
      sym_attribute,
    STATE(5389), 1,
      sym__signed_constant,
    STATE(5475), 1,
      sym__constructor_name,
    STATE(5535), 1,
      sym_list_binding_pattern,
    STATE(5552), 1,
      sym_array_binding_pattern,
    STATE(5661), 1,
      sym_parenthesized_operator,
    STATE(5706), 1,
      sym_record_binding_pattern,
    STATE(11574), 1,
      sym_let_binding,
    STATE(19313), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5505), 2,
      sym__constant,
      sym_signed_number,
    STATE(5489), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5687), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153975] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    ACTIONS(8564), 1,
      anon_sym_RBRACK,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4551), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(14003), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154101] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5131), 1,
      sym__lowercase_identifier,
    ACTIONS(5133), 1,
      anon_sym_LPAREN,
    ACTIONS(5135), 1,
      anon_sym_LBRACK,
    ACTIONS(5139), 1,
      anon_sym_LBRACE,
    ACTIONS(5141), 1,
      anon_sym_POUND,
    ACTIONS(5143), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5145), 1,
      anon_sym_lazy,
    ACTIONS(5147), 1,
      anon_sym_begin,
    ACTIONS(5153), 1,
      aux_sym_number_token1,
    ACTIONS(5155), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5157), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_DQUOTE,
    ACTIONS(5161), 1,
      sym__uppercase_identifier,
    ACTIONS(5163), 1,
      aux_sym_tag_token1,
    ACTIONS(7605), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7607), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2437), 1,
      sym_tag,
    STATE(2438), 1,
      sym_constructor_path,
    STATE(2471), 1,
      sym__binding_pattern,
    STATE(4552), 1,
      sym_attribute,
    STATE(5326), 1,
      sym__signed_constant,
    STATE(5355), 1,
      sym__constructor_name,
    STATE(5417), 1,
      sym_record_binding_pattern,
    STATE(5418), 1,
      sym_list_binding_pattern,
    STATE(5419), 1,
      sym_array_binding_pattern,
    STATE(5449), 1,
      sym_parenthesized_operator,
    STATE(11111), 1,
      sym_let_binding,
    STATE(17786), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5137), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5265), 2,
      sym__constant,
      sym_signed_number,
    STATE(5352), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5416), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154227] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    ACTIONS(8566), 1,
      anon_sym_RBRACK,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4553), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(14003), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154353] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4965), 1,
      anon_sym_LPAREN,
    ACTIONS(4967), 1,
      anon_sym_LBRACK,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_POUND,
    ACTIONS(4975), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_lazy,
    ACTIONS(4979), 1,
      anon_sym_begin,
    ACTIONS(4985), 1,
      aux_sym_number_token1,
    ACTIONS(4987), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4989), 1,
      anon_sym_SQUOTE,
    ACTIONS(4991), 1,
      anon_sym_DQUOTE,
    ACTIONS(4993), 1,
      sym__uppercase_identifier,
    ACTIONS(4995), 1,
      aux_sym_tag_token1,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_tag,
    STATE(2428), 1,
      sym_constructor_path,
    STATE(2463), 1,
      sym__binding_pattern,
    STATE(4554), 1,
      sym_attribute,
    STATE(5317), 1,
      sym__constructor_name,
    STATE(5336), 1,
      sym__signed_constant,
    STATE(5429), 1,
      sym_record_binding_pattern,
    STATE(5434), 1,
      sym_list_binding_pattern,
    STATE(5442), 1,
      sym_array_binding_pattern,
    STATE(5488), 1,
      sym_parenthesized_operator,
    STATE(11089), 1,
      sym_let_binding,
    STATE(18300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4969), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5264), 2,
      sym__constant,
      sym_signed_number,
    STATE(5369), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5518), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154479] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    ACTIONS(8568), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4555), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13875), 1,
      sym__binding_pattern,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154605] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    ACTIONS(8570), 1,
      anon_sym_RBRACK,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4556), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(14003), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154731] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5199), 1,
      sym__lowercase_identifier,
    ACTIONS(5201), 1,
      anon_sym_LPAREN,
    ACTIONS(5203), 1,
      anon_sym_LBRACK,
    ACTIONS(5207), 1,
      anon_sym_LBRACE,
    ACTIONS(5209), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5213), 1,
      anon_sym_lazy,
    ACTIONS(5215), 1,
      anon_sym_begin,
    ACTIONS(5221), 1,
      aux_sym_number_token1,
    ACTIONS(5223), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5225), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_DQUOTE,
    ACTIONS(5229), 1,
      sym__uppercase_identifier,
    ACTIONS(5231), 1,
      aux_sym_tag_token1,
    ACTIONS(8452), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8454), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2440), 1,
      sym_tag,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(2475), 1,
      sym__binding_pattern,
    STATE(4557), 1,
      sym_attribute,
    STATE(5506), 1,
      sym__signed_constant,
    STATE(5508), 1,
      sym__constructor_name,
    STATE(5559), 1,
      sym_parenthesized_operator,
    STATE(5680), 1,
      sym_record_binding_pattern,
    STATE(5683), 1,
      sym_list_binding_pattern,
    STATE(5685), 1,
      sym_array_binding_pattern,
    STATE(11596), 1,
      sym_let_binding,
    STATE(18264), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5205), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5415), 2,
      sym__constant,
      sym_signed_number,
    STATE(5507), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5679), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154857] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4558), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14504), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154983] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    ACTIONS(8572), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4559), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13875), 1,
      sym__binding_pattern,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155109] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(2627), 1,
      sym__binding_pattern,
    STATE(4560), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(14712), 1,
      sym_let_binding,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155235] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    ACTIONS(8574), 1,
      anon_sym_RBRACK,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4561), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13420), 1,
      sym__binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155361] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    ACTIONS(8576), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4562), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13424), 1,
      sym__binding_pattern,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155487] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    ACTIONS(8578), 1,
      anon_sym_RBRACK,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4563), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13400), 1,
      sym__binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155613] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    ACTIONS(8580), 1,
      anon_sym_RBRACK,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4564), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(14003), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155739] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    ACTIONS(8582), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4565), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13875), 1,
      sym__binding_pattern,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155865] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    ACTIONS(8584), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4566), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13875), 1,
      sym__binding_pattern,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155991] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    ACTIONS(8586), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4567), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13391), 1,
      sym__binding_pattern,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156117] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    ACTIONS(8588), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4568), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13381), 1,
      sym__binding_pattern,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156243] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    ACTIONS(8590), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4569), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13875), 1,
      sym__binding_pattern,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156369] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    ACTIONS(8592), 1,
      anon_sym_RBRACK,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4570), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(14003), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156495] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5165), 1,
      sym__lowercase_identifier,
    ACTIONS(5167), 1,
      anon_sym_LPAREN,
    ACTIONS(5169), 1,
      anon_sym_LBRACK,
    ACTIONS(5173), 1,
      anon_sym_LBRACE,
    ACTIONS(5175), 1,
      anon_sym_POUND,
    ACTIONS(5177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5179), 1,
      anon_sym_lazy,
    ACTIONS(5181), 1,
      anon_sym_begin,
    ACTIONS(5187), 1,
      aux_sym_number_token1,
    ACTIONS(5189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5191), 1,
      anon_sym_SQUOTE,
    ACTIONS(5193), 1,
      anon_sym_DQUOTE,
    ACTIONS(5195), 1,
      sym__uppercase_identifier,
    ACTIONS(5197), 1,
      aux_sym_tag_token1,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2439), 1,
      sym_tag,
    STATE(2442), 1,
      sym_constructor_path,
    STATE(2477), 1,
      sym__binding_pattern,
    STATE(4571), 1,
      sym_attribute,
    STATE(5389), 1,
      sym__signed_constant,
    STATE(5475), 1,
      sym__constructor_name,
    STATE(5535), 1,
      sym_list_binding_pattern,
    STATE(5552), 1,
      sym_array_binding_pattern,
    STATE(5661), 1,
      sym_parenthesized_operator,
    STATE(5706), 1,
      sym_record_binding_pattern,
    STATE(11127), 1,
      sym_let_binding,
    STATE(19313), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5505), 2,
      sym__constant,
      sym_signed_number,
    STATE(5489), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5687), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156621] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    ACTIONS(8594), 1,
      anon_sym_RBRACK,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4572), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13630), 1,
      sym__binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156747] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    ACTIONS(8596), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4573), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13422), 1,
      sym__binding_pattern,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156873] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    ACTIONS(8598), 1,
      anon_sym_RBRACK,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4574), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(14003), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156999] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    ACTIONS(8600), 1,
      anon_sym_RBRACK,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4575), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(14003), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157125] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4576), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13488), 1,
      sym__binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157248] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4577), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13517), 1,
      sym__binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157371] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4578), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13607), 1,
      sym__binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8434), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [157561] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4580), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(14003), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157684] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      sym__lowercase_identifier,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6715), 1,
      anon_sym_lazy,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(3452), 1,
      sym_constructor_path,
    STATE(3454), 1,
      sym_tag,
    STATE(4581), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10293), 1,
      sym_parenthesized_operator,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13184), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157807] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      sym__lowercase_identifier,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6715), 1,
      anon_sym_lazy,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(3452), 1,
      sym_constructor_path,
    STATE(3454), 1,
      sym_tag,
    STATE(4582), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10293), 1,
      sym_parenthesized_operator,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13834), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157930] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      sym__lowercase_identifier,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6715), 1,
      anon_sym_lazy,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(3452), 1,
      sym_constructor_path,
    STATE(3454), 1,
      sym_tag,
    STATE(4583), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10293), 1,
      sym_parenthesized_operator,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13836), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158053] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6697), 1,
      sym__lowercase_identifier,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6715), 1,
      anon_sym_lazy,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    STATE(3452), 1,
      sym_constructor_path,
    STATE(3454), 1,
      sym_tag,
    STATE(4584), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10293), 1,
      sym_parenthesized_operator,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13837), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158176] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4965), 1,
      anon_sym_LPAREN,
    ACTIONS(4967), 1,
      anon_sym_LBRACK,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_POUND,
    ACTIONS(4975), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_lazy,
    ACTIONS(4979), 1,
      anon_sym_begin,
    ACTIONS(4985), 1,
      aux_sym_number_token1,
    ACTIONS(4987), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4989), 1,
      anon_sym_SQUOTE,
    ACTIONS(4991), 1,
      anon_sym_DQUOTE,
    ACTIONS(4993), 1,
      sym__uppercase_identifier,
    ACTIONS(4995), 1,
      aux_sym_tag_token1,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_tag,
    STATE(2428), 1,
      sym_constructor_path,
    STATE(4585), 1,
      sym_attribute,
    STATE(5317), 1,
      sym__constructor_name,
    STATE(5336), 1,
      sym__signed_constant,
    STATE(5377), 1,
      sym__binding_pattern,
    STATE(5429), 1,
      sym_record_binding_pattern,
    STATE(5434), 1,
      sym_list_binding_pattern,
    STATE(5442), 1,
      sym_array_binding_pattern,
    STATE(5488), 1,
      sym_parenthesized_operator,
    STATE(18300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4969), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5264), 2,
      sym__constant,
      sym_signed_number,
    STATE(5369), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5518), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8098), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [158366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8434), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [158433] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4588), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13808), 1,
      sym__binding_pattern,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158556] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4589), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13845), 1,
      sym__binding_pattern,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158679] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4590), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13846), 1,
      sym__binding_pattern,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158802] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4591), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13847), 1,
      sym__binding_pattern,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158925] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4592), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(14008), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159048] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4593), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(13818), 1,
      sym__binding_pattern,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159171] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4965), 1,
      anon_sym_LPAREN,
    ACTIONS(4967), 1,
      anon_sym_LBRACK,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_POUND,
    ACTIONS(4975), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_lazy,
    ACTIONS(4979), 1,
      anon_sym_begin,
    ACTIONS(4985), 1,
      aux_sym_number_token1,
    ACTIONS(4987), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4989), 1,
      anon_sym_SQUOTE,
    ACTIONS(4991), 1,
      anon_sym_DQUOTE,
    ACTIONS(4993), 1,
      sym__uppercase_identifier,
    ACTIONS(4995), 1,
      aux_sym_tag_token1,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_tag,
    STATE(2428), 1,
      sym_constructor_path,
    STATE(4594), 1,
      sym_attribute,
    STATE(5317), 1,
      sym__constructor_name,
    STATE(5336), 1,
      sym__signed_constant,
    STATE(5412), 1,
      sym__binding_pattern,
    STATE(5429), 1,
      sym_record_binding_pattern,
    STATE(5434), 1,
      sym_list_binding_pattern,
    STATE(5442), 1,
      sym_array_binding_pattern,
    STATE(5488), 1,
      sym_parenthesized_operator,
    STATE(18300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4969), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5264), 2,
      sym__constant,
      sym_signed_number,
    STATE(5369), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5518), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159294] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(4595), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8763), 1,
      sym__binding_pattern,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159417] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5199), 1,
      sym__lowercase_identifier,
    ACTIONS(5201), 1,
      anon_sym_LPAREN,
    ACTIONS(5203), 1,
      anon_sym_LBRACK,
    ACTIONS(5207), 1,
      anon_sym_LBRACE,
    ACTIONS(5209), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5213), 1,
      anon_sym_lazy,
    ACTIONS(5215), 1,
      anon_sym_begin,
    ACTIONS(5221), 1,
      aux_sym_number_token1,
    ACTIONS(5223), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5225), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_DQUOTE,
    ACTIONS(5229), 1,
      sym__uppercase_identifier,
    ACTIONS(5231), 1,
      aux_sym_tag_token1,
    ACTIONS(8452), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8454), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2440), 1,
      sym_tag,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(4596), 1,
      sym_attribute,
    STATE(5506), 1,
      sym__signed_constant,
    STATE(5508), 1,
      sym__constructor_name,
    STATE(5559), 1,
      sym_parenthesized_operator,
    STATE(5570), 1,
      sym__binding_pattern,
    STATE(5680), 1,
      sym_record_binding_pattern,
    STATE(5683), 1,
      sym_list_binding_pattern,
    STATE(5685), 1,
      sym_array_binding_pattern,
    STATE(18264), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5205), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5415), 2,
      sym__constant,
      sym_signed_number,
    STATE(5507), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5679), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159540] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(4597), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8740), 1,
      sym__binding_pattern,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159663] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(4598), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8770), 1,
      sym__binding_pattern,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159786] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5391), 1,
      anon_sym_COLON2,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8602), 1,
      anon_sym_COLON_GT,
    ACTIONS(8604), 1,
      anon_sym_EQ,
    STATE(4599), 1,
      sym_attribute,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(17222), 1,
      sym__polymorphic_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [159907] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7140), 1,
      anon_sym_COLON2,
    ACTIONS(8606), 1,
      sym__lowercase_identifier,
    ACTIONS(8612), 1,
      anon_sym_LPAREN,
    ACTIONS(8615), 1,
      anon_sym_LBRACK,
    ACTIONS(8621), 1,
      anon_sym_LBRACE,
    ACTIONS(8624), 1,
      anon_sym_POUND,
    ACTIONS(8627), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8630), 1,
      anon_sym_begin,
    ACTIONS(8633), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8636), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8639), 1,
      aux_sym_number_token1,
    ACTIONS(8642), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8645), 1,
      anon_sym_SQUOTE,
    ACTIONS(8648), 1,
      anon_sym_DQUOTE,
    ACTIONS(8651), 1,
      sym__uppercase_identifier,
    ACTIONS(8654), 1,
      aux_sym_tag_token1,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8609), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(8618), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4600), 2,
      sym_attribute,
      aux_sym_let_binding_repeat1,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    ACTIONS(7138), 3,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [160022] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5391), 1,
      anon_sym_COLON2,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8657), 1,
      anon_sym_COLON_GT,
    ACTIONS(8659), 1,
      anon_sym_EQ,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4601), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(17403), 1,
      sym__polymorphic_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [160143] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5391), 1,
      anon_sym_COLON2,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8661), 1,
      anon_sym_COLON_GT,
    ACTIONS(8663), 1,
      anon_sym_EQ,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4602), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(16406), 1,
      sym__polymorphic_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [160264] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5391), 1,
      anon_sym_COLON2,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_COLON_GT,
    ACTIONS(8667), 1,
      anon_sym_EQ,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4603), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(16457), 1,
      sym__polymorphic_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [160385] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4965), 1,
      anon_sym_LPAREN,
    ACTIONS(4967), 1,
      anon_sym_LBRACK,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_POUND,
    ACTIONS(4975), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_lazy,
    ACTIONS(4979), 1,
      anon_sym_begin,
    ACTIONS(4985), 1,
      aux_sym_number_token1,
    ACTIONS(4987), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4989), 1,
      anon_sym_SQUOTE,
    ACTIONS(4991), 1,
      anon_sym_DQUOTE,
    ACTIONS(4993), 1,
      sym__uppercase_identifier,
    ACTIONS(4995), 1,
      aux_sym_tag_token1,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_tag,
    STATE(2428), 1,
      sym_constructor_path,
    STATE(4604), 1,
      sym_attribute,
    STATE(5317), 1,
      sym__constructor_name,
    STATE(5336), 1,
      sym__signed_constant,
    STATE(5413), 1,
      sym__binding_pattern,
    STATE(5429), 1,
      sym_record_binding_pattern,
    STATE(5434), 1,
      sym_list_binding_pattern,
    STATE(5442), 1,
      sym_array_binding_pattern,
    STATE(5488), 1,
      sym_parenthesized_operator,
    STATE(18300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4969), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5264), 2,
      sym__constant,
      sym_signed_number,
    STATE(5369), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5518), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [160508] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4965), 1,
      anon_sym_LPAREN,
    ACTIONS(4967), 1,
      anon_sym_LBRACK,
    ACTIONS(4971), 1,
      anon_sym_LBRACE,
    ACTIONS(4973), 1,
      anon_sym_POUND,
    ACTIONS(4975), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4977), 1,
      anon_sym_lazy,
    ACTIONS(4979), 1,
      anon_sym_begin,
    ACTIONS(4985), 1,
      aux_sym_number_token1,
    ACTIONS(4987), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4989), 1,
      anon_sym_SQUOTE,
    ACTIONS(4991), 1,
      anon_sym_DQUOTE,
    ACTIONS(4993), 1,
      sym__uppercase_identifier,
    ACTIONS(4995), 1,
      aux_sym_tag_token1,
    ACTIONS(7599), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7601), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_tag,
    STATE(2428), 1,
      sym_constructor_path,
    STATE(4605), 1,
      sym_attribute,
    STATE(5317), 1,
      sym__constructor_name,
    STATE(5336), 1,
      sym__signed_constant,
    STATE(5429), 1,
      sym_record_binding_pattern,
    STATE(5432), 1,
      sym__binding_pattern,
    STATE(5434), 1,
      sym_list_binding_pattern,
    STATE(5442), 1,
      sym_array_binding_pattern,
    STATE(5488), 1,
      sym_parenthesized_operator,
    STATE(18300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4969), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5264), 2,
      sym__constant,
      sym_signed_number,
    STATE(5369), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5518), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [160631] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(7645), 1,
      sym__uppercase_identifier,
    ACTIONS(7647), 1,
      aux_sym_tag_token1,
    ACTIONS(8270), 1,
      sym__lowercase_identifier,
    ACTIONS(8272), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8280), 1,
      anon_sym_lazy,
    STATE(3425), 1,
      sym_constructor_path,
    STATE(3426), 1,
      sym_tag,
    STATE(4606), 1,
      sym_attribute,
    STATE(8009), 1,
      sym__constructor_name,
    STATE(13600), 1,
      sym__signed_constant,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(13875), 1,
      sym__binding_pattern,
    STATE(13959), 1,
      sym_record_binding_pattern,
    STATE(13965), 1,
      sym_list_binding_pattern,
    STATE(13967), 1,
      sym_array_binding_pattern,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13958), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [160754] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5199), 1,
      sym__lowercase_identifier,
    ACTIONS(5201), 1,
      anon_sym_LPAREN,
    ACTIONS(5203), 1,
      anon_sym_LBRACK,
    ACTIONS(5207), 1,
      anon_sym_LBRACE,
    ACTIONS(5209), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5213), 1,
      anon_sym_lazy,
    ACTIONS(5215), 1,
      anon_sym_begin,
    ACTIONS(5221), 1,
      aux_sym_number_token1,
    ACTIONS(5223), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5225), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_DQUOTE,
    ACTIONS(5229), 1,
      sym__uppercase_identifier,
    ACTIONS(5231), 1,
      aux_sym_tag_token1,
    ACTIONS(8452), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8454), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2440), 1,
      sym_tag,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(4607), 1,
      sym_attribute,
    STATE(5506), 1,
      sym__signed_constant,
    STATE(5508), 1,
      sym__constructor_name,
    STATE(5559), 1,
      sym_parenthesized_operator,
    STATE(5571), 1,
      sym__binding_pattern,
    STATE(5680), 1,
      sym_record_binding_pattern,
    STATE(5683), 1,
      sym_list_binding_pattern,
    STATE(5685), 1,
      sym_array_binding_pattern,
    STATE(18264), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5205), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5415), 2,
      sym__constant,
      sym_signed_number,
    STATE(5507), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5679), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [160877] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5165), 1,
      sym__lowercase_identifier,
    ACTIONS(5167), 1,
      anon_sym_LPAREN,
    ACTIONS(5169), 1,
      anon_sym_LBRACK,
    ACTIONS(5173), 1,
      anon_sym_LBRACE,
    ACTIONS(5175), 1,
      anon_sym_POUND,
    ACTIONS(5177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5179), 1,
      anon_sym_lazy,
    ACTIONS(5181), 1,
      anon_sym_begin,
    ACTIONS(5187), 1,
      aux_sym_number_token1,
    ACTIONS(5189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5191), 1,
      anon_sym_SQUOTE,
    ACTIONS(5193), 1,
      anon_sym_DQUOTE,
    ACTIONS(5195), 1,
      sym__uppercase_identifier,
    ACTIONS(5197), 1,
      aux_sym_tag_token1,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2439), 1,
      sym_tag,
    STATE(2442), 1,
      sym_constructor_path,
    STATE(4608), 1,
      sym_attribute,
    STATE(5389), 1,
      sym__signed_constant,
    STATE(5475), 1,
      sym__constructor_name,
    STATE(5535), 1,
      sym_list_binding_pattern,
    STATE(5552), 1,
      sym_array_binding_pattern,
    STATE(5661), 1,
      sym_parenthesized_operator,
    STATE(5669), 1,
      sym__binding_pattern,
    STATE(5706), 1,
      sym_record_binding_pattern,
    STATE(19313), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5505), 2,
      sym__constant,
      sym_signed_number,
    STATE(5489), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5687), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [161000] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5165), 1,
      sym__lowercase_identifier,
    ACTIONS(5167), 1,
      anon_sym_LPAREN,
    ACTIONS(5169), 1,
      anon_sym_LBRACK,
    ACTIONS(5173), 1,
      anon_sym_LBRACE,
    ACTIONS(5175), 1,
      anon_sym_POUND,
    ACTIONS(5177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5179), 1,
      anon_sym_lazy,
    ACTIONS(5181), 1,
      anon_sym_begin,
    ACTIONS(5187), 1,
      aux_sym_number_token1,
    ACTIONS(5189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5191), 1,
      anon_sym_SQUOTE,
    ACTIONS(5193), 1,
      anon_sym_DQUOTE,
    ACTIONS(5195), 1,
      sym__uppercase_identifier,
    ACTIONS(5197), 1,
      aux_sym_tag_token1,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2439), 1,
      sym_tag,
    STATE(2442), 1,
      sym_constructor_path,
    STATE(4609), 1,
      sym_attribute,
    STATE(5389), 1,
      sym__signed_constant,
    STATE(5475), 1,
      sym__constructor_name,
    STATE(5535), 1,
      sym_list_binding_pattern,
    STATE(5552), 1,
      sym_array_binding_pattern,
    STATE(5616), 1,
      sym__binding_pattern,
    STATE(5661), 1,
      sym_parenthesized_operator,
    STATE(5706), 1,
      sym_record_binding_pattern,
    STATE(19313), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5505), 2,
      sym__constant,
      sym_signed_number,
    STATE(5489), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5687), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [161123] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5165), 1,
      sym__lowercase_identifier,
    ACTIONS(5167), 1,
      anon_sym_LPAREN,
    ACTIONS(5169), 1,
      anon_sym_LBRACK,
    ACTIONS(5173), 1,
      anon_sym_LBRACE,
    ACTIONS(5175), 1,
      anon_sym_POUND,
    ACTIONS(5177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5179), 1,
      anon_sym_lazy,
    ACTIONS(5181), 1,
      anon_sym_begin,
    ACTIONS(5187), 1,
      aux_sym_number_token1,
    ACTIONS(5189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5191), 1,
      anon_sym_SQUOTE,
    ACTIONS(5193), 1,
      anon_sym_DQUOTE,
    ACTIONS(5195), 1,
      sym__uppercase_identifier,
    ACTIONS(5197), 1,
      aux_sym_tag_token1,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2439), 1,
      sym_tag,
    STATE(2442), 1,
      sym_constructor_path,
    STATE(4610), 1,
      sym_attribute,
    STATE(5389), 1,
      sym__signed_constant,
    STATE(5475), 1,
      sym__constructor_name,
    STATE(5535), 1,
      sym_list_binding_pattern,
    STATE(5552), 1,
      sym_array_binding_pattern,
    STATE(5617), 1,
      sym__binding_pattern,
    STATE(5661), 1,
      sym_parenthesized_operator,
    STATE(5706), 1,
      sym_record_binding_pattern,
    STATE(19313), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5505), 2,
      sym__constant,
      sym_signed_number,
    STATE(5489), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5687), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [161246] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5165), 1,
      sym__lowercase_identifier,
    ACTIONS(5167), 1,
      anon_sym_LPAREN,
    ACTIONS(5169), 1,
      anon_sym_LBRACK,
    ACTIONS(5173), 1,
      anon_sym_LBRACE,
    ACTIONS(5175), 1,
      anon_sym_POUND,
    ACTIONS(5177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5179), 1,
      anon_sym_lazy,
    ACTIONS(5181), 1,
      anon_sym_begin,
    ACTIONS(5187), 1,
      aux_sym_number_token1,
    ACTIONS(5189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5191), 1,
      anon_sym_SQUOTE,
    ACTIONS(5193), 1,
      anon_sym_DQUOTE,
    ACTIONS(5195), 1,
      sym__uppercase_identifier,
    ACTIONS(5197), 1,
      aux_sym_tag_token1,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2439), 1,
      sym_tag,
    STATE(2442), 1,
      sym_constructor_path,
    STATE(4611), 1,
      sym_attribute,
    STATE(5389), 1,
      sym__signed_constant,
    STATE(5475), 1,
      sym__constructor_name,
    STATE(5535), 1,
      sym_list_binding_pattern,
    STATE(5552), 1,
      sym_array_binding_pattern,
    STATE(5619), 1,
      sym__binding_pattern,
    STATE(5661), 1,
      sym_parenthesized_operator,
    STATE(5706), 1,
      sym_record_binding_pattern,
    STATE(19313), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5505), 2,
      sym__constant,
      sym_signed_number,
    STATE(5489), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5687), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [161369] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5391), 1,
      anon_sym_COLON2,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8669), 1,
      anon_sym_COLON_GT,
    ACTIONS(8671), 1,
      anon_sym_EQ,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4612), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(16922), 1,
      sym__polymorphic_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [161490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8098), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [161557] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5131), 1,
      sym__lowercase_identifier,
    ACTIONS(5133), 1,
      anon_sym_LPAREN,
    ACTIONS(5135), 1,
      anon_sym_LBRACK,
    ACTIONS(5139), 1,
      anon_sym_LBRACE,
    ACTIONS(5141), 1,
      anon_sym_POUND,
    ACTIONS(5143), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5145), 1,
      anon_sym_lazy,
    ACTIONS(5147), 1,
      anon_sym_begin,
    ACTIONS(5153), 1,
      aux_sym_number_token1,
    ACTIONS(5155), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5157), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_DQUOTE,
    ACTIONS(5161), 1,
      sym__uppercase_identifier,
    ACTIONS(5163), 1,
      aux_sym_tag_token1,
    ACTIONS(7605), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7607), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2437), 1,
      sym_tag,
    STATE(2438), 1,
      sym_constructor_path,
    STATE(4614), 1,
      sym_attribute,
    STATE(5326), 1,
      sym__signed_constant,
    STATE(5355), 1,
      sym__constructor_name,
    STATE(5417), 1,
      sym_record_binding_pattern,
    STATE(5418), 1,
      sym_list_binding_pattern,
    STATE(5419), 1,
      sym_array_binding_pattern,
    STATE(5449), 1,
      sym_parenthesized_operator,
    STATE(5462), 1,
      sym__binding_pattern,
    STATE(17786), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5137), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5265), 2,
      sym__constant,
      sym_signed_number,
    STATE(5352), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5416), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [161680] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5131), 1,
      sym__lowercase_identifier,
    ACTIONS(5133), 1,
      anon_sym_LPAREN,
    ACTIONS(5135), 1,
      anon_sym_LBRACK,
    ACTIONS(5139), 1,
      anon_sym_LBRACE,
    ACTIONS(5141), 1,
      anon_sym_POUND,
    ACTIONS(5143), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5145), 1,
      anon_sym_lazy,
    ACTIONS(5147), 1,
      anon_sym_begin,
    ACTIONS(5153), 1,
      aux_sym_number_token1,
    ACTIONS(5155), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5157), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_DQUOTE,
    ACTIONS(5161), 1,
      sym__uppercase_identifier,
    ACTIONS(5163), 1,
      aux_sym_tag_token1,
    ACTIONS(7605), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7607), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2437), 1,
      sym_tag,
    STATE(2438), 1,
      sym_constructor_path,
    STATE(4615), 1,
      sym_attribute,
    STATE(5326), 1,
      sym__signed_constant,
    STATE(5355), 1,
      sym__constructor_name,
    STATE(5417), 1,
      sym_record_binding_pattern,
    STATE(5418), 1,
      sym_list_binding_pattern,
    STATE(5419), 1,
      sym_array_binding_pattern,
    STATE(5449), 1,
      sym_parenthesized_operator,
    STATE(5490), 1,
      sym__binding_pattern,
    STATE(17786), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5137), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5265), 2,
      sym__constant,
      sym_signed_number,
    STATE(5352), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5416), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [161803] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5131), 1,
      sym__lowercase_identifier,
    ACTIONS(5133), 1,
      anon_sym_LPAREN,
    ACTIONS(5135), 1,
      anon_sym_LBRACK,
    ACTIONS(5139), 1,
      anon_sym_LBRACE,
    ACTIONS(5141), 1,
      anon_sym_POUND,
    ACTIONS(5143), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5145), 1,
      anon_sym_lazy,
    ACTIONS(5147), 1,
      anon_sym_begin,
    ACTIONS(5153), 1,
      aux_sym_number_token1,
    ACTIONS(5155), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5157), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_DQUOTE,
    ACTIONS(5161), 1,
      sym__uppercase_identifier,
    ACTIONS(5163), 1,
      aux_sym_tag_token1,
    ACTIONS(7605), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7607), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2437), 1,
      sym_tag,
    STATE(2438), 1,
      sym_constructor_path,
    STATE(4616), 1,
      sym_attribute,
    STATE(5326), 1,
      sym__signed_constant,
    STATE(5355), 1,
      sym__constructor_name,
    STATE(5417), 1,
      sym_record_binding_pattern,
    STATE(5418), 1,
      sym_list_binding_pattern,
    STATE(5419), 1,
      sym_array_binding_pattern,
    STATE(5449), 1,
      sym_parenthesized_operator,
    STATE(5491), 1,
      sym__binding_pattern,
    STATE(17786), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5137), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5265), 2,
      sym__constant,
      sym_signed_number,
    STATE(5352), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5416), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [161926] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5131), 1,
      sym__lowercase_identifier,
    ACTIONS(5133), 1,
      anon_sym_LPAREN,
    ACTIONS(5135), 1,
      anon_sym_LBRACK,
    ACTIONS(5139), 1,
      anon_sym_LBRACE,
    ACTIONS(5141), 1,
      anon_sym_POUND,
    ACTIONS(5143), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5145), 1,
      anon_sym_lazy,
    ACTIONS(5147), 1,
      anon_sym_begin,
    ACTIONS(5153), 1,
      aux_sym_number_token1,
    ACTIONS(5155), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5157), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_DQUOTE,
    ACTIONS(5161), 1,
      sym__uppercase_identifier,
    ACTIONS(5163), 1,
      aux_sym_tag_token1,
    ACTIONS(7605), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7607), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2437), 1,
      sym_tag,
    STATE(2438), 1,
      sym_constructor_path,
    STATE(4617), 1,
      sym_attribute,
    STATE(5326), 1,
      sym__signed_constant,
    STATE(5355), 1,
      sym__constructor_name,
    STATE(5417), 1,
      sym_record_binding_pattern,
    STATE(5418), 1,
      sym_list_binding_pattern,
    STATE(5419), 1,
      sym_array_binding_pattern,
    STATE(5449), 1,
      sym_parenthesized_operator,
    STATE(5494), 1,
      sym__binding_pattern,
    STATE(17786), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5137), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5265), 2,
      sym__constant,
      sym_signed_number,
    STATE(5352), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5416), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [162049] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7856), 1,
      sym__lowercase_identifier,
    ACTIONS(7858), 1,
      anon_sym_lazy,
    STATE(2942), 1,
      sym_constructor_path,
    STATE(2952), 1,
      sym_tag,
    STATE(4618), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(13087), 1,
      sym__signed_constant,
    STATE(13142), 1,
      sym_record_binding_pattern,
    STATE(13143), 1,
      sym_list_binding_pattern,
    STATE(13144), 1,
      sym_array_binding_pattern,
    STATE(13184), 1,
      sym__binding_pattern,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13141), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [162172] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5199), 1,
      sym__lowercase_identifier,
    ACTIONS(5201), 1,
      anon_sym_LPAREN,
    ACTIONS(5203), 1,
      anon_sym_LBRACK,
    ACTIONS(5207), 1,
      anon_sym_LBRACE,
    ACTIONS(5209), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5213), 1,
      anon_sym_lazy,
    ACTIONS(5215), 1,
      anon_sym_begin,
    ACTIONS(5221), 1,
      aux_sym_number_token1,
    ACTIONS(5223), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5225), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_DQUOTE,
    ACTIONS(5229), 1,
      sym__uppercase_identifier,
    ACTIONS(5231), 1,
      aux_sym_tag_token1,
    ACTIONS(8452), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8454), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2440), 1,
      sym_tag,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(4619), 1,
      sym_attribute,
    STATE(5506), 1,
      sym__signed_constant,
    STATE(5508), 1,
      sym__constructor_name,
    STATE(5559), 1,
      sym_parenthesized_operator,
    STATE(5656), 1,
      sym__binding_pattern,
    STATE(5680), 1,
      sym_record_binding_pattern,
    STATE(5683), 1,
      sym_list_binding_pattern,
    STATE(5685), 1,
      sym_array_binding_pattern,
    STATE(18264), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5205), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5415), 2,
      sym__constant,
      sym_signed_number,
    STATE(5507), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5679), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [162295] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5199), 1,
      sym__lowercase_identifier,
    ACTIONS(5201), 1,
      anon_sym_LPAREN,
    ACTIONS(5203), 1,
      anon_sym_LBRACK,
    ACTIONS(5207), 1,
      anon_sym_LBRACE,
    ACTIONS(5209), 1,
      anon_sym_POUND,
    ACTIONS(5211), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5213), 1,
      anon_sym_lazy,
    ACTIONS(5215), 1,
      anon_sym_begin,
    ACTIONS(5221), 1,
      aux_sym_number_token1,
    ACTIONS(5223), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5225), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_DQUOTE,
    ACTIONS(5229), 1,
      sym__uppercase_identifier,
    ACTIONS(5231), 1,
      aux_sym_tag_token1,
    ACTIONS(8452), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8454), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2440), 1,
      sym_tag,
    STATE(2441), 1,
      sym_constructor_path,
    STATE(4620), 1,
      sym_attribute,
    STATE(5506), 1,
      sym__signed_constant,
    STATE(5508), 1,
      sym__constructor_name,
    STATE(5559), 1,
      sym_parenthesized_operator,
    STATE(5569), 1,
      sym__binding_pattern,
    STATE(5680), 1,
      sym_record_binding_pattern,
    STATE(5683), 1,
      sym_list_binding_pattern,
    STATE(5685), 1,
      sym_array_binding_pattern,
    STATE(18264), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5205), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5415), 2,
      sym__constant,
      sym_signed_number,
    STATE(5507), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5679), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [162418] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7255), 1,
      sym__lowercase_identifier,
    ACTIONS(7257), 1,
      anon_sym_LPAREN,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      anon_sym_POUND,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7269), 1,
      anon_sym_lazy,
    ACTIONS(7271), 1,
      anon_sym_begin,
    ACTIONS(7273), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7275), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(7285), 1,
      sym__uppercase_identifier,
    ACTIONS(7287), 1,
      aux_sym_tag_token1,
    STATE(2565), 1,
      sym_constructor_path,
    STATE(2569), 1,
      sym_tag,
    STATE(4621), 1,
      sym_attribute,
    STATE(8643), 1,
      sym__constructor_name,
    STATE(8663), 1,
      sym__signed_constant,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8766), 1,
      sym__binding_pattern,
    STATE(8781), 1,
      sym_record_binding_pattern,
    STATE(8785), 1,
      sym_list_binding_pattern,
    STATE(8786), 1,
      sym_array_binding_pattern,
    STATE(17580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8779), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [162541] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8675), 1,
      anon_sym_DASH_GT,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4622), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19863), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [162659] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8679), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4623), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18372), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [162777] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4624), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18041), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [162895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [162961] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8683), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4626), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18722), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163079] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8685), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4627), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18782), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [163263] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8687), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4629), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19228), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163381] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8689), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4630), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19266), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163499] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8691), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4631), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19515), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163617] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8693), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4632), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19570), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163735] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8695), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4633), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19880), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163853] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8697), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4634), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19936), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163971] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8699), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4635), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(20314), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164089] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8701), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4636), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(17547), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164207] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8703), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4637), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(17765), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164325] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8705), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4638), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19340), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164443] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8707), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4639), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19231), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164561] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8709), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4640), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19652), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164679] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8711), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4641), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18026), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164797] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8713), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4642), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18526), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164915] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8715), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4643), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(17969), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165033] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8717), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4644), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18238), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165151] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8719), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4645), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19608), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165269] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8721), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4646), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19753), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165387] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8723), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4647), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18895), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165505] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(4648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [165573] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8725), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4649), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18265), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165691] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8727), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4650), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18182), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165809] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8729), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4651), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18477), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165927] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8731), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4652), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(20302), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166045] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8733), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4653), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(17579), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166163] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8735), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4654), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(17964), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166281] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8737), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4655), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18057), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166399] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8739), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4656), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19125), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166517] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8741), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4657), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19186), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166635] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8743), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4658), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19537), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166753] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8745), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4659), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19604), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166871] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8747), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4660), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19001), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166989] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8749), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4661), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18333), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167107] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8751), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4662), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(17553), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167225] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8753), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4663), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19952), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167343] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8755), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4664), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18654), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167461] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8757), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4665), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(20297), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167579] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8759), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4666), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(20332), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167697] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8761), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4667), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19194), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167815] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8763), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4668), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18028), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167933] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8765), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4669), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18047), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168051] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8767), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4670), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18382), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168169] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8769), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4671), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18884), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168287] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8771), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4672), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(17604), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168405] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8773), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4673), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(17745), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168523] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8779), 1,
      aux_sym_attribute_id_token1,
    STATE(4674), 1,
      sym_attribute,
    STATE(4719), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8777), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8775), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [168593] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8781), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4675), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18299), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168711] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8783), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4676), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18466), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168829] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8785), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4677), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19020), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168947] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8787), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4678), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(17813), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [169065] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4679), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19956), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [169183] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8791), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4680), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(20110), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [169301] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8793), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4681), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(17600), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [169419] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8795), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4682), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(17641), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [169537] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8797), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4683), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(17799), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [169655] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8799), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4684), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(17850), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [169773] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8801), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4685), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18023), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [169891] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8803), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4686), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18066), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170009] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8805), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4687), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18247), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170127] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8807), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4688), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18266), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170245] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8809), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4689), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18355), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170363] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8811), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4690), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18365), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170481] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8813), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4691), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18304), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170599] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8815), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4692), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18035), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170717] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8817), 1,
      anon_sym_LT_DASH,
    STATE(4693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [170785] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8819), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4694), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19771), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170903] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8821), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4695), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19773), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171021] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8823), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4696), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19905), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171139] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8825), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4697), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19907), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171257] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8827), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4698), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18126), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171375] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8829), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4699), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(17749), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171493] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8831), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4700), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19505), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171611] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8833), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4701), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19154), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171729] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8835), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4702), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19281), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171847] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8837), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4703), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18281), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171965] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8839), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4704), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19392), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172083] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8841), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4705), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19564), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172201] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8843), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4706), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(19981), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172319] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8845), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4707), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    STATE(20099), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [172503] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8847), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4709), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18717), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172621] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8849), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4710), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(17565), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172739] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8851), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4711), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(17615), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172857] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8853), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4712), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(17739), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172975] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8855), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4713), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18518), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [173159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [173225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [173291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [173357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [173423] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8779), 1,
      aux_sym_attribute_id_token1,
    STATE(4719), 1,
      sym_attribute,
    STATE(4721), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8859), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8857), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [173493] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8861), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4720), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18500), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173611] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8867), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4721), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8865), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8863), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [173679] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8870), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4722), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19095), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [173863] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8872), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4724), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(17919), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173981] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8874), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4725), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(17973), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174099] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8876), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4726), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(18317), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174217] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8673), 1,
      anon_sym_COLON2,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8878), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4727), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19123), 1,
      sym__simple_typed,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174335] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4681), 1,
      aux_sym_let_binding_repeat1,
    STATE(4728), 1,
      sym_attribute,
    STATE(5031), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175035] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8880), 1,
      anon_sym_LT_DASH,
    STATE(4738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175492] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4709), 1,
      aux_sym_let_binding_repeat1,
    STATE(4745), 1,
      sym_attribute,
    STATE(5000), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [175607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176062] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(4753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176584] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4547), 1,
      anon_sym_DOT,
    ACTIONS(4549), 1,
      anon_sym_POUND,
    ACTIONS(4551), 1,
      sym_hash_operator,
    STATE(4761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177110] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4703), 1,
      aux_sym_let_binding_repeat1,
    STATE(4769), 1,
      sym_attribute,
    STATE(4950), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [177225] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8882), 1,
      anon_sym_LT_DASH,
    STATE(4770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177292] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4547), 1,
      anon_sym_DOT,
    ACTIONS(4549), 1,
      anon_sym_POUND,
    ACTIONS(4551), 1,
      sym_hash_operator,
    STATE(4771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177363] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4694), 1,
      aux_sym_let_binding_repeat1,
    STATE(4772), 1,
      sym_attribute,
    STATE(4957), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [177478] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4712), 1,
      aux_sym_let_binding_repeat1,
    STATE(4773), 1,
      sym_attribute,
    STATE(4964), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [177593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177723] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(4776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178180] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4720), 1,
      aux_sym_let_binding_repeat1,
    STATE(4783), 1,
      sym_attribute,
    STATE(4969), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [178295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178360] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(4785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178752] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4662), 1,
      aux_sym_let_binding_repeat1,
    STATE(4791), 1,
      sym_attribute,
    STATE(4970), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [178867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178997] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4660), 1,
      aux_sym_let_binding_repeat1,
    STATE(4794), 1,
      sym_attribute,
    STATE(4973), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [179112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179177] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4667), 1,
      aux_sym_let_binding_repeat1,
    STATE(4796), 1,
      sym_attribute,
    STATE(4975), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [179292] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4669), 1,
      aux_sym_let_binding_repeat1,
    STATE(4797), 1,
      sym_attribute,
    STATE(4977), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [179407] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4700), 1,
      aux_sym_let_binding_repeat1,
    STATE(4798), 1,
      sym_attribute,
    STATE(4978), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [179522] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4706), 1,
      aux_sym_let_binding_repeat1,
    STATE(4799), 1,
      sym_attribute,
    STATE(4979), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [179637] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4661), 1,
      aux_sym_let_binding_repeat1,
    STATE(4800), 1,
      sym_attribute,
    STATE(4980), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [179752] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4692), 1,
      aux_sym_let_binding_repeat1,
    STATE(4801), 1,
      sym_attribute,
    STATE(4981), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [179867] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4701), 1,
      aux_sym_let_binding_repeat1,
    STATE(4802), 1,
      sym_attribute,
    STATE(4982), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [179982] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4710), 1,
      aux_sym_let_binding_repeat1,
    STATE(4803), 1,
      sym_attribute,
    STATE(4983), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [180097] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4724), 1,
      aux_sym_let_binding_repeat1,
    STATE(4804), 1,
      sym_attribute,
    STATE(4984), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [180212] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4696), 1,
      aux_sym_let_binding_repeat1,
    STATE(4805), 1,
      sym_attribute,
    STATE(4985), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [180327] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4726), 1,
      aux_sym_let_binding_repeat1,
    STATE(4806), 1,
      sym_attribute,
    STATE(4986), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [180442] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4626), 1,
      aux_sym_let_binding_repeat1,
    STATE(4807), 1,
      sym_attribute,
    STATE(4988), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [180557] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4629), 1,
      aux_sym_let_binding_repeat1,
    STATE(4808), 1,
      sym_attribute,
    STATE(4989), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [180672] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4631), 1,
      aux_sym_let_binding_repeat1,
    STATE(4809), 1,
      sym_attribute,
    STATE(4990), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [180787] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4633), 1,
      aux_sym_let_binding_repeat1,
    STATE(4810), 1,
      sym_attribute,
    STATE(4992), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [180902] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4635), 1,
      aux_sym_let_binding_repeat1,
    STATE(4811), 1,
      sym_attribute,
    STATE(4994), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [181017] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4637), 1,
      aux_sym_let_binding_repeat1,
    STATE(4812), 1,
      sym_attribute,
    STATE(4996), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [181132] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4639), 1,
      aux_sym_let_binding_repeat1,
    STATE(4813), 1,
      sym_attribute,
    STATE(4997), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [181247] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4641), 1,
      aux_sym_let_binding_repeat1,
    STATE(4814), 1,
      sym_attribute,
    STATE(4998), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [181362] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4643), 1,
      aux_sym_let_binding_repeat1,
    STATE(4815), 1,
      sym_attribute,
    STATE(4999), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [181477] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4645), 1,
      aux_sym_let_binding_repeat1,
    STATE(4816), 1,
      sym_attribute,
    STATE(5001), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [181592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181852] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4647), 1,
      aux_sym_let_binding_repeat1,
    STATE(4821), 1,
      sym_attribute,
    STATE(5003), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [181967] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4650), 1,
      aux_sym_let_binding_repeat1,
    STATE(4822), 1,
      sym_attribute,
    STATE(5004), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [182082] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4652), 1,
      aux_sym_let_binding_repeat1,
    STATE(4823), 1,
      sym_attribute,
    STATE(5005), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [182197] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4654), 1,
      aux_sym_let_binding_repeat1,
    STATE(4824), 1,
      sym_attribute,
    STATE(5006), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [182312] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4656), 1,
      aux_sym_let_binding_repeat1,
    STATE(4825), 1,
      sym_attribute,
    STATE(5007), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [182427] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4658), 1,
      aux_sym_let_binding_repeat1,
    STATE(4826), 1,
      sym_attribute,
    STATE(5009), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [182542] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4622), 1,
      aux_sym_let_binding_repeat1,
    STATE(4827), 1,
      sym_attribute,
    STATE(5011), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [182657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182722] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4665), 1,
      aux_sym_let_binding_repeat1,
    STATE(4829), 1,
      sym_attribute,
    STATE(5012), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [182837] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4670), 1,
      aux_sym_let_binding_repeat1,
    STATE(4830), 1,
      sym_attribute,
    STATE(5014), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [182952] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4672), 1,
      aux_sym_let_binding_repeat1,
    STATE(4831), 1,
      sym_attribute,
    STATE(5017), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [183067] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4675), 1,
      aux_sym_let_binding_repeat1,
    STATE(4832), 1,
      sym_attribute,
    STATE(5019), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [183182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183247] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4677), 1,
      aux_sym_let_binding_repeat1,
    STATE(4834), 1,
      sym_attribute,
    STATE(5027), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [183362] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4679), 1,
      aux_sym_let_binding_repeat1,
    STATE(4835), 1,
      sym_attribute,
    STATE(5030), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [183477] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4547), 1,
      anon_sym_DOT,
    STATE(4836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183544] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4683), 1,
      aux_sym_let_binding_repeat1,
    STATE(4837), 1,
      sym_attribute,
    STATE(5038), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [183659] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4685), 1,
      aux_sym_let_binding_repeat1,
    STATE(4838), 1,
      sym_attribute,
    STATE(5042), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [183774] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4687), 1,
      aux_sym_let_binding_repeat1,
    STATE(4839), 1,
      sym_attribute,
    STATE(5044), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [183889] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7577), 1,
      anon_sym_PERCENT,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4689), 1,
      aux_sym_let_binding_repeat1,
    STATE(4840), 1,
      sym_attribute,
    STATE(5045), 1,
      sym__attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [184004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8865), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(8863), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [184654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185366] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(4862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185752] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8884), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4868), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [185864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [185992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186120] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8886), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4873), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [186232] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8888), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4874), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [186344] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8890), 1,
      anon_sym_LT_DASH,
    STATE(4875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186538] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4557), 1,
      anon_sym_DOT,
    ACTIONS(4559), 1,
      anon_sym_POUND,
    ACTIONS(4561), 1,
      sym_hash_operator,
    STATE(4878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186608] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(4879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7779), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [186674] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(4880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186868] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4557), 1,
      anon_sym_DOT,
    ACTIONS(4559), 1,
      anon_sym_POUND,
    ACTIONS(4561), 1,
      sym_hash_operator,
    STATE(4883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [186938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187834] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8892), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4898), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [187946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188522] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7735), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [188586] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8894), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4909), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [188698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188954] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7749), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7751), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [189018] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7755), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [189082] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7759), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [189146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189210] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7765), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [189274] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7769), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [189338] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7773), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [189402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189850] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7789), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [189914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [189978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190106] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7846), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [190170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190426] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4557), 1,
      anon_sym_DOT,
    STATE(4937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190940] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8896), 1,
      anon_sym_DASH_GT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4945), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [191052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [191116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [191180] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8016), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [191243] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8898), 1,
      anon_sym_lazy,
    STATE(2925), 1,
      sym_constructor_path,
    STATE(3121), 1,
      sym_tag,
    STATE(4949), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(18012), 1,
      sym_module_path,
    STATE(19222), 1,
      sym__effect_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12912), 13,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [191354] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4704), 1,
      aux_sym_let_binding_repeat1,
    STATE(4950), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [191463] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8248), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [191526] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8252), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [191589] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8256), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [191652] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7735), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [191715] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8260), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [191778] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8898), 1,
      anon_sym_lazy,
    STATE(2925), 1,
      sym_constructor_path,
    STATE(3121), 1,
      sym_tag,
    STATE(4956), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(17522), 1,
      sym__effect_pattern,
    STATE(18012), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12912), 13,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [191889] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4695), 1,
      aux_sym_let_binding_repeat1,
    STATE(4957), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [191998] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7749), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7751), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192061] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7755), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192124] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7759), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192187] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7765), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192250] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7769), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192313] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7773), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192376] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4713), 1,
      aux_sym_let_binding_repeat1,
    STATE(4964), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [192485] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7936), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192548] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(4966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7779), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192613] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8900), 1,
      anon_sym_LT_DASH,
    STATE(4967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7743), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192678] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7735), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192741] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4722), 1,
      aux_sym_let_binding_repeat1,
    STATE(4969), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [192850] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4678), 1,
      aux_sym_let_binding_repeat1,
    STATE(4970), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [192959] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7789), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [193022] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7846), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [193085] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4699), 1,
      aux_sym_let_binding_repeat1,
    STATE(4973), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193194] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8904), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4974), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(8907), 18,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8902), 28,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [193259] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4668), 1,
      aux_sym_let_binding_repeat1,
    STATE(4975), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193368] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7846), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [193431] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4691), 1,
      aux_sym_let_binding_repeat1,
    STATE(4977), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193540] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4705), 1,
      aux_sym_let_binding_repeat1,
    STATE(4978), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193649] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4707), 1,
      aux_sym_let_binding_repeat1,
    STATE(4979), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193758] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4664), 1,
      aux_sym_let_binding_repeat1,
    STATE(4980), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193867] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4698), 1,
      aux_sym_let_binding_repeat1,
    STATE(4981), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193976] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4702), 1,
      aux_sym_let_binding_repeat1,
    STATE(4982), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194085] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4711), 1,
      aux_sym_let_binding_repeat1,
    STATE(4983), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194194] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4725), 1,
      aux_sym_let_binding_repeat1,
    STATE(4984), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194303] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4697), 1,
      aux_sym_let_binding_repeat1,
    STATE(4985), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194412] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4623), 1,
      aux_sym_let_binding_repeat1,
    STATE(4986), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194521] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7966), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194584] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4627), 1,
      aux_sym_let_binding_repeat1,
    STATE(4988), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194693] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4630), 1,
      aux_sym_let_binding_repeat1,
    STATE(4989), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194802] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4632), 1,
      aux_sym_let_binding_repeat1,
    STATE(4990), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194911] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8112), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194974] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4634), 1,
      aux_sym_let_binding_repeat1,
    STATE(4992), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [195083] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8124), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195146] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4994), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [195255] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(4995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7779), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195320] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4638), 1,
      aux_sym_let_binding_repeat1,
    STATE(4996), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [195429] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4640), 1,
      aux_sym_let_binding_repeat1,
    STATE(4997), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [195538] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4642), 1,
      aux_sym_let_binding_repeat1,
    STATE(4998), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [195647] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4644), 1,
      aux_sym_let_binding_repeat1,
    STATE(4999), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [195756] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4624), 1,
      aux_sym_let_binding_repeat1,
    STATE(5000), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [195865] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4646), 1,
      aux_sym_let_binding_repeat1,
    STATE(5001), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [195974] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7920), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196037] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4649), 1,
      aux_sym_let_binding_repeat1,
    STATE(5003), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196146] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4651), 1,
      aux_sym_let_binding_repeat1,
    STATE(5004), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196255] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4653), 1,
      aux_sym_let_binding_repeat1,
    STATE(5005), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196364] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4655), 1,
      aux_sym_let_binding_repeat1,
    STATE(5006), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196473] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4657), 1,
      aux_sym_let_binding_repeat1,
    STATE(5007), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196582] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7852), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196645] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4659), 1,
      aux_sym_let_binding_repeat1,
    STATE(5009), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196754] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8202), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196817] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4663), 1,
      aux_sym_let_binding_repeat1,
    STATE(5011), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196926] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4666), 1,
      aux_sym_let_binding_repeat1,
    STATE(5012), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197035] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7749), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7751), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197098] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4671), 1,
      aux_sym_let_binding_repeat1,
    STATE(5014), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197207] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(5015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8206), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197272] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7743), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197335] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4673), 1,
      aux_sym_let_binding_repeat1,
    STATE(5017), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197444] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8212), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197507] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4676), 1,
      aux_sym_let_binding_repeat1,
    STATE(5019), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197616] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7755), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197679] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7942), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197742] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7948), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197805] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7952), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197868] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7956), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7759), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197994] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4873), 1,
      aux_sym_let_binding_repeat1,
    STATE(5026), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198103] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4727), 1,
      aux_sym_let_binding_repeat1,
    STATE(5027), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198212] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7789), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198275] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8216), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198338] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4680), 1,
      aux_sym_let_binding_repeat1,
    STATE(5030), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198447] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4682), 1,
      aux_sym_let_binding_repeat1,
    STATE(5031), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198556] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8220), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198619] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7902), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198682] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7968), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7970), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198745] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7974), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198808] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7978), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198871] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7982), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198934] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4684), 1,
      aux_sym_let_binding_repeat1,
    STATE(5038), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199043] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7986), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199106] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7990), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199169] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7779), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199232] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4686), 1,
      aux_sym_let_binding_repeat1,
    STATE(5042), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199341] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8226), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199404] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4688), 1,
      aux_sym_let_binding_repeat1,
    STATE(5044), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199513] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4690), 1,
      aux_sym_let_binding_repeat1,
    STATE(5045), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199622] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8230), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199685] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7996), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199748] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4567), 1,
      anon_sym_DOT,
    STATE(5048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8000), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199813] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8234), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199876] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8238), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199939] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4945), 1,
      aux_sym_let_binding_repeat1,
    STATE(5051), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200048] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8004), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200111] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8008), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200174] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8012), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200237] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8144), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200300] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8020), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200363] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8024), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200426] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4868), 1,
      aux_sym_let_binding_repeat1,
    STATE(5058), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200535] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8028), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200598] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8032), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200661] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8036), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200724] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8040), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200787] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8044), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200850] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8048), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200913] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4874), 1,
      aux_sym_let_binding_repeat1,
    STATE(5065), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201022] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8052), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201085] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8056), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201148] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8060), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201211] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8264), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201274] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8909), 1,
      anon_sym_COLON,
    STATE(5070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8322), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [201339] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4898), 1,
      aux_sym_let_binding_repeat1,
    STATE(5071), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201448] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8066), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201511] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8070), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201574] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8074), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201637] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8078), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201700] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(5076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8206), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201765] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7765), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201828] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5381), 1,
      anon_sym_LPAREN,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4909), 1,
      aux_sym_let_binding_repeat1,
    STATE(5078), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10102), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5379), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10099), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201937] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      sym__uppercase_identifier,
    ACTIONS(4957), 1,
      aux_sym_tag_token1,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8898), 1,
      anon_sym_lazy,
    STATE(2925), 1,
      sym_constructor_path,
    STATE(3121), 1,
      sym_tag,
    STATE(5079), 1,
      sym_attribute,
    STATE(8373), 1,
      sym__constructor_name,
    STATE(18012), 1,
      sym_module_path,
    STATE(19286), 1,
      sym__effect_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(12908), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12912), 13,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [202048] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8088), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202111] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8244), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202174] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8096), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202237] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4567), 1,
      anon_sym_DOT,
    ACTIONS(4569), 1,
      anon_sym_POUND,
    ACTIONS(4571), 1,
      sym_hash_operator,
    STATE(5083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8100), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202306] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8104), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202369] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4567), 1,
      anon_sym_DOT,
    ACTIONS(4569), 1,
      anon_sym_POUND,
    ACTIONS(4571), 1,
      sym_hash_operator,
    STATE(5085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8108), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202438] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8116), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202501] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7769), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202564] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8130), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202627] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7773), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202690] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8140), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202753] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8150), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202816] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8156), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202879] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8160), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202942] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8164), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203005] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8174), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203068] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8120), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203131] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8911), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5097), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(8907), 17,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8902), 29,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [203196] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7960), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203259] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8216), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203321] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8226), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203383] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8174), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203445] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8088), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203507] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7982), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203569] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(5104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7779), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203633] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7743), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203695] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7956), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203757] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8160), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203819] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8116), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203881] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8914), 1,
      anon_sym_COLON,
    STATE(5109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8322), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [203945] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7952), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204007] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7743), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8916), 29,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [204131] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8144), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8434), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [204255] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8174), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204317] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7779), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204379] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8920), 1,
      anon_sym_LT_DASH,
    STATE(5117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7743), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204443] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7852), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204505] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7942), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204567] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7920), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204629] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7948), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204691] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8202), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204753] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8028), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204815] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7952), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204877] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7956), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204939] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8032), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205001] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7960), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7960), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205125] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7789), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205187] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7986), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205249] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7968), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7970), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205311] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(5132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8206), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205375] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7990), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205437] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7974), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205499] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(5135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8206), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205563] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7852), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205625] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7978), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205687] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8202), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205749] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8212), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205811] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8220), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205873] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8226), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205935] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8230), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205997] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8234), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206059] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8238), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206121] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8248), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206183] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8252), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206245] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8256), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206307] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8036), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206369] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8260), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206431] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(5150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8206), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206495] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7936), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206557] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7902), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206619] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8264), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206681] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(5154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8206), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206745] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8244), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206807] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7982), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206869] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8040), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7986), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206993] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8044), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207055] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7990), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207117] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8212), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207179] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(5162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8206), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207243] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8048), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207305] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4577), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_POUND,
    ACTIONS(4581), 1,
      sym_hash_operator,
    STATE(5164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8100), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207373] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7996), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207435] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8052), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207497] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4587), 1,
      anon_sym_DOT,
    STATE(5167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8000), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207561] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8216), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207623] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8004), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207685] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7966), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207747] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8112), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207809] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8124), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207871] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7920), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207933] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8150), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207995] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8104), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208057] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8056), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208119] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8008), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208181] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8060), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208243] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8012), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208305] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4577), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_POUND,
    ACTIONS(4581), 1,
      sym_hash_operator,
    STATE(5180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8108), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208373] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8234), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208435] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8016), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208497] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8020), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208559] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8004), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208621] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8024), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208683] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8028), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208745] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8032), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208807] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8036), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208869] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7846), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8040), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208993] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8008), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209055] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8044), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209117] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8048), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209179] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8052), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209241] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8056), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209303] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8066), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209365] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8060), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209427] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8066), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209489] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8070), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209551] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8220), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209613] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8074), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [209737] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8078), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209799] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7948), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209861] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8248), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209923] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8070), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209985] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4587), 1,
      anon_sym_DOT,
    ACTIONS(4589), 1,
      anon_sym_POUND,
    ACTIONS(4591), 1,
      sym_hash_operator,
    STATE(5207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8108), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210053] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8074), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210115] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8088), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210177] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8078), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210239] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7968), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7970), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210301] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7749), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7751), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210363] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8012), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210425] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8016), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210487] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8252), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210549] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8020), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210611] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8096), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210673] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7974), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210735] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8256), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210797] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8260), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210859] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7755), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210921] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7759), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210983] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8140), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211045] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8112), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211107] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7996), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211169] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8104), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211231] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8096), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211293] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8238), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211355] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8264), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211417] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7978), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211479] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4577), 1,
      anon_sym_DOT,
    STATE(5231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8000), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211543] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8156), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211605] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8024), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211667] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8230), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211729] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8120), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211791] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8922), 1,
      anon_sym_LT_DASH,
    STATE(5236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7743), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211855] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8124), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211917] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8116), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211979] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8120), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212041] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(5240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8206), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212105] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7966), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212167] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7936), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212229] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7902), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212291] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8130), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212353] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8244), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212415] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8140), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212477] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8144), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212539] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7765), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212601] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8150), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212663] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8156), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212725] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8160), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212787] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8164), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212849] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7769), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212911] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7779), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8916), 28,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [213035] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4587), 1,
      anon_sym_DOT,
    ACTIONS(4589), 1,
      anon_sym_POUND,
    ACTIONS(4591), 1,
      sym_hash_operator,
    STATE(5256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8100), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213103] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(5257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [213167] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7735), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213229] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7773), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213291] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8130), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213353] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7942), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213415] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(5262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [213479] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8164), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8924), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8926), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8924), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8926), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213663] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8060), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213724] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8112), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213785] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8124), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213846] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8028), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213907] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7920), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7852), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214029] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8160), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214090] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8164), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7902), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7936), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214273] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7779), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8930), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8928), 34,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [214395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8434), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [214456] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(5279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8206), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214519] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8104), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214580] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(5281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8206), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8932), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8934), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214704] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8216), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214826] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8036), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214887] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8226), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214948] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(5287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [215011] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8116), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [215133] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8066), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8202), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215255] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(5292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8206), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215318] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8070), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215379] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8244), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215440] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8130), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215501] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7852), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215562] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8020), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215623] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8040), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215684] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8140), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [215806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8238), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215867] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8202), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215928] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(5303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8206), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8264), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8234), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216113] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8144), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216174] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8212), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216235] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(5308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [216298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8226), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216359] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8096), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216420] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8220), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216481] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8024), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216542] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8074), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216603] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8078), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216664] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7743), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8932), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8934), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216847] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8230), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216908] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8016), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216969] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8936), 1,
      anon_sym_COLON,
    STATE(5320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8324), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217032] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8938), 1,
      anon_sym_LT_DASH,
    STATE(5321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7743), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217095] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8234), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8942), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8940), 34,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [217217] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8056), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217278] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4657), 1,
      anon_sym_DOT,
    ACTIONS(4659), 1,
      anon_sym_POUND,
    ACTIONS(4661), 1,
      sym_hash_operator,
    STATE(5325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8100), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217345] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8944), 1,
      anon_sym_DOT_DOT,
    STATE(5326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4961), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(4963), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [217408] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7942), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217469] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8150), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8946), 34,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [217591] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7948), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217652] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8248), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217713] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8252), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217774] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7952), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217835] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8256), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217896] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7956), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217957] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8950), 1,
      anon_sym_DOT_DOT,
    STATE(5336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4963), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(4961), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218020] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4657), 1,
      anon_sym_DOT,
    ACTIONS(4659), 1,
      anon_sym_POUND,
    ACTIONS(4661), 1,
      sym_hash_operator,
    STATE(5337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8108), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218087] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8044), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218148] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8048), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218209] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8052), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218270] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7960), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218331] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8260), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218392] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8032), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218453] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7968), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7970), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218514] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7974), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218575] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7978), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7852), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218758] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7982), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218819] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7936), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218880] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7986), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8212), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219002] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7990), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8174), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [219185] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7902), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8220), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219307] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7996), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219368] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8264), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7902), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8220), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219551] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8120), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219612] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8156), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [219734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8238), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219917] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8088), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8212), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [220100] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4657), 1,
      anon_sym_DOT,
    STATE(5371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8000), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220163] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8004), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220224] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8008), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220285] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7966), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220346] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8012), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220407] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8238), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8952), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8954), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8958), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8956), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [220588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [220648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7902), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8960), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8962), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8966), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [220948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8968), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8970), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7966), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221188] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8972), 1,
      anon_sym_DOT_DOT,
    STATE(5389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4963), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(4961), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8974), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8976), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8978), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8980), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8982), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8984), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8988), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8990), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8992), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [222390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [222510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7920), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222570] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5399), 1,
      anon_sym_COLON_COLON,
    STATE(5412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222632] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5383), 1,
      anon_sym_COMMA,
    ACTIONS(5399), 1,
      anon_sym_COLON_COLON,
    STATE(5413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8998), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9002), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8924), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8926), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4961), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(4963), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9006), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9012), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223116] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9018), 1,
      anon_sym_COLON,
    STATE(5421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8324), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8932), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8934), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9022), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9026), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9030), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9034), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9038), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9040), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9042), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9046), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223778] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5399), 1,
      anon_sym_COLON_COLON,
    STATE(5432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8256), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9012), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8260), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9004), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9054), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9058), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9062), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9066), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8932), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8934), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9070), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8230), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9074), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9078), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9052), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224740] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(5448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [224802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9060), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9082), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9076), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8984), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8982), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8954), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8952), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9068), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8964), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8970), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8968), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8974), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [226002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8980), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8978), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [226062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8986), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [226122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9102), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9028), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [226242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9032), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [226302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9036), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [226362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9040), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [226482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [226542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [226602] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9104), 1,
      anon_sym_COLON,
    STATE(5479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8324), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [226724] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9106), 1,
      anon_sym_LT_DASH,
    STATE(5481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [226906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9098), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8960), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [227026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7852), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8202), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8212), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227266] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5543), 1,
      anon_sym_COLON_COLON,
    STATE(5490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [227328] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5537), 1,
      anon_sym_COMMA,
    ACTIONS(5543), 1,
      anon_sym_COLON_COLON,
    STATE(5491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8998), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [227392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8220), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7902), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227512] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5543), 1,
      anon_sym_COLON_COLON,
    STATE(5494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [227574] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8100), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8226), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [227754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8234), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8238), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8264), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7852), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227994] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8436), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7936), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8924), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8926), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228234] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9108), 1,
      anon_sym_DOT_DOT,
    STATE(5506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4961), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(4963), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8212), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8220), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9086), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9090), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9024), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [228776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7779), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8238), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4963), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(4961), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8958), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8230), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8990), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8992), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229253] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(5523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229314] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8436), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8958), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229727] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4847), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_POUND,
    ACTIONS(4851), 1,
      sym_hash_operator,
    STATE(5531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8990), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229851] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8100), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8968), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8970), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9012), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9004), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230205] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8100), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9058), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9058), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230677] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8436), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7779), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231149] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4847), 1,
      anon_sym_DOT,
    STATE(5555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8988), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8960), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8962), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9022), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9026), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231977] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5643), 1,
      anon_sym_COLON_COLON,
    STATE(5569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [232038] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5637), 1,
      anon_sym_COMMA,
    ACTIONS(5643), 1,
      anon_sym_COLON_COLON,
    STATE(5570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8998), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [232101] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5643), 1,
      anon_sym_COLON_COLON,
    STATE(5571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [232162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8958), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7966), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7920), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232811] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9110), 1,
      anon_sym_LT_DASH,
    STATE(5583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232990] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4847), 1,
      anon_sym_DOT,
    ACTIONS(4849), 1,
      anon_sym_POUND,
    ACTIONS(4851), 1,
      sym_hash_operator,
    STATE(5586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9022), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9026), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9030), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233468] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(5594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233942] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(5602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9034), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8256), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234770] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5715), 1,
      anon_sym_COLON_COLON,
    STATE(5616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234831] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5709), 1,
      anon_sym_COMMA,
    ACTIONS(5715), 1,
      anon_sym_COLON_COLON,
    STATE(5617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8998), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9000), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9038), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234953] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5715), 1,
      anon_sym_COLON_COLON,
    STATE(5619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9082), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9040), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8974), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8978), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8980), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7779), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9054), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9062), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9066), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236548] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9112), 1,
      anon_sym_LT_DASH,
    STATE(5646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9086), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9090), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8982), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8984), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8952), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8954), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9046), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9074), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9078), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9098), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8982), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8984), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8952), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8954), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9046), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9070), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9070), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8256), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8260), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4961), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(4963), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [238556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9012), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4963), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(4961), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8966), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8968), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8970), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8974), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8976), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8978), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8980), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7966), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8988), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7920), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239559] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9114), 1,
      anon_sym_COLON,
    STATE(5697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8324), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9030), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9034), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9038), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9040), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9042), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9102), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8966), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8960), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8962), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240209] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6809), 1,
      sym__lowercase_identifier,
    ACTIONS(6817), 1,
      anon_sym_LBRACK,
    ACTIONS(6823), 1,
      anon_sym_LBRACE,
    ACTIONS(6825), 1,
      anon_sym_POUND,
    ACTIONS(6827), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6829), 1,
      anon_sym_begin,
    ACTIONS(6835), 1,
      aux_sym_number_token1,
    ACTIONS(6837), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6839), 1,
      anon_sym_SQUOTE,
    ACTIONS(6841), 1,
      anon_sym_DQUOTE,
    ACTIONS(6843), 1,
      sym__uppercase_identifier,
    ACTIONS(6845), 1,
      aux_sym_tag_token1,
    ACTIONS(9116), 1,
      anon_sym_LPAREN,
    ACTIONS(9118), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9120), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5708), 1,
      sym_attribute,
    STATE(7476), 1,
      sym__simple_pattern,
    STATE(7591), 1,
      sym__constructor_name,
    STATE(17613), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7370), 2,
      sym__constant,
      sym_signed_number,
    STATE(7480), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7503), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [240307] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240365] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(5710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240483] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240541] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240599] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7340), 1,
      sym__lowercase_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7348), 1,
      anon_sym_LBRACE,
    ACTIONS(7352), 1,
      anon_sym_POUND,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7358), 1,
      anon_sym_begin,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(9122), 1,
      anon_sym_LPAREN,
    ACTIONS(9124), 1,
      sym__uppercase_identifier,
    ACTIONS(9126), 1,
      aux_sym_tag_token1,
    STATE(5714), 1,
      sym_attribute,
    STATE(13890), 1,
      sym__simple_pattern,
    STATE(13956), 1,
      sym__constructor_name,
    STATE(19636), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7346), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13973), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [240697] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240755] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5081), 1,
      anon_sym_DOT,
    ACTIONS(5083), 1,
      anon_sym_POUND,
    ACTIONS(5085), 1,
      sym_hash_operator,
    STATE(5716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240819] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240935] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7061), 1,
      sym__lowercase_identifier,
    ACTIONS(7069), 1,
      anon_sym_LBRACK,
    ACTIONS(7075), 1,
      anon_sym_LBRACE,
    ACTIONS(7077), 1,
      anon_sym_POUND,
    ACTIONS(7079), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7081), 1,
      anon_sym_begin,
    ACTIONS(7087), 1,
      aux_sym_number_token1,
    ACTIONS(7089), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7091), 1,
      anon_sym_SQUOTE,
    ACTIONS(7093), 1,
      anon_sym_DQUOTE,
    ACTIONS(7095), 1,
      sym__uppercase_identifier,
    ACTIONS(7097), 1,
      aux_sym_tag_token1,
    ACTIONS(9128), 1,
      anon_sym_LPAREN,
    ACTIONS(9130), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9132), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5719), 1,
      sym_attribute,
    STATE(7706), 1,
      sym__simple_pattern,
    STATE(7923), 1,
      sym__constructor_name,
    STATE(18274), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7071), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7798), 2,
      sym__constant,
      sym_signed_number,
    STATE(7922), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7941), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [241033] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(5720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241151] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(5722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241385] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5081), 1,
      anon_sym_DOT,
    ACTIONS(5083), 1,
      anon_sym_POUND,
    ACTIONS(5085), 1,
      sym_hash_operator,
    STATE(5726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241855] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241971] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242145] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242261] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6759), 1,
      sym__lowercase_identifier,
    ACTIONS(6771), 1,
      anon_sym_LBRACK,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6779), 1,
      anon_sym_POUND,
    ACTIONS(6781), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6783), 1,
      anon_sym_begin,
    ACTIONS(6791), 1,
      aux_sym_number_token1,
    ACTIONS(6793), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6795), 1,
      anon_sym_SQUOTE,
    ACTIONS(6797), 1,
      anon_sym_DQUOTE,
    ACTIONS(6799), 1,
      sym__uppercase_identifier,
    ACTIONS(6801), 1,
      aux_sym_tag_token1,
    ACTIONS(9134), 1,
      anon_sym_LPAREN,
    ACTIONS(9136), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9138), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5741), 1,
      sym_attribute,
    STATE(7380), 1,
      sym__simple_pattern,
    STATE(7406), 1,
      sym__constructor_name,
    STATE(18996), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6773), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7486), 2,
      sym__constant,
      sym_signed_number,
    STATE(7405), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7416), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [242359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242475] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9140), 1,
      anon_sym_LT_DASH,
    STATE(5744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242535] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242593] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8436), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [242651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242767] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7243), 1,
      anon_sym_POUND,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9142), 1,
      anon_sym_LPAREN,
    ACTIONS(9144), 1,
      sym__uppercase_identifier,
    STATE(5749), 1,
      sym_attribute,
    STATE(12788), 1,
      sym__simple_pattern,
    STATE(13240), 1,
      sym__constructor_name,
    STATE(19257), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12912), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [242865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242923] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9146), 1,
      anon_sym_LT_DASH,
    STATE(5751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7743), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [242983] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5369), 1,
      sym__lowercase_identifier,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_LBRACE,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5403), 1,
      anon_sym_begin,
    ACTIONS(5411), 1,
      aux_sym_number_token1,
    ACTIONS(5413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5415), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_DQUOTE,
    ACTIONS(5419), 1,
      sym__uppercase_identifier,
    ACTIONS(5421), 1,
      aux_sym_tag_token1,
    ACTIONS(7593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9148), 1,
      anon_sym_LPAREN,
    STATE(5752), 1,
      sym_attribute,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(10045), 1,
      sym__simple_pattern,
    STATE(19143), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10069), 2,
      sym__constant,
      sym_signed_number,
    STATE(10122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10064), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [243081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243893] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5081), 1,
      anon_sym_DOT,
    STATE(5767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244417] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4927), 1,
      anon_sym_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4941), 1,
      anon_sym_begin,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9150), 1,
      anon_sym_LPAREN,
    ACTIONS(9152), 1,
      sym__uppercase_identifier,
    STATE(5776), 1,
      sym_attribute,
    STATE(8809), 1,
      sym__constructor_name,
    STATE(12788), 1,
      sym__simple_pattern,
    STATE(18628), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4923), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12912), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [244515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244747] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7023), 1,
      sym__lowercase_identifier,
    ACTIONS(7031), 1,
      anon_sym_LBRACK,
    ACTIONS(7037), 1,
      anon_sym_LBRACE,
    ACTIONS(7039), 1,
      anon_sym_POUND,
    ACTIONS(7041), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7043), 1,
      anon_sym_begin,
    ACTIONS(7049), 1,
      aux_sym_number_token1,
    ACTIONS(7051), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7053), 1,
      anon_sym_SQUOTE,
    ACTIONS(7055), 1,
      anon_sym_DQUOTE,
    ACTIONS(7057), 1,
      sym__uppercase_identifier,
    ACTIONS(7059), 1,
      aux_sym_tag_token1,
    ACTIONS(9154), 1,
      anon_sym_LPAREN,
    ACTIONS(9156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9158), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5781), 1,
      sym_attribute,
    STATE(7892), 1,
      sym__simple_pattern,
    STATE(7935), 1,
      sym__constructor_name,
    STATE(19343), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7033), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7666), 2,
      sym__constant,
      sym_signed_number,
    STATE(7704), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7901), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [244845] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8100), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245773] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7435), 1,
      sym__lowercase_identifier,
    ACTIONS(7443), 1,
      anon_sym_LBRACK,
    ACTIONS(7449), 1,
      anon_sym_LBRACE,
    ACTIONS(7453), 1,
      anon_sym_POUND,
    ACTIONS(7455), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7457), 1,
      anon_sym_begin,
    ACTIONS(7465), 1,
      aux_sym_number_token1,
    ACTIONS(7467), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7469), 1,
      anon_sym_SQUOTE,
    ACTIONS(7471), 1,
      anon_sym_DQUOTE,
    ACTIONS(7473), 1,
      sym__uppercase_identifier,
    ACTIONS(7475), 1,
      aux_sym_tag_token1,
    ACTIONS(9160), 1,
      anon_sym_LPAREN,
    ACTIONS(9162), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9164), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5798), 1,
      sym_attribute,
    STATE(8513), 1,
      sym__simple_pattern,
    STATE(8713), 1,
      sym__constructor_name,
    STATE(17796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7445), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8545), 2,
      sym__constant,
      sym_signed_number,
    STATE(8712), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8450), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [245871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246102] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246159] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246216] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246273] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246330] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246387] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246444] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246501] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5237), 1,
      anon_sym_DOT,
    ACTIONS(5239), 1,
      anon_sym_POUND,
    ACTIONS(5241), 1,
      sym_hash_operator,
    STATE(5810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246678] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246792] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246849] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246906] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246963] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [247020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247077] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [247134] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(5821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247364] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [247421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247535] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [247592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247649] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [247706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247763] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [247820] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [247877] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [247934] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [247991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248048] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [248105] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [248162] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [248219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248504] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(5845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [248563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248620] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9166), 1,
      anon_sym_DOT,
    ACTIONS(9168), 1,
      anon_sym_POUND,
    ACTIONS(9170), 1,
      sym_hash_operator,
    STATE(5847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248797] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [248854] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [248911] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(5852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [248970] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(5853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249314] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249371] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9172), 1,
      anon_sym_LT_DASH,
    STATE(5860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249487] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249601] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249658] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250114] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250171] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250228] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250285] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250513] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250627] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [250684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251083] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251368] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251710] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251767] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251824] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251938] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [251995] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252052] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252109] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9174), 1,
      anon_sym_LT_DASH,
    STATE(5908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252168] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9176), 1,
      anon_sym_LT_DASH,
    STATE(5909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252227] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9178), 1,
      anon_sym_LT_DASH,
    STATE(5910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252286] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9180), 1,
      anon_sym_LT_DASH,
    STATE(5911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252459] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252516] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252573] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252630] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252687] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252801] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(5920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252860] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252917] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252974] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253031] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253088] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253145] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253202] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253259] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253316] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253373] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253430] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5237), 1,
      anon_sym_DOT,
    ACTIONS(5239), 1,
      anon_sym_POUND,
    ACTIONS(5241), 1,
      sym_hash_operator,
    STATE(5931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253493] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253550] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253607] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253664] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253721] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253778] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253835] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253892] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253949] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254006] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254063] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9182), 1,
      anon_sym_LT_DASH,
    STATE(5942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254122] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254179] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7966), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [254293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254350] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254407] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254464] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254521] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254578] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254635] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9184), 1,
      anon_sym_DOT,
    ACTIONS(9186), 1,
      anon_sym_POUND,
    ACTIONS(9188), 1,
      sym_hash_operator,
    STATE(5952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254812] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254869] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9190), 1,
      anon_sym_COLON,
    STATE(5956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8322), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254928] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255213] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(5962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255329] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255443] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255500] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255614] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255728] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255956] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5237), 1,
      anon_sym_DOT,
    STATE(5975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8112), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [256129] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9166), 1,
      anon_sym_DOT,
    ACTIONS(9168), 1,
      anon_sym_POUND,
    ACTIONS(9170), 1,
      sym_hash_operator,
    STATE(5978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256192] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8124), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [256306] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256819] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(5990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257106] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9184), 1,
      anon_sym_DOT,
    STATE(5995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257222] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257792] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258077] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259160] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(6031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259390] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(6035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259506] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259677] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7920), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [259791] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9184), 1,
      anon_sym_DOT,
    ACTIONS(9186), 1,
      anon_sym_POUND,
    ACTIONS(9188), 1,
      sym_hash_operator,
    STATE(6042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259911] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260082] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260196] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260253] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260481] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260538] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(6055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260597] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260654] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260711] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260825] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260939] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(6062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260998] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261169] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261226] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261283] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261340] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261397] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261511] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261568] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261625] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261682] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261739] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261796] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261853] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261910] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(6079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261969] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262197] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262482] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262596] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262710] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262767] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9192), 1,
      anon_sym_LT_DASH,
    STATE(6094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262826] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9166), 1,
      anon_sym_DOT,
    STATE(6095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262942] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262999] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263056] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263113] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263455] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263569] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263625] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5247), 1,
      anon_sym_DOT,
    ACTIONS(5249), 1,
      anon_sym_POUND,
    ACTIONS(5251), 1,
      sym_hash_operator,
    STATE(6109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263687] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263743] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263799] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263855] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(6113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263913] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5287), 1,
      anon_sym_DOT,
    ACTIONS(5289), 1,
      anon_sym_POUND,
    ACTIONS(5291), 1,
      sym_hash_operator,
    STATE(6114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263975] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9194), 1,
      anon_sym_LT_DASH,
    STATE(6115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264033] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9196), 1,
      anon_sym_LT_DASH,
    STATE(6116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264091] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9198), 1,
      anon_sym_LT_DASH,
    STATE(6117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264149] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9200), 1,
      anon_sym_LT_DASH,
    STATE(6118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264207] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264263] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264319] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264375] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264431] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264487] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9202), 1,
      sym__lowercase_identifier,
    ACTIONS(9204), 1,
      anon_sym_LPAREN,
    ACTIONS(9206), 1,
      anon_sym_private,
    ACTIONS(9208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9210), 1,
      anon_sym_PIPE,
    ACTIONS(9212), 1,
      anon_sym_LBRACK,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9230), 1,
      sym__uppercase_identifier,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    STATE(6124), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8990), 1,
      sym__simple_type,
    STATE(10202), 1,
      sym__constructor_name,
    STATE(10324), 1,
      sym__tuple_type,
    STATE(10663), 1,
      sym__type,
    STATE(10828), 1,
      sym_constructor_declaration,
    STATE(17370), 1,
      sym_extended_module_path,
    STATE(20294), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10332), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [264595] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264651] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264707] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264763] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264819] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264875] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264987] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265043] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265099] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265155] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265211] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265267] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265323] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265379] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265435] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265491] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5247), 1,
      anon_sym_DOT,
    STATE(6141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265549] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265605] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265661] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265717] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265773] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265829] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265885] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(6148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265943] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265999] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266055] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266111] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266167] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266223] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266279] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(6155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266337] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(6156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266395] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266451] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266507] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266563] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266619] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5267), 1,
      anon_sym_DOT,
    ACTIONS(5269), 1,
      anon_sym_POUND,
    ACTIONS(5271), 1,
      sym_hash_operator,
    STATE(6161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266681] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266737] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266793] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266849] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266905] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266961] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267017] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267073] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267129] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267185] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267241] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267297] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267353] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267409] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267465] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267521] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267577] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267633] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267689] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267745] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267801] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267857] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267913] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267969] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268025] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268081] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268137] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268193] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268249] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    STATE(6190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268307] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268363] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268419] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268475] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268531] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268587] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268643] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268699] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268755] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268811] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268867] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268923] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268979] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269035] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269091] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269147] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269203] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5247), 1,
      anon_sym_DOT,
    ACTIONS(5249), 1,
      anon_sym_POUND,
    ACTIONS(5251), 1,
      sym_hash_operator,
    STATE(6207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269265] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269321] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269377] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269433] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269489] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269545] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269601] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269657] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269713] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269769] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269825] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269881] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269937] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269993] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270105] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270161] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270217] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270273] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270329] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270385] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270441] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270497] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270553] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270609] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270665] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270721] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270777] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270833] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270889] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270945] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271001] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271057] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271113] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271169] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271225] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271281] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(6244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271339] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271395] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271451] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271507] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271563] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271619] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271675] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5267), 1,
      anon_sym_DOT,
    ACTIONS(5269), 1,
      anon_sym_POUND,
    ACTIONS(5271), 1,
      sym_hash_operator,
    STATE(6251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271737] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271793] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271849] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271905] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271961] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272017] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272073] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272129] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272185] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272241] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272297] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272353] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272409] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272465] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272521] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(6266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272579] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272635] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272691] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272747] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272803] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272859] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272915] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272971] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273027] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273083] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273139] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273195] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273251] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273307] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273363] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(6281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273421] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273477] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273533] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273589] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273645] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273701] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273757] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273813] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273869] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273925] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273981] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274037] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274093] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274149] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274205] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274261] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274317] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274373] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274429] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(6300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274487] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274543] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274599] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274655] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274711] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274767] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(6306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274825] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274881] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274937] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274993] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275105] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275161] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275217] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275273] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275329] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275385] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275441] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275497] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(6319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275555] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5363), 1,
      anon_sym_DOT,
    STATE(6320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275613] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9234), 1,
      anon_sym_LT_DASH,
    STATE(6321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275671] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275727] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275783] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275839] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275895] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275951] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276007] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276119] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276175] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276231] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276287] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276343] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276399] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276455] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276511] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276567] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276623] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276679] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276735] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276791] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276847] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276903] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276959] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277015] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277071] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277183] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277239] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277295] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277351] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277407] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277463] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277519] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277575] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277631] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277687] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277743] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277799] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277855] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277911] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9236), 1,
      anon_sym_LT_DASH,
    STATE(6362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277969] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278025] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278081] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278137] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278193] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5279), 1,
      anon_sym_POUND,
    ACTIONS(5281), 1,
      sym_hash_operator,
    STATE(6367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278255] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278311] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278367] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278423] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278479] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278535] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278591] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(6374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278649] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278705] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278761] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5257), 1,
      anon_sym_DOT,
    ACTIONS(5259), 1,
      anon_sym_POUND,
    ACTIONS(5261), 1,
      sym_hash_operator,
    STATE(6377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278823] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278879] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278935] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278991] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279047] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279103] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279159] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279215] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279271] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279327] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279383] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5287), 1,
      anon_sym_DOT,
    STATE(6388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279441] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279497] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279553] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279609] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279665] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279721] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279777] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279833] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279889] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279945] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280001] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5363), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      anon_sym_POUND,
    ACTIONS(5367), 1,
      sym_hash_operator,
    STATE(6399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280119] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280175] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280231] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280287] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280343] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280399] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280455] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280511] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280567] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280623] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280679] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280735] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280791] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280847] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280903] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280959] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281015] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281071] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281127] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281183] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281239] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281295] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281351] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281407] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281463] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281519] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5279), 1,
      anon_sym_POUND,
    ACTIONS(5281), 1,
      sym_hash_operator,
    STATE(6426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281581] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(6427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281639] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281695] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281751] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281807] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281863] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281919] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281975] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282031] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282087] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282143] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(6437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282201] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      sym__uppercase_identifier,
    ACTIONS(9238), 1,
      sym__lowercase_identifier,
    ACTIONS(9240), 1,
      anon_sym_LPAREN,
    ACTIONS(9242), 1,
      anon_sym_private,
    ACTIONS(9244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9246), 1,
      anon_sym_PIPE,
    ACTIONS(9248), 1,
      anon_sym_LBRACK,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    STATE(6438), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(9352), 1,
      sym__simple_type,
    STATE(10897), 1,
      sym__tuple_type,
    STATE(11031), 1,
      sym__constructor_name,
    STATE(11129), 1,
      sym__type,
    STATE(11706), 1,
      sym_constructor_declaration,
    STATE(16479), 1,
      sym_extended_module_path,
    STATE(17780), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10871), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [282309] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5363), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      anon_sym_POUND,
    ACTIONS(5367), 1,
      sym_hash_operator,
    STATE(6439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282371] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282427] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282483] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282539] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      sym__uppercase_identifier,
    ACTIONS(9238), 1,
      sym__lowercase_identifier,
    ACTIONS(9240), 1,
      anon_sym_LPAREN,
    ACTIONS(9246), 1,
      anon_sym_PIPE,
    ACTIONS(9248), 1,
      anon_sym_LBRACK,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9266), 1,
      anon_sym_private,
    ACTIONS(9268), 1,
      anon_sym_DOT_DOT,
    STATE(6443), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(9352), 1,
      sym__simple_type,
    STATE(10897), 1,
      sym__tuple_type,
    STATE(11031), 1,
      sym__constructor_name,
    STATE(11129), 1,
      sym__type,
    STATE(11706), 1,
      sym_constructor_declaration,
    STATE(16479), 1,
      sym_extended_module_path,
    STATE(17780), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10879), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [282647] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282703] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9270), 1,
      anon_sym_LT_DASH,
    STATE(6445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282761] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282817] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282873] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282929] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282985] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283041] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283097] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283153] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283209] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283265] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283321] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283377] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283433] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283489] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283545] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283601] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283657] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283713] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283769] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9272), 1,
      anon_sym_COLON,
    STATE(6464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8322), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283827] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283883] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9274), 1,
      anon_sym_LT_DASH,
    STATE(6466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7743), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [283941] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283997] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284053] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284109] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284165] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284221] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284277] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284333] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5287), 1,
      anon_sym_DOT,
    ACTIONS(5289), 1,
      anon_sym_POUND,
    ACTIONS(5291), 1,
      sym_hash_operator,
    STATE(6474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284395] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284451] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284507] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284563] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284619] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284675] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284731] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284787] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284843] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284899] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284955] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285011] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9276), 1,
      anon_sym_LT_DASH,
    STATE(6486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285069] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285125] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285181] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285237] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285293] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285349] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285405] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285461] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285517] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285573] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285629] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285685] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285741] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285797] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285853] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285909] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7781), 1,
      anon_sym_LT_DASH,
    STATE(6502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285967] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286023] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8434), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286135] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286191] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286247] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286303] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286359] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286415] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(6511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286473] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286529] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286585] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286641] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286697] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286753] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9278), 1,
      anon_sym_LT_DASH,
    STATE(6517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286811] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286867] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286923] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286979] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287035] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287091] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287147] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287203] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      sym__uppercase_identifier,
    ACTIONS(9280), 1,
      sym__lowercase_identifier,
    ACTIONS(9282), 1,
      anon_sym_LPAREN,
    ACTIONS(9284), 1,
      anon_sym_private,
    ACTIONS(9286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9288), 1,
      anon_sym_PIPE,
    ACTIONS(9290), 1,
      anon_sym_LBRACK,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    STATE(6525), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(9486), 1,
      sym__simple_type,
    STATE(10845), 1,
      sym__constructor_name,
    STATE(10936), 1,
      sym__tuple_type,
    STATE(11119), 1,
      sym__type,
    STATE(11709), 1,
      sym_constructor_declaration,
    STATE(16581), 1,
      sym_extended_module_path,
    STATE(19699), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10900), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [287311] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287367] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287423] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287479] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(6529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287537] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287593] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      sym__uppercase_identifier,
    ACTIONS(9280), 1,
      sym__lowercase_identifier,
    ACTIONS(9282), 1,
      anon_sym_LPAREN,
    ACTIONS(9288), 1,
      anon_sym_PIPE,
    ACTIONS(9290), 1,
      anon_sym_LBRACK,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9308), 1,
      anon_sym_private,
    ACTIONS(9310), 1,
      anon_sym_DOT_DOT,
    STATE(6531), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(9486), 1,
      sym__simple_type,
    STATE(10845), 1,
      sym__constructor_name,
    STATE(10936), 1,
      sym__tuple_type,
    STATE(11119), 1,
      sym__type,
    STATE(11709), 1,
      sym_constructor_declaration,
    STATE(16581), 1,
      sym_extended_module_path,
    STATE(19699), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10908), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [287701] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287757] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287813] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287869] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287925] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287981] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288037] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288093] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288149] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288205] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288261] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288317] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288373] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288429] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288485] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5257), 1,
      anon_sym_DOT,
    STATE(6546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288543] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9202), 1,
      sym__lowercase_identifier,
    ACTIONS(9204), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_PIPE,
    ACTIONS(9212), 1,
      anon_sym_LBRACK,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9230), 1,
      sym__uppercase_identifier,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9312), 1,
      anon_sym_private,
    ACTIONS(9314), 1,
      anon_sym_DOT_DOT,
    STATE(6547), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8990), 1,
      sym__simple_type,
    STATE(10202), 1,
      sym__constructor_name,
    STATE(10324), 1,
      sym__tuple_type,
    STATE(10663), 1,
      sym__type,
    STATE(10828), 1,
      sym_constructor_declaration,
    STATE(17370), 1,
      sym_extended_module_path,
    STATE(20294), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10338), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [288651] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288707] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288763] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288819] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288875] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288987] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289043] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289099] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289155] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289211] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289267] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289323] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289379] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289435] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289491] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289547] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289603] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289659] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289715] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289771] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289827] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289883] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289939] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289995] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290051] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290107] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290163] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290219] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290275] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290331] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      sym__uppercase_identifier,
    ACTIONS(9316), 1,
      sym__lowercase_identifier,
    ACTIONS(9318), 1,
      anon_sym_LPAREN,
    ACTIONS(9320), 1,
      anon_sym_private,
    ACTIONS(9322), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9324), 1,
      anon_sym_PIPE,
    ACTIONS(9326), 1,
      anon_sym_LBRACK,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    STATE(6578), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8980), 1,
      sym__simple_type,
    STATE(10236), 1,
      sym__constructor_name,
    STATE(10402), 1,
      sym__tuple_type,
    STATE(10759), 1,
      sym__type,
    STATE(11009), 1,
      sym_constructor_declaration,
    STATE(16651), 1,
      sym_extended_module_path,
    STATE(19185), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10322), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [290439] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290495] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290551] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290607] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290663] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290719] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290775] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5257), 1,
      anon_sym_DOT,
    ACTIONS(5259), 1,
      anon_sym_POUND,
    ACTIONS(5261), 1,
      sym_hash_operator,
    STATE(6585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290837] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290893] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290949] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291005] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291061] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291117] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      sym__uppercase_identifier,
    ACTIONS(9316), 1,
      sym__lowercase_identifier,
    ACTIONS(9318), 1,
      anon_sym_LPAREN,
    ACTIONS(9324), 1,
      anon_sym_PIPE,
    ACTIONS(9326), 1,
      anon_sym_LBRACK,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9344), 1,
      anon_sym_private,
    ACTIONS(9346), 1,
      anon_sym_DOT_DOT,
    STATE(6591), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8980), 1,
      sym__simple_type,
    STATE(10236), 1,
      sym__constructor_name,
    STATE(10402), 1,
      sym__tuple_type,
    STATE(10759), 1,
      sym__type,
    STATE(11009), 1,
      sym_constructor_declaration,
    STATE(16651), 1,
      sym_extended_module_path,
    STATE(19185), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10346), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [291225] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291281] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291337] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291393] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291449] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291505] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291561] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291617] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291673] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5267), 1,
      anon_sym_DOT,
    STATE(6600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291731] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291787] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291843] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291899] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(6604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291957] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292013] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292069] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292125] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292181] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292237] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292293] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292348] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [292458] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292513] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292568] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [292678] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292733] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292788] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292843] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292898] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5437), 1,
      anon_sym_DOT,
    STATE(6622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292955] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(6623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8206), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [293012] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [293122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [293177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [293232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [293287] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293342] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293397] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293452] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293507] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293562] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [293672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8226), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [293727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [293782] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293837] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293892] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293947] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    STATE(6641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [294059] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9348), 1,
      anon_sym_LT_DASH,
    STATE(6643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294116] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5527), 1,
      anon_sym_DOT,
    ACTIONS(5529), 1,
      anon_sym_POUND,
    ACTIONS(5531), 1,
      sym_hash_operator,
    STATE(6644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294177] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294232] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294287] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5517), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      anon_sym_POUND,
    ACTIONS(5521), 1,
      sym_hash_operator,
    STATE(6647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [294403] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294458] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294513] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294568] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9350), 1,
      anon_sym_COLON,
    STATE(6652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8322), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [294625] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294680] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9202), 1,
      sym__lowercase_identifier,
    ACTIONS(9204), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_PIPE,
    ACTIONS(9212), 1,
      anon_sym_LBRACK,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9230), 1,
      sym__uppercase_identifier,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9352), 1,
      anon_sym_DOT_DOT,
    STATE(6654), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8990), 1,
      sym__simple_type,
    STATE(10202), 1,
      sym__constructor_name,
    STATE(10324), 1,
      sym__tuple_type,
    STATE(10461), 1,
      sym__type,
    STATE(10828), 1,
      sym_constructor_declaration,
    STATE(17370), 1,
      sym_extended_module_path,
    STATE(20294), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10205), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [294785] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294840] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [294950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [295005] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295060] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [295170] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295225] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295280] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295335] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295390] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [295500] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295555] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295610] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [295720] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9354), 1,
      anon_sym_DOT,
    STATE(6672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [295777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [295832] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [295942] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295997] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [296107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [296162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [296217] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296272] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [296382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [296437] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296492] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [296602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [296657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [296712] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296767] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296822] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296877] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296932] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297042] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5517), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      anon_sym_POUND,
    ACTIONS(5521), 1,
      sym_hash_operator,
    STATE(6696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297158] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297323] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297433] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297543] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5527), 1,
      anon_sym_DOT,
    STATE(6705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297655] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297765] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(6709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297877] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297932] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298152] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(6716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8206), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [298209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298264] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298319] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298374] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298429] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298484] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298539] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298594] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298814] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298924] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298979] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8244), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [299089] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299144] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299199] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299309] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299419] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(6739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299476] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299586] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299641] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299861] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      sym__uppercase_identifier,
    ACTIONS(9238), 1,
      sym__lowercase_identifier,
    ACTIONS(9240), 1,
      anon_sym_LPAREN,
    ACTIONS(9246), 1,
      anon_sym_PIPE,
    ACTIONS(9248), 1,
      anon_sym_LBRACK,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9356), 1,
      anon_sym_DOT_DOT,
    STATE(6747), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(9352), 1,
      sym__simple_type,
    STATE(10897), 1,
      sym__tuple_type,
    STATE(11031), 1,
      sym__constructor_name,
    STATE(11510), 1,
      sym__type,
    STATE(11706), 1,
      sym_constructor_declaration,
    STATE(16479), 1,
      sym_extended_module_path,
    STATE(17780), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10877), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [299966] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8216), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [300076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [300131] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300186] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300241] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300296] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300351] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5429), 1,
      anon_sym_POUND,
    ACTIONS(5431), 1,
      sym_hash_operator,
    STATE(6755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [300467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [300522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [300577] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [300687] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      sym__uppercase_identifier,
    ACTIONS(9238), 1,
      sym__lowercase_identifier,
    ACTIONS(9240), 1,
      anon_sym_LPAREN,
    ACTIONS(9246), 1,
      anon_sym_PIPE,
    ACTIONS(9248), 1,
      anon_sym_LBRACK,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9358), 1,
      anon_sym_DOT_DOT,
    STATE(6761), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(9352), 1,
      sym__simple_type,
    STATE(10897), 1,
      sym__tuple_type,
    STATE(11031), 1,
      sym__constructor_name,
    STATE(11510), 1,
      sym__type,
    STATE(11706), 1,
      sym_constructor_declaration,
    STATE(16479), 1,
      sym_extended_module_path,
    STATE(17780), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10884), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [300792] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [300902] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [301012] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [301122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [301177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [301232] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [301342] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [301452] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [301562] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301617] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301672] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301782] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301837] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301892] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301947] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302002] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302057] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302112] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302167] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302222] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302277] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302332] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302387] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302442] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302497] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302552] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302607] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302662] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302717] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302772] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [302882] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [302992] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [303102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [303157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [303212] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303267] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9360), 1,
      anon_sym_DOT,
    STATE(6807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [303324] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303379] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303434] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303489] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303544] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303599] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303654] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303709] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303764] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303819] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5447), 1,
      anon_sym_DOT,
    STATE(6817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303876] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [304041] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [304151] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304206] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304261] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [304371] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304426] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304481] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304536] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304591] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304646] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [304756] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304811] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304866] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304921] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304976] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [305086] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [305196] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305251] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305306] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(6844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305363] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [305473] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305528] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305583] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305638] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(6850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [305695] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305750] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5517), 1,
      anon_sym_DOT,
    STATE(6852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [305862] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [305972] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306027] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306082] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(6858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306139] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306194] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306249] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(6861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306306] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306361] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306416] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306471] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306526] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306581] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306636] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306691] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306746] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306801] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306856] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306911] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8434), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307021] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307076] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [307186] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307241] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307296] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307351] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [307461] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [307571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [307626] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [307736] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307791] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(6889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307848] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307903] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307958] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308013] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308068] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308123] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [308233] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308288] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [308398] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308453] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [308563] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5427), 1,
      anon_sym_DOT,
    ACTIONS(5429), 1,
      anon_sym_POUND,
    ACTIONS(5431), 1,
      sym_hash_operator,
    STATE(6903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308624] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9362), 1,
      anon_sym_LT_DASH,
    STATE(6904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [308736] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308791] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308846] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308901] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308956] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5447), 1,
      anon_sym_DOT,
    ACTIONS(5449), 1,
      anon_sym_POUND,
    ACTIONS(5451), 1,
      sym_hash_operator,
    STATE(6910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309017] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309072] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309127] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309237] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309292] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309347] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309402] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309512] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309567] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309622] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309677] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309842] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309897] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309952] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310007] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310062] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [310172] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310227] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310282] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310337] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310392] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310447] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9364), 1,
      anon_sym_LT_DASH,
    STATE(6937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310504] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310559] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310614] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310669] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310724] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310779] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310834] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9366), 1,
      anon_sym_LT_DASH,
    STATE(6944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8174), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [310946] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311001] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311056] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(6948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311168] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311223] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311333] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311388] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311443] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311498] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311553] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311608] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311663] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311718] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311883] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312103] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312213] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(6969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312325] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312380] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312545] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312765] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312820] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312930] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [313040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [313095] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313150] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [313260] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313315] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313370] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313425] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313480] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313535] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313590] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9368), 1,
      anon_sym_COLON,
    STATE(6994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8322), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [313647] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313702] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313757] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313812] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313867] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313922] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5437), 1,
      anon_sym_DOT,
    ACTIONS(5439), 1,
      anon_sym_POUND,
    ACTIONS(5441), 1,
      sym_hash_operator,
    STATE(7000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313983] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314038] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314093] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [314203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [314258] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314313] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5437), 1,
      anon_sym_DOT,
    ACTIONS(5439), 1,
      anon_sym_POUND,
    ACTIONS(5441), 1,
      sym_hash_operator,
    STATE(7007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314374] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314429] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314484] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [314594] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314649] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(7013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314706] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314761] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314816] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314871] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7779), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [314981] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      sym__uppercase_identifier,
    ACTIONS(9280), 1,
      sym__lowercase_identifier,
    ACTIONS(9282), 1,
      anon_sym_LPAREN,
    ACTIONS(9288), 1,
      anon_sym_PIPE,
    ACTIONS(9290), 1,
      anon_sym_LBRACK,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9370), 1,
      anon_sym_DOT_DOT,
    STATE(7019), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(9486), 1,
      sym__simple_type,
    STATE(10845), 1,
      sym__constructor_name,
    STATE(10936), 1,
      sym__tuple_type,
    STATE(11171), 1,
      sym__type,
    STATE(11709), 1,
      sym_constructor_declaration,
    STATE(16581), 1,
      sym_extended_module_path,
    STATE(19699), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10906), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [315086] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [315196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [315251] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [315361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [315416] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [315526] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9354), 1,
      anon_sym_DOT,
    ACTIONS(9372), 1,
      anon_sym_POUND,
    ACTIONS(9374), 1,
      sym_hash_operator,
    STATE(7028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [315587] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315642] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315697] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      sym__uppercase_identifier,
    ACTIONS(9280), 1,
      sym__lowercase_identifier,
    ACTIONS(9282), 1,
      anon_sym_LPAREN,
    ACTIONS(9288), 1,
      anon_sym_PIPE,
    ACTIONS(9290), 1,
      anon_sym_LBRACK,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9376), 1,
      anon_sym_DOT_DOT,
    STATE(7031), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(9486), 1,
      sym__simple_type,
    STATE(10845), 1,
      sym__constructor_name,
    STATE(10936), 1,
      sym__tuple_type,
    STATE(11171), 1,
      sym__type,
    STATE(11709), 1,
      sym_constructor_declaration,
    STATE(16581), 1,
      sym_extended_module_path,
    STATE(19699), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10913), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [315802] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315857] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315912] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9360), 1,
      anon_sym_DOT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      sym_hash_operator,
    STATE(7034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [315973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316028] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9202), 1,
      sym__lowercase_identifier,
    ACTIONS(9204), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_PIPE,
    ACTIONS(9212), 1,
      anon_sym_LBRACK,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9230), 1,
      sym__uppercase_identifier,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9382), 1,
      anon_sym_DOT_DOT,
    STATE(7036), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8990), 1,
      sym__simple_type,
    STATE(10202), 1,
      sym__constructor_name,
    STATE(10324), 1,
      sym__tuple_type,
    STATE(10461), 1,
      sym__type,
    STATE(10828), 1,
      sym_constructor_declaration,
    STATE(17370), 1,
      sym_extended_module_path,
    STATE(20294), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10175), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [316133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316243] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316298] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9384), 1,
      anon_sym_COLON,
    STATE(7040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8322), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316465] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316575] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9354), 1,
      anon_sym_DOT,
    ACTIONS(9372), 1,
      anon_sym_POUND,
    ACTIONS(9374), 1,
      sym_hash_operator,
    STATE(7045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316636] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316801] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316966] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317021] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317076] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [317186] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [317296] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317351] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [317461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [317516] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317571] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317626] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317681] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317736] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317791] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [317901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [317956] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318011] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [318121] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318176] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318231] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9360), 1,
      anon_sym_DOT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      sym_hash_operator,
    STATE(7075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [318292] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318347] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318402] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318457] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318512] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318567] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [318677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [318732] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(7084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [318789] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318844] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318899] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319064] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5447), 1,
      anon_sym_DOT,
    ACTIONS(5449), 1,
      anon_sym_POUND,
    ACTIONS(5451), 1,
      sym_hash_operator,
    STATE(7090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319180] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319235] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319455] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319510] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319565] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319620] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319730] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319785] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319840] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319895] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319950] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320005] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320060] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320170] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(7110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320227] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320282] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320337] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320392] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320447] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320502] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320557] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5527), 1,
      anon_sym_DOT,
    ACTIONS(5529), 1,
      anon_sym_POUND,
    ACTIONS(5531), 1,
      sym_hash_operator,
    STATE(7117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320618] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320673] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320728] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(7120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320840] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320895] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      sym__uppercase_identifier,
    ACTIONS(9316), 1,
      sym__lowercase_identifier,
    ACTIONS(9318), 1,
      anon_sym_LPAREN,
    ACTIONS(9324), 1,
      anon_sym_PIPE,
    ACTIONS(9326), 1,
      anon_sym_LBRACK,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9386), 1,
      anon_sym_DOT_DOT,
    STATE(7123), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8980), 1,
      sym__simple_type,
    STATE(10236), 1,
      sym__constructor_name,
    STATE(10402), 1,
      sym__tuple_type,
    STATE(10416), 1,
      sym__type,
    STATE(11009), 1,
      sym_constructor_declaration,
    STATE(16651), 1,
      sym_extended_module_path,
    STATE(19185), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10343), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [321000] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321055] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [321165] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321220] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321275] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [321385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [321440] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321495] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321550] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321605] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      sym__uppercase_identifier,
    ACTIONS(9316), 1,
      sym__lowercase_identifier,
    ACTIONS(9318), 1,
      anon_sym_LPAREN,
    ACTIONS(9324), 1,
      anon_sym_PIPE,
    ACTIONS(9326), 1,
      anon_sym_LBRACK,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9388), 1,
      anon_sym_DOT_DOT,
    STATE(7135), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8980), 1,
      sym__simple_type,
    STATE(10236), 1,
      sym__constructor_name,
    STATE(10402), 1,
      sym__tuple_type,
    STATE(10416), 1,
      sym__type,
    STATE(11009), 1,
      sym_constructor_declaration,
    STATE(16651), 1,
      sym_extended_module_path,
    STATE(19185), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10359), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [321710] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [321820] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321875] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321930] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321985] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322040] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322095] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322150] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322205] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322260] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322315] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322425] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322590] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322755] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(7155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322812] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8120), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [322921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8140), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [322975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8024), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [323029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8112), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [323083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8124), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [323137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8144), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [323191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8028), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [323245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8032), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [323299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8036), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [323353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8040), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [323407] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(7167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8206), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [323463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8044), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [323517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8216), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [323571] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(7170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8206), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [323627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8244), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [323681] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(7172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8206), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [323737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8048), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [323791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8052), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [323845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8226), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [323899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7920), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [323953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8150), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7964), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8110), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8122), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8056), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7918), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8060), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7749), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7751), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7755), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7759), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8066), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8070), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8074), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8078), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8156), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7765), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7769), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7773), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8088), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [324979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8160), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8164), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325087] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9390), 1,
      anon_sym_COLON,
    STATE(7198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8322), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325143] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9392), 1,
      anon_sym_COLON,
    STATE(7199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8322), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325199] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9394), 1,
      anon_sym_COLON,
    STATE(7200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8322), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8118), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [325309] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9396), 1,
      anon_sym_COLON,
    STATE(7202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8322), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8142), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [325419] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9398), 1,
      anon_sym_COLON,
    STATE(7204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8322), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9400), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [325529] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9408), 1,
      anon_sym_COLON,
    STATE(7206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9404), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [325585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7964), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [325639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9410), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [325693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [325747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [325801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7918), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [325855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9414), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [325909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9418), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [325963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9424), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9422), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8098), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8434), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8020), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [326179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8114), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8128), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8138), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8148), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8154), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8158), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8162), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326557] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(7225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [326613] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(7226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [326669] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9430), 1,
      anon_sym_DOT,
    ACTIONS(9432), 1,
      anon_sym_POUND,
    ACTIONS(9434), 1,
      sym_hash_operator,
    STATE(7227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9426), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [326729] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9430), 1,
      anon_sym_DOT,
    ACTIONS(9432), 1,
      anon_sym_POUND,
    ACTIONS(9434), 1,
      sym_hash_operator,
    STATE(7228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9436), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [326789] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_COLON,
    STATE(7229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8322), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326845] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9400), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326953] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9442), 1,
      anon_sym_COLON,
    STATE(7232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9404), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [327009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7789), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8434), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327117] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9430), 1,
      anon_sym_DOT,
    ACTIONS(9432), 1,
      anon_sym_POUND,
    ACTIONS(9434), 1,
      sym_hash_operator,
    STATE(7235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9444), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327177] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9430), 1,
      anon_sym_DOT,
    ACTIONS(9432), 1,
      anon_sym_POUND,
    ACTIONS(9434), 1,
      sym_hash_operator,
    STATE(7236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9450), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9448), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7846), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9410), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8142), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9414), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9418), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9424), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9422), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8434), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7743), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [327777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8096), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [327885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7743), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7942), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7948), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7952), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7956), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7960), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7968), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7970), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7974), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7978), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7982), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7986), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7990), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7735), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7996), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328641] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9430), 1,
      anon_sym_DOT,
    STATE(7263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8000), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8004), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8128), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [328805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8008), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8012), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8016), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8020), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8024), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8028), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8032), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8036), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8040), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8044), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8048), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8052), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8056), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8060), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7749), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7751), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7755), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7759), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8066), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8070), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8074), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8078), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7765), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7769), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7773), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8088), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7942), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [330209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8096), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8116), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [330317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7948), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [330371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8138), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [330425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7952), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [330479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7956), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [330533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8104), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7960), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [330641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [330695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8154), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [330749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8158), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [330803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8162), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [330857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8116), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8120), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8130), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7852), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8140), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8144), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8150), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8156), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8202), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8160), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8164), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8212), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8220), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7902), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7968), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7970), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7974), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7978), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8230), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8234), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8130), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8238), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8264), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7982), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [332099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7986), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [332153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7990), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [332207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7735), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [332261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7996), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [332315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7779), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8174), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8004), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [332477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8248), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8104), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [332585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8252), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8256), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8260), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332747] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(7339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8206), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [332803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8008), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [332857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8012), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [332911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7936), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7966), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8016), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [333073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8202), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [333126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9454), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [333179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9458), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [333232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9462), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [333285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9466), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [333338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9470), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [333391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9474), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [333444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9478), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [333497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9482), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [333550] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9484), 1,
      anon_sym_COLON,
    STATE(7354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8322), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [333605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9488), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [333658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9492), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [333711] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7902), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333817] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8434), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9002), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [333923] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333976] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9494), 1,
      anon_sym_COLON,
    STATE(7362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8322), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334031] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8434), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8264), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [334137] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334190] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8434), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334243] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334296] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8434), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8924), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8926), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [334455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9058), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [334614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8932), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8934), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [334667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9506), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9504), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334720] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9508), 1,
      anon_sym_COLON,
    STATE(7376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8322), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334775] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9510), 1,
      anon_sym_COLON,
    STATE(7377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8322), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [334830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8960), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8962), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [334883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9514), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9512), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9516), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [334989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9522), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [335042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9022), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [335095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9026), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [335148] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(7384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8206), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [335256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8958), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [335309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8216), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [335415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [335468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9536), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [335521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9542), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [335574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9004), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [335627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8226), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335680] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(7394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8206), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7789), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [335788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8244), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [335894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7846), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [335947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8942), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8940), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [336000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7852), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8202), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8212), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [336212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [336265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [336318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [336371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [336424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [336477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [336530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [336583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [336636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8220), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [336742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9082), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [336795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9404), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [336848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7013), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7017), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [336901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [336954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9548), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9498), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [337378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9502), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [337431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8244), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [337537] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9552), 1,
      anon_sym_COLON,
    STATE(7429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8322), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9556), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9554), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9560), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9558), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9564), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9562), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9566), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9570), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9576), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9574), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9452), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9456), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [338016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9460), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [338069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9464), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [338122] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9468), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [338228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9472), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [338281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9476), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [338334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [338387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [338440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9490), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [338493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7852), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [338546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8202), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [338599] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8434), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338652] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9578), 1,
      anon_sym_DOT,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(9582), 1,
      sym_hash_operator,
    STATE(7450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9444), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [338711] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9578), 1,
      anon_sym_DOT,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(9582), 1,
      sym_hash_operator,
    STATE(7451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9450), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9448), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [338770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8212), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [338823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8220), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [338876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8230), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [338929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7902), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [338982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7852), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [339035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7966), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [339088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9504), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9506), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [339141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8230), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8234), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8112), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [339300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8124), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [339353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7920), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [339406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8238), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8264), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339512] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9578), 1,
      anon_sym_DOT,
    STATE(7466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8000), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7779), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [339620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9574), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9576), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [339673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8252), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8256), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8260), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7936), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339885] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9578), 1,
      anon_sym_DOT,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(9582), 1,
      sym_hash_operator,
    STATE(7473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9426), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9514), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [339997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8234), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [340050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9518), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [340103] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9578), 1,
      anon_sym_DOT,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(9582), 1,
      sym_hash_operator,
    STATE(7477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9436), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [340162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9526), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [340215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8238), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [340268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8212), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [340321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9530), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [340374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9534), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [340427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9536), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9538), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [340480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9542), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [340533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8248), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [340586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8926), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8924), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8252), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [340692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8946), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [340745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8220), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [340798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8256), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [340851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7902), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [340957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8934), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8932), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [341010] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341063] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8260), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [341116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8226), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8230), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8234), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8238), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8264), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7936), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [341434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9406), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7013), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7017), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [341540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8248), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341593] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8434), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8252), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8256), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8260), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7936), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7966), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [341964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [342017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [342070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8112), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8124), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342176] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9584), 1,
      anon_sym_DOT,
    ACTIONS(9586), 1,
      anon_sym_POUND,
    ACTIONS(9588), 1,
      sym_hash_operator,
    STATE(7516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9426), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [342235] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9584), 1,
      anon_sym_DOT,
    ACTIONS(9586), 1,
      anon_sym_POUND,
    ACTIONS(9588), 1,
      sym_hash_operator,
    STATE(7517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9436), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [342294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [342347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8960), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [342400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9546), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [342506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9024), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [342559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9548), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9550), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8958), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8956), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [342665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7743), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [342718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7942), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [342771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7948), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [342824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7952), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [342877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7956), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [342930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7960), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [342983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7789), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7968), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7970), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7974), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7978), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7982), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7986), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7990), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7735), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7996), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343460] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9584), 1,
      anon_sym_DOT,
    STATE(7540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8000), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8004), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8008), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8012), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8016), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8020), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8024), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7920), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [343886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8028), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8032), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8036), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7846), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8040), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8044), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8048), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8052), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8056), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8060), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7749), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7751), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7755), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7759), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8066), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8070), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8074), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8078), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7765), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7769), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7773), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8088), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344999] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9590), 1,
      anon_sym_COLON,
    STATE(7569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8322), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8096), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8104), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8116), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8120), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8130), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8140), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8144), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8150), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8156), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8160), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8164), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9554), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9556), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [345690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9558), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9560), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [345743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9562), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9564), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [345796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9566), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9568), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [345849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9570), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9572), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [345902] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9584), 1,
      anon_sym_DOT,
    ACTIONS(9586), 1,
      anon_sym_POUND,
    ACTIONS(9588), 1,
      sym_hash_operator,
    STATE(7586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9444), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345961] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9584), 1,
      anon_sym_DOT,
    ACTIONS(9586), 1,
      anon_sym_POUND,
    ACTIONS(9588), 1,
      sym_hash_operator,
    STATE(7587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9450), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9448), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [346020] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9592), 1,
      anon_sym_COLON,
    STATE(7588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8322), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8930), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8928), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [346128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8174), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [346181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8216), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [346234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8248), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [346287] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9594), 1,
      anon_sym_PIPE,
    ACTIONS(9596), 1,
      anon_sym_RBRACK,
    STATE(7593), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16287), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [346387] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9598), 1,
      anon_sym_PIPE,
    ACTIONS(9600), 1,
      anon_sym_RBRACK,
    STATE(7594), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15528), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [346487] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9602), 1,
      anon_sym_PIPE,
    ACTIONS(9604), 1,
      anon_sym_RBRACK,
    STATE(7595), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16162), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [346587] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [346691] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9606), 1,
      anon_sym_PIPE,
    ACTIONS(9608), 1,
      anon_sym_RBRACK,
    STATE(7598), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15769), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [346791] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9610), 1,
      anon_sym_PIPE,
    ACTIONS(9612), 1,
      anon_sym_RBRACK,
    STATE(7599), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16043), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [346891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [346943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9400), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [346995] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9614), 1,
      anon_sym_PIPE,
    ACTIONS(9616), 1,
      anon_sym_RBRACK,
    STATE(7602), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15893), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [347095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8434), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [347147] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9618), 1,
      anon_sym_PIPE,
    ACTIONS(9620), 1,
      anon_sym_RBRACK,
    STATE(7604), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17265), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19373), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [347247] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9622), 1,
      anon_sym_PIPE,
    ACTIONS(9624), 1,
      anon_sym_RBRACK,
    STATE(7605), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17443), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19187), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [347347] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9626), 1,
      anon_sym_COLON,
    STATE(7606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9404), 20,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [347401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9418), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [347453] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9628), 1,
      anon_sym_PIPE,
    ACTIONS(9630), 1,
      anon_sym_RBRACK,
    STATE(7608), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16070), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [347553] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9632), 1,
      anon_sym_PIPE,
    ACTIONS(9634), 1,
      anon_sym_RBRACK,
    STATE(7609), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15140), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [347653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8434), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [347705] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8434), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347757] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(7612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8206), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [347811] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347863] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9636), 1,
      anon_sym_PIPE,
    ACTIONS(9638), 1,
      anon_sym_RBRACK,
    STATE(7614), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15887), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [347963] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9640), 1,
      anon_sym_PIPE,
    ACTIONS(9642), 1,
      anon_sym_RBRACK,
    STATE(7615), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15499), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348115] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8434), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348167] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9644), 1,
      anon_sym_PIPE,
    ACTIONS(9646), 1,
      anon_sym_RBRACK,
    STATE(7618), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15904), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348267] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9648), 1,
      anon_sym_PIPE,
    ACTIONS(9650), 1,
      anon_sym_RBRACK,
    STATE(7619), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15460), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348367] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9652), 1,
      anon_sym_PIPE,
    ACTIONS(9654), 1,
      anon_sym_RBRACK,
    STATE(7620), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15043), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348467] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9410), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [348571] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9656), 1,
      anon_sym_PIPE,
    ACTIONS(9658), 1,
      anon_sym_RBRACK,
    STATE(7623), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16292), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348671] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9660), 1,
      anon_sym_PIPE,
    ACTIONS(9662), 1,
      anon_sym_RBRACK,
    STATE(7624), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17199), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19454), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348771] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9664), 1,
      anon_sym_PIPE,
    ACTIONS(9666), 1,
      anon_sym_RBRACK,
    STATE(7625), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16121), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348871] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9668), 1,
      anon_sym_PIPE,
    ACTIONS(9670), 1,
      anon_sym_RBRACK,
    STATE(7626), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16470), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19514), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348971] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349075] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8434), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349127] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(7630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9418), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349233] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8434), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349285] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9672), 1,
      anon_sym_PIPE,
    ACTIONS(9674), 1,
      anon_sym_RBRACK,
    STATE(7633), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15880), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [349385] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9676), 1,
      anon_sym_PIPE,
    ACTIONS(9678), 1,
      anon_sym_RBRACK,
    STATE(7634), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16181), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [349485] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(7635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349539] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9680), 1,
      anon_sym_PIPE,
    ACTIONS(9682), 1,
      anon_sym_RBRACK,
    STATE(7636), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15491), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [349639] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9684), 1,
      anon_sym_PIPE,
    ACTIONS(9686), 1,
      anon_sym_RBRACK,
    STATE(7637), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15062), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [349739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9424), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9422), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349791] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9688), 1,
      anon_sym_COLON,
    STATE(7639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9404), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349897] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9690), 1,
      anon_sym_PIPE,
    ACTIONS(9692), 1,
      anon_sym_RBRACK,
    STATE(7641), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15226), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [349997] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9694), 1,
      anon_sym_PIPE,
    ACTIONS(9696), 1,
      anon_sym_RBRACK,
    STATE(7642), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16195), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [350097] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9698), 1,
      anon_sym_PIPE,
    ACTIONS(9700), 1,
      anon_sym_RBRACK,
    STATE(7643), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15375), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [350197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9400), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350249] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9702), 1,
      anon_sym_PIPE,
    ACTIONS(9704), 1,
      anon_sym_RBRACK,
    STATE(7645), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15241), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [350349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9410), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350401] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(7647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8206), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [350455] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8434), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9424), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9422), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9472), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9476), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9490), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350967] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(7658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351173] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9706), 1,
      anon_sym_RBRACK,
    STATE(7662), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16206), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [351270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9554), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9556), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [351372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3069), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3067), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [351423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8924), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8926), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [351474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9558), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9560), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [351525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9562), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9564), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [351576] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6697), 1,
      sym__lowercase_identifier,
    ACTIONS(9712), 1,
      anon_sym_LPAREN,
    ACTIONS(9716), 1,
      anon_sym_LBRACE,
    ACTIONS(9718), 1,
      anon_sym_begin,
    ACTIONS(9720), 1,
      aux_sym_number_token1,
    ACTIONS(9722), 1,
      anon_sym_SQUOTE,
    ACTIONS(9724), 1,
      anon_sym_DQUOTE,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    STATE(7669), 1,
      sym_attribute,
    STATE(10293), 1,
      sym_parenthesized_operator,
    STATE(11802), 1,
      sym_module_path,
    STATE(12357), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9714), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12215), 2,
      sym__constant,
      sym_value_path,
    ACTIONS(9708), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
    STATE(12370), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(9710), 9,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
  [351655] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9728), 1,
      sym__lowercase_identifier,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9732), 1,
      anon_sym_QMARK,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7670), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(10602), 1,
      sym__class_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16681), 1,
      sym__tuple_type,
    STATE(16683), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10125), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10533), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9737), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12461), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [351748] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(4919), 1,
      anon_sym_type,
    ACTIONS(9742), 1,
      sym__lowercase_identifier,
    ACTIONS(9744), 1,
      anon_sym_LPAREN,
    ACTIONS(9746), 1,
      anon_sym_LBRACK,
    ACTIONS(9748), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9750), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9752), 1,
      anon_sym_LT,
    ACTIONS(9754), 1,
      anon_sym_POUND,
    ACTIONS(9756), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9758), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9760), 1,
      aux_sym_type_variable_token1,
    STATE(7671), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11806), 1,
      sym__simple_type,
    STATE(11819), 1,
      sym_type_variable,
    STATE(12494), 1,
      sym__polymorphic_type,
    STATE(12495), 1,
      sym_polymorphic_type,
    STATE(12789), 1,
      sym__tuple_type,
    STATE(13044), 1,
      sym__type,
    STATE(14806), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16776), 1,
      sym_extended_module_path,
    STATE(17564), 1,
      sym_typed_label,
    STATE(19638), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12583), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [351847] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(4919), 1,
      anon_sym_type,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    STATE(7672), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12494), 1,
      sym__polymorphic_type,
    STATE(12495), 1,
      sym_polymorphic_type,
    STATE(12726), 1,
      sym_type_variable,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14652), 1,
      sym__type,
    STATE(14773), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    STATE(18024), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [351946] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9762), 1,
      anon_sym_DOT,
    ACTIONS(9764), 1,
      anon_sym_POUND,
    ACTIONS(9766), 1,
      sym_hash_operator,
    STATE(7673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352003] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9768), 1,
      anon_sym_RBRACK,
    STATE(7674), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15543), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [352100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9566), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9568), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [352151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9058), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [352253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8932), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8934), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [352304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9570), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9572), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [352406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9772), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9770), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [352508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352610] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(9774), 1,
      sym__lowercase_identifier,
    ACTIONS(9776), 1,
      anon_sym_QMARK,
    ACTIONS(9778), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9780), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7685), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(10548), 1,
      sym__class_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16548), 1,
      sym__tuple_type,
    STATE(17410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10533), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10603), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9737), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12461), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [352703] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(7686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7852), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [352858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8960), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8962), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [352909] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(9782), 1,
      sym__lowercase_identifier,
    ACTIONS(9784), 1,
      anon_sym_QMARK,
    ACTIONS(9786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7690), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(10602), 1,
      sym__class_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16415), 1,
      sym_extended_module_path,
    STATE(17159), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10038), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10533), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9737), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12461), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [353002] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9790), 1,
      anon_sym_RBRACK,
    STATE(7691), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15939), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [353099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9574), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9576), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9454), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9458), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353252] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9762), 1,
      anon_sym_DOT,
    ACTIONS(9764), 1,
      anon_sym_POUND,
    ACTIONS(9766), 1,
      sym_hash_operator,
    STATE(7695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9462), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9022), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9026), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9466), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353564] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(9792), 1,
      sym__lowercase_identifier,
    ACTIONS(9794), 1,
      anon_sym_let,
    ACTIONS(9796), 1,
      anon_sym_QMARK,
    ACTIONS(9798), 1,
      anon_sym_LBRACK,
    STATE(7701), 1,
      sym_attribute,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(10548), 1,
      sym__class_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16453), 1,
      sym__tuple_type,
    STATE(16461), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10533), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(13985), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9737), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12461), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [353657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8958), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8202), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8212), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9514), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9512), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9516), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7966), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [354269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9802), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9800), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [354422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354473] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9804), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7718), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17371), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19073), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [354570] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9806), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7719), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14876), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [354667] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6697), 1,
      sym__lowercase_identifier,
    ACTIONS(9712), 1,
      anon_sym_LPAREN,
    ACTIONS(9716), 1,
      anon_sym_LBRACE,
    ACTIONS(9718), 1,
      anon_sym_begin,
    ACTIONS(9720), 1,
      aux_sym_number_token1,
    ACTIONS(9722), 1,
      anon_sym_SQUOTE,
    ACTIONS(9724), 1,
      anon_sym_DQUOTE,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    STATE(7720), 1,
      sym_attribute,
    STATE(10293), 1,
      sym_parenthesized_operator,
    STATE(11802), 1,
      sym_module_path,
    STATE(12357), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9714), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12215), 2,
      sym__constant,
      sym_value_path,
    STATE(12370), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(9708), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
    ACTIONS(9710), 8,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
  [354746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354797] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9808), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7722), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16330), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [354894] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9810), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7723), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(13731), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17353), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19729), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [354991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9526), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [355042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9470), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [355093] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9810), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7726), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17353), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19729), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [355190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9814), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9812), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [355241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9474), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [355292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9478), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [355343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8130), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9818), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9816), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [355445] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(9782), 1,
      sym__lowercase_identifier,
    ACTIONS(9784), 1,
      anon_sym_QMARK,
    ACTIONS(9786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7732), 1,
      sym_attribute,
    STATE(10664), 1,
      sym__class_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16415), 1,
      sym_extended_module_path,
    STATE(17159), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10038), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10533), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9737), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12461), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [355538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9482), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [355589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8112), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [355640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8124), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [355691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9514), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [355742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9822), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9820), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [355793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8220), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [355844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8138), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8142), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9826), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9824), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [356099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9830), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9828), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [356201] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9622), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7746), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17443), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19187), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [356298] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9832), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7747), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14653), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [356395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9836), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9834), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [356446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8164), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7902), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [356599] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9838), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7752), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15085), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [356696] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9840), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7753), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16774), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19262), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [356793] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9842), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7754), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14489), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [356890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7920), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [356941] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9844), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7756), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17346), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19335), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357038] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9846), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7757), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14857), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9850), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9848), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [357186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9854), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9852), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [357237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9858), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9856), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [357288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9862), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9860), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [357339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9866), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9864), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [357390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9870), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9868), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [357441] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9618), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7764), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17265), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19373), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357538] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9872), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7765), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14308), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357635] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9874), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7766), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17326), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19402), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357732] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9876), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7767), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14795), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357829] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9878), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7768), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16693), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19428), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357926] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9880), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7769), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14485), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9488), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [358074] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(9882), 1,
      sym__lowercase_identifier,
    ACTIONS(9884), 1,
      anon_sym_QMARK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9888), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7771), 1,
      sym_attribute,
    STATE(10548), 1,
      sym__class_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(17231), 1,
      sym__tuple_type,
    STATE(17240), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10502), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10533), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9737), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12461), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [358167] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(9792), 1,
      sym__lowercase_identifier,
    ACTIONS(9794), 1,
      anon_sym_let,
    ACTIONS(9796), 1,
      anon_sym_QMARK,
    ACTIONS(9798), 1,
      anon_sym_LBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7772), 1,
      sym_attribute,
    STATE(10664), 1,
      sym__class_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16453), 1,
      sym__tuple_type,
    STATE(16461), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10533), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(13985), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9737), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12461), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [358260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9492), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [358362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9892), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9890), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [358413] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9660), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7776), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17199), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19454), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358510] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9894), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7777), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14311), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358607] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(9792), 1,
      sym__lowercase_identifier,
    ACTIONS(9794), 1,
      anon_sym_let,
    ACTIONS(9796), 1,
      anon_sym_QMARK,
    ACTIONS(9798), 1,
      anon_sym_LBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7778), 1,
      sym_attribute,
    STATE(10703), 1,
      sym__class_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16453), 1,
      sym__tuple_type,
    STATE(16461), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10533), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(13985), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9737), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12461), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [358700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9898), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9896), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [358751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9902), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9900), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [358802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9906), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9904), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [358853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9910), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9908), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [358904] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9912), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7783), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17334), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19475), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359001] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9914), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7784), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14512), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359098] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9916), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7785), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17461), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19495), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359195] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9918), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7786), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14684), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359292] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9668), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7787), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16470), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19514), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359389] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9920), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7788), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14892), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7743), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7741), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359537] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9922), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7790), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16556), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19533), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359634] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9924), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7791), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14326), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359782] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9926), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7793), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15088), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9536), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359930] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9928), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7795), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16658), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19549), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [360027] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9930), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7796), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14402), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [360124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9934), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9932), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [360175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8926), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8924), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7946), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7950), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7954), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7958), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360481] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9936), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7804), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16766), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19565), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [360578] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9938), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7805), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14481), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [360675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9542), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360726] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9940), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7807), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(16878), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19581), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [360823] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9942), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7808), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14540), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [360920] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(4919), 1,
      anon_sym_type,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9944), 1,
      sym__lowercase_identifier,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    STATE(7809), 1,
      sym_attribute,
    STATE(12494), 1,
      sym__polymorphic_type,
    STATE(12495), 1,
      sym_polymorphic_type,
    STATE(12726), 1,
      sym_type_variable,
    STATE(12742), 1,
      sym_tuple_type,
    STATE(12780), 1,
      sym__simple_type,
    STATE(13397), 1,
      sym__tuple_type,
    STATE(14192), 1,
      sym__type,
    STATE(14336), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17162), 1,
      sym_extended_module_path,
    STATE(18156), 1,
      sym__abstract_type,
    STATE(19894), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12782), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13110), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [361019] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(9882), 1,
      sym__lowercase_identifier,
    ACTIONS(9884), 1,
      anon_sym_QMARK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9888), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7810), 1,
      sym_attribute,
    STATE(10664), 1,
      sym__class_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(17231), 1,
      sym__tuple_type,
    STATE(17240), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10502), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10533), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9737), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12461), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [361112] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(9782), 1,
      sym__lowercase_identifier,
    ACTIONS(9784), 1,
      anon_sym_QMARK,
    ACTIONS(9786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7811), 1,
      sym_attribute,
    STATE(10703), 1,
      sym__class_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16415), 1,
      sym_extended_module_path,
    STATE(17159), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10038), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10533), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9737), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12461), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [361205] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(9782), 1,
      sym__lowercase_identifier,
    ACTIONS(9784), 1,
      anon_sym_QMARK,
    ACTIONS(9786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9788), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7812), 1,
      sym_attribute,
    STATE(10548), 1,
      sym__class_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16415), 1,
      sym_extended_module_path,
    STATE(17159), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10038), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10533), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9737), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12461), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [361298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9962), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9960), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [361349] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9964), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7814), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(16997), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19597), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [361446] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9966), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7815), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14606), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [361543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8934), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8932), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7968), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7972), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7976), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361798] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(9882), 1,
      sym__lowercase_identifier,
    ACTIONS(9884), 1,
      anon_sym_QMARK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9888), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7821), 1,
      sym_attribute,
    STATE(10703), 1,
      sym__class_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(17231), 1,
      sym__tuple_type,
    STATE(17240), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10502), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10533), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9737), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12461), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [361891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7980), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361942] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9968), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7823), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17173), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19613), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [362039] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9970), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7824), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14679), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [362136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7984), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7988), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362340] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9762), 1,
      anon_sym_DOT,
    STATE(7829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9468), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9974), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9972), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362495] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9976), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7832), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17253), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19629), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [362592] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9978), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7833), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14755), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [362689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362740] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9980), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7835), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17330), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19645), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [362837] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9982), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7836), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14834), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [362934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363138] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9984), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7841), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17418), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19661), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [363235] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9986), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7842), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14905), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [363332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8960), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363587] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9988), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7848), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17335), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19677), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [363684] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9990), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7849), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14896), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [363781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7751), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7749), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364138] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9992), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7857), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16535), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19693), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [364235] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9994), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7858), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14626), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [364332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7755), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7753), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7759), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7757), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9024), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364740] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9996), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7867), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15872), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [364837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7765), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7763), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7769), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7767), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7773), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7771), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8958), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8956), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9004), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8226), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365296] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(4919), 1,
      anon_sym_type,
    ACTIONS(9998), 1,
      sym__lowercase_identifier,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10008), 1,
      anon_sym_LT,
    ACTIONS(10010), 1,
      anon_sym_POUND,
    ACTIONS(10012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10016), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7877), 1,
      sym_attribute,
    STATE(10228), 1,
      sym__simple_type,
    STATE(10273), 1,
      sym_type_variable,
    STATE(12001), 1,
      sym__tuple_type,
    STATE(12293), 1,
      sym__type,
    STATE(12584), 1,
      sym__polymorphic_type,
    STATE(12593), 1,
      sym_polymorphic_type,
    STATE(14304), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16517), 1,
      sym_extended_module_path,
    STATE(19207), 1,
      sym__abstract_type,
    STATE(19804), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11022), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [365395] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(10018), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7878), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15394), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [365492] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(9774), 1,
      sym__lowercase_identifier,
    ACTIONS(9776), 1,
      anon_sym_QMARK,
    ACTIONS(9778), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9780), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7879), 1,
      sym_attribute,
    STATE(10664), 1,
      sym__class_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16548), 1,
      sym__tuple_type,
    STATE(17410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10533), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10603), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9737), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12461), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [365585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8230), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9530), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8234), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8238), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365789] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(9774), 1,
      sym__lowercase_identifier,
    ACTIONS(9776), 1,
      anon_sym_QMARK,
    ACTIONS(9778), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9780), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7884), 1,
      sym_attribute,
    STATE(10703), 1,
      sym__class_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16548), 1,
      sym__tuple_type,
    STATE(17410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10533), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10603), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9737), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12461), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [365882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8264), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9534), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9536), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9538), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [366035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9542), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [366086] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(9882), 1,
      sym__lowercase_identifier,
    ACTIONS(9884), 1,
      anon_sym_QMARK,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9888), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7889), 1,
      sym_attribute,
    STATE(10602), 1,
      sym__class_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(17231), 1,
      sym__tuple_type,
    STATE(17240), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10502), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10533), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9737), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12461), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [366179] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(10020), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7890), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15549), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [366276] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(9810), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7891), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(13743), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17353), 1,
      sym_tag_specification,
    STATE(18020), 1,
      sym_typed_label,
    STATE(19729), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [366373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9518), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [366424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8248), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [366475] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(10022), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7894), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15791), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [366572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9406), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [366623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9002), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8252), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [366776] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(10024), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7899), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15661), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [366873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7013), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7017), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366975] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(10026), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7902), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15911), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [367072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9498), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [367174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9502), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [367225] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(9792), 1,
      sym__lowercase_identifier,
    ACTIONS(9794), 1,
      anon_sym_let,
    ACTIONS(9796), 1,
      anon_sym_QMARK,
    ACTIONS(9798), 1,
      anon_sym_LBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7906), 1,
      sym_attribute,
    STATE(10602), 1,
      sym__class_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16453), 1,
      sym__tuple_type,
    STATE(16461), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10533), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(13985), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9737), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12461), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [367318] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(10028), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7907), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15142), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [367415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8256), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [367466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8260), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [367517] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(10030), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7910), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16091), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [367614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7936), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [367767] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9728), 1,
      sym__lowercase_identifier,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9732), 1,
      anon_sym_QMARK,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7914), 1,
      sym_attribute,
    STATE(10664), 1,
      sym__class_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16681), 1,
      sym__tuple_type,
    STATE(16683), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10125), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10533), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9737), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12461), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [367860] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(10032), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7915), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16303), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [367957] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9728), 1,
      sym__lowercase_identifier,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9732), 1,
      anon_sym_QMARK,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7916), 1,
      sym_attribute,
    STATE(10548), 1,
      sym__class_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16681), 1,
      sym__tuple_type,
    STATE(16683), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10125), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10533), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9737), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12461), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [368050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8244), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [368101] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(10034), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7918), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16180), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [368198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7850), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368249] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10036), 1,
      aux_sym_attribute_id_token1,
    STATE(7920), 1,
      sym_attribute,
    STATE(7925), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8777), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8775), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [368304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8200), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8218), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368508] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10036), 1,
      aux_sym_attribute_id_token1,
    STATE(7925), 1,
      sym_attribute,
    STATE(7937), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8859), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8857), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [368563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9546), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [368665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9548), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9550), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [368716] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(10038), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7929), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15082), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [368813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8236), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8216), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [369119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369170] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10040), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7937), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8865), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8863), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [369223] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(10043), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7938), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15026), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [369320] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(10045), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7939), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16320), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [369417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9404), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7013), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7017), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9506), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9504), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369621] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(10047), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7944), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15517), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [369718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369769] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(4919), 1,
      anon_sym_type,
    ACTIONS(10049), 1,
      sym__lowercase_identifier,
    ACTIONS(10051), 1,
      anon_sym_LPAREN,
    ACTIONS(10053), 1,
      anon_sym_LBRACK,
    ACTIONS(10055), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10057), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10059), 1,
      anon_sym_LT,
    ACTIONS(10061), 1,
      anon_sym_POUND,
    ACTIONS(10063), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10065), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10067), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7946), 1,
      sym_attribute,
    STATE(10950), 1,
      sym__simple_type,
    STATE(11373), 1,
      sym_type_variable,
    STATE(12494), 1,
      sym__polymorphic_type,
    STATE(12495), 1,
      sym_polymorphic_type,
    STATE(12501), 1,
      sym__tuple_type,
    STATE(12705), 1,
      sym__type,
    STATE(14593), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16551), 1,
      sym_extended_module_path,
    STATE(19354), 1,
      sym_typed_label,
    STATE(20013), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11649), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [369868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9082), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [370021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7777), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370123] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(9774), 1,
      sym__lowercase_identifier,
    ACTIONS(9776), 1,
      anon_sym_QMARK,
    ACTIONS(9778), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9780), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7952), 1,
      sym_attribute,
    STATE(10602), 1,
      sym__class_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16548), 1,
      sym__tuple_type,
    STATE(17410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10533), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10603), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9737), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12461), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [370216] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9728), 1,
      sym__lowercase_identifier,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9732), 1,
      anon_sym_QMARK,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7953), 1,
      sym_attribute,
    STATE(10703), 1,
      sym__class_type,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16681), 1,
      sym__tuple_type,
    STATE(16683), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10125), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10533), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9737), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(12461), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [370309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7787), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9548), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370513] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(10069), 1,
      anon_sym_PIPE,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7958), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14284), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [370610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9556), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9554), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9560), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9558), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9564), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9562), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9566), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9570), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9504), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9506), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [370916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370967] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(10071), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7966), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15177), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [371064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9576), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9574), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9522), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [371217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9452), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9456), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371319] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(10073), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7972), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15320), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [371416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9460), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7844), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371518] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(4919), 1,
      anon_sym_type,
    ACTIONS(10075), 1,
      sym__lowercase_identifier,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10085), 1,
      anon_sym_LT,
    ACTIONS(10087), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10091), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10093), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7975), 1,
      sym_attribute,
    STATE(10206), 1,
      sym__simple_type,
    STATE(10288), 1,
      sym_type_variable,
    STATE(11935), 1,
      sym__tuple_type,
    STATE(12052), 1,
      sym__type,
    STATE(12584), 1,
      sym__polymorphic_type,
    STATE(12593), 1,
      sym_polymorphic_type,
    STATE(14710), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16608), 1,
      sym_extended_module_path,
    STATE(17488), 1,
      sym_typed_label,
    STATE(18976), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10970), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [371617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9464), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371668] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(10095), 1,
      anon_sym_RBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7977), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15247), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [371765] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10101), 1,
      anon_sym_else,
    STATE(7978), 1,
      sym_attribute,
    STATE(8119), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [371819] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10107), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10111), 1,
      sym_pow_operator,
    ACTIONS(10113), 1,
      sym_mult_operator,
    STATE(2233), 1,
      sym_add_operator,
    STATE(7979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10103), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [371879] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10111), 1,
      sym_pow_operator,
    STATE(2233), 1,
      sym_add_operator,
    STATE(7980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [371933] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10111), 1,
      sym_pow_operator,
    STATE(2233), 1,
      sym_add_operator,
    STATE(7981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [371987] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10107), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10111), 1,
      sym_pow_operator,
    ACTIONS(10113), 1,
      sym_mult_operator,
    ACTIONS(10119), 1,
      sym_concat_operator,
    STATE(2233), 1,
      sym_add_operator,
    STATE(7982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372049] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10107), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10111), 1,
      sym_pow_operator,
    ACTIONS(10113), 1,
      sym_mult_operator,
    ACTIONS(10119), 1,
      sym_concat_operator,
    STATE(2233), 1,
      sym_add_operator,
    STATE(7983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372111] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10107), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10111), 1,
      sym_pow_operator,
    ACTIONS(10113), 1,
      sym_mult_operator,
    ACTIONS(10119), 1,
      sym_concat_operator,
    ACTIONS(10121), 1,
      sym_rel_operator,
    ACTIONS(10123), 1,
      sym_and_operator,
    STATE(2233), 1,
      sym_add_operator,
    STATE(7984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10115), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372177] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10107), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10111), 1,
      sym_pow_operator,
    ACTIONS(10113), 1,
      sym_mult_operator,
    ACTIONS(10119), 1,
      sym_concat_operator,
    ACTIONS(10121), 1,
      sym_rel_operator,
    ACTIONS(10123), 1,
      sym_and_operator,
    ACTIONS(10125), 1,
      sym_or_operator,
    STATE(2233), 1,
      sym_add_operator,
    STATE(7985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372245] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10107), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10111), 1,
      sym_pow_operator,
    ACTIONS(10113), 1,
      sym_mult_operator,
    ACTIONS(10119), 1,
      sym_concat_operator,
    ACTIONS(10121), 1,
      sym_rel_operator,
    ACTIONS(10123), 1,
      sym_and_operator,
    ACTIONS(10125), 1,
      sym_or_operator,
    ACTIONS(10127), 1,
      anon_sym_COMMA,
    ACTIONS(10129), 1,
      sym_assign_operator,
    STATE(2233), 1,
      sym_add_operator,
    STATE(7986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372317] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10111), 1,
      sym_pow_operator,
    ACTIONS(10113), 1,
      sym_mult_operator,
    STATE(2233), 1,
      sym_add_operator,
    STATE(7987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372373] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10107), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10111), 1,
      sym_pow_operator,
    ACTIONS(10113), 1,
      sym_mult_operator,
    ACTIONS(10119), 1,
      sym_concat_operator,
    ACTIONS(10121), 1,
      sym_rel_operator,
    ACTIONS(10123), 1,
      sym_and_operator,
    ACTIONS(10125), 1,
      sym_or_operator,
    ACTIONS(10127), 1,
      anon_sym_COMMA,
    ACTIONS(10129), 1,
      sym_assign_operator,
    STATE(2233), 1,
      sym_add_operator,
    STATE(7988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10133), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10131), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372445] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10139), 1,
      anon_sym_else,
    STATE(7989), 1,
      sym_attribute,
    STATE(8033), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372499] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10107), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10111), 1,
      sym_pow_operator,
    ACTIONS(10113), 1,
      sym_mult_operator,
    ACTIONS(10119), 1,
      sym_concat_operator,
    ACTIONS(10121), 1,
      sym_rel_operator,
    ACTIONS(10123), 1,
      sym_and_operator,
    ACTIONS(10125), 1,
      sym_or_operator,
    ACTIONS(10127), 1,
      anon_sym_COMMA,
    ACTIONS(10129), 1,
      sym_assign_operator,
    STATE(2233), 1,
      sym_add_operator,
    STATE(7990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10143), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10141), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372571] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10149), 1,
      anon_sym_PIPE,
    STATE(7991), 1,
      sym_attribute,
    STATE(7993), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372625] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10149), 1,
      anon_sym_PIPE,
    STATE(7992), 1,
      sym_attribute,
    STATE(7993), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372679] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7993), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372731] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2233), 1,
      sym_add_operator,
    STATE(7994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372783] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10139), 1,
      anon_sym_else,
    STATE(7995), 1,
      sym_attribute,
    STATE(8119), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372837] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7996), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15142), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [372931] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7997), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14523), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373025] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(7998), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15363), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373119] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10149), 1,
      anon_sym_PIPE,
    STATE(7991), 1,
      aux_sym__match_cases_repeat1,
    STATE(7999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [373173] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10149), 1,
      anon_sym_PIPE,
    STATE(7992), 1,
      aux_sym__match_cases_repeat1,
    STATE(8000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [373227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9910), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9908), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [373277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9892), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9890), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [373327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9818), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9816), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [373377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9862), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9860), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [373427] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8005), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16180), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373521] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8006), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14333), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373615] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8007), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16371), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373709] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(8008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8206), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [373761] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8216), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [373811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10172), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10170), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [373861] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8011), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15177), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373955] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8012), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14535), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9826), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9824), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [374099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9830), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9828), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [374149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9836), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9834), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [374199] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8016), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15216), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374293] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10174), 1,
      anon_sym_PIPE,
    STATE(8017), 1,
      sym_attribute,
    STATE(8019), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [374347] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10174), 1,
      anon_sym_PIPE,
    STATE(8018), 1,
      sym_attribute,
    STATE(8019), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [374401] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10176), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8019), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [374453] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7936), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [374503] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8021), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15543), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374597] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8022), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14698), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374691] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8023), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15646), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374785] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8024), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15845), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374879] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10174), 1,
      anon_sym_PIPE,
    STATE(8017), 1,
      aux_sym__match_cases_repeat1,
    STATE(8025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [374933] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10174), 1,
      anon_sym_PIPE,
    STATE(8018), 1,
      aux_sym__match_cases_repeat1,
    STATE(8026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [374987] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8027), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15939), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375081] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8028), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14907), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375175] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8029), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16009), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375269] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8030), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16330), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375363] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8031), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14338), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375457] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8032), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16381), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9898), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9896), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [375601] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10101), 1,
      anon_sym_else,
    STATE(8033), 1,
      sym_else_clause,
    STATE(8034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [375655] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8035), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15085), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375749] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8036), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14415), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375843] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8037), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15118), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375937] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8038), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15662), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376031] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8039), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15247), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376125] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8040), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14490), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376219] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8041), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15280), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376313] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10179), 1,
      anon_sym_else,
    STATE(8033), 1,
      sym_else_clause,
    STATE(8042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [376367] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8043), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15394), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376461] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8044), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14549), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10181), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [376605] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8046), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15423), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376699] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10189), 1,
      anon_sym_COMMA,
    ACTIONS(10191), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10193), 1,
      sym_pow_operator,
    ACTIONS(10195), 1,
      sym_mult_operator,
    ACTIONS(10197), 1,
      sym_concat_operator,
    ACTIONS(10199), 1,
      sym_rel_operator,
    ACTIONS(10201), 1,
      sym_and_operator,
    ACTIONS(10203), 1,
      sym_or_operator,
    ACTIONS(10205), 1,
      sym_assign_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(8047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10187), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10185), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [376771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9902), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9900), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [376821] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8049), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15549), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376915] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8050), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14616), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377009] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8051), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15586), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377103] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10179), 1,
      anon_sym_else,
    STATE(8052), 1,
      sym_attribute,
    STATE(8119), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [377157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9814), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9812), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [377207] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8054), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15791), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377301] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8055), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14694), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9822), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9820), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [377445] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8057), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15517), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377539] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8058), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15813), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377633] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8059), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14689), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377727] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8226), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [377777] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8061), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15826), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377871] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8062), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15911), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377965] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8063), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14762), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378059] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8064), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15947), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378153] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8065), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16091), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378247] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8066), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14843), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378341] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8067), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16134), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378435] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8068), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16303), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378529] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8069), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14915), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378623] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8070), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16339), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378717] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8071), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15082), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378811] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8072), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14467), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378905] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8073), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15377), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9772), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9770), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379049] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8075), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16320), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379143] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8076), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14445), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379237] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8077), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15440), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9906), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9904), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379381] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8079), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15088), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379475] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8080), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15320), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379569] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8081), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14513), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379663] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8082), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15437), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379757] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8083), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14614), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379851] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10189), 1,
      anon_sym_COMMA,
    ACTIONS(10191), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10193), 1,
      sym_pow_operator,
    ACTIONS(10195), 1,
      sym_mult_operator,
    ACTIONS(10197), 1,
      sym_concat_operator,
    ACTIONS(10199), 1,
      sym_rel_operator,
    ACTIONS(10201), 1,
      sym_and_operator,
    ACTIONS(10203), 1,
      sym_or_operator,
    ACTIONS(10205), 1,
      sym_assign_operator,
    ACTIONS(10207), 1,
      anon_sym_SEMI,
    STATE(2040), 1,
      sym_add_operator,
    STATE(8084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8948), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8946), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [379925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9934), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9932), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [379975] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10191), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10193), 1,
      sym_pow_operator,
    ACTIONS(10195), 1,
      sym_mult_operator,
    ACTIONS(10197), 1,
      sym_concat_operator,
    ACTIONS(10199), 1,
      sym_rel_operator,
    ACTIONS(10201), 1,
      sym_and_operator,
    ACTIONS(10203), 1,
      sym_or_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(8086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10211), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10209), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380043] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10191), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10193), 1,
      sym_pow_operator,
    ACTIONS(10195), 1,
      sym_mult_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(8087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10103), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3069), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3067), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [380153] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10193), 1,
      sym_pow_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(8089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380207] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10193), 1,
      sym_pow_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(8090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380261] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10191), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10193), 1,
      sym_pow_operator,
    ACTIONS(10195), 1,
      sym_mult_operator,
    ACTIONS(10197), 1,
      sym_concat_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(8091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380323] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10191), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10193), 1,
      sym_pow_operator,
    ACTIONS(10195), 1,
      sym_mult_operator,
    ACTIONS(10197), 1,
      sym_concat_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(8092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380385] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10191), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10193), 1,
      sym_pow_operator,
    ACTIONS(10195), 1,
      sym_mult_operator,
    ACTIONS(10197), 1,
      sym_concat_operator,
    ACTIONS(10199), 1,
      sym_rel_operator,
    ACTIONS(10201), 1,
      sym_and_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(8093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10115), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380451] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10191), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10193), 1,
      sym_pow_operator,
    ACTIONS(10195), 1,
      sym_mult_operator,
    ACTIONS(10197), 1,
      sym_concat_operator,
    ACTIONS(10199), 1,
      sym_rel_operator,
    ACTIONS(10201), 1,
      sym_and_operator,
    ACTIONS(10203), 1,
      sym_or_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(8094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380519] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10189), 1,
      anon_sym_COMMA,
    ACTIONS(10191), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10193), 1,
      sym_pow_operator,
    ACTIONS(10195), 1,
      sym_mult_operator,
    ACTIONS(10197), 1,
      sym_concat_operator,
    ACTIONS(10199), 1,
      sym_rel_operator,
    ACTIONS(10201), 1,
      sym_and_operator,
    ACTIONS(10203), 1,
      sym_or_operator,
    ACTIONS(10205), 1,
      sym_assign_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(8095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9962), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9960), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [380641] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10193), 1,
      sym_pow_operator,
    ACTIONS(10195), 1,
      sym_mult_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(8097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380697] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10189), 1,
      anon_sym_COMMA,
    ACTIONS(10191), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10193), 1,
      sym_pow_operator,
    ACTIONS(10195), 1,
      sym_mult_operator,
    ACTIONS(10197), 1,
      sym_concat_operator,
    ACTIONS(10199), 1,
      sym_rel_operator,
    ACTIONS(10201), 1,
      sym_and_operator,
    ACTIONS(10203), 1,
      sym_or_operator,
    ACTIONS(10205), 1,
      sym_assign_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(8098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10133), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10131), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380769] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10213), 1,
      anon_sym_else,
    STATE(8033), 1,
      sym_else_clause,
    STATE(8099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380823] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10189), 1,
      anon_sym_COMMA,
    ACTIONS(10191), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10193), 1,
      sym_pow_operator,
    ACTIONS(10195), 1,
      sym_mult_operator,
    ACTIONS(10197), 1,
      sym_concat_operator,
    ACTIONS(10199), 1,
      sym_rel_operator,
    ACTIONS(10201), 1,
      sym_and_operator,
    ACTIONS(10203), 1,
      sym_or_operator,
    ACTIONS(10205), 1,
      sym_assign_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(8100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10143), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10141), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [380895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9974), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9972), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [380945] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10107), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10111), 1,
      sym_pow_operator,
    ACTIONS(10113), 1,
      sym_mult_operator,
    ACTIONS(10119), 1,
      sym_concat_operator,
    ACTIONS(10121), 1,
      sym_rel_operator,
    ACTIONS(10123), 1,
      sym_and_operator,
    ACTIONS(10125), 1,
      sym_or_operator,
    ACTIONS(10127), 1,
      anon_sym_COMMA,
    ACTIONS(10129), 1,
      sym_assign_operator,
    STATE(2233), 1,
      sym_add_operator,
    STATE(8102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10187), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10185), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381017] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10107), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10111), 1,
      sym_pow_operator,
    ACTIONS(10113), 1,
      sym_mult_operator,
    ACTIONS(10119), 1,
      sym_concat_operator,
    ACTIONS(10121), 1,
      sym_rel_operator,
    ACTIONS(10123), 1,
      sym_and_operator,
    ACTIONS(10125), 1,
      sym_or_operator,
    ACTIONS(10127), 1,
      anon_sym_COMMA,
    ACTIONS(10129), 1,
      sym_assign_operator,
    ACTIONS(10215), 1,
      anon_sym_SEMI,
    STATE(2233), 1,
      sym_add_operator,
    STATE(8103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8948), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8946), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381091] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2040), 1,
      sym_add_operator,
    STATE(8104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381143] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10213), 1,
      anon_sym_else,
    STATE(8105), 1,
      sym_attribute,
    STATE(8119), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8946), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9892), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9890), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381297] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(8108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8206), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [381349] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8109), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15631), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381443] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8110), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16206), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381537] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8111), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14885), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381631] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8112), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15661), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381725] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8113), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16363), 1,
      sym__tag_spec,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9850), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9848), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9934), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9932), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10172), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10170), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [381969] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8244), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [382019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9772), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9770), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9854), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9852), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [382119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9850), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9848), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9858), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9856), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [382269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9862), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9860), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [382319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9870), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9868), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10219), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10217), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9866), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9864), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [382469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9854), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9852), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10223), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10221), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [382569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [382619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10219), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10217), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [382669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9898), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9896), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10227), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10225), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [382769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9858), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9856), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9870), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9868), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [382869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8942), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8940), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9866), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9864), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10227), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10225), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383019] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10233), 1,
      anon_sym_RPAREN,
    STATE(8138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10231), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10229), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [383071] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8139), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14302), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [383165] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8140), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15026), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [383259] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8141), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14381), 1,
      sym__tag_spec,
    STATE(14600), 1,
      sym_tag,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [383353] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8142), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15210), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [383447] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8865), 16,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(8863), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [383497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9962), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9960), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8930), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8928), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9974), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9972), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3069), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3067), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383697] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8148), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15872), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [383791] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8149), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(14660), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [383885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9902), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9900), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9814), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9812), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9818), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9816), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384035] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8153), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(14600), 1,
      sym_tag,
    STATE(15770), 1,
      sym__tag_spec,
    STATE(15982), 1,
      sym_tag_specification,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [384129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9822), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9820), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9826), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9824), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9830), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9828), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9836), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9834), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9906), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9904), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9910), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9908), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384429] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10107), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10111), 1,
      sym_pow_operator,
    ACTIONS(10113), 1,
      sym_mult_operator,
    ACTIONS(10119), 1,
      sym_concat_operator,
    ACTIONS(10121), 1,
      sym_rel_operator,
    ACTIONS(10123), 1,
      sym_and_operator,
    ACTIONS(10125), 1,
      sym_or_operator,
    STATE(2233), 1,
      sym_add_operator,
    STATE(8160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10211), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10209), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384497] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10235), 1,
      anon_sym_else,
    STATE(8119), 1,
      sym_else_clause,
    STATE(8161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384550] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10239), 1,
      sym_pow_operator,
    ACTIONS(10241), 1,
      sym_mult_operator,
    ACTIONS(10243), 1,
      sym_concat_operator,
    ACTIONS(10245), 1,
      sym_rel_operator,
    ACTIONS(10247), 1,
      sym_and_operator,
    ACTIONS(10249), 1,
      sym_or_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(8162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384617] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10239), 1,
      sym_pow_operator,
    ACTIONS(10241), 1,
      sym_mult_operator,
    ACTIONS(10243), 1,
      sym_concat_operator,
    ACTIONS(10245), 1,
      sym_rel_operator,
    ACTIONS(10247), 1,
      sym_and_operator,
    ACTIONS(10249), 1,
      sym_or_operator,
    ACTIONS(10251), 1,
      anon_sym_COMMA,
    ACTIONS(10253), 1,
      sym_assign_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(8163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384688] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10239), 1,
      sym_pow_operator,
    ACTIONS(10241), 1,
      sym_mult_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(8164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384743] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10255), 1,
      anon_sym_PIPE,
    STATE(8165), 1,
      sym_attribute,
    STATE(8210), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384796] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10255), 1,
      anon_sym_PIPE,
    STATE(8166), 1,
      sym_attribute,
    STATE(8212), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384849] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10239), 1,
      sym_pow_operator,
    ACTIONS(10241), 1,
      sym_mult_operator,
    ACTIONS(10243), 1,
      sym_concat_operator,
    ACTIONS(10245), 1,
      sym_rel_operator,
    ACTIONS(10247), 1,
      sym_and_operator,
    ACTIONS(10249), 1,
      sym_or_operator,
    ACTIONS(10251), 1,
      anon_sym_COMMA,
    ACTIONS(10253), 1,
      sym_assign_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(8167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10133), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10131), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384920] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10257), 1,
      sym_pow_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(8168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384973] = 26,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(9662), 1,
      anon_sym_RPAREN,
    ACTIONS(10259), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8169), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14061), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [385064] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10261), 1,
      anon_sym_else,
    STATE(8033), 1,
      sym_else_clause,
    STATE(8170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385117] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10239), 1,
      sym_pow_operator,
    ACTIONS(10241), 1,
      sym_mult_operator,
    ACTIONS(10243), 1,
      sym_concat_operator,
    ACTIONS(10245), 1,
      sym_rel_operator,
    ACTIONS(10247), 1,
      sym_and_operator,
    ACTIONS(10249), 1,
      sym_or_operator,
    ACTIONS(10251), 1,
      anon_sym_COMMA,
    ACTIONS(10253), 1,
      sym_assign_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(8171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10143), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10141), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385188] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10263), 1,
      anon_sym_COMMA,
    ACTIONS(10265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10267), 1,
      sym_pow_operator,
    ACTIONS(10269), 1,
      sym_mult_operator,
    ACTIONS(10271), 1,
      sym_concat_operator,
    ACTIONS(10273), 1,
      sym_rel_operator,
    ACTIONS(10275), 1,
      sym_and_operator,
    ACTIONS(10277), 1,
      sym_or_operator,
    ACTIONS(10279), 1,
      sym_assign_operator,
    STATE(2215), 1,
      sym_add_operator,
    STATE(8172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10187), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10185), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385259] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10281), 1,
      anon_sym_PIPE,
    STATE(8173), 1,
      sym_attribute,
    STATE(8175), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385312] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10281), 1,
      anon_sym_PIPE,
    STATE(8174), 1,
      sym_attribute,
    STATE(8175), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385365] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10283), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8175), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385416] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10257), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10288), 1,
      sym_mult_operator,
    ACTIONS(10290), 1,
      sym_concat_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(8176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385477] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10257), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10288), 1,
      sym_mult_operator,
    ACTIONS(10290), 1,
      sym_concat_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(8177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385538] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2273), 1,
      sym_add_operator,
    STATE(8178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385589] = 26,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(9670), 1,
      anon_sym_RPAREN,
    ACTIONS(10292), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8179), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14157), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [385680] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10281), 1,
      anon_sym_PIPE,
    STATE(8173), 1,
      aux_sym__match_cases_repeat1,
    STATE(8180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385733] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10281), 1,
      anon_sym_PIPE,
    STATE(8174), 1,
      aux_sym__match_cases_repeat1,
    STATE(8181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385786] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10257), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10288), 1,
      sym_mult_operator,
    ACTIONS(10290), 1,
      sym_concat_operator,
    ACTIONS(10294), 1,
      sym_rel_operator,
    ACTIONS(10296), 1,
      sym_and_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(8182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10115), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385851] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10257), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10288), 1,
      sym_mult_operator,
    ACTIONS(10290), 1,
      sym_concat_operator,
    ACTIONS(10294), 1,
      sym_rel_operator,
    ACTIONS(10296), 1,
      sym_and_operator,
    ACTIONS(10298), 1,
      sym_or_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(8183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385918] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10257), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10288), 1,
      sym_mult_operator,
    ACTIONS(10290), 1,
      sym_concat_operator,
    ACTIONS(10294), 1,
      sym_rel_operator,
    ACTIONS(10296), 1,
      sym_and_operator,
    ACTIONS(10298), 1,
      sym_or_operator,
    ACTIONS(10300), 1,
      anon_sym_COMMA,
    ACTIONS(10302), 1,
      sym_assign_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(8184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385989] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10261), 1,
      anon_sym_else,
    STATE(8119), 1,
      sym_else_clause,
    STATE(8185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386042] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10263), 1,
      anon_sym_COMMA,
    ACTIONS(10265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10267), 1,
      sym_pow_operator,
    ACTIONS(10269), 1,
      sym_mult_operator,
    ACTIONS(10271), 1,
      sym_concat_operator,
    ACTIONS(10273), 1,
      sym_rel_operator,
    ACTIONS(10275), 1,
      sym_and_operator,
    ACTIONS(10277), 1,
      sym_or_operator,
    ACTIONS(10279), 1,
      sym_assign_operator,
    ACTIONS(10304), 1,
      anon_sym_SEMI,
    STATE(2215), 1,
      sym_add_operator,
    STATE(8186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8948), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8946), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386115] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10257), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10288), 1,
      sym_mult_operator,
    ACTIONS(10290), 1,
      sym_concat_operator,
    ACTIONS(10294), 1,
      sym_rel_operator,
    ACTIONS(10296), 1,
      sym_and_operator,
    ACTIONS(10298), 1,
      sym_or_operator,
    ACTIONS(10300), 1,
      anon_sym_COMMA,
    ACTIONS(10302), 1,
      sym_assign_operator,
    ACTIONS(10306), 1,
      anon_sym_SEMI,
    STATE(2106), 1,
      sym_add_operator,
    STATE(8187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8948), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8946), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386188] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10257), 1,
      sym_pow_operator,
    ACTIONS(10288), 1,
      sym_mult_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(8188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386243] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10257), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10288), 1,
      sym_mult_operator,
    ACTIONS(10290), 1,
      sym_concat_operator,
    ACTIONS(10294), 1,
      sym_rel_operator,
    ACTIONS(10296), 1,
      sym_and_operator,
    ACTIONS(10298), 1,
      sym_or_operator,
    ACTIONS(10300), 1,
      anon_sym_COMMA,
    ACTIONS(10302), 1,
      sym_assign_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(8189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10133), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10131), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386314] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10308), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10310), 1,
      sym_pow_operator,
    ACTIONS(10312), 1,
      sym_mult_operator,
    ACTIONS(10314), 1,
      sym_concat_operator,
    ACTIONS(10316), 1,
      sym_rel_operator,
    ACTIONS(10318), 1,
      sym_and_operator,
    ACTIONS(10320), 1,
      sym_or_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10211), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10209), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386381] = 26,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(9624), 1,
      anon_sym_RPAREN,
    ACTIONS(10322), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8191), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14083), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [386472] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10308), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10310), 1,
      sym_pow_operator,
    ACTIONS(10312), 1,
      sym_mult_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10103), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386531] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      sym_pow_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386584] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10231), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10229), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [386633] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      sym_pow_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386686] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10308), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10310), 1,
      sym_pow_operator,
    ACTIONS(10312), 1,
      sym_mult_operator,
    ACTIONS(10314), 1,
      sym_concat_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386747] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10308), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10310), 1,
      sym_pow_operator,
    ACTIONS(10312), 1,
      sym_mult_operator,
    ACTIONS(10314), 1,
      sym_concat_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386808] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10239), 1,
      sym_pow_operator,
    ACTIONS(10241), 1,
      sym_mult_operator,
    ACTIONS(10243), 1,
      sym_concat_operator,
    ACTIONS(10245), 1,
      sym_rel_operator,
    ACTIONS(10247), 1,
      sym_and_operator,
    ACTIONS(10249), 1,
      sym_or_operator,
    ACTIONS(10251), 1,
      anon_sym_COMMA,
    ACTIONS(10253), 1,
      sym_assign_operator,
    ACTIONS(10324), 1,
      anon_sym_SEMI,
    STATE(2273), 1,
      sym_add_operator,
    STATE(8198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8948), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8946), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386881] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10308), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10310), 1,
      sym_pow_operator,
    ACTIONS(10312), 1,
      sym_mult_operator,
    ACTIONS(10314), 1,
      sym_concat_operator,
    ACTIONS(10316), 1,
      sym_rel_operator,
    ACTIONS(10318), 1,
      sym_and_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10115), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386946] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10308), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10310), 1,
      sym_pow_operator,
    ACTIONS(10312), 1,
      sym_mult_operator,
    ACTIONS(10314), 1,
      sym_concat_operator,
    ACTIONS(10316), 1,
      sym_rel_operator,
    ACTIONS(10318), 1,
      sym_and_operator,
    ACTIONS(10320), 1,
      sym_or_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387013] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10308), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10310), 1,
      sym_pow_operator,
    ACTIONS(10312), 1,
      sym_mult_operator,
    ACTIONS(10314), 1,
      sym_concat_operator,
    ACTIONS(10316), 1,
      sym_rel_operator,
    ACTIONS(10318), 1,
      sym_and_operator,
    ACTIONS(10320), 1,
      sym_or_operator,
    ACTIONS(10326), 1,
      anon_sym_COMMA,
    ACTIONS(10328), 1,
      sym_assign_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387084] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      sym_pow_operator,
    ACTIONS(10312), 1,
      sym_mult_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387139] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10308), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10310), 1,
      sym_pow_operator,
    ACTIONS(10312), 1,
      sym_mult_operator,
    ACTIONS(10314), 1,
      sym_concat_operator,
    ACTIONS(10316), 1,
      sym_rel_operator,
    ACTIONS(10318), 1,
      sym_and_operator,
    ACTIONS(10320), 1,
      sym_or_operator,
    ACTIONS(10326), 1,
      anon_sym_COMMA,
    ACTIONS(10328), 1,
      sym_assign_operator,
    ACTIONS(10330), 1,
      anon_sym_SEMI,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8948), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8946), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387212] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10308), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10310), 1,
      sym_pow_operator,
    ACTIONS(10312), 1,
      sym_mult_operator,
    ACTIONS(10314), 1,
      sym_concat_operator,
    ACTIONS(10316), 1,
      sym_rel_operator,
    ACTIONS(10318), 1,
      sym_and_operator,
    ACTIONS(10320), 1,
      sym_or_operator,
    ACTIONS(10326), 1,
      anon_sym_COMMA,
    ACTIONS(10328), 1,
      sym_assign_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10133), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10131), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387283] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10235), 1,
      anon_sym_else,
    STATE(8033), 1,
      sym_else_clause,
    STATE(8205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387336] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10308), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10310), 1,
      sym_pow_operator,
    ACTIONS(10312), 1,
      sym_mult_operator,
    ACTIONS(10314), 1,
      sym_concat_operator,
    ACTIONS(10316), 1,
      sym_rel_operator,
    ACTIONS(10318), 1,
      sym_and_operator,
    ACTIONS(10320), 1,
      sym_or_operator,
    ACTIONS(10326), 1,
      anon_sym_COMMA,
    ACTIONS(10328), 1,
      sym_assign_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10143), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10141), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387407] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10239), 1,
      sym_pow_operator,
    ACTIONS(10241), 1,
      sym_mult_operator,
    ACTIONS(10243), 1,
      sym_concat_operator,
    ACTIONS(10245), 1,
      sym_rel_operator,
    ACTIONS(10247), 1,
      sym_and_operator,
    ACTIONS(10249), 1,
      sym_or_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(8207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10211), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10209), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387474] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10332), 1,
      anon_sym_PIPE,
    STATE(8208), 1,
      sym_attribute,
    STATE(8214), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387527] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10334), 1,
      anon_sym_COLON,
    STATE(8209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8322), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [387578] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10255), 1,
      anon_sym_PIPE,
    STATE(8210), 1,
      sym_attribute,
    STATE(8213), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387631] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10332), 1,
      anon_sym_PIPE,
    STATE(8211), 1,
      sym_attribute,
    STATE(8217), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387684] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10255), 1,
      anon_sym_PIPE,
    STATE(8212), 1,
      sym_attribute,
    STATE(8213), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387737] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10336), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8213), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387788] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10332), 1,
      anon_sym_PIPE,
    STATE(8214), 1,
      sym_attribute,
    STATE(8217), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387841] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10341), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10339), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [387890] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10343), 1,
      anon_sym_else,
    STATE(8033), 1,
      sym_else_clause,
    STATE(8216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387943] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10345), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8217), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387994] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10348), 1,
      anon_sym_PIPE,
    STATE(8218), 1,
      sym_attribute,
    STATE(8221), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388047] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10239), 1,
      sym_pow_operator,
    ACTIONS(10241), 1,
      sym_mult_operator,
    ACTIONS(10243), 1,
      sym_concat_operator,
    ACTIONS(10245), 1,
      sym_rel_operator,
    ACTIONS(10247), 1,
      sym_and_operator,
    ACTIONS(10249), 1,
      sym_or_operator,
    ACTIONS(10251), 1,
      anon_sym_COMMA,
    ACTIONS(10253), 1,
      sym_assign_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(8219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10187), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10185), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388118] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10348), 1,
      anon_sym_PIPE,
    STATE(8220), 1,
      sym_attribute,
    STATE(8221), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388171] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10350), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8221), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388222] = 26,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(9620), 1,
      anon_sym_RPAREN,
    ACTIONS(10353), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8222), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14198), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [388313] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10343), 1,
      anon_sym_else,
    STATE(8119), 1,
      sym_else_clause,
    STATE(8223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388366] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10257), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10288), 1,
      sym_mult_operator,
    ACTIONS(10290), 1,
      sym_concat_operator,
    ACTIONS(10294), 1,
      sym_rel_operator,
    ACTIONS(10296), 1,
      sym_and_operator,
    ACTIONS(10298), 1,
      sym_or_operator,
    ACTIONS(10300), 1,
      anon_sym_COMMA,
    ACTIONS(10302), 1,
      sym_assign_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(8224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10143), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10141), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388437] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388488] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10257), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10288), 1,
      sym_mult_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(8226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10103), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388547] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10257), 1,
      sym_pow_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(8227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388600] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10348), 1,
      anon_sym_PIPE,
    STATE(8218), 1,
      aux_sym__match_cases_repeat1,
    STATE(8228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388653] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10348), 1,
      anon_sym_PIPE,
    STATE(8220), 1,
      aux_sym__match_cases_repeat1,
    STATE(8229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388706] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10267), 1,
      sym_pow_operator,
    ACTIONS(10269), 1,
      sym_mult_operator,
    ACTIONS(10271), 1,
      sym_concat_operator,
    ACTIONS(10273), 1,
      sym_rel_operator,
    ACTIONS(10275), 1,
      sym_and_operator,
    ACTIONS(10277), 1,
      sym_or_operator,
    STATE(2215), 1,
      sym_add_operator,
    STATE(8230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10211), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10209), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388773] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10267), 1,
      sym_pow_operator,
    ACTIONS(10269), 1,
      sym_mult_operator,
    STATE(2215), 1,
      sym_add_operator,
    STATE(8231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10103), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388832] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10267), 1,
      sym_pow_operator,
    STATE(2215), 1,
      sym_add_operator,
    STATE(8232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388885] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10233), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10355), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [388934] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10267), 1,
      sym_pow_operator,
    STATE(2215), 1,
      sym_add_operator,
    STATE(8234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388987] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10267), 1,
      sym_pow_operator,
    ACTIONS(10269), 1,
      sym_mult_operator,
    ACTIONS(10271), 1,
      sym_concat_operator,
    STATE(2215), 1,
      sym_add_operator,
    STATE(8235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389048] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10267), 1,
      sym_pow_operator,
    ACTIONS(10269), 1,
      sym_mult_operator,
    ACTIONS(10271), 1,
      sym_concat_operator,
    STATE(2215), 1,
      sym_add_operator,
    STATE(8236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389109] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10267), 1,
      sym_pow_operator,
    ACTIONS(10269), 1,
      sym_mult_operator,
    ACTIONS(10271), 1,
      sym_concat_operator,
    ACTIONS(10273), 1,
      sym_rel_operator,
    ACTIONS(10275), 1,
      sym_and_operator,
    STATE(2215), 1,
      sym_add_operator,
    STATE(8237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10115), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389174] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10267), 1,
      sym_pow_operator,
    ACTIONS(10269), 1,
      sym_mult_operator,
    ACTIONS(10271), 1,
      sym_concat_operator,
    ACTIONS(10273), 1,
      sym_rel_operator,
    ACTIONS(10275), 1,
      sym_and_operator,
    ACTIONS(10277), 1,
      sym_or_operator,
    STATE(2215), 1,
      sym_add_operator,
    STATE(8238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389241] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10263), 1,
      anon_sym_COMMA,
    ACTIONS(10265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10267), 1,
      sym_pow_operator,
    ACTIONS(10269), 1,
      sym_mult_operator,
    ACTIONS(10271), 1,
      sym_concat_operator,
    ACTIONS(10273), 1,
      sym_rel_operator,
    ACTIONS(10275), 1,
      sym_and_operator,
    ACTIONS(10277), 1,
      sym_or_operator,
    ACTIONS(10279), 1,
      sym_assign_operator,
    STATE(2215), 1,
      sym_add_operator,
    STATE(8239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389312] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10267), 1,
      sym_pow_operator,
    ACTIONS(10269), 1,
      sym_mult_operator,
    STATE(2215), 1,
      sym_add_operator,
    STATE(8240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389367] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10263), 1,
      anon_sym_COMMA,
    ACTIONS(10265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10267), 1,
      sym_pow_operator,
    ACTIONS(10269), 1,
      sym_mult_operator,
    ACTIONS(10271), 1,
      sym_concat_operator,
    ACTIONS(10273), 1,
      sym_rel_operator,
    ACTIONS(10275), 1,
      sym_and_operator,
    ACTIONS(10277), 1,
      sym_or_operator,
    ACTIONS(10279), 1,
      sym_assign_operator,
    STATE(2215), 1,
      sym_add_operator,
    STATE(8241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10133), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10131), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389438] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10357), 1,
      anon_sym_else,
    STATE(8033), 1,
      sym_else_clause,
    STATE(8242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389491] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2106), 1,
      sym_add_operator,
    STATE(8243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389542] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10263), 1,
      anon_sym_COMMA,
    ACTIONS(10265), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10267), 1,
      sym_pow_operator,
    ACTIONS(10269), 1,
      sym_mult_operator,
    ACTIONS(10271), 1,
      sym_concat_operator,
    ACTIONS(10273), 1,
      sym_rel_operator,
    ACTIONS(10275), 1,
      sym_and_operator,
    ACTIONS(10277), 1,
      sym_or_operator,
    ACTIONS(10279), 1,
      sym_assign_operator,
    STATE(2215), 1,
      sym_add_operator,
    STATE(8244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10143), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10141), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389613] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2215), 1,
      sym_add_operator,
    STATE(8245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389664] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10357), 1,
      anon_sym_else,
    STATE(8119), 1,
      sym_else_clause,
    STATE(8246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389717] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10239), 1,
      sym_pow_operator,
    ACTIONS(10241), 1,
      sym_mult_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(8247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10103), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389776] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10239), 1,
      sym_pow_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(8248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389829] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10239), 1,
      sym_pow_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(8249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389882] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10239), 1,
      sym_pow_operator,
    ACTIONS(10241), 1,
      sym_mult_operator,
    ACTIONS(10243), 1,
      sym_concat_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(8250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389943] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10239), 1,
      sym_pow_operator,
    ACTIONS(10241), 1,
      sym_mult_operator,
    ACTIONS(10243), 1,
      sym_concat_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(8251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390004] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10239), 1,
      sym_pow_operator,
    ACTIONS(10241), 1,
      sym_mult_operator,
    ACTIONS(10243), 1,
      sym_concat_operator,
    ACTIONS(10245), 1,
      sym_rel_operator,
    ACTIONS(10247), 1,
      sym_and_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(8252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10115), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390069] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10332), 1,
      anon_sym_PIPE,
    STATE(8211), 1,
      aux_sym__match_cases_repeat1,
    STATE(8253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390122] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10257), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10288), 1,
      sym_mult_operator,
    ACTIONS(10290), 1,
      sym_concat_operator,
    ACTIONS(10294), 1,
      sym_rel_operator,
    ACTIONS(10296), 1,
      sym_and_operator,
    ACTIONS(10298), 1,
      sym_or_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(8254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10211), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10209), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390189] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10359), 1,
      anon_sym_PIPE,
    STATE(8255), 1,
      sym_attribute,
    STATE(8258), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390241] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10361), 1,
      anon_sym_COMMA,
    ACTIONS(10363), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10365), 1,
      sym_pow_operator,
    ACTIONS(10367), 1,
      sym_mult_operator,
    ACTIONS(10369), 1,
      sym_concat_operator,
    ACTIONS(10371), 1,
      sym_rel_operator,
    ACTIONS(10373), 1,
      sym_and_operator,
    ACTIONS(10375), 1,
      sym_or_operator,
    ACTIONS(10377), 1,
      sym_assign_operator,
    STATE(1953), 1,
      sym_add_operator,
    STATE(8256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10133), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10131), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8436), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8434), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [390359] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10359), 1,
      anon_sym_PIPE,
    STATE(8258), 1,
      sym_attribute,
    STATE(8260), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390411] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10379), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10382), 1,
      anon_sym_let,
    ACTIONS(10385), 1,
      anon_sym_external,
    ACTIONS(10388), 1,
      anon_sym_type,
    ACTIONS(10391), 1,
      anon_sym_exception,
    ACTIONS(10394), 1,
      anon_sym_module,
    ACTIONS(10397), 1,
      anon_sym_open,
    ACTIONS(10400), 1,
      anon_sym_include,
    ACTIONS(10403), 1,
      anon_sym_class,
    ACTIONS(10406), 1,
      anon_sym_end,
    ACTIONS(10408), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(10411), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(10414), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10417), 1,
      sym_let_operator,
    ACTIONS(10420), 1,
      aux_sym_directive_token1,
    STATE(109), 1,
      aux_sym__structure_repeat1,
    STATE(7669), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8259), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(12120), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12321), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [390493] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10423), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8260), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390543] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1953), 1,
      sym_add_operator,
    STATE(8261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [390641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9418), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [390689] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(8264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8206), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [390739] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10359), 1,
      anon_sym_PIPE,
    STATE(8265), 1,
      sym_attribute,
    STATE(8313), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390791] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10426), 1,
      anon_sym_PIPE,
    STATE(8266), 1,
      sym_attribute,
    STATE(8268), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390843] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10426), 1,
      anon_sym_PIPE,
    STATE(8267), 1,
      sym_attribute,
    STATE(8287), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390895] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10426), 1,
      anon_sym_PIPE,
    STATE(8268), 1,
      sym_attribute,
    STATE(8288), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390947] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10428), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10430), 1,
      sym_pow_operator,
    ACTIONS(10432), 1,
      sym_mult_operator,
    ACTIONS(10434), 1,
      sym_concat_operator,
    ACTIONS(10436), 1,
      sym_rel_operator,
    ACTIONS(10438), 1,
      sym_and_operator,
    ACTIONS(10440), 1,
      sym_or_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(8269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10211), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10209), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391013] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10428), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10430), 1,
      sym_pow_operator,
    ACTIONS(10432), 1,
      sym_mult_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(8270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10103), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391071] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10308), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10310), 1,
      sym_pow_operator,
    ACTIONS(10312), 1,
      sym_mult_operator,
    ACTIONS(10314), 1,
      sym_concat_operator,
    ACTIONS(10316), 1,
      sym_rel_operator,
    ACTIONS(10318), 1,
      sym_and_operator,
    ACTIONS(10320), 1,
      sym_or_operator,
    ACTIONS(10326), 1,
      anon_sym_COMMA,
    ACTIONS(10328), 1,
      sym_assign_operator,
    ACTIONS(10442), 1,
      anon_sym_SEMI,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8948), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8946), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391143] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10430), 1,
      sym_pow_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(8272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391195] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10430), 1,
      sym_pow_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(8273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391247] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(125), 1,
      aux_sym_directive_token1,
    ACTIONS(697), 1,
      anon_sym_RBRACK,
    ACTIONS(10444), 1,
      anon_sym_let,
    ACTIONS(10446), 1,
      anon_sym_external,
    ACTIONS(10448), 1,
      anon_sym_type,
    ACTIONS(10450), 1,
      anon_sym_exception,
    ACTIONS(10452), 1,
      anon_sym_module,
    ACTIONS(10454), 1,
      anon_sym_open,
    ACTIONS(10456), 1,
      anon_sym_include,
    ACTIONS(10458), 1,
      anon_sym_class,
    ACTIONS(10460), 1,
      sym_let_operator,
    STATE(98), 1,
      aux_sym__structure_repeat1,
    STATE(7720), 1,
      sym_directive,
    STATE(8274), 1,
      sym_attribute,
    STATE(8298), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12120), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12321), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [391331] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10428), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10430), 1,
      sym_pow_operator,
    ACTIONS(10432), 1,
      sym_mult_operator,
    ACTIONS(10434), 1,
      sym_concat_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(8275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391391] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10428), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10430), 1,
      sym_pow_operator,
    ACTIONS(10432), 1,
      sym_mult_operator,
    ACTIONS(10434), 1,
      sym_concat_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(8276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391451] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10361), 1,
      anon_sym_COMMA,
    ACTIONS(10363), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10365), 1,
      sym_pow_operator,
    ACTIONS(10367), 1,
      sym_mult_operator,
    ACTIONS(10369), 1,
      sym_concat_operator,
    ACTIONS(10371), 1,
      sym_rel_operator,
    ACTIONS(10373), 1,
      sym_and_operator,
    ACTIONS(10375), 1,
      sym_or_operator,
    ACTIONS(10377), 1,
      sym_assign_operator,
    STATE(1953), 1,
      sym_add_operator,
    STATE(8277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10143), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10141), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391521] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10428), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10430), 1,
      sym_pow_operator,
    ACTIONS(10432), 1,
      sym_mult_operator,
    ACTIONS(10434), 1,
      sym_concat_operator,
    ACTIONS(10436), 1,
      sym_rel_operator,
    ACTIONS(10438), 1,
      sym_and_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(8278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10115), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391585] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10428), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10430), 1,
      sym_pow_operator,
    ACTIONS(10432), 1,
      sym_mult_operator,
    ACTIONS(10434), 1,
      sym_concat_operator,
    ACTIONS(10436), 1,
      sym_rel_operator,
    ACTIONS(10438), 1,
      sym_and_operator,
    ACTIONS(10440), 1,
      sym_or_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(8279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391651] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10428), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10430), 1,
      sym_pow_operator,
    ACTIONS(10432), 1,
      sym_mult_operator,
    ACTIONS(10434), 1,
      sym_concat_operator,
    ACTIONS(10436), 1,
      sym_rel_operator,
    ACTIONS(10438), 1,
      sym_and_operator,
    ACTIONS(10440), 1,
      sym_or_operator,
    ACTIONS(10462), 1,
      anon_sym_COMMA,
    ACTIONS(10464), 1,
      sym_assign_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(8280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391721] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10430), 1,
      sym_pow_operator,
    ACTIONS(10432), 1,
      sym_mult_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(8281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391775] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(417), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(479), 1,
      aux_sym_directive_token1,
    ACTIONS(697), 1,
      anon_sym_end,
    ACTIONS(10446), 1,
      anon_sym_external,
    ACTIONS(10454), 1,
      anon_sym_open,
    ACTIONS(10456), 1,
      anon_sym_include,
    ACTIONS(10466), 1,
      anon_sym_let,
    ACTIONS(10468), 1,
      anon_sym_type,
    ACTIONS(10470), 1,
      anon_sym_exception,
    ACTIONS(10472), 1,
      anon_sym_module,
    ACTIONS(10474), 1,
      anon_sym_class,
    ACTIONS(10476), 1,
      sym_let_operator,
    STATE(105), 1,
      aux_sym__structure_repeat1,
    STATE(7669), 1,
      sym_directive,
    STATE(8259), 1,
      aux_sym__structure_repeat2,
    STATE(8282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12120), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12321), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [391859] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10428), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10430), 1,
      sym_pow_operator,
    ACTIONS(10432), 1,
      sym_mult_operator,
    ACTIONS(10434), 1,
      sym_concat_operator,
    ACTIONS(10436), 1,
      sym_rel_operator,
    ACTIONS(10438), 1,
      sym_and_operator,
    ACTIONS(10440), 1,
      sym_or_operator,
    ACTIONS(10462), 1,
      anon_sym_COMMA,
    ACTIONS(10464), 1,
      sym_assign_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(8283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10133), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10131), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391929] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10428), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10430), 1,
      sym_pow_operator,
    ACTIONS(10432), 1,
      sym_mult_operator,
    ACTIONS(10434), 1,
      sym_concat_operator,
    ACTIONS(10436), 1,
      sym_rel_operator,
    ACTIONS(10438), 1,
      sym_and_operator,
    ACTIONS(10440), 1,
      sym_or_operator,
    ACTIONS(10462), 1,
      anon_sym_COMMA,
    ACTIONS(10464), 1,
      sym_assign_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(8284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10143), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10141), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391999] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(125), 1,
      aux_sym_directive_token1,
    ACTIONS(811), 1,
      anon_sym_RBRACK,
    ACTIONS(10444), 1,
      anon_sym_let,
    ACTIONS(10446), 1,
      anon_sym_external,
    ACTIONS(10448), 1,
      anon_sym_type,
    ACTIONS(10450), 1,
      anon_sym_exception,
    ACTIONS(10452), 1,
      anon_sym_module,
    ACTIONS(10454), 1,
      anon_sym_open,
    ACTIONS(10456), 1,
      anon_sym_include,
    ACTIONS(10458), 1,
      anon_sym_class,
    ACTIONS(10460), 1,
      sym_let_operator,
    STATE(100), 1,
      aux_sym__structure_repeat1,
    STATE(7720), 1,
      sym_directive,
    STATE(8274), 1,
      aux_sym__structure_repeat2,
    STATE(8285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12120), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12321), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [392083] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10428), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10430), 1,
      sym_pow_operator,
    ACTIONS(10432), 1,
      sym_mult_operator,
    ACTIONS(10434), 1,
      sym_concat_operator,
    ACTIONS(10436), 1,
      sym_rel_operator,
    ACTIONS(10438), 1,
      sym_and_operator,
    ACTIONS(10440), 1,
      sym_or_operator,
    ACTIONS(10462), 1,
      anon_sym_COMMA,
    ACTIONS(10464), 1,
      sym_assign_operator,
    ACTIONS(10478), 1,
      anon_sym_SEMI,
    STATE(2063), 1,
      sym_add_operator,
    STATE(8286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8948), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8946), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392155] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10426), 1,
      anon_sym_PIPE,
    STATE(8287), 1,
      sym_attribute,
    STATE(8288), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392207] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10480), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8288), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392257] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2063), 1,
      sym_add_operator,
    STATE(8289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9424), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9422), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [392355] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(8291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8206), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [392405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9400), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [392453] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(417), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(479), 1,
      aux_sym_directive_token1,
    ACTIONS(811), 1,
      anon_sym_end,
    ACTIONS(10446), 1,
      anon_sym_external,
    ACTIONS(10454), 1,
      anon_sym_open,
    ACTIONS(10456), 1,
      anon_sym_include,
    ACTIONS(10466), 1,
      anon_sym_let,
    ACTIONS(10468), 1,
      anon_sym_type,
    ACTIONS(10470), 1,
      anon_sym_exception,
    ACTIONS(10472), 1,
      anon_sym_module,
    ACTIONS(10474), 1,
      anon_sym_class,
    ACTIONS(10476), 1,
      sym_let_operator,
    STATE(101), 1,
      aux_sym__structure_repeat1,
    STATE(7669), 1,
      sym_directive,
    STATE(8282), 1,
      aux_sym__structure_repeat2,
    STATE(8293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12120), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12321), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [392537] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(125), 1,
      aux_sym_directive_token1,
    ACTIONS(811), 1,
      anon_sym_RBRACK,
    ACTIONS(10444), 1,
      anon_sym_let,
    ACTIONS(10446), 1,
      anon_sym_external,
    ACTIONS(10448), 1,
      anon_sym_type,
    ACTIONS(10450), 1,
      anon_sym_exception,
    ACTIONS(10452), 1,
      anon_sym_module,
    ACTIONS(10454), 1,
      anon_sym_open,
    ACTIONS(10456), 1,
      anon_sym_include,
    ACTIONS(10458), 1,
      anon_sym_class,
    ACTIONS(10460), 1,
      sym_let_operator,
    STATE(100), 1,
      aux_sym__structure_repeat1,
    STATE(7720), 1,
      sym_directive,
    STATE(8294), 1,
      sym_attribute,
    STATE(8298), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12120), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12321), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [392621] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(8295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8206), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [392671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9410), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [392719] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(417), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(479), 1,
      aux_sym_directive_token1,
    ACTIONS(811), 1,
      anon_sym_end,
    ACTIONS(10446), 1,
      anon_sym_external,
    ACTIONS(10454), 1,
      anon_sym_open,
    ACTIONS(10456), 1,
      anon_sym_include,
    ACTIONS(10466), 1,
      anon_sym_let,
    ACTIONS(10468), 1,
      anon_sym_type,
    ACTIONS(10470), 1,
      anon_sym_exception,
    ACTIONS(10472), 1,
      anon_sym_module,
    ACTIONS(10474), 1,
      anon_sym_class,
    ACTIONS(10476), 1,
      sym_let_operator,
    STATE(101), 1,
      aux_sym__structure_repeat1,
    STATE(7669), 1,
      sym_directive,
    STATE(8259), 1,
      aux_sym__structure_repeat2,
    STATE(8297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12120), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12321), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [392803] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10379), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10385), 1,
      anon_sym_external,
    ACTIONS(10397), 1,
      anon_sym_open,
    ACTIONS(10400), 1,
      anon_sym_include,
    ACTIONS(10406), 1,
      anon_sym_RBRACK,
    ACTIONS(10408), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(10411), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(10414), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10483), 1,
      anon_sym_let,
    ACTIONS(10486), 1,
      anon_sym_type,
    ACTIONS(10489), 1,
      anon_sym_exception,
    ACTIONS(10492), 1,
      anon_sym_module,
    ACTIONS(10495), 1,
      anon_sym_class,
    ACTIONS(10498), 1,
      sym_let_operator,
    ACTIONS(10501), 1,
      aux_sym_directive_token1,
    STATE(111), 1,
      aux_sym__structure_repeat1,
    STATE(7720), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8298), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(12120), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12321), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [392885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [392933] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10361), 1,
      anon_sym_COMMA,
    ACTIONS(10363), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10365), 1,
      sym_pow_operator,
    ACTIONS(10367), 1,
      sym_mult_operator,
    ACTIONS(10369), 1,
      sym_concat_operator,
    ACTIONS(10371), 1,
      sym_rel_operator,
    ACTIONS(10373), 1,
      sym_and_operator,
    ACTIONS(10375), 1,
      sym_or_operator,
    ACTIONS(10377), 1,
      sym_assign_operator,
    ACTIONS(10504), 1,
      anon_sym_SEMI,
    STATE(1953), 1,
      sym_add_operator,
    STATE(8300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8948), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8946), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393005] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(125), 1,
      aux_sym_directive_token1,
    ACTIONS(753), 1,
      anon_sym_RBRACK,
    ACTIONS(10444), 1,
      anon_sym_let,
    ACTIONS(10446), 1,
      anon_sym_external,
    ACTIONS(10448), 1,
      anon_sym_type,
    ACTIONS(10450), 1,
      anon_sym_exception,
    ACTIONS(10452), 1,
      anon_sym_module,
    ACTIONS(10454), 1,
      anon_sym_open,
    ACTIONS(10456), 1,
      anon_sym_include,
    ACTIONS(10458), 1,
      anon_sym_class,
    ACTIONS(10460), 1,
      sym_let_operator,
    STATE(107), 1,
      aux_sym__structure_repeat1,
    STATE(7720), 1,
      sym_directive,
    STATE(8294), 1,
      aux_sym__structure_repeat2,
    STATE(8301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12120), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12321), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [393089] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10363), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10365), 1,
      sym_pow_operator,
    ACTIONS(10367), 1,
      sym_mult_operator,
    ACTIONS(10369), 1,
      sym_concat_operator,
    ACTIONS(10371), 1,
      sym_rel_operator,
    ACTIONS(10373), 1,
      sym_and_operator,
    ACTIONS(10375), 1,
      sym_or_operator,
    STATE(1953), 1,
      sym_add_operator,
    STATE(8302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10211), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10209), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393155] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10363), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10365), 1,
      sym_pow_operator,
    ACTIONS(10367), 1,
      sym_mult_operator,
    STATE(1953), 1,
      sym_add_operator,
    STATE(8303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10103), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393213] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(8304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8206), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [393263] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10365), 1,
      sym_pow_operator,
    STATE(1953), 1,
      sym_add_operator,
    STATE(8305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393315] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10365), 1,
      sym_pow_operator,
    STATE(1953), 1,
      sym_add_operator,
    STATE(8306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393367] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10363), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10365), 1,
      sym_pow_operator,
    ACTIONS(10367), 1,
      sym_mult_operator,
    ACTIONS(10369), 1,
      sym_concat_operator,
    STATE(1953), 1,
      sym_add_operator,
    STATE(8307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393427] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10257), 1,
      sym_pow_operator,
    ACTIONS(10286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10288), 1,
      sym_mult_operator,
    ACTIONS(10290), 1,
      sym_concat_operator,
    ACTIONS(10294), 1,
      sym_rel_operator,
    ACTIONS(10296), 1,
      sym_and_operator,
    ACTIONS(10298), 1,
      sym_or_operator,
    ACTIONS(10300), 1,
      anon_sym_COMMA,
    ACTIONS(10302), 1,
      sym_assign_operator,
    ACTIONS(10506), 1,
      anon_sym_SEMI,
    STATE(2106), 1,
      sym_add_operator,
    STATE(8308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8948), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8946), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393499] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10363), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10365), 1,
      sym_pow_operator,
    ACTIONS(10367), 1,
      sym_mult_operator,
    ACTIONS(10369), 1,
      sym_concat_operator,
    STATE(1953), 1,
      sym_add_operator,
    STATE(8309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393559] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10363), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10365), 1,
      sym_pow_operator,
    ACTIONS(10367), 1,
      sym_mult_operator,
    ACTIONS(10369), 1,
      sym_concat_operator,
    ACTIONS(10371), 1,
      sym_rel_operator,
    ACTIONS(10373), 1,
      sym_and_operator,
    STATE(1953), 1,
      sym_add_operator,
    STATE(8310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10115), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393623] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10363), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10365), 1,
      sym_pow_operator,
    ACTIONS(10367), 1,
      sym_mult_operator,
    ACTIONS(10369), 1,
      sym_concat_operator,
    ACTIONS(10371), 1,
      sym_rel_operator,
    ACTIONS(10373), 1,
      sym_and_operator,
    ACTIONS(10375), 1,
      sym_or_operator,
    STATE(1953), 1,
      sym_add_operator,
    STATE(8311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393689] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10361), 1,
      anon_sym_COMMA,
    ACTIONS(10363), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10365), 1,
      sym_pow_operator,
    ACTIONS(10367), 1,
      sym_mult_operator,
    ACTIONS(10369), 1,
      sym_concat_operator,
    ACTIONS(10371), 1,
      sym_rel_operator,
    ACTIONS(10373), 1,
      sym_and_operator,
    ACTIONS(10375), 1,
      sym_or_operator,
    ACTIONS(10377), 1,
      sym_assign_operator,
    STATE(1953), 1,
      sym_add_operator,
    STATE(8312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393759] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10359), 1,
      anon_sym_PIPE,
    STATE(8260), 1,
      aux_sym__match_cases_repeat1,
    STATE(8313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393811] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10365), 1,
      sym_pow_operator,
    ACTIONS(10367), 1,
      sym_mult_operator,
    STATE(1953), 1,
      sym_add_operator,
    STATE(8314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393865] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(417), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(479), 1,
      aux_sym_directive_token1,
    ACTIONS(753), 1,
      anon_sym_end,
    ACTIONS(10446), 1,
      anon_sym_external,
    ACTIONS(10454), 1,
      anon_sym_open,
    ACTIONS(10456), 1,
      anon_sym_include,
    ACTIONS(10466), 1,
      anon_sym_let,
    ACTIONS(10468), 1,
      anon_sym_type,
    ACTIONS(10470), 1,
      anon_sym_exception,
    ACTIONS(10472), 1,
      anon_sym_module,
    ACTIONS(10474), 1,
      anon_sym_class,
    ACTIONS(10476), 1,
      sym_let_operator,
    STATE(106), 1,
      aux_sym__structure_repeat1,
    STATE(7669), 1,
      sym_directive,
    STATE(8297), 1,
      aux_sym__structure_repeat2,
    STATE(8315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12120), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12321), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [393949] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8316), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16142), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [394034] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10510), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    ACTIONS(10516), 1,
      sym_concat_operator,
    ACTIONS(10518), 1,
      sym_rel_operator,
    ACTIONS(10520), 1,
      sym_and_operator,
    ACTIONS(10522), 1,
      sym_or_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [394099] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10524), 1,
      anon_sym_COMMA,
    ACTIONS(10526), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10528), 1,
      sym_pow_operator,
    ACTIONS(10530), 1,
      sym_mult_operator,
    ACTIONS(10532), 1,
      sym_concat_operator,
    ACTIONS(10534), 1,
      sym_rel_operator,
    ACTIONS(10536), 1,
      sym_and_operator,
    ACTIONS(10538), 1,
      sym_or_operator,
    ACTIONS(10540), 1,
      sym_assign_operator,
    STATE(2148), 1,
      sym_add_operator,
    STATE(8318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10143), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10141), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [394168] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8319), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15428), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [394253] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10544), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8320), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15952), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [394338] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10546), 1,
      anon_sym_else,
    STATE(8119), 1,
      sym_else_clause,
    STATE(8321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [394389] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [394438] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10548), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8323), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14130), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [394523] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10550), 1,
      sym__lowercase_identifier,
    ACTIONS(10552), 1,
      anon_sym_LPAREN,
    ACTIONS(10554), 1,
      anon_sym_private,
    ACTIONS(10556), 1,
      anon_sym_LBRACK,
    ACTIONS(10558), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10560), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10562), 1,
      anon_sym_LT,
    ACTIONS(10564), 1,
      anon_sym_POUND,
    ACTIONS(10566), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10568), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10570), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8324), 1,
      sym_attribute,
    STATE(8821), 1,
      sym__simple_type,
    STATE(9857), 1,
      sym__tuple_type,
    STATE(10097), 1,
      sym__type,
    STATE(16807), 1,
      sym_extended_module_path,
    STATE(19969), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(8985), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [394608] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(10578), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10580), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8325), 1,
      sym_attribute,
    STATE(8813), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10574), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10572), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [394665] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10582), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8326), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14132), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [394750] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10584), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8327), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14240), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [394835] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10586), 1,
      anon_sym_else,
    STATE(8119), 1,
      sym_else_clause,
    STATE(8328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [394886] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10510), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    ACTIONS(10516), 1,
      sym_concat_operator,
    ACTIONS(10518), 1,
      sym_rel_operator,
    ACTIONS(10520), 1,
      sym_and_operator,
    ACTIONS(10522), 1,
      sym_or_operator,
    ACTIONS(10588), 1,
      anon_sym_COMMA,
    ACTIONS(10590), 1,
      sym_assign_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [394955] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10592), 1,
      sym__lowercase_identifier,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(10596), 1,
      anon_sym_private,
    ACTIONS(10598), 1,
      anon_sym_LBRACK,
    ACTIONS(10600), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10602), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10604), 1,
      anon_sym_LT,
    ACTIONS(10606), 1,
      anon_sym_POUND,
    ACTIONS(10608), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10610), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10612), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8330), 1,
      sym_attribute,
    STATE(12748), 1,
      sym__simple_type,
    STATE(13362), 1,
      sym__tuple_type,
    STATE(13376), 1,
      sym__type,
    STATE(16698), 1,
      sym_extended_module_path,
    STATE(19738), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13033), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395040] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(10578), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10580), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8331), 1,
      sym_attribute,
    STATE(8813), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10616), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10614), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [395097] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10618), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8332), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14071), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395182] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10259), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8333), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14959), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395267] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [395320] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10620), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8335), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15653), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395405] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10622), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8336), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14251), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395490] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10624), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8337), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15809), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395575] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10626), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8338), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16141), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395660] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9238), 1,
      sym__lowercase_identifier,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10630), 1,
      anon_sym_private,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8339), 1,
      sym_attribute,
    STATE(9352), 1,
      sym__simple_type,
    STATE(10897), 1,
      sym__tuple_type,
    STATE(11129), 1,
      sym__type,
    STATE(16479), 1,
      sym_extended_module_path,
    STATE(17780), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395745] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10634), 1,
      anon_sym_COLON,
    STATE(8340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 15,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9404), 16,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [395794] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10524), 1,
      anon_sym_COMMA,
    ACTIONS(10526), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10528), 1,
      sym_pow_operator,
    ACTIONS(10530), 1,
      sym_mult_operator,
    ACTIONS(10532), 1,
      sym_concat_operator,
    ACTIONS(10534), 1,
      sym_rel_operator,
    ACTIONS(10536), 1,
      sym_and_operator,
    ACTIONS(10538), 1,
      sym_or_operator,
    ACTIONS(10540), 1,
      sym_assign_operator,
    ACTIONS(10636), 1,
      anon_sym_SEMI,
    STATE(2148), 1,
      sym_add_operator,
    STATE(8341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8946), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [395865] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10638), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8342), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15588), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395950] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10292), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8343), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14157), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396035] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10640), 1,
      sym__lowercase_identifier,
    ACTIONS(10642), 1,
      anon_sym_LPAREN,
    ACTIONS(10644), 1,
      anon_sym_private,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    ACTIONS(10648), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10650), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10652), 1,
      anon_sym_LT,
    ACTIONS(10654), 1,
      anon_sym_POUND,
    ACTIONS(10656), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10658), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10660), 1,
      aux_sym_type_variable_token1,
    STATE(8344), 1,
      sym_attribute,
    STATE(12498), 1,
      sym__simple_type,
    STATE(12742), 1,
      sym_tuple_type,
    STATE(13095), 1,
      sym__tuple_type,
    STATE(13187), 1,
      sym__type,
    STATE(16825), 1,
      sym_extended_module_path,
    STATE(17753), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12782), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12757), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396120] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8244), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [396167] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10510), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    ACTIONS(10516), 1,
      sym_concat_operator,
    ACTIONS(10518), 1,
      sym_rel_operator,
    ACTIONS(10520), 1,
      sym_and_operator,
    ACTIONS(10522), 1,
      sym_or_operator,
    ACTIONS(10588), 1,
      anon_sym_COMMA,
    ACTIONS(10590), 1,
      sym_assign_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10133), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10131), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [396236] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10624), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8347), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14244), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396321] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10586), 1,
      anon_sym_else,
    STATE(8033), 1,
      sym_else_clause,
    STATE(8348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [396372] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10662), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8349), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14069), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396457] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10524), 1,
      anon_sym_COMMA,
    ACTIONS(10526), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10528), 1,
      sym_pow_operator,
    ACTIONS(10530), 1,
      sym_mult_operator,
    ACTIONS(10532), 1,
      sym_concat_operator,
    ACTIONS(10534), 1,
      sym_rel_operator,
    ACTIONS(10536), 1,
      sym_and_operator,
    ACTIONS(10538), 1,
      sym_or_operator,
    ACTIONS(10540), 1,
      sym_assign_operator,
    STATE(2148), 1,
      sym_add_operator,
    STATE(8350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10187), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10185), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [396526] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10618), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8351), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15449), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396611] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10353), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8352), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14198), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396696] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10510), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    ACTIONS(10516), 1,
      sym_concat_operator,
    ACTIONS(10518), 1,
      sym_rel_operator,
    ACTIONS(10520), 1,
      sym_and_operator,
    ACTIONS(10522), 1,
      sym_or_operator,
    ACTIONS(10588), 1,
      anon_sym_COMMA,
    ACTIONS(10590), 1,
      sym_assign_operator,
    ACTIONS(10664), 1,
      anon_sym_SEMI,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8946), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [396767] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10666), 1,
      sym__lowercase_identifier,
    ACTIONS(10668), 1,
      anon_sym_LPAREN,
    ACTIONS(10670), 1,
      anon_sym_private,
    ACTIONS(10672), 1,
      anon_sym_LBRACK,
    ACTIONS(10674), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10678), 1,
      anon_sym_LT,
    ACTIONS(10680), 1,
      anon_sym_POUND,
    ACTIONS(10682), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10684), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10686), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8354), 1,
      sym_attribute,
    STATE(8825), 1,
      sym__simple_type,
    STATE(9918), 1,
      sym__tuple_type,
    STATE(10044), 1,
      sym__type,
    STATE(16843), 1,
      sym_extended_module_path,
    STATE(18120), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(8959), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396852] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10688), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8355), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14212), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396937] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10690), 1,
      anon_sym_PIPE,
    STATE(8356), 1,
      sym_attribute,
    STATE(8419), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [396988] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10626), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8357), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14236), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397073] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10690), 1,
      anon_sym_PIPE,
    STATE(8358), 1,
      sym_attribute,
    STATE(8423), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [397124] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10548), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8359), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15592), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397209] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10353), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8360), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15229), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397294] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10428), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10430), 1,
      sym_pow_operator,
    ACTIONS(10432), 1,
      sym_mult_operator,
    ACTIONS(10434), 1,
      sym_concat_operator,
    ACTIONS(10436), 1,
      sym_rel_operator,
    ACTIONS(10438), 1,
      sym_and_operator,
    ACTIONS(10440), 1,
      sym_or_operator,
    ACTIONS(10462), 1,
      anon_sym_COMMA,
    ACTIONS(10464), 1,
      sym_assign_operator,
    ACTIONS(10692), 1,
      anon_sym_SEMI,
    STATE(2063), 1,
      sym_add_operator,
    STATE(8361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8946), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [397365] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10292), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8362), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16030), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397450] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10510), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    ACTIONS(10516), 1,
      sym_concat_operator,
    ACTIONS(10518), 1,
      sym_rel_operator,
    ACTIONS(10520), 1,
      sym_and_operator,
    ACTIONS(10522), 1,
      sym_or_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10211), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10209), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [397515] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(8364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8206), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [397564] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10694), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8365), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14257), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397649] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10510), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10103), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [397706] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8216), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [397753] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7936), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [397800] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(8369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8206), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [397849] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10696), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8370), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14217), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397934] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10512), 1,
      sym_pow_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [397985] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10544), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8372), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14206), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398070] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8216), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [398117] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10584), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8374), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15308), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398202] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10582), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8375), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15456), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398287] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10259), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8376), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14061), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398372] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10510), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    ACTIONS(10516), 1,
      sym_concat_operator,
    ACTIONS(10518), 1,
      sym_rel_operator,
    ACTIONS(10520), 1,
      sym_and_operator,
    ACTIONS(10522), 1,
      sym_or_operator,
    ACTIONS(10588), 1,
      anon_sym_COMMA,
    ACTIONS(10590), 1,
      sym_assign_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10187), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10185), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [398441] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10622), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8378), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15402), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398526] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10510), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    ACTIONS(10516), 1,
      sym_concat_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [398585] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(8380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8206), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [398634] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9280), 1,
      sym__lowercase_identifier,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(10700), 1,
      anon_sym_private,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8381), 1,
      sym_attribute,
    STATE(9486), 1,
      sym__simple_type,
    STATE(10936), 1,
      sym__tuple_type,
    STATE(11119), 1,
      sym__type,
    STATE(16581), 1,
      sym_extended_module_path,
    STATE(19699), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398719] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8226), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [398766] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10526), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10528), 1,
      sym_pow_operator,
    ACTIONS(10530), 1,
      sym_mult_operator,
    ACTIONS(10532), 1,
      sym_concat_operator,
    ACTIONS(10534), 1,
      sym_rel_operator,
    ACTIONS(10536), 1,
      sym_and_operator,
    ACTIONS(10538), 1,
      sym_or_operator,
    STATE(2148), 1,
      sym_add_operator,
    STATE(8383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10211), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10209), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [398831] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2148), 1,
      sym_add_operator,
    STATE(8384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [398880] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10322), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8385), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15857), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398965] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10704), 1,
      anon_sym_PIPE,
    STATE(8386), 1,
      sym_attribute,
    STATE(8388), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [399016] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10704), 1,
      anon_sym_PIPE,
    STATE(8387), 1,
      sym_attribute,
    STATE(8388), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [399067] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10706), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8388), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [399116] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10526), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10528), 1,
      sym_pow_operator,
    ACTIONS(10530), 1,
      sym_mult_operator,
    STATE(2148), 1,
      sym_add_operator,
    STATE(8389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10103), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [399173] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10510), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    ACTIONS(10516), 1,
      sym_concat_operator,
    ACTIONS(10518), 1,
      sym_rel_operator,
    ACTIONS(10520), 1,
      sym_and_operator,
    ACTIONS(10522), 1,
      sym_or_operator,
    ACTIONS(10588), 1,
      anon_sym_COMMA,
    ACTIONS(10590), 1,
      sym_assign_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10143), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10141), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [399242] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8226), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [399289] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10512), 1,
      sym_pow_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [399340] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10361), 1,
      anon_sym_COMMA,
    ACTIONS(10363), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10365), 1,
      sym_pow_operator,
    ACTIONS(10367), 1,
      sym_mult_operator,
    ACTIONS(10369), 1,
      sym_concat_operator,
    ACTIONS(10371), 1,
      sym_rel_operator,
    ACTIONS(10373), 1,
      sym_and_operator,
    ACTIONS(10375), 1,
      sym_or_operator,
    ACTIONS(10377), 1,
      sym_assign_operator,
    ACTIONS(10709), 1,
      anon_sym_SEMI,
    STATE(1953), 1,
      sym_add_operator,
    STATE(8393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8946), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [399411] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10528), 1,
      sym_pow_operator,
    STATE(2148), 1,
      sym_add_operator,
    STATE(8394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [399462] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10711), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8395), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14099), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399547] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(8396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8206), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [399596] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10713), 1,
      anon_sym_else,
    STATE(8119), 1,
      sym_else_clause,
    STATE(8397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [399647] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10715), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8398), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399732] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9316), 1,
      sym__lowercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    ACTIONS(10719), 1,
      anon_sym_private,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8399), 1,
      sym_attribute,
    STATE(8980), 1,
      sym__simple_type,
    STATE(10402), 1,
      sym__tuple_type,
    STATE(10759), 1,
      sym__type,
    STATE(16651), 1,
      sym_extended_module_path,
    STATE(19185), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399817] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10322), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8400), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14083), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399902] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10723), 1,
      anon_sym_else,
    STATE(8033), 1,
      sym_else_clause,
    STATE(8401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [399953] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10696), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8402), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14963), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400038] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10528), 1,
      sym_pow_operator,
    STATE(2148), 1,
      sym_add_operator,
    STATE(8403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400089] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10725), 1,
      sym__lowercase_identifier,
    ACTIONS(10727), 1,
      anon_sym_LPAREN,
    ACTIONS(10729), 1,
      anon_sym_private,
    ACTIONS(10731), 1,
      anon_sym_LBRACK,
    ACTIONS(10733), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10735), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10737), 1,
      anon_sym_LT,
    ACTIONS(10739), 1,
      anon_sym_POUND,
    ACTIONS(10741), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10743), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10745), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8404), 1,
      sym_attribute,
    STATE(9115), 1,
      sym__simple_type,
    STATE(10233), 1,
      sym__tuple_type,
    STATE(10596), 1,
      sym__type,
    STATE(16791), 1,
      sym_extended_module_path,
    STATE(18599), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9403), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400174] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10694), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8405), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16348), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400259] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10526), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10528), 1,
      sym_pow_operator,
    ACTIONS(10530), 1,
      sym_mult_operator,
    ACTIONS(10532), 1,
      sym_concat_operator,
    STATE(2148), 1,
      sym_add_operator,
    STATE(8406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400318] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10526), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10528), 1,
      sym_pow_operator,
    ACTIONS(10530), 1,
      sym_mult_operator,
    ACTIONS(10532), 1,
      sym_concat_operator,
    STATE(2148), 1,
      sym_add_operator,
    STATE(8407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400377] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10526), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10528), 1,
      sym_pow_operator,
    ACTIONS(10530), 1,
      sym_mult_operator,
    ACTIONS(10532), 1,
      sym_concat_operator,
    ACTIONS(10534), 1,
      sym_rel_operator,
    ACTIONS(10536), 1,
      sym_and_operator,
    STATE(2148), 1,
      sym_add_operator,
    STATE(8408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10115), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400440] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10662), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8409), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15284), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400525] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10747), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8410), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14040), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400610] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10711), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8411), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15833), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400695] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10526), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10528), 1,
      sym_pow_operator,
    ACTIONS(10530), 1,
      sym_mult_operator,
    ACTIONS(10532), 1,
      sym_concat_operator,
    ACTIONS(10534), 1,
      sym_rel_operator,
    ACTIONS(10536), 1,
      sym_and_operator,
    ACTIONS(10538), 1,
      sym_or_operator,
    STATE(2148), 1,
      sym_add_operator,
    STATE(8412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400760] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10524), 1,
      anon_sym_COMMA,
    ACTIONS(10526), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10528), 1,
      sym_pow_operator,
    ACTIONS(10530), 1,
      sym_mult_operator,
    ACTIONS(10532), 1,
      sym_concat_operator,
    ACTIONS(10534), 1,
      sym_rel_operator,
    ACTIONS(10536), 1,
      sym_and_operator,
    ACTIONS(10538), 1,
      sym_or_operator,
    ACTIONS(10540), 1,
      sym_assign_operator,
    STATE(2148), 1,
      sym_add_operator,
    STATE(8413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [400829] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9202), 1,
      sym__lowercase_identifier,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10749), 1,
      anon_sym_LPAREN,
    ACTIONS(10751), 1,
      anon_sym_private,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8414), 1,
      sym_attribute,
    STATE(8990), 1,
      sym__simple_type,
    STATE(10324), 1,
      sym__tuple_type,
    STATE(10663), 1,
      sym__type,
    STATE(17370), 1,
      sym_extended_module_path,
    STATE(20294), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400914] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10528), 1,
      sym_pow_operator,
    ACTIONS(10530), 1,
      sym_mult_operator,
    STATE(2148), 1,
      sym_add_operator,
    STATE(8415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [400967] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10704), 1,
      anon_sym_PIPE,
    STATE(8386), 1,
      aux_sym__match_cases_repeat1,
    STATE(8416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [401018] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10713), 1,
      anon_sym_else,
    STATE(8033), 1,
      sym_else_clause,
    STATE(8417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [401069] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8418), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14096), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401154] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10690), 1,
      anon_sym_PIPE,
    STATE(8419), 1,
      sym_attribute,
    STATE(8435), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [401205] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10620), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8420), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14095), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401290] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10546), 1,
      anon_sym_else,
    STATE(8033), 1,
      sym_else_clause,
    STATE(8421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [401341] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8244), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [401388] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10690), 1,
      anon_sym_PIPE,
    STATE(8423), 1,
      sym_attribute,
    STATE(8435), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [401439] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10524), 1,
      anon_sym_COMMA,
    ACTIONS(10526), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10528), 1,
      sym_pow_operator,
    ACTIONS(10530), 1,
      sym_mult_operator,
    ACTIONS(10532), 1,
      sym_concat_operator,
    ACTIONS(10534), 1,
      sym_rel_operator,
    ACTIONS(10536), 1,
      sym_and_operator,
    ACTIONS(10538), 1,
      sym_or_operator,
    ACTIONS(10540), 1,
      sym_assign_operator,
    STATE(2148), 1,
      sym_add_operator,
    STATE(8424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10133), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10131), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [401508] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10723), 1,
      anon_sym_else,
    STATE(8119), 1,
      sym_else_clause,
    STATE(8425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [401559] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10755), 1,
      sym__lowercase_identifier,
    ACTIONS(10757), 1,
      anon_sym_LPAREN,
    ACTIONS(10759), 1,
      anon_sym_private,
    ACTIONS(10761), 1,
      anon_sym_LBRACK,
    ACTIONS(10763), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10765), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10767), 1,
      anon_sym_LT,
    ACTIONS(10769), 1,
      anon_sym_POUND,
    ACTIONS(10771), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10773), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10775), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8426), 1,
      sym_attribute,
    STATE(8940), 1,
      sym__simple_type,
    STATE(10409), 1,
      sym__tuple_type,
    STATE(10523), 1,
      sym__type,
    STATE(16741), 1,
      sym_extended_module_path,
    STATE(20338), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9428), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401644] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10715), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8427), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15818), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401729] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10747), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8428), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15123), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401814] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10688), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8429), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15223), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401899] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10510), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    ACTIONS(10516), 1,
      sym_concat_operator,
    ACTIONS(10518), 1,
      sym_rel_operator,
    ACTIONS(10520), 1,
      sym_and_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10115), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [401962] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10704), 1,
      anon_sym_PIPE,
    STATE(8387), 1,
      aux_sym__match_cases_repeat1,
    STATE(8431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [402013] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10638), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8432), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14266), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402098] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10510), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10512), 1,
      sym_pow_operator,
    ACTIONS(10514), 1,
      sym_mult_operator,
    ACTIONS(10516), 1,
      sym_concat_operator,
    STATE(1998), 1,
      sym_add_operator,
    STATE(8433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [402157] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7649), 1,
      sym__lowercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_module,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8434), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14241), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402242] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10777), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8435), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [402291] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7936), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [402338] = 24,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10780), 1,
      anon_sym_AMP,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8437), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(13625), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402423] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10782), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10784), 1,
      sym_pow_operator,
    ACTIONS(10786), 1,
      sym_mult_operator,
    STATE(2011), 1,
      sym_add_operator,
    STATE(8438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10103), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [402479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8248), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [402525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8252), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [402571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8256), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [402617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8260), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [402663] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1803), 1,
      sym_add_operator,
    STATE(8443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [402711] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10051), 1,
      anon_sym_LPAREN,
    ACTIONS(10053), 1,
      anon_sym_LBRACK,
    ACTIONS(10055), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10057), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10059), 1,
      anon_sym_LT,
    ACTIONS(10061), 1,
      anon_sym_POUND,
    ACTIONS(10063), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10065), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10067), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10788), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8444), 1,
      sym_attribute,
    STATE(10950), 1,
      sym__simple_type,
    STATE(12501), 1,
      sym__tuple_type,
    STATE(12669), 1,
      sym__type,
    STATE(16551), 1,
      sym_extended_module_path,
    STATE(19354), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7936), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [402839] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8446), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15010), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402921] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10790), 1,
      anon_sym_PIPE,
    STATE(8447), 1,
      sym_attribute,
    STATE(8448), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [402971] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8448), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [403019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9406), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [403065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7017), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7013), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [403111] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8451), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14134), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9504), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9506), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [403239] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10051), 1,
      anon_sym_LPAREN,
    ACTIONS(10053), 1,
      anon_sym_LBRACK,
    ACTIONS(10055), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10057), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10059), 1,
      anon_sym_LT,
    ACTIONS(10061), 1,
      anon_sym_POUND,
    ACTIONS(10063), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10065), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10067), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10788), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8453), 1,
      sym_attribute,
    STATE(10950), 1,
      sym__simple_type,
    STATE(12501), 1,
      sym__tuple_type,
    STATE(12576), 1,
      sym__type,
    STATE(16551), 1,
      sym_extended_module_path,
    STATE(19354), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403321] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10051), 1,
      anon_sym_LPAREN,
    ACTIONS(10053), 1,
      anon_sym_LBRACK,
    ACTIONS(10055), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10057), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10059), 1,
      anon_sym_LT,
    ACTIONS(10061), 1,
      anon_sym_POUND,
    ACTIONS(10063), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10065), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10067), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10788), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8454), 1,
      sym_attribute,
    STATE(10950), 1,
      sym__simple_type,
    STATE(12430), 1,
      sym__type,
    STATE(12501), 1,
      sym__tuple_type,
    STATE(16551), 1,
      sym_extended_module_path,
    STATE(19354), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403403] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8455), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15100), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9546), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [403531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9548), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9550), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [403577] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10795), 1,
      anon_sym_COMMA,
    ACTIONS(10797), 1,
      anon_sym_SEMI,
    ACTIONS(10799), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10801), 1,
      sym_pow_operator,
    ACTIONS(10803), 1,
      sym_mult_operator,
    ACTIONS(10805), 1,
      sym_concat_operator,
    ACTIONS(10807), 1,
      sym_rel_operator,
    ACTIONS(10809), 1,
      sym_and_operator,
    ACTIONS(10811), 1,
      sym_or_operator,
    ACTIONS(10813), 1,
      sym_assign_operator,
    STATE(1803), 1,
      sym_add_operator,
    STATE(8458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8946), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [403647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9554), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9556), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [403693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9558), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9560), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [403739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9562), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9564), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [403785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9566), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9568), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [403831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9570), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9572), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [403877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9574), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9576), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [403923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9454), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [403969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9458), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [404015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9462), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [404061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9466), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [404107] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10051), 1,
      anon_sym_LPAREN,
    ACTIONS(10053), 1,
      anon_sym_LBRACK,
    ACTIONS(10055), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10057), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10059), 1,
      anon_sym_LT,
    ACTIONS(10061), 1,
      anon_sym_POUND,
    ACTIONS(10063), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10065), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10067), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10788), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8469), 1,
      sym_attribute,
    STATE(10950), 1,
      sym__simple_type,
    STATE(12501), 1,
      sym__tuple_type,
    STATE(12739), 1,
      sym__type,
    STATE(16551), 1,
      sym_extended_module_path,
    STATE(19354), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404189] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10051), 1,
      anon_sym_LPAREN,
    ACTIONS(10053), 1,
      anon_sym_LBRACK,
    ACTIONS(10055), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10057), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10059), 1,
      anon_sym_LT,
    ACTIONS(10061), 1,
      anon_sym_POUND,
    ACTIONS(10063), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10065), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10067), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10788), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8470), 1,
      sym_attribute,
    STATE(10950), 1,
      sym__simple_type,
    STATE(12501), 1,
      sym__tuple_type,
    STATE(12746), 1,
      sym__type,
    STATE(16551), 1,
      sym_extended_module_path,
    STATE(19354), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9470), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [404317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9474), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [404363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9478), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [404409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9482), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [404455] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(10815), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8475), 1,
      sym_attribute,
    STATE(9486), 1,
      sym__simple_type,
    STATE(10936), 1,
      sym__tuple_type,
    STATE(11171), 1,
      sym__type,
    STATE(16581), 1,
      sym_extended_module_path,
    STATE(19699), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9488), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [404583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9492), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [404629] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(10815), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8478), 1,
      sym_attribute,
    STATE(9486), 1,
      sym__simple_type,
    STATE(10936), 1,
      sym__tuple_type,
    STATE(11656), 1,
      sym__type,
    STATE(16581), 1,
      sym_extended_module_path,
    STATE(19699), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404711] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(10815), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8479), 1,
      sym_attribute,
    STATE(9486), 1,
      sym__simple_type,
    STATE(10936), 1,
      sym__tuple_type,
    STATE(11274), 1,
      sym__type,
    STATE(16581), 1,
      sym_extended_module_path,
    STATE(19699), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404793] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10051), 1,
      anon_sym_LPAREN,
    ACTIONS(10053), 1,
      anon_sym_LBRACK,
    ACTIONS(10055), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10057), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10059), 1,
      anon_sym_LT,
    ACTIONS(10061), 1,
      anon_sym_POUND,
    ACTIONS(10063), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10065), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10067), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10788), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8480), 1,
      sym_attribute,
    STATE(10950), 1,
      sym__simple_type,
    STATE(12501), 1,
      sym__tuple_type,
    STATE(12657), 1,
      sym__type,
    STATE(16551), 1,
      sym_extended_module_path,
    STATE(19354), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404875] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10782), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10784), 1,
      sym_pow_operator,
    ACTIONS(10786), 1,
      sym_mult_operator,
    ACTIONS(10817), 1,
      sym_concat_operator,
    ACTIONS(10819), 1,
      sym_rel_operator,
    ACTIONS(10821), 1,
      sym_and_operator,
    ACTIONS(10823), 1,
      sym_or_operator,
    STATE(2011), 1,
      sym_add_operator,
    STATE(8481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10211), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10209), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [404939] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10784), 1,
      sym_pow_operator,
    STATE(2011), 1,
      sym_add_operator,
    STATE(8482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [404989] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10784), 1,
      sym_pow_operator,
    STATE(2011), 1,
      sym_add_operator,
    STATE(8483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [405039] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10782), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10784), 1,
      sym_pow_operator,
    ACTIONS(10786), 1,
      sym_mult_operator,
    ACTIONS(10817), 1,
      sym_concat_operator,
    STATE(2011), 1,
      sym_add_operator,
    STATE(8484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [405097] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10782), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10784), 1,
      sym_pow_operator,
    ACTIONS(10786), 1,
      sym_mult_operator,
    ACTIONS(10817), 1,
      sym_concat_operator,
    STATE(2011), 1,
      sym_add_operator,
    STATE(8485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [405155] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10782), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10784), 1,
      sym_pow_operator,
    ACTIONS(10786), 1,
      sym_mult_operator,
    ACTIONS(10817), 1,
      sym_concat_operator,
    ACTIONS(10819), 1,
      sym_rel_operator,
    ACTIONS(10821), 1,
      sym_and_operator,
    STATE(2011), 1,
      sym_add_operator,
    STATE(8486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10115), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [405217] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10782), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10784), 1,
      sym_pow_operator,
    ACTIONS(10786), 1,
      sym_mult_operator,
    ACTIONS(10817), 1,
      sym_concat_operator,
    ACTIONS(10819), 1,
      sym_rel_operator,
    ACTIONS(10821), 1,
      sym_and_operator,
    ACTIONS(10823), 1,
      sym_or_operator,
    STATE(2011), 1,
      sym_add_operator,
    STATE(8487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [405281] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10782), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10784), 1,
      sym_pow_operator,
    ACTIONS(10786), 1,
      sym_mult_operator,
    ACTIONS(10817), 1,
      sym_concat_operator,
    ACTIONS(10819), 1,
      sym_rel_operator,
    ACTIONS(10821), 1,
      sym_and_operator,
    ACTIONS(10823), 1,
      sym_or_operator,
    ACTIONS(10825), 1,
      anon_sym_COMMA,
    ACTIONS(10827), 1,
      sym_assign_operator,
    STATE(2011), 1,
      sym_add_operator,
    STATE(8488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [405349] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10784), 1,
      sym_pow_operator,
    ACTIONS(10786), 1,
      sym_mult_operator,
    STATE(2011), 1,
      sym_add_operator,
    STATE(8489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [405401] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10782), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10784), 1,
      sym_pow_operator,
    ACTIONS(10786), 1,
      sym_mult_operator,
    ACTIONS(10817), 1,
      sym_concat_operator,
    ACTIONS(10819), 1,
      sym_rel_operator,
    ACTIONS(10821), 1,
      sym_and_operator,
    ACTIONS(10823), 1,
      sym_or_operator,
    ACTIONS(10825), 1,
      anon_sym_COMMA,
    ACTIONS(10827), 1,
      sym_assign_operator,
    STATE(2011), 1,
      sym_add_operator,
    STATE(8490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10133), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10131), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [405469] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10642), 1,
      anon_sym_LPAREN,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    ACTIONS(10648), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10650), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10652), 1,
      anon_sym_LT,
    ACTIONS(10654), 1,
      anon_sym_POUND,
    ACTIONS(10656), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10658), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10660), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10829), 1,
      sym__lowercase_identifier,
    STATE(8491), 1,
      sym_attribute,
    STATE(12498), 1,
      sym__simple_type,
    STATE(12742), 1,
      sym_tuple_type,
    STATE(13095), 1,
      sym__tuple_type,
    STATE(13146), 1,
      sym__type,
    STATE(16825), 1,
      sym_extended_module_path,
    STATE(17753), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12782), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12757), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7966), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [405597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8112), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [405643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8124), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [405689] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10782), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10784), 1,
      sym_pow_operator,
    ACTIONS(10786), 1,
      sym_mult_operator,
    ACTIONS(10817), 1,
      sym_concat_operator,
    ACTIONS(10819), 1,
      sym_rel_operator,
    ACTIONS(10821), 1,
      sym_and_operator,
    ACTIONS(10823), 1,
      sym_or_operator,
    ACTIONS(10825), 1,
      anon_sym_COMMA,
    ACTIONS(10827), 1,
      sym_assign_operator,
    STATE(2011), 1,
      sym_add_operator,
    STATE(8495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10143), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10141), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [405757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7920), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [405803] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8497), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(13646), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405885] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10085), 1,
      anon_sym_LT,
    ACTIONS(10087), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10091), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10093), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10831), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8498), 1,
      sym_attribute,
    STATE(10206), 1,
      sym__simple_type,
    STATE(11935), 1,
      sym__tuple_type,
    STATE(12367), 1,
      sym__type,
    STATE(16608), 1,
      sym_extended_module_path,
    STATE(17488), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405967] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10833), 1,
      sym__lowercase_identifier,
    STATE(8499), 1,
      sym_attribute,
    STATE(12742), 1,
      sym_tuple_type,
    STATE(12780), 1,
      sym__simple_type,
    STATE(13397), 1,
      sym__tuple_type,
    STATE(13962), 1,
      sym__type,
    STATE(17162), 1,
      sym_extended_module_path,
    STATE(19894), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12782), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8946), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [406095] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8501), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14064), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406177] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10085), 1,
      anon_sym_LT,
    ACTIONS(10087), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10091), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10093), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10831), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8502), 1,
      sym_attribute,
    STATE(10206), 1,
      sym__simple_type,
    STATE(11935), 1,
      sym__tuple_type,
    STATE(12121), 1,
      sym__type,
    STATE(16608), 1,
      sym_extended_module_path,
    STATE(17488), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406259] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10085), 1,
      anon_sym_LT,
    ACTIONS(10087), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10091), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10093), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10831), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8503), 1,
      sym_attribute,
    STATE(10206), 1,
      sym__simple_type,
    STATE(11935), 1,
      sym__tuple_type,
    STATE(12122), 1,
      sym__type,
    STATE(16608), 1,
      sym_extended_module_path,
    STATE(17488), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406341] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(10835), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8504), 1,
      sym_attribute,
    STATE(8980), 1,
      sym__simple_type,
    STATE(10402), 1,
      sym__tuple_type,
    STATE(10416), 1,
      sym__type,
    STATE(16651), 1,
      sym_extended_module_path,
    STATE(19185), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406423] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10790), 1,
      anon_sym_PIPE,
    STATE(8447), 1,
      aux_sym__match_cases_repeat1,
    STATE(8505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [406473] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10790), 1,
      anon_sym_PIPE,
    STATE(8448), 1,
      aux_sym__match_cases_repeat1,
    STATE(8506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [406523] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8507), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16343), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406605] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(10835), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8508), 1,
      sym_attribute,
    STATE(8980), 1,
      sym__simple_type,
    STATE(10402), 1,
      sym__tuple_type,
    STATE(10997), 1,
      sym__type,
    STATE(16651), 1,
      sym_extended_module_path,
    STATE(19185), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406687] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(10835), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8509), 1,
      sym_attribute,
    STATE(8980), 1,
      sym__simple_type,
    STATE(10402), 1,
      sym__tuple_type,
    STATE(10431), 1,
      sym__type,
    STATE(16651), 1,
      sym_extended_module_path,
    STATE(19185), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406769] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8510), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15266), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406851] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10833), 1,
      sym__lowercase_identifier,
    STATE(8511), 1,
      sym_attribute,
    STATE(12742), 1,
      sym_tuple_type,
    STATE(12780), 1,
      sym__simple_type,
    STATE(13397), 1,
      sym__tuple_type,
    STATE(14249), 1,
      sym__type,
    STATE(17162), 1,
      sym_extended_module_path,
    STATE(19894), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12782), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9514), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [406979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9518), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [407025] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10837), 1,
      anon_sym_PIPE,
    STATE(8514), 1,
      sym_attribute,
    STATE(8553), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [407075] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8515), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15805), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407157] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10837), 1,
      anon_sym_PIPE,
    STATE(8516), 1,
      sym_attribute,
    STATE(8578), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [407207] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8517), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16119), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407289] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10799), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10801), 1,
      sym_pow_operator,
    ACTIONS(10803), 1,
      sym_mult_operator,
    ACTIONS(10805), 1,
      sym_concat_operator,
    ACTIONS(10807), 1,
      sym_rel_operator,
    ACTIONS(10809), 1,
      sym_and_operator,
    ACTIONS(10811), 1,
      sym_or_operator,
    STATE(1803), 1,
      sym_add_operator,
    STATE(8518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10211), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10209), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [407353] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8519), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14243), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407435] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8520), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17213), 1,
      sym__type,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407517] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10799), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10801), 1,
      sym_pow_operator,
    ACTIONS(10803), 1,
      sym_mult_operator,
    STATE(1803), 1,
      sym_add_operator,
    STATE(8521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10103), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [407573] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10801), 1,
      sym_pow_operator,
    STATE(1803), 1,
      sym_add_operator,
    STATE(8522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [407623] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10801), 1,
      sym_pow_operator,
    STATE(1803), 1,
      sym_add_operator,
    STATE(8523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [407673] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10799), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10801), 1,
      sym_pow_operator,
    ACTIONS(10803), 1,
      sym_mult_operator,
    ACTIONS(10805), 1,
      sym_concat_operator,
    STATE(1803), 1,
      sym_add_operator,
    STATE(8524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [407731] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10799), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10801), 1,
      sym_pow_operator,
    ACTIONS(10803), 1,
      sym_mult_operator,
    ACTIONS(10805), 1,
      sym_concat_operator,
    STATE(1803), 1,
      sym_add_operator,
    STATE(8525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [407789] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10799), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10801), 1,
      sym_pow_operator,
    ACTIONS(10803), 1,
      sym_mult_operator,
    ACTIONS(10805), 1,
      sym_concat_operator,
    ACTIONS(10807), 1,
      sym_rel_operator,
    ACTIONS(10809), 1,
      sym_and_operator,
    STATE(1803), 1,
      sym_add_operator,
    STATE(8526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10115), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [407851] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10799), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10801), 1,
      sym_pow_operator,
    ACTIONS(10803), 1,
      sym_mult_operator,
    ACTIONS(10805), 1,
      sym_concat_operator,
    ACTIONS(10807), 1,
      sym_rel_operator,
    ACTIONS(10809), 1,
      sym_and_operator,
    ACTIONS(10811), 1,
      sym_or_operator,
    STATE(1803), 1,
      sym_add_operator,
    STATE(8527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [407915] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10795), 1,
      anon_sym_COMMA,
    ACTIONS(10799), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10801), 1,
      sym_pow_operator,
    ACTIONS(10803), 1,
      sym_mult_operator,
    ACTIONS(10805), 1,
      sym_concat_operator,
    ACTIONS(10807), 1,
      sym_rel_operator,
    ACTIONS(10809), 1,
      sym_and_operator,
    ACTIONS(10811), 1,
      sym_or_operator,
    ACTIONS(10813), 1,
      sym_assign_operator,
    STATE(1803), 1,
      sym_add_operator,
    STATE(8528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10115), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [407983] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10801), 1,
      sym_pow_operator,
    ACTIONS(10803), 1,
      sym_mult_operator,
    STATE(1803), 1,
      sym_add_operator,
    STATE(8529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [408035] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10795), 1,
      anon_sym_COMMA,
    ACTIONS(10799), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10801), 1,
      sym_pow_operator,
    ACTIONS(10803), 1,
      sym_mult_operator,
    ACTIONS(10805), 1,
      sym_concat_operator,
    ACTIONS(10807), 1,
      sym_rel_operator,
    ACTIONS(10809), 1,
      sym_and_operator,
    ACTIONS(10811), 1,
      sym_or_operator,
    ACTIONS(10813), 1,
      sym_assign_operator,
    STATE(1803), 1,
      sym_add_operator,
    STATE(8530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10133), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10131), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [408103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8930), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8928), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [408149] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10782), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10784), 1,
      sym_pow_operator,
    ACTIONS(10786), 1,
      sym_mult_operator,
    ACTIONS(10817), 1,
      sym_concat_operator,
    ACTIONS(10819), 1,
      sym_rel_operator,
    ACTIONS(10821), 1,
      sym_and_operator,
    ACTIONS(10823), 1,
      sym_or_operator,
    ACTIONS(10825), 1,
      anon_sym_COMMA,
    ACTIONS(10827), 1,
      sym_assign_operator,
    ACTIONS(10839), 1,
      anon_sym_SEMI,
    STATE(2011), 1,
      sym_add_operator,
    STATE(8532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8946), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [408219] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2011), 1,
      sym_add_operator,
    STATE(8533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [408267] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8534), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14754), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408349] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8535), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14760), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408431] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9744), 1,
      anon_sym_LPAREN,
    ACTIONS(9746), 1,
      anon_sym_LBRACK,
    ACTIONS(9748), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9750), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9752), 1,
      anon_sym_LT,
    ACTIONS(9754), 1,
      anon_sym_POUND,
    ACTIONS(9756), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9758), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9760), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10841), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8536), 1,
      sym_attribute,
    STATE(11806), 1,
      sym__simple_type,
    STATE(12789), 1,
      sym__tuple_type,
    STATE(13002), 1,
      sym__type,
    STATE(16776), 1,
      sym_extended_module_path,
    STATE(17564), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12583), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408513] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9744), 1,
      anon_sym_LPAREN,
    ACTIONS(9746), 1,
      anon_sym_LBRACK,
    ACTIONS(9748), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9750), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9752), 1,
      anon_sym_LT,
    ACTIONS(9754), 1,
      anon_sym_POUND,
    ACTIONS(9756), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9758), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9760), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10841), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8537), 1,
      sym_attribute,
    STATE(11806), 1,
      sym__simple_type,
    STATE(12789), 1,
      sym__tuple_type,
    STATE(13007), 1,
      sym__type,
    STATE(16776), 1,
      sym_extended_module_path,
    STATE(17564), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12583), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408595] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8538), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16164), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408677] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(10598), 1,
      anon_sym_LBRACK,
    ACTIONS(10600), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10602), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10604), 1,
      anon_sym_LT,
    ACTIONS(10606), 1,
      anon_sym_POUND,
    ACTIONS(10608), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10610), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10612), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10843), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8539), 1,
      sym_attribute,
    STATE(12748), 1,
      sym__simple_type,
    STATE(13362), 1,
      sym__tuple_type,
    STATE(13462), 1,
      sym__type,
    STATE(16698), 1,
      sym_extended_module_path,
    STATE(19738), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13033), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408759] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8540), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16353), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408841] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(10598), 1,
      anon_sym_LBRACK,
    ACTIONS(10600), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10602), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10604), 1,
      anon_sym_LT,
    ACTIONS(10606), 1,
      anon_sym_POUND,
    ACTIONS(10608), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10610), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10612), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10843), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8541), 1,
      sym_attribute,
    STATE(12748), 1,
      sym__simple_type,
    STATE(13362), 1,
      sym__tuple_type,
    STATE(13479), 1,
      sym__type,
    STATE(16698), 1,
      sym_extended_module_path,
    STATE(19738), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13033), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408923] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(10598), 1,
      anon_sym_LBRACK,
    ACTIONS(10600), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10602), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10604), 1,
      anon_sym_LT,
    ACTIONS(10606), 1,
      anon_sym_POUND,
    ACTIONS(10608), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10610), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10612), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10843), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8542), 1,
      sym_attribute,
    STATE(12748), 1,
      sym__simple_type,
    STATE(13362), 1,
      sym__tuple_type,
    STATE(13563), 1,
      sym__type,
    STATE(16698), 1,
      sym_extended_module_path,
    STATE(19738), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13033), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409005] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8543), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15627), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409087] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8544), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15797), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8924), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8926), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [409215] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8546), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15550), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409297] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8547), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15750), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9526), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [409425] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10749), 1,
      anon_sym_LPAREN,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    ACTIONS(10845), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8549), 1,
      sym_attribute,
    STATE(8990), 1,
      sym__simple_type,
    STATE(10324), 1,
      sym__tuple_type,
    STATE(10847), 1,
      sym__type,
    STATE(17370), 1,
      sym_extended_module_path,
    STATE(20294), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9058), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [409553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8932), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8934), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [409599] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10757), 1,
      anon_sym_LPAREN,
    ACTIONS(10761), 1,
      anon_sym_LBRACK,
    ACTIONS(10763), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10765), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10767), 1,
      anon_sym_LT,
    ACTIONS(10769), 1,
      anon_sym_POUND,
    ACTIONS(10771), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10773), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10775), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10847), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8552), 1,
      sym_attribute,
    STATE(8940), 1,
      sym__simple_type,
    STATE(10409), 1,
      sym__tuple_type,
    STATE(10531), 1,
      sym__type,
    STATE(16741), 1,
      sym_extended_module_path,
    STATE(20338), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9428), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409681] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10837), 1,
      anon_sym_PIPE,
    STATE(8553), 1,
      sym_attribute,
    STATE(8580), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [409731] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8554), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(13999), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409813] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10833), 1,
      sym__lowercase_identifier,
    STATE(8555), 1,
      sym_attribute,
    STATE(12742), 1,
      sym_tuple_type,
    STATE(12780), 1,
      sym__simple_type,
    STATE(13397), 1,
      sym__tuple_type,
    STATE(14202), 1,
      sym__type,
    STATE(17162), 1,
      sym_extended_module_path,
    STATE(19894), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12782), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409895] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10833), 1,
      sym__lowercase_identifier,
    STATE(8556), 1,
      sym_attribute,
    STATE(12742), 1,
      sym_tuple_type,
    STATE(12780), 1,
      sym__simple_type,
    STATE(13397), 1,
      sym__tuple_type,
    STATE(14203), 1,
      sym__type,
    STATE(17162), 1,
      sym_extended_module_path,
    STATE(19894), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12782), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8942), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8940), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [410023] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8558), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15531), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410105] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8559), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(16935), 1,
      sym__type,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410187] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8560), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15678), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410269] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10757), 1,
      anon_sym_LPAREN,
    ACTIONS(10761), 1,
      anon_sym_LBRACK,
    ACTIONS(10763), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10765), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10767), 1,
      anon_sym_LT,
    ACTIONS(10769), 1,
      anon_sym_POUND,
    ACTIONS(10771), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10773), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10775), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10847), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8561), 1,
      sym_attribute,
    STATE(8940), 1,
      sym__simple_type,
    STATE(10409), 1,
      sym__tuple_type,
    STATE(10537), 1,
      sym__type,
    STATE(16741), 1,
      sym_extended_module_path,
    STATE(20338), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9428), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410351] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10790), 1,
      anon_sym_PIPE,
    STATE(8506), 1,
      aux_sym__match_cases_repeat1,
    STATE(8562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [410401] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10008), 1,
      anon_sym_LT,
    ACTIONS(10010), 1,
      anon_sym_POUND,
    ACTIONS(10012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10016), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10849), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8563), 1,
      sym_attribute,
    STATE(10228), 1,
      sym__simple_type,
    STATE(12001), 1,
      sym__tuple_type,
    STATE(12405), 1,
      sym__type,
    STATE(16517), 1,
      sym_extended_module_path,
    STATE(19804), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410483] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10008), 1,
      anon_sym_LT,
    ACTIONS(10010), 1,
      anon_sym_POUND,
    ACTIONS(10012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10016), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10849), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8564), 1,
      sym_attribute,
    STATE(10228), 1,
      sym__simple_type,
    STATE(12001), 1,
      sym__tuple_type,
    STATE(12262), 1,
      sym__type,
    STATE(16517), 1,
      sym_extended_module_path,
    STATE(19804), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9530), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [410611] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(10851), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8566), 1,
      sym_attribute,
    STATE(9352), 1,
      sym__simple_type,
    STATE(10897), 1,
      sym__tuple_type,
    STATE(11510), 1,
      sym__type,
    STATE(16479), 1,
      sym_extended_module_path,
    STATE(17780), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410693] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8567), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15310), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410775] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8568), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15776), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410857] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(10851), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8569), 1,
      sym_attribute,
    STATE(9352), 1,
      sym__simple_type,
    STATE(10897), 1,
      sym__tuple_type,
    STATE(11323), 1,
      sym__type,
    STATE(16479), 1,
      sym_extended_module_path,
    STATE(17780), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9534), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [410985] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9744), 1,
      anon_sym_LPAREN,
    ACTIONS(9746), 1,
      anon_sym_LBRACK,
    ACTIONS(9748), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9750), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9752), 1,
      anon_sym_LT,
    ACTIONS(9754), 1,
      anon_sym_POUND,
    ACTIONS(9756), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9758), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9760), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10841), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8571), 1,
      sym_attribute,
    STATE(11806), 1,
      sym__simple_type,
    STATE(12707), 1,
      sym__type,
    STATE(12789), 1,
      sym__tuple_type,
    STATE(16776), 1,
      sym_extended_module_path,
    STATE(17564), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12583), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9536), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9538), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [411113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9542), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [411159] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10008), 1,
      anon_sym_LT,
    ACTIONS(10010), 1,
      anon_sym_POUND,
    ACTIONS(10012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10016), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10849), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8574), 1,
      sym_attribute,
    STATE(10228), 1,
      sym__simple_type,
    STATE(12001), 1,
      sym__tuple_type,
    STATE(12055), 1,
      sym__type,
    STATE(16517), 1,
      sym_extended_module_path,
    STATE(19804), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411241] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8575), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15656), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411323] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8576), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15782), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411405] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10727), 1,
      anon_sym_LPAREN,
    ACTIONS(10731), 1,
      anon_sym_LBRACK,
    ACTIONS(10733), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10735), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10737), 1,
      anon_sym_LT,
    ACTIONS(10739), 1,
      anon_sym_POUND,
    ACTIONS(10741), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10743), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10745), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10853), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8577), 1,
      sym_attribute,
    STATE(9115), 1,
      sym__simple_type,
    STATE(10233), 1,
      sym__tuple_type,
    STATE(10601), 1,
      sym__type,
    STATE(16791), 1,
      sym_extended_module_path,
    STATE(18599), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9403), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411487] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10837), 1,
      anon_sym_PIPE,
    STATE(8578), 1,
      sym_attribute,
    STATE(8580), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [411537] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10727), 1,
      anon_sym_LPAREN,
    ACTIONS(10731), 1,
      anon_sym_LBRACK,
    ACTIONS(10733), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10735), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10737), 1,
      anon_sym_LT,
    ACTIONS(10739), 1,
      anon_sym_POUND,
    ACTIONS(10741), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10743), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10745), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10853), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8579), 1,
      sym_attribute,
    STATE(9115), 1,
      sym__simple_type,
    STATE(10233), 1,
      sym__tuple_type,
    STATE(10608), 1,
      sym__type,
    STATE(16791), 1,
      sym_extended_module_path,
    STATE(18599), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9403), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411619] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10855), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8580), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [411667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8924), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8926), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [411713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8960), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8962), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [411759] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8583), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14999), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411841] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8584), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15030), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411923] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(10851), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8585), 1,
      sym_attribute,
    STATE(9352), 1,
      sym__simple_type,
    STATE(10897), 1,
      sym__tuple_type,
    STATE(11708), 1,
      sym__type,
    STATE(16479), 1,
      sym_extended_module_path,
    STATE(17780), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412005] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8586), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14255), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9022), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [412133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9026), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [412179] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8589), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15335), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412261] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8590), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15389), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8958), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [412389] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8592), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15760), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412471] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8593), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15781), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412553] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10552), 1,
      anon_sym_LPAREN,
    ACTIONS(10556), 1,
      anon_sym_LBRACK,
    ACTIONS(10558), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10560), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10562), 1,
      anon_sym_LT,
    ACTIONS(10564), 1,
      anon_sym_POUND,
    ACTIONS(10566), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10568), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10570), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10858), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8594), 1,
      sym_attribute,
    STATE(8821), 1,
      sym__simple_type,
    STATE(9857), 1,
      sym__tuple_type,
    STATE(10117), 1,
      sym__type,
    STATE(16807), 1,
      sym_extended_module_path,
    STATE(19969), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(8985), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412635] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8595), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14066), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412717] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8596), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16078), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412799] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10552), 1,
      anon_sym_LPAREN,
    ACTIONS(10556), 1,
      anon_sym_LBRACK,
    ACTIONS(10558), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10560), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10562), 1,
      anon_sym_LT,
    ACTIONS(10564), 1,
      anon_sym_POUND,
    ACTIONS(10566), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10568), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10570), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10858), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8597), 1,
      sym_attribute,
    STATE(8821), 1,
      sym__simple_type,
    STATE(9857), 1,
      sym__tuple_type,
    STATE(10136), 1,
      sym__type,
    STATE(16807), 1,
      sym_extended_module_path,
    STATE(19969), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(8985), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412881] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8598), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16109), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412963] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10757), 1,
      anon_sym_LPAREN,
    ACTIONS(10761), 1,
      anon_sym_LBRACK,
    ACTIONS(10763), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10765), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10767), 1,
      anon_sym_LT,
    ACTIONS(10769), 1,
      anon_sym_POUND,
    ACTIONS(10771), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10773), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10775), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10847), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8599), 1,
      sym_attribute,
    STATE(8940), 1,
      sym__simple_type,
    STATE(10409), 1,
      sym__tuple_type,
    STATE(10585), 1,
      sym__type,
    STATE(16741), 1,
      sym_extended_module_path,
    STATE(20338), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9428), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413045] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8600), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14996), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413127] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8601), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15015), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413209] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8602), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15426), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413291] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8603), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15152), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413373] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8604), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15168), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8932), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8934), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [413501] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8606), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15313), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413583] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8607), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15332), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413665] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10051), 1,
      anon_sym_LPAREN,
    ACTIONS(10053), 1,
      anon_sym_LBRACK,
    ACTIONS(10055), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10057), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10059), 1,
      anon_sym_LT,
    ACTIONS(10061), 1,
      anon_sym_POUND,
    ACTIONS(10063), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10065), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10067), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10788), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8608), 1,
      sym_attribute,
    STATE(10950), 1,
      sym__simple_type,
    STATE(12486), 1,
      sym__type,
    STATE(12501), 1,
      sym__tuple_type,
    STATE(16551), 1,
      sym_extended_module_path,
    STATE(19354), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413747] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8609), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15457), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413829] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8610), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15473), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413911] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10642), 1,
      anon_sym_LPAREN,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    ACTIONS(10648), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10650), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10652), 1,
      anon_sym_LT,
    ACTIONS(10654), 1,
      anon_sym_POUND,
    ACTIONS(10656), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10658), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10660), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10829), 1,
      sym__lowercase_identifier,
    STATE(8611), 1,
      sym_attribute,
    STATE(12498), 1,
      sym__simple_type,
    STATE(12742), 1,
      sym_tuple_type,
    STATE(13095), 1,
      sym__tuple_type,
    STATE(13205), 1,
      sym__type,
    STATE(16825), 1,
      sym_extended_module_path,
    STATE(17753), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12782), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12757), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413993] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10051), 1,
      anon_sym_LPAREN,
    ACTIONS(10053), 1,
      anon_sym_LBRACK,
    ACTIONS(10055), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10057), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10059), 1,
      anon_sym_LT,
    ACTIONS(10061), 1,
      anon_sym_POUND,
    ACTIONS(10063), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10065), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10067), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10788), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8612), 1,
      sym_attribute,
    STATE(10950), 1,
      sym__simple_type,
    STATE(12501), 1,
      sym__tuple_type,
    STATE(12510), 1,
      sym__type,
    STATE(16551), 1,
      sym_extended_module_path,
    STATE(19354), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414075] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8613), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15619), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414157] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10642), 1,
      anon_sym_LPAREN,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    ACTIONS(10648), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10650), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10652), 1,
      anon_sym_LT,
    ACTIONS(10654), 1,
      anon_sym_POUND,
    ACTIONS(10656), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10658), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10660), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10829), 1,
      sym__lowercase_identifier,
    STATE(8614), 1,
      sym_attribute,
    STATE(12498), 1,
      sym__simple_type,
    STATE(12742), 1,
      sym_tuple_type,
    STATE(13095), 1,
      sym__tuple_type,
    STATE(13221), 1,
      sym__type,
    STATE(16825), 1,
      sym_extended_module_path,
    STATE(17753), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12782), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12757), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414239] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8615), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15636), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414321] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8616), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15474), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414403] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8617), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15839), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414485] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8618), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15851), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414567] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8619), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15985), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414649] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8620), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16005), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414731] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8621), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(13028), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414813] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8622), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16173), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414895] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8623), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16193), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414977] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8624), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15020), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415059] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8625), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15299), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415141] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10668), 1,
      anon_sym_LPAREN,
    ACTIONS(10672), 1,
      anon_sym_LBRACK,
    ACTIONS(10674), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10678), 1,
      anon_sym_LT,
    ACTIONS(10680), 1,
      anon_sym_POUND,
    ACTIONS(10682), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10684), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10686), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10860), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8626), 1,
      sym_attribute,
    STATE(8825), 1,
      sym__simple_type,
    STATE(9918), 1,
      sym__tuple_type,
    STATE(10061), 1,
      sym__type,
    STATE(16843), 1,
      sym_extended_module_path,
    STATE(18120), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(8959), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415223] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8627), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15998), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415305] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10668), 1,
      anon_sym_LPAREN,
    ACTIONS(10672), 1,
      anon_sym_LBRACK,
    ACTIONS(10674), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10678), 1,
      anon_sym_LT,
    ACTIONS(10680), 1,
      anon_sym_POUND,
    ACTIONS(10682), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10684), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10686), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10860), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8628), 1,
      sym_attribute,
    STATE(8825), 1,
      sym__simple_type,
    STATE(9918), 1,
      sym__tuple_type,
    STATE(10098), 1,
      sym__type,
    STATE(16843), 1,
      sym_extended_module_path,
    STATE(18120), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(8959), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415387] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8629), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15075), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415469] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8630), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15925), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415551] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8631), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16022), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415633] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8632), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15119), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415715] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8633), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15166), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415797] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8634), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15794), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415879] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8635), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15865), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415961] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9744), 1,
      anon_sym_LPAREN,
    ACTIONS(9746), 1,
      anon_sym_LBRACK,
    ACTIONS(9748), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9750), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9752), 1,
      anon_sym_LT,
    ACTIONS(9754), 1,
      anon_sym_POUND,
    ACTIONS(9756), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9758), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9760), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10841), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8636), 1,
      sym_attribute,
    STATE(11806), 1,
      sym__simple_type,
    STATE(12789), 1,
      sym__tuple_type,
    STATE(13017), 1,
      sym__type,
    STATE(16776), 1,
      sym_extended_module_path,
    STATE(17564), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12583), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7852), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [416089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8202), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [416135] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8639), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14966), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416217] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10749), 1,
      anon_sym_LPAREN,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    ACTIONS(10845), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8640), 1,
      sym_attribute,
    STATE(8990), 1,
      sym__simple_type,
    STATE(10324), 1,
      sym__tuple_type,
    STATE(10646), 1,
      sym__type,
    STATE(17370), 1,
      sym_extended_module_path,
    STATE(20294), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8212), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [416345] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8642), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14995), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8216), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [416473] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8644), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15133), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416555] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8645), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15174), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8220), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [416683] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10795), 1,
      anon_sym_COMMA,
    ACTIONS(10799), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10801), 1,
      sym_pow_operator,
    ACTIONS(10803), 1,
      sym_mult_operator,
    ACTIONS(10805), 1,
      sym_concat_operator,
    ACTIONS(10807), 1,
      sym_rel_operator,
    ACTIONS(10809), 1,
      sym_and_operator,
    ACTIONS(10811), 1,
      sym_or_operator,
    ACTIONS(10813), 1,
      sym_assign_operator,
    STATE(1803), 1,
      sym_add_operator,
    STATE(8647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10143), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10141), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [416751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7902), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [416797] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8649), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15359), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416879] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8650), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15388), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416961] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9744), 1,
      anon_sym_LPAREN,
    ACTIONS(9746), 1,
      anon_sym_LBRACK,
    ACTIONS(9748), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9750), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9752), 1,
      anon_sym_LT,
    ACTIONS(9754), 1,
      anon_sym_POUND,
    ACTIONS(9756), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9758), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9760), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10841), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8651), 1,
      sym_attribute,
    STATE(11806), 1,
      sym__simple_type,
    STATE(12789), 1,
      sym__tuple_type,
    STATE(13006), 1,
      sym__type,
    STATE(16776), 1,
      sym_extended_module_path,
    STATE(17564), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12583), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417043] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8652), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15509), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417125] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8653), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16087), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417207] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8654), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15525), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417289] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8655), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15669), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417371] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8656), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15743), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417453] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8657), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15908), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417535] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8658), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15967), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417617] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8659), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15846), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8234), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [417745] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8661), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15037), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417827] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8662), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15816), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417909] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10862), 1,
      anon_sym_DOT_DOT,
    STATE(8663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4963), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(4961), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [417957] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8664), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16056), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8238), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [418085] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10051), 1,
      anon_sym_LPAREN,
    ACTIONS(10053), 1,
      anon_sym_LBRACK,
    ACTIONS(10055), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10057), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10059), 1,
      anon_sym_LT,
    ACTIONS(10061), 1,
      anon_sym_POUND,
    ACTIONS(10063), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10065), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10067), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10788), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8666), 1,
      sym_attribute,
    STATE(10950), 1,
      sym__simple_type,
    STATE(12501), 1,
      sym__tuple_type,
    STATE(12667), 1,
      sym__type,
    STATE(16551), 1,
      sym_extended_module_path,
    STATE(19354), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418167] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8667), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15411), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9522), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [418295] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8669), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15505), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8264), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [418423] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8671), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16202), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418505] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8672), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15766), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418587] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10051), 1,
      anon_sym_LPAREN,
    ACTIONS(10053), 1,
      anon_sym_LBRACK,
    ACTIONS(10055), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10057), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10059), 1,
      anon_sym_LT,
    ACTIONS(10061), 1,
      anon_sym_POUND,
    ACTIONS(10063), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10065), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10067), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10788), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8673), 1,
      sym_attribute,
    STATE(10950), 1,
      sym__simple_type,
    STATE(12501), 1,
      sym__tuple_type,
    STATE(12559), 1,
      sym__type,
    STATE(16551), 1,
      sym_extended_module_path,
    STATE(19354), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418669] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8674), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15187), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418751] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8675), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15258), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8244), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [418879] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8677), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15747), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418961] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8678), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15788), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9498), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [419089] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8680), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15968), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419171] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8681), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16035), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419253] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10749), 1,
      anon_sym_LPAREN,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    ACTIONS(10845), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8682), 1,
      sym_attribute,
    STATE(8990), 1,
      sym__simple_type,
    STATE(10324), 1,
      sym__tuple_type,
    STATE(10461), 1,
      sym__type,
    STATE(17370), 1,
      sym_extended_module_path,
    STATE(20294), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9502), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [419381] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8684), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14975), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419463] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8685), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15011), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419545] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8686), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15137), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419627] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8687), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15163), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419709] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8688), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15301), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419791] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8689), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15327), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419873] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8690), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15494), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419955] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8691), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15526), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420037] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8692), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16104), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420119] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10668), 1,
      anon_sym_LPAREN,
    ACTIONS(10672), 1,
      anon_sym_LBRACK,
    ACTIONS(10674), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10678), 1,
      anon_sym_LT,
    ACTIONS(10680), 1,
      anon_sym_POUND,
    ACTIONS(10682), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10684), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10686), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10860), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8693), 1,
      sym_attribute,
    STATE(8825), 1,
      sym__simple_type,
    STATE(9918), 1,
      sym__tuple_type,
    STATE(10062), 1,
      sym__type,
    STATE(16843), 1,
      sym_extended_module_path,
    STATE(18120), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(8959), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420201] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8694), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16152), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420283] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8695), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16178), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420365] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8696), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14088), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420447] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8697), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16286), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420529] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8698), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16314), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420611] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10727), 1,
      anon_sym_LPAREN,
    ACTIONS(10731), 1,
      anon_sym_LBRACK,
    ACTIONS(10733), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10735), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10737), 1,
      anon_sym_LT,
    ACTIONS(10739), 1,
      anon_sym_POUND,
    ACTIONS(10741), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10743), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10745), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10853), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8699), 1,
      sym_attribute,
    STATE(9115), 1,
      sym__simple_type,
    STATE(10233), 1,
      sym__tuple_type,
    STATE(10716), 1,
      sym__type,
    STATE(16791), 1,
      sym_extended_module_path,
    STATE(18599), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9403), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420693] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8700), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15333), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420775] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8701), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15346), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420857] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8702), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14062), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420939] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8703), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15371), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421021] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8704), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15384), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421103] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8705), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15593), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421185] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8706), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15595), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421267] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8707), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14111), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421349] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8708), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15622), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421431] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8709), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15639), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7852), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [421559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8202), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [421605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8212), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [421651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8216), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [421697] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8714), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15856), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421779] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8715), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15858), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421861] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8716), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14139), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421943] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8717), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15871), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422025] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8718), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15878), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9082), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8220), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422199] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8721), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16017), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422281] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8722), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14180), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422363] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8723), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16170), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7936), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422491] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8725), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16322), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422573] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8726), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(14973), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422655] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8727), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(15009), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7902), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422783] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10051), 1,
      anon_sym_LPAREN,
    ACTIONS(10053), 1,
      anon_sym_LBRACK,
    ACTIONS(10055), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10057), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10059), 1,
      anon_sym_LT,
    ACTIONS(10061), 1,
      anon_sym_POUND,
    ACTIONS(10063), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10065), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10067), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10788), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8729), 1,
      sym_attribute,
    STATE(10950), 1,
      sym__simple_type,
    STATE(12501), 1,
      sym__tuple_type,
    STATE(12672), 1,
      sym__type,
    STATE(16551), 1,
      sym_extended_module_path,
    STATE(19354), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8226), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8226), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [422957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8230), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8234), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8238), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8264), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8244), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9004), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423233] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10552), 1,
      anon_sym_LPAREN,
    ACTIONS(10556), 1,
      anon_sym_LBRACK,
    ACTIONS(10558), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10560), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10562), 1,
      anon_sym_LT,
    ACTIONS(10564), 1,
      anon_sym_POUND,
    ACTIONS(10566), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10568), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10570), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10858), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8738), 1,
      sym_attribute,
    STATE(8821), 1,
      sym__simple_type,
    STATE(9857), 1,
      sym__tuple_type,
    STATE(10162), 1,
      sym__type,
    STATE(16807), 1,
      sym_extended_module_path,
    STATE(19969), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(8985), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423315] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(8739), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(12791), 1,
      sym__tuple_type,
    STATE(16024), 1,
      sym__type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(18020), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8045), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423397] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7583), 1,
      anon_sym_COMMA,
    ACTIONS(7589), 1,
      anon_sym_COLON_COLON,
    STATE(8740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8998), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9000), 18,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9040), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9042), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9004), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8988), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423581] = 21,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7651), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10446), 1,
      anon_sym_external,
    ACTIONS(10864), 1,
      anon_sym_type,
    ACTIONS(10866), 1,
      anon_sym_exception,
    ACTIONS(10868), 1,
      anon_sym_module,
    ACTIONS(10870), 1,
      anon_sym_open,
    ACTIONS(10872), 1,
      anon_sym_include,
    ACTIONS(10874), 1,
      anon_sym_class,
    ACTIONS(10876), 1,
      anon_sym_val,
    ACTIONS(10878), 1,
      anon_sym_end,
    STATE(8744), 1,
      sym_attribute,
    STATE(8819), 1,
      aux_sym__signature_repeat1,
    STATE(8857), 1,
      aux_sym__structure_repeat1,
    STATE(12686), 1,
      sym__signature_item,
    STATE(19572), 1,
      sym__signature,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12692), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [423658] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(8745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8206), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [423705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8960), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8962), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9098), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8982), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8984), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9082), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [423885] = 21,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7651), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10446), 1,
      anon_sym_external,
    ACTIONS(10864), 1,
      anon_sym_type,
    ACTIONS(10866), 1,
      anon_sym_exception,
    ACTIONS(10868), 1,
      anon_sym_module,
    ACTIONS(10870), 1,
      anon_sym_open,
    ACTIONS(10872), 1,
      anon_sym_include,
    ACTIONS(10874), 1,
      anon_sym_class,
    ACTIONS(10876), 1,
      anon_sym_val,
    ACTIONS(10880), 1,
      anon_sym_end,
    STATE(8750), 1,
      sym_attribute,
    STATE(8819), 1,
      aux_sym__signature_repeat1,
    STATE(8857), 1,
      aux_sym__structure_repeat1,
    STATE(12686), 1,
      sym__signature_item,
    STATE(17742), 1,
      sym__signature,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12692), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [423962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8248), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10882), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8240), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [424052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9070), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424097] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(10578), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10580), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10886), 1,
      anon_sym_let,
    STATE(8754), 1,
      sym_attribute,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10534), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10884), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [424158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8252), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9094), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424248] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10795), 1,
      anon_sym_COMMA,
    ACTIONS(10799), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10801), 1,
      sym_pow_operator,
    ACTIONS(10803), 1,
      sym_mult_operator,
    ACTIONS(10805), 1,
      sym_concat_operator,
    ACTIONS(10807), 1,
      sym_rel_operator,
    ACTIONS(10809), 1,
      sym_and_operator,
    ACTIONS(10811), 1,
      sym_or_operator,
    ACTIONS(10813), 1,
      sym_assign_operator,
    ACTIONS(10888), 1,
      anon_sym_SEMI,
    STATE(1803), 1,
      sym_add_operator,
    STATE(8757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8946), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [424317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8256), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8260), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9086), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424452] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10894), 1,
      anon_sym_DOT,
    STATE(8761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10892), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10890), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [424499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8174), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8952), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8954), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8226), 27,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [424634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9062), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424679] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7589), 1,
      anon_sym_COLON_COLON,
    STATE(8766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8996), 19,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9102), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10896), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8208), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [424816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9038), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424861] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7589), 1,
      anon_sym_COLON_COLON,
    STATE(8770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9050), 19,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424908] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(10578), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10580), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10900), 1,
      anon_sym_let,
    STATE(8771), 1,
      sym_attribute,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10600), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10898), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [424969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10904), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10902), 28,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [425014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9090), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9066), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425104] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(8775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8206), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [425151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8230), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9022), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7779), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4963), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(4961), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9026), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9008), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9058), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425466] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10782), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10784), 1,
      sym_pow_operator,
    ACTIONS(10786), 1,
      sym_mult_operator,
    ACTIONS(10817), 1,
      sym_concat_operator,
    ACTIONS(10819), 1,
      sym_rel_operator,
    ACTIONS(10821), 1,
      sym_and_operator,
    ACTIONS(10823), 1,
      sym_or_operator,
    ACTIONS(10825), 1,
      anon_sym_COMMA,
    ACTIONS(10827), 1,
      sym_assign_operator,
    ACTIONS(10906), 1,
      anon_sym_SEMI,
    STATE(2011), 1,
      sym_add_operator,
    STATE(8783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8946), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [425535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7966), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9012), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9016), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8112), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8124), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9074), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425805] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(10578), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10580), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10910), 1,
      anon_sym_let,
    STATE(8790), 1,
      sym_attribute,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10790), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10908), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [425866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8966), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8968), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8970), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7920), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8990), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8992), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9030), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9034), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8974), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8976), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8978), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8980), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9078), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8958), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9054), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9046), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10914), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10912), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426450] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10916), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10919), 1,
      anon_sym_external,
    ACTIONS(10922), 1,
      anon_sym_type,
    ACTIONS(10925), 1,
      anon_sym_exception,
    ACTIONS(10928), 1,
      anon_sym_module,
    ACTIONS(10931), 1,
      anon_sym_open,
    ACTIONS(10934), 1,
      anon_sym_include,
    ACTIONS(10937), 1,
      anon_sym_class,
    ACTIONS(10940), 1,
      anon_sym_val,
    ACTIONS(10943), 1,
      anon_sym_end,
    ACTIONS(10945), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(10948), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(10951), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(9032), 1,
      aux_sym__structure_repeat1,
    STATE(12686), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8804), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(12692), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [426522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10956), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10954), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10960), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10958), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10964), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10962), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8244), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8216), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10968), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10966), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10972), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10970), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10976), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10974), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10980), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10978), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10892), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10890), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426962] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10982), 1,
      sym__lowercase_identifier,
    ACTIONS(10988), 1,
      anon_sym_POUND,
    STATE(8815), 1,
      sym_attribute,
    STATE(9049), 1,
      sym_type_constructor_path,
    STATE(16981), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10986), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [427016] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10982), 1,
      sym__lowercase_identifier,
    ACTIONS(10994), 1,
      anon_sym_POUND,
    STATE(8816), 1,
      sym_attribute,
    STATE(8956), 1,
      sym_type_constructor_path,
    STATE(16981), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10992), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [427070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10998), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10996), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [427114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11002), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11000), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [427158] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7651), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10446), 1,
      anon_sym_external,
    ACTIONS(10864), 1,
      anon_sym_type,
    ACTIONS(10866), 1,
      anon_sym_exception,
    ACTIONS(10868), 1,
      anon_sym_module,
    ACTIONS(10870), 1,
      anon_sym_open,
    ACTIONS(10872), 1,
      anon_sym_include,
    ACTIONS(10874), 1,
      anon_sym_class,
    ACTIONS(10876), 1,
      anon_sym_val,
    ACTIONS(11004), 1,
      anon_sym_end,
    STATE(8804), 1,
      aux_sym__signature_repeat1,
    STATE(8819), 1,
      sym_attribute,
    STATE(8859), 1,
      aux_sym__structure_repeat1,
    STATE(12686), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12692), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [427232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11008), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11006), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [427276] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11010), 1,
      sym__lowercase_identifier,
    ACTIONS(11012), 1,
      anon_sym_POUND,
    STATE(8821), 1,
      sym_attribute,
    STATE(8998), 1,
      sym_type_constructor_path,
    STATE(16957), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9800), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(9802), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [427330] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7651), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10446), 1,
      anon_sym_external,
    ACTIONS(10870), 1,
      anon_sym_open,
    ACTIONS(11004), 1,
      anon_sym_RBRACK,
    ACTIONS(11014), 1,
      anon_sym_type,
    ACTIONS(11016), 1,
      anon_sym_exception,
    ACTIONS(11018), 1,
      anon_sym_module,
    ACTIONS(11020), 1,
      anon_sym_include,
    ACTIONS(11022), 1,
      anon_sym_class,
    ACTIONS(11024), 1,
      anon_sym_val,
    STATE(8822), 1,
      sym_attribute,
    STATE(8824), 1,
      aux_sym__signature_repeat1,
    STATE(8850), 1,
      aux_sym__structure_repeat1,
    STATE(12686), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12692), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [427404] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11010), 1,
      sym__lowercase_identifier,
    ACTIONS(11026), 1,
      anon_sym_POUND,
    STATE(8823), 1,
      sym_attribute,
    STATE(9040), 1,
      sym_type_constructor_path,
    STATE(16957), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10992), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [427458] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10916), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10919), 1,
      anon_sym_external,
    ACTIONS(10931), 1,
      anon_sym_open,
    ACTIONS(10943), 1,
      anon_sym_RBRACK,
    ACTIONS(10945), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(10948), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(10951), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11028), 1,
      anon_sym_type,
    ACTIONS(11031), 1,
      anon_sym_exception,
    ACTIONS(11034), 1,
      anon_sym_module,
    ACTIONS(11037), 1,
      anon_sym_include,
    ACTIONS(11040), 1,
      anon_sym_class,
    ACTIONS(11043), 1,
      anon_sym_val,
    STATE(9161), 1,
      aux_sym__structure_repeat1,
    STATE(12686), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8824), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(12692), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [427530] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10982), 1,
      sym__lowercase_identifier,
    ACTIONS(10988), 1,
      anon_sym_POUND,
    STATE(8825), 1,
      sym_attribute,
    STATE(9049), 1,
      sym_type_constructor_path,
    STATE(16981), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9800), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(9802), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [427584] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11010), 1,
      sym__lowercase_identifier,
    ACTIONS(11012), 1,
      anon_sym_POUND,
    STATE(8826), 1,
      sym_attribute,
    STATE(8998), 1,
      sym_type_constructor_path,
    STATE(16957), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10986), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [427638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10902), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10904), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [427681] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11046), 1,
      sym__lowercase_identifier,
    ACTIONS(11048), 1,
      anon_sym_LPAREN,
    ACTIONS(11050), 1,
      anon_sym_LBRACK,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11054), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11056), 1,
      anon_sym_LT,
    ACTIONS(11058), 1,
      anon_sym_POUND,
    ACTIONS(11060), 1,
      aux_sym_type_variable_token1,
    STATE(8828), 1,
      sym_attribute,
    STATE(9304), 1,
      sym__simple_type,
    STATE(9391), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14276), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16383), 1,
      sym_extended_module_path,
    STATE(17922), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10114), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [427758] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11046), 1,
      sym__lowercase_identifier,
    ACTIONS(11048), 1,
      anon_sym_LPAREN,
    ACTIONS(11050), 1,
      anon_sym_LBRACK,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11054), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11056), 1,
      anon_sym_LT,
    ACTIONS(11058), 1,
      anon_sym_POUND,
    ACTIONS(11060), 1,
      aux_sym_type_variable_token1,
    STATE(8829), 1,
      sym_attribute,
    STATE(9307), 1,
      sym__simple_type,
    STATE(9391), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14277), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16383), 1,
      sym_extended_module_path,
    STATE(17925), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10114), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [427835] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11062), 1,
      sym__lowercase_identifier,
    ACTIONS(11064), 1,
      anon_sym_LPAREN,
    ACTIONS(11066), 1,
      anon_sym_LBRACK,
    ACTIONS(11068), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11072), 1,
      anon_sym_LT,
    ACTIONS(11074), 1,
      anon_sym_POUND,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11080), 1,
      aux_sym_type_variable_token1,
    STATE(8830), 1,
      sym_attribute,
    STATE(9881), 1,
      sym__simple_type,
    STATE(9988), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14747), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16385), 1,
      sym_extended_module_path,
    STATE(18201), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10425), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [427912] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11046), 1,
      sym__lowercase_identifier,
    ACTIONS(11048), 1,
      anon_sym_LPAREN,
    ACTIONS(11050), 1,
      anon_sym_LBRACK,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11054), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11056), 1,
      anon_sym_LT,
    ACTIONS(11058), 1,
      anon_sym_POUND,
    ACTIONS(11060), 1,
      aux_sym_type_variable_token1,
    STATE(8831), 1,
      sym_attribute,
    STATE(9283), 1,
      sym__simple_type,
    STATE(9391), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14280), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16383), 1,
      sym_extended_module_path,
    STATE(17967), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10114), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [427989] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11062), 1,
      sym__lowercase_identifier,
    ACTIONS(11064), 1,
      anon_sym_LPAREN,
    ACTIONS(11066), 1,
      anon_sym_LBRACK,
    ACTIONS(11068), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11072), 1,
      anon_sym_LT,
    ACTIONS(11074), 1,
      anon_sym_POUND,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11080), 1,
      aux_sym_type_variable_token1,
    STATE(8832), 1,
      sym_attribute,
    STATE(9882), 1,
      sym__simple_type,
    STATE(9988), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14853), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16385), 1,
      sym_extended_module_path,
    STATE(18953), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10425), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428066] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11082), 1,
      sym__lowercase_identifier,
    ACTIONS(11084), 1,
      anon_sym_LPAREN,
    ACTIONS(11086), 1,
      anon_sym_LBRACK,
    ACTIONS(11088), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11090), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11092), 1,
      anon_sym_LT,
    ACTIONS(11094), 1,
      anon_sym_POUND,
    ACTIONS(11096), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11098), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11100), 1,
      aux_sym_type_variable_token1,
    STATE(8833), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(13094), 1,
      sym__simple_type,
    STATE(13290), 1,
      sym_type_variable,
    STATE(14353), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16438), 1,
      sym_extended_module_path,
    STATE(19371), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13442), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428143] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11102), 1,
      sym__lowercase_identifier,
    ACTIONS(11104), 1,
      anon_sym_LPAREN,
    ACTIONS(11106), 1,
      anon_sym_LBRACK,
    ACTIONS(11108), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11112), 1,
      anon_sym_LT,
    ACTIONS(11114), 1,
      anon_sym_POUND,
    ACTIONS(11116), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11118), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11120), 1,
      aux_sym_type_variable_token1,
    STATE(8834), 1,
      sym_attribute,
    STATE(9877), 1,
      sym__simple_type,
    STATE(10119), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14306), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16678), 1,
      sym_extended_module_path,
    STATE(18387), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10675), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428220] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11102), 1,
      sym__lowercase_identifier,
    ACTIONS(11104), 1,
      anon_sym_LPAREN,
    ACTIONS(11106), 1,
      anon_sym_LBRACK,
    ACTIONS(11108), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11112), 1,
      anon_sym_LT,
    ACTIONS(11114), 1,
      anon_sym_POUND,
    ACTIONS(11116), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11118), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11120), 1,
      aux_sym_type_variable_token1,
    STATE(8835), 1,
      sym_attribute,
    STATE(9883), 1,
      sym__simple_type,
    STATE(10119), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14307), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16678), 1,
      sym_extended_module_path,
    STATE(18397), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10675), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428297] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11102), 1,
      sym__lowercase_identifier,
    ACTIONS(11104), 1,
      anon_sym_LPAREN,
    ACTIONS(11106), 1,
      anon_sym_LBRACK,
    ACTIONS(11108), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11112), 1,
      anon_sym_LT,
    ACTIONS(11114), 1,
      anon_sym_POUND,
    ACTIONS(11116), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11118), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11120), 1,
      aux_sym_type_variable_token1,
    STATE(8836), 1,
      sym_attribute,
    STATE(9922), 1,
      sym__simple_type,
    STATE(10119), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14310), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16678), 1,
      sym_extended_module_path,
    STATE(18428), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10675), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428374] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(10578), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10580), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11124), 1,
      anon_sym_let,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(8837), 1,
      sym_attribute,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10934), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11122), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [428433] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(10578), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10580), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11128), 1,
      anon_sym_let,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(8838), 1,
      sym_attribute,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11130), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11126), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [428492] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(11130), 1,
      sym__lowercase_identifier,
    STATE(8839), 1,
      sym_attribute,
    STATE(9418), 1,
      sym__simple_type,
    STATE(9923), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14334), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16479), 1,
      sym_extended_module_path,
    STATE(18793), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9666), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428569] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(11130), 1,
      sym__lowercase_identifier,
    STATE(8840), 1,
      sym_attribute,
    STATE(9421), 1,
      sym__simple_type,
    STATE(9923), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14335), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16479), 1,
      sym_extended_module_path,
    STATE(18803), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9666), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428646] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7651), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10446), 1,
      anon_sym_external,
    ACTIONS(10870), 1,
      anon_sym_open,
    ACTIONS(11004), 1,
      anon_sym_RBRACK,
    ACTIONS(11014), 1,
      anon_sym_type,
    ACTIONS(11016), 1,
      anon_sym_exception,
    ACTIONS(11018), 1,
      anon_sym_module,
    ACTIONS(11020), 1,
      anon_sym_include,
    ACTIONS(11022), 1,
      anon_sym_class,
    ACTIONS(11024), 1,
      anon_sym_val,
    STATE(8841), 1,
      sym_attribute,
    STATE(12513), 1,
      aux_sym__structure_repeat1,
    STATE(12679), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12692), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [428717] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10085), 1,
      anon_sym_LT,
    ACTIONS(10087), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10091), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10093), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(8842), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10288), 1,
      sym_type_variable,
    STATE(10342), 1,
      sym__simple_type,
    STATE(14725), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16608), 1,
      sym_extended_module_path,
    STATE(17631), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10970), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428794] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10085), 1,
      anon_sym_LT,
    ACTIONS(10087), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10091), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10093), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(8843), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10288), 1,
      sym_type_variable,
    STATE(10354), 1,
      sym__simple_type,
    STATE(14727), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16608), 1,
      sym_extended_module_path,
    STATE(17684), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10970), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428871] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(11130), 1,
      sym__lowercase_identifier,
    STATE(8844), 1,
      sym_attribute,
    STATE(9431), 1,
      sym__simple_type,
    STATE(9923), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14337), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16479), 1,
      sym_extended_module_path,
    STATE(18843), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9666), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [428948] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(10578), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10580), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11136), 1,
      anon_sym_let,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(8845), 1,
      sym_attribute,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10998), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11134), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [429007] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9888), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(8846), 1,
      sym_attribute,
    STATE(9784), 1,
      sym__simple_type,
    STATE(10028), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14354), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16712), 1,
      sym_extended_module_path,
    STATE(19102), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10440), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429084] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9888), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(8847), 1,
      sym_attribute,
    STATE(9785), 1,
      sym__simple_type,
    STATE(10028), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14355), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16712), 1,
      sym_extended_module_path,
    STATE(19110), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10440), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429161] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9888), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(8848), 1,
      sym_attribute,
    STATE(9796), 1,
      sym__simple_type,
    STATE(10028), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14359), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16712), 1,
      sym_extended_module_path,
    STATE(19124), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10440), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429238] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10085), 1,
      anon_sym_LT,
    ACTIONS(10087), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10091), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10093), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(8849), 1,
      sym_attribute,
    STATE(10227), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10288), 1,
      sym_type_variable,
    STATE(14730), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16608), 1,
      sym_extended_module_path,
    STATE(17907), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10970), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429315] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7651), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10446), 1,
      anon_sym_external,
    ACTIONS(10870), 1,
      anon_sym_open,
    ACTIONS(11014), 1,
      anon_sym_type,
    ACTIONS(11016), 1,
      anon_sym_exception,
    ACTIONS(11018), 1,
      anon_sym_module,
    ACTIONS(11020), 1,
      anon_sym_include,
    ACTIONS(11022), 1,
      anon_sym_class,
    ACTIONS(11024), 1,
      anon_sym_val,
    ACTIONS(11154), 1,
      anon_sym_RBRACK,
    STATE(8850), 1,
      sym_attribute,
    STATE(12513), 1,
      aux_sym__structure_repeat1,
    STATE(12679), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12692), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [429386] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11156), 1,
      anon_sym_COLON2,
    STATE(8851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9002), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [429431] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(8852), 1,
      sym_attribute,
    STATE(9395), 1,
      sym__simple_type,
    STATE(9749), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14372), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16581), 1,
      sym_extended_module_path,
    STATE(19367), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9676), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429508] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(8853), 1,
      sym_attribute,
    STATE(9402), 1,
      sym__simple_type,
    STATE(9749), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14373), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16581), 1,
      sym_extended_module_path,
    STATE(19426), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9676), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429585] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(10578), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10580), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11162), 1,
      anon_sym_let,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(8854), 1,
      sym_attribute,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11527), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11160), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [429644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10902), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10904), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [429687] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11164), 1,
      sym__lowercase_identifier,
    ACTIONS(11166), 1,
      anon_sym_POUND,
    STATE(8856), 1,
      sym_attribute,
    STATE(9202), 1,
      sym_type_constructor_path,
    STATE(16845), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10992), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [429740] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7651), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10446), 1,
      anon_sym_external,
    ACTIONS(10864), 1,
      anon_sym_type,
    ACTIONS(10866), 1,
      anon_sym_exception,
    ACTIONS(10868), 1,
      anon_sym_module,
    ACTIONS(10870), 1,
      anon_sym_open,
    ACTIONS(10872), 1,
      anon_sym_include,
    ACTIONS(10874), 1,
      anon_sym_class,
    ACTIONS(10876), 1,
      anon_sym_val,
    ACTIONS(11004), 1,
      anon_sym_end,
    STATE(8857), 1,
      sym_attribute,
    STATE(12513), 1,
      aux_sym__structure_repeat1,
    STATE(12679), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12692), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [429811] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10008), 1,
      anon_sym_LT,
    ACTIONS(10010), 1,
      anon_sym_POUND,
    ACTIONS(10012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10016), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11168), 1,
      sym__lowercase_identifier,
    STATE(8858), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10273), 1,
      sym_type_variable,
    STATE(10370), 1,
      sym__simple_type,
    STATE(14611), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16517), 1,
      sym_extended_module_path,
    STATE(20091), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11022), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [429888] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7651), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10446), 1,
      anon_sym_external,
    ACTIONS(10864), 1,
      anon_sym_type,
    ACTIONS(10866), 1,
      anon_sym_exception,
    ACTIONS(10868), 1,
      anon_sym_module,
    ACTIONS(10870), 1,
      anon_sym_open,
    ACTIONS(10872), 1,
      anon_sym_include,
    ACTIONS(10874), 1,
      anon_sym_class,
    ACTIONS(10876), 1,
      anon_sym_val,
    ACTIONS(11154), 1,
      anon_sym_end,
    STATE(8859), 1,
      sym_attribute,
    STATE(12513), 1,
      aux_sym__structure_repeat1,
    STATE(12679), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12692), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [429959] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10008), 1,
      anon_sym_LT,
    ACTIONS(10010), 1,
      anon_sym_POUND,
    ACTIONS(10012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10016), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11168), 1,
      sym__lowercase_identifier,
    STATE(8860), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10273), 1,
      sym_type_variable,
    STATE(10321), 1,
      sym__simple_type,
    STATE(14612), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16517), 1,
      sym_extended_module_path,
    STATE(20093), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11022), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430036] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11170), 1,
      sym__lowercase_identifier,
    ACTIONS(11172), 1,
      anon_sym_POUND,
    STATE(8861), 1,
      sym_attribute,
    STATE(9274), 1,
      sym_type_constructor_path,
    STATE(16583), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10992), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [430089] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(10578), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10580), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11176), 1,
      anon_sym_let,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(8862), 1,
      sym_attribute,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10800), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11174), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [430148] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9778), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9780), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11178), 1,
      sym__lowercase_identifier,
    ACTIONS(11180), 1,
      anon_sym_LPAREN,
    ACTIONS(11182), 1,
      anon_sym_LBRACK,
    ACTIONS(11184), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11186), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11188), 1,
      anon_sym_LT,
    ACTIONS(11190), 1,
      anon_sym_POUND,
    ACTIONS(11192), 1,
      aux_sym_type_variable_token1,
    STATE(8863), 1,
      sym_attribute,
    STATE(9692), 1,
      sym__simple_type,
    STATE(10111), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14389), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16727), 1,
      sym_extended_module_path,
    STATE(19774), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10756), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430225] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9778), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9780), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11178), 1,
      sym__lowercase_identifier,
    ACTIONS(11180), 1,
      anon_sym_LPAREN,
    ACTIONS(11182), 1,
      anon_sym_LBRACK,
    ACTIONS(11184), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11186), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11188), 1,
      anon_sym_LT,
    ACTIONS(11190), 1,
      anon_sym_POUND,
    ACTIONS(11192), 1,
      aux_sym_type_variable_token1,
    STATE(8864), 1,
      sym_attribute,
    STATE(9693), 1,
      sym__simple_type,
    STATE(10111), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14390), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16727), 1,
      sym_extended_module_path,
    STATE(19784), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10756), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430302] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9778), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9780), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11178), 1,
      sym__lowercase_identifier,
    ACTIONS(11180), 1,
      anon_sym_LPAREN,
    ACTIONS(11182), 1,
      anon_sym_LBRACK,
    ACTIONS(11184), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11186), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11188), 1,
      anon_sym_LT,
    ACTIONS(11190), 1,
      anon_sym_POUND,
    ACTIONS(11192), 1,
      aux_sym_type_variable_token1,
    STATE(8865), 1,
      sym_attribute,
    STATE(9701), 1,
      sym__simple_type,
    STATE(10111), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14393), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16727), 1,
      sym_extended_module_path,
    STATE(19819), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10756), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430379] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10008), 1,
      anon_sym_LT,
    ACTIONS(10010), 1,
      anon_sym_POUND,
    ACTIONS(10012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10016), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11168), 1,
      sym__lowercase_identifier,
    STATE(8866), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10273), 1,
      sym_type_variable,
    STATE(10411), 1,
      sym__simple_type,
    STATE(14624), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16517), 1,
      sym_extended_module_path,
    STATE(20133), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11022), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430456] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10749), 1,
      anon_sym_LPAREN,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    STATE(8867), 1,
      sym_attribute,
    STATE(9060), 1,
      sym__simple_type,
    STATE(9317), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14833), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17370), 1,
      sym_extended_module_path,
    STATE(20079), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9321), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430533] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11156), 1,
      anon_sym_COLON2,
    STATE(8868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9002), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [430578] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10749), 1,
      anon_sym_LPAREN,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    STATE(8869), 1,
      sym_attribute,
    STATE(9061), 1,
      sym__simple_type,
    STATE(9317), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14838), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17370), 1,
      sym_extended_module_path,
    STATE(20087), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9321), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430655] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      sym__lowercase_identifier,
    STATE(8870), 1,
      sym_attribute,
    STATE(9084), 1,
      sym__simple_type,
    STATE(9226), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14412), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16651), 1,
      sym_extended_module_path,
    STATE(20248), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9250), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430732] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      sym__lowercase_identifier,
    STATE(8871), 1,
      sym_attribute,
    STATE(9085), 1,
      sym__simple_type,
    STATE(9226), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14272), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16651), 1,
      sym_extended_module_path,
    STATE(20258), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9250), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430809] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      sym__lowercase_identifier,
    STATE(8872), 1,
      sym_attribute,
    STATE(9096), 1,
      sym__simple_type,
    STATE(9226), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14414), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16651), 1,
      sym_extended_module_path,
    STATE(20280), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9250), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430886] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10749), 1,
      anon_sym_LPAREN,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    STATE(8873), 1,
      sym_attribute,
    STATE(9116), 1,
      sym__simple_type,
    STATE(9317), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14851), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17370), 1,
      sym_extended_module_path,
    STATE(20337), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9321), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [430963] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9788), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11198), 1,
      sym__lowercase_identifier,
    ACTIONS(11200), 1,
      anon_sym_LPAREN,
    ACTIONS(11202), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11206), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11208), 1,
      anon_sym_LT,
    ACTIONS(11210), 1,
      anon_sym_POUND,
    ACTIONS(11212), 1,
      aux_sym_type_variable_token1,
    STATE(8874), 1,
      sym_attribute,
    STATE(9314), 1,
      sym__simple_type,
    STATE(9357), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16758), 1,
      sym_extended_module_path,
    STATE(17498), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10124), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [431040] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9788), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11198), 1,
      sym__lowercase_identifier,
    ACTIONS(11200), 1,
      anon_sym_LPAREN,
    ACTIONS(11202), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11206), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11208), 1,
      anon_sym_LT,
    ACTIONS(11210), 1,
      anon_sym_POUND,
    ACTIONS(11212), 1,
      aux_sym_type_variable_token1,
    STATE(8875), 1,
      sym_attribute,
    STATE(9199), 1,
      sym__simple_type,
    STATE(9357), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14425), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16758), 1,
      sym_extended_module_path,
    STATE(17500), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10124), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [431117] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11062), 1,
      sym__lowercase_identifier,
    ACTIONS(11064), 1,
      anon_sym_LPAREN,
    ACTIONS(11066), 1,
      anon_sym_LBRACK,
    ACTIONS(11068), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11072), 1,
      anon_sym_LT,
    ACTIONS(11074), 1,
      anon_sym_POUND,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11080), 1,
      aux_sym_type_variable_token1,
    STATE(8876), 1,
      sym_attribute,
    STATE(9764), 1,
      sym__simple_type,
    STATE(9988), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14403), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16385), 1,
      sym_extended_module_path,
    STATE(20069), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10425), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [431194] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11082), 1,
      sym__lowercase_identifier,
    ACTIONS(11084), 1,
      anon_sym_LPAREN,
    ACTIONS(11086), 1,
      anon_sym_LBRACK,
    ACTIONS(11088), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11090), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11092), 1,
      anon_sym_LT,
    ACTIONS(11094), 1,
      anon_sym_POUND,
    ACTIONS(11096), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11098), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11100), 1,
      aux_sym_type_variable_token1,
    STATE(8877), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(13113), 1,
      sym__simple_type,
    STATE(13290), 1,
      sym_type_variable,
    STATE(14341), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16438), 1,
      sym_extended_module_path,
    STATE(19316), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13442), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [431271] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9788), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11198), 1,
      sym__lowercase_identifier,
    ACTIONS(11200), 1,
      anon_sym_LPAREN,
    ACTIONS(11202), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11206), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11208), 1,
      anon_sym_LT,
    ACTIONS(11210), 1,
      anon_sym_POUND,
    ACTIONS(11212), 1,
      aux_sym_type_variable_token1,
    STATE(8878), 1,
      sym_attribute,
    STATE(9320), 1,
      sym__simple_type,
    STATE(9357), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14426), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16758), 1,
      sym_extended_module_path,
    STATE(17508), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10124), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [431348] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11082), 1,
      sym__lowercase_identifier,
    ACTIONS(11084), 1,
      anon_sym_LPAREN,
    ACTIONS(11086), 1,
      anon_sym_LBRACK,
    ACTIONS(11088), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11090), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11092), 1,
      anon_sym_LT,
    ACTIONS(11094), 1,
      anon_sym_POUND,
    ACTIONS(11096), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11098), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11100), 1,
      aux_sym_type_variable_token1,
    STATE(8879), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(13075), 1,
      sym__simple_type,
    STATE(13290), 1,
      sym_type_variable,
    STATE(14344), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16438), 1,
      sym_extended_module_path,
    STATE(19318), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13442), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [431425] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(8880), 1,
      sym_attribute,
    STATE(9394), 1,
      sym__simple_type,
    STATE(9749), 1,
      sym_type_variable,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(14371), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16581), 1,
      sym_extended_module_path,
    STATE(19360), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9676), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [431502] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8252), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11214), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [431586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10902), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10904), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [431628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11218), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [431670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11222), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [431712] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11228), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11230), 1,
      anon_sym_GT,
    STATE(8886), 1,
      sym_attribute,
    STATE(13307), 1,
      sym__simple_type,
    STATE(15002), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431784] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11082), 1,
      sym__lowercase_identifier,
    ACTIONS(11084), 1,
      anon_sym_LPAREN,
    ACTIONS(11086), 1,
      anon_sym_LBRACK,
    ACTIONS(11088), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11090), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11092), 1,
      anon_sym_LT,
    ACTIONS(11094), 1,
      anon_sym_POUND,
    ACTIONS(11096), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11098), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11100), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11232), 1,
      anon_sym_LBRACE,
    STATE(8887), 1,
      sym_attribute,
    STATE(13191), 1,
      sym__simple_type,
    STATE(16438), 1,
      sym_extended_module_path,
    STATE(16482), 1,
      sym__constructor_argument,
    STATE(17377), 1,
      sym_record_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13442), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11234), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [431898] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7773), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431940] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11240), 1,
      anon_sym_GT,
    STATE(8890), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11242), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [432054] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11246), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11248), 1,
      anon_sym_GT,
    STATE(8892), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11250), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [432168] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11254), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11256), 1,
      anon_sym_GT,
    STATE(8894), 1,
      sym_attribute,
    STATE(13296), 1,
      sym__simple_type,
    STATE(15466), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432240] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11102), 1,
      sym__lowercase_identifier,
    ACTIONS(11104), 1,
      anon_sym_LPAREN,
    ACTIONS(11106), 1,
      anon_sym_LBRACK,
    ACTIONS(11108), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11112), 1,
      anon_sym_LT,
    ACTIONS(11114), 1,
      anon_sym_POUND,
    ACTIONS(11116), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11118), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11120), 1,
      aux_sym_type_variable_token1,
    STATE(8895), 1,
      sym_attribute,
    STATE(10095), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10726), 1,
      sym__constructor_argument,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10675), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432312] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11046), 1,
      sym__lowercase_identifier,
    ACTIONS(11048), 1,
      anon_sym_LPAREN,
    ACTIONS(11050), 1,
      anon_sym_LBRACK,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11054), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11056), 1,
      anon_sym_LT,
    ACTIONS(11058), 1,
      anon_sym_POUND,
    ACTIONS(11060), 1,
      aux_sym_type_variable_token1,
    STATE(8896), 1,
      sym_attribute,
    STATE(9557), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10726), 1,
      sym__constructor_argument,
    STATE(16383), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10114), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432384] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11102), 1,
      sym__lowercase_identifier,
    ACTIONS(11104), 1,
      anon_sym_LPAREN,
    ACTIONS(11106), 1,
      anon_sym_LBRACK,
    ACTIONS(11108), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11112), 1,
      anon_sym_LT,
    ACTIONS(11114), 1,
      anon_sym_POUND,
    ACTIONS(11116), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11118), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11120), 1,
      aux_sym_type_variable_token1,
    STATE(8897), 1,
      sym_attribute,
    STATE(10095), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10727), 1,
      sym__constructor_argument,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10675), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432456] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8074), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8110), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [432540] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8104), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432582] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11258), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11260), 1,
      anon_sym_GT,
    STATE(8901), 1,
      sym_attribute,
    STATE(13341), 1,
      sym__simple_type,
    STATE(15772), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11262), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [432696] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11102), 1,
      sym__lowercase_identifier,
    ACTIONS(11104), 1,
      anon_sym_LPAREN,
    ACTIONS(11106), 1,
      anon_sym_LBRACK,
    ACTIONS(11108), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11112), 1,
      anon_sym_LT,
    ACTIONS(11114), 1,
      anon_sym_POUND,
    ACTIONS(11116), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11118), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11120), 1,
      aux_sym_type_variable_token1,
    STATE(8903), 1,
      sym_attribute,
    STATE(10095), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10621), 1,
      sym__constructor_argument,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10675), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432768] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11046), 1,
      sym__lowercase_identifier,
    ACTIONS(11048), 1,
      anon_sym_LPAREN,
    ACTIONS(11050), 1,
      anon_sym_LBRACK,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11054), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11056), 1,
      anon_sym_LT,
    ACTIONS(11058), 1,
      anon_sym_POUND,
    ACTIONS(11060), 1,
      aux_sym_type_variable_token1,
    STATE(8904), 1,
      sym_attribute,
    STATE(9557), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10727), 1,
      sym__constructor_argument,
    STATE(16383), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10114), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8122), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [432882] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11102), 1,
      sym__lowercase_identifier,
    ACTIONS(11104), 1,
      anon_sym_LPAREN,
    ACTIONS(11106), 1,
      anon_sym_LBRACK,
    ACTIONS(11108), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11112), 1,
      anon_sym_LT,
    ACTIONS(11114), 1,
      anon_sym_POUND,
    ACTIONS(11116), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11118), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11120), 1,
      aux_sym_type_variable_token1,
    STATE(8906), 1,
      sym_attribute,
    STATE(9723), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16678), 1,
      sym_extended_module_path,
    STATE(18445), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10675), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432954] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11102), 1,
      sym__lowercase_identifier,
    ACTIONS(11104), 1,
      anon_sym_LPAREN,
    ACTIONS(11106), 1,
      anon_sym_LBRACK,
    ACTIONS(11108), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11112), 1,
      anon_sym_LT,
    ACTIONS(11114), 1,
      anon_sym_POUND,
    ACTIONS(11116), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11118), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11120), 1,
      aux_sym_type_variable_token1,
    STATE(8907), 1,
      sym_attribute,
    STATE(9745), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16678), 1,
      sym_extended_module_path,
    STATE(18447), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10675), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433026] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11102), 1,
      sym__lowercase_identifier,
    ACTIONS(11104), 1,
      anon_sym_LPAREN,
    ACTIONS(11106), 1,
      anon_sym_LBRACK,
    ACTIONS(11108), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11112), 1,
      anon_sym_LT,
    ACTIONS(11114), 1,
      anon_sym_POUND,
    ACTIONS(11116), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11118), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11120), 1,
      aux_sym_type_variable_token1,
    STATE(8908), 1,
      sym_attribute,
    STATE(9900), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16678), 1,
      sym_extended_module_path,
    STATE(18461), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10675), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433098] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11266), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11268), 1,
      anon_sym_GT,
    STATE(8909), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433170] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11062), 1,
      sym__lowercase_identifier,
    ACTIONS(11064), 1,
      anon_sym_LPAREN,
    ACTIONS(11066), 1,
      anon_sym_LBRACK,
    ACTIONS(11068), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11072), 1,
      anon_sym_LT,
    ACTIONS(11074), 1,
      anon_sym_POUND,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11080), 1,
      aux_sym_type_variable_token1,
    STATE(8910), 1,
      sym_attribute,
    STATE(9864), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16385), 1,
      sym_extended_module_path,
    STATE(19757), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10425), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433242] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11062), 1,
      sym__lowercase_identifier,
    ACTIONS(11064), 1,
      anon_sym_LPAREN,
    ACTIONS(11066), 1,
      anon_sym_LBRACK,
    ACTIONS(11068), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11072), 1,
      anon_sym_LT,
    ACTIONS(11074), 1,
      anon_sym_POUND,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11080), 1,
      aux_sym_type_variable_token1,
    STATE(8911), 1,
      sym_attribute,
    STATE(9885), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16385), 1,
      sym_extended_module_path,
    STATE(19836), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10425), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433314] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11270), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11272), 1,
      anon_sym_GT,
    STATE(8912), 1,
      sym_attribute,
    STATE(13350), 1,
      sym__simple_type,
    STATE(15259), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433386] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11274), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11276), 1,
      anon_sym_GT,
    STATE(8913), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433458] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11278), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11280), 1,
      anon_sym_GT,
    STATE(8914), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433530] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8078), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11284), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11282), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [433614] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11288), 1,
      anon_sym_GT,
    STATE(8917), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433686] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11290), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11292), 1,
      anon_sym_GT,
    STATE(8918), 1,
      sym_attribute,
    STATE(13365), 1,
      sym__simple_type,
    STATE(16271), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433758] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11294), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11296), 1,
      anon_sym_GT,
    STATE(8919), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433830] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11298), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11300), 1,
      anon_sym_GT,
    STATE(8920), 1,
      sym_attribute,
    STATE(13305), 1,
      sym__simple_type,
    STATE(15058), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433902] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11082), 1,
      sym__lowercase_identifier,
    ACTIONS(11084), 1,
      anon_sym_LPAREN,
    ACTIONS(11086), 1,
      anon_sym_LBRACK,
    ACTIONS(11088), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11090), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11092), 1,
      anon_sym_LT,
    ACTIONS(11094), 1,
      anon_sym_POUND,
    ACTIONS(11096), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11098), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11100), 1,
      aux_sym_type_variable_token1,
    STATE(8921), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(13092), 1,
      sym__simple_type,
    STATE(16438), 1,
      sym_extended_module_path,
    STATE(19400), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13442), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433974] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11302), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11304), 1,
      anon_sym_GT,
    STATE(8922), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7918), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [434088] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8088), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434130] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11082), 1,
      sym__lowercase_identifier,
    ACTIONS(11084), 1,
      anon_sym_LPAREN,
    ACTIONS(11086), 1,
      anon_sym_LBRACK,
    ACTIONS(11088), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11090), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11092), 1,
      anon_sym_LT,
    ACTIONS(11094), 1,
      anon_sym_POUND,
    ACTIONS(11096), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11098), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11100), 1,
      aux_sym_type_variable_token1,
    STATE(8925), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(13111), 1,
      sym__simple_type,
    STATE(16438), 1,
      sym_extended_module_path,
    STATE(19401), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13442), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434202] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11306), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11308), 1,
      anon_sym_GT,
    STATE(8926), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434274] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11310), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11312), 1,
      anon_sym_GT,
    STATE(8927), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434346] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(11130), 1,
      sym__lowercase_identifier,
    STATE(8928), 1,
      sym_attribute,
    STATE(9869), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10726), 1,
      sym__constructor_argument,
    STATE(16479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434418] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7765), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434460] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(11130), 1,
      sym__lowercase_identifier,
    STATE(8930), 1,
      sym_attribute,
    STATE(9869), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10727), 1,
      sym__constructor_argument,
    STATE(16479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434532] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11314), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11316), 1,
      anon_sym_GT,
    STATE(8931), 1,
      sym_attribute,
    STATE(13326), 1,
      sym__simple_type,
    STATE(15875), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434604] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10085), 1,
      anon_sym_LT,
    ACTIONS(10087), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10091), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10093), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(8932), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10631), 1,
      sym__simple_type,
    STATE(10726), 1,
      sym__constructor_argument,
    STATE(16608), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7964), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [434718] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11318), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11320), 1,
      anon_sym_GT,
    STATE(8934), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434790] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11322), 1,
      sym__lowercase_identifier,
    ACTIONS(11324), 1,
      anon_sym_POUND,
    STATE(8935), 1,
      sym_attribute,
    STATE(9438), 1,
      sym_type_constructor_path,
    STATE(16943), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10992), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [434842] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10085), 1,
      anon_sym_LT,
    ACTIONS(10087), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10091), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10093), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(8936), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10631), 1,
      sym__simple_type,
    STATE(10727), 1,
      sym__constructor_argument,
    STATE(16608), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434914] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11326), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11328), 1,
      anon_sym_GT,
    STATE(8937), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434986] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(11130), 1,
      sym__lowercase_identifier,
    STATE(8938), 1,
      sym_attribute,
    STATE(9869), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10621), 1,
      sym__constructor_argument,
    STATE(16479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435058] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11062), 1,
      sym__lowercase_identifier,
    ACTIONS(11064), 1,
      anon_sym_LPAREN,
    ACTIONS(11066), 1,
      anon_sym_LBRACK,
    ACTIONS(11068), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11072), 1,
      anon_sym_LT,
    ACTIONS(11074), 1,
      anon_sym_POUND,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11080), 1,
      aux_sym_type_variable_token1,
    STATE(8939), 1,
      sym_attribute,
    STATE(10105), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10727), 1,
      sym__constructor_argument,
    STATE(16385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10425), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435130] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11330), 1,
      sym__lowercase_identifier,
    ACTIONS(11332), 1,
      anon_sym_POUND,
    STATE(8940), 1,
      sym_attribute,
    STATE(9480), 1,
      sym_type_constructor_path,
    STATE(16906), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9800), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(9802), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [435182] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(11340), 1,
      anon_sym_DOT,
    STATE(8941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11336), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11334), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [435228] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11062), 1,
      sym__lowercase_identifier,
    ACTIONS(11064), 1,
      anon_sym_LPAREN,
    ACTIONS(11066), 1,
      anon_sym_LBRACK,
    ACTIONS(11068), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11072), 1,
      anon_sym_LT,
    ACTIONS(11074), 1,
      anon_sym_POUND,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11080), 1,
      aux_sym_type_variable_token1,
    STATE(8942), 1,
      sym_attribute,
    STATE(9929), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16385), 1,
      sym_extended_module_path,
    STATE(17538), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10425), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435300] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(8943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8206), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435344] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(11130), 1,
      sym__lowercase_identifier,
    STATE(8944), 1,
      sym_attribute,
    STATE(9449), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16479), 1,
      sym_extended_module_path,
    STATE(18857), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435416] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(11130), 1,
      sym__lowercase_identifier,
    STATE(8945), 1,
      sym_attribute,
    STATE(9452), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16479), 1,
      sym_extended_module_path,
    STATE(18858), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435488] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(11130), 1,
      sym__lowercase_identifier,
    STATE(8946), 1,
      sym_attribute,
    STATE(9462), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16479), 1,
      sym_extended_module_path,
    STATE(18866), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11342), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [435602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11348), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11346), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [435644] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11330), 1,
      sym__lowercase_identifier,
    ACTIONS(11332), 1,
      anon_sym_POUND,
    STATE(8949), 1,
      sym_attribute,
    STATE(9480), 1,
      sym_type_constructor_path,
    STATE(16906), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10986), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [435696] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11082), 1,
      sym__lowercase_identifier,
    ACTIONS(11084), 1,
      anon_sym_LPAREN,
    ACTIONS(11086), 1,
      anon_sym_LBRACK,
    ACTIONS(11088), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11090), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11092), 1,
      anon_sym_LT,
    ACTIONS(11094), 1,
      anon_sym_POUND,
    ACTIONS(11096), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11098), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11100), 1,
      aux_sym_type_variable_token1,
    STATE(8950), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(13072), 1,
      sym__simple_type,
    STATE(16438), 1,
      sym_extended_module_path,
    STATE(19413), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13442), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435768] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7789), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435810] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11350), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11352), 1,
      anon_sym_GT,
    STATE(8952), 1,
      sym_attribute,
    STATE(13355), 1,
      sym__simple_type,
    STATE(15897), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435882] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8120), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8110), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [435966] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11354), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11356), 1,
      anon_sym_GT,
    STATE(8955), 1,
      sym_attribute,
    STATE(13367), 1,
      sym__simple_type,
    STATE(16057), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11358), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [436080] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11362), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11364), 1,
      anon_sym_GT,
    STATE(8957), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436152] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11366), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11368), 1,
      anon_sym_GT,
    STATE(8958), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11370), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [436266] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11374), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11376), 1,
      anon_sym_GT,
    STATE(8960), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436338] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9888), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(8961), 1,
      sym_attribute,
    STATE(9972), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10726), 1,
      sym__constructor_argument,
    STATE(16712), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10440), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436410] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11046), 1,
      sym__lowercase_identifier,
    ACTIONS(11048), 1,
      anon_sym_LPAREN,
    ACTIONS(11050), 1,
      anon_sym_LBRACK,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11054), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11056), 1,
      anon_sym_LT,
    ACTIONS(11058), 1,
      anon_sym_POUND,
    ACTIONS(11060), 1,
      aux_sym_type_variable_token1,
    STATE(8962), 1,
      sym_attribute,
    STATE(9557), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10621), 1,
      sym__constructor_argument,
    STATE(16383), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10114), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436482] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9888), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(8963), 1,
      sym_attribute,
    STATE(9972), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10727), 1,
      sym__constructor_argument,
    STATE(16712), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10440), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436554] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7769), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436596] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11378), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11380), 1,
      anon_sym_GT,
    STATE(8965), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436668] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9888), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(8966), 1,
      sym_attribute,
    STATE(9972), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10621), 1,
      sym__constructor_argument,
    STATE(16712), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10440), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436740] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11330), 1,
      sym__lowercase_identifier,
    ACTIONS(11382), 1,
      anon_sym_POUND,
    STATE(8967), 1,
      sym_attribute,
    STATE(9657), 1,
      sym_type_constructor_path,
    STATE(16906), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10992), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [436792] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11384), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11386), 1,
      anon_sym_GT,
    STATE(8968), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436864] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10085), 1,
      anon_sym_LT,
    ACTIONS(10087), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10091), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10093), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(8969), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10621), 1,
      sym__constructor_argument,
    STATE(10631), 1,
      sym__simple_type,
    STATE(16608), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436936] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11388), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11390), 1,
      anon_sym_GT,
    STATE(8970), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437008] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9888), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(8971), 1,
      sym_attribute,
    STATE(9806), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16712), 1,
      sym_extended_module_path,
    STATE(19140), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10440), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437080] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9888), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(8972), 1,
      sym_attribute,
    STATE(9807), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16712), 1,
      sym_extended_module_path,
    STATE(19141), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10440), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437152] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9888), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(8973), 1,
      sym_attribute,
    STATE(9819), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16712), 1,
      sym_extended_module_path,
    STATE(19144), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10440), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8122), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [437266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11394), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11392), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [437308] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7846), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [437350] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11396), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11398), 1,
      anon_sym_GT,
    STATE(8977), 1,
      sym_attribute,
    STATE(13316), 1,
      sym__simple_type,
    STATE(15532), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437422] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(8978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8206), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [437466] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11400), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11402), 1,
      anon_sym_GT,
    STATE(8979), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437538] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11164), 1,
      sym__lowercase_identifier,
    ACTIONS(11404), 1,
      anon_sym_POUND,
    STATE(8980), 1,
      sym_attribute,
    STATE(9262), 1,
      sym_type_constructor_path,
    STATE(16845), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9800), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(9802), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [437590] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11406), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11408), 1,
      anon_sym_GT,
    STATE(8981), 1,
      sym_attribute,
    STATE(13337), 1,
      sym__simple_type,
    STATE(15182), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437662] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11410), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11412), 1,
      anon_sym_GT,
    STATE(8982), 1,
      sym_attribute,
    STATE(13323), 1,
      sym__simple_type,
    STATE(15145), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11414), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [437776] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11420), 1,
      anon_sym_GT,
    STATE(8984), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11370), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [437890] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11422), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11424), 1,
      anon_sym_GT,
    STATE(8986), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11262), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [438004] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(8988), 1,
      sym_attribute,
    STATE(9717), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10726), 1,
      sym__constructor_argument,
    STATE(16581), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438076] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7966), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [438118] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11170), 1,
      sym__lowercase_identifier,
    ACTIONS(11426), 1,
      anon_sym_POUND,
    STATE(8990), 1,
      sym_attribute,
    STATE(9267), 1,
      sym_type_constructor_path,
    STATE(16583), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9800), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(9802), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [438170] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8144), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [438212] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10008), 1,
      anon_sym_LT,
    ACTIONS(10010), 1,
      anon_sym_POUND,
    ACTIONS(10012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10016), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11168), 1,
      sym__lowercase_identifier,
    STATE(8992), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10565), 1,
      sym__simple_type,
    STATE(10726), 1,
      sym__constructor_argument,
    STATE(16517), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438284] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(8993), 1,
      sym_attribute,
    STATE(9717), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10727), 1,
      sym__constructor_argument,
    STATE(16581), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438356] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11428), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11430), 1,
      anon_sym_GT,
    STATE(8994), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11342), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [438470] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10085), 1,
      anon_sym_LT,
    ACTIONS(10087), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10091), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10093), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(8996), 1,
      sym_attribute,
    STATE(10221), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16608), 1,
      sym_extended_module_path,
    STATE(18060), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11432), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [438584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11436), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [438626] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10085), 1,
      anon_sym_LT,
    ACTIONS(10087), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10091), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10093), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(8999), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10408), 1,
      sym__simple_type,
    STATE(16608), 1,
      sym_extended_module_path,
    STATE(18085), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438698] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(9000), 1,
      sym_attribute,
    STATE(9717), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10621), 1,
      sym__constructor_argument,
    STATE(16581), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438770] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8112), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [438812] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8124), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [438854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11440), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [438896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9002), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [438938] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(9005), 1,
      sym_attribute,
    STATE(9409), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16581), 1,
      sym_extended_module_path,
    STATE(19445), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439010] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(9006), 1,
      sym_attribute,
    STATE(9410), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16581), 1,
      sym_extended_module_path,
    STATE(19451), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439082] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(9007), 1,
      sym_attribute,
    STATE(9420), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16581), 1,
      sym_extended_module_path,
    STATE(19457), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439154] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7852), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [439196] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8202), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [439238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11218), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [439280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11222), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [439322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11234), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [439364] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8212), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [439406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11242), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [439448] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11164), 1,
      sym__lowercase_identifier,
    ACTIONS(11404), 1,
      anon_sym_POUND,
    STATE(9015), 1,
      sym_attribute,
    STATE(9262), 1,
      sym_type_constructor_path,
    STATE(16845), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10986), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [439500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9080), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [439542] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8220), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [439584] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10085), 1,
      anon_sym_LT,
    ACTIONS(10087), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10091), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10093), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(9018), 1,
      sym_attribute,
    STATE(10210), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16608), 1,
      sym_extended_module_path,
    STATE(18165), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439656] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11444), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11446), 1,
      anon_sym_GT,
    STATE(9019), 1,
      sym_attribute,
    STATE(13298), 1,
      sym__simple_type,
    STATE(15379), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439728] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8230), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [439770] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8234), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [439812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11432), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [439854] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8238), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [439896] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11448), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11450), 1,
      anon_sym_GT,
    STATE(9024), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439968] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8096), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [440010] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10008), 1,
      anon_sym_LT,
    ACTIONS(10010), 1,
      anon_sym_POUND,
    ACTIONS(10012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10016), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11168), 1,
      sym__lowercase_identifier,
    STATE(9026), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10565), 1,
      sym__simple_type,
    STATE(10727), 1,
      sym__constructor_argument,
    STATE(16517), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440082] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11452), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11454), 1,
      anon_sym_GT,
    STATE(9027), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440154] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11046), 1,
      sym__lowercase_identifier,
    ACTIONS(11048), 1,
      anon_sym_LPAREN,
    ACTIONS(11050), 1,
      anon_sym_LBRACK,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11054), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11056), 1,
      anon_sym_LT,
    ACTIONS(11058), 1,
      anon_sym_POUND,
    ACTIONS(11060), 1,
      aux_sym_type_variable_token1,
    STATE(9028), 1,
      sym_attribute,
    STATE(9249), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16383), 1,
      sym_extended_module_path,
    STATE(17997), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10114), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440226] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11456), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11458), 1,
      anon_sym_GT,
    STATE(9029), 1,
      sym_attribute,
    STATE(13360), 1,
      sym__simple_type,
    STATE(16074), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440298] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11460), 1,
      anon_sym_DOT,
    ACTIONS(11462), 1,
      anon_sym_POUND,
    ACTIONS(11464), 1,
      sym_hash_operator,
    STATE(9030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8100), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [440346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7918), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [440388] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7651), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10446), 1,
      anon_sym_external,
    ACTIONS(10864), 1,
      anon_sym_type,
    ACTIONS(10866), 1,
      anon_sym_exception,
    ACTIONS(10868), 1,
      anon_sym_module,
    ACTIONS(10870), 1,
      anon_sym_open,
    ACTIONS(10872), 1,
      anon_sym_include,
    ACTIONS(10874), 1,
      anon_sym_class,
    ACTIONS(10876), 1,
      anon_sym_val,
    STATE(9032), 1,
      sym_attribute,
    STATE(12513), 1,
      aux_sym__structure_repeat1,
    STATE(12679), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12692), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [440456] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11046), 1,
      sym__lowercase_identifier,
    ACTIONS(11048), 1,
      anon_sym_LPAREN,
    ACTIONS(11050), 1,
      anon_sym_LBRACK,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11054), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11056), 1,
      anon_sym_LT,
    ACTIONS(11058), 1,
      anon_sym_POUND,
    ACTIONS(11060), 1,
      aux_sym_type_variable_token1,
    STATE(9033), 1,
      sym_attribute,
    STATE(9261), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16383), 1,
      sym_extended_module_path,
    STATE(17998), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10114), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440528] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11466), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11468), 1,
      anon_sym_GT,
    STATE(9034), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440600] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11170), 1,
      sym__lowercase_identifier,
    ACTIONS(11426), 1,
      anon_sym_POUND,
    STATE(9035), 1,
      sym_attribute,
    STATE(9267), 1,
      sym_type_constructor_path,
    STATE(16583), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10986), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [440652] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11470), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11472), 1,
      anon_sym_GT,
    STATE(9036), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11348), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11346), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [440766] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11474), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11476), 1,
      anon_sym_GT,
    STATE(9038), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440838] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11478), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11480), 1,
      anon_sym_GT,
    STATE(9039), 1,
      sym_attribute,
    STATE(13339), 1,
      sym__simple_type,
    STATE(15507), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11358), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [440952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11414), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [440994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11440), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [441036] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8248), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [441078] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11482), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11484), 1,
      anon_sym_GT,
    STATE(9044), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441150] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7743), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [441192] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11486), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11488), 1,
      anon_sym_GT,
    STATE(9046), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441264] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10008), 1,
      anon_sym_LT,
    ACTIONS(10010), 1,
      anon_sym_POUND,
    ACTIONS(10012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10016), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11168), 1,
      sym__lowercase_identifier,
    STATE(9047), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10271), 1,
      sym__simple_type,
    STATE(16517), 1,
      sym_extended_module_path,
    STATE(20218), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441336] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8256), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [441378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11436), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [441420] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8260), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [441462] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11046), 1,
      sym__lowercase_identifier,
    ACTIONS(11048), 1,
      anon_sym_LPAREN,
    ACTIONS(11050), 1,
      anon_sym_LBRACK,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11054), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11056), 1,
      anon_sym_LT,
    ACTIONS(11058), 1,
      anon_sym_POUND,
    ACTIONS(11060), 1,
      aux_sym_type_variable_token1,
    STATE(9051), 1,
      sym_attribute,
    STATE(9309), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16383), 1,
      sym_extended_module_path,
    STATE(18002), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10114), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441534] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11490), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11492), 1,
      anon_sym_GT,
    STATE(9052), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7964), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [441648] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7920), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [441690] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9778), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9780), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11178), 1,
      sym__lowercase_identifier,
    ACTIONS(11180), 1,
      anon_sym_LPAREN,
    ACTIONS(11182), 1,
      anon_sym_LBRACK,
    ACTIONS(11184), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11186), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11188), 1,
      anon_sym_LT,
    ACTIONS(11190), 1,
      anon_sym_POUND,
    ACTIONS(11192), 1,
      aux_sym_type_variable_token1,
    STATE(9055), 1,
      sym_attribute,
    STATE(9968), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10727), 1,
      sym__constructor_argument,
    STATE(16727), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10756), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11494), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [441804] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11498), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11500), 1,
      anon_sym_GT,
    STATE(9057), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11504), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11502), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [441918] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7779), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [441960] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11170), 1,
      sym__lowercase_identifier,
    ACTIONS(11426), 1,
      anon_sym_POUND,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    STATE(9060), 1,
      sym_attribute,
    STATE(9267), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16583), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11506), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11508), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [442018] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11170), 1,
      sym__lowercase_identifier,
    ACTIONS(11426), 1,
      anon_sym_POUND,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    STATE(9061), 1,
      sym_attribute,
    STATE(9267), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16583), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11516), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [442076] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11518), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11520), 1,
      anon_sym_GT,
    STATE(9062), 1,
      sym_attribute,
    STATE(13363), 1,
      sym__simple_type,
    STATE(16144), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442148] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9778), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9780), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11178), 1,
      sym__lowercase_identifier,
    ACTIONS(11180), 1,
      anon_sym_LPAREN,
    ACTIONS(11182), 1,
      anon_sym_LBRACK,
    ACTIONS(11184), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11186), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11188), 1,
      anon_sym_LT,
    ACTIONS(11190), 1,
      anon_sym_POUND,
    ACTIONS(11192), 1,
      aux_sym_type_variable_token1,
    STATE(9063), 1,
      sym_attribute,
    STATE(9968), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10621), 1,
      sym__constructor_argument,
    STATE(16727), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10756), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442220] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7942), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [442262] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7948), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [442304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11524), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11522), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [442346] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9778), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9780), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11178), 1,
      sym__lowercase_identifier,
    ACTIONS(11180), 1,
      anon_sym_LPAREN,
    ACTIONS(11182), 1,
      anon_sym_LBRACK,
    ACTIONS(11184), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11186), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11188), 1,
      anon_sym_LT,
    ACTIONS(11190), 1,
      anon_sym_POUND,
    ACTIONS(11192), 1,
      aux_sym_type_variable_token1,
    STATE(9067), 1,
      sym_attribute,
    STATE(9715), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16727), 1,
      sym_extended_module_path,
    STATE(19854), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10756), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442418] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9778), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9780), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11178), 1,
      sym__lowercase_identifier,
    ACTIONS(11180), 1,
      anon_sym_LPAREN,
    ACTIONS(11182), 1,
      anon_sym_LBRACK,
    ACTIONS(11184), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11186), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11188), 1,
      anon_sym_LT,
    ACTIONS(11190), 1,
      anon_sym_POUND,
    ACTIONS(11192), 1,
      aux_sym_type_variable_token1,
    STATE(9068), 1,
      sym_attribute,
    STATE(9716), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16727), 1,
      sym_extended_module_path,
    STATE(19864), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10756), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442490] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9778), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9780), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11178), 1,
      sym__lowercase_identifier,
    ACTIONS(11180), 1,
      anon_sym_LPAREN,
    ACTIONS(11182), 1,
      anon_sym_LBRACK,
    ACTIONS(11184), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11186), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11188), 1,
      anon_sym_LT,
    ACTIONS(11190), 1,
      anon_sym_POUND,
    ACTIONS(11192), 1,
      aux_sym_type_variable_token1,
    STATE(9069), 1,
      sym_attribute,
    STATE(9721), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16727), 1,
      sym_extended_module_path,
    STATE(19865), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10756), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442562] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7902), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [442604] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10008), 1,
      anon_sym_LT,
    ACTIONS(10010), 1,
      anon_sym_POUND,
    ACTIONS(10012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10016), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11168), 1,
      sym__lowercase_identifier,
    STATE(9071), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10565), 1,
      sym__simple_type,
    STATE(10621), 1,
      sym__constructor_argument,
    STATE(16517), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11528), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11526), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [442718] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8264), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [442760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11504), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11502), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [442802] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7952), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [442844] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7956), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [442886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11524), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11522), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [442928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11528), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11526), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [442970] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11530), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11532), 1,
      anon_sym_GT,
    STATE(9079), 1,
      sym_attribute,
    STATE(13368), 1,
      sym__simple_type,
    STATE(16290), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11536), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11534), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11538), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11544), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11542), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443168] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11546), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11548), 1,
      anon_sym_GT,
    STATE(9083), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443240] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11164), 1,
      sym__lowercase_identifier,
    ACTIONS(11404), 1,
      anon_sym_POUND,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    STATE(9084), 1,
      sym_attribute,
    STATE(9262), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16845), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11506), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11508), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [443298] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11164), 1,
      sym__lowercase_identifier,
    ACTIONS(11404), 1,
      anon_sym_POUND,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    STATE(9085), 1,
      sym_attribute,
    STATE(9262), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16845), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11516), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [443356] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7960), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [443398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11552), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11550), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443440] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11556), 1,
      anon_sym_GT,
    STATE(9088), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11558), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11536), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11534), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11564), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11562), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443638] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11566), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11568), 1,
      anon_sym_GT,
    STATE(9092), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443710] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11570), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11572), 1,
      anon_sym_GT,
    STATE(9093), 1,
      sym_attribute,
    STATE(13300), 1,
      sym__simple_type,
    STATE(15915), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443782] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11576), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11578), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11574), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [443826] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11582), 1,
      anon_sym_GT,
    STATE(9095), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443898] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11164), 1,
      sym__lowercase_identifier,
    ACTIONS(11404), 1,
      anon_sym_POUND,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    STATE(9096), 1,
      sym_attribute,
    STATE(9262), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16845), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11586), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [443956] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11588), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11590), 1,
      anon_sym_GT,
    STATE(9097), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444028] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11460), 1,
      anon_sym_DOT,
    ACTIONS(11462), 1,
      anon_sym_POUND,
    ACTIONS(11464), 1,
      sym_hash_operator,
    STATE(9098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8108), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [444076] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10749), 1,
      anon_sym_LPAREN,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    STATE(9099), 1,
      sym_attribute,
    STATE(9251), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10726), 1,
      sym__constructor_argument,
    STATE(17370), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444148] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10749), 1,
      anon_sym_LPAREN,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    STATE(9100), 1,
      sym_attribute,
    STATE(9251), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10727), 1,
      sym__constructor_argument,
    STATE(17370), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444220] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11164), 1,
      sym__lowercase_identifier,
    ACTIONS(11404), 1,
      anon_sym_POUND,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    STATE(9101), 1,
      sym_attribute,
    STATE(9262), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16845), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11594), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [444278] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11164), 1,
      sym__lowercase_identifier,
    ACTIONS(11404), 1,
      anon_sym_POUND,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    STATE(9102), 1,
      sym_attribute,
    STATE(9262), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16845), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11598), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [444336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11538), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [444378] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11602), 1,
      anon_sym_GT,
    STATE(9104), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11544), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11542), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [444492] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7968), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7970), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [444534] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7974), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [444576] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11164), 1,
      sym__lowercase_identifier,
    ACTIONS(11404), 1,
      anon_sym_POUND,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    STATE(9108), 1,
      sym_attribute,
    STATE(9262), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16845), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11606), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [444634] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7978), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [444676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11494), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [444718] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7982), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [444760] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11608), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11610), 1,
      anon_sym_GT,
    STATE(9112), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444832] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      sym__lowercase_identifier,
    STATE(9113), 1,
      sym_attribute,
    STATE(9306), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10726), 1,
      sym__constructor_argument,
    STATE(16651), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444904] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      sym__lowercase_identifier,
    STATE(9114), 1,
      sym_attribute,
    STATE(9306), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10727), 1,
      sym__constructor_argument,
    STATE(16651), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444976] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11322), 1,
      sym__lowercase_identifier,
    ACTIONS(11612), 1,
      anon_sym_POUND,
    STATE(9115), 1,
      sym_attribute,
    STATE(9407), 1,
      sym_type_constructor_path,
    STATE(16943), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9800), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(9802), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [445028] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11170), 1,
      sym__lowercase_identifier,
    ACTIONS(11426), 1,
      anon_sym_POUND,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    STATE(9116), 1,
      sym_attribute,
    STATE(9267), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16583), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11586), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [445086] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7986), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11614), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11578), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [445170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9002), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [445212] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8174), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445254] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7990), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445296] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7735), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445338] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7996), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445380] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      sym__lowercase_identifier,
    STATE(9124), 1,
      sym_attribute,
    STATE(9306), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10621), 1,
      sym__constructor_argument,
    STATE(16651), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11552), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11550), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [445494] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11460), 1,
      anon_sym_DOT,
    STATE(9126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8000), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9080), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [445580] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      sym__lowercase_identifier,
    STATE(9101), 1,
      sym__simple_type,
    STATE(9128), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16651), 1,
      sym_extended_module_path,
    STATE(20296), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11558), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [445694] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10749), 1,
      anon_sym_LPAREN,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    STATE(9130), 1,
      sym_attribute,
    STATE(9251), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10621), 1,
      sym__constructor_argument,
    STATE(17370), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445766] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10008), 1,
      anon_sym_LT,
    ACTIONS(10010), 1,
      anon_sym_POUND,
    ACTIONS(10012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10016), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11168), 1,
      sym__lowercase_identifier,
    STATE(9131), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10356), 1,
      sym__simple_type,
    STATE(16517), 1,
      sym_extended_module_path,
    STATE(20159), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445838] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      sym__lowercase_identifier,
    STATE(9102), 1,
      sym__simple_type,
    STATE(9132), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16651), 1,
      sym_extended_module_path,
    STATE(20300), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445910] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      sym__lowercase_identifier,
    STATE(9108), 1,
      sym__simple_type,
    STATE(9133), 1,
      sym_attribute,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16651), 1,
      sym_extended_module_path,
    STATE(20301), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11564), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11562), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [446024] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10749), 1,
      anon_sym_LPAREN,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    STATE(9135), 1,
      sym_attribute,
    STATE(9179), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(17370), 1,
      sym_extended_module_path,
    STATE(17494), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446096] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10749), 1,
      anon_sym_LPAREN,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    STATE(9136), 1,
      sym_attribute,
    STATE(9182), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(17370), 1,
      sym_extended_module_path,
    STATE(17495), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11214), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [446210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10902), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10904), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [446252] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10749), 1,
      anon_sym_LPAREN,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    STATE(9139), 1,
      sym_attribute,
    STATE(9197), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(17370), 1,
      sym_extended_module_path,
    STATE(17499), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446324] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8004), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [446366] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11082), 1,
      sym__lowercase_identifier,
    ACTIONS(11084), 1,
      anon_sym_LPAREN,
    ACTIONS(11086), 1,
      anon_sym_LBRACK,
    ACTIONS(11088), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11090), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11092), 1,
      anon_sym_LT,
    ACTIONS(11094), 1,
      anon_sym_POUND,
    ACTIONS(11096), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11098), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11100), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11232), 1,
      anon_sym_LBRACE,
    STATE(9141), 1,
      sym_attribute,
    STATE(13191), 1,
      sym__simple_type,
    STATE(16438), 1,
      sym_extended_module_path,
    STATE(17376), 1,
      sym__constructor_argument,
    STATE(17377), 1,
      sym_record_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13442), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446438] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8008), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [446480] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8012), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [446522] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8016), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [446564] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8020), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [446606] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11616), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11618), 1,
      anon_sym_GT,
    STATE(9146), 1,
      sym_attribute,
    STATE(13310), 1,
      sym__simple_type,
    STATE(16296), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446678] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8024), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [446720] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10008), 1,
      anon_sym_LT,
    ACTIONS(10010), 1,
      anon_sym_POUND,
    ACTIONS(10012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10016), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11168), 1,
      sym__lowercase_identifier,
    STATE(9148), 1,
      sym_attribute,
    STATE(10243), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16517), 1,
      sym_extended_module_path,
    STATE(20161), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446792] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11620), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11622), 1,
      anon_sym_GT,
    STATE(9149), 1,
      sym_attribute,
    STATE(13330), 1,
      sym__simple_type,
    STATE(15934), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446864] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8028), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [446906] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8032), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [446948] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11626), 1,
      anon_sym_GT,
    STATE(9152), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447020] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11628), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11630), 1,
      anon_sym_GT,
    STATE(9153), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447092] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11632), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11634), 1,
      anon_sym_GT,
    STATE(9154), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447164] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8036), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [447206] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8040), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [447248] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8044), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [447290] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11322), 1,
      sym__lowercase_identifier,
    ACTIONS(11612), 1,
      anon_sym_POUND,
    STATE(9158), 1,
      sym_attribute,
    STATE(9407), 1,
      sym_type_constructor_path,
    STATE(16943), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10986), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [447342] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9788), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11198), 1,
      sym__lowercase_identifier,
    ACTIONS(11200), 1,
      anon_sym_LPAREN,
    ACTIONS(11202), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11206), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11208), 1,
      anon_sym_LT,
    ACTIONS(11210), 1,
      anon_sym_POUND,
    ACTIONS(11212), 1,
      aux_sym_type_variable_token1,
    STATE(9159), 1,
      sym_attribute,
    STATE(9638), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10726), 1,
      sym__constructor_argument,
    STATE(16758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10124), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447414] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8048), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [447456] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7651), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10446), 1,
      anon_sym_external,
    ACTIONS(10870), 1,
      anon_sym_open,
    ACTIONS(11014), 1,
      anon_sym_type,
    ACTIONS(11016), 1,
      anon_sym_exception,
    ACTIONS(11018), 1,
      anon_sym_module,
    ACTIONS(11020), 1,
      anon_sym_include,
    ACTIONS(11022), 1,
      anon_sym_class,
    ACTIONS(11024), 1,
      anon_sym_val,
    STATE(9161), 1,
      sym_attribute,
    STATE(12513), 1,
      aux_sym__structure_repeat1,
    STATE(12679), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12692), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [447524] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8116), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [447566] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9788), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11198), 1,
      sym__lowercase_identifier,
    ACTIONS(11200), 1,
      anon_sym_LPAREN,
    ACTIONS(11202), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11206), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11208), 1,
      anon_sym_LT,
    ACTIONS(11210), 1,
      anon_sym_POUND,
    ACTIONS(11212), 1,
      aux_sym_type_variable_token1,
    STATE(9163), 1,
      sym_attribute,
    STATE(9638), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10727), 1,
      sym__constructor_argument,
    STATE(16758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10124), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447638] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8052), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [447680] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11062), 1,
      sym__lowercase_identifier,
    ACTIONS(11064), 1,
      anon_sym_LPAREN,
    ACTIONS(11066), 1,
      anon_sym_LBRACK,
    ACTIONS(11068), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11072), 1,
      anon_sym_LT,
    ACTIONS(11074), 1,
      anon_sym_POUND,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11080), 1,
      aux_sym_type_variable_token1,
    STATE(9165), 1,
      sym_attribute,
    STATE(10105), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10621), 1,
      sym__constructor_argument,
    STATE(16385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10425), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447752] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9788), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11198), 1,
      sym__lowercase_identifier,
    ACTIONS(11200), 1,
      anon_sym_LPAREN,
    ACTIONS(11202), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11206), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11208), 1,
      anon_sym_LT,
    ACTIONS(11210), 1,
      anon_sym_POUND,
    ACTIONS(11212), 1,
      aux_sym_type_variable_token1,
    STATE(9166), 1,
      sym_attribute,
    STATE(9638), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10621), 1,
      sym__constructor_argument,
    STATE(16758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10124), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447824] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11636), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11638), 1,
      anon_sym_GT,
    STATE(9167), 1,
      sym_attribute,
    STATE(13318), 1,
      sym__simple_type,
    STATE(16291), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447896] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11082), 1,
      sym__lowercase_identifier,
    ACTIONS(11084), 1,
      anon_sym_LPAREN,
    ACTIONS(11086), 1,
      anon_sym_LBRACK,
    ACTIONS(11088), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11090), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11092), 1,
      anon_sym_LT,
    ACTIONS(11094), 1,
      anon_sym_POUND,
    ACTIONS(11096), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11098), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11100), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11232), 1,
      anon_sym_LBRACE,
    STATE(9168), 1,
      sym_attribute,
    STATE(13191), 1,
      sym__simple_type,
    STATE(16438), 1,
      sym_extended_module_path,
    STATE(17377), 1,
      sym_record_declaration,
    STATE(17383), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13442), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447968] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11640), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11642), 1,
      anon_sym_GT,
    STATE(9169), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11284), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11282), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [448082] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9788), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11198), 1,
      sym__lowercase_identifier,
    ACTIONS(11200), 1,
      anon_sym_LPAREN,
    ACTIONS(11202), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11206), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11208), 1,
      anon_sym_LT,
    ACTIONS(11210), 1,
      anon_sym_POUND,
    ACTIONS(11212), 1,
      aux_sym_type_variable_token1,
    STATE(9171), 1,
      sym_attribute,
    STATE(9325), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16758), 1,
      sym_extended_module_path,
    STATE(17514), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10124), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448154] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9788), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11198), 1,
      sym__lowercase_identifier,
    ACTIONS(11200), 1,
      anon_sym_LPAREN,
    ACTIONS(11202), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11206), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11208), 1,
      anon_sym_LT,
    ACTIONS(11210), 1,
      anon_sym_POUND,
    ACTIONS(11212), 1,
      aux_sym_type_variable_token1,
    STATE(9172), 1,
      sym_attribute,
    STATE(9326), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16758), 1,
      sym_extended_module_path,
    STATE(17515), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10124), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448226] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9788), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11198), 1,
      sym__lowercase_identifier,
    ACTIONS(11200), 1,
      anon_sym_LPAREN,
    ACTIONS(11202), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11206), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11208), 1,
      anon_sym_LT,
    ACTIONS(11210), 1,
      anon_sym_POUND,
    ACTIONS(11212), 1,
      aux_sym_type_variable_token1,
    STATE(9173), 1,
      sym_attribute,
    STATE(9333), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(16758), 1,
      sym_extended_module_path,
    STATE(17516), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10124), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448298] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8130), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [448340] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8056), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [448382] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11250), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11646), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11644), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [448426] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8060), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [448468] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7749), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7751), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [448510] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11170), 1,
      sym__lowercase_identifier,
    ACTIONS(11426), 1,
      anon_sym_POUND,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    STATE(9179), 1,
      sym_attribute,
    STATE(9267), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16583), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11594), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [448568] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8070), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [448610] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8140), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [448652] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11170), 1,
      sym__lowercase_identifier,
    ACTIONS(11426), 1,
      anon_sym_POUND,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    STATE(9182), 1,
      sym_attribute,
    STATE(9267), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16583), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11598), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [448710] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(11062), 1,
      sym__lowercase_identifier,
    ACTIONS(11064), 1,
      anon_sym_LPAREN,
    ACTIONS(11066), 1,
      anon_sym_LBRACK,
    ACTIONS(11068), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11072), 1,
      anon_sym_LT,
    ACTIONS(11074), 1,
      anon_sym_POUND,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11080), 1,
      aux_sym_type_variable_token1,
    STATE(9183), 1,
      sym_attribute,
    STATE(10105), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10726), 1,
      sym__constructor_argument,
    STATE(16385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10425), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448782] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11648), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11650), 1,
      anon_sym_GT,
    STATE(9184), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448854] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8150), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [448896] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7755), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [448938] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11652), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11654), 1,
      anon_sym_GT,
    STATE(9187), 1,
      sym_attribute,
    STATE(13332), 1,
      sym__simple_type,
    STATE(15065), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449010] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8156), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449052] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8160), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449094] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8164), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449136] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11656), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11658), 1,
      anon_sym_GT,
    STATE(9191), 1,
      sym_attribute,
    STATE(13348), 1,
      sym__simple_type,
    STATE(15232), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449208] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7759), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449250] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11662), 1,
      anon_sym_GT,
    STATE(9193), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449322] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8066), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449364] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11664), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11666), 1,
      anon_sym_GT,
    STATE(9195), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449436] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(11668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11670), 1,
      anon_sym_GT,
    STATE(9196), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449508] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11170), 1,
      sym__lowercase_identifier,
    ACTIONS(11426), 1,
      anon_sym_POUND,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    STATE(9197), 1,
      sym_attribute,
    STATE(9267), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16583), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11606), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [449566] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9216), 1,
      anon_sym_LBRACE,
    ACTIONS(9778), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9780), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11178), 1,
      sym__lowercase_identifier,
    ACTIONS(11180), 1,
      anon_sym_LPAREN,
    ACTIONS(11182), 1,
      anon_sym_LBRACK,
    ACTIONS(11184), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11186), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11188), 1,
      anon_sym_LT,
    ACTIONS(11190), 1,
      anon_sym_POUND,
    ACTIONS(11192), 1,
      aux_sym_type_variable_token1,
    STATE(9198), 1,
      sym_attribute,
    STATE(9968), 1,
      sym__simple_type,
    STATE(10261), 1,
      sym_record_declaration,
    STATE(10726), 1,
      sym__constructor_argument,
    STATE(16727), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10756), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449638] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11672), 1,
      sym__lowercase_identifier,
    ACTIONS(11674), 1,
      anon_sym_POUND,
    STATE(9199), 1,
      sym_attribute,
    STATE(10143), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11516), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [449695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8122), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11348), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11346), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11358), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11414), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449859] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11676), 1,
      sym_pow_operator,
    STATE(2256), 1,
      sym_add_operator,
    STATE(9204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [449904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11440), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449945] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11156), 1,
      anon_sym_COLON2,
    STATE(9206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9002), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [449988] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11682), 1,
      anon_sym_LPAREN,
    STATE(9872), 1,
      sym_module_parameter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9207), 2,
      sym_attribute,
      aux_sym_module_binding_repeat1,
    ACTIONS(11680), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11678), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [450033] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11676), 1,
      sym_pow_operator,
    ACTIONS(11685), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11687), 1,
      sym_mult_operator,
    ACTIONS(11689), 1,
      sym_concat_operator,
    STATE(2256), 1,
      sym_add_operator,
    STATE(9208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [450086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [450127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11262), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9002), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450209] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(9212), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17455), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11342), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5549), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(5547), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [450360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11242), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450401] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(9216), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16615), 1,
      sym__tuple_type,
    STATE(16860), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450470] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11676), 1,
      sym_pow_operator,
    ACTIONS(11685), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11687), 1,
      sym_mult_operator,
    ACTIONS(11689), 1,
      sym_concat_operator,
    STATE(2256), 1,
      sym_add_operator,
    STATE(9217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [450523] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8226), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [450564] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11676), 1,
      sym_pow_operator,
    ACTIONS(11685), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11687), 1,
      sym_mult_operator,
    ACTIONS(11689), 1,
      sym_concat_operator,
    ACTIONS(11693), 1,
      sym_rel_operator,
    ACTIONS(11695), 1,
      sym_and_operator,
    STATE(2256), 1,
      sym_add_operator,
    STATE(9219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10115), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [450621] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11156), 1,
      anon_sym_COLON2,
    STATE(9220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9002), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [450664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8252), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [450705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8110), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450746] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(11697), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11699), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(9223), 1,
      sym_attribute,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10998), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11134), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [450801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10902), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10904), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [450842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8122), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450883] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11701), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11372), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11370), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11705), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11703), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [450967] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(11697), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11699), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(9228), 1,
      sym_attribute,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10934), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11122), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [451022] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11707), 1,
      sym__lowercase_identifier,
    ACTIONS(11709), 1,
      anon_sym_POUND,
    STATE(9229), 1,
      sym_attribute,
    STATE(9733), 1,
      sym_type_constructor_path,
    STATE(16795), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10992), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [451073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11214), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451114] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11711), 1,
      anon_sym_COLON2,
    STATE(9231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9002), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451157] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(11697), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11699), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(9232), 1,
      sym_attribute,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10800), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11174), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [451212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11214), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7920), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [451294] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11676), 1,
      sym_pow_operator,
    ACTIONS(11685), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11687), 1,
      sym_mult_operator,
    ACTIONS(11689), 1,
      sym_concat_operator,
    ACTIONS(11693), 1,
      sym_rel_operator,
    ACTIONS(11695), 1,
      sym_and_operator,
    ACTIONS(11713), 1,
      sym_or_operator,
    STATE(2256), 1,
      sym_add_operator,
    STATE(9235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [451353] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8244), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [451394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7964), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451435] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9004), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11717), 1,
      anon_sym_let,
    ACTIONS(11719), 1,
      anon_sym_EQ,
    ACTIONS(11721), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11723), 1,
      anon_sym_constraint,
    STATE(9238), 1,
      sym_attribute,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10053), 1,
      sym__type_equation,
    STATE(10335), 1,
      aux_sym_type_binding_repeat1,
    STATE(10668), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11715), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [451496] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11725), 1,
      anon_sym_PIPE,
    STATE(9239), 1,
      sym_attribute,
    STATE(9260), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [451541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9080), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10902), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10904), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [451623] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9004), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11729), 1,
      anon_sym_let,
    ACTIONS(11731), 1,
      anon_sym_EQ,
    ACTIONS(11733), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11735), 1,
      anon_sym_constraint,
    STATE(9242), 1,
      sym_attribute,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10093), 1,
      sym__type_equation,
    STATE(10262), 1,
      aux_sym_type_binding_repeat1,
    STATE(10570), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11727), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [451684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11432), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451725] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11676), 1,
      sym_pow_operator,
    ACTIONS(11685), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11687), 1,
      sym_mult_operator,
    ACTIONS(11689), 1,
      sym_concat_operator,
    ACTIONS(11693), 1,
      sym_rel_operator,
    ACTIONS(11695), 1,
      sym_and_operator,
    ACTIONS(11713), 1,
      sym_or_operator,
    ACTIONS(11737), 1,
      anon_sym_COMMA,
    ACTIONS(11739), 1,
      sym_assign_operator,
    STATE(2256), 1,
      sym_add_operator,
    STATE(9244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [451788] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(9245), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16634), 1,
      sym__tuple_type,
    STATE(16860), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [451898] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(9247), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16646), 1,
      sym__tuple_type,
    STATE(16860), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9002), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452008] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11741), 1,
      sym__lowercase_identifier,
    ACTIONS(11743), 1,
      anon_sym_POUND,
    STATE(9249), 1,
      sym_attribute,
    STATE(10123), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16828), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11594), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [452065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11370), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452106] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11170), 1,
      sym__lowercase_identifier,
    ACTIONS(11426), 1,
      anon_sym_POUND,
    ACTIONS(11747), 1,
      anon_sym_STAR,
    STATE(9251), 1,
      sym_attribute,
    STATE(9267), 1,
      sym_type_constructor_path,
    STATE(10490), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16583), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11510), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11745), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [452161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11262), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452202] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11725), 1,
      anon_sym_PIPE,
    STATE(9253), 1,
      sym_attribute,
    STATE(9264), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [452247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11342), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11552), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11550), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452329] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(9256), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16757), 1,
      sym__tuple_type,
    STATE(16860), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11432), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452439] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11676), 1,
      sym_pow_operator,
    ACTIONS(11685), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11687), 1,
      sym_mult_operator,
    ACTIONS(11689), 1,
      sym_concat_operator,
    ACTIONS(11693), 1,
      sym_rel_operator,
    ACTIONS(11695), 1,
      sym_and_operator,
    ACTIONS(11713), 1,
      sym_or_operator,
    STATE(2256), 1,
      sym_add_operator,
    STATE(9258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10211), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [452498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8256), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [452539] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11725), 1,
      anon_sym_PIPE,
    STATE(9260), 1,
      sym_attribute,
    STATE(9265), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [452584] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11741), 1,
      sym__lowercase_identifier,
    ACTIONS(11743), 1,
      anon_sym_POUND,
    STATE(9261), 1,
      sym_attribute,
    STATE(10123), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16828), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11598), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [452641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11436), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452682] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9004), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11721), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11723), 1,
      anon_sym_constraint,
    ACTIONS(11729), 1,
      anon_sym_let,
    ACTIONS(11749), 1,
      anon_sym_EQ,
    STATE(9263), 1,
      sym_attribute,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10050), 1,
      sym__type_equation,
    STATE(10311), 1,
      aux_sym_type_binding_repeat1,
    STATE(10570), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11727), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [452743] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11725), 1,
      anon_sym_PIPE,
    STATE(9264), 1,
      sym_attribute,
    STATE(9265), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [452788] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11751), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9265), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [452831] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11711), 1,
      anon_sym_COLON2,
    STATE(9266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9002), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11436), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452915] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11578), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(8206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [452958] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6859), 1,
      anon_sym_object,
    ACTIONS(8466), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8468), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11754), 1,
      sym__lowercase_identifier,
    ACTIONS(11756), 1,
      anon_sym_let,
    ACTIONS(11758), 1,
      anon_sym_LPAREN,
    ACTIONS(11760), 1,
      anon_sym_BANG,
    ACTIONS(11762), 1,
      anon_sym_LBRACK,
    ACTIONS(11764), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9269), 1,
      sym_attribute,
    STATE(12735), 1,
      sym__class_expression,
    STATE(18079), 1,
      sym_value_definition,
    STATE(18619), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8292), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [453029] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11766), 1,
      sym__lowercase_identifier,
    ACTIONS(11768), 1,
      anon_sym_POUND,
    STATE(9270), 1,
      sym_attribute,
    STATE(9875), 1,
      sym_type_constructor_path,
    STATE(16715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10992), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [453080] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(9271), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17238), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11494), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11348), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11346), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11358), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11414), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11772), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11770), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [453354] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11676), 1,
      sym_pow_operator,
    ACTIONS(11685), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11687), 1,
      sym_mult_operator,
    STATE(2256), 1,
      sym_add_operator,
    STATE(9277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10103), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [453405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11440), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453446] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11676), 1,
      sym_pow_operator,
    STATE(2256), 1,
      sym_add_operator,
    STATE(9279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [453491] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(9280), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16860), 1,
      sym_extended_module_path,
    STATE(17246), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453560] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11774), 1,
      anon_sym_else,
    STATE(8131), 1,
      sym_else_clause,
    STATE(9281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [453605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9080), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453646] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11741), 1,
      sym__lowercase_identifier,
    ACTIONS(11743), 1,
      anon_sym_POUND,
    STATE(9283), 1,
      sym_attribute,
    STATE(10123), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16828), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11586), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [453703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11504), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11502), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11524), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11522), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11528), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11526), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453826] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11676), 1,
      sym_pow_operator,
    ACTIONS(11687), 1,
      sym_mult_operator,
    STATE(2256), 1,
      sym_add_operator,
    STATE(9287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [453873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11536), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11534), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453914] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2256), 1,
      sym_add_operator,
    STATE(9289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [453957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11538), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453998] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11676), 1,
      sym_pow_operator,
    ACTIONS(11685), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11687), 1,
      sym_mult_operator,
    ACTIONS(11689), 1,
      sym_concat_operator,
    ACTIONS(11693), 1,
      sym_rel_operator,
    ACTIONS(11695), 1,
      sym_and_operator,
    ACTIONS(11713), 1,
      sym_or_operator,
    ACTIONS(11737), 1,
      anon_sym_COMMA,
    ACTIONS(11739), 1,
      sym_assign_operator,
    STATE(2256), 1,
      sym_add_operator,
    STATE(9291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10133), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [454061] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(7936), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [454102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11218), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454143] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11676), 1,
      sym_pow_operator,
    ACTIONS(11685), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11687), 1,
      sym_mult_operator,
    ACTIONS(11689), 1,
      sym_concat_operator,
    ACTIONS(11693), 1,
      sym_rel_operator,
    ACTIONS(11695), 1,
      sym_and_operator,
    ACTIONS(11713), 1,
      sym_or_operator,
    ACTIONS(11737), 1,
      anon_sym_COMMA,
    ACTIONS(11739), 1,
      sym_assign_operator,
    STATE(2256), 1,
      sym_add_operator,
    STATE(9294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10143), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [454206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8230), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [454247] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11776), 1,
      anon_sym_else,
    STATE(8127), 1,
      sym_else_clause,
    STATE(9296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [454292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11284), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11282), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11222), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11234), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11544), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11542), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454456] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11774), 1,
      anon_sym_else,
    STATE(8127), 1,
      sym_else_clause,
    STATE(9301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [454501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7918), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11242), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454583] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11741), 1,
      sym__lowercase_identifier,
    ACTIONS(11743), 1,
      anon_sym_POUND,
    STATE(9304), 1,
      sym_attribute,
    STATE(10123), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16828), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11506), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11508), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [454640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7918), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454681] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11164), 1,
      sym__lowercase_identifier,
    ACTIONS(11404), 1,
      anon_sym_POUND,
    ACTIONS(11778), 1,
      anon_sym_STAR,
    STATE(9262), 1,
      sym_type_constructor_path,
    STATE(9306), 1,
      sym_attribute,
    STATE(10563), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16845), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11510), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11745), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [454736] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11741), 1,
      sym__lowercase_identifier,
    ACTIONS(11743), 1,
      anon_sym_POUND,
    STATE(9307), 1,
      sym_attribute,
    STATE(10123), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16828), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11516), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [454793] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11676), 1,
      sym_pow_operator,
    ACTIONS(11685), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11687), 1,
      sym_mult_operator,
    ACTIONS(11689), 1,
      sym_concat_operator,
    ACTIONS(11693), 1,
      sym_rel_operator,
    ACTIONS(11695), 1,
      sym_and_operator,
    ACTIONS(11713), 1,
      sym_or_operator,
    ACTIONS(11737), 1,
      anon_sym_COMMA,
    ACTIONS(11739), 1,
      sym_assign_operator,
    ACTIONS(11780), 1,
      anon_sym_SEMI,
    STATE(2256), 1,
      sym_add_operator,
    STATE(9308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8946), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [454858] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11741), 1,
      sym__lowercase_identifier,
    ACTIONS(11743), 1,
      anon_sym_POUND,
    STATE(9309), 1,
      sym_attribute,
    STATE(10123), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16828), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11606), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [454915] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9004), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11717), 1,
      anon_sym_let,
    ACTIONS(11733), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11735), 1,
      anon_sym_constraint,
    ACTIONS(11782), 1,
      anon_sym_EQ,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(9310), 1,
      sym_attribute,
    STATE(10000), 1,
      sym__type_equation,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10284), 1,
      aux_sym_type_binding_repeat1,
    STATE(10668), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11715), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [454976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11786), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11784), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [455017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11558), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455058] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8216), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [455099] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11672), 1,
      sym__lowercase_identifier,
    ACTIONS(11674), 1,
      anon_sym_POUND,
    STATE(9314), 1,
      sym_attribute,
    STATE(10143), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11506), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11508), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [455156] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11790), 1,
      anon_sym_let,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(11796), 1,
      anon_sym_COLON2,
    STATE(9315), 1,
      sym_attribute,
    STATE(9338), 1,
      aux_sym_module_binding_repeat1,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10077), 1,
      sym__module_typed,
    STATE(10679), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11792), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11788), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [455215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11800), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11798), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [455256] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11701), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11372), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11370), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7964), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11552), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11550), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455381] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11672), 1,
      sym__lowercase_identifier,
    ACTIONS(11674), 1,
      anon_sym_POUND,
    STATE(9320), 1,
      sym_attribute,
    STATE(10143), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11586), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [455438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11370), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7966), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [455520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11558), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11504), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11502), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455602] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11672), 1,
      sym__lowercase_identifier,
    ACTIONS(11674), 1,
      anon_sym_POUND,
    STATE(9325), 1,
      sym_attribute,
    STATE(10143), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11594), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [455659] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11672), 1,
      sym__lowercase_identifier,
    ACTIONS(11674), 1,
      anon_sym_POUND,
    STATE(9326), 1,
      sym_attribute,
    STATE(10143), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11598), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [455716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11564), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11562), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11524), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11522), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11528), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11526), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11536), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11534), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11538), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11544), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11542), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455962] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11672), 1,
      sym__lowercase_identifier,
    ACTIONS(11674), 1,
      anon_sym_POUND,
    STATE(9333), 1,
      sym_attribute,
    STATE(10143), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11606), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [456019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11218), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [456060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11564), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11562), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [456101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11222), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [456142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8110), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [456183] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(11796), 1,
      anon_sym_COLON2,
    ACTIONS(11804), 1,
      anon_sym_let,
    STATE(9207), 1,
      aux_sym_module_binding_repeat1,
    STATE(9338), 1,
      sym_attribute,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10139), 1,
      sym__module_typed,
    STATE(10747), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11806), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11802), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [456242] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(9339), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16562), 1,
      sym__tuple_type,
    STATE(16860), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [456311] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11776), 1,
      anon_sym_else,
    STATE(8131), 1,
      sym_else_clause,
    STATE(9340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [456356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8260), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [456397] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(9342), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16442), 1,
      sym__tuple_type,
    STATE(16860), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [456466] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    STATE(7716), 1,
      sym_tuple_type,
    STATE(9343), 1,
      sym_attribute,
    STATE(11782), 1,
      sym__simple_type,
    STATE(16513), 1,
      sym__tuple_type,
    STATE(16860), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [456535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11494), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [456576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11234), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [456617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8248), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [456658] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11676), 1,
      sym_pow_operator,
    ACTIONS(11685), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11687), 1,
      sym_mult_operator,
    ACTIONS(11689), 1,
      sym_concat_operator,
    ACTIONS(11693), 1,
      sym_rel_operator,
    ACTIONS(11695), 1,
      sym_and_operator,
    ACTIONS(11713), 1,
      sym_or_operator,
    ACTIONS(11737), 1,
      anon_sym_COMMA,
    ACTIONS(11739), 1,
      sym_assign_operator,
    STATE(2256), 1,
      sym_add_operator,
    STATE(9347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10187), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [456721] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(11804), 1,
      anon_sym_let,
    ACTIONS(11808), 1,
      anon_sym_COLON2,
    STATE(9207), 1,
      aux_sym_module_binding_repeat1,
    STATE(9348), 1,
      sym_attribute,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10139), 1,
      sym__module_typed,
    STATE(10747), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11806), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11802), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [456780] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11790), 1,
      anon_sym_let,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(11808), 1,
      anon_sym_COLON2,
    STATE(9348), 1,
      aux_sym_module_binding_repeat1,
    STATE(9349), 1,
      sym_attribute,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10077), 1,
      sym__module_typed,
    STATE(10679), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11792), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11788), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [456839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11284), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11282), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [456880] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11810), 1,
      anon_sym_COMMA,
    ACTIONS(11812), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11814), 1,
      sym_pow_operator,
    ACTIONS(11816), 1,
      sym_mult_operator,
    ACTIONS(11818), 1,
      sym_concat_operator,
    ACTIONS(11820), 1,
      sym_rel_operator,
    ACTIONS(11822), 1,
      sym_and_operator,
    ACTIONS(11824), 1,
      sym_or_operator,
    ACTIONS(11826), 1,
      sym_assign_operator,
    STATE(1844), 1,
      sym_add_operator,
    STATE(9351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10143), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [456942] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11766), 1,
      sym__lowercase_identifier,
    ACTIONS(11828), 1,
      anon_sym_POUND,
    STATE(9352), 1,
      sym_attribute,
    STATE(9724), 1,
      sym_type_constructor_path,
    STATE(16715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9800), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(9802), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [456992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7936), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [457032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10902), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10904), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [457072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9002), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [457112] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9227), 1,
      sym__class_expression,
    STATE(9356), 1,
      sym_attribute,
    STATE(17874), 1,
      sym_value_definition,
    STATE(18038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7205), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [457180] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11701), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11372), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11370), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [457222] = 18,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    STATE(9358), 1,
      sym_attribute,
    STATE(13398), 1,
      sym__simple_type,
    STATE(16402), 1,
      sym_method_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457288] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(7621), 1,
      anon_sym_object,
    ACTIONS(7633), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7635), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11846), 1,
      sym__lowercase_identifier,
    ACTIONS(11848), 1,
      anon_sym_let,
    ACTIONS(11850), 1,
      anon_sym_LPAREN,
    ACTIONS(11852), 1,
      anon_sym_LBRACK,
    ACTIONS(11854), 1,
      anon_sym_fun,
    STATE(2795), 1,
      sym__simple_class_expression,
    STATE(9359), 1,
      sym_attribute,
    STATE(15563), 1,
      sym__class_expression,
    STATE(20053), 1,
      sym_value_definition,
    STATE(20075), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9892), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [457356] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11856), 1,
      anon_sym_PIPE,
    STATE(9360), 1,
      sym_attribute,
    STATE(9362), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [457400] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11856), 1,
      anon_sym_PIPE,
    STATE(9361), 1,
      sym_attribute,
    STATE(9363), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [457444] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11856), 1,
      anon_sym_PIPE,
    STATE(9362), 1,
      sym_attribute,
    STATE(9364), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [457488] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11856), 1,
      anon_sym_PIPE,
    STATE(9363), 1,
      sym_attribute,
    STATE(9364), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [457532] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11858), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9364), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [457574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7966), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [457614] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9316), 1,
      sym__class_expression,
    STATE(9366), 1,
      sym_attribute,
    STATE(17874), 1,
      sym_value_definition,
    STATE(18038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7205), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [457682] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9311), 1,
      sym__class_expression,
    STATE(9367), 1,
      sym_attribute,
    STATE(17874), 1,
      sym_value_definition,
    STATE(18038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7205), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [457750] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11861), 1,
      anon_sym_else,
    STATE(7759), 1,
      sym_else_clause,
    STATE(9368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [457794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8112), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [457834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8124), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [457874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7920), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [457914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7852), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [457954] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11863), 1,
      anon_sym_COMMA,
    ACTIONS(11865), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11867), 1,
      sym_pow_operator,
    ACTIONS(11869), 1,
      sym_mult_operator,
    ACTIONS(11871), 1,
      sym_concat_operator,
    ACTIONS(11873), 1,
      sym_rel_operator,
    ACTIONS(11875), 1,
      sym_and_operator,
    ACTIONS(11877), 1,
      sym_or_operator,
    ACTIONS(11879), 1,
      sym_assign_operator,
    STATE(2023), 1,
      sym_add_operator,
    STATE(9373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [458016] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1844), 1,
      sym_add_operator,
    STATE(9374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [458058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8202), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [458098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7918), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7902), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [458178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8212), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [458218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8122), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11883), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11881), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [458298] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11885), 1,
      sym__lowercase_identifier,
    ACTIONS(11887), 1,
      anon_sym_let,
    ACTIONS(11889), 1,
      anon_sym_LPAREN,
    ACTIONS(11891), 1,
      anon_sym_LBRACK,
    ACTIONS(11893), 1,
      anon_sym_object,
    ACTIONS(11895), 1,
      anon_sym_fun,
    ACTIONS(11897), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11899), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9381), 1,
      sym_attribute,
    STATE(10487), 1,
      sym__class_expression,
    STATE(19245), 1,
      sym_value_definition,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7231), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [458366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11504), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11502), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11524), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11522), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458446] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6329), 1,
      anon_sym_object,
    ACTIONS(8482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11901), 1,
      sym__lowercase_identifier,
    ACTIONS(11903), 1,
      anon_sym_let,
    ACTIONS(11905), 1,
      anon_sym_LPAREN,
    ACTIONS(11907), 1,
      anon_sym_LBRACK,
    ACTIONS(11909), 1,
      anon_sym_fun,
    STATE(2496), 1,
      sym__simple_class_expression,
    STATE(9384), 1,
      sym_attribute,
    STATE(10666), 1,
      sym__class_expression,
    STATE(17599), 1,
      sym_module_path,
    STATE(19715), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7644), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [458514] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6329), 1,
      anon_sym_object,
    ACTIONS(8482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11901), 1,
      sym__lowercase_identifier,
    ACTIONS(11903), 1,
      anon_sym_let,
    ACTIONS(11905), 1,
      anon_sym_LPAREN,
    ACTIONS(11907), 1,
      anon_sym_LBRACK,
    ACTIONS(11909), 1,
      anon_sym_fun,
    STATE(2496), 1,
      sym__simple_class_expression,
    STATE(9385), 1,
      sym_attribute,
    STATE(10690), 1,
      sym__class_expression,
    STATE(17599), 1,
      sym_module_path,
    STATE(19715), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7644), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [458582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11528), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11526), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11536), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11534), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11538), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7779), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [458742] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11885), 1,
      sym__lowercase_identifier,
    ACTIONS(11887), 1,
      anon_sym_let,
    ACTIONS(11889), 1,
      anon_sym_LPAREN,
    ACTIONS(11891), 1,
      anon_sym_LBRACK,
    ACTIONS(11893), 1,
      anon_sym_object,
    ACTIONS(11895), 1,
      anon_sym_fun,
    ACTIONS(11897), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11899), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9227), 1,
      sym__class_expression,
    STATE(9390), 1,
      sym_attribute,
    STATE(19245), 1,
      sym_value_definition,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7231), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [458810] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11701), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11372), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11370), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [458852] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(7621), 1,
      anon_sym_object,
    ACTIONS(7633), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7635), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11846), 1,
      sym__lowercase_identifier,
    ACTIONS(11848), 1,
      anon_sym_let,
    ACTIONS(11850), 1,
      anon_sym_LPAREN,
    ACTIONS(11852), 1,
      anon_sym_LBRACK,
    ACTIONS(11854), 1,
      anon_sym_fun,
    STATE(2795), 1,
      sym__simple_class_expression,
    STATE(9392), 1,
      sym_attribute,
    STATE(15192), 1,
      sym__class_expression,
    STATE(20053), 1,
      sym_value_definition,
    STATE(20075), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9892), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [458920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11544), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11542), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [458960] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11707), 1,
      sym__lowercase_identifier,
    ACTIONS(11911), 1,
      anon_sym_POUND,
    STATE(9394), 1,
      sym_attribute,
    STATE(9686), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16795), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11506), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11508), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [459016] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11707), 1,
      sym__lowercase_identifier,
    ACTIONS(11911), 1,
      anon_sym_POUND,
    STATE(9395), 1,
      sym_attribute,
    STATE(9686), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16795), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11516), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [459072] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6859), 1,
      anon_sym_object,
    ACTIONS(8466), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8468), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11754), 1,
      sym__lowercase_identifier,
    ACTIONS(11756), 1,
      anon_sym_let,
    ACTIONS(11758), 1,
      anon_sym_LPAREN,
    ACTIONS(11762), 1,
      anon_sym_LBRACK,
    ACTIONS(11764), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9396), 1,
      sym_attribute,
    STATE(12731), 1,
      sym__class_expression,
    STATE(18079), 1,
      sym_value_definition,
    STATE(18619), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8292), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [459140] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6549), 1,
      anon_sym_object,
    ACTIONS(8462), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11913), 1,
      sym__lowercase_identifier,
    ACTIONS(11915), 1,
      anon_sym_let,
    ACTIONS(11917), 1,
      anon_sym_LPAREN,
    ACTIONS(11919), 1,
      anon_sym_LBRACK,
    ACTIONS(11921), 1,
      anon_sym_fun,
    STATE(2504), 1,
      sym__simple_class_expression,
    STATE(9397), 1,
      sym_attribute,
    STATE(10487), 1,
      sym__class_expression,
    STATE(17818), 1,
      sym_module_path,
    STATE(19873), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7601), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [459208] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11885), 1,
      sym__lowercase_identifier,
    ACTIONS(11887), 1,
      anon_sym_let,
    ACTIONS(11889), 1,
      anon_sym_LPAREN,
    ACTIONS(11891), 1,
      anon_sym_LBRACK,
    ACTIONS(11893), 1,
      anon_sym_object,
    ACTIONS(11895), 1,
      anon_sym_fun,
    ACTIONS(11897), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11899), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9398), 1,
      sym_attribute,
    STATE(10655), 1,
      sym__class_expression,
    STATE(19245), 1,
      sym_value_definition,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7231), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [459276] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9399), 1,
      sym_attribute,
    STATE(10487), 1,
      sym__class_expression,
    STATE(17874), 1,
      sym_value_definition,
    STATE(18038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7205), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [459344] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11885), 1,
      sym__lowercase_identifier,
    ACTIONS(11887), 1,
      anon_sym_let,
    ACTIONS(11889), 1,
      anon_sym_LPAREN,
    ACTIONS(11891), 1,
      anon_sym_LBRACK,
    ACTIONS(11893), 1,
      anon_sym_object,
    ACTIONS(11895), 1,
      anon_sym_fun,
    ACTIONS(11897), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11899), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9400), 1,
      sym_attribute,
    STATE(10657), 1,
      sym__class_expression,
    STATE(19245), 1,
      sym_value_definition,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7231), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [459412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8264), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [459452] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11707), 1,
      sym__lowercase_identifier,
    ACTIONS(11911), 1,
      anon_sym_POUND,
    STATE(9402), 1,
      sym_attribute,
    STATE(9686), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16795), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11586), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [459508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11370), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [459548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11262), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [459588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11342), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [459628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11432), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [459668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11436), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [459708] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6329), 1,
      anon_sym_object,
    ACTIONS(8482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11901), 1,
      sym__lowercase_identifier,
    ACTIONS(11903), 1,
      anon_sym_let,
    ACTIONS(11905), 1,
      anon_sym_LPAREN,
    ACTIONS(11907), 1,
      anon_sym_LBRACK,
    ACTIONS(11909), 1,
      anon_sym_fun,
    STATE(2496), 1,
      sym__simple_class_expression,
    STATE(9408), 1,
      sym_attribute,
    STATE(10543), 1,
      sym__class_expression,
    STATE(17599), 1,
      sym_module_path,
    STATE(19715), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7644), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [459776] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11707), 1,
      sym__lowercase_identifier,
    ACTIONS(11911), 1,
      anon_sym_POUND,
    STATE(9409), 1,
      sym_attribute,
    STATE(9686), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16795), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11594), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [459832] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11707), 1,
      sym__lowercase_identifier,
    ACTIONS(11911), 1,
      anon_sym_POUND,
    STATE(9410), 1,
      sym_attribute,
    STATE(9686), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16795), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11598), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [459888] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6329), 1,
      anon_sym_object,
    ACTIONS(8482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11901), 1,
      sym__lowercase_identifier,
    ACTIONS(11903), 1,
      anon_sym_let,
    ACTIONS(11905), 1,
      anon_sym_LPAREN,
    ACTIONS(11907), 1,
      anon_sym_LBRACK,
    ACTIONS(11909), 1,
      anon_sym_fun,
    STATE(2496), 1,
      sym__simple_class_expression,
    STATE(9411), 1,
      sym_attribute,
    STATE(10552), 1,
      sym__class_expression,
    STATE(17599), 1,
      sym_module_path,
    STATE(19715), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7644), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [459956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7918), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [459996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11552), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11550), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [460036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11925), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(11923), 14,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      sym__lowercase_identifier,
  [460076] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11885), 1,
      sym__lowercase_identifier,
    ACTIONS(11887), 1,
      anon_sym_let,
    ACTIONS(11889), 1,
      anon_sym_LPAREN,
    ACTIONS(11891), 1,
      anon_sym_LBRACK,
    ACTIONS(11893), 1,
      anon_sym_object,
    ACTIONS(11895), 1,
      anon_sym_fun,
    ACTIONS(11897), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11899), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9316), 1,
      sym__class_expression,
    STATE(9415), 1,
      sym_attribute,
    STATE(19245), 1,
      sym_value_definition,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7231), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [460144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11558), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [460184] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11885), 1,
      sym__lowercase_identifier,
    ACTIONS(11887), 1,
      anon_sym_let,
    ACTIONS(11889), 1,
      anon_sym_LPAREN,
    ACTIONS(11891), 1,
      anon_sym_LBRACK,
    ACTIONS(11893), 1,
      anon_sym_object,
    ACTIONS(11895), 1,
      anon_sym_fun,
    ACTIONS(11897), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11899), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9311), 1,
      sym__class_expression,
    STATE(9417), 1,
      sym_attribute,
    STATE(19245), 1,
      sym_value_definition,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7231), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [460252] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11766), 1,
      sym__lowercase_identifier,
    ACTIONS(11828), 1,
      anon_sym_POUND,
    STATE(9418), 1,
      sym_attribute,
    STATE(9724), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11506), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11508), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [460308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11218), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [460348] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11707), 1,
      sym__lowercase_identifier,
    ACTIONS(11911), 1,
      anon_sym_POUND,
    STATE(9420), 1,
      sym_attribute,
    STATE(9686), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16795), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11606), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [460404] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11766), 1,
      sym__lowercase_identifier,
    ACTIONS(11828), 1,
      anon_sym_POUND,
    STATE(9421), 1,
      sym_attribute,
    STATE(9724), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11516), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [460460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11222), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [460500] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11861), 1,
      anon_sym_else,
    STATE(7779), 1,
      sym_else_clause,
    STATE(9423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [460544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11234), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [460584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11242), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [460624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9002), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [460664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11564), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11562), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [460704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11370), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [460744] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11170), 1,
      sym__lowercase_identifier,
    ACTIONS(11426), 1,
      anon_sym_POUND,
    STATE(9267), 1,
      sym_type_constructor_path,
    STATE(9429), 1,
      sym_attribute,
    STATE(16583), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11927), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11929), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [460794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9080), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [460834] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11766), 1,
      sym__lowercase_identifier,
    ACTIONS(11828), 1,
      anon_sym_POUND,
    STATE(9431), 1,
      sym_attribute,
    STATE(9724), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11586), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [460890] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11931), 1,
      anon_sym_DOT,
    ACTIONS(11933), 1,
      anon_sym_POUND,
    ACTIONS(11935), 1,
      sym_hash_operator,
    STATE(9432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9444), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [460936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11262), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [460976] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11741), 1,
      sym__lowercase_identifier,
    ACTIONS(11937), 1,
      anon_sym_POUND,
    STATE(9434), 1,
      sym_attribute,
    STATE(10021), 1,
      sym_type_constructor_path,
    STATE(16828), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10992), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [461026] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11885), 1,
      sym__lowercase_identifier,
    ACTIONS(11887), 1,
      anon_sym_let,
    ACTIONS(11889), 1,
      anon_sym_LPAREN,
    ACTIONS(11891), 1,
      anon_sym_LBRACK,
    ACTIONS(11893), 1,
      anon_sym_object,
    ACTIONS(11895), 1,
      anon_sym_fun,
    ACTIONS(11897), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11899), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9435), 1,
      sym_attribute,
    STATE(10543), 1,
      sym__class_expression,
    STATE(19245), 1,
      sym_value_definition,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7231), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [461094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11342), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [461134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11348), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11346), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [461174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11358), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [461214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11414), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [461254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11440), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [461294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11432), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [461334] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9442), 1,
      sym_attribute,
    STATE(10666), 1,
      sym__class_expression,
    STATE(17874), 1,
      sym_value_definition,
    STATE(18038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7205), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [461402] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9443), 1,
      sym_attribute,
    STATE(10690), 1,
      sym__class_expression,
    STATE(17874), 1,
      sym_value_definition,
    STATE(18038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7205), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [461470] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6329), 1,
      anon_sym_object,
    ACTIONS(8482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11901), 1,
      sym__lowercase_identifier,
    ACTIONS(11903), 1,
      anon_sym_let,
    ACTIONS(11905), 1,
      anon_sym_LPAREN,
    ACTIONS(11907), 1,
      anon_sym_LBRACK,
    ACTIONS(11909), 1,
      anon_sym_fun,
    STATE(2496), 1,
      sym__simple_class_expression,
    STATE(9227), 1,
      sym__class_expression,
    STATE(9444), 1,
      sym_attribute,
    STATE(17599), 1,
      sym_module_path,
    STATE(19715), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7644), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [461538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8220), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [461578] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6329), 1,
      anon_sym_object,
    ACTIONS(8482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11901), 1,
      sym__lowercase_identifier,
    ACTIONS(11903), 1,
      anon_sym_let,
    ACTIONS(11905), 1,
      anon_sym_LPAREN,
    ACTIONS(11907), 1,
      anon_sym_LBRACK,
    ACTIONS(11909), 1,
      anon_sym_fun,
    STATE(2496), 1,
      sym__simple_class_expression,
    STATE(9446), 1,
      sym_attribute,
    STATE(10607), 1,
      sym__class_expression,
    STATE(17599), 1,
      sym_module_path,
    STATE(19715), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7644), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [461646] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11885), 1,
      sym__lowercase_identifier,
    ACTIONS(11887), 1,
      anon_sym_let,
    ACTIONS(11889), 1,
      anon_sym_LPAREN,
    ACTIONS(11891), 1,
      anon_sym_LBRACK,
    ACTIONS(11893), 1,
      anon_sym_object,
    ACTIONS(11895), 1,
      anon_sym_fun,
    ACTIONS(11897), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11899), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9447), 1,
      sym_attribute,
    STATE(10552), 1,
      sym__class_expression,
    STATE(19245), 1,
      sym_value_definition,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7231), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [461714] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6329), 1,
      anon_sym_object,
    ACTIONS(8482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11901), 1,
      sym__lowercase_identifier,
    ACTIONS(11903), 1,
      anon_sym_let,
    ACTIONS(11905), 1,
      anon_sym_LPAREN,
    ACTIONS(11907), 1,
      anon_sym_LBRACK,
    ACTIONS(11909), 1,
      anon_sym_fun,
    STATE(2496), 1,
      sym__simple_class_expression,
    STATE(9448), 1,
      sym_attribute,
    STATE(10620), 1,
      sym__class_expression,
    STATE(17599), 1,
      sym_module_path,
    STATE(19715), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7644), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [461782] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11766), 1,
      sym__lowercase_identifier,
    ACTIONS(11828), 1,
      anon_sym_POUND,
    STATE(9449), 1,
      sym_attribute,
    STATE(9724), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11594), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [461838] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11931), 1,
      anon_sym_DOT,
    ACTIONS(11933), 1,
      anon_sym_POUND,
    ACTIONS(11935), 1,
      sym_hash_operator,
    STATE(9450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9450), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9448), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [461884] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6329), 1,
      anon_sym_object,
    ACTIONS(8482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11901), 1,
      sym__lowercase_identifier,
    ACTIONS(11903), 1,
      anon_sym_let,
    ACTIONS(11905), 1,
      anon_sym_LPAREN,
    ACTIONS(11907), 1,
      anon_sym_LBRACK,
    ACTIONS(11909), 1,
      anon_sym_fun,
    STATE(2496), 1,
      sym__simple_class_expression,
    STATE(9451), 1,
      sym_attribute,
    STATE(10655), 1,
      sym__class_expression,
    STATE(17599), 1,
      sym_module_path,
    STATE(19715), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7644), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [461952] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11766), 1,
      sym__lowercase_identifier,
    ACTIONS(11828), 1,
      anon_sym_POUND,
    STATE(9452), 1,
      sym_attribute,
    STATE(9724), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11598), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [462008] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11885), 1,
      sym__lowercase_identifier,
    ACTIONS(11887), 1,
      anon_sym_let,
    ACTIONS(11889), 1,
      anon_sym_LPAREN,
    ACTIONS(11891), 1,
      anon_sym_LBRACK,
    ACTIONS(11893), 1,
      anon_sym_object,
    ACTIONS(11895), 1,
      anon_sym_fun,
    ACTIONS(11897), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11899), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9453), 1,
      sym_attribute,
    STATE(10666), 1,
      sym__class_expression,
    STATE(19245), 1,
      sym_value_definition,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7231), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [462076] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6329), 1,
      anon_sym_object,
    ACTIONS(8482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11901), 1,
      sym__lowercase_identifier,
    ACTIONS(11903), 1,
      anon_sym_let,
    ACTIONS(11905), 1,
      anon_sym_LPAREN,
    ACTIONS(11907), 1,
      anon_sym_LBRACK,
    ACTIONS(11909), 1,
      anon_sym_fun,
    STATE(2496), 1,
      sym__simple_class_expression,
    STATE(9454), 1,
      sym_attribute,
    STATE(10657), 1,
      sym__class_expression,
    STATE(17599), 1,
      sym_module_path,
    STATE(19715), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7644), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [462144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11504), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11502), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [462184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11494), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [462224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11524), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11522), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [462264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11528), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11526), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [462304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11536), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11534), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [462344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11538), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [462384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11544), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11542), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [462424] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11766), 1,
      sym__lowercase_identifier,
    ACTIONS(11828), 1,
      anon_sym_POUND,
    STATE(9462), 1,
      sym_attribute,
    STATE(9724), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11606), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [462480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11925), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(11923), 13,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      sym__lowercase_identifier,
  [462520] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6549), 1,
      anon_sym_object,
    ACTIONS(8462), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11913), 1,
      sym__lowercase_identifier,
    ACTIONS(11915), 1,
      anon_sym_let,
    ACTIONS(11917), 1,
      anon_sym_LPAREN,
    ACTIONS(11919), 1,
      anon_sym_LBRACK,
    ACTIONS(11921), 1,
      anon_sym_fun,
    STATE(2504), 1,
      sym__simple_class_expression,
    STATE(9464), 1,
      sym_attribute,
    STATE(10666), 1,
      sym__class_expression,
    STATE(17818), 1,
      sym_module_path,
    STATE(19873), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7601), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [462588] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6329), 1,
      anon_sym_object,
    ACTIONS(8482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11901), 1,
      sym__lowercase_identifier,
    ACTIONS(11903), 1,
      anon_sym_let,
    ACTIONS(11905), 1,
      anon_sym_LPAREN,
    ACTIONS(11907), 1,
      anon_sym_LBRACK,
    ACTIONS(11909), 1,
      anon_sym_fun,
    STATE(2496), 1,
      sym__simple_class_expression,
    STATE(9465), 1,
      sym_attribute,
    STATE(10693), 1,
      sym__class_expression,
    STATE(17599), 1,
      sym_module_path,
    STATE(19715), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7644), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [462656] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6859), 1,
      anon_sym_object,
    ACTIONS(8466), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8468), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11754), 1,
      sym__lowercase_identifier,
    ACTIONS(11756), 1,
      anon_sym_let,
    ACTIONS(11758), 1,
      anon_sym_LPAREN,
    ACTIONS(11762), 1,
      anon_sym_LBRACK,
    ACTIONS(11764), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9316), 1,
      sym__class_expression,
    STATE(9466), 1,
      sym_attribute,
    STATE(18079), 1,
      sym_value_definition,
    STATE(18619), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8292), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [462724] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6329), 1,
      anon_sym_object,
    ACTIONS(8482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11901), 1,
      sym__lowercase_identifier,
    ACTIONS(11903), 1,
      anon_sym_let,
    ACTIONS(11905), 1,
      anon_sym_LPAREN,
    ACTIONS(11907), 1,
      anon_sym_LBRACK,
    ACTIONS(11909), 1,
      anon_sym_fun,
    STATE(2496), 1,
      sym__simple_class_expression,
    STATE(9467), 1,
      sym_attribute,
    STATE(10696), 1,
      sym__class_expression,
    STATE(17599), 1,
      sym_module_path,
    STATE(19715), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7644), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [462792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11552), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11550), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [462832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11558), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [462872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11564), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11562), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [462912] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6329), 1,
      anon_sym_object,
    ACTIONS(8482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11901), 1,
      sym__lowercase_identifier,
    ACTIONS(11903), 1,
      anon_sym_let,
    ACTIONS(11905), 1,
      anon_sym_LPAREN,
    ACTIONS(11907), 1,
      anon_sym_LBRACK,
    ACTIONS(11909), 1,
      anon_sym_fun,
    STATE(2496), 1,
      sym__simple_class_expression,
    STATE(9471), 1,
      sym_attribute,
    STATE(10701), 1,
      sym__class_expression,
    STATE(17599), 1,
      sym_module_path,
    STATE(19715), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7644), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [462980] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6329), 1,
      anon_sym_object,
    ACTIONS(8482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11901), 1,
      sym__lowercase_identifier,
    ACTIONS(11903), 1,
      anon_sym_let,
    ACTIONS(11905), 1,
      anon_sym_LPAREN,
    ACTIONS(11907), 1,
      anon_sym_LBRACK,
    ACTIONS(11909), 1,
      anon_sym_fun,
    STATE(2496), 1,
      sym__simple_class_expression,
    STATE(9472), 1,
      sym_attribute,
    STATE(10708), 1,
      sym__class_expression,
    STATE(17599), 1,
      sym_module_path,
    STATE(19715), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7644), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [463048] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6859), 1,
      anon_sym_object,
    ACTIONS(8466), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8468), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11754), 1,
      sym__lowercase_identifier,
    ACTIONS(11756), 1,
      anon_sym_let,
    ACTIONS(11758), 1,
      anon_sym_LPAREN,
    ACTIONS(11762), 1,
      anon_sym_LBRACK,
    ACTIONS(11764), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9311), 1,
      sym__class_expression,
    STATE(9473), 1,
      sym_attribute,
    STATE(18079), 1,
      sym_value_definition,
    STATE(18619), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8292), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [463116] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6549), 1,
      anon_sym_object,
    ACTIONS(8462), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11913), 1,
      sym__lowercase_identifier,
    ACTIONS(11915), 1,
      anon_sym_let,
    ACTIONS(11917), 1,
      anon_sym_LPAREN,
    ACTIONS(11919), 1,
      anon_sym_LBRACK,
    ACTIONS(11921), 1,
      anon_sym_fun,
    STATE(2504), 1,
      sym__simple_class_expression,
    STATE(9474), 1,
      sym_attribute,
    STATE(10690), 1,
      sym__class_expression,
    STATE(17818), 1,
      sym_module_path,
    STATE(19873), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7601), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [463184] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6329), 1,
      anon_sym_object,
    ACTIONS(8482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11901), 1,
      sym__lowercase_identifier,
    ACTIONS(11903), 1,
      anon_sym_let,
    ACTIONS(11905), 1,
      anon_sym_LPAREN,
    ACTIONS(11907), 1,
      anon_sym_LBRACK,
    ACTIONS(11909), 1,
      anon_sym_fun,
    STATE(2496), 1,
      sym__simple_class_expression,
    STATE(9475), 1,
      sym_attribute,
    STATE(10710), 1,
      sym__class_expression,
    STATE(17599), 1,
      sym_module_path,
    STATE(19715), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7644), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [463252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11494), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [463292] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(7621), 1,
      anon_sym_object,
    ACTIONS(7633), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7635), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11846), 1,
      sym__lowercase_identifier,
    ACTIONS(11848), 1,
      anon_sym_let,
    ACTIONS(11850), 1,
      anon_sym_LPAREN,
    ACTIONS(11852), 1,
      anon_sym_LBRACK,
    ACTIONS(11854), 1,
      anon_sym_fun,
    STATE(2795), 1,
      sym__simple_class_expression,
    STATE(9227), 1,
      sym__class_expression,
    STATE(9477), 1,
      sym_attribute,
    STATE(20053), 1,
      sym_value_definition,
    STATE(20075), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9892), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [463360] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6329), 1,
      anon_sym_object,
    ACTIONS(8482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11901), 1,
      sym__lowercase_identifier,
    ACTIONS(11903), 1,
      anon_sym_let,
    ACTIONS(11905), 1,
      anon_sym_LPAREN,
    ACTIONS(11907), 1,
      anon_sym_LBRACK,
    ACTIONS(11909), 1,
      anon_sym_fun,
    STATE(2496), 1,
      sym__simple_class_expression,
    STATE(9478), 1,
      sym_attribute,
    STATE(10723), 1,
      sym__class_expression,
    STATE(17599), 1,
      sym_module_path,
    STATE(19715), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7644), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [463428] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9479), 1,
      sym_attribute,
    STATE(10543), 1,
      sym__class_expression,
    STATE(17874), 1,
      sym_value_definition,
    STATE(18038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7205), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [463496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11436), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [463536] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9481), 1,
      sym_attribute,
    STATE(10552), 1,
      sym__class_expression,
    STATE(17874), 1,
      sym_value_definition,
    STATE(18038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7205), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [463604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11214), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [463644] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6329), 1,
      anon_sym_object,
    ACTIONS(8482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11901), 1,
      sym__lowercase_identifier,
    ACTIONS(11903), 1,
      anon_sym_let,
    ACTIONS(11905), 1,
      anon_sym_LPAREN,
    ACTIONS(11907), 1,
      anon_sym_LBRACK,
    ACTIONS(11909), 1,
      anon_sym_fun,
    STATE(2496), 1,
      sym__simple_class_expression,
    STATE(9316), 1,
      sym__class_expression,
    STATE(9483), 1,
      sym_attribute,
    STATE(17599), 1,
      sym_module_path,
    STATE(19715), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7644), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [463712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10902), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10904), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [463752] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6329), 1,
      anon_sym_object,
    ACTIONS(8482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11901), 1,
      sym__lowercase_identifier,
    ACTIONS(11903), 1,
      anon_sym_let,
    ACTIONS(11905), 1,
      anon_sym_LPAREN,
    ACTIONS(11907), 1,
      anon_sym_LBRACK,
    ACTIONS(11909), 1,
      anon_sym_fun,
    STATE(2496), 1,
      sym__simple_class_expression,
    STATE(9311), 1,
      sym__class_expression,
    STATE(9485), 1,
      sym_attribute,
    STATE(17599), 1,
      sym_module_path,
    STATE(19715), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7644), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [463820] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11707), 1,
      sym__lowercase_identifier,
    ACTIONS(11911), 1,
      anon_sym_POUND,
    STATE(9486), 1,
      sym_attribute,
    STATE(9686), 1,
      sym_type_constructor_path,
    STATE(16795), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9800), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(9802), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [463870] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9487), 1,
      sym_attribute,
    STATE(10607), 1,
      sym__class_expression,
    STATE(17874), 1,
      sym_value_definition,
    STATE(18038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7205), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [463938] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9488), 1,
      sym_attribute,
    STATE(10620), 1,
      sym__class_expression,
    STATE(17874), 1,
      sym_value_definition,
    STATE(18038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7205), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [464006] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9489), 1,
      sym_attribute,
    STATE(10655), 1,
      sym__class_expression,
    STATE(17874), 1,
      sym_value_definition,
    STATE(18038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7205), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [464074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7964), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [464114] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9491), 1,
      sym_attribute,
    STATE(10657), 1,
      sym__class_expression,
    STATE(17874), 1,
      sym_value_definition,
    STATE(18038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7205), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [464182] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9492), 1,
      sym_attribute,
    STATE(10693), 1,
      sym__class_expression,
    STATE(17874), 1,
      sym_value_definition,
    STATE(18038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7205), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [464250] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9493), 1,
      sym_attribute,
    STATE(10696), 1,
      sym__class_expression,
    STATE(17874), 1,
      sym_value_definition,
    STATE(18038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7205), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [464318] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9494), 1,
      sym_attribute,
    STATE(10701), 1,
      sym__class_expression,
    STATE(17874), 1,
      sym_value_definition,
    STATE(18038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7205), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [464386] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9495), 1,
      sym_attribute,
    STATE(10708), 1,
      sym__class_expression,
    STATE(17874), 1,
      sym_value_definition,
    STATE(18038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7205), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [464454] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9496), 1,
      sym_attribute,
    STATE(10710), 1,
      sym__class_expression,
    STATE(17874), 1,
      sym_value_definition,
    STATE(18038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7205), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [464522] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11830), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_let,
    ACTIONS(11834), 1,
      anon_sym_LPAREN,
    ACTIONS(11836), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_object,
    ACTIONS(11840), 1,
      anon_sym_fun,
    ACTIONS(11842), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11844), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2474), 1,
      sym__simple_class_expression,
    STATE(9497), 1,
      sym_attribute,
    STATE(10723), 1,
      sym__class_expression,
    STATE(17874), 1,
      sym_value_definition,
    STATE(18038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7205), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [464590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10904), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10902), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [464630] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(9499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8206), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [464672] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8948), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11863), 1,
      anon_sym_COMMA,
    ACTIONS(11865), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11867), 1,
      sym_pow_operator,
    ACTIONS(11869), 1,
      sym_mult_operator,
    ACTIONS(11871), 1,
      sym_concat_operator,
    ACTIONS(11873), 1,
      sym_rel_operator,
    ACTIONS(11875), 1,
      sym_and_operator,
    ACTIONS(11877), 1,
      sym_or_operator,
    ACTIONS(11879), 1,
      sym_assign_operator,
    ACTIONS(11939), 1,
      anon_sym_SEMI,
    STATE(2023), 1,
      sym_add_operator,
    STATE(9500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8946), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [464736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11943), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [464776] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6549), 1,
      anon_sym_object,
    ACTIONS(8462), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11913), 1,
      sym__lowercase_identifier,
    ACTIONS(11915), 1,
      anon_sym_let,
    ACTIONS(11917), 1,
      anon_sym_LPAREN,
    ACTIONS(11919), 1,
      anon_sym_LBRACK,
    ACTIONS(11921), 1,
      anon_sym_fun,
    STATE(2504), 1,
      sym__simple_class_expression,
    STATE(9502), 1,
      sym_attribute,
    STATE(10543), 1,
      sym__class_expression,
    STATE(17818), 1,
      sym_module_path,
    STATE(19873), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7601), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [464844] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6549), 1,
      anon_sym_object,
    ACTIONS(8462), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11913), 1,
      sym__lowercase_identifier,
    ACTIONS(11915), 1,
      anon_sym_let,
    ACTIONS(11917), 1,
      anon_sym_LPAREN,
    ACTIONS(11919), 1,
      anon_sym_LBRACK,
    ACTIONS(11921), 1,
      anon_sym_fun,
    STATE(2504), 1,
      sym__simple_class_expression,
    STATE(9503), 1,
      sym_attribute,
    STATE(10552), 1,
      sym__class_expression,
    STATE(17818), 1,
      sym_module_path,
    STATE(19873), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7601), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [464912] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(7621), 1,
      anon_sym_object,
    ACTIONS(7633), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7635), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11846), 1,
      sym__lowercase_identifier,
    ACTIONS(11848), 1,
      anon_sym_let,
    ACTIONS(11850), 1,
      anon_sym_LPAREN,
    ACTIONS(11852), 1,
      anon_sym_LBRACK,
    ACTIONS(11854), 1,
      anon_sym_fun,
    STATE(2795), 1,
      sym__simple_class_expression,
    STATE(9504), 1,
      sym_attribute,
    STATE(16282), 1,
      sym__class_expression,
    STATE(20053), 1,
      sym_value_definition,
    STATE(20075), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9892), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [464980] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(7621), 1,
      anon_sym_object,
    ACTIONS(7633), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7635), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11846), 1,
      sym__lowercase_identifier,
    ACTIONS(11848), 1,
      anon_sym_let,
    ACTIONS(11850), 1,
      anon_sym_LPAREN,
    ACTIONS(11852), 1,
      anon_sym_LBRACK,
    ACTIONS(11854), 1,
      anon_sym_fun,
    STATE(2795), 1,
      sym__simple_class_expression,
    STATE(9316), 1,
      sym__class_expression,
    STATE(9505), 1,
      sym_attribute,
    STATE(20053), 1,
      sym_value_definition,
    STATE(20075), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9892), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [465048] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11885), 1,
      sym__lowercase_identifier,
    ACTIONS(11887), 1,
      anon_sym_let,
    ACTIONS(11889), 1,
      anon_sym_LPAREN,
    ACTIONS(11891), 1,
      anon_sym_LBRACK,
    ACTIONS(11893), 1,
      anon_sym_object,
    ACTIONS(11895), 1,
      anon_sym_fun,
    ACTIONS(11897), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11899), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9506), 1,
      sym_attribute,
    STATE(10690), 1,
      sym__class_expression,
    STATE(19245), 1,
      sym_value_definition,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7231), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [465116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11214), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [465156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10902), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10904), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [465196] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(7621), 1,
      anon_sym_object,
    ACTIONS(7633), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7635), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11846), 1,
      sym__lowercase_identifier,
    ACTIONS(11848), 1,
      anon_sym_let,
    ACTIONS(11850), 1,
      anon_sym_LPAREN,
    ACTIONS(11852), 1,
      anon_sym_LBRACK,
    ACTIONS(11854), 1,
      anon_sym_fun,
    STATE(2795), 1,
      sym__simple_class_expression,
    STATE(9311), 1,
      sym__class_expression,
    STATE(9509), 1,
      sym_attribute,
    STATE(20053), 1,
      sym_value_definition,
    STATE(20075), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9892), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [465264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8216), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [465304] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11766), 1,
      sym__lowercase_identifier,
    ACTIONS(11828), 1,
      anon_sym_POUND,
    STATE(9511), 1,
      sym_attribute,
    STATE(9724), 1,
      sym_type_constructor_path,
    STATE(16715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10986), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [465354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11284), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11282), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [465394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8230), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [465434] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11672), 1,
      sym__lowercase_identifier,
    ACTIONS(11945), 1,
      anon_sym_POUND,
    STATE(9514), 1,
      sym_attribute,
    STATE(9980), 1,
      sym_type_constructor_path,
    STATE(16919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10992), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [465484] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6549), 1,
      anon_sym_object,
    ACTIONS(8462), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11913), 1,
      sym__lowercase_identifier,
    ACTIONS(11915), 1,
      anon_sym_let,
    ACTIONS(11917), 1,
      anon_sym_LPAREN,
    ACTIONS(11919), 1,
      anon_sym_LBRACK,
    ACTIONS(11921), 1,
      anon_sym_fun,
    STATE(2504), 1,
      sym__simple_class_expression,
    STATE(9515), 1,
      sym_attribute,
    STATE(10607), 1,
      sym__class_expression,
    STATE(17818), 1,
      sym_module_path,
    STATE(19873), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7601), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [465552] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11707), 1,
      sym__lowercase_identifier,
    ACTIONS(11911), 1,
      anon_sym_POUND,
    STATE(9516), 1,
      sym_attribute,
    STATE(9686), 1,
      sym_type_constructor_path,
    STATE(16795), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10986), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [465602] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6549), 1,
      anon_sym_object,
    ACTIONS(8462), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11913), 1,
      sym__lowercase_identifier,
    ACTIONS(11915), 1,
      anon_sym_let,
    ACTIONS(11917), 1,
      anon_sym_LPAREN,
    ACTIONS(11919), 1,
      anon_sym_LBRACK,
    ACTIONS(11921), 1,
      anon_sym_fun,
    STATE(2504), 1,
      sym__simple_class_expression,
    STATE(9517), 1,
      sym_attribute,
    STATE(10620), 1,
      sym__class_expression,
    STATE(17818), 1,
      sym_module_path,
    STATE(19873), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7601), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [465670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8234), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [465710] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11885), 1,
      sym__lowercase_identifier,
    ACTIONS(11887), 1,
      anon_sym_let,
    ACTIONS(11889), 1,
      anon_sym_LPAREN,
    ACTIONS(11891), 1,
      anon_sym_LBRACK,
    ACTIONS(11893), 1,
      anon_sym_object,
    ACTIONS(11895), 1,
      anon_sym_fun,
    ACTIONS(11897), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11899), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9519), 1,
      sym_attribute,
    STATE(10723), 1,
      sym__class_expression,
    STATE(19245), 1,
      sym_value_definition,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7231), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [465778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8238), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [465818] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6549), 1,
      anon_sym_object,
    ACTIONS(8462), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11913), 1,
      sym__lowercase_identifier,
    ACTIONS(11915), 1,
      anon_sym_let,
    ACTIONS(11917), 1,
      anon_sym_LPAREN,
    ACTIONS(11919), 1,
      anon_sym_LBRACK,
    ACTIONS(11921), 1,
      anon_sym_fun,
    STATE(2504), 1,
      sym__simple_class_expression,
    STATE(9521), 1,
      sym_attribute,
    STATE(10655), 1,
      sym__class_expression,
    STATE(17818), 1,
      sym_module_path,
    STATE(19873), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7601), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [465886] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6549), 1,
      anon_sym_object,
    ACTIONS(8462), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11913), 1,
      sym__lowercase_identifier,
    ACTIONS(11915), 1,
      anon_sym_let,
    ACTIONS(11917), 1,
      anon_sym_LPAREN,
    ACTIONS(11919), 1,
      anon_sym_LBRACK,
    ACTIONS(11921), 1,
      anon_sym_fun,
    STATE(2504), 1,
      sym__simple_class_expression,
    STATE(9522), 1,
      sym_attribute,
    STATE(10657), 1,
      sym__class_expression,
    STATE(17818), 1,
      sym_module_path,
    STATE(19873), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7601), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [465954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8226), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [465994] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(9524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8206), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [466036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8244), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [466076] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6549), 1,
      anon_sym_object,
    ACTIONS(8462), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11913), 1,
      sym__lowercase_identifier,
    ACTIONS(11915), 1,
      anon_sym_let,
    ACTIONS(11917), 1,
      anon_sym_LPAREN,
    ACTIONS(11919), 1,
      anon_sym_LBRACK,
    ACTIONS(11921), 1,
      anon_sym_fun,
    STATE(2504), 1,
      sym__simple_class_expression,
    STATE(9526), 1,
      sym_attribute,
    STATE(10693), 1,
      sym__class_expression,
    STATE(17818), 1,
      sym_module_path,
    STATE(19873), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7601), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466144] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6549), 1,
      anon_sym_object,
    ACTIONS(8462), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11913), 1,
      sym__lowercase_identifier,
    ACTIONS(11915), 1,
      anon_sym_let,
    ACTIONS(11917), 1,
      anon_sym_LPAREN,
    ACTIONS(11919), 1,
      anon_sym_LBRACK,
    ACTIONS(11921), 1,
      anon_sym_fun,
    STATE(2504), 1,
      sym__simple_class_expression,
    STATE(9527), 1,
      sym_attribute,
    STATE(10696), 1,
      sym__class_expression,
    STATE(17818), 1,
      sym_module_path,
    STATE(19873), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7601), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466212] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11947), 1,
      anon_sym_COLON,
    STATE(9528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8324), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [466254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11951), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11949), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [466294] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6549), 1,
      anon_sym_object,
    ACTIONS(8462), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11913), 1,
      sym__lowercase_identifier,
    ACTIONS(11915), 1,
      anon_sym_let,
    ACTIONS(11917), 1,
      anon_sym_LPAREN,
    ACTIONS(11919), 1,
      anon_sym_LBRACK,
    ACTIONS(11921), 1,
      anon_sym_fun,
    STATE(2504), 1,
      sym__simple_class_expression,
    STATE(9530), 1,
      sym_attribute,
    STATE(10701), 1,
      sym__class_expression,
    STATE(17818), 1,
      sym_module_path,
    STATE(19873), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7601), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11284), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11282), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [466402] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6549), 1,
      anon_sym_object,
    ACTIONS(8462), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11913), 1,
      sym__lowercase_identifier,
    ACTIONS(11915), 1,
      anon_sym_let,
    ACTIONS(11917), 1,
      anon_sym_LPAREN,
    ACTIONS(11919), 1,
      anon_sym_LBRACK,
    ACTIONS(11921), 1,
      anon_sym_fun,
    STATE(2504), 1,
      sym__simple_class_expression,
    STATE(9532), 1,
      sym_attribute,
    STATE(10708), 1,
      sym__class_expression,
    STATE(17818), 1,
      sym_module_path,
    STATE(19873), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7601), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11576), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11574), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [466510] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6549), 1,
      anon_sym_object,
    ACTIONS(8462), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11913), 1,
      sym__lowercase_identifier,
    ACTIONS(11915), 1,
      anon_sym_let,
    ACTIONS(11917), 1,
      anon_sym_LPAREN,
    ACTIONS(11919), 1,
      anon_sym_LBRACK,
    ACTIONS(11921), 1,
      anon_sym_fun,
    STATE(2504), 1,
      sym__simple_class_expression,
    STATE(9534), 1,
      sym_attribute,
    STATE(10710), 1,
      sym__class_expression,
    STATE(17818), 1,
      sym_module_path,
    STATE(19873), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7601), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8248), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [466618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8252), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [466658] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6549), 1,
      anon_sym_object,
    ACTIONS(8462), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11913), 1,
      sym__lowercase_identifier,
    ACTIONS(11915), 1,
      anon_sym_let,
    ACTIONS(11917), 1,
      anon_sym_LPAREN,
    ACTIONS(11919), 1,
      anon_sym_LBRACK,
    ACTIONS(11921), 1,
      anon_sym_fun,
    STATE(2504), 1,
      sym__simple_class_expression,
    STATE(9537), 1,
      sym_attribute,
    STATE(10723), 1,
      sym__class_expression,
    STATE(17818), 1,
      sym_module_path,
    STATE(19873), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7601), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11955), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11953), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [466766] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11885), 1,
      sym__lowercase_identifier,
    ACTIONS(11887), 1,
      anon_sym_let,
    ACTIONS(11889), 1,
      anon_sym_LPAREN,
    ACTIONS(11891), 1,
      anon_sym_LBRACK,
    ACTIONS(11893), 1,
      anon_sym_object,
    ACTIONS(11895), 1,
      anon_sym_fun,
    ACTIONS(11897), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11899), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9539), 1,
      sym_attribute,
    STATE(10607), 1,
      sym__class_expression,
    STATE(19245), 1,
      sym_value_definition,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7231), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466834] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11885), 1,
      sym__lowercase_identifier,
    ACTIONS(11887), 1,
      anon_sym_let,
    ACTIONS(11889), 1,
      anon_sym_LPAREN,
    ACTIONS(11891), 1,
      anon_sym_LBRACK,
    ACTIONS(11893), 1,
      anon_sym_object,
    ACTIONS(11895), 1,
      anon_sym_fun,
    ACTIONS(11897), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11899), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9540), 1,
      sym_attribute,
    STATE(10693), 1,
      sym__class_expression,
    STATE(19245), 1,
      sym_value_definition,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7231), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466902] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11885), 1,
      sym__lowercase_identifier,
    ACTIONS(11887), 1,
      anon_sym_let,
    ACTIONS(11889), 1,
      anon_sym_LPAREN,
    ACTIONS(11891), 1,
      anon_sym_LBRACK,
    ACTIONS(11893), 1,
      anon_sym_object,
    ACTIONS(11895), 1,
      anon_sym_fun,
    ACTIONS(11897), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11899), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9541), 1,
      sym_attribute,
    STATE(10696), 1,
      sym__class_expression,
    STATE(19245), 1,
      sym_value_definition,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7231), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [466970] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11931), 1,
      anon_sym_DOT,
    ACTIONS(11933), 1,
      anon_sym_POUND,
    ACTIONS(11935), 1,
      sym_hash_operator,
    STATE(9542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9426), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [467016] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11885), 1,
      sym__lowercase_identifier,
    ACTIONS(11887), 1,
      anon_sym_let,
    ACTIONS(11889), 1,
      anon_sym_LPAREN,
    ACTIONS(11891), 1,
      anon_sym_LBRACK,
    ACTIONS(11893), 1,
      anon_sym_object,
    ACTIONS(11895), 1,
      anon_sym_fun,
    ACTIONS(11897), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11899), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9543), 1,
      sym_attribute,
    STATE(10620), 1,
      sym__class_expression,
    STATE(19245), 1,
      sym_value_definition,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7231), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8256), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [467124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8260), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [467164] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11885), 1,
      sym__lowercase_identifier,
    ACTIONS(11887), 1,
      anon_sym_let,
    ACTIONS(11889), 1,
      anon_sym_LPAREN,
    ACTIONS(11891), 1,
      anon_sym_LBRACK,
    ACTIONS(11893), 1,
      anon_sym_object,
    ACTIONS(11895), 1,
      anon_sym_fun,
    ACTIONS(11897), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11899), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9546), 1,
      sym_attribute,
    STATE(10701), 1,
      sym__class_expression,
    STATE(19245), 1,
      sym_value_definition,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7231), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11218), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [467272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7964), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [467312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11222), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [467352] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11931), 1,
      anon_sym_DOT,
    ACTIONS(11933), 1,
      anon_sym_POUND,
    ACTIONS(11935), 1,
      sym_hash_operator,
    STATE(9550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9436), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [467398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8110), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [467438] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(7621), 1,
      anon_sym_object,
    ACTIONS(7633), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7635), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11846), 1,
      sym__lowercase_identifier,
    ACTIONS(11848), 1,
      anon_sym_let,
    ACTIONS(11850), 1,
      anon_sym_LPAREN,
    ACTIONS(11852), 1,
      anon_sym_LBRACK,
    ACTIONS(11854), 1,
      anon_sym_fun,
    STATE(2795), 1,
      sym__simple_class_expression,
    STATE(9552), 1,
      sym_attribute,
    STATE(16272), 1,
      sym__class_expression,
    STATE(20053), 1,
      sym_value_definition,
    STATE(20075), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9892), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467506] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6859), 1,
      anon_sym_object,
    ACTIONS(8466), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8468), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11754), 1,
      sym__lowercase_identifier,
    ACTIONS(11756), 1,
      anon_sym_let,
    ACTIONS(11758), 1,
      anon_sym_LPAREN,
    ACTIONS(11762), 1,
      anon_sym_LBRACK,
    ACTIONS(11764), 1,
      anon_sym_fun,
    STATE(2520), 1,
      sym__simple_class_expression,
    STATE(9227), 1,
      sym__class_expression,
    STATE(9553), 1,
      sym_attribute,
    STATE(18079), 1,
      sym_value_definition,
    STATE(18619), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8292), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8174), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [467614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11234), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [467654] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6549), 1,
      anon_sym_object,
    ACTIONS(8462), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11913), 1,
      sym__lowercase_identifier,
    ACTIONS(11915), 1,
      anon_sym_let,
    ACTIONS(11917), 1,
      anon_sym_LPAREN,
    ACTIONS(11919), 1,
      anon_sym_LBRACK,
    ACTIONS(11921), 1,
      anon_sym_fun,
    STATE(2504), 1,
      sym__simple_class_expression,
    STATE(9227), 1,
      sym__class_expression,
    STATE(9556), 1,
      sym_attribute,
    STATE(17818), 1,
      sym_module_path,
    STATE(19873), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7601), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467722] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11741), 1,
      sym__lowercase_identifier,
    ACTIONS(11743), 1,
      anon_sym_POUND,
    ACTIONS(11957), 1,
      anon_sym_STAR,
    STATE(9557), 1,
      sym_attribute,
    STATE(10123), 1,
      sym_type_constructor_path,
    STATE(10895), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16828), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11510), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11745), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [467776] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2023), 1,
      sym_add_operator,
    STATE(9558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [467818] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11959), 1,
      anon_sym_else,
    STATE(7759), 1,
      sym_else_clause,
    STATE(9559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [467862] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6549), 1,
      anon_sym_object,
    ACTIONS(8462), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11913), 1,
      sym__lowercase_identifier,
    ACTIONS(11915), 1,
      anon_sym_let,
    ACTIONS(11917), 1,
      anon_sym_LPAREN,
    ACTIONS(11919), 1,
      anon_sym_LBRACK,
    ACTIONS(11921), 1,
      anon_sym_fun,
    STATE(2504), 1,
      sym__simple_class_expression,
    STATE(9316), 1,
      sym__class_expression,
    STATE(9560), 1,
      sym_attribute,
    STATE(17818), 1,
      sym_module_path,
    STATE(19873), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7601), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467930] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6549), 1,
      anon_sym_object,
    ACTIONS(8462), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8464), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11913), 1,
      sym__lowercase_identifier,
    ACTIONS(11915), 1,
      anon_sym_let,
    ACTIONS(11917), 1,
      anon_sym_LPAREN,
    ACTIONS(11919), 1,
      anon_sym_LBRACK,
    ACTIONS(11921), 1,
      anon_sym_fun,
    STATE(2504), 1,
      sym__simple_class_expression,
    STATE(9311), 1,
      sym__class_expression,
    STATE(9561), 1,
      sym_attribute,
    STATE(17818), 1,
      sym_module_path,
    STATE(19873), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7601), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [467998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8110), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [468038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11963), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11961), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [468078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7741), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7743), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [468118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11967), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11965), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [468158] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11973), 1,
      anon_sym_LPAREN,
    ACTIONS(11975), 1,
      anon_sym_LBRACK,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    STATE(9566), 1,
      sym_attribute,
    STATE(10236), 1,
      sym__constructor_name,
    STATE(11010), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11971), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11977), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11969), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [468210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11242), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [468250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7942), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [468290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7948), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [468330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7952), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [468370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7956), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [468410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7960), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [468450] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11810), 1,
      anon_sym_COMMA,
    ACTIONS(11812), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11814), 1,
      sym_pow_operator,
    ACTIONS(11816), 1,
      sym_mult_operator,
    ACTIONS(11818), 1,
      sym_concat_operator,
    ACTIONS(11820), 1,
      sym_rel_operator,
    ACTIONS(11822), 1,
      sym_and_operator,
    ACTIONS(11824), 1,
      sym_or_operator,
    ACTIONS(11826), 1,
      sym_assign_operator,
    ACTIONS(11981), 1,
      anon_sym_SEMI,
    STATE(1844), 1,
      sym_add_operator,
    STATE(9573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8946), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [468514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7968), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7970), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [468554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7974), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [468594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7978), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [468634] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(7621), 1,
      anon_sym_object,
    ACTIONS(7633), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7635), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11846), 1,
      sym__lowercase_identifier,
    ACTIONS(11848), 1,
      anon_sym_let,
    ACTIONS(11850), 1,
      anon_sym_LPAREN,
    ACTIONS(11852), 1,
      anon_sym_LBRACK,
    ACTIONS(11854), 1,
      anon_sym_fun,
    STATE(2795), 1,
      sym__simple_class_expression,
    STATE(9577), 1,
      sym_attribute,
    STATE(15751), 1,
      sym__class_expression,
    STATE(20053), 1,
      sym_value_definition,
    STATE(20075), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9892), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [468702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7982), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [468742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7986), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [468782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7990), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [468822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7735), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [468862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7996), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [468902] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11931), 1,
      anon_sym_DOT,
    STATE(9583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8000), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [468944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8004), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [468984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8008), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8012), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8016), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8020), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8024), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8028), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8032), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8036), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8040), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8044), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8048), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8052), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8056), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8060), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7749), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7751), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7753), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7755), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7757), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7759), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8066), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8070), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8074), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8078), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7763), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7765), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7767), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7769), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7771), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7773), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8088), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [469984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8096), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [470024] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11812), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11814), 1,
      sym_pow_operator,
    ACTIONS(11816), 1,
      sym_mult_operator,
    ACTIONS(11818), 1,
      sym_concat_operator,
    ACTIONS(11820), 1,
      sym_rel_operator,
    ACTIONS(11822), 1,
      sym_and_operator,
    ACTIONS(11824), 1,
      sym_or_operator,
    STATE(1844), 1,
      sym_add_operator,
    STATE(9611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10211), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [470082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7787), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7789), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [470122] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11885), 1,
      sym__lowercase_identifier,
    ACTIONS(11887), 1,
      anon_sym_let,
    ACTIONS(11889), 1,
      anon_sym_LPAREN,
    ACTIONS(11891), 1,
      anon_sym_LBRACK,
    ACTIONS(11893), 1,
      anon_sym_object,
    ACTIONS(11895), 1,
      anon_sym_fun,
    ACTIONS(11897), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11899), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9613), 1,
      sym_attribute,
    STATE(10708), 1,
      sym__class_expression,
    STATE(19245), 1,
      sym_value_definition,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7231), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [470190] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11865), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11867), 1,
      sym_pow_operator,
    ACTIONS(11869), 1,
      sym_mult_operator,
    ACTIONS(11871), 1,
      sym_concat_operator,
    ACTIONS(11873), 1,
      sym_rel_operator,
    ACTIONS(11875), 1,
      sym_and_operator,
    ACTIONS(11877), 1,
      sym_or_operator,
    STATE(2023), 1,
      sym_add_operator,
    STATE(9614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [470248] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11865), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11867), 1,
      sym_pow_operator,
    ACTIONS(11869), 1,
      sym_mult_operator,
    STATE(2023), 1,
      sym_add_operator,
    STATE(9615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [470298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8104), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [470338] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11867), 1,
      sym_pow_operator,
    STATE(2023), 1,
      sym_add_operator,
    STATE(9617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [470382] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11812), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11814), 1,
      sym_pow_operator,
    ACTIONS(11816), 1,
      sym_mult_operator,
    STATE(1844), 1,
      sym_add_operator,
    STATE(9618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10103), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [470432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7846), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [470472] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11867), 1,
      sym_pow_operator,
    STATE(2023), 1,
      sym_add_operator,
    STATE(9620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [470516] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11865), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11867), 1,
      sym_pow_operator,
    ACTIONS(11869), 1,
      sym_mult_operator,
    ACTIONS(11871), 1,
      sym_concat_operator,
    STATE(2023), 1,
      sym_add_operator,
    STATE(9621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [470568] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11865), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11867), 1,
      sym_pow_operator,
    ACTIONS(11869), 1,
      sym_mult_operator,
    ACTIONS(11871), 1,
      sym_concat_operator,
    STATE(2023), 1,
      sym_add_operator,
    STATE(9622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [470620] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11865), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11867), 1,
      sym_pow_operator,
    ACTIONS(11869), 1,
      sym_mult_operator,
    ACTIONS(11871), 1,
      sym_concat_operator,
    ACTIONS(11873), 1,
      sym_rel_operator,
    ACTIONS(11875), 1,
      sym_and_operator,
    STATE(2023), 1,
      sym_add_operator,
    STATE(9623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [470676] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11865), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11867), 1,
      sym_pow_operator,
    ACTIONS(11869), 1,
      sym_mult_operator,
    ACTIONS(11871), 1,
      sym_concat_operator,
    ACTIONS(11873), 1,
      sym_rel_operator,
    ACTIONS(11875), 1,
      sym_and_operator,
    ACTIONS(11877), 1,
      sym_or_operator,
    STATE(2023), 1,
      sym_add_operator,
    STATE(9624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [470734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8116), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [470774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8120), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [470814] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11863), 1,
      anon_sym_COMMA,
    ACTIONS(11865), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11867), 1,
      sym_pow_operator,
    ACTIONS(11869), 1,
      sym_mult_operator,
    ACTIONS(11871), 1,
      sym_concat_operator,
    ACTIONS(11873), 1,
      sym_rel_operator,
    ACTIONS(11875), 1,
      sym_and_operator,
    ACTIONS(11877), 1,
      sym_or_operator,
    ACTIONS(11879), 1,
      sym_assign_operator,
    STATE(2023), 1,
      sym_add_operator,
    STATE(9627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [470876] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11814), 1,
      sym_pow_operator,
    STATE(1844), 1,
      sym_add_operator,
    STATE(9628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [470920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8130), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [470960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8140), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [471000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8144), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [471040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8150), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [471080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8156), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [471120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8160), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [471160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8164), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [471200] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11867), 1,
      sym_pow_operator,
    ACTIONS(11869), 1,
      sym_mult_operator,
    STATE(2023), 1,
      sym_add_operator,
    STATE(9636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [471246] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10133), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11863), 1,
      anon_sym_COMMA,
    ACTIONS(11865), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11867), 1,
      sym_pow_operator,
    ACTIONS(11869), 1,
      sym_mult_operator,
    ACTIONS(11871), 1,
      sym_concat_operator,
    ACTIONS(11873), 1,
      sym_rel_operator,
    ACTIONS(11875), 1,
      sym_and_operator,
    ACTIONS(11877), 1,
      sym_or_operator,
    ACTIONS(11879), 1,
      sym_assign_operator,
    STATE(2023), 1,
      sym_add_operator,
    STATE(9637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [471308] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11672), 1,
      sym__lowercase_identifier,
    ACTIONS(11674), 1,
      anon_sym_POUND,
    ACTIONS(11983), 1,
      anon_sym_STAR,
    STATE(9638), 1,
      sym_attribute,
    STATE(10143), 1,
      sym_type_constructor_path,
    STATE(10891), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11510), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11745), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [471362] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11959), 1,
      anon_sym_else,
    STATE(7779), 1,
      sym_else_clause,
    STATE(9639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [471406] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11885), 1,
      sym__lowercase_identifier,
    ACTIONS(11887), 1,
      anon_sym_let,
    ACTIONS(11889), 1,
      anon_sym_LPAREN,
    ACTIONS(11891), 1,
      anon_sym_LBRACK,
    ACTIONS(11893), 1,
      anon_sym_object,
    ACTIONS(11895), 1,
      anon_sym_fun,
    ACTIONS(11897), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11899), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2472), 1,
      sym__simple_class_expression,
    STATE(9640), 1,
      sym_attribute,
    STATE(10710), 1,
      sym__class_expression,
    STATE(19245), 1,
      sym_value_definition,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7231), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [471474] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10143), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11863), 1,
      anon_sym_COMMA,
    ACTIONS(11865), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11867), 1,
      sym_pow_operator,
    ACTIONS(11869), 1,
      sym_mult_operator,
    ACTIONS(11871), 1,
      sym_concat_operator,
    ACTIONS(11873), 1,
      sym_rel_operator,
    ACTIONS(11875), 1,
      sym_and_operator,
    ACTIONS(11877), 1,
      sym_or_operator,
    ACTIONS(11879), 1,
      sym_assign_operator,
    STATE(2023), 1,
      sym_add_operator,
    STATE(9641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [471536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9080), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [471576] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11814), 1,
      sym_pow_operator,
    STATE(1844), 1,
      sym_add_operator,
    STATE(9643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [471620] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11812), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11814), 1,
      sym_pow_operator,
    ACTIONS(11816), 1,
      sym_mult_operator,
    ACTIONS(11818), 1,
      sym_concat_operator,
    STATE(1844), 1,
      sym_add_operator,
    STATE(9644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [471672] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11812), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11814), 1,
      sym_pow_operator,
    ACTIONS(11816), 1,
      sym_mult_operator,
    ACTIONS(11818), 1,
      sym_concat_operator,
    STATE(1844), 1,
      sym_add_operator,
    STATE(9645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [471724] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11987), 1,
      anon_sym_let,
    ACTIONS(11989), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9646), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
    ACTIONS(11985), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [471768] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11812), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11814), 1,
      sym_pow_operator,
    ACTIONS(11816), 1,
      sym_mult_operator,
    ACTIONS(11818), 1,
      sym_concat_operator,
    ACTIONS(11820), 1,
      sym_rel_operator,
    ACTIONS(11822), 1,
      sym_and_operator,
    STATE(1844), 1,
      sym_add_operator,
    STATE(9647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10115), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [471824] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11812), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11814), 1,
      sym_pow_operator,
    ACTIONS(11816), 1,
      sym_mult_operator,
    ACTIONS(11818), 1,
      sym_concat_operator,
    ACTIONS(11820), 1,
      sym_rel_operator,
    ACTIONS(11822), 1,
      sym_and_operator,
    ACTIONS(11824), 1,
      sym_or_operator,
    STATE(1844), 1,
      sym_add_operator,
    STATE(9648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [471882] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11810), 1,
      anon_sym_COMMA,
    ACTIONS(11812), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11814), 1,
      sym_pow_operator,
    ACTIONS(11816), 1,
      sym_mult_operator,
    ACTIONS(11818), 1,
      sym_concat_operator,
    ACTIONS(11820), 1,
      sym_rel_operator,
    ACTIONS(11822), 1,
      sym_and_operator,
    ACTIONS(11824), 1,
      sym_or_operator,
    ACTIONS(11826), 1,
      sym_assign_operator,
    STATE(1844), 1,
      sym_add_operator,
    STATE(9649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [471944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11646), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11644), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [471984] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11814), 1,
      sym_pow_operator,
    ACTIONS(11816), 1,
      sym_mult_operator,
    STATE(1844), 1,
      sym_add_operator,
    STATE(9651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [472030] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11164), 1,
      sym__lowercase_identifier,
    ACTIONS(11404), 1,
      anon_sym_POUND,
    STATE(9262), 1,
      sym_type_constructor_path,
    STATE(9652), 1,
      sym_attribute,
    STATE(16845), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11927), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11929), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [472080] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(6329), 1,
      anon_sym_object,
    ACTIONS(8482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11901), 1,
      sym__lowercase_identifier,
    ACTIONS(11903), 1,
      anon_sym_let,
    ACTIONS(11905), 1,
      anon_sym_LPAREN,
    ACTIONS(11907), 1,
      anon_sym_LBRACK,
    ACTIONS(11909), 1,
      anon_sym_fun,
    STATE(2496), 1,
      sym__simple_class_expression,
    STATE(9653), 1,
      sym_attribute,
    STATE(10487), 1,
      sym__class_expression,
    STATE(17599), 1,
      sym_module_path,
    STATE(19715), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7644), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [472148] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(355), 1,
      sym_let_operator,
    ACTIONS(7621), 1,
      anon_sym_object,
    ACTIONS(7633), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7635), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(11846), 1,
      sym__lowercase_identifier,
    ACTIONS(11848), 1,
      anon_sym_let,
    ACTIONS(11850), 1,
      anon_sym_LPAREN,
    ACTIONS(11852), 1,
      anon_sym_LBRACK,
    ACTIONS(11854), 1,
      anon_sym_fun,
    STATE(2795), 1,
      sym__simple_class_expression,
    STATE(9654), 1,
      sym_attribute,
    STATE(15898), 1,
      sym__class_expression,
    STATE(20053), 1,
      sym_value_definition,
    STATE(20075), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9214), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9892), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [472216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11348), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11346), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [472256] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11810), 1,
      anon_sym_COMMA,
    ACTIONS(11812), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11814), 1,
      sym_pow_operator,
    ACTIONS(11816), 1,
      sym_mult_operator,
    ACTIONS(11818), 1,
      sym_concat_operator,
    ACTIONS(11820), 1,
      sym_rel_operator,
    ACTIONS(11822), 1,
      sym_and_operator,
    ACTIONS(11824), 1,
      sym_or_operator,
    ACTIONS(11826), 1,
      sym_assign_operator,
    STATE(1844), 1,
      sym_add_operator,
    STATE(9656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10133), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [472318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11358), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [472358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11414), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [472398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11440), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [472438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8122), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [472478] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(11992), 1,
      anon_sym_LPAREN,
    ACTIONS(11994), 1,
      anon_sym_LBRACK,
    STATE(9661), 1,
      sym_attribute,
    STATE(10202), 1,
      sym__constructor_name,
    STATE(11040), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11971), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11996), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11969), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [472530] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9778), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9780), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11178), 1,
      sym__lowercase_identifier,
    ACTIONS(11180), 1,
      anon_sym_LPAREN,
    ACTIONS(11182), 1,
      anon_sym_LBRACK,
    ACTIONS(11184), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11186), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11188), 1,
      anon_sym_LT,
    ACTIONS(11190), 1,
      anon_sym_POUND,
    ACTIONS(11192), 1,
      aux_sym_type_variable_token1,
    STATE(9662), 1,
      sym_attribute,
    STATE(10638), 1,
      sym__simple_type,
    STATE(16727), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10756), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8110), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [472632] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11082), 1,
      sym__lowercase_identifier,
    ACTIONS(11084), 1,
      anon_sym_LPAREN,
    ACTIONS(11086), 1,
      anon_sym_LBRACK,
    ACTIONS(11088), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11090), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11092), 1,
      anon_sym_LT,
    ACTIONS(11094), 1,
      anon_sym_POUND,
    ACTIONS(11096), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11098), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11100), 1,
      aux_sym_type_variable_token1,
    STATE(9664), 1,
      sym_attribute,
    STATE(13495), 1,
      sym__simple_type,
    STATE(16438), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13442), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472695] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11082), 1,
      sym__lowercase_identifier,
    ACTIONS(11084), 1,
      anon_sym_LPAREN,
    ACTIONS(11086), 1,
      anon_sym_LBRACK,
    ACTIONS(11088), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11090), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11092), 1,
      anon_sym_LT,
    ACTIONS(11094), 1,
      anon_sym_POUND,
    ACTIONS(11096), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11098), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11100), 1,
      aux_sym_type_variable_token1,
    STATE(9665), 1,
      sym_attribute,
    STATE(13500), 1,
      sym__simple_type,
    STATE(16438), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13442), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11370), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [472797] = 17,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    STATE(9667), 1,
      sym_attribute,
    STATE(13457), 1,
      sym__simple_type,
    STATE(16860), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472860] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11082), 1,
      sym__lowercase_identifier,
    ACTIONS(11084), 1,
      anon_sym_LPAREN,
    ACTIONS(11086), 1,
      anon_sym_LBRACK,
    ACTIONS(11088), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11090), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11092), 1,
      anon_sym_LT,
    ACTIONS(11094), 1,
      anon_sym_POUND,
    ACTIONS(11096), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11098), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11100), 1,
      aux_sym_type_variable_token1,
    STATE(9668), 1,
      sym_attribute,
    STATE(13504), 1,
      sym__simple_type,
    STATE(16438), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13442), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472923] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11170), 1,
      sym__lowercase_identifier,
    ACTIONS(11426), 1,
      anon_sym_POUND,
    STATE(9267), 1,
      sym_type_constructor_path,
    STATE(9669), 1,
      sym_attribute,
    STATE(16583), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11998), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12000), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [472972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7964), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [473011] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9888), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(9671), 1,
      sym_attribute,
    STATE(10194), 1,
      sym__simple_type,
    STATE(16712), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10440), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473074] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9888), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(9672), 1,
      sym_attribute,
    STATE(10479), 1,
      sym__simple_type,
    STATE(16712), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10440), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8122), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [473176] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9888), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(9674), 1,
      sym_attribute,
    STATE(10480), 1,
      sym__simple_type,
    STATE(16712), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10440), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473239] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9888), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(9675), 1,
      sym_attribute,
    STATE(10482), 1,
      sym__simple_type,
    STATE(16712), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10440), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11370), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [473341] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9888), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(9677), 1,
      sym_attribute,
    STATE(10483), 1,
      sym__simple_type,
    STATE(16712), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10440), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473404] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9888), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(9678), 1,
      sym_attribute,
    STATE(10484), 1,
      sym__simple_type,
    STATE(16712), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10440), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473467] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9886), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9888), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(11140), 1,
      anon_sym_LPAREN,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11148), 1,
      anon_sym_LT,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    ACTIONS(11152), 1,
      aux_sym_type_variable_token1,
    STATE(9679), 1,
      sym_attribute,
    STATE(10485), 1,
      sym__simple_type,
    STATE(16712), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10440), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11262), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [473569] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10757), 1,
      anon_sym_LPAREN,
    ACTIONS(10761), 1,
      anon_sym_LBRACK,
    ACTIONS(10763), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10765), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10767), 1,
      anon_sym_LT,
    ACTIONS(10769), 1,
      anon_sym_POUND,
    ACTIONS(10771), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10773), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10775), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12002), 1,
      sym__lowercase_identifier,
    STATE(8949), 1,
      sym__simple_type,
    STATE(9681), 1,
      sym_attribute,
    STATE(16741), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9428), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11342), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [473671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11432), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [473710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11284), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11282), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [473749] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9412), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [473788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11436), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [473827] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10085), 1,
      anon_sym_LT,
    ACTIONS(10087), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10091), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10093), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(9687), 1,
      sym_attribute,
    STATE(11002), 1,
      sym__simple_type,
    STATE(16608), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473890] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10085), 1,
      anon_sym_LT,
    ACTIONS(10087), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10091), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10093), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(9688), 1,
      sym_attribute,
    STATE(11201), 1,
      sym__simple_type,
    STATE(16608), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473953] = 17,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    STATE(9689), 1,
      sym_attribute,
    STATE(11734), 1,
      sym__simple_type,
    STATE(16860), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474016] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10085), 1,
      anon_sym_LT,
    ACTIONS(10087), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10091), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10093), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(9690), 1,
      sym_attribute,
    STATE(11210), 1,
      sym__simple_type,
    STATE(16608), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474079] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9416), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [474118] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12004), 1,
      sym__lowercase_identifier,
    ACTIONS(12006), 1,
      anon_sym_POUND,
    STATE(9692), 1,
      sym_attribute,
    STATE(10417), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11506), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11508), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [474173] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12004), 1,
      sym__lowercase_identifier,
    ACTIONS(12006), 1,
      anon_sym_POUND,
    STATE(9693), 1,
      sym_attribute,
    STATE(10417), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11516), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [474228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11218), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11222), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12010), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12008), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [474345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11234), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474384] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11711), 1,
      anon_sym_COLON2,
    STATE(9698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9002), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474425] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9420), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [474464] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(11130), 1,
      sym__lowercase_identifier,
    STATE(9511), 1,
      sym__simple_type,
    STATE(9700), 1,
      sym_attribute,
    STATE(16479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474527] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12004), 1,
      sym__lowercase_identifier,
    ACTIONS(12006), 1,
      anon_sym_POUND,
    STATE(9701), 1,
      sym_attribute,
    STATE(10417), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11586), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [474582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11242), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474621] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10085), 1,
      anon_sym_LT,
    ACTIONS(10087), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10091), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10093), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(9703), 1,
      sym_attribute,
    STATE(11068), 1,
      sym__simple_type,
    STATE(16608), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474684] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(9704), 1,
      sym_attribute,
    STATE(10048), 1,
      sym__simple_type,
    STATE(16581), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474747] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11170), 1,
      sym__lowercase_identifier,
    ACTIONS(11426), 1,
      anon_sym_POUND,
    STATE(9267), 1,
      sym_type_constructor_path,
    STATE(9705), 1,
      sym_attribute,
    STATE(16583), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12012), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12014), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [474796] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(9706), 1,
      sym_attribute,
    STATE(10195), 1,
      sym__simple_type,
    STATE(16581), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474859] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(9707), 1,
      sym_attribute,
    STATE(10203), 1,
      sym__simple_type,
    STATE(16581), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474922] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(9708), 1,
      sym_attribute,
    STATE(10244), 1,
      sym__simple_type,
    STATE(16581), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474985] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(9709), 1,
      sym_attribute,
    STATE(10248), 1,
      sym__simple_type,
    STATE(16581), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475048] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(9710), 1,
      sym_attribute,
    STATE(10249), 1,
      sym__simple_type,
    STATE(16581), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475111] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(9711), 1,
      sym_attribute,
    STATE(10250), 1,
      sym__simple_type,
    STATE(16581), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475174] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9744), 1,
      anon_sym_LPAREN,
    ACTIONS(9746), 1,
      anon_sym_LBRACK,
    ACTIONS(9748), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9750), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9752), 1,
      anon_sym_LT,
    ACTIONS(9754), 1,
      anon_sym_POUND,
    ACTIONS(9756), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9758), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9760), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12016), 1,
      sym__lowercase_identifier,
    STATE(9712), 1,
      sym_attribute,
    STATE(11837), 1,
      sym__simple_type,
    STATE(16776), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12583), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475237] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10085), 1,
      anon_sym_LT,
    ACTIONS(10087), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10091), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10093), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(9713), 1,
      sym_attribute,
    STATE(11131), 1,
      sym__simple_type,
    STATE(16608), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475300] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10085), 1,
      anon_sym_LT,
    ACTIONS(10087), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10091), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10093), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(9714), 1,
      sym_attribute,
    STATE(11132), 1,
      sym__simple_type,
    STATE(16608), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475363] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12004), 1,
      sym__lowercase_identifier,
    ACTIONS(12006), 1,
      anon_sym_POUND,
    STATE(9715), 1,
      sym_attribute,
    STATE(10417), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11594), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [475418] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12004), 1,
      sym__lowercase_identifier,
    ACTIONS(12006), 1,
      anon_sym_POUND,
    STATE(9716), 1,
      sym_attribute,
    STATE(10417), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11598), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [475473] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11707), 1,
      sym__lowercase_identifier,
    ACTIONS(11911), 1,
      anon_sym_POUND,
    ACTIONS(12018), 1,
      anon_sym_STAR,
    STATE(9686), 1,
      sym_type_constructor_path,
    STATE(9717), 1,
      sym_attribute,
    STATE(11113), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16795), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11510), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11745), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [475526] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10085), 1,
      anon_sym_LT,
    ACTIONS(10087), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10091), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10093), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(9718), 1,
      sym_attribute,
    STATE(11167), 1,
      sym__simple_type,
    STATE(16608), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11214), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [475628] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10008), 1,
      anon_sym_LT,
    ACTIONS(10010), 1,
      anon_sym_POUND,
    ACTIONS(10012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10016), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11168), 1,
      sym__lowercase_identifier,
    STATE(9720), 1,
      sym_attribute,
    STATE(11000), 1,
      sym__simple_type,
    STATE(16517), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475691] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12004), 1,
      sym__lowercase_identifier,
    ACTIONS(12006), 1,
      anon_sym_POUND,
    STATE(9721), 1,
      sym_attribute,
    STATE(10417), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11606), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [475746] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11741), 1,
      sym__lowercase_identifier,
    ACTIONS(11743), 1,
      anon_sym_POUND,
    STATE(9722), 1,
      sym_attribute,
    STATE(10123), 1,
      sym_type_constructor_path,
    STATE(16828), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11927), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11929), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [475795] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12020), 1,
      sym__lowercase_identifier,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    STATE(9723), 1,
      sym_attribute,
    STATE(10695), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11594), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [475850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11436), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [475889] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10008), 1,
      anon_sym_LT,
    ACTIONS(10010), 1,
      anon_sym_POUND,
    ACTIONS(10012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10016), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11168), 1,
      sym__lowercase_identifier,
    STATE(9725), 1,
      sym_attribute,
    STATE(11243), 1,
      sym__simple_type,
    STATE(16517), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7966), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [475991] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9004), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(12024), 1,
      anon_sym_EQ,
    ACTIONS(12026), 1,
      anon_sym_COLON_EQ,
    ACTIONS(12028), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(9727), 1,
      sym_attribute,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10570), 1,
      aux_sym_expression_item_repeat1,
    STATE(10682), 1,
      sym__type_equation,
    STATE(10865), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11727), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [476048] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10749), 1,
      anon_sym_LPAREN,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    STATE(9035), 1,
      sym__simple_type,
    STATE(9728), 1,
      sym_attribute,
    STATE(17370), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476111] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10051), 1,
      anon_sym_LPAREN,
    ACTIONS(10053), 1,
      anon_sym_LBRACK,
    ACTIONS(10055), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10057), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10059), 1,
      anon_sym_LT,
    ACTIONS(10061), 1,
      anon_sym_POUND,
    ACTIONS(10063), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10065), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10067), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12030), 1,
      sym__lowercase_identifier,
    STATE(9729), 1,
      sym_attribute,
    STATE(11001), 1,
      sym__simple_type,
    STATE(16551), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11649), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476174] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10008), 1,
      anon_sym_LT,
    ACTIONS(10010), 1,
      anon_sym_POUND,
    ACTIONS(10012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10016), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11168), 1,
      sym__lowercase_identifier,
    STATE(9730), 1,
      sym_attribute,
    STATE(11361), 1,
      sym__simple_type,
    STATE(16517), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11348), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11346), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [476276] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10668), 1,
      anon_sym_LPAREN,
    ACTIONS(10672), 1,
      anon_sym_LBRACK,
    ACTIONS(10674), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10678), 1,
      anon_sym_LT,
    ACTIONS(10680), 1,
      anon_sym_POUND,
    ACTIONS(10682), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10684), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10686), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12032), 1,
      sym__lowercase_identifier,
    STATE(8815), 1,
      sym__simple_type,
    STATE(9732), 1,
      sym_attribute,
    STATE(16843), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8959), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11358), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [476378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12036), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12034), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [476417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11504), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11502), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [476456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11414), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [476495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12040), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12038), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [476534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11440), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [476573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8112), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [476612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8124), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [476651] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8100), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [476690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11342), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [476729] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11102), 1,
      sym__lowercase_identifier,
    ACTIONS(11104), 1,
      anon_sym_LPAREN,
    ACTIONS(11106), 1,
      anon_sym_LBRACK,
    ACTIONS(11108), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11112), 1,
      anon_sym_LT,
    ACTIONS(11114), 1,
      anon_sym_POUND,
    ACTIONS(11116), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11118), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11120), 1,
      aux_sym_type_variable_token1,
    STATE(9743), 1,
      sym_attribute,
    STATE(10292), 1,
      sym__simple_type,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10675), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476792] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11102), 1,
      sym__lowercase_identifier,
    ACTIONS(11104), 1,
      anon_sym_LPAREN,
    ACTIONS(11106), 1,
      anon_sym_LBRACK,
    ACTIONS(11108), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11112), 1,
      anon_sym_LT,
    ACTIONS(11114), 1,
      anon_sym_POUND,
    ACTIONS(11116), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11118), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11120), 1,
      aux_sym_type_variable_token1,
    STATE(9744), 1,
      sym_attribute,
    STATE(10720), 1,
      sym__simple_type,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10675), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476855] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12020), 1,
      sym__lowercase_identifier,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    STATE(9745), 1,
      sym_attribute,
    STATE(10695), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11598), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [476910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11524), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11522), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [476949] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11102), 1,
      sym__lowercase_identifier,
    ACTIONS(11104), 1,
      anon_sym_LPAREN,
    ACTIONS(11106), 1,
      anon_sym_LBRACK,
    ACTIONS(11108), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11112), 1,
      anon_sym_LT,
    ACTIONS(11114), 1,
      anon_sym_POUND,
    ACTIONS(11116), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11118), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11120), 1,
      aux_sym_type_variable_token1,
    STATE(9747), 1,
      sym_attribute,
    STATE(10721), 1,
      sym__simple_type,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10675), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9002), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477051] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11701), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11372), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11370), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477092] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10008), 1,
      anon_sym_LT,
    ACTIONS(10010), 1,
      anon_sym_POUND,
    ACTIONS(10012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10016), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11168), 1,
      sym__lowercase_identifier,
    STATE(9750), 1,
      sym_attribute,
    STATE(11189), 1,
      sym__simple_type,
    STATE(16517), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11528), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11526), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11242), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11536), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11534), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477272] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9424), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [477311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11538), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477350] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11102), 1,
      sym__lowercase_identifier,
    ACTIONS(11104), 1,
      anon_sym_LPAREN,
    ACTIONS(11106), 1,
      anon_sym_LBRACK,
    ACTIONS(11108), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11112), 1,
      anon_sym_LT,
    ACTIONS(11114), 1,
      anon_sym_POUND,
    ACTIONS(11116), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11118), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11120), 1,
      aux_sym_type_variable_token1,
    STATE(9756), 1,
      sym_attribute,
    STATE(10725), 1,
      sym__simple_type,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10675), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477413] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11102), 1,
      sym__lowercase_identifier,
    ACTIONS(11104), 1,
      anon_sym_LPAREN,
    ACTIONS(11106), 1,
      anon_sym_LBRACK,
    ACTIONS(11108), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11112), 1,
      anon_sym_LT,
    ACTIONS(11114), 1,
      anon_sym_POUND,
    ACTIONS(11116), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11118), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11120), 1,
      aux_sym_type_variable_token1,
    STATE(9757), 1,
      sym_attribute,
    STATE(10728), 1,
      sym__simple_type,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10675), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477476] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11102), 1,
      sym__lowercase_identifier,
    ACTIONS(11104), 1,
      anon_sym_LPAREN,
    ACTIONS(11106), 1,
      anon_sym_LBRACK,
    ACTIONS(11108), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11112), 1,
      anon_sym_LT,
    ACTIONS(11114), 1,
      anon_sym_POUND,
    ACTIONS(11116), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11118), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11120), 1,
      aux_sym_type_variable_token1,
    STATE(9758), 1,
      sym_attribute,
    STATE(10729), 1,
      sym__simple_type,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10675), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477539] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11102), 1,
      sym__lowercase_identifier,
    ACTIONS(11104), 1,
      anon_sym_LPAREN,
    ACTIONS(11106), 1,
      anon_sym_LBRACK,
    ACTIONS(11108), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11112), 1,
      anon_sym_LT,
    ACTIONS(11114), 1,
      anon_sym_POUND,
    ACTIONS(11116), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11118), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11120), 1,
      aux_sym_type_variable_token1,
    STATE(9759), 1,
      sym_attribute,
    STATE(10734), 1,
      sym__simple_type,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10675), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7920), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [477641] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10008), 1,
      anon_sym_LT,
    ACTIONS(10010), 1,
      anon_sym_POUND,
    ACTIONS(10012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10016), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11168), 1,
      sym__lowercase_identifier,
    STATE(9761), 1,
      sym_attribute,
    STATE(11390), 1,
      sym__simple_type,
    STATE(16517), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477704] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10008), 1,
      anon_sym_LT,
    ACTIONS(10010), 1,
      anon_sym_POUND,
    ACTIONS(10012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10016), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11168), 1,
      sym__lowercase_identifier,
    STATE(9762), 1,
      sym_attribute,
    STATE(11413), 1,
      sym__simple_type,
    STATE(16517), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477767] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      sym__lowercase_identifier,
    STATE(9015), 1,
      sym__simple_type,
    STATE(9763), 1,
      sym_attribute,
    STATE(16651), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477830] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12042), 1,
      sym__lowercase_identifier,
    ACTIONS(12044), 1,
      anon_sym_POUND,
    STATE(9764), 1,
      sym_attribute,
    STATE(10459), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16630), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11586), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [477885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11544), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11542), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477924] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11062), 1,
      sym__lowercase_identifier,
    ACTIONS(11064), 1,
      anon_sym_LPAREN,
    ACTIONS(11066), 1,
      anon_sym_LBRACK,
    ACTIONS(11068), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11072), 1,
      anon_sym_LT,
    ACTIONS(11074), 1,
      anon_sym_POUND,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11080), 1,
      aux_sym_type_variable_token1,
    STATE(9766), 1,
      sym_attribute,
    STATE(10371), 1,
      sym__simple_type,
    STATE(16385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10425), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477987] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11062), 1,
      sym__lowercase_identifier,
    ACTIONS(11064), 1,
      anon_sym_LPAREN,
    ACTIONS(11066), 1,
      anon_sym_LBRACK,
    ACTIONS(11068), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11072), 1,
      anon_sym_LT,
    ACTIONS(11074), 1,
      anon_sym_POUND,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11080), 1,
      aux_sym_type_variable_token1,
    STATE(9767), 1,
      sym_attribute,
    STATE(10528), 1,
      sym__simple_type,
    STATE(16385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10425), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478050] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10008), 1,
      anon_sym_LT,
    ACTIONS(10010), 1,
      anon_sym_POUND,
    ACTIONS(10012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10016), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11168), 1,
      sym__lowercase_identifier,
    STATE(9768), 1,
      sym_attribute,
    STATE(11529), 1,
      sym__simple_type,
    STATE(16517), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478113] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9778), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9780), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11178), 1,
      sym__lowercase_identifier,
    ACTIONS(11180), 1,
      anon_sym_LPAREN,
    ACTIONS(11182), 1,
      anon_sym_LBRACK,
    ACTIONS(11184), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11186), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11188), 1,
      anon_sym_LT,
    ACTIONS(11190), 1,
      anon_sym_POUND,
    ACTIONS(11192), 1,
      aux_sym_type_variable_token1,
    STATE(9769), 1,
      sym_attribute,
    STATE(10309), 1,
      sym__simple_type,
    STATE(16727), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10756), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478176] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9778), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9780), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11178), 1,
      sym__lowercase_identifier,
    ACTIONS(11180), 1,
      anon_sym_LPAREN,
    ACTIONS(11182), 1,
      anon_sym_LBRACK,
    ACTIONS(11184), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11186), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11188), 1,
      anon_sym_LT,
    ACTIONS(11190), 1,
      anon_sym_POUND,
    ACTIONS(11192), 1,
      aux_sym_type_variable_token1,
    STATE(9770), 1,
      sym_attribute,
    STATE(10632), 1,
      sym__simple_type,
    STATE(16727), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10756), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478239] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11062), 1,
      sym__lowercase_identifier,
    ACTIONS(11064), 1,
      anon_sym_LPAREN,
    ACTIONS(11066), 1,
      anon_sym_LBRACK,
    ACTIONS(11068), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11072), 1,
      anon_sym_LT,
    ACTIONS(11074), 1,
      anon_sym_POUND,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11080), 1,
      aux_sym_type_variable_token1,
    STATE(9771), 1,
      sym_attribute,
    STATE(10530), 1,
      sym__simple_type,
    STATE(16385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10425), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11504), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11502), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11524), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11522), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478380] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9778), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9780), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11178), 1,
      sym__lowercase_identifier,
    ACTIONS(11180), 1,
      anon_sym_LPAREN,
    ACTIONS(11182), 1,
      anon_sym_LBRACK,
    ACTIONS(11184), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11186), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11188), 1,
      anon_sym_LT,
    ACTIONS(11190), 1,
      anon_sym_POUND,
    ACTIONS(11192), 1,
      aux_sym_type_variable_token1,
    STATE(9774), 1,
      sym_attribute,
    STATE(10633), 1,
      sym__simple_type,
    STATE(16727), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10756), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11528), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11526), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478482] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9778), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9780), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11178), 1,
      sym__lowercase_identifier,
    ACTIONS(11180), 1,
      anon_sym_LPAREN,
    ACTIONS(11182), 1,
      anon_sym_LBRACK,
    ACTIONS(11184), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11186), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11188), 1,
      anon_sym_LT,
    ACTIONS(11190), 1,
      anon_sym_POUND,
    ACTIONS(11192), 1,
      aux_sym_type_variable_token1,
    STATE(9776), 1,
      sym_attribute,
    STATE(10634), 1,
      sym__simple_type,
    STATE(16727), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10756), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11536), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11534), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478584] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9778), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9780), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11178), 1,
      sym__lowercase_identifier,
    ACTIONS(11180), 1,
      anon_sym_LPAREN,
    ACTIONS(11182), 1,
      anon_sym_LBRACK,
    ACTIONS(11184), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11186), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11188), 1,
      anon_sym_LT,
    ACTIONS(11190), 1,
      anon_sym_POUND,
    ACTIONS(11192), 1,
      aux_sym_type_variable_token1,
    STATE(9778), 1,
      sym_attribute,
    STATE(10636), 1,
      sym__simple_type,
    STATE(16727), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10756), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11538), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478686] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9778), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9780), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11178), 1,
      sym__lowercase_identifier,
    ACTIONS(11180), 1,
      anon_sym_LPAREN,
    ACTIONS(11182), 1,
      anon_sym_LBRACK,
    ACTIONS(11184), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11186), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11188), 1,
      anon_sym_LT,
    ACTIONS(11190), 1,
      anon_sym_POUND,
    ACTIONS(11192), 1,
      aux_sym_type_variable_token1,
    STATE(9780), 1,
      sym_attribute,
    STATE(10637), 1,
      sym__simple_type,
    STATE(16727), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10756), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11544), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11542), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11494), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478827] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10727), 1,
      anon_sym_LPAREN,
    ACTIONS(10731), 1,
      anon_sym_LBRACK,
    ACTIONS(10733), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10735), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10737), 1,
      anon_sym_LT,
    ACTIONS(10739), 1,
      anon_sym_POUND,
    ACTIONS(10741), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10743), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10745), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12046), 1,
      sym__lowercase_identifier,
    STATE(9158), 1,
      sym__simple_type,
    STATE(9783), 1,
      sym_attribute,
    STATE(16791), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9403), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478890] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12048), 1,
      sym__lowercase_identifier,
    ACTIONS(12050), 1,
      anon_sym_POUND,
    STATE(9784), 1,
      sym_attribute,
    STATE(10478), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16887), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11506), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11508), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [478945] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12048), 1,
      sym__lowercase_identifier,
    ACTIONS(12050), 1,
      anon_sym_POUND,
    STATE(9785), 1,
      sym_attribute,
    STATE(10478), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16887), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11516), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [479000] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12052), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12054), 1,
      sym_pow_operator,
    ACTIONS(12056), 1,
      sym_mult_operator,
    ACTIONS(12058), 1,
      sym_concat_operator,
    ACTIONS(12060), 1,
      sym_rel_operator,
    ACTIONS(12062), 1,
      sym_and_operator,
    ACTIONS(12064), 1,
      sym_or_operator,
    STATE(2051), 1,
      sym_add_operator,
    STATE(9786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [479057] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11062), 1,
      sym__lowercase_identifier,
    ACTIONS(11064), 1,
      anon_sym_LPAREN,
    ACTIONS(11066), 1,
      anon_sym_LBRACK,
    ACTIONS(11068), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11072), 1,
      anon_sym_LT,
    ACTIONS(11074), 1,
      anon_sym_POUND,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11080), 1,
      aux_sym_type_variable_token1,
    STATE(9787), 1,
      sym_attribute,
    STATE(10684), 1,
      sym__simple_type,
    STATE(16385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10425), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11552), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11550), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11558), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11564), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11562), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479237] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12052), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12054), 1,
      sym_pow_operator,
    ACTIONS(12056), 1,
      sym_mult_operator,
    STATE(2051), 1,
      sym_add_operator,
    STATE(9791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [479286] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11062), 1,
      sym__lowercase_identifier,
    ACTIONS(11064), 1,
      anon_sym_LPAREN,
    ACTIONS(11066), 1,
      anon_sym_LBRACK,
    ACTIONS(11068), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11072), 1,
      anon_sym_LT,
    ACTIONS(11074), 1,
      anon_sym_POUND,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11080), 1,
      aux_sym_type_variable_token1,
    STATE(9792), 1,
      sym_attribute,
    STATE(10598), 1,
      sym__simple_type,
    STATE(16385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10425), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479349] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12054), 1,
      sym_pow_operator,
    STATE(2051), 1,
      sym_add_operator,
    STATE(9793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [479392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7918), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [479431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9002), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479470] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12048), 1,
      sym__lowercase_identifier,
    ACTIONS(12050), 1,
      anon_sym_POUND,
    STATE(9796), 1,
      sym_attribute,
    STATE(10478), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16887), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11586), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [479525] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12054), 1,
      sym_pow_operator,
    STATE(2051), 1,
      sym_add_operator,
    STATE(9797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [479568] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12052), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12054), 1,
      sym_pow_operator,
    ACTIONS(12056), 1,
      sym_mult_operator,
    ACTIONS(12058), 1,
      sym_concat_operator,
    STATE(2051), 1,
      sym_add_operator,
    STATE(9798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [479619] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12052), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12054), 1,
      sym_pow_operator,
    ACTIONS(12056), 1,
      sym_mult_operator,
    ACTIONS(12058), 1,
      sym_concat_operator,
    STATE(2051), 1,
      sym_add_operator,
    STATE(9799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [479670] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11164), 1,
      sym__lowercase_identifier,
    ACTIONS(11404), 1,
      anon_sym_POUND,
    STATE(9262), 1,
      sym_type_constructor_path,
    STATE(9800), 1,
      sym_attribute,
    STATE(16845), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11594), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [479719] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11672), 1,
      sym__lowercase_identifier,
    ACTIONS(11674), 1,
      anon_sym_POUND,
    STATE(9801), 1,
      sym_attribute,
    STATE(10143), 1,
      sym_type_constructor_path,
    STATE(16919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11927), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11929), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [479768] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11164), 1,
      sym__lowercase_identifier,
    ACTIONS(11404), 1,
      anon_sym_POUND,
    STATE(9262), 1,
      sym_type_constructor_path,
    STATE(9802), 1,
      sym_attribute,
    STATE(16845), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11598), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [479817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11494), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479856] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8436), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [479895] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12052), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12054), 1,
      sym_pow_operator,
    ACTIONS(12056), 1,
      sym_mult_operator,
    ACTIONS(12058), 1,
      sym_concat_operator,
    ACTIONS(12060), 1,
      sym_rel_operator,
    ACTIONS(12062), 1,
      sym_and_operator,
    STATE(2051), 1,
      sym_add_operator,
    STATE(9805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [479950] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12048), 1,
      sym__lowercase_identifier,
    ACTIONS(12050), 1,
      anon_sym_POUND,
    STATE(9806), 1,
      sym_attribute,
    STATE(10478), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16887), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11594), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [480005] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12048), 1,
      sym__lowercase_identifier,
    ACTIONS(12050), 1,
      anon_sym_POUND,
    STATE(9807), 1,
      sym_attribute,
    STATE(10478), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16887), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11598), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [480060] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11164), 1,
      sym__lowercase_identifier,
    ACTIONS(11404), 1,
      anon_sym_POUND,
    STATE(9262), 1,
      sym_type_constructor_path,
    STATE(9808), 1,
      sym_attribute,
    STATE(16845), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11606), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [480109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11284), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11282), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [480148] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11164), 1,
      sym__lowercase_identifier,
    ACTIONS(11404), 1,
      anon_sym_POUND,
    STATE(9262), 1,
      sym_type_constructor_path,
    STATE(9810), 1,
      sym_attribute,
    STATE(16845), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12066), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12068), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [480197] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11164), 1,
      sym__lowercase_identifier,
    ACTIONS(11404), 1,
      anon_sym_POUND,
    STATE(9262), 1,
      sym_type_constructor_path,
    STATE(9811), 1,
      sym_attribute,
    STATE(16845), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11998), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12000), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [480246] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9002), 1,
      sym__lowercase_identifier,
    ACTIONS(12070), 1,
      anon_sym_COLON2,
    STATE(9812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11216), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11214), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [480291] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11082), 1,
      sym__lowercase_identifier,
    ACTIONS(11084), 1,
      anon_sym_LPAREN,
    ACTIONS(11086), 1,
      anon_sym_LBRACK,
    ACTIONS(11088), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11090), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11092), 1,
      anon_sym_LT,
    ACTIONS(11094), 1,
      anon_sym_POUND,
    ACTIONS(11096), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11098), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11100), 1,
      aux_sym_type_variable_token1,
    STATE(9813), 1,
      sym_attribute,
    STATE(13344), 1,
      sym__simple_type,
    STATE(16438), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13442), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480354] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11082), 1,
      sym__lowercase_identifier,
    ACTIONS(11084), 1,
      anon_sym_LPAREN,
    ACTIONS(11086), 1,
      anon_sym_LBRACK,
    ACTIONS(11088), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11090), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11092), 1,
      anon_sym_LT,
    ACTIONS(11094), 1,
      anon_sym_POUND,
    ACTIONS(11096), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11098), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11100), 1,
      aux_sym_type_variable_token1,
    STATE(9814), 1,
      sym_attribute,
    STATE(13458), 1,
      sym__simple_type,
    STATE(16438), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13442), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480417] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11711), 1,
      anon_sym_COLON2,
    STATE(9815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9002), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [480458] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11164), 1,
      sym__lowercase_identifier,
    ACTIONS(11404), 1,
      anon_sym_POUND,
    STATE(9262), 1,
      sym_type_constructor_path,
    STATE(9816), 1,
      sym_attribute,
    STATE(16845), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12012), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12014), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [480507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12074), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12072), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [480546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11262), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [480585] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12048), 1,
      sym__lowercase_identifier,
    ACTIONS(12050), 1,
      anon_sym_POUND,
    STATE(9819), 1,
      sym_attribute,
    STATE(10478), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16887), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11606), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [480640] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9004), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(12026), 1,
      anon_sym_COLON_EQ,
    ACTIONS(12028), 1,
      anon_sym_constraint,
    ACTIONS(12076), 1,
      anon_sym_EQ,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(9820), 1,
      sym_attribute,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10668), 1,
      aux_sym_expression_item_repeat1,
    STATE(10687), 1,
      sym__type_equation,
    STATE(10874), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11715), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [480697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12080), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [480736] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11046), 1,
      sym__lowercase_identifier,
    ACTIONS(11048), 1,
      anon_sym_LPAREN,
    ACTIONS(11050), 1,
      anon_sym_LBRACK,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11054), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11056), 1,
      anon_sym_LT,
    ACTIONS(11058), 1,
      anon_sym_POUND,
    ACTIONS(11060), 1,
      aux_sym_type_variable_token1,
    STATE(9722), 1,
      sym__simple_type,
    STATE(9822), 1,
      sym_attribute,
    STATE(16383), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10114), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480799] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12082), 1,
      anon_sym_LPAREN,
    ACTIONS(12084), 1,
      anon_sym_LBRACK,
    STATE(9823), 1,
      sym_attribute,
    STATE(10506), 1,
      sym__constructor_name,
    STATE(11535), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11971), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12086), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11969), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [480850] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11046), 1,
      sym__lowercase_identifier,
    ACTIONS(11048), 1,
      anon_sym_LPAREN,
    ACTIONS(11050), 1,
      anon_sym_LBRACK,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11054), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11056), 1,
      anon_sym_LT,
    ACTIONS(11058), 1,
      anon_sym_POUND,
    ACTIONS(11060), 1,
      aux_sym_type_variable_token1,
    STATE(9824), 1,
      sym_attribute,
    STATE(10130), 1,
      sym__simple_type,
    STATE(16383), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10114), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480913] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12052), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12054), 1,
      sym_pow_operator,
    ACTIONS(12056), 1,
      sym_mult_operator,
    ACTIONS(12058), 1,
      sym_concat_operator,
    ACTIONS(12060), 1,
      sym_rel_operator,
    ACTIONS(12062), 1,
      sym_and_operator,
    ACTIONS(12064), 1,
      sym_or_operator,
    STATE(2051), 1,
      sym_add_operator,
    STATE(9825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [480970] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12052), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12054), 1,
      sym_pow_operator,
    ACTIONS(12056), 1,
      sym_mult_operator,
    ACTIONS(12058), 1,
      sym_concat_operator,
    ACTIONS(12060), 1,
      sym_rel_operator,
    ACTIONS(12062), 1,
      sym_and_operator,
    ACTIONS(12064), 1,
      sym_or_operator,
    ACTIONS(12088), 1,
      anon_sym_COMMA,
    ACTIONS(12090), 1,
      sym_assign_operator,
    STATE(2051), 1,
      sym_add_operator,
    STATE(9826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [481031] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10574), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(11697), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11699), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(9827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10572), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [481080] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10008), 1,
      anon_sym_LT,
    ACTIONS(10010), 1,
      anon_sym_POUND,
    ACTIONS(10012), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10016), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11168), 1,
      sym__lowercase_identifier,
    STATE(9828), 1,
      sym_attribute,
    STATE(10340), 1,
      sym__simple_type,
    STATE(16517), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481143] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      sym__lowercase_identifier,
    STATE(9652), 1,
      sym__simple_type,
    STATE(9829), 1,
      sym_attribute,
    STATE(16651), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481206] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      sym__lowercase_identifier,
    STATE(9800), 1,
      sym__simple_type,
    STATE(9830), 1,
      sym_attribute,
    STATE(16651), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481269] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11082), 1,
      sym__lowercase_identifier,
    ACTIONS(11084), 1,
      anon_sym_LPAREN,
    ACTIONS(11086), 1,
      anon_sym_LBRACK,
    ACTIONS(11088), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11090), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11092), 1,
      anon_sym_LT,
    ACTIONS(11094), 1,
      anon_sym_POUND,
    ACTIONS(11096), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11098), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11100), 1,
      aux_sym_type_variable_token1,
    STATE(9831), 1,
      sym_attribute,
    STATE(13459), 1,
      sym__simple_type,
    STATE(16438), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13442), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9080), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [481371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11214), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [481410] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      sym__lowercase_identifier,
    STATE(9802), 1,
      sym__simple_type,
    STATE(9834), 1,
      sym_attribute,
    STATE(16651), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481473] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      sym__lowercase_identifier,
    STATE(9808), 1,
      sym__simple_type,
    STATE(9835), 1,
      sym_attribute,
    STATE(16651), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11218), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [481575] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11046), 1,
      sym__lowercase_identifier,
    ACTIONS(11048), 1,
      anon_sym_LPAREN,
    ACTIONS(11050), 1,
      anon_sym_LBRACK,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11054), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11056), 1,
      anon_sym_LT,
    ACTIONS(11058), 1,
      anon_sym_POUND,
    ACTIONS(11060), 1,
      aux_sym_type_variable_token1,
    STATE(9837), 1,
      sym_attribute,
    STATE(10135), 1,
      sym__simple_type,
    STATE(16383), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10114), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481638] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10749), 1,
      anon_sym_LPAREN,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    STATE(9429), 1,
      sym__simple_type,
    STATE(9838), 1,
      sym_attribute,
    STATE(17370), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481701] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      sym__lowercase_identifier,
    STATE(9810), 1,
      sym__simple_type,
    STATE(9839), 1,
      sym_attribute,
    STATE(16651), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481764] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      sym__lowercase_identifier,
    STATE(9811), 1,
      sym__simple_type,
    STATE(9840), 1,
      sym_attribute,
    STATE(16651), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481827] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9334), 1,
      anon_sym_LT,
    ACTIONS(9336), 1,
      anon_sym_POUND,
    ACTIONS(9338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9342), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10717), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(11196), 1,
      sym__lowercase_identifier,
    STATE(9816), 1,
      sym__simple_type,
    STATE(9841), 1,
      sym_attribute,
    STATE(16651), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481890] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8948), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12052), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12054), 1,
      sym_pow_operator,
    ACTIONS(12056), 1,
      sym_mult_operator,
    ACTIONS(12058), 1,
      sym_concat_operator,
    ACTIONS(12060), 1,
      sym_rel_operator,
    ACTIONS(12062), 1,
      sym_and_operator,
    ACTIONS(12064), 1,
      sym_or_operator,
    ACTIONS(12088), 1,
      anon_sym_COMMA,
    ACTIONS(12090), 1,
      sym_assign_operator,
    ACTIONS(12092), 1,
      anon_sym_SEMI,
    STATE(2051), 1,
      sym_add_operator,
    STATE(9842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8946), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [481953] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12054), 1,
      sym_pow_operator,
    ACTIONS(12056), 1,
      sym_mult_operator,
    STATE(2051), 1,
      sym_add_operator,
    STATE(9843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [481998] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10133), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12052), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12054), 1,
      sym_pow_operator,
    ACTIONS(12056), 1,
      sym_mult_operator,
    ACTIONS(12058), 1,
      sym_concat_operator,
    ACTIONS(12060), 1,
      sym_rel_operator,
    ACTIONS(12062), 1,
      sym_and_operator,
    ACTIONS(12064), 1,
      sym_or_operator,
    ACTIONS(12088), 1,
      anon_sym_COMMA,
    ACTIONS(12090), 1,
      sym_assign_operator,
    STATE(2051), 1,
      sym_add_operator,
    STATE(9844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [482059] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10749), 1,
      anon_sym_LPAREN,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    STATE(9845), 1,
      sym_attribute,
    STATE(9905), 1,
      sym__simple_type,
    STATE(17370), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12096), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [482161] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10749), 1,
      anon_sym_LPAREN,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    STATE(9847), 1,
      sym_attribute,
    STATE(9907), 1,
      sym__simple_type,
    STATE(17370), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482224] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10552), 1,
      anon_sym_LPAREN,
    ACTIONS(10556), 1,
      anon_sym_LBRACK,
    ACTIONS(10558), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10560), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10562), 1,
      anon_sym_LT,
    ACTIONS(10564), 1,
      anon_sym_POUND,
    ACTIONS(10566), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10568), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10570), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12098), 1,
      sym__lowercase_identifier,
    STATE(8826), 1,
      sym__simple_type,
    STATE(9848), 1,
      sym_attribute,
    STATE(16807), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8985), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11222), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [482326] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10749), 1,
      anon_sym_LPAREN,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    STATE(9850), 1,
      sym_attribute,
    STATE(9925), 1,
      sym__simple_type,
    STATE(17370), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11234), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [482428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11348), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11346), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [482467] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10749), 1,
      anon_sym_LPAREN,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    STATE(9853), 1,
      sym_attribute,
    STATE(9928), 1,
      sym__simple_type,
    STATE(17370), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482530] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10749), 1,
      anon_sym_LPAREN,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    STATE(9669), 1,
      sym__simple_type,
    STATE(9854), 1,
      sym_attribute,
    STATE(17370), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482593] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9222), 1,
      anon_sym_LT,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(9226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9232), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10749), 1,
      anon_sym_LPAREN,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    STATE(9705), 1,
      sym__simple_type,
    STATE(9855), 1,
      sym_attribute,
    STATE(17370), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9321), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482656] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9298), 1,
      anon_sym_LT,
    ACTIONS(9300), 1,
      anon_sym_POUND,
    ACTIONS(9302), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9304), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9306), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    STATE(9516), 1,
      sym__simple_type,
    STATE(9856), 1,
      sym_attribute,
    STATE(16581), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9676), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482719] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12100), 1,
      anon_sym_STAR,
    STATE(9857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10181), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [482760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [482799] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12102), 1,
      anon_sym_LPAREN,
    ACTIONS(12104), 1,
      anon_sym_LBRACK,
    STATE(9859), 1,
      sym_attribute,
    STATE(10575), 1,
      sym__constructor_name,
    STATE(11546), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11971), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12106), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11969), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [482850] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12110), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(9860), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12108), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [482893] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11046), 1,
      sym__lowercase_identifier,
    ACTIONS(11048), 1,
      anon_sym_LPAREN,
    ACTIONS(11050), 1,
      anon_sym_LBRACK,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11054), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11056), 1,
      anon_sym_LT,
    ACTIONS(11058), 1,
      anon_sym_POUND,
    ACTIONS(11060), 1,
      aux_sym_type_variable_token1,
    STATE(9861), 1,
      sym_attribute,
    STATE(9989), 1,
      sym__simple_type,
    STATE(16383), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10114), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482956] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12115), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12110), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(9862), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12108), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [482999] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7249), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7251), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9954), 1,
      anon_sym_LT,
    ACTIONS(9956), 1,
      anon_sym_POUND,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    STATE(9863), 1,
      sym_attribute,
    STATE(12932), 1,
      sym__simple_type,
    STATE(17162), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483062] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12042), 1,
      sym__lowercase_identifier,
    ACTIONS(12044), 1,
      anon_sym_POUND,
    STATE(9864), 1,
      sym_attribute,
    STATE(10459), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16630), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11594), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [483117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11414), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7964), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483195] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11046), 1,
      sym__lowercase_identifier,
    ACTIONS(11048), 1,
      anon_sym_LPAREN,
    ACTIONS(11050), 1,
      anon_sym_LBRACK,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11054), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11056), 1,
      anon_sym_LT,
    ACTIONS(11058), 1,
      anon_sym_POUND,
    ACTIONS(11060), 1,
      aux_sym_type_variable_token1,
    STATE(9867), 1,
      sym_attribute,
    STATE(9973), 1,
      sym__simple_type,
    STATE(16383), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10114), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483258] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11046), 1,
      sym__lowercase_identifier,
    ACTIONS(11048), 1,
      anon_sym_LPAREN,
    ACTIONS(11050), 1,
      anon_sym_LBRACK,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11054), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11056), 1,
      anon_sym_LT,
    ACTIONS(11058), 1,
      anon_sym_POUND,
    ACTIONS(11060), 1,
      aux_sym_type_variable_token1,
    STATE(9868), 1,
      sym_attribute,
    STATE(9978), 1,
      sym__simple_type,
    STATE(16383), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10114), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483321] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11766), 1,
      sym__lowercase_identifier,
    ACTIONS(11828), 1,
      anon_sym_POUND,
    ACTIONS(12120), 1,
      anon_sym_STAR,
    STATE(9724), 1,
      sym_type_constructor_path,
    STATE(9869), 1,
      sym_attribute,
    STATE(11062), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11510), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11745), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [483374] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9738), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11046), 1,
      sym__lowercase_identifier,
    ACTIONS(11048), 1,
      anon_sym_LPAREN,
    ACTIONS(11050), 1,
      anon_sym_LBRACK,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11054), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11056), 1,
      anon_sym_LT,
    ACTIONS(11058), 1,
      anon_sym_POUND,
    ACTIONS(11060), 1,
      aux_sym_type_variable_token1,
    STATE(9870), 1,
      sym_attribute,
    STATE(9985), 1,
      sym__simple_type,
    STATE(16383), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10114), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483437] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8948), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12052), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12054), 1,
      sym_pow_operator,
    ACTIONS(12056), 1,
      sym_mult_operator,
    ACTIONS(12058), 1,
      sym_concat_operator,
    ACTIONS(12060), 1,
      sym_rel_operator,
    ACTIONS(12062), 1,
      sym_and_operator,
    ACTIONS(12064), 1,
      sym_or_operator,
    ACTIONS(12088), 1,
      anon_sym_COMMA,
    ACTIONS(12090), 1,
      sym_assign_operator,
    ACTIONS(12122), 1,
      anon_sym_SEMI,
    STATE(2051), 1,
      sym_add_operator,
    STATE(9871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8946), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [483500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12126), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12124), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [483539] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2051), 1,
      sym_add_operator,
    STATE(9873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [483580] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9002), 1,
      sym__lowercase_identifier,
    ACTIONS(12128), 1,
      anon_sym_COLON2,
    STATE(9874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11216), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11214), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [483625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11358), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483664] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12130), 1,
      anon_sym_COLON,
    STATE(9876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9406), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [483705] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12020), 1,
      sym__lowercase_identifier,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    STATE(9877), 1,
      sym_attribute,
    STATE(10695), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11506), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11508), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [483760] = 17,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    STATE(9878), 1,
      sym_attribute,
    STATE(13944), 1,
      sym__simple_type,
    STATE(16860), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12461), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483823] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11062), 1,
      sym__lowercase_identifier,
    ACTIONS(11064), 1,
      anon_sym_LPAREN,
    ACTIONS(11066), 1,
      anon_sym_LBRACK,
    ACTIONS(11068), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11072), 1,
      anon_sym_LT,
    ACTIONS(11074), 1,
      anon_sym_POUND,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11080), 1,
      aux_sym_type_variable_token1,
    STATE(9879), 1,
      sym_attribute,
    STATE(10651), 1,
      sym__simple_type,
    STATE(16385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10425), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8110), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483925] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12042), 1,
      sym__lowercase_identifier,
    ACTIONS(12044), 1,
      anon_sym_POUND,
    STATE(9881), 1,
      sym_attribute,
    STATE(10459), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16630), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11506), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11508), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [483980] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12042), 1,
      sym__lowercase_identifier,
    ACTIONS(12044), 1,
      anon_sym_POUND,
    STATE(9882), 1,
      sym_attribute,
    STATE(10459), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16630), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11516), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [484035] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12020), 1,
      sym__lowercase_identifier,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    STATE(9883), 1,
      sym_attribute,
    STATE(10695), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11516), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [484090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8122), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [484129] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12042), 1,
      sym__lowercase_identifier,
    ACTIONS(12044), 1,
      anon_sym_POUND,
    STATE(9885), 1,
      sym_attribute,
    STATE(10459), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16630), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11598), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [484184] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11062), 1,
      sym__lowercase_identifier,
    ACTIONS(11064), 1,
      anon_sym_LPAREN,
    ACTIONS(11066), 1,
      anon_sym_LBRACK,
    ACTIONS(11068), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11072), 1,
      anon_sym_LT,
    ACTIONS(11074), 1,
      anon_sym_POUND,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11080), 1,
      aux_sym_type_variable_token1,
    STATE(9886), 1,
      sym_attribute,
    STATE(10652), 1,
      sym__simple_type,
    STATE(16385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10425), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484247] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9788), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11198), 1,
      sym__lowercase_identifier,
    ACTIONS(11200), 1,
      anon_sym_LPAREN,
    ACTIONS(11202), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11206), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11208), 1,
      anon_sym_LT,
    ACTIONS(11210), 1,
      anon_sym_POUND,
    ACTIONS(11212), 1,
      aux_sym_type_variable_token1,
    STATE(9801), 1,
      sym__simple_type,
    STATE(9887), 1,
      sym_attribute,
    STATE(16758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10124), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484310] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9788), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11198), 1,
      sym__lowercase_identifier,
    ACTIONS(11200), 1,
      anon_sym_LPAREN,
    ACTIONS(11202), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11206), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11208), 1,
      anon_sym_LT,
    ACTIONS(11210), 1,
      anon_sym_POUND,
    ACTIONS(11212), 1,
      aux_sym_type_variable_token1,
    STATE(9888), 1,
      sym_attribute,
    STATE(10144), 1,
      sym__simple_type,
    STATE(16758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10124), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484373] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9788), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11198), 1,
      sym__lowercase_identifier,
    ACTIONS(11200), 1,
      anon_sym_LPAREN,
    ACTIONS(11202), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11206), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11208), 1,
      anon_sym_LT,
    ACTIONS(11210), 1,
      anon_sym_POUND,
    ACTIONS(11212), 1,
      aux_sym_type_variable_token1,
    STATE(9889), 1,
      sym_attribute,
    STATE(10145), 1,
      sym__simple_type,
    STATE(16758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10124), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11432), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [484475] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9788), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11198), 1,
      sym__lowercase_identifier,
    ACTIONS(11200), 1,
      anon_sym_LPAREN,
    ACTIONS(11202), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11206), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11208), 1,
      anon_sym_LT,
    ACTIONS(11210), 1,
      anon_sym_POUND,
    ACTIONS(11212), 1,
      aux_sym_type_variable_token1,
    STATE(9891), 1,
      sym_attribute,
    STATE(10148), 1,
      sym__simple_type,
    STATE(16758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10124), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484538] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9402), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [484577] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9788), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11198), 1,
      sym__lowercase_identifier,
    ACTIONS(11200), 1,
      anon_sym_LPAREN,
    ACTIONS(11202), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11206), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11208), 1,
      anon_sym_LT,
    ACTIONS(11210), 1,
      anon_sym_POUND,
    ACTIONS(11212), 1,
      aux_sym_type_variable_token1,
    STATE(9893), 1,
      sym_attribute,
    STATE(10150), 1,
      sym__simple_type,
    STATE(16758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10124), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12134), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12132), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [484679] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(11130), 1,
      sym__lowercase_identifier,
    STATE(9895), 1,
      sym_attribute,
    STATE(10012), 1,
      sym__simple_type,
    STATE(16479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484742] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9788), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11198), 1,
      sym__lowercase_identifier,
    ACTIONS(11200), 1,
      anon_sym_LPAREN,
    ACTIONS(11202), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11206), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11208), 1,
      anon_sym_LT,
    ACTIONS(11210), 1,
      anon_sym_POUND,
    ACTIONS(11212), 1,
      aux_sym_type_variable_token1,
    STATE(9896), 1,
      sym_attribute,
    STATE(10151), 1,
      sym__simple_type,
    STATE(16758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10124), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484805] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9786), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9788), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11198), 1,
      sym__lowercase_identifier,
    ACTIONS(11200), 1,
      anon_sym_LPAREN,
    ACTIONS(11202), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11206), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11208), 1,
      anon_sym_LT,
    ACTIONS(11210), 1,
      anon_sym_POUND,
    ACTIONS(11212), 1,
      aux_sym_type_variable_token1,
    STATE(9897), 1,
      sym_attribute,
    STATE(10153), 1,
      sym__simple_type,
    STATE(16758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10124), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12138), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12136), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [484907] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10642), 1,
      anon_sym_LPAREN,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    ACTIONS(10648), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10650), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10652), 1,
      anon_sym_LT,
    ACTIONS(10654), 1,
      anon_sym_POUND,
    ACTIONS(10656), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10658), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10660), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12140), 1,
      sym__lowercase_identifier,
    STATE(9899), 1,
      sym_attribute,
    STATE(12622), 1,
      sym__simple_type,
    STATE(16825), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12757), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484970] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12020), 1,
      sym__lowercase_identifier,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    STATE(9900), 1,
      sym_attribute,
    STATE(10695), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11606), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [485025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11440), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [485064] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(11130), 1,
      sym__lowercase_identifier,
    STATE(9902), 1,
      sym_attribute,
    STATE(10375), 1,
      sym__simple_type,
    STATE(16479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485127] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(11130), 1,
      sym__lowercase_identifier,
    STATE(9903), 1,
      sym_attribute,
    STATE(10404), 1,
      sym__simple_type,
    STATE(16479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11552), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11550), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [485229] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11170), 1,
      sym__lowercase_identifier,
    ACTIONS(11426), 1,
      anon_sym_POUND,
    STATE(9267), 1,
      sym_type_constructor_path,
    STATE(9905), 1,
      sym_attribute,
    STATE(16583), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11594), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [485278] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(11130), 1,
      sym__lowercase_identifier,
    STATE(9906), 1,
      sym_attribute,
    STATE(10238), 1,
      sym__simple_type,
    STATE(16479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485341] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11170), 1,
      sym__lowercase_identifier,
    ACTIONS(11426), 1,
      anon_sym_POUND,
    STATE(9267), 1,
      sym_type_constructor_path,
    STATE(9907), 1,
      sym_attribute,
    STATE(16583), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11598), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [485390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11558), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [485429] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(11130), 1,
      sym__lowercase_identifier,
    STATE(9909), 1,
      sym_attribute,
    STATE(10307), 1,
      sym__simple_type,
    STATE(16479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485492] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(11130), 1,
      sym__lowercase_identifier,
    STATE(9910), 1,
      sym_attribute,
    STATE(10318), 1,
      sym__simple_type,
    STATE(16479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7918), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [485594] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9256), 1,
      anon_sym_LT,
    ACTIONS(9258), 1,
      anon_sym_POUND,
    ACTIONS(9260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(11130), 1,
      sym__lowercase_identifier,
    STATE(9912), 1,
      sym_attribute,
    STATE(10213), 1,
      sym__simple_type,
    STATE(16479), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485657] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10143), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12052), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12054), 1,
      sym_pow_operator,
    ACTIONS(12056), 1,
      sym_mult_operator,
    ACTIONS(12058), 1,
      sym_concat_operator,
    ACTIONS(12060), 1,
      sym_rel_operator,
    ACTIONS(12062), 1,
      sym_and_operator,
    ACTIONS(12064), 1,
      sym_or_operator,
    ACTIONS(12088), 1,
      anon_sym_COMMA,
    ACTIONS(12090), 1,
      sym_assign_operator,
    STATE(2051), 1,
      sym_add_operator,
    STATE(9913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [485718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12144), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [485757] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(10598), 1,
      anon_sym_LBRACK,
    ACTIONS(10600), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10602), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10604), 1,
      anon_sym_LT,
    ACTIONS(10606), 1,
      anon_sym_POUND,
    ACTIONS(10608), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10610), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10612), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    STATE(9915), 1,
      sym_attribute,
    STATE(12703), 1,
      sym__simple_type,
    STATE(16698), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13033), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11564), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11562), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [485859] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9004), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(12148), 1,
      anon_sym_EQ,
    ACTIONS(12150), 1,
      anon_sym_COLON_EQ,
    ACTIONS(12152), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(9917), 1,
      sym_attribute,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10668), 1,
      aux_sym_expression_item_repeat1,
    STATE(10699), 1,
      sym__type_equation,
    STATE(10904), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11715), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [485916] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12154), 1,
      anon_sym_STAR,
    STATE(9918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10181), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [485957] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11082), 1,
      sym__lowercase_identifier,
    ACTIONS(11084), 1,
      anon_sym_LPAREN,
    ACTIONS(11086), 1,
      anon_sym_LBRACK,
    ACTIONS(11088), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11090), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11092), 1,
      anon_sym_LT,
    ACTIONS(11094), 1,
      anon_sym_POUND,
    ACTIONS(11096), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11098), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11100), 1,
      aux_sym_type_variable_token1,
    STATE(9919), 1,
      sym_attribute,
    STATE(13487), 1,
      sym__simple_type,
    STATE(16438), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13442), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486020] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10085), 1,
      anon_sym_LT,
    ACTIONS(10087), 1,
      anon_sym_POUND,
    ACTIONS(10089), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10091), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10093), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    STATE(9920), 1,
      sym_attribute,
    STATE(10314), 1,
      sym__simple_type,
    STATE(16608), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12158), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [486122] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12020), 1,
      sym__lowercase_identifier,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    STATE(9922), 1,
      sym_attribute,
    STATE(10695), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11586), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [486177] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11701), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11372), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11370), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [486218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7964), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [486257] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11170), 1,
      sym__lowercase_identifier,
    ACTIONS(11426), 1,
      anon_sym_POUND,
    STATE(9267), 1,
      sym_type_constructor_path,
    STATE(9925), 1,
      sym_attribute,
    STATE(16583), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11606), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [486306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8110), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [486345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8122), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [486384] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11170), 1,
      sym__lowercase_identifier,
    ACTIONS(11426), 1,
      anon_sym_POUND,
    STATE(9267), 1,
      sym_type_constructor_path,
    STATE(9928), 1,
      sym_attribute,
    STATE(16583), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12066), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12068), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [486433] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12042), 1,
      sym__lowercase_identifier,
    ACTIONS(12044), 1,
      anon_sym_POUND,
    STATE(9929), 1,
      sym_attribute,
    STATE(10459), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16630), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11606), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [486488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7918), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [486527] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12164), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(9931), 1,
      sym_attribute,
    STATE(9933), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12162), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12160), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [486572] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12164), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(9932), 1,
      sym_attribute,
    STATE(9934), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12168), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12166), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [486617] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12164), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(9860), 1,
      aux_sym_type_binding_repeat1,
    STATE(9933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12168), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12166), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [486662] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12164), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(9860), 1,
      aux_sym_type_binding_repeat1,
    STATE(9934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12172), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12170), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [486707] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12174), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(9935), 1,
      sym_attribute,
    STATE(9937), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12162), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12160), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [486752] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12174), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(9936), 1,
      sym_attribute,
    STATE(9938), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12168), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12166), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [486797] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12174), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(9862), 1,
      aux_sym_type_binding_repeat1,
    STATE(9937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12168), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12166), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [486842] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12174), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(9862), 1,
      aux_sym_type_binding_repeat1,
    STATE(9938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12172), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12170), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [486887] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(12176), 1,
      anon_sym_COLON2,
    STATE(9207), 1,
      aux_sym_module_binding_repeat1,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(9939), 1,
      sym_attribute,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10139), 1,
      sym__module_typed,
    STATE(10747), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11806), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11802), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [486942] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(12178), 1,
      anon_sym_COLON2,
    STATE(9207), 1,
      aux_sym_module_binding_repeat1,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(9940), 1,
      sym_attribute,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10139), 1,
      sym__module_typed,
    STATE(10747), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11806), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11802), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [486997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9080), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [487036] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(12176), 1,
      anon_sym_COLON2,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(9939), 1,
      aux_sym_module_binding_repeat1,
    STATE(9942), 1,
      sym_attribute,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10077), 1,
      sym__module_typed,
    STATE(10679), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11792), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11788), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [487091] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(12178), 1,
      anon_sym_COLON2,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(9940), 1,
      aux_sym_module_binding_repeat1,
    STATE(9943), 1,
      sym_attribute,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10077), 1,
      sym__module_typed,
    STATE(10679), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11792), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11788), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [487146] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9004), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(12150), 1,
      anon_sym_COLON_EQ,
    ACTIONS(12152), 1,
      anon_sym_constraint,
    ACTIONS(12180), 1,
      anon_sym_EQ,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(9944), 1,
      sym_attribute,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10570), 1,
      aux_sym_expression_item_repeat1,
    STATE(10697), 1,
      sym__type_equation,
    STATE(10899), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11727), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [487203] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12182), 1,
      aux_sym_attribute_id_token1,
    STATE(9945), 1,
      sym_attribute,
    STATE(10140), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8859), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487245] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8238), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11218), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [487321] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2136), 1,
      sym_add_operator,
    STATE(9948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [487361] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12184), 1,
      anon_sym_else,
    STATE(8127), 1,
      sym_else_clause,
    STATE(9949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [487403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11222), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [487441] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8264), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11234), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [487517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11242), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [487555] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(9954), 1,
      sym_attribute,
    STATE(10622), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16089), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [487621] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9574), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9576), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11528), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11526), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [487697] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9526), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11536), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11534), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [487773] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(9959), 1,
      sym_attribute,
    STATE(10556), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16159), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [487839] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9530), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487877] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12202), 1,
      anon_sym_RPAREN,
    ACTIONS(12204), 1,
      anon_sym__,
    ACTIONS(12206), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(9961), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15921), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [487943] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12208), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10430), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9962), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
    ACTIONS(11987), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(11985), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [487985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11538), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [488023] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9454), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [488061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11544), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11542), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [488099] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8260), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [488137] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(9967), 1,
      sym_attribute,
    STATE(10597), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15392), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [488203] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12004), 1,
      sym__lowercase_identifier,
    ACTIONS(12006), 1,
      anon_sym_POUND,
    ACTIONS(12211), 1,
      anon_sym_STAR,
    STATE(9968), 1,
      sym_attribute,
    STATE(10417), 1,
      sym_type_constructor_path,
    STATE(11676), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11510), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11745), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [488255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11284), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11282), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [488293] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12213), 1,
      anon_sym_DASH_GT,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12217), 1,
      anon_sym_functor,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(9970), 1,
      sym_attribute,
    STATE(10584), 1,
      sym__attribute,
    STATE(11640), 1,
      sym__module_type,
    STATE(14890), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [488359] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12223), 1,
      anon_sym_COMMA,
    ACTIONS(12225), 1,
      anon_sym_SEMI,
    ACTIONS(12227), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12229), 1,
      sym_pow_operator,
    ACTIONS(12231), 1,
      sym_mult_operator,
    ACTIONS(12233), 1,
      sym_concat_operator,
    ACTIONS(12235), 1,
      sym_rel_operator,
    ACTIONS(12237), 1,
      sym_and_operator,
    ACTIONS(12239), 1,
      sym_or_operator,
    ACTIONS(12241), 1,
      sym_assign_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(9971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8946), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [488421] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12048), 1,
      sym__lowercase_identifier,
    ACTIONS(12050), 1,
      anon_sym_POUND,
    ACTIONS(12243), 1,
      anon_sym_STAR,
    STATE(9972), 1,
      sym_attribute,
    STATE(10478), 1,
      sym_type_constructor_path,
    STATE(11630), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16887), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11510), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11745), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [488473] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11741), 1,
      sym__lowercase_identifier,
    ACTIONS(11743), 1,
      anon_sym_POUND,
    STATE(9973), 1,
      sym_attribute,
    STATE(10123), 1,
      sym_type_constructor_path,
    STATE(16828), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12066), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12068), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [488521] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(9974), 1,
      sym_attribute,
    STATE(10625), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16300), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [488587] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8256), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [488625] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12245), 1,
      aux_sym_attribute_id_token1,
    STATE(9976), 1,
      sym_attribute,
    STATE(10169), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8859), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [488667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12249), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12247), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [488705] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11741), 1,
      sym__lowercase_identifier,
    ACTIONS(11743), 1,
      anon_sym_POUND,
    STATE(9978), 1,
      sym_attribute,
    STATE(10123), 1,
      sym_type_constructor_path,
    STATE(16828), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11998), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12000), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [488753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11348), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11346), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [488791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11358), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [488829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11414), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [488867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11440), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [488905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9002), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [488943] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12245), 1,
      aux_sym_attribute_id_token1,
    STATE(9976), 1,
      aux_sym_attribute_id_repeat1,
    STATE(9984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8775), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8777), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [488985] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11741), 1,
      sym__lowercase_identifier,
    ACTIONS(11743), 1,
      anon_sym_POUND,
    STATE(9985), 1,
      sym_attribute,
    STATE(10123), 1,
      sym_type_constructor_path,
    STATE(16828), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12012), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12014), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [489033] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9546), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [489071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11214), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11216), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [489109] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11701), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11372), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11370), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [489149] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11741), 1,
      sym__lowercase_identifier,
    ACTIONS(11743), 1,
      anon_sym_POUND,
    STATE(9989), 1,
      sym_attribute,
    STATE(10123), 1,
      sym_type_constructor_path,
    STATE(16828), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11606), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [489197] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12253), 1,
      anon_sym_let,
    ACTIONS(12255), 1,
      anon_sym_DQUOTE,
    STATE(9990), 1,
      sym_attribute,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10486), 1,
      aux_sym_external_repeat1,
    STATE(10955), 1,
      aux_sym_expression_item_repeat1,
    STATE(11105), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12251), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [489247] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8220), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [489285] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12184), 1,
      anon_sym_else,
    STATE(8131), 1,
      sym_else_clause,
    STATE(9992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [489327] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12227), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12229), 1,
      sym_pow_operator,
    ACTIONS(12231), 1,
      sym_mult_operator,
    ACTIONS(12233), 1,
      sym_concat_operator,
    ACTIONS(12235), 1,
      sym_rel_operator,
    ACTIONS(12237), 1,
      sym_and_operator,
    ACTIONS(12239), 1,
      sym_or_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(9993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10211), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10209), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [489383] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12227), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12229), 1,
      sym_pow_operator,
    ACTIONS(12231), 1,
      sym_mult_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(9994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10103), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [489431] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12229), 1,
      sym_pow_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(9995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [489473] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12229), 1,
      sym_pow_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(9996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [489515] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12227), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12229), 1,
      sym_pow_operator,
    ACTIONS(12231), 1,
      sym_mult_operator,
    ACTIONS(12233), 1,
      sym_concat_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(9997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [489565] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12227), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12229), 1,
      sym_pow_operator,
    ACTIONS(12231), 1,
      sym_mult_operator,
    ACTIONS(12233), 1,
      sym_concat_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(9998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [489615] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12227), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12229), 1,
      sym_pow_operator,
    ACTIONS(12231), 1,
      sym_mult_operator,
    ACTIONS(12233), 1,
      sym_concat_operator,
    ACTIONS(12235), 1,
      sym_rel_operator,
    ACTIONS(12237), 1,
      sym_and_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(9999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 4,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [489669] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11735), 1,
      anon_sym_constraint,
    ACTIONS(12259), 1,
      anon_sym_let,
    ACTIONS(12261), 1,
      anon_sym_EQ,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10000), 1,
      sym_attribute,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10274), 1,
      aux_sym_type_binding_repeat1,
    STATE(10557), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12257), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [489721] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12227), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12229), 1,
      sym_pow_operator,
    ACTIONS(12231), 1,
      sym_mult_operator,
    ACTIONS(12233), 1,
      sym_concat_operator,
    ACTIONS(12235), 1,
      sym_rel_operator,
    ACTIONS(12237), 1,
      sym_and_operator,
    ACTIONS(12239), 1,
      sym_or_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(10001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10115), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [489777] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12223), 1,
      anon_sym_COMMA,
    ACTIONS(12227), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12229), 1,
      sym_pow_operator,
    ACTIONS(12231), 1,
      sym_mult_operator,
    ACTIONS(12233), 1,
      sym_concat_operator,
    ACTIONS(12235), 1,
      sym_rel_operator,
    ACTIONS(12237), 1,
      sym_and_operator,
    ACTIONS(12239), 1,
      sym_or_operator,
    ACTIONS(12241), 1,
      sym_assign_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(10002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10115), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [489837] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12229), 1,
      sym_pow_operator,
    ACTIONS(12231), 1,
      sym_mult_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(10003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 9,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [489881] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12223), 1,
      anon_sym_COMMA,
    ACTIONS(12227), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12229), 1,
      sym_pow_operator,
    ACTIONS(12231), 1,
      sym_mult_operator,
    ACTIONS(12233), 1,
      sym_concat_operator,
    ACTIONS(12235), 1,
      sym_rel_operator,
    ACTIONS(12237), 1,
      sym_and_operator,
    ACTIONS(12239), 1,
      sym_or_operator,
    ACTIONS(12241), 1,
      sym_assign_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(10004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10133), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10131), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [489941] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12223), 1,
      anon_sym_COMMA,
    ACTIONS(12227), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12229), 1,
      sym_pow_operator,
    ACTIONS(12231), 1,
      sym_mult_operator,
    ACTIONS(12233), 1,
      sym_concat_operator,
    ACTIONS(12235), 1,
      sym_rel_operator,
    ACTIONS(12237), 1,
      sym_and_operator,
    ACTIONS(12239), 1,
      sym_or_operator,
    ACTIONS(12241), 1,
      sym_assign_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(10005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10143), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10141), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [490001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11552), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11550), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [490039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11558), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [490077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11564), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11562), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [490115] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8958), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12265), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12263), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [490191] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10011), 1,
      sym_attribute,
    STATE(10544), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15127), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [490257] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11766), 1,
      sym__lowercase_identifier,
    ACTIONS(11828), 1,
      anon_sym_POUND,
    STATE(9724), 1,
      sym_type_constructor_path,
    STATE(10012), 1,
      sym_attribute,
    STATE(16715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11927), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11929), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [490305] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10013), 1,
      sym_attribute,
    STATE(10627), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15059), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [490371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11348), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11346), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [490409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10904), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(10902), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [490447] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8112), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490485] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9458), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490523] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8124), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490561] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10019), 1,
      sym_attribute,
    STATE(10481), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15515), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [490627] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8960), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8962), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11358), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [490703] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9548), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9550), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10902), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10904), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [490779] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9554), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9556), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490817] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9558), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9560), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11414), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [490893] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9562), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9564), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490931] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11701), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11372), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11370), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [490971] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10029), 1,
      sym_attribute,
    STATE(10561), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15173), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [491037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11440), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [491075] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12223), 1,
      anon_sym_COMMA,
    ACTIONS(12227), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12229), 1,
      sym_pow_operator,
    ACTIONS(12231), 1,
      sym_mult_operator,
    ACTIONS(12233), 1,
      sym_concat_operator,
    ACTIONS(12235), 1,
      sym_rel_operator,
    ACTIONS(12237), 1,
      sym_and_operator,
    ACTIONS(12239), 1,
      sym_or_operator,
    ACTIONS(12241), 1,
      sym_assign_operator,
    STATE(2136), 1,
      sym_add_operator,
    STATE(10031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10187), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10185), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [491135] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12267), 1,
      anon_sym_PIPE,
    STATE(10032), 1,
      sym_attribute,
    STATE(10036), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [491177] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9462), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491215] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12267), 1,
      anon_sym_PIPE,
    STATE(10034), 1,
      sym_attribute,
    STATE(10039), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [491257] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10035), 1,
      sym_attribute,
    STATE(10629), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16281), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [491323] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12267), 1,
      anon_sym_PIPE,
    STATE(10036), 1,
      sym_attribute,
    STATE(10046), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [491365] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9466), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491403] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11370), 1,
      sym__lowercase_identifier,
    STATE(10038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12038), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12040), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [491445] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12267), 1,
      anon_sym_PIPE,
    STATE(10039), 1,
      sym_attribute,
    STATE(10046), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [491487] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10040), 1,
      sym_attribute,
    STATE(10604), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15547), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [491553] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9514), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11494), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [491629] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11971), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12269), 1,
      anon_sym_LPAREN,
    ACTIONS(12271), 1,
      anon_sym_LBRACK,
    STATE(10043), 1,
      sym_attribute,
    STATE(11031), 1,
      sym__constructor_name,
    STATE(11707), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12273), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11969), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [491679] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12279), 1,
      anon_sym_DASH_GT,
    ACTIONS(12281), 1,
      anon_sym_as,
    STATE(10044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12277), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12275), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [491721] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9518), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491759] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12283), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10046), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [491799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11282), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11284), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [491837] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11707), 1,
      sym__lowercase_identifier,
    ACTIONS(11911), 1,
      anon_sym_POUND,
    STATE(9686), 1,
      sym_type_constructor_path,
    STATE(10048), 1,
      sym_attribute,
    STATE(16795), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11927), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11929), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [491885] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8230), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491923] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11723), 1,
      anon_sym_constraint,
    ACTIONS(12288), 1,
      anon_sym_let,
    ACTIONS(12290), 1,
      anon_sym_EQ,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10050), 1,
      sym_attribute,
    STATE(10329), 1,
      aux_sym_type_binding_repeat1,
    STATE(10665), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12286), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [491975] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12004), 1,
      sym__lowercase_identifier,
    ACTIONS(12292), 1,
      anon_sym_POUND,
    STATE(10051), 1,
      sym_attribute,
    STATE(10455), 1,
      sym_type_constructor_path,
    STATE(16898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10992), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [492023] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9406), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492061] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11723), 1,
      anon_sym_constraint,
    ACTIONS(12259), 1,
      anon_sym_let,
    ACTIONS(12294), 1,
      anon_sym_EQ,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10053), 1,
      sym_attribute,
    STATE(10347), 1,
      aux_sym_type_binding_repeat1,
    STATE(10557), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12257), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [492113] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12048), 1,
      sym__lowercase_identifier,
    ACTIONS(12296), 1,
      anon_sym_POUND,
    STATE(10054), 1,
      sym_attribute,
    STATE(10427), 1,
      sym_type_constructor_path,
    STATE(16887), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10992), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [492161] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9492), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10904), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10902), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [492237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12300), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12298), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [492275] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9080), 1,
      sym__lowercase_identifier,
    STATE(10058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11284), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11282), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [492317] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9566), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9568), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492355] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11971), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12302), 1,
      anon_sym_LPAREN,
    ACTIONS(12304), 1,
      anon_sym_LBRACK,
    STATE(10060), 1,
      sym_attribute,
    STATE(10845), 1,
      sym__constructor_name,
    STATE(11710), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12306), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11969), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [492405] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12279), 1,
      anon_sym_DASH_GT,
    ACTIONS(12281), 1,
      anon_sym_as,
    STATE(10061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12310), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12308), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [492447] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12279), 1,
      anon_sym_DASH_GT,
    STATE(10062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12314), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12312), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [492487] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7920), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492525] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7017), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7013), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492563] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9570), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9572), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11504), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11502), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [492639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11524), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11522), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [492677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11528), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11526), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [492715] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8924), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8926), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492753] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9470), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11536), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11534), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [492829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11538), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [492867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11544), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11542), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [492905] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10074), 1,
      sym_attribute,
    STATE(10493), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15314), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [492971] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9534), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493009] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12255), 1,
      anon_sym_DQUOTE,
    ACTIONS(12318), 1,
      anon_sym_let,
    STATE(10076), 1,
      sym_attribute,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10486), 1,
      aux_sym_external_repeat1,
    STATE(10947), 1,
      aux_sym_expression_item_repeat1,
    STATE(11105), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12316), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [493059] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11804), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10077), 1,
      sym_attribute,
    STATE(10747), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11806), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11802), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [493105] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12020), 1,
      sym__lowercase_identifier,
    ACTIONS(12320), 1,
      anon_sym_POUND,
    STATE(10078), 1,
      sym_attribute,
    STATE(10731), 1,
      sym_type_constructor_path,
    STATE(16863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10992), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [493153] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10079), 1,
      sym_attribute,
    STATE(10437), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15048), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [493219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11214), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [493257] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9022), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11214), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [493333] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10083), 1,
      sym_attribute,
    STATE(10569), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15533), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [493399] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9080), 1,
      sym__lowercase_identifier,
    STATE(10084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11284), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11282), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [493441] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12202), 1,
      anon_sym_RPAREN,
    ACTIONS(12204), 1,
      anon_sym__,
    ACTIONS(12206), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10085), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15479), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [493507] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9474), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493545] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9058), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493583] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9478), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493621] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9482), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493659] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7902), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493697] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8932), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8934), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9002), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [493773] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11735), 1,
      anon_sym_constraint,
    ACTIONS(12288), 1,
      anon_sym_let,
    ACTIONS(12322), 1,
      anon_sym_EQ,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10093), 1,
      sym_attribute,
    STATE(10252), 1,
      aux_sym_type_binding_repeat1,
    STATE(10665), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12286), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [493825] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7852), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493863] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12020), 1,
      sym__lowercase_identifier,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    ACTIONS(12324), 1,
      anon_sym_STAR,
    STATE(10095), 1,
      sym_attribute,
    STATE(10695), 1,
      sym_type_constructor_path,
    STATE(11721), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11510), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11745), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [493915] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8202), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493953] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(12326), 1,
      anon_sym_DASH_GT,
    STATE(10097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12277), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12275), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [493995] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12279), 1,
      anon_sym_DASH_GT,
    ACTIONS(12281), 1,
      anon_sym_as,
    STATE(10098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12330), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12328), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [494037] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9498), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494075] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9504), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9506), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494113] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10101), 1,
      sym_attribute,
    STATE(10611), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15789), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [494179] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9502), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494217] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10103), 1,
      sym_attribute,
    STATE(10573), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15935), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [494283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9080), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494321] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12042), 1,
      sym__lowercase_identifier,
    ACTIONS(12044), 1,
      anon_sym_POUND,
    ACTIONS(12332), 1,
      anon_sym_STAR,
    STATE(10105), 1,
      sym_attribute,
    STATE(10459), 1,
      sym_type_constructor_path,
    STATE(11601), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16630), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11510), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11745), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [494373] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9522), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494411] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10107), 1,
      sym_attribute,
    STATE(10532), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15815), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [494477] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9026), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11552), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11550), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494553] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8248), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494591] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11701), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11372), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11370), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [494631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11558), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11564), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11562), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11370), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11262), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11342), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494821] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(12326), 1,
      anon_sym_DASH_GT,
    STATE(10117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12310), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12308), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [494863] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10118), 1,
      sym_attribute,
    STATE(10591), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15244), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [494929] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11701), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11372), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11370), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [494969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11432), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [495007] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8234), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495045] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8212), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11436), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [495121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11370), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [495159] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11370), 1,
      sym__lowercase_identifier,
    STATE(10125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12038), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12040), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [495201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11262), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [495239] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12334), 1,
      anon_sym_else,
    STATE(8127), 1,
      sym_else_clause,
    STATE(10127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [495281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11242), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [495319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11342), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [495357] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11741), 1,
      sym__lowercase_identifier,
    ACTIONS(11743), 1,
      anon_sym_POUND,
    STATE(10123), 1,
      sym_type_constructor_path,
    STATE(10130), 1,
      sym_attribute,
    STATE(16828), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11594), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [495405] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12042), 1,
      sym__lowercase_identifier,
    ACTIONS(12336), 1,
      anon_sym_POUND,
    STATE(10131), 1,
      sym_attribute,
    STATE(10433), 1,
      sym_type_constructor_path,
    STATE(16630), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10992), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [495453] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10132), 1,
      sym_attribute,
    STATE(10582), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16326), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [495519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11432), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [495557] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9542), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495595] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11741), 1,
      sym__lowercase_identifier,
    ACTIONS(11743), 1,
      anon_sym_POUND,
    STATE(10123), 1,
      sym_type_constructor_path,
    STATE(10135), 1,
      sym_attribute,
    STATE(16828), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11598), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [495643] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(12326), 1,
      anon_sym_DASH_GT,
    STATE(10136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12330), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12328), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [495685] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10137), 1,
      sym_attribute,
    STATE(10504), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16198), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [495751] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10138), 1,
      sym_attribute,
    STATE(10617), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15909), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [495817] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12340), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10139), 1,
      sym_attribute,
    STATE(10635), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12342), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12338), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [495863] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12344), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10140), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8863), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8865), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11218), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [495941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11222), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [495979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11436), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [496017] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11672), 1,
      sym__lowercase_identifier,
    ACTIONS(11674), 1,
      anon_sym_POUND,
    STATE(10143), 1,
      sym_type_constructor_path,
    STATE(10144), 1,
      sym_attribute,
    STATE(16919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11594), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [496065] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11672), 1,
      sym__lowercase_identifier,
    ACTIONS(11674), 1,
      anon_sym_POUND,
    STATE(10143), 1,
      sym_type_constructor_path,
    STATE(10145), 1,
      sym_attribute,
    STATE(16919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11598), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [496113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11284), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11282), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [496151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11234), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [496189] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11672), 1,
      sym__lowercase_identifier,
    ACTIONS(11674), 1,
      anon_sym_POUND,
    STATE(10143), 1,
      sym_type_constructor_path,
    STATE(10148), 1,
      sym_attribute,
    STATE(16919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11606), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [496237] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12334), 1,
      anon_sym_else,
    STATE(8131), 1,
      sym_else_clause,
    STATE(10149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [496279] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11672), 1,
      sym__lowercase_identifier,
    ACTIONS(11674), 1,
      anon_sym_POUND,
    STATE(10143), 1,
      sym_type_constructor_path,
    STATE(10150), 1,
      sym_attribute,
    STATE(16919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12066), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12068), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [496327] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11672), 1,
      sym__lowercase_identifier,
    ACTIONS(11674), 1,
      anon_sym_POUND,
    STATE(10143), 1,
      sym_type_constructor_path,
    STATE(10151), 1,
      sym_attribute,
    STATE(16919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11998), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12000), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [496375] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10152), 1,
      sym_attribute,
    STATE(10586), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15083), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [496441] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11672), 1,
      sym__lowercase_identifier,
    ACTIONS(11674), 1,
      anon_sym_POUND,
    STATE(10143), 1,
      sym_type_constructor_path,
    STATE(10153), 1,
      sym_attribute,
    STATE(16919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12012), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12014), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [496489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9080), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [496527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10902), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10904), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [496565] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10156), 1,
      sym_attribute,
    STATE(10515), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15012), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [496631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11494), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [496669] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8252), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496707] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9082), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496745] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9536), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9538), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496783] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9488), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496821] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12326), 1,
      anon_sym_DASH_GT,
    STATE(10162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12314), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12312), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11524), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11522), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [496899] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9004), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496937] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12182), 1,
      aux_sym_attribute_id_token1,
    STATE(9945), 1,
      aux_sym_attribute_id_repeat1,
    STATE(10165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8775), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8777), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496979] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12347), 1,
      anon_sym_DASH_GT,
    ACTIONS(12349), 1,
      anon_sym_functor,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10166), 1,
      sym_attribute,
    STATE(10768), 1,
      sym__attribute,
    STATE(11713), 1,
      sym__module_type,
    STATE(14925), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [497045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11504), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11502), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [497083] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7966), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497121] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12351), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10169), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8863), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8865), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497161] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10170), 1,
      sym_attribute,
    STATE(10547), 1,
      sym__attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15354), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [497227] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12358), 1,
      anon_sym_and,
    STATE(10171), 1,
      sym_attribute,
    STATE(10410), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12356), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12354), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497268] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12360), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12362), 1,
      sym_pow_operator,
    ACTIONS(12364), 1,
      sym_mult_operator,
    ACTIONS(12366), 1,
      sym_concat_operator,
    ACTIONS(12368), 1,
      sym_rel_operator,
    ACTIONS(12370), 1,
      sym_and_operator,
    STATE(2315), 1,
      sym_add_operator,
    STATE(10172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 4,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [497321] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12372), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11955), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10173), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11953), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497360] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12360), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12362), 1,
      sym_pow_operator,
    ACTIONS(12364), 1,
      sym_mult_operator,
    ACTIONS(12366), 1,
      sym_concat_operator,
    STATE(2315), 1,
      sym_add_operator,
    STATE(10174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [497409] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11735), 1,
      anon_sym_constraint,
    ACTIONS(12377), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10175), 1,
      sym_attribute,
    STATE(10316), 1,
      aux_sym_type_binding_repeat1,
    STATE(10488), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12375), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497458] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12379), 1,
      anon_sym_LPAREN,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12385), 1,
      anon_sym_end,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    STATE(10176), 1,
      sym_attribute,
    STATE(10875), 1,
      sym__attribute,
    STATE(11152), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [497521] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12360), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12362), 1,
      sym_pow_operator,
    ACTIONS(12364), 1,
      sym_mult_operator,
    ACTIONS(12366), 1,
      sym_concat_operator,
    ACTIONS(12368), 1,
      sym_rel_operator,
    ACTIONS(12370), 1,
      sym_and_operator,
    ACTIONS(12399), 1,
      sym_or_operator,
    STATE(2315), 1,
      sym_add_operator,
    STATE(10177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10115), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [497576] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12401), 1,
      anon_sym_LPAREN,
    ACTIONS(12403), 1,
      anon_sym_end,
    STATE(10178), 1,
      sym_attribute,
    STATE(10944), 1,
      sym__attribute,
    STATE(11255), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [497639] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12405), 1,
      anon_sym_LPAREN,
    ACTIONS(12407), 1,
      anon_sym_end,
    STATE(10179), 1,
      sym_attribute,
    STATE(10979), 1,
      sym__attribute,
    STATE(11489), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [497702] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12409), 1,
      anon_sym_PIPE,
    STATE(10180), 1,
      sym_attribute,
    STATE(10357), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [497743] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12362), 1,
      sym_pow_operator,
    STATE(2315), 1,
      sym_add_operator,
    STATE(10181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(10117), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [497784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9814), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9812), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [497821] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12360), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12362), 1,
      sym_pow_operator,
    ACTIONS(12364), 1,
      sym_mult_operator,
    ACTIONS(12366), 1,
      sym_concat_operator,
    ACTIONS(12368), 1,
      sym_rel_operator,
    ACTIONS(12370), 1,
      sym_and_operator,
    ACTIONS(12399), 1,
      sym_or_operator,
    ACTIONS(12411), 1,
      anon_sym_COMMA,
    ACTIONS(12413), 1,
      sym_assign_operator,
    STATE(2315), 1,
      sym_add_operator,
    STATE(10183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10115), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [497880] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12360), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12362), 1,
      sym_pow_operator,
    ACTIONS(12364), 1,
      sym_mult_operator,
    ACTIONS(12366), 1,
      sym_concat_operator,
    ACTIONS(12368), 1,
      sym_rel_operator,
    ACTIONS(12370), 1,
      sym_and_operator,
    ACTIONS(12399), 1,
      sym_or_operator,
    ACTIONS(12411), 1,
      anon_sym_COMMA,
    ACTIONS(12413), 1,
      sym_assign_operator,
    STATE(2315), 1,
      sym_add_operator,
    STATE(10184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10143), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10141), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [497939] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12415), 1,
      anon_sym_LPAREN,
    ACTIONS(12417), 1,
      anon_sym_end,
    STATE(10185), 1,
      sym_attribute,
    STATE(10814), 1,
      sym__attribute,
    STATE(11456), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [498002] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11971), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    ACTIONS(12421), 1,
      anon_sym_LBRACK,
    STATE(10186), 1,
      sym_attribute,
    STATE(11135), 1,
      sym__constructor_name,
    STATE(11983), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12423), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11969), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [498051] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12110), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12425), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10187), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12108), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [498092] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12428), 1,
      anon_sym_LPAREN,
    ACTIONS(12430), 1,
      anon_sym_end,
    STATE(10188), 1,
      sym_attribute,
    STATE(11023), 1,
      sym__attribute,
    STATE(11434), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [498155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8110), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [498192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7964), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [498229] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12432), 1,
      anon_sym_LPAREN,
    ACTIONS(12434), 1,
      anon_sym_end,
    STATE(10191), 1,
      sym_attribute,
    STATE(10856), 1,
      sym__attribute,
    STATE(11389), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [498292] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12436), 1,
      anon_sym_LPAREN,
    ACTIONS(12438), 1,
      anon_sym_end,
    STATE(10192), 1,
      sym_attribute,
    STATE(10867), 1,
      sym__attribute,
    STATE(11378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [498355] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12440), 1,
      anon_sym_LPAREN,
    ACTIONS(12442), 1,
      anon_sym_end,
    STATE(10193), 1,
      sym_attribute,
    STATE(11034), 1,
      sym__attribute,
    STATE(11262), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [498418] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12048), 1,
      sym__lowercase_identifier,
    ACTIONS(12050), 1,
      anon_sym_POUND,
    STATE(10194), 1,
      sym_attribute,
    STATE(10478), 1,
      sym_type_constructor_path,
    STATE(16887), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11927), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11929), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [498465] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11707), 1,
      sym__lowercase_identifier,
    ACTIONS(11911), 1,
      anon_sym_POUND,
    STATE(9686), 1,
      sym_type_constructor_path,
    STATE(10195), 1,
      sym_attribute,
    STATE(16795), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11594), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [498512] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12110), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12444), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10196), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12108), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [498553] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12362), 1,
      sym_pow_operator,
    STATE(2315), 1,
      sym_add_operator,
    STATE(10197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(10117), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [498594] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12447), 1,
      sym_pow_operator,
    STATE(2302), 1,
      sym_add_operator,
    STATE(10198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [498635] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10199), 1,
      sym_attribute,
    STATE(10430), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12451), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12449), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [498678] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10200), 1,
      sym_attribute,
    STATE(10430), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12455), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12453), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [498721] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12461), 1,
      anon_sym_EQ,
    ACTIONS(12463), 1,
      anon_sym_of,
    ACTIONS(12465), 1,
      anon_sym_COLON2,
    STATE(10201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12459), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12457), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498764] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12471), 1,
      anon_sym_EQ,
    ACTIONS(12473), 1,
      anon_sym_of,
    ACTIONS(12475), 1,
      anon_sym_COLON2,
    STATE(10202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12469), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12467), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498807] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11707), 1,
      sym__lowercase_identifier,
    ACTIONS(11911), 1,
      anon_sym_POUND,
    STATE(9686), 1,
      sym_type_constructor_path,
    STATE(10203), 1,
      sym_attribute,
    STATE(16795), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11598), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [498854] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10204), 1,
      sym_attribute,
    STATE(10270), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12479), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12477), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [498897] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11735), 1,
      anon_sym_constraint,
    ACTIONS(12483), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10205), 1,
      sym_attribute,
    STATE(10232), 1,
      aux_sym_type_binding_repeat1,
    STATE(10589), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12481), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498946] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12485), 1,
      sym__lowercase_identifier,
    ACTIONS(12487), 1,
      anon_sym_POUND,
    STATE(10206), 1,
      sym_attribute,
    STATE(10981), 1,
      sym_type_constructor_path,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9800), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(9802), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [498993] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12485), 1,
      sym__lowercase_identifier,
    ACTIONS(12489), 1,
      anon_sym_POUND,
    STATE(10207), 1,
      sym_attribute,
    STATE(10949), 1,
      sym_type_constructor_path,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10992), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [499040] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10208), 1,
      sym_attribute,
    STATE(10216), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12493), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12491), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [499083] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12495), 1,
      anon_sym_LPAREN,
    ACTIONS(12497), 1,
      anon_sym_end,
    STATE(10209), 1,
      sym_attribute,
    STATE(10840), 1,
      sym__attribute,
    STATE(11059), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [499146] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12485), 1,
      sym__lowercase_identifier,
    ACTIONS(12487), 1,
      anon_sym_POUND,
    STATE(10210), 1,
      sym_attribute,
    STATE(10981), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11606), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [499199] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11735), 1,
      anon_sym_constraint,
    ACTIONS(12501), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10211), 1,
      sym_attribute,
    STATE(10492), 1,
      aux_sym_expression_item_repeat1,
    STATE(10837), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12499), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499248] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12503), 1,
      anon_sym_LPAREN,
    ACTIONS(12505), 1,
      anon_sym_end,
    STATE(10212), 1,
      sym_attribute,
    STATE(10951), 1,
      sym__attribute,
    STATE(11455), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [499311] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11766), 1,
      sym__lowercase_identifier,
    ACTIONS(11828), 1,
      anon_sym_POUND,
    STATE(9724), 1,
      sym_type_constructor_path,
    STATE(10213), 1,
      sym_attribute,
    STATE(16715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12012), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12014), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [499358] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12507), 1,
      anon_sym_LPAREN,
    ACTIONS(12509), 1,
      anon_sym_end,
    STATE(10214), 1,
      sym_attribute,
    STATE(10937), 1,
      sym__attribute,
    STATE(11093), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [499421] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11735), 1,
      anon_sym_constraint,
    ACTIONS(12513), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10215), 1,
      sym_attribute,
    STATE(10647), 1,
      aux_sym_expression_item_repeat1,
    STATE(10837), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499470] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10216), 1,
      sym_attribute,
    STATE(10430), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12517), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12515), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [499513] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12519), 1,
      anon_sym_LPAREN,
    ACTIONS(12521), 1,
      anon_sym_end,
    STATE(10217), 1,
      sym_attribute,
    STATE(10833), 1,
      sym__attribute,
    STATE(11330), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [499576] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12527), 1,
      anon_sym_EQ,
    ACTIONS(12529), 1,
      anon_sym_of,
    ACTIONS(12531), 1,
      anon_sym_COLON2,
    STATE(10218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12525), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12523), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499619] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11735), 1,
      anon_sym_constraint,
    ACTIONS(12535), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10219), 1,
      sym_attribute,
    STATE(10594), 1,
      aux_sym_expression_item_repeat1,
    STATE(10837), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12533), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9836), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9834), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [499705] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12485), 1,
      sym__lowercase_identifier,
    ACTIONS(12487), 1,
      anon_sym_POUND,
    STATE(10221), 1,
      sym_attribute,
    STATE(10981), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11594), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [499758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9934), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9932), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [499795] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12447), 1,
      sym_pow_operator,
    ACTIONS(12537), 1,
      sym_mult_operator,
    STATE(2302), 1,
      sym_add_operator,
    STATE(10223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 8,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [499838] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LPAREN,
    ACTIONS(12541), 1,
      anon_sym_end,
    STATE(10224), 1,
      sym_attribute,
    STATE(10817), 1,
      sym__attribute,
    STATE(11309), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [499901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8942), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8940), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [499938] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12543), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10226), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8863), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8865), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [499977] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12485), 1,
      sym__lowercase_identifier,
    ACTIONS(12487), 1,
      anon_sym_POUND,
    STATE(10227), 1,
      sym_attribute,
    STATE(10981), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11586), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [500030] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12546), 1,
      sym__lowercase_identifier,
    ACTIONS(12548), 1,
      anon_sym_POUND,
    STATE(10228), 1,
      sym_attribute,
    STATE(11030), 1,
      sym_type_constructor_path,
    STATE(16729), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9800), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(9802), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [500077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9858), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9856), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [500114] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12550), 1,
      anon_sym_LPAREN,
    ACTIONS(12552), 1,
      anon_sym_end,
    STATE(10230), 1,
      sym_attribute,
    STATE(10834), 1,
      sym__attribute,
    STATE(11112), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [500177] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12554), 1,
      anon_sym_LPAREN,
    ACTIONS(12556), 1,
      anon_sym_end,
    STATE(10231), 1,
      sym_attribute,
    STATE(10804), 1,
      sym__attribute,
    STATE(11292), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [500240] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11735), 1,
      anon_sym_constraint,
    ACTIONS(12560), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10232), 1,
      sym_attribute,
    STATE(10648), 1,
      aux_sym_expression_item_repeat1,
    STATE(10837), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12558), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [500289] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12562), 1,
      anon_sym_STAR,
    STATE(10233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10181), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [500328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 2,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9406), 20,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [500365] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12461), 1,
      anon_sym_EQ,
    ACTIONS(12564), 1,
      anon_sym_of,
    ACTIONS(12566), 1,
      anon_sym_COLON2,
    STATE(10235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12459), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12457), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [500408] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12471), 1,
      anon_sym_EQ,
    ACTIONS(12568), 1,
      anon_sym_of,
    ACTIONS(12570), 1,
      anon_sym_COLON2,
    STATE(10236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12469), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12467), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [500451] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12447), 1,
      sym_pow_operator,
    ACTIONS(12537), 1,
      sym_mult_operator,
    ACTIONS(12572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12574), 1,
      sym_concat_operator,
    ACTIONS(12576), 1,
      sym_rel_operator,
    ACTIONS(12578), 1,
      sym_and_operator,
    ACTIONS(12580), 1,
      sym_or_operator,
    STATE(2302), 1,
      sym_add_operator,
    STATE(10237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [500506] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11766), 1,
      sym__lowercase_identifier,
    ACTIONS(11828), 1,
      anon_sym_POUND,
    STATE(9724), 1,
      sym_type_constructor_path,
    STATE(10238), 1,
      sym_attribute,
    STATE(16715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11606), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [500553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9962), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9960), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [500590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9892), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9890), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [500627] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12582), 1,
      anon_sym_LPAREN,
    ACTIONS(12584), 1,
      anon_sym_end,
    STATE(10241), 1,
      sym_attribute,
    STATE(10967), 1,
      sym__attribute,
    STATE(11559), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [500690] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12527), 1,
      anon_sym_EQ,
    ACTIONS(12586), 1,
      anon_sym_of,
    ACTIONS(12588), 1,
      anon_sym_COLON2,
    STATE(10242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12525), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12523), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [500733] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12546), 1,
      sym__lowercase_identifier,
    ACTIONS(12548), 1,
      anon_sym_POUND,
    STATE(10243), 1,
      sym_attribute,
    STATE(11030), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16729), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11598), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [500786] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11707), 1,
      sym__lowercase_identifier,
    ACTIONS(11911), 1,
      anon_sym_POUND,
    STATE(9686), 1,
      sym_type_constructor_path,
    STATE(10244), 1,
      sym_attribute,
    STATE(16795), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11606), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [500833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [500870] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9002), 1,
      sym__lowercase_identifier,
    ACTIONS(12590), 1,
      anon_sym_COLON2,
    STATE(10246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11216), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11214), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [500913] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12592), 1,
      anon_sym_LPAREN,
    ACTIONS(12594), 1,
      anon_sym_end,
    STATE(10247), 1,
      sym_attribute,
    STATE(11007), 1,
      sym__attribute,
    STATE(11416), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [500976] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11707), 1,
      sym__lowercase_identifier,
    ACTIONS(11911), 1,
      anon_sym_POUND,
    STATE(9686), 1,
      sym_type_constructor_path,
    STATE(10248), 1,
      sym_attribute,
    STATE(16795), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12066), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12068), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [501023] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11707), 1,
      sym__lowercase_identifier,
    ACTIONS(11911), 1,
      anon_sym_POUND,
    STATE(9686), 1,
      sym_type_constructor_path,
    STATE(10249), 1,
      sym_attribute,
    STATE(16795), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11998), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12000), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [501070] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11707), 1,
      sym__lowercase_identifier,
    ACTIONS(11911), 1,
      anon_sym_POUND,
    STATE(9686), 1,
      sym_type_constructor_path,
    STATE(10250), 1,
      sym_attribute,
    STATE(16795), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12012), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12014), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [501117] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12360), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12362), 1,
      sym_pow_operator,
    ACTIONS(12364), 1,
      sym_mult_operator,
    ACTIONS(12366), 1,
      sym_concat_operator,
    STATE(2315), 1,
      sym_add_operator,
    STATE(10251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [501166] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11735), 1,
      anon_sym_constraint,
    ACTIONS(12598), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10252), 1,
      sym_attribute,
    STATE(10527), 1,
      aux_sym_expression_item_repeat1,
    STATE(10837), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12596), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8930), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8928), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [501252] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12447), 1,
      sym_pow_operator,
    ACTIONS(12537), 1,
      sym_mult_operator,
    ACTIONS(12572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12574), 1,
      sym_concat_operator,
    ACTIONS(12576), 1,
      sym_rel_operator,
    ACTIONS(12578), 1,
      sym_and_operator,
    ACTIONS(12580), 1,
      sym_or_operator,
    ACTIONS(12600), 1,
      anon_sym_COMMA,
    ACTIONS(12602), 1,
      sym_assign_operator,
    STATE(2302), 1,
      sym_add_operator,
    STATE(10254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10143), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [501311] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12604), 1,
      anon_sym_LPAREN,
    ACTIONS(12606), 1,
      anon_sym_end,
    STATE(10255), 1,
      sym_attribute,
    STATE(10933), 1,
      sym__attribute,
    STATE(11540), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [501374] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12447), 1,
      sym_pow_operator,
    ACTIONS(12537), 1,
      sym_mult_operator,
    ACTIONS(12572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12574), 1,
      sym_concat_operator,
    ACTIONS(12576), 1,
      sym_rel_operator,
    ACTIONS(12578), 1,
      sym_and_operator,
    STATE(2302), 1,
      sym_add_operator,
    STATE(10256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [501427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9772), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9770), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [501464] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12608), 1,
      anon_sym_LPAREN,
    ACTIONS(12610), 1,
      anon_sym_end,
    STATE(10258), 1,
      sym_attribute,
    STATE(10843), 1,
      sym__attribute,
    STATE(11353), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [501527] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12612), 1,
      anon_sym_LPAREN,
    ACTIONS(12614), 1,
      anon_sym_end,
    STATE(10259), 1,
      sym_attribute,
    STATE(10961), 1,
      sym__attribute,
    STATE(11469), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [501590] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10260), 1,
      sym_attribute,
    STATE(10430), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12618), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12616), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [501633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11745), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11510), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501670] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11735), 1,
      anon_sym_constraint,
    ACTIONS(12288), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10262), 1,
      sym_attribute,
    STATE(10665), 1,
      aux_sym_expression_item_repeat1,
    STATE(10837), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12286), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501719] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12620), 1,
      anon_sym_LPAREN,
    ACTIONS(12622), 1,
      anon_sym_end,
    STATE(10263), 1,
      sym_attribute,
    STATE(10940), 1,
      sym__attribute,
    STATE(11190), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [501782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9862), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9860), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [501819] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12624), 1,
      anon_sym_LPAREN,
    ACTIONS(12626), 1,
      anon_sym_end,
    STATE(10265), 1,
      sym_attribute,
    STATE(10824), 1,
      sym__attribute,
    STATE(11272), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [501882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9870), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9868), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [501919] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2315), 1,
      sym_add_operator,
    STATE(10267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [501958] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12628), 1,
      anon_sym_LPAREN,
    ACTIONS(12630), 1,
      anon_sym_end,
    STATE(10268), 1,
      sym_attribute,
    STATE(10982), 1,
      sym__attribute,
    STATE(11216), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [502021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8122), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [502058] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10270), 1,
      sym_attribute,
    STATE(10430), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12634), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12632), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [502101] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12546), 1,
      sym__lowercase_identifier,
    ACTIONS(12548), 1,
      anon_sym_POUND,
    STATE(10271), 1,
      sym_attribute,
    STATE(11030), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16729), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11606), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [502154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7777), 2,
      anon_sym_let,
      anon_sym_COLON2,
    ACTIONS(7779), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502191] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11701), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11372), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11370), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [502230] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11735), 1,
      anon_sym_constraint,
    ACTIONS(12638), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10274), 1,
      sym_attribute,
    STATE(10516), 1,
      aux_sym_expression_item_repeat1,
    STATE(10837), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12636), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502279] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12640), 1,
      anon_sym_LPAREN,
    ACTIONS(12642), 1,
      anon_sym_end,
    STATE(10275), 1,
      sym_attribute,
    STATE(10969), 1,
      sym__attribute,
    STATE(11161), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [502342] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10276), 1,
      sym_attribute,
    STATE(10430), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12646), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12644), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [502385] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10199), 1,
      aux_sym_expression_item_repeat1,
    STATE(10277), 1,
      sym_attribute,
    STATE(10430), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12650), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12648), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [502428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8946), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [502465] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12360), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12362), 1,
      sym_pow_operator,
    ACTIONS(12364), 1,
      sym_mult_operator,
    STATE(2315), 1,
      sym_add_operator,
    STATE(10279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10103), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [502512] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12360), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12362), 1,
      sym_pow_operator,
    ACTIONS(12364), 1,
      sym_mult_operator,
    ACTIONS(12366), 1,
      sym_concat_operator,
    ACTIONS(12368), 1,
      sym_rel_operator,
    ACTIONS(12370), 1,
      sym_and_operator,
    ACTIONS(12399), 1,
      sym_or_operator,
    STATE(2315), 1,
      sym_add_operator,
    STATE(10280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10211), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10209), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [502567] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10276), 1,
      aux_sym_expression_item_repeat1,
    STATE(10281), 1,
      sym_attribute,
    STATE(10430), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12654), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12652), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [502610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10902), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10904), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [502647] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12362), 1,
      sym_pow_operator,
    ACTIONS(12364), 1,
      sym_mult_operator,
    STATE(2315), 1,
      sym_add_operator,
    STATE(10283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 9,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [502690] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11735), 1,
      anon_sym_constraint,
    ACTIONS(12259), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10284), 1,
      sym_attribute,
    STATE(10557), 1,
      aux_sym_expression_item_repeat1,
    STATE(10837), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12257), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502739] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12447), 1,
      sym_pow_operator,
    ACTIONS(12537), 1,
      sym_mult_operator,
    ACTIONS(12572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12574), 1,
      sym_concat_operator,
    ACTIONS(12576), 1,
      sym_rel_operator,
    ACTIONS(12578), 1,
      sym_and_operator,
    ACTIONS(12580), 1,
      sym_or_operator,
    ACTIONS(12600), 1,
      anon_sym_COMMA,
    ACTIONS(12602), 1,
      sym_assign_operator,
    STATE(2302), 1,
      sym_add_operator,
    STATE(10285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10133), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [502798] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12447), 1,
      sym_pow_operator,
    ACTIONS(12537), 1,
      sym_mult_operator,
    ACTIONS(12572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12574), 1,
      sym_concat_operator,
    STATE(2302), 1,
      sym_add_operator,
    STATE(10286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [502847] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12656), 1,
      aux_sym_attribute_id_token1,
    STATE(10287), 1,
      sym_attribute,
    STATE(10401), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8775), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8777), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [502888] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11701), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11372), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11370), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [502927] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12658), 1,
      anon_sym_LPAREN,
    ACTIONS(12660), 1,
      anon_sym_end,
    STATE(10289), 1,
      sym_attribute,
    STATE(10956), 1,
      sym__attribute,
    STATE(11098), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [502990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9854), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9852), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [503027] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12447), 1,
      sym_pow_operator,
    ACTIONS(12537), 1,
      sym_mult_operator,
    ACTIONS(12572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12574), 1,
      sym_concat_operator,
    ACTIONS(12576), 1,
      sym_rel_operator,
    ACTIONS(12578), 1,
      sym_and_operator,
    ACTIONS(12580), 1,
      sym_or_operator,
    ACTIONS(12600), 1,
      anon_sym_COMMA,
    ACTIONS(12602), 1,
      sym_assign_operator,
    STATE(2302), 1,
      sym_add_operator,
    STATE(10291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [503086] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12020), 1,
      sym__lowercase_identifier,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    STATE(10292), 1,
      sym_attribute,
    STATE(10695), 1,
      sym_type_constructor_path,
    STATE(16863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11927), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11929), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [503133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 2,
      anon_sym_let,
      anon_sym_COLON2,
    ACTIONS(8174), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503170] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12360), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12362), 1,
      sym_pow_operator,
    ACTIONS(12364), 1,
      sym_mult_operator,
    ACTIONS(12366), 1,
      sym_concat_operator,
    ACTIONS(12368), 1,
      sym_rel_operator,
    ACTIONS(12370), 1,
      sym_and_operator,
    ACTIONS(12399), 1,
      sym_or_operator,
    ACTIONS(12411), 1,
      anon_sym_COMMA,
    ACTIONS(12413), 1,
      sym_assign_operator,
    STATE(2315), 1,
      sym_add_operator,
    STATE(10294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10133), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10131), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [503229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9818), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9816), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [503266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(7920), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [503303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9898), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9896), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [503340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3069), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3067), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [503377] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12662), 1,
      anon_sym_LPAREN,
    ACTIONS(12664), 1,
      anon_sym_end,
    STATE(10299), 1,
      sym_attribute,
    STATE(10930), 1,
      sym__attribute,
    STATE(11426), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [503440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12668), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12666), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503477] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12670), 1,
      anon_sym_LPAREN,
    ACTIONS(12672), 1,
      anon_sym_end,
    STATE(10301), 1,
      sym_attribute,
    STATE(11008), 1,
      sym__attribute,
    STATE(11429), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [503540] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10260), 1,
      aux_sym_expression_item_repeat1,
    STATE(10302), 1,
      sym_attribute,
    STATE(10430), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12676), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12674), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [503583] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2302), 1,
      sym_add_operator,
    STATE(10303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [503622] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12678), 1,
      anon_sym_LPAREN,
    ACTIONS(12680), 1,
      anon_sym_end,
    STATE(10304), 1,
      sym_attribute,
    STATE(11003), 1,
      sym__attribute,
    STATE(11534), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [503685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10219), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10217), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [503722] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12682), 1,
      anon_sym_LPAREN,
    ACTIONS(12684), 1,
      anon_sym_end,
    STATE(10306), 1,
      sym_attribute,
    STATE(10995), 1,
      sym__attribute,
    STATE(11515), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [503785] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11766), 1,
      sym__lowercase_identifier,
    ACTIONS(11828), 1,
      anon_sym_POUND,
    STATE(9724), 1,
      sym_type_constructor_path,
    STATE(10307), 1,
      sym_attribute,
    STATE(16715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12066), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12068), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [503832] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9002), 1,
      sym__lowercase_identifier,
    ACTIONS(12686), 1,
      anon_sym_COLON2,
    STATE(10308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11216), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11214), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [503875] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12004), 1,
      sym__lowercase_identifier,
    ACTIONS(12006), 1,
      anon_sym_POUND,
    STATE(10309), 1,
      sym_attribute,
    STATE(10417), 1,
      sym_type_constructor_path,
    STATE(16898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11927), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11929), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [503922] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11735), 1,
      anon_sym_constraint,
    ACTIONS(12690), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10310), 1,
      sym_attribute,
    STATE(10681), 1,
      aux_sym_expression_item_repeat1,
    STATE(10837), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12688), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503971] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11723), 1,
      anon_sym_constraint,
    ACTIONS(12288), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10311), 1,
      sym_attribute,
    STATE(10665), 1,
      aux_sym_expression_item_repeat1,
    STATE(10925), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12286), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504020] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12692), 1,
      anon_sym_LPAREN,
    ACTIONS(12694), 1,
      anon_sym_end,
    STATE(10312), 1,
      sym_attribute,
    STATE(10968), 1,
      sym__attribute,
    STATE(11563), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [504083] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12696), 1,
      anon_sym_else,
    STATE(7759), 1,
      sym_else_clause,
    STATE(10313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [504124] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12485), 1,
      sym__lowercase_identifier,
    ACTIONS(12487), 1,
      anon_sym_POUND,
    STATE(10314), 1,
      sym_attribute,
    STATE(10981), 1,
      sym_type_constructor_path,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10986), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [504171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9866), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9864), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [504208] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11735), 1,
      anon_sym_constraint,
    ACTIONS(12700), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10316), 1,
      sym_attribute,
    STATE(10587), 1,
      aux_sym_expression_item_repeat1,
    STATE(10837), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12698), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10227), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10225), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [504294] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11766), 1,
      sym__lowercase_identifier,
    ACTIONS(11828), 1,
      anon_sym_POUND,
    STATE(9724), 1,
      sym_type_constructor_path,
    STATE(10318), 1,
      sym_attribute,
    STATE(16715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11998), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12000), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [504341] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12360), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12362), 1,
      sym_pow_operator,
    ACTIONS(12364), 1,
      sym_mult_operator,
    ACTIONS(12366), 1,
      sym_concat_operator,
    ACTIONS(12368), 1,
      sym_rel_operator,
    ACTIONS(12370), 1,
      sym_and_operator,
    ACTIONS(12399), 1,
      sym_or_operator,
    ACTIONS(12411), 1,
      anon_sym_COMMA,
    ACTIONS(12413), 1,
      sym_assign_operator,
    ACTIONS(12702), 1,
      anon_sym_SEMI,
    STATE(2315), 1,
      sym_add_operator,
    STATE(10319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8946), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [504402] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12704), 1,
      anon_sym_LPAREN,
    ACTIONS(12706), 1,
      anon_sym_end,
    STATE(10320), 1,
      sym_attribute,
    STATE(10922), 1,
      sym__attribute,
    STATE(11417), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [504465] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12546), 1,
      sym__lowercase_identifier,
    ACTIONS(12548), 1,
      anon_sym_POUND,
    STATE(10321), 1,
      sym_attribute,
    STATE(11030), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16729), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11516), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [504518] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11723), 1,
      anon_sym_constraint,
    ACTIONS(12710), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10322), 1,
      sym_attribute,
    STATE(10344), 1,
      aux_sym_type_binding_repeat1,
    STATE(10489), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12708), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504567] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12712), 1,
      anon_sym_LPAREN,
    ACTIONS(12714), 1,
      anon_sym_end,
    STATE(10323), 1,
      sym_attribute,
    STATE(11041), 1,
      sym__attribute,
    STATE(11269), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [504630] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12716), 1,
      anon_sym_STAR,
    STATE(10324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10181), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504669] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12718), 1,
      anon_sym_LPAREN,
    ACTIONS(12720), 1,
      anon_sym_end,
    STATE(10325), 1,
      sym_attribute,
    STATE(10921), 1,
      sym__attribute,
    STATE(11178), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [504732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9826), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9824), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [504769] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12447), 1,
      sym_pow_operator,
    ACTIONS(12537), 1,
      sym_mult_operator,
    ACTIONS(12572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12574), 1,
      sym_concat_operator,
    STATE(2302), 1,
      sym_add_operator,
    STATE(10327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [504818] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11971), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12722), 1,
      anon_sym_LPAREN,
    ACTIONS(12724), 1,
      anon_sym_LBRACK,
    STATE(10328), 1,
      sym_attribute,
    STATE(11103), 1,
      sym__constructor_name,
    STATE(11975), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12726), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11969), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [504867] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11723), 1,
      anon_sym_constraint,
    ACTIONS(12598), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10329), 1,
      sym_attribute,
    STATE(10527), 1,
      aux_sym_expression_item_repeat1,
    STATE(10925), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12596), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504916] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12728), 1,
      anon_sym_LPAREN,
    ACTIONS(12730), 1,
      anon_sym_end,
    STATE(10330), 1,
      sym_attribute,
    STATE(10813), 1,
      sym__attribute,
    STATE(11254), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [504979] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8863), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8865), 13,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [505016] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11735), 1,
      anon_sym_constraint,
    ACTIONS(12710), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10211), 1,
      aux_sym_type_binding_repeat1,
    STATE(10332), 1,
      sym_attribute,
    STATE(10489), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12708), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505065] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12447), 1,
      sym_pow_operator,
    ACTIONS(12537), 1,
      sym_mult_operator,
    ACTIONS(12572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12574), 1,
      sym_concat_operator,
    ACTIONS(12576), 1,
      sym_rel_operator,
    ACTIONS(12578), 1,
      sym_and_operator,
    ACTIONS(12580), 1,
      sym_or_operator,
    STATE(2302), 1,
      sym_add_operator,
    STATE(10333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10211), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [505120] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12447), 1,
      sym_pow_operator,
    ACTIONS(12537), 1,
      sym_mult_operator,
    ACTIONS(12572), 1,
      anon_sym_COLON_COLON,
    STATE(2302), 1,
      sym_add_operator,
    STATE(10334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10103), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [505167] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11723), 1,
      anon_sym_constraint,
    ACTIONS(12259), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10335), 1,
      sym_attribute,
    STATE(10557), 1,
      aux_sym_expression_item_repeat1,
    STATE(10925), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12257), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9830), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9828), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [505253] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12732), 1,
      anon_sym_else,
    STATE(7759), 1,
      sym_else_clause,
    STATE(10337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [505294] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11735), 1,
      anon_sym_constraint,
    ACTIONS(12736), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10219), 1,
      aux_sym_type_binding_repeat1,
    STATE(10338), 1,
      sym_attribute,
    STATE(10508), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12734), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505343] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12742), 1,
      anon_sym_and,
    STATE(10339), 1,
      sym_attribute,
    STATE(10349), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12740), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12738), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505384] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12546), 1,
      sym__lowercase_identifier,
    ACTIONS(12548), 1,
      anon_sym_POUND,
    STATE(10340), 1,
      sym_attribute,
    STATE(11030), 1,
      sym_type_constructor_path,
    STATE(16729), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10986), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [505431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9974), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9972), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [505468] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12485), 1,
      sym__lowercase_identifier,
    ACTIONS(12487), 1,
      anon_sym_POUND,
    STATE(10342), 1,
      sym_attribute,
    STATE(10981), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11506), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11508), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [505521] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11723), 1,
      anon_sym_constraint,
    ACTIONS(12377), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10343), 1,
      sym_attribute,
    STATE(10355), 1,
      aux_sym_type_binding_repeat1,
    STATE(10488), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12375), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505570] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11723), 1,
      anon_sym_constraint,
    ACTIONS(12501), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10344), 1,
      sym_attribute,
    STATE(10492), 1,
      aux_sym_expression_item_repeat1,
    STATE(10925), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12499), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505619] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12744), 1,
      anon_sym_LPAREN,
    ACTIONS(12746), 1,
      anon_sym_end,
    STATE(10345), 1,
      sym_attribute,
    STATE(10958), 1,
      sym__attribute,
    STATE(11552), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [505682] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11723), 1,
      anon_sym_constraint,
    ACTIONS(12736), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10346), 1,
      sym_attribute,
    STATE(10360), 1,
      aux_sym_type_binding_repeat1,
    STATE(10508), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12734), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505731] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11723), 1,
      anon_sym_constraint,
    ACTIONS(12638), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10347), 1,
      sym_attribute,
    STATE(10516), 1,
      aux_sym_expression_item_repeat1,
    STATE(10925), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12636), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505780] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12447), 1,
      sym_pow_operator,
    ACTIONS(12537), 1,
      sym_mult_operator,
    ACTIONS(12572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12574), 1,
      sym_concat_operator,
    ACTIONS(12576), 1,
      sym_rel_operator,
    ACTIONS(12578), 1,
      sym_and_operator,
    ACTIONS(12580), 1,
      sym_or_operator,
    ACTIONS(12600), 1,
      anon_sym_COMMA,
    ACTIONS(12602), 1,
      sym_assign_operator,
    STATE(2302), 1,
      sym_add_operator,
    STATE(10348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10187), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [505839] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12748), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11955), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10349), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11953), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(7966), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [505915] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12732), 1,
      anon_sym_else,
    STATE(7779), 1,
      sym_else_clause,
    STATE(10351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [505956] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11735), 1,
      anon_sym_constraint,
    ACTIONS(12753), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10310), 1,
      aux_sym_type_binding_repeat1,
    STATE(10352), 1,
      sym_attribute,
    STATE(10649), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506005] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12409), 1,
      anon_sym_PIPE,
    STATE(10353), 1,
      sym_attribute,
    STATE(10365), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [506046] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12485), 1,
      sym__lowercase_identifier,
    ACTIONS(12487), 1,
      anon_sym_POUND,
    STATE(10354), 1,
      sym_attribute,
    STATE(10981), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11516), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [506099] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11723), 1,
      anon_sym_constraint,
    ACTIONS(12700), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10355), 1,
      sym_attribute,
    STATE(10587), 1,
      aux_sym_expression_item_repeat1,
    STATE(10925), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12698), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506148] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12546), 1,
      sym__lowercase_identifier,
    ACTIONS(12548), 1,
      anon_sym_POUND,
    STATE(10356), 1,
      sym_attribute,
    STATE(11030), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16729), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11594), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [506201] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12409), 1,
      anon_sym_PIPE,
    STATE(10357), 1,
      sym_attribute,
    STATE(10369), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [506242] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11723), 1,
      anon_sym_constraint,
    ACTIONS(12757), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10358), 1,
      sym_attribute,
    STATE(10361), 1,
      aux_sym_type_binding_repeat1,
    STATE(10588), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506291] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11723), 1,
      anon_sym_constraint,
    ACTIONS(12483), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10359), 1,
      sym_attribute,
    STATE(10363), 1,
      aux_sym_type_binding_repeat1,
    STATE(10589), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12481), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506340] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11723), 1,
      anon_sym_constraint,
    ACTIONS(12535), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10360), 1,
      sym_attribute,
    STATE(10594), 1,
      aux_sym_expression_item_repeat1,
    STATE(10925), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12533), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506389] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11723), 1,
      anon_sym_constraint,
    ACTIONS(12513), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10361), 1,
      sym_attribute,
    STATE(10647), 1,
      aux_sym_expression_item_repeat1,
    STATE(10925), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506438] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12759), 1,
      anon_sym_LPAREN,
    ACTIONS(12761), 1,
      anon_sym_end,
    STATE(10362), 1,
      sym_attribute,
    STATE(10841), 1,
      sym__attribute,
    STATE(11430), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [506501] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11723), 1,
      anon_sym_constraint,
    ACTIONS(12560), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10363), 1,
      sym_attribute,
    STATE(10648), 1,
      aux_sym_expression_item_repeat1,
    STATE(10925), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12558), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506550] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11723), 1,
      anon_sym_constraint,
    ACTIONS(12753), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10364), 1,
      sym_attribute,
    STATE(10366), 1,
      aux_sym_type_binding_repeat1,
    STATE(10649), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506599] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12409), 1,
      anon_sym_PIPE,
    STATE(10365), 1,
      sym_attribute,
    STATE(10369), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [506640] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11723), 1,
      anon_sym_constraint,
    ACTIONS(12690), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10366), 1,
      sym_attribute,
    STATE(10681), 1,
      aux_sym_expression_item_repeat1,
    STATE(10925), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12688), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506689] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12763), 1,
      anon_sym_LPAREN,
    ACTIONS(12765), 1,
      anon_sym_end,
    STATE(10367), 1,
      sym_attribute,
    STATE(11018), 1,
      sym__attribute,
    STATE(11071), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [506752] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12767), 1,
      anon_sym_LPAREN,
    ACTIONS(12769), 1,
      anon_sym_end,
    STATE(10368), 1,
      sym_attribute,
    STATE(10931), 1,
      sym__attribute,
    STATE(11427), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [506815] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12771), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10369), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [506854] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12546), 1,
      sym__lowercase_identifier,
    ACTIONS(12548), 1,
      anon_sym_POUND,
    STATE(10370), 1,
      sym_attribute,
    STATE(11030), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16729), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11506), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11508), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [506907] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12042), 1,
      sym__lowercase_identifier,
    ACTIONS(12044), 1,
      anon_sym_POUND,
    STATE(10371), 1,
      sym_attribute,
    STATE(10459), 1,
      sym_type_constructor_path,
    STATE(16630), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11927), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11929), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [506954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12776), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12774), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506991] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12447), 1,
      sym_pow_operator,
    STATE(2302), 1,
      sym_add_operator,
    STATE(10373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [507032] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12778), 1,
      anon_sym_LPAREN,
    ACTIONS(12780), 1,
      anon_sym_end,
    STATE(10374), 1,
      sym_attribute,
    STATE(10894), 1,
      sym__attribute,
    STATE(11371), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [507095] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11766), 1,
      sym__lowercase_identifier,
    ACTIONS(11828), 1,
      anon_sym_POUND,
    STATE(9724), 1,
      sym_type_constructor_path,
    STATE(10375), 1,
      sym_attribute,
    STATE(16715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11594), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [507142] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12782), 1,
      anon_sym_LPAREN,
    ACTIONS(12784), 1,
      anon_sym_end,
    STATE(10376), 1,
      sym_attribute,
    STATE(10926), 1,
      sym__attribute,
    STATE(11249), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [507205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9902), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9900), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9822), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9820), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507279] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12696), 1,
      anon_sym_else,
    STATE(7779), 1,
      sym_else_clause,
    STATE(10379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [507320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10902), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10904), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [507357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9906), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9904), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10172), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10170), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [507431] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12786), 1,
      anon_sym_LPAREN,
    ACTIONS(12788), 1,
      anon_sym_end,
    STATE(10383), 1,
      sym_attribute,
    STATE(11020), 1,
      sym__attribute,
    STATE(11240), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [507494] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12162), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12790), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10384), 1,
      sym_attribute,
    STATE(10386), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12160), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [507537] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12168), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12790), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10385), 1,
      sym_attribute,
    STATE(10387), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12166), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [507580] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12168), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12790), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10187), 1,
      aux_sym_type_binding_repeat1,
    STATE(10386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12166), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [507623] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12172), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12790), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10187), 1,
      aux_sym_type_binding_repeat1,
    STATE(10387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12170), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [507666] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12792), 1,
      anon_sym_LPAREN,
    ACTIONS(12794), 1,
      anon_sym_end,
    STATE(10388), 1,
      sym_attribute,
    STATE(10901), 1,
      sym__attribute,
    STATE(11400), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [507729] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11735), 1,
      anon_sym_constraint,
    ACTIONS(12757), 1,
      anon_sym_let,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10215), 1,
      aux_sym_type_binding_repeat1,
    STATE(10389), 1,
      sym_attribute,
    STATE(10588), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507778] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12162), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12796), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10390), 1,
      sym_attribute,
    STATE(10392), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12160), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [507821] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12168), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12796), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10391), 1,
      sym_attribute,
    STATE(10393), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12166), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [507864] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12168), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12796), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10196), 1,
      aux_sym_type_binding_repeat1,
    STATE(10392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12166), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [507907] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12172), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12796), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10196), 1,
      aux_sym_type_binding_repeat1,
    STATE(10393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12170), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [507950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8112), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [507987] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12742), 1,
      anon_sym_and,
    STATE(10339), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(10395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12356), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12354), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8124), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [508065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9910), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9908), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [508102] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12546), 1,
      sym__lowercase_identifier,
    ACTIONS(12798), 1,
      anon_sym_POUND,
    STATE(10398), 1,
      sym_attribute,
    STATE(10822), 1,
      sym_type_constructor_path,
    STATE(16729), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10992), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [508149] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12800), 1,
      anon_sym_LPAREN,
    ACTIONS(12802), 1,
      anon_sym_end,
    STATE(10399), 1,
      sym_attribute,
    STATE(11024), 1,
      sym__attribute,
    STATE(11439), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [508212] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12397), 1,
      anon_sym_PERCENT,
    ACTIONS(12804), 1,
      anon_sym_LPAREN,
    ACTIONS(12806), 1,
      anon_sym_end,
    STATE(10400), 1,
      sym_attribute,
    STATE(10932), 1,
      sym__attribute,
    STATE(11443), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [508275] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12656), 1,
      aux_sym_attribute_id_token1,
    STATE(10226), 1,
      aux_sym_attribute_id_repeat1,
    STATE(10401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8859), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508316] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12808), 1,
      anon_sym_STAR,
    STATE(10402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10181), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7918), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [508392] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11766), 1,
      sym__lowercase_identifier,
    ACTIONS(11828), 1,
      anon_sym_POUND,
    STATE(9724), 1,
      sym_type_constructor_path,
    STATE(10404), 1,
      sym_attribute,
    STATE(16715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11598), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [508439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9850), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9848), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [508476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12812), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12810), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508513] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8863), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8865), 14,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [508550] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12485), 1,
      sym__lowercase_identifier,
    ACTIONS(12487), 1,
      anon_sym_POUND,
    STATE(10408), 1,
      sym_attribute,
    STATE(10981), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11598), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [508603] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12814), 1,
      anon_sym_STAR,
    STATE(10409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10181), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [508642] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12358), 1,
      anon_sym_and,
    STATE(10173), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(10410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12740), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12738), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508683] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12546), 1,
      sym__lowercase_identifier,
    ACTIONS(12548), 1,
      anon_sym_POUND,
    STATE(10411), 1,
      sym_attribute,
    STATE(11030), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16729), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11586), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [508736] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12447), 1,
      sym_pow_operator,
    ACTIONS(12537), 1,
      sym_mult_operator,
    ACTIONS(12572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12574), 1,
      sym_concat_operator,
    ACTIONS(12576), 1,
      sym_rel_operator,
    ACTIONS(12578), 1,
      sym_and_operator,
    ACTIONS(12580), 1,
      sym_or_operator,
    ACTIONS(12600), 1,
      anon_sym_COMMA,
    ACTIONS(12602), 1,
      sym_assign_operator,
    ACTIONS(12816), 1,
      anon_sym_SEMI,
    STATE(2302), 1,
      sym_add_operator,
    STATE(10412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8946), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [508797] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12820), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10413), 1,
      sym_attribute,
    STATE(10593), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12818), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508839] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6927), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6925), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11432), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [508917] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(12822), 1,
      anon_sym_DASH_GT,
    STATE(10416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12310), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12308), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11436), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [508993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11218), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [509029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11222), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [509065] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1772), 1,
      sym_add_operator,
    STATE(10420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [509103] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12824), 1,
      sym__lowercase_identifier,
    ACTIONS(12826), 1,
      anon_sym_LPAREN,
    ACTIONS(12828), 1,
      anon_sym_DASH_GT,
    ACTIONS(12830), 1,
      anon_sym_module,
    ACTIONS(12832), 1,
      anon_sym_sig,
    ACTIONS(12834), 1,
      anon_sym_functor,
    ACTIONS(12836), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10421), 1,
      sym_attribute,
    STATE(13594), 1,
      sym__module_type,
    STATE(14453), 1,
      aux_sym_module_binding_repeat1,
    STATE(17175), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13477), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [509163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11234), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [509199] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10339), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10341), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11242), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [509271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11370), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11348), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11346), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [509343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11358), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [509379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12840), 1,
      anon_sym_let,
    STATE(10428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12838), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11414), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [509451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12265), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12263), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [509487] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12822), 1,
      anon_sym_DASH_GT,
    STATE(10431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12314), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12312), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11348), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11346), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11358), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509597] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8863), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8865), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [509633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11414), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509669] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12824), 1,
      sym__lowercase_identifier,
    ACTIONS(12826), 1,
      anon_sym_LPAREN,
    ACTIONS(12828), 1,
      anon_sym_DASH_GT,
    ACTIONS(12830), 1,
      anon_sym_module,
    ACTIONS(12832), 1,
      anon_sym_sig,
    ACTIONS(12834), 1,
      anon_sym_functor,
    ACTIONS(12836), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10436), 1,
      sym_attribute,
    STATE(13666), 1,
      sym__module_type,
    STATE(14453), 1,
      aux_sym_module_binding_repeat1,
    STATE(17175), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13477), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [509729] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10437), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15541), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [509789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11440), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [509825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11494), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11370), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [509897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11262), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11262), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [509969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11342), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [510005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11342), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12300), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12298), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [510077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11214), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11440), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11284), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11282), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11432), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 2,
      anon_sym_PIPE,
      anon_sym_POUND,
    ACTIONS(8112), 19,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [510257] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10451), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15575), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [510317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 2,
      anon_sym_PIPE,
      anon_sym_POUND,
    ACTIONS(8124), 19,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [510353] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10453), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16011), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [510413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11348), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11346), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [510449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11358), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [510485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11414), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [510521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11440), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [510557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11284), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11282), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [510593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11436), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11432), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [510665] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(12842), 1,
      anon_sym_DASH_GT,
    STATE(10461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12310), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12308), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11284), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11282), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510741] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12852), 1,
      sym_rel_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    STATE(1772), 1,
      sym_add_operator,
    STATE(10463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10211), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [510795] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6763), 1,
      anon_sym_let,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6761), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510837] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    STATE(1772), 1,
      sym_add_operator,
    STATE(10465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10103), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [510883] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12846), 1,
      sym_pow_operator,
    STATE(1772), 1,
      sym_add_operator,
    STATE(10466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [510923] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12846), 1,
      sym_pow_operator,
    STATE(1772), 1,
      sym_add_operator,
    STATE(10467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [510963] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    STATE(1772), 1,
      sym_add_operator,
    STATE(10468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [511011] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    STATE(1772), 1,
      sym_add_operator,
    STATE(10469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [511059] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12852), 1,
      sym_rel_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    STATE(1772), 1,
      sym_add_operator,
    STATE(10470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [511111] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12852), 1,
      sym_rel_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    STATE(1772), 1,
      sym_add_operator,
    STATE(10471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [511165] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12852), 1,
      sym_rel_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    STATE(1772), 1,
      sym_add_operator,
    STATE(10472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [511223] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    STATE(1772), 1,
      sym_add_operator,
    STATE(10473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 8,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [511265] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12852), 1,
      sym_rel_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    STATE(1772), 1,
      sym_add_operator,
    STATE(10474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10133), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [511323] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10475), 1,
      sym_attribute,
    STATE(14211), 1,
      sym__module_type,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [511383] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12824), 1,
      sym__lowercase_identifier,
    ACTIONS(12826), 1,
      anon_sym_LPAREN,
    ACTIONS(12828), 1,
      anon_sym_DASH_GT,
    ACTIONS(12830), 1,
      anon_sym_module,
    ACTIONS(12832), 1,
      anon_sym_sig,
    ACTIONS(12834), 1,
      anon_sym_functor,
    ACTIONS(12836), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10476), 1,
      sym_attribute,
    STATE(13375), 1,
      sym__module_type,
    STATE(14453), 1,
      aux_sym_module_binding_repeat1,
    STATE(17175), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13477), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [511443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9080), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [511479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11436), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [511515] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12048), 1,
      sym__lowercase_identifier,
    ACTIONS(12050), 1,
      anon_sym_POUND,
    STATE(10478), 1,
      sym_type_constructor_path,
    STATE(10479), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11594), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [511561] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12048), 1,
      sym__lowercase_identifier,
    ACTIONS(12050), 1,
      anon_sym_POUND,
    STATE(10478), 1,
      sym_type_constructor_path,
    STATE(10480), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11598), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [511607] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10481), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15822), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [511667] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12048), 1,
      sym__lowercase_identifier,
    ACTIONS(12050), 1,
      anon_sym_POUND,
    STATE(10478), 1,
      sym_type_constructor_path,
    STATE(10482), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11606), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [511713] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12048), 1,
      sym__lowercase_identifier,
    ACTIONS(12050), 1,
      anon_sym_POUND,
    STATE(10478), 1,
      sym_type_constructor_path,
    STATE(10483), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12066), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12068), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [511759] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12048), 1,
      sym__lowercase_identifier,
    ACTIONS(12050), 1,
      anon_sym_POUND,
    STATE(10478), 1,
      sym_type_constructor_path,
    STATE(10484), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11998), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12000), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [511805] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12048), 1,
      sym__lowercase_identifier,
    ACTIONS(12050), 1,
      anon_sym_POUND,
    STATE(10478), 1,
      sym_type_constructor_path,
    STATE(10485), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12012), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12014), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [511851] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12866), 1,
      anon_sym_DQUOTE,
    STATE(11105), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12864), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10486), 2,
      sym_attribute,
      aux_sym_external_repeat1,
    ACTIONS(12862), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511891] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12871), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10487), 1,
      sym_attribute,
    STATE(10670), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12869), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511933] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12700), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12698), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511975] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12501), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12499), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512017] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11747), 1,
      anon_sym_STAR,
    STATE(10490), 1,
      sym_attribute,
    STATE(10491), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12875), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12873), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512057] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12877), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11929), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10491), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11927), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512095] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12882), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12880), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512137] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10493), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15431), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [512197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11504), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11502), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [512233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11524), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11522), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [512269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11528), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11526), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [512305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11536), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11534), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [512341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11538), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [512377] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10499), 1,
      sym_attribute,
    STATE(14186), 1,
      sym__module_type,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [512437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12886), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12884), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11544), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11542), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [512509] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11370), 1,
      sym__lowercase_identifier,
    STATE(10502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12038), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12040), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [512549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12890), 1,
      anon_sym_let,
    STATE(10503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12888), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512585] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10504), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16361), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [512645] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12461), 1,
      anon_sym_EQ,
    ACTIONS(12892), 1,
      anon_sym_of,
    ACTIONS(12894), 1,
      anon_sym_COLON2,
    STATE(10505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12459), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12457), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512687] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12471), 1,
      anon_sym_EQ,
    ACTIONS(12896), 1,
      anon_sym_of,
    ACTIONS(12898), 1,
      anon_sym_COLON2,
    STATE(10506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12469), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12467), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512729] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12527), 1,
      anon_sym_EQ,
    ACTIONS(12900), 1,
      anon_sym_of,
    ACTIONS(12902), 1,
      anon_sym_COLON2,
    STATE(10507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12525), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12523), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512771] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12535), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12533), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11552), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11550), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [512849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11558), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [512885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11564), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11562), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [512921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7964), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [512957] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10513), 1,
      sym_attribute,
    STATE(14113), 1,
      sym__module_type,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [513017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9002), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513053] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10515), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15207), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [513113] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12906), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12904), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513155] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12910), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10517), 1,
      sym_attribute,
    STATE(10595), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12908), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513197] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(7920), 17,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [513233] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12914), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12912), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7964), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513311] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12918), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12916), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9002), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513389] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12277), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(12920), 1,
      anon_sym_DASH_GT,
    STATE(10523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12275), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [513429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8110), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8122), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11494), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [513537] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12924), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12922), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513579] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12042), 1,
      sym__lowercase_identifier,
    ACTIONS(12044), 1,
      anon_sym_POUND,
    STATE(10459), 1,
      sym_type_constructor_path,
    STATE(10528), 1,
      sym_attribute,
    STATE(16630), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11594), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [513625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8110), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513661] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12042), 1,
      sym__lowercase_identifier,
    ACTIONS(12044), 1,
      anon_sym_POUND,
    STATE(10459), 1,
      sym_type_constructor_path,
    STATE(10530), 1,
      sym_attribute,
    STATE(16630), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11598), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [513707] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(12310), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12920), 1,
      anon_sym_DASH_GT,
    STATE(10531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12308), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [513747] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10532), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15613), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [513807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12928), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12926), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513843] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12932), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12930), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513885] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10535), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15162), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [513945] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12936), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10536), 1,
      sym_attribute,
    STATE(10606), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12934), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513987] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(12330), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12920), 1,
      anon_sym_DASH_GT,
    STATE(10537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12328), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [514027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8122), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514063] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7918), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514099] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12940), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12938), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514141] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6913), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6911), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514183] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12944), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12942), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514225] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12948), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10543), 1,
      sym_attribute,
    STATE(10616), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12946), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514267] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10544), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15350), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [514327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12249), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12247), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [514363] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12952), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12950), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514405] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10547), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16059), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [514465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12956), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12954), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11504), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11502), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11524), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11522), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514573] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12960), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12958), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514615] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12964), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10552), 1,
      sym_attribute,
    STATE(10623), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12962), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11528), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11526), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11536), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11534), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514729] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10339), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(10341), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [514765] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10556), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16344), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [514825] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12638), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12636), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514867] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12852), 1,
      sym_rel_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    STATE(1772), 1,
      sym_add_operator,
    STATE(10558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10143), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [514925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11214), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [514961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9002), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [514997] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10561), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15213), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [515057] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12968), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10519), 1,
      aux_sym_expression_item_repeat1,
    STATE(10562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12966), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515099] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11778), 1,
      anon_sym_STAR,
    STATE(10563), 1,
      sym_attribute,
    STATE(10564), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12875), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12873), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515139] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12970), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11929), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10564), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11927), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515177] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12546), 1,
      sym__lowercase_identifier,
    ACTIONS(12548), 1,
      anon_sym_POUND,
    ACTIONS(12973), 1,
      anon_sym_STAR,
    STATE(10565), 1,
      sym_attribute,
    STATE(11030), 1,
      sym_type_constructor_path,
    STATE(12105), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16729), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11510), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11745), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [515227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11538), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [515263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 2,
      anon_sym_PIPE,
      anon_sym_POUND,
    ACTIONS(7920), 19,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [515299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11544), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11542), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [515335] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10569), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15644), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [515395] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12288), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12286), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515437] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12977), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10521), 1,
      aux_sym_expression_item_repeat1,
    STATE(10571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12975), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(7918), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [515515] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10573), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16006), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [515575] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12461), 1,
      anon_sym_EQ,
    ACTIONS(12979), 1,
      anon_sym_of,
    ACTIONS(12981), 1,
      anon_sym_COLON2,
    STATE(10574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12459), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12457), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515617] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12471), 1,
      anon_sym_EQ,
    ACTIONS(12983), 1,
      anon_sym_of,
    ACTIONS(12985), 1,
      anon_sym_COLON2,
    STATE(10575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12469), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12467), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11218), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [515695] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12527), 1,
      anon_sym_EQ,
    ACTIONS(12987), 1,
      anon_sym_of,
    ACTIONS(12989), 1,
      anon_sym_COLON2,
    STATE(10577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12525), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12523), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515737] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11711), 1,
      anon_sym_COLON2,
    STATE(10578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9002), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [515775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11222), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [515811] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9529), 1,
      sym__module_type,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10580), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [515871] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9080), 1,
      sym__lowercase_identifier,
    STATE(10581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11284), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11282), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [515911] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10582), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16377), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [515971] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12824), 1,
      sym__lowercase_identifier,
    ACTIONS(12826), 1,
      anon_sym_LPAREN,
    ACTIONS(12828), 1,
      anon_sym_DASH_GT,
    ACTIONS(12830), 1,
      anon_sym_module,
    ACTIONS(12832), 1,
      anon_sym_sig,
    ACTIONS(12834), 1,
      anon_sym_functor,
    ACTIONS(12836), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10583), 1,
      sym_attribute,
    STATE(13434), 1,
      sym__module_type,
    STATE(14453), 1,
      aux_sym_module_binding_repeat1,
    STATE(17175), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13477), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [516031] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12213), 1,
      anon_sym_DASH_GT,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12217), 1,
      anon_sym_functor,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10584), 1,
      sym_attribute,
    STATE(11632), 1,
      sym__module_type,
    STATE(14890), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [516091] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12314), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12920), 1,
      anon_sym_DASH_GT,
    STATE(10585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12312), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [516129] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10586), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15115), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [516189] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12993), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12991), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516231] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12513), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516273] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12560), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12558), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11234), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [516351] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10591), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15277), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [516411] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12824), 1,
      sym__lowercase_identifier,
    ACTIONS(12826), 1,
      anon_sym_LPAREN,
    ACTIONS(12828), 1,
      anon_sym_DASH_GT,
    ACTIONS(12830), 1,
      anon_sym_module,
    ACTIONS(12832), 1,
      anon_sym_sig,
    ACTIONS(12834), 1,
      anon_sym_functor,
    ACTIONS(12836), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10592), 1,
      sym_attribute,
    STATE(13493), 1,
      sym__module_type,
    STATE(14453), 1,
      aux_sym_module_binding_repeat1,
    STATE(17175), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13477), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [516471] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12997), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12995), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516513] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13001), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12999), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516555] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13005), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13003), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516597] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12277), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(13007), 1,
      anon_sym_DASH_GT,
    STATE(10596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12275), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [516637] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10597), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15421), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [516697] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12042), 1,
      sym__lowercase_identifier,
    ACTIONS(12044), 1,
      anon_sym_POUND,
    STATE(10459), 1,
      sym_type_constructor_path,
    STATE(10598), 1,
      sym_attribute,
    STATE(16630), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11606), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [516743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11242), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [516779] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13011), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13009), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516821] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(12310), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13007), 1,
      anon_sym_DASH_GT,
    STATE(10601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12308), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [516861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13015), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13013), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516897] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11370), 1,
      sym__lowercase_identifier,
    STATE(10603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12038), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12040), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [516937] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10604), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15584), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [516997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11504), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11502), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [517033] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13019), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13017), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517075] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13023), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10607), 1,
      sym_attribute,
    STATE(10654), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13021), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517117] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(12330), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13007), 1,
      anon_sym_DASH_GT,
    STATE(10608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12328), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [517157] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13027), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13025), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11524), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11522), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [517235] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10611), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15811), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [517295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11528), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11526), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [517331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11536), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11534), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [517367] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6935), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6933), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11538), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [517445] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13031), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13029), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517487] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10617), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15945), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [517547] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12852), 1,
      sym_rel_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(13033), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(10618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8946), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [517607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11544), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11542), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [517643] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13037), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10620), 1,
      sym_attribute,
    STATE(10662), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13035), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11586), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11584), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517721] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10622), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16131), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [517781] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13041), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13039), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517823] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13045), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13043), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517865] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10625), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(16336), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [517925] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13047), 1,
      anon_sym_DASH_GT,
    ACTIONS(13049), 1,
      anon_sym_functor,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10626), 1,
      sym_attribute,
    STATE(11033), 1,
      sym__module_type,
    STATE(14932), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [517985] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10627), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15361), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [518045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9002), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [518081] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10629), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15418), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [518141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9080), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [518177] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12485), 1,
      sym__lowercase_identifier,
    ACTIONS(12487), 1,
      anon_sym_POUND,
    ACTIONS(13051), 1,
      anon_sym_STAR,
    STATE(10631), 1,
      sym_attribute,
    STATE(10981), 1,
      sym_type_constructor_path,
    STATE(12161), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11510), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11745), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [518227] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12004), 1,
      sym__lowercase_identifier,
    ACTIONS(12006), 1,
      anon_sym_POUND,
    STATE(10417), 1,
      sym_type_constructor_path,
    STATE(10632), 1,
      sym_attribute,
    STATE(16898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11594), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [518273] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12004), 1,
      sym__lowercase_identifier,
    ACTIONS(12006), 1,
      anon_sym_POUND,
    STATE(10417), 1,
      sym_type_constructor_path,
    STATE(10633), 1,
      sym_attribute,
    STATE(16898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11598), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [518319] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12004), 1,
      sym__lowercase_identifier,
    ACTIONS(12006), 1,
      anon_sym_POUND,
    STATE(10417), 1,
      sym_type_constructor_path,
    STATE(10634), 1,
      sym_attribute,
    STATE(16898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11606), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [518365] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13055), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13053), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518407] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12004), 1,
      sym__lowercase_identifier,
    ACTIONS(12006), 1,
      anon_sym_POUND,
    STATE(10417), 1,
      sym_type_constructor_path,
    STATE(10636), 1,
      sym_attribute,
    STATE(16898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12066), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12068), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [518453] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12004), 1,
      sym__lowercase_identifier,
    ACTIONS(12006), 1,
      anon_sym_POUND,
    STATE(10417), 1,
      sym_type_constructor_path,
    STATE(10637), 1,
      sym_attribute,
    STATE(16898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11998), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12000), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [518499] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12004), 1,
      sym__lowercase_identifier,
    ACTIONS(12006), 1,
      anon_sym_POUND,
    STATE(10417), 1,
      sym_type_constructor_path,
    STATE(10638), 1,
      sym_attribute,
    STATE(16898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12012), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12014), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [518545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11218), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11284), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11282), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [518617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11222), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 2,
      anon_sym_PIPE,
      anon_sym_POUND,
    ACTIONS(7966), 19,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [518689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9080), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518725] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10644), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(15261), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [518785] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(7966), 17,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [518821] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12842), 1,
      anon_sym_DASH_GT,
    STATE(10646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12314), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12312), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518859] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13059), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13057), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518901] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13063), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13061), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518943] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12690), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12688), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518985] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13067), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10540), 1,
      aux_sym_expression_item_repeat1,
    STATE(10650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13065), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519027] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12042), 1,
      sym__lowercase_identifier,
    ACTIONS(12044), 1,
      anon_sym_POUND,
    STATE(10459), 1,
      sym_type_constructor_path,
    STATE(10651), 1,
      sym_attribute,
    STATE(16630), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12066), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12068), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [519073] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12042), 1,
      sym__lowercase_identifier,
    ACTIONS(12044), 1,
      anon_sym_POUND,
    STATE(10459), 1,
      sym_type_constructor_path,
    STATE(10652), 1,
      sym_attribute,
    STATE(16630), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11998), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12000), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [519119] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13071), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10653), 1,
      sym_attribute,
    STATE(10685), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13069), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519161] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13075), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13073), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519203] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13079), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10655), 1,
      sym_attribute,
    STATE(10692), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13077), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519245] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13083), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13081), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519287] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13087), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10657), 1,
      sym_attribute,
    STATE(10694), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13085), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519329] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13091), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13089), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11234), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9080), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [519443] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6889), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6887), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519485] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13095), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13093), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519527] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(12842), 1,
      anon_sym_DASH_GT,
    STATE(10663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12277), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12275), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13099), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13097), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519603] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12598), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12596), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519645] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13103), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10542), 1,
      aux_sym_expression_item_repeat1,
    STATE(10666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13101), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11552), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11550), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [519723] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12259), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12257), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519765] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13107), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13105), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519807] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13111), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13109), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11558), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [519885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11564), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11562), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [519921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11242), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519957] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13047), 1,
      anon_sym_DASH_GT,
    ACTIONS(13049), 1,
      anon_sym_functor,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10674), 1,
      sym_attribute,
    STATE(10738), 1,
      sym__module_type,
    STATE(14932), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [520017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11370), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [520053] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12213), 1,
      anon_sym_DASH_GT,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12217), 1,
      anon_sym_functor,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10676), 1,
      sym_attribute,
    STATE(11531), 1,
      sym__module_type,
    STATE(14890), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [520113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11262), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [520149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11342), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [520185] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11804), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11802), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520227] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12213), 1,
      anon_sym_DASH_GT,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12217), 1,
      anon_sym_functor,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10680), 1,
      sym_attribute,
    STATE(11379), 1,
      sym__module_type,
    STATE(14890), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [520287] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13115), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13113), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520329] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12028), 1,
      anon_sym_constraint,
    ACTIONS(13117), 1,
      anon_sym_EQ,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10665), 1,
      aux_sym_expression_item_repeat1,
    STATE(10682), 1,
      sym_attribute,
    STATE(10872), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12286), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [520377] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12190), 1,
      anon_sym_DASH_GT,
    ACTIONS(12192), 1,
      anon_sym_module,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12196), 1,
      anon_sym_functor,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10683), 1,
      sym_attribute,
    STATE(14539), 1,
      aux_sym_module_binding_repeat1,
    STATE(14683), 1,
      sym__module_type,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [520437] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12042), 1,
      sym__lowercase_identifier,
    ACTIONS(12044), 1,
      anon_sym_POUND,
    STATE(10459), 1,
      sym_type_constructor_path,
    STATE(10684), 1,
      sym_attribute,
    STATE(16630), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12012), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12014), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [520483] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13121), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13119), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520525] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12213), 1,
      anon_sym_DASH_GT,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12217), 1,
      anon_sym_functor,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10686), 1,
      sym_attribute,
    STATE(11381), 1,
      sym__module_type,
    STATE(14890), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [520585] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12028), 1,
      anon_sym_constraint,
    ACTIONS(13123), 1,
      anon_sym_EQ,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10557), 1,
      aux_sym_expression_item_repeat1,
    STATE(10687), 1,
      sym_attribute,
    STATE(10880), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12257), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [520633] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13127), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10688), 1,
      sym_attribute,
    STATE(10704), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13125), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520675] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12213), 1,
      anon_sym_DASH_GT,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12217), 1,
      anon_sym_functor,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9529), 1,
      sym__module_type,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10689), 1,
      sym_attribute,
    STATE(14890), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [520735] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13131), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10551), 1,
      aux_sym_expression_item_repeat1,
    STATE(10690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13129), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11432), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [520813] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13135), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13133), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520855] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13139), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10693), 1,
      sym_attribute,
    STATE(10706), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13137), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520897] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13143), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13141), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11436), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [520975] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13147), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10696), 1,
      sym_attribute,
    STATE(10707), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13145), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521017] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12152), 1,
      anon_sym_constraint,
    ACTIONS(13149), 1,
      anon_sym_EQ,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10665), 1,
      aux_sym_expression_item_repeat1,
    STATE(10697), 1,
      sym_attribute,
    STATE(10902), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12286), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [521065] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13153), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13151), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521107] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12152), 1,
      anon_sym_constraint,
    ACTIONS(13155), 1,
      anon_sym_EQ,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10557), 1,
      aux_sym_expression_item_repeat1,
    STATE(10699), 1,
      sym_attribute,
    STATE(10909), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12257), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [521155] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13159), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13157), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521197] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13163), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10701), 1,
      sym_attribute,
    STATE(10709), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13161), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521239] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13167), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13165), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13171), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13169), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521317] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13175), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13173), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521359] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13179), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10705), 1,
      sym_attribute,
    STATE(10718), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13177), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521401] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13183), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13181), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521443] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13187), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13185), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521485] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13191), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10708), 1,
      sym_attribute,
    STATE(10719), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13189), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521527] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13195), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13193), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521569] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13199), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10710), 1,
      sym_attribute,
    STATE(10722), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13197), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11218), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521647] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13203), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13201), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11222), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11494), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [521761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11234), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521797] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12314), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13007), 1,
      anon_sym_DASH_GT,
    STATE(10716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12312), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [521835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11242), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521871] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13207), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13205), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521913] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13211), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13209), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521955] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12020), 1,
      sym__lowercase_identifier,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    STATE(10695), 1,
      sym_type_constructor_path,
    STATE(10720), 1,
      sym_attribute,
    STATE(16863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11594), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [522001] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12020), 1,
      sym__lowercase_identifier,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    STATE(10695), 1,
      sym_type_constructor_path,
    STATE(10721), 1,
      sym_attribute,
    STATE(16863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11598), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [522047] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13215), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13213), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522089] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13219), 1,
      anon_sym_let,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10723), 1,
      sym_attribute,
    STATE(10724), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13217), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522131] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13223), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13221), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522173] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12020), 1,
      sym__lowercase_identifier,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    STATE(10695), 1,
      sym_type_constructor_path,
    STATE(10725), 1,
      sym_attribute,
    STATE(16863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11606), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [522219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11508), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11506), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11514), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522291] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12020), 1,
      sym__lowercase_identifier,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    STATE(10695), 1,
      sym_type_constructor_path,
    STATE(10728), 1,
      sym_attribute,
    STATE(16863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12066), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12068), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [522337] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12020), 1,
      sym__lowercase_identifier,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    STATE(10695), 1,
      sym_type_constructor_path,
    STATE(10729), 1,
      sym_attribute,
    STATE(16863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11998), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12000), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [522383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11348), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11346), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11358), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11414), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11440), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522527] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12020), 1,
      sym__lowercase_identifier,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    STATE(10695), 1,
      sym_type_constructor_path,
    STATE(10734), 1,
      sym_attribute,
    STATE(16863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12012), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12014), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [522573] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9080), 1,
      sym__lowercase_identifier,
    STATE(10735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11284), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11282), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [522613] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11711), 1,
      anon_sym_COLON2,
    STATE(10736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9002), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [522651] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13047), 1,
      anon_sym_DASH_GT,
    ACTIONS(13049), 1,
      anon_sym_functor,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10737), 1,
      sym_attribute,
    STATE(11014), 1,
      sym__module_type,
    STATE(14932), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [522711] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13229), 1,
      anon_sym_DASH_GT,
    ACTIONS(13231), 1,
      anon_sym_with,
    STATE(10738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13227), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13225), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522751] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(8112), 17,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [522787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11504), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11502), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11524), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11522), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11528), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11526), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11536), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11534), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11538), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11544), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11542), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523003] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(8124), 17,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [523039] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12340), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12338), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11552), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11550), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11558), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11564), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11562), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11494), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11552), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11550), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11558), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11214), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11564), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11562), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11370), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [523405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11262), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [523441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11342), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [523477] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(12822), 1,
      anon_sym_DASH_GT,
    STATE(10759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12277), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12275), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11214), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [523553] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13229), 1,
      anon_sym_DASH_GT,
    ACTIONS(13231), 1,
      anon_sym_with,
    STATE(10761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13235), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13233), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523593] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13229), 1,
      anon_sym_DASH_GT,
    ACTIONS(13231), 1,
      anon_sym_with,
    STATE(10762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13239), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13237), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523633] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13229), 1,
      anon_sym_DASH_GT,
    ACTIONS(13231), 1,
      anon_sym_with,
    STATE(10763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13243), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13241), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523673] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13245), 1,
      anon_sym_DASH_GT,
    ACTIONS(13247), 1,
      anon_sym_with,
    STATE(10764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13227), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13225), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523713] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13245), 1,
      anon_sym_DASH_GT,
    ACTIONS(13247), 1,
      anon_sym_with,
    STATE(10765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13235), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13233), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523753] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13245), 1,
      anon_sym_DASH_GT,
    ACTIONS(13247), 1,
      anon_sym_with,
    STATE(10766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13239), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13237), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523793] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13245), 1,
      anon_sym_DASH_GT,
    ACTIONS(13247), 1,
      anon_sym_with,
    STATE(10767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13243), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13241), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523833] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12347), 1,
      anon_sym_DASH_GT,
    ACTIONS(12349), 1,
      anon_sym_functor,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10768), 1,
      sym_attribute,
    STATE(11714), 1,
      sym__module_type,
    STATE(14925), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [523893] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12213), 1,
      anon_sym_DASH_GT,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12217), 1,
      anon_sym_functor,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10769), 1,
      sym_attribute,
    STATE(11547), 1,
      sym__module_type,
    STATE(14890), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [523953] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12213), 1,
      anon_sym_DASH_GT,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12217), 1,
      anon_sym_functor,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10770), 1,
      sym_attribute,
    STATE(11715), 1,
      sym__module_type,
    STATE(14890), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [524013] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12213), 1,
      anon_sym_DASH_GT,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12217), 1,
      anon_sym_functor,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10771), 1,
      sym_attribute,
    STATE(11716), 1,
      sym__module_type,
    STATE(14890), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [524073] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12347), 1,
      anon_sym_DASH_GT,
    ACTIONS(12349), 1,
      anon_sym_functor,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10772), 1,
      sym_attribute,
    STATE(11550), 1,
      sym__module_type,
    STATE(14925), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [524133] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12347), 1,
      anon_sym_DASH_GT,
    ACTIONS(12349), 1,
      anon_sym_functor,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10773), 1,
      sym_attribute,
    STATE(11548), 1,
      sym__module_type,
    STATE(14925), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [524193] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12347), 1,
      anon_sym_DASH_GT,
    ACTIONS(12349), 1,
      anon_sym_functor,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10774), 1,
      sym_attribute,
    STATE(11549), 1,
      sym__module_type,
    STATE(14925), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [524253] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12347), 1,
      anon_sym_DASH_GT,
    ACTIONS(12349), 1,
      anon_sym_functor,
    STATE(9529), 1,
      sym__module_type,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10775), 1,
      sym_attribute,
    STATE(14925), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [524313] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12347), 1,
      anon_sym_DASH_GT,
    ACTIONS(12349), 1,
      anon_sym_functor,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10776), 1,
      sym_attribute,
    STATE(11551), 1,
      sym__module_type,
    STATE(14925), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [524373] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12347), 1,
      anon_sym_DASH_GT,
    ACTIONS(12349), 1,
      anon_sym_functor,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10777), 1,
      sym_attribute,
    STATE(11718), 1,
      sym__module_type,
    STATE(14925), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [524433] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12347), 1,
      anon_sym_DASH_GT,
    ACTIONS(12349), 1,
      anon_sym_functor,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10778), 1,
      sym_attribute,
    STATE(11719), 1,
      sym__module_type,
    STATE(14925), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [524493] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13047), 1,
      anon_sym_DASH_GT,
    ACTIONS(13049), 1,
      anon_sym_functor,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10763), 1,
      sym__module_type,
    STATE(10779), 1,
      sym_attribute,
    STATE(14932), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [524553] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13047), 1,
      anon_sym_DASH_GT,
    ACTIONS(13049), 1,
      anon_sym_functor,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10761), 1,
      sym__module_type,
    STATE(10780), 1,
      sym_attribute,
    STATE(14932), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [524613] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13047), 1,
      anon_sym_DASH_GT,
    ACTIONS(13049), 1,
      anon_sym_functor,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10762), 1,
      sym__module_type,
    STATE(10781), 1,
      sym_attribute,
    STATE(14932), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [524673] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13047), 1,
      anon_sym_DASH_GT,
    ACTIONS(13049), 1,
      anon_sym_functor,
    STATE(9529), 1,
      sym__module_type,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10782), 1,
      sym_attribute,
    STATE(14932), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [524733] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13249), 1,
      anon_sym_DASH_GT,
    ACTIONS(13251), 1,
      anon_sym_functor,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10764), 1,
      sym__module_type,
    STATE(10783), 1,
      sym_attribute,
    STATE(14940), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [524793] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13249), 1,
      anon_sym_DASH_GT,
    ACTIONS(13251), 1,
      anon_sym_functor,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10784), 1,
      sym_attribute,
    STATE(11015), 1,
      sym__module_type,
    STATE(14940), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [524853] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13249), 1,
      anon_sym_DASH_GT,
    ACTIONS(13251), 1,
      anon_sym_functor,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10785), 1,
      sym_attribute,
    STATE(11016), 1,
      sym__module_type,
    STATE(14940), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [524913] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13249), 1,
      anon_sym_DASH_GT,
    ACTIONS(13251), 1,
      anon_sym_functor,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10767), 1,
      sym__module_type,
    STATE(10786), 1,
      sym_attribute,
    STATE(14940), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [524973] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13249), 1,
      anon_sym_DASH_GT,
    ACTIONS(13251), 1,
      anon_sym_functor,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10765), 1,
      sym__module_type,
    STATE(10787), 1,
      sym_attribute,
    STATE(14940), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [525033] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13249), 1,
      anon_sym_DASH_GT,
    ACTIONS(13251), 1,
      anon_sym_functor,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10766), 1,
      sym__module_type,
    STATE(10788), 1,
      sym_attribute,
    STATE(14940), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [525093] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12186), 1,
      sym__lowercase_identifier,
    ACTIONS(12188), 1,
      anon_sym_LPAREN,
    ACTIONS(12194), 1,
      anon_sym_sig,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(12215), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13249), 1,
      anon_sym_DASH_GT,
    ACTIONS(13251), 1,
      anon_sym_functor,
    STATE(9529), 1,
      sym__module_type,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(10789), 1,
      sym_attribute,
    STATE(14940), 1,
      aux_sym_module_binding_repeat1,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9380), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [525153] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13255), 1,
      anon_sym_let,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13253), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11552), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11550), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525230] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6927), 1,
      anon_sym_let,
    ACTIONS(6929), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10624), 1,
      aux_sym_expression_item_repeat1,
    STATE(10792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6925), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11222), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11234), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11528), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11526), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11536), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11534), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9080), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11242), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11538), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525518] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13259), 1,
      anon_sym_let,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13257), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11222), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525594] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13263), 1,
      anon_sym_let,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13261), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525635] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13263), 1,
      anon_sym_let,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10803), 1,
      sym_attribute,
    STATE(10963), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13261), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525676] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13265), 1,
      anon_sym_LPAREN,
    ACTIONS(13267), 1,
      anon_sym_end,
    STATE(10804), 1,
      sym_attribute,
    STATE(11294), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [525733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11234), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525768] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6913), 1,
      anon_sym_let,
    ACTIONS(6943), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10609), 1,
      aux_sym_expression_item_repeat1,
    STATE(10806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6911), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11284), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11282), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525846] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6763), 1,
      anon_sym_let,
    ACTIONS(6765), 1,
      anon_sym_EQ,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(10808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6761), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525889] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13045), 1,
      anon_sym_let,
    ACTIONS(13269), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10698), 1,
      aux_sym_expression_item_repeat1,
    STATE(10809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13043), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11544), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11542), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11242), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526002] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13107), 1,
      anon_sym_let,
    ACTIONS(13271), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10546), 1,
      aux_sym_expression_item_repeat1,
    STATE(10812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13105), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526045] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13273), 1,
      anon_sym_LPAREN,
    ACTIONS(13275), 1,
      anon_sym_end,
    STATE(10813), 1,
      sym_attribute,
    STATE(11264), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [526102] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13277), 1,
      anon_sym_LPAREN,
    ACTIONS(13279), 1,
      anon_sym_end,
    STATE(10814), 1,
      sym_attribute,
    STATE(11457), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [526159] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6913), 1,
      anon_sym_let,
    ACTIONS(6915), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10609), 1,
      aux_sym_expression_item_repeat1,
    STATE(10815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6911), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526202] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13027), 1,
      anon_sym_let,
    ACTIONS(13281), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10656), 1,
      aux_sym_expression_item_repeat1,
    STATE(10816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13025), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526245] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13283), 1,
      anon_sym_LPAREN,
    ACTIONS(13285), 1,
      anon_sym_end,
    STATE(10817), 1,
      sym_attribute,
    STATE(11310), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [526302] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6935), 1,
      anon_sym_let,
    ACTIONS(7011), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10658), 1,
      aux_sym_expression_item_repeat1,
    STATE(10818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6933), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526345] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13091), 1,
      anon_sym_let,
    ACTIONS(13287), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10700), 1,
      aux_sym_expression_item_repeat1,
    STATE(10819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13089), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526388] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10339), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10341), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [526423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11348), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11346), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11358), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11414), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526528] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13289), 1,
      anon_sym_LPAREN,
    ACTIONS(13291), 1,
      anon_sym_end,
    STATE(10824), 1,
      sym_attribute,
    STATE(11286), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [526585] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13091), 1,
      anon_sym_let,
    ACTIONS(13293), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10700), 1,
      aux_sym_expression_item_repeat1,
    STATE(10825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13089), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11440), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8122), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [526698] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13295), 1,
      anon_sym_PIPE,
    STATE(10828), 1,
      sym_attribute,
    STATE(10980), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11971), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11969), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526737] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6889), 1,
      anon_sym_let,
    ACTIONS(7007), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10702), 1,
      aux_sym_expression_item_repeat1,
    STATE(10829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6887), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526780] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6889), 1,
      anon_sym_let,
    ACTIONS(6891), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10702), 1,
      aux_sym_expression_item_repeat1,
    STATE(10830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6887), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526823] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13299), 1,
      anon_sym_let,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10802), 1,
      aux_sym_expression_item_repeat1,
    STATE(10831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13297), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526864] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13167), 1,
      anon_sym_let,
    ACTIONS(13301), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10712), 1,
      aux_sym_expression_item_repeat1,
    STATE(10832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13165), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526907] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13303), 1,
      anon_sym_LPAREN,
    ACTIONS(13305), 1,
      anon_sym_end,
    STATE(10833), 1,
      sym_attribute,
    STATE(11331), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [526964] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13307), 1,
      anon_sym_LPAREN,
    ACTIONS(13309), 1,
      anon_sym_end,
    STATE(10834), 1,
      sym_attribute,
    STATE(11115), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [527021] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13313), 1,
      anon_sym_let,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10835), 1,
      sym_attribute,
    STATE(10975), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13315), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13311), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11552), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11550), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527099] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13317), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12110), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10837), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12108), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11558), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11564), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11562), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527208] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_end,
    STATE(10840), 1,
      sym_attribute,
    STATE(11066), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [527265] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13324), 1,
      anon_sym_LPAREN,
    ACTIONS(13326), 1,
      anon_sym_end,
    STATE(10841), 1,
      sym_attribute,
    STATE(11432), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [527322] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13107), 1,
      anon_sym_let,
    ACTIONS(13328), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10546), 1,
      aux_sym_expression_item_repeat1,
    STATE(10842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13105), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527365] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LPAREN,
    ACTIONS(13332), 1,
      anon_sym_end,
    STATE(10843), 1,
      sym_attribute,
    STATE(11357), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [527422] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12459), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12461), 1,
      anon_sym_EQ,
    ACTIONS(13334), 1,
      anon_sym_of,
    ACTIONS(13336), 1,
      anon_sym_COLON2,
    STATE(10844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12457), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527463] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12469), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12471), 1,
      anon_sym_EQ,
    ACTIONS(13338), 1,
      anon_sym_of,
    ACTIONS(13340), 1,
      anon_sym_COLON2,
    STATE(10845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12467), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527504] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13342), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12886), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10846), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12884), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527541] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(12842), 1,
      anon_sym_DASH_GT,
    STATE(10847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12330), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12328), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11504), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11502), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11524), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11522), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11528), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11526), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11536), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11534), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11538), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11544), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11542), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527790] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12525), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12527), 1,
      anon_sym_EQ,
    ACTIONS(13345), 1,
      anon_sym_of,
    ACTIONS(13347), 1,
      anon_sym_COLON2,
    STATE(10854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527831] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13351), 1,
      anon_sym_BANG,
    ACTIONS(13353), 1,
      anon_sym_functor,
    ACTIONS(13355), 1,
      anon_sym_struct,
    STATE(8761), 1,
      sym_module_path,
    STATE(9223), 1,
      sym__module_expression,
    STATE(10855), 1,
      sym_attribute,
    STATE(11867), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [527888] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13357), 1,
      anon_sym_LPAREN,
    ACTIONS(13359), 1,
      anon_sym_end,
    STATE(10856), 1,
      sym_attribute,
    STATE(11392), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [527945] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13363), 1,
      sym_pow_operator,
    ACTIONS(13365), 1,
      sym_mult_operator,
    ACTIONS(13367), 1,
      sym_concat_operator,
    ACTIONS(13369), 1,
      sym_rel_operator,
    ACTIONS(13371), 1,
      sym_and_operator,
    ACTIONS(13373), 1,
      sym_or_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(10857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10211), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [527998] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13363), 1,
      sym_pow_operator,
    ACTIONS(13365), 1,
      sym_mult_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(10858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10103), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [528043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11494), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [528078] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13363), 1,
      sym_pow_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(10860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [528117] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13375), 1,
      anon_sym_LPAREN,
    ACTIONS(13377), 1,
      anon_sym_BANG,
    ACTIONS(13379), 1,
      anon_sym_functor,
    ACTIONS(13381), 1,
      anon_sym_struct,
    ACTIONS(13383), 1,
      sym__uppercase_identifier,
    STATE(10861), 1,
      sym_attribute,
    STATE(11884), 1,
      sym__attribute,
    STATE(12741), 1,
      sym__module_expression,
    STATE(13016), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13052), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13104), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [528174] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13363), 1,
      sym_pow_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(10862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [528213] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13363), 1,
      sym_pow_operator,
    ACTIONS(13365), 1,
      sym_mult_operator,
    ACTIONS(13367), 1,
      sym_concat_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(10863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [528260] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13363), 1,
      sym_pow_operator,
    ACTIONS(13365), 1,
      sym_mult_operator,
    ACTIONS(13367), 1,
      sym_concat_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(10864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [528307] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12028), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10665), 1,
      aux_sym_expression_item_repeat1,
    STATE(10865), 1,
      sym_attribute,
    STATE(11600), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12286), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [528352] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13363), 1,
      sym_pow_operator,
    ACTIONS(13365), 1,
      sym_mult_operator,
    ACTIONS(13367), 1,
      sym_concat_operator,
    ACTIONS(13369), 1,
      sym_rel_operator,
    ACTIONS(13371), 1,
      sym_and_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(10866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_and,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [528403] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13385), 1,
      anon_sym_LPAREN,
    ACTIONS(13387), 1,
      anon_sym_end,
    STATE(10867), 1,
      sym_attribute,
    STATE(11380), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [528460] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13363), 1,
      sym_pow_operator,
    ACTIONS(13365), 1,
      sym_mult_operator,
    ACTIONS(13367), 1,
      sym_concat_operator,
    ACTIONS(13369), 1,
      sym_rel_operator,
    ACTIONS(13371), 1,
      sym_and_operator,
    ACTIONS(13373), 1,
      sym_or_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(10868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [528513] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13363), 1,
      sym_pow_operator,
    ACTIONS(13365), 1,
      sym_mult_operator,
    ACTIONS(13367), 1,
      sym_concat_operator,
    ACTIONS(13369), 1,
      sym_rel_operator,
    ACTIONS(13371), 1,
      sym_and_operator,
    ACTIONS(13373), 1,
      sym_or_operator,
    ACTIONS(13389), 1,
      anon_sym_COMMA,
    ACTIONS(13391), 1,
      sym_assign_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(10869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [528570] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13363), 1,
      sym_pow_operator,
    ACTIONS(13365), 1,
      sym_mult_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(10870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [528611] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12028), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10489), 1,
      aux_sym_expression_item_repeat1,
    STATE(10871), 1,
      sym_attribute,
    STATE(10878), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12708), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [528656] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12028), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10527), 1,
      aux_sym_expression_item_repeat1,
    STATE(10872), 1,
      sym_attribute,
    STATE(11600), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12596), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [528701] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13363), 1,
      sym_pow_operator,
    ACTIONS(13365), 1,
      sym_mult_operator,
    ACTIONS(13367), 1,
      sym_concat_operator,
    ACTIONS(13369), 1,
      sym_rel_operator,
    ACTIONS(13371), 1,
      sym_and_operator,
    ACTIONS(13373), 1,
      sym_or_operator,
    ACTIONS(13389), 1,
      anon_sym_COMMA,
    ACTIONS(13391), 1,
      sym_assign_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(10873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10133), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [528758] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12028), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10557), 1,
      aux_sym_expression_item_repeat1,
    STATE(10874), 1,
      sym_attribute,
    STATE(11600), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12257), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [528803] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13393), 1,
      anon_sym_LPAREN,
    ACTIONS(13395), 1,
      anon_sym_end,
    STATE(10875), 1,
      sym_attribute,
    STATE(11154), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [528860] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12740), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13397), 1,
      anon_sym_and,
    STATE(10876), 1,
      sym_attribute,
    STATE(10881), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12738), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [528899] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12028), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10488), 1,
      aux_sym_expression_item_repeat1,
    STATE(10877), 1,
      sym_attribute,
    STATE(10882), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12375), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [528944] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12028), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10492), 1,
      aux_sym_expression_item_repeat1,
    STATE(10878), 1,
      sym_attribute,
    STATE(11600), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12499), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [528989] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12028), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10508), 1,
      aux_sym_expression_item_repeat1,
    STATE(10879), 1,
      sym_attribute,
    STATE(10885), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12734), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529034] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12028), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10516), 1,
      aux_sym_expression_item_repeat1,
    STATE(10880), 1,
      sym_attribute,
    STATE(11600), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12636), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529079] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11955), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13399), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10881), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11953), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529116] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12028), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10587), 1,
      aux_sym_expression_item_repeat1,
    STATE(10882), 1,
      sym_attribute,
    STATE(11600), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12698), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529161] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12028), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10588), 1,
      aux_sym_expression_item_repeat1,
    STATE(10883), 1,
      sym_attribute,
    STATE(10887), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529206] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12028), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10589), 1,
      aux_sym_expression_item_repeat1,
    STATE(10884), 1,
      sym_attribute,
    STATE(10888), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12481), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529251] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12028), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10594), 1,
      aux_sym_expression_item_repeat1,
    STATE(10885), 1,
      sym_attribute,
    STATE(11600), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12533), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529296] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13402), 1,
      anon_sym_else,
    STATE(10297), 1,
      sym_else_clause,
    STATE(10886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [529335] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12028), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10647), 1,
      aux_sym_expression_item_repeat1,
    STATE(10887), 1,
      sym_attribute,
    STATE(11600), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529380] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12028), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10648), 1,
      aux_sym_expression_item_repeat1,
    STATE(10888), 1,
      sym_attribute,
    STATE(11600), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12558), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529425] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12028), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10649), 1,
      aux_sym_expression_item_repeat1,
    STATE(10889), 1,
      sym_attribute,
    STATE(10890), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529470] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12028), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10681), 1,
      aux_sym_expression_item_repeat1,
    STATE(10890), 1,
      sym_attribute,
    STATE(11600), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12688), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529515] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11983), 1,
      anon_sym_STAR,
    STATE(10891), 1,
      sym_attribute,
    STATE(10892), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12875), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12873), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529554] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13404), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11929), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10892), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11927), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529591] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13363), 1,
      sym_pow_operator,
    ACTIONS(13365), 1,
      sym_mult_operator,
    ACTIONS(13367), 1,
      sym_concat_operator,
    ACTIONS(13369), 1,
      sym_rel_operator,
    ACTIONS(13371), 1,
      sym_and_operator,
    ACTIONS(13373), 1,
      sym_or_operator,
    ACTIONS(13389), 1,
      anon_sym_COMMA,
    ACTIONS(13391), 1,
      sym_assign_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(10893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10143), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [529648] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13407), 1,
      anon_sym_LPAREN,
    ACTIONS(13409), 1,
      anon_sym_end,
    STATE(10894), 1,
      sym_attribute,
    STATE(11372), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [529705] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11957), 1,
      anon_sym_STAR,
    STATE(10895), 1,
      sym_attribute,
    STATE(10896), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12875), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12873), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529744] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13411), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11929), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10896), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11927), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529781] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13414), 1,
      anon_sym_STAR,
    STATE(10897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10181), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11214), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [529853] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12152), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10665), 1,
      aux_sym_expression_item_repeat1,
    STATE(10899), 1,
      sym_attribute,
    STATE(11605), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12286), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529898] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12152), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10489), 1,
      aux_sym_expression_item_repeat1,
    STATE(10900), 1,
      sym_attribute,
    STATE(10907), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12708), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529943] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13416), 1,
      anon_sym_LPAREN,
    ACTIONS(13418), 1,
      anon_sym_end,
    STATE(10901), 1,
      sym_attribute,
    STATE(11401), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [530000] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12152), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10527), 1,
      aux_sym_expression_item_repeat1,
    STATE(10902), 1,
      sym_attribute,
    STATE(11605), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12596), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530045] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9522), 11,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [530080] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12152), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10557), 1,
      aux_sym_expression_item_repeat1,
    STATE(10904), 1,
      sym_attribute,
    STATE(11605), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12257), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530125] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12740), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13420), 1,
      anon_sym_and,
    STATE(10905), 1,
      sym_attribute,
    STATE(10910), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12738), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530164] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12152), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10488), 1,
      aux_sym_expression_item_repeat1,
    STATE(10906), 1,
      sym_attribute,
    STATE(10911), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12375), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530209] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12152), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10492), 1,
      aux_sym_expression_item_repeat1,
    STATE(10907), 1,
      sym_attribute,
    STATE(11605), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12499), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530254] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12152), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10508), 1,
      aux_sym_expression_item_repeat1,
    STATE(10908), 1,
      sym_attribute,
    STATE(10914), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12734), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530299] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12152), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10516), 1,
      aux_sym_expression_item_repeat1,
    STATE(10909), 1,
      sym_attribute,
    STATE(11605), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12636), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530344] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11955), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13422), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10910), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11953), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530381] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12152), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10587), 1,
      aux_sym_expression_item_repeat1,
    STATE(10911), 1,
      sym_attribute,
    STATE(11605), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12698), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530426] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12152), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10588), 1,
      aux_sym_expression_item_repeat1,
    STATE(10912), 1,
      sym_attribute,
    STATE(10915), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530471] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12152), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10589), 1,
      aux_sym_expression_item_repeat1,
    STATE(10913), 1,
      sym_attribute,
    STATE(10916), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12481), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530516] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12152), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10594), 1,
      aux_sym_expression_item_repeat1,
    STATE(10914), 1,
      sym_attribute,
    STATE(11605), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12533), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530561] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12152), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10647), 1,
      aux_sym_expression_item_repeat1,
    STATE(10915), 1,
      sym_attribute,
    STATE(11605), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530606] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12152), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10648), 1,
      aux_sym_expression_item_repeat1,
    STATE(10916), 1,
      sym_attribute,
    STATE(11605), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12558), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530651] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12152), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10649), 1,
      aux_sym_expression_item_repeat1,
    STATE(10917), 1,
      sym_attribute,
    STATE(10918), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530696] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12152), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10681), 1,
      aux_sym_expression_item_repeat1,
    STATE(10918), 1,
      sym_attribute,
    STATE(11605), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12688), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [530741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9002), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [530776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9080), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [530811] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13425), 1,
      anon_sym_LPAREN,
    ACTIONS(13427), 1,
      anon_sym_end,
    STATE(10921), 1,
      sym_attribute,
    STATE(11188), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [530868] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13429), 1,
      anon_sym_LPAREN,
    ACTIONS(13431), 1,
      anon_sym_end,
    STATE(10922), 1,
      sym_attribute,
    STATE(11418), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [530925] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13167), 1,
      anon_sym_let,
    ACTIONS(13433), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10712), 1,
      aux_sym_expression_item_repeat1,
    STATE(10923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13165), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530968] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13437), 1,
      anon_sym_let,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13435), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531009] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13439), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12110), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10925), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12108), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531048] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13442), 1,
      anon_sym_LPAREN,
    ACTIONS(13444), 1,
      anon_sym_end,
    STATE(10926), 1,
      sym_attribute,
    STATE(11454), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [531105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11218), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [531140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11564), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11562), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [531175] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6763), 1,
      anon_sym_let,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6811), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(10929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6761), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531218] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13446), 1,
      anon_sym_LPAREN,
    ACTIONS(13448), 1,
      anon_sym_end,
    STATE(10930), 1,
      sym_attribute,
    STATE(11451), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [531275] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13450), 1,
      anon_sym_LPAREN,
    ACTIONS(13452), 1,
      anon_sym_end,
    STATE(10931), 1,
      sym_attribute,
    STATE(11428), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [531332] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13454), 1,
      anon_sym_LPAREN,
    ACTIONS(13456), 1,
      anon_sym_end,
    STATE(10932), 1,
      sym_attribute,
    STATE(11484), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [531389] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13458), 1,
      anon_sym_LPAREN,
    ACTIONS(13460), 1,
      anon_sym_end,
    STATE(10933), 1,
      sym_attribute,
    STATE(11061), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [531446] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11176), 1,
      anon_sym_let,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11174), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531487] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13462), 1,
      anon_sym_else,
    STATE(10290), 1,
      sym_else_clause,
    STATE(10935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [531526] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13464), 1,
      anon_sym_STAR,
    STATE(10936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10181), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [531563] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13466), 1,
      anon_sym_LPAREN,
    ACTIONS(13468), 1,
      anon_sym_end,
    STATE(10937), 1,
      sym_attribute,
    STATE(11138), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [531620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7918), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [531655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11494), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [531690] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13470), 1,
      anon_sym_LPAREN,
    ACTIONS(13472), 1,
      anon_sym_end,
    STATE(10940), 1,
      sym_attribute,
    STATE(11192), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [531747] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13478), 1,
      anon_sym_PIPE,
    STATE(10941), 1,
      sym_attribute,
    STATE(10943), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13476), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13474), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531786] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13478), 1,
      anon_sym_PIPE,
    STATE(10942), 1,
      sym_attribute,
    STATE(10943), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13482), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13480), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531825] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13484), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12886), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10943), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12884), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531862] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13487), 1,
      anon_sym_LPAREN,
    ACTIONS(13489), 1,
      anon_sym_end,
    STATE(10944), 1,
      sym_attribute,
    STATE(11263), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [531919] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13493), 1,
      anon_sym_let,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13491), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531960] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13493), 1,
      anon_sym_let,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10946), 1,
      sym_attribute,
    STATE(10960), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13491), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532001] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13497), 1,
      anon_sym_let,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13495), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11348), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11346), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11358), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532112] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(13499), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_POUND,
    STATE(10950), 1,
      sym_attribute,
    STATE(11657), 1,
      sym_type_constructor_path,
    STATE(16778), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9800), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(9802), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [532157] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13503), 1,
      anon_sym_LPAREN,
    ACTIONS(13505), 1,
      anon_sym_end,
    STATE(10951), 1,
      sym_attribute,
    STATE(11458), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [532214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11414), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532249] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13507), 1,
      anon_sym_BANG,
    ACTIONS(13509), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(8845), 1,
      sym__module_expression,
    STATE(10953), 1,
      sym_attribute,
    STATE(11953), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [532306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11440), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532341] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12318), 1,
      anon_sym_let,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12316), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532382] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13511), 1,
      anon_sym_LPAREN,
    ACTIONS(13513), 1,
      anon_sym_end,
    STATE(10956), 1,
      sym_attribute,
    STATE(11107), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [532439] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13517), 1,
      anon_sym_let,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10957), 1,
      sym_attribute,
    STATE(11042), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13515), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532480] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13519), 1,
      anon_sym_LPAREN,
    ACTIONS(13521), 1,
      anon_sym_end,
    STATE(10958), 1,
      sym_attribute,
    STATE(11047), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [532537] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(9082), 16,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [532572] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13525), 1,
      anon_sym_let,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13523), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532613] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13527), 1,
      anon_sym_LPAREN,
    ACTIONS(13529), 1,
      anon_sym_end,
    STATE(10961), 1,
      sym_attribute,
    STATE(11470), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [532670] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13363), 1,
      sym_pow_operator,
    ACTIONS(13365), 1,
      sym_mult_operator,
    ACTIONS(13367), 1,
      sym_concat_operator,
    ACTIONS(13369), 1,
      sym_rel_operator,
    ACTIONS(13371), 1,
      sym_and_operator,
    ACTIONS(13373), 1,
      sym_or_operator,
    ACTIONS(13389), 1,
      anon_sym_COMMA,
    ACTIONS(13391), 1,
      sym_assign_operator,
    ACTIONS(13531), 1,
      anon_sym_SEMI,
    STATE(2384), 1,
      sym_add_operator,
    STATE(10962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8946), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [532729] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13535), 1,
      anon_sym_let,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13533), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11284), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11282), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532805] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13539), 1,
      anon_sym_let,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10924), 1,
      aux_sym_expression_item_repeat1,
    STATE(10965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13537), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532846] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13543), 1,
      anon_sym_let,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13541), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532887] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13545), 1,
      anon_sym_LPAREN,
    ACTIONS(13547), 1,
      anon_sym_end,
    STATE(10967), 1,
      sym_attribute,
    STATE(11562), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [532944] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13549), 1,
      anon_sym_LPAREN,
    ACTIONS(13551), 1,
      anon_sym_end,
    STATE(10968), 1,
      sym_attribute,
    STATE(11080), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [533001] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13553), 1,
      anon_sym_LPAREN,
    ACTIONS(13555), 1,
      anon_sym_end,
    STATE(10969), 1,
      sym_attribute,
    STATE(11169), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [533058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11370), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11262), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7964), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11342), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11432), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533233] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13559), 1,
      anon_sym_let,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13557), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [533274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11214), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533309] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13563), 1,
      anon_sym_let,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10977), 1,
      sym_attribute,
    STATE(11019), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13565), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13561), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [533352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10904), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(10902), 11,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [533387] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13567), 1,
      anon_sym_LPAREN,
    ACTIONS(13569), 1,
      anon_sym_end,
    STATE(10979), 1,
      sym_attribute,
    STATE(11493), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [533444] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13295), 1,
      anon_sym_PIPE,
    STATE(10846), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(10980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13476), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13474), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [533483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11436), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533518] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13571), 1,
      anon_sym_LPAREN,
    ACTIONS(13573), 1,
      anon_sym_end,
    STATE(10982), 1,
      sym_attribute,
    STATE(11221), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [533575] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13575), 1,
      anon_sym_PIPE,
    STATE(10983), 1,
      sym_attribute,
    STATE(10986), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533614] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13027), 1,
      anon_sym_let,
    ACTIONS(13577), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10656), 1,
      aux_sym_expression_item_repeat1,
    STATE(10984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13025), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [533657] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13575), 1,
      anon_sym_PIPE,
    STATE(10985), 1,
      sym_attribute,
    STATE(10987), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533696] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13575), 1,
      anon_sym_PIPE,
    STATE(10986), 1,
      sym_attribute,
    STATE(10991), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533735] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13575), 1,
      anon_sym_PIPE,
    STATE(10987), 1,
      sym_attribute,
    STATE(10991), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8110), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8122), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533844] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6935), 1,
      anon_sym_let,
    ACTIONS(6937), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10658), 1,
      aux_sym_expression_item_repeat1,
    STATE(10990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6933), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [533887] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13579), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10991), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7964), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533959] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(13499), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_POUND,
    STATE(10993), 1,
      sym_attribute,
    STATE(11629), 1,
      sym_type_constructor_path,
    STATE(16778), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10992), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [534004] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13361), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13363), 1,
      sym_pow_operator,
    ACTIONS(13365), 1,
      sym_mult_operator,
    ACTIONS(13367), 1,
      sym_concat_operator,
    ACTIONS(13369), 1,
      sym_rel_operator,
    ACTIONS(13371), 1,
      sym_and_operator,
    ACTIONS(13373), 1,
      sym_or_operator,
    ACTIONS(13389), 1,
      anon_sym_COMMA,
    ACTIONS(13391), 1,
      sym_assign_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(10994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10187), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [534061] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13584), 1,
      anon_sym_LPAREN,
    ACTIONS(13586), 1,
      anon_sym_end,
    STATE(10995), 1,
      sym_attribute,
    STATE(11516), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [534118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9002), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534153] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(12822), 1,
      anon_sym_DASH_GT,
    STATE(10997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12330), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12328), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534192] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11124), 1,
      anon_sym_let,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11122), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534233] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13462), 1,
      anon_sym_else,
    STATE(10297), 1,
      sym_else_clause,
    STATE(10999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [534272] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12546), 1,
      sym__lowercase_identifier,
    ACTIONS(12548), 1,
      anon_sym_POUND,
    STATE(11000), 1,
      sym_attribute,
    STATE(11030), 1,
      sym_type_constructor_path,
    STATE(16729), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11927), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11929), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [534317] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(13499), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_POUND,
    STATE(11001), 1,
      sym_attribute,
    STATE(11657), 1,
      sym_type_constructor_path,
    STATE(16778), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10986), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [534362] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12485), 1,
      sym__lowercase_identifier,
    ACTIONS(12487), 1,
      anon_sym_POUND,
    STATE(10981), 1,
      sym_type_constructor_path,
    STATE(11002), 1,
      sym_attribute,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11927), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11929), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [534407] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13588), 1,
      anon_sym_LPAREN,
    ACTIONS(13590), 1,
      anon_sym_end,
    STATE(11003), 1,
      sym_attribute,
    STATE(11538), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [534464] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12356), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13397), 1,
      anon_sym_and,
    STATE(10876), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(11004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12354), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [534503] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12356), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13420), 1,
      anon_sym_and,
    STATE(10905), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(11005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12354), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [534542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7918), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534577] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LPAREN,
    ACTIONS(13594), 1,
      anon_sym_end,
    STATE(11007), 1,
      sym_attribute,
    STATE(11056), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [534634] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_LPAREN,
    ACTIONS(13598), 1,
      anon_sym_end,
    STATE(11008), 1,
      sym_attribute,
    STATE(11431), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [534691] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13478), 1,
      anon_sym_PIPE,
    STATE(10941), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11971), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11969), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534730] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13478), 1,
      anon_sym_PIPE,
    STATE(10942), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13476), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13474), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534769] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2384), 1,
      sym_add_operator,
    STATE(11011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [534806] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13045), 1,
      anon_sym_let,
    ACTIONS(13600), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10698), 1,
      aux_sym_expression_item_repeat1,
    STATE(11012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13043), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8110), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534884] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13229), 1,
      anon_sym_DASH_GT,
    ACTIONS(13231), 1,
      anon_sym_with,
    ACTIONS(13604), 1,
      anon_sym_let,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11014), 1,
      sym_attribute,
    STATE(11028), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13602), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534929] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13245), 1,
      anon_sym_DASH_GT,
    ACTIONS(13247), 1,
      anon_sym_with,
    ACTIONS(13604), 1,
      anon_sym_let,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11015), 1,
      sym_attribute,
    STATE(11028), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13602), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534974] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13245), 1,
      anon_sym_DASH_GT,
    ACTIONS(13247), 1,
      anon_sym_with,
    ACTIONS(13608), 1,
      anon_sym_let,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10966), 1,
      aux_sym_expression_item_repeat1,
    STATE(11016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13606), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535019] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13402), 1,
      anon_sym_else,
    STATE(10290), 1,
      sym_else_clause,
    STATE(11017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [535058] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13610), 1,
      anon_sym_LPAREN,
    ACTIONS(13612), 1,
      anon_sym_end,
    STATE(11018), 1,
      sym_attribute,
    STATE(11077), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535115] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13616), 1,
      anon_sym_let,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13614), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535156] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13618), 1,
      anon_sym_LPAREN,
    ACTIONS(13620), 1,
      anon_sym_end,
    STATE(11020), 1,
      sym_attribute,
    STATE(11242), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535213] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13563), 1,
      anon_sym_let,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11019), 1,
      aux_sym_expression_item_repeat1,
    STATE(11021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13622), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13561), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11370), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535291] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13624), 1,
      anon_sym_LPAREN,
    ACTIONS(13626), 1,
      anon_sym_end,
    STATE(11023), 1,
      sym_attribute,
    STATE(11444), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535348] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13628), 1,
      anon_sym_LPAREN,
    ACTIONS(13630), 1,
      anon_sym_end,
    STATE(11024), 1,
      sym_attribute,
    STATE(11501), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11262), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11342), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11432), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535510] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13634), 1,
      anon_sym_let,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13632), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535551] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12459), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12461), 1,
      anon_sym_EQ,
    ACTIONS(13636), 1,
      anon_sym_of,
    ACTIONS(13638), 1,
      anon_sym_COLON2,
    STATE(11029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12457), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [535592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11436), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535627] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12469), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12471), 1,
      anon_sym_EQ,
    ACTIONS(13640), 1,
      anon_sym_of,
    ACTIONS(13642), 1,
      anon_sym_COLON2,
    STATE(11031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12467), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [535668] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13295), 1,
      anon_sym_PIPE,
    STATE(10846), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13482), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13480), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535707] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13229), 1,
      anon_sym_DASH_GT,
    ACTIONS(13231), 1,
      anon_sym_with,
    ACTIONS(13608), 1,
      anon_sym_let,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10966), 1,
      aux_sym_expression_item_repeat1,
    STATE(11033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13606), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535752] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13644), 1,
      anon_sym_LPAREN,
    ACTIONS(13646), 1,
      anon_sym_end,
    STATE(11034), 1,
      sym_attribute,
    STATE(11277), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535809] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12525), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12527), 1,
      anon_sym_EQ,
    ACTIONS(13648), 1,
      anon_sym_of,
    ACTIONS(13650), 1,
      anon_sym_COLON2,
    STATE(11035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [535850] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6927), 1,
      anon_sym_let,
    ACTIONS(6939), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10624), 1,
      aux_sym_expression_item_repeat1,
    STATE(11036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6925), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535893] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13654), 1,
      anon_sym_let,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10945), 1,
      aux_sym_expression_item_repeat1,
    STATE(11037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13652), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11504), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11502), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11524), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11522), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [536004] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13295), 1,
      anon_sym_PIPE,
    STATE(11032), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13476), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13474), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536043] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13656), 1,
      anon_sym_LPAREN,
    ACTIONS(13658), 1,
      anon_sym_end,
    STATE(11041), 1,
      sym_attribute,
    STATE(11271), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536100] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13539), 1,
      anon_sym_let,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13537), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11218), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [536176] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13313), 1,
      anon_sym_let,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10975), 1,
      aux_sym_expression_item_repeat1,
    STATE(11044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13660), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13311), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11558), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [536254] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13662), 1,
      anon_sym_end,
    STATE(11046), 1,
      sym_attribute,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536308] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13664), 1,
      anon_sym_end,
    STATE(11047), 1,
      sym_attribute,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536362] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13666), 1,
      anon_sym_end,
    STATE(11048), 1,
      sym_attribute,
    STATE(11049), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536416] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13668), 1,
      anon_sym_end,
    STATE(11049), 1,
      sym_attribute,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536470] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13668), 1,
      anon_sym_end,
    STATE(11050), 1,
      sym_attribute,
    STATE(11051), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536524] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13670), 1,
      anon_sym_end,
    STATE(11051), 1,
      sym_attribute,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536578] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13670), 1,
      anon_sym_end,
    STATE(11052), 1,
      sym_attribute,
    STATE(11053), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536632] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13672), 1,
      anon_sym_end,
    STATE(11053), 1,
      sym_attribute,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536686] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13674), 1,
      anon_sym_end,
    STATE(11054), 1,
      sym_attribute,
    STATE(11055), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536740] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13676), 1,
      anon_sym_end,
    STATE(11055), 1,
      sym_attribute,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536794] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13678), 1,
      anon_sym_end,
    STATE(11056), 1,
      sym_attribute,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536848] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13680), 1,
      anon_sym_end,
    STATE(11057), 1,
      sym_attribute,
    STATE(11073), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536902] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13682), 1,
      anon_sym_end,
    STATE(11058), 1,
      sym_attribute,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [536956] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13322), 1,
      anon_sym_end,
    STATE(11059), 1,
      sym_attribute,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537010] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13688), 1,
      anon_sym_and,
    ACTIONS(13690), 1,
      sym_let_and_operator,
    STATE(11060), 1,
      sym_attribute,
    STATE(11128), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13686), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13684), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537050] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13692), 1,
      anon_sym_end,
    STATE(11061), 1,
      sym_attribute,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537104] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12120), 1,
      anon_sym_STAR,
    ACTIONS(12875), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11062), 1,
      sym_attribute,
    STATE(11063), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12873), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [537142] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11929), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13694), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11063), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11927), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [537178] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13682), 1,
      anon_sym_end,
    STATE(11064), 1,
      sym_attribute,
    STATE(11120), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537232] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13697), 1,
      anon_sym_end,
    STATE(11065), 1,
      sym_attribute,
    STATE(11081), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537286] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13699), 1,
      anon_sym_end,
    STATE(11066), 1,
      sym_attribute,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537340] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13701), 1,
      anon_sym_constraint,
    ACTIONS(13704), 1,
      anon_sym_val,
    ACTIONS(13707), 1,
      anon_sym_end,
    ACTIONS(13709), 1,
      anon_sym_inherit,
    ACTIONS(13712), 1,
      anon_sym_method,
    ACTIONS(13715), 1,
      anon_sym_initializer,
    ACTIONS(13718), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13721), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13724), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11067), 2,
      sym_attribute,
      aux_sym_object_expression_repeat1,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537392] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12485), 1,
      sym__lowercase_identifier,
    ACTIONS(12487), 1,
      anon_sym_POUND,
    STATE(10981), 1,
      sym_type_constructor_path,
    STATE(11068), 1,
      sym_attribute,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11606), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [537436] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13727), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537490] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13727), 1,
      anon_sym_end,
    STATE(11070), 1,
      sym_attribute,
    STATE(11176), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537544] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13612), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537598] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13729), 1,
      anon_sym_end,
    STATE(11072), 1,
      sym_attribute,
    STATE(11078), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537652] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13731), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537706] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11074), 1,
      sym_attribute,
    STATE(11769), 1,
      sym__attribute,
    STATE(12842), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [537760] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12471), 1,
      anon_sym_EQ,
    ACTIONS(13735), 1,
      anon_sym_of,
    ACTIONS(13737), 1,
      anon_sym_COLON2,
    STATE(11075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12469), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12467), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537800] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13739), 1,
      anon_sym_end,
    STATE(11076), 1,
      sym_attribute,
    STATE(11173), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537854] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13741), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537908] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13743), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [537962] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13743), 1,
      anon_sym_end,
    STATE(11079), 1,
      sym_attribute,
    STATE(11090), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538016] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13745), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538070] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13747), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538124] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13749), 1,
      anon_sym_end,
    STATE(11082), 1,
      sym_attribute,
    STATE(11084), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538178] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13747), 1,
      anon_sym_end,
    STATE(11083), 1,
      sym_attribute,
    STATE(11094), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538232] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13751), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538286] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13751), 1,
      anon_sym_end,
    STATE(11085), 1,
      sym_attribute,
    STATE(11086), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538340] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13753), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538394] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13753), 1,
      anon_sym_end,
    STATE(11087), 1,
      sym_attribute,
    STATE(11088), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538448] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13755), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538502] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13688), 1,
      anon_sym_and,
    ACTIONS(13690), 1,
      sym_let_and_operator,
    STATE(11089), 1,
      sym_attribute,
    STATE(11211), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13759), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13757), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538542] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13761), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538596] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13761), 1,
      anon_sym_end,
    STATE(11091), 1,
      sym_attribute,
    STATE(11092), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538650] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13763), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538704] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13468), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538758] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13765), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538812] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13765), 1,
      anon_sym_end,
    STATE(11095), 1,
      sym_attribute,
    STATE(11100), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [538866] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11096), 1,
      sym_attribute,
    STATE(11759), 1,
      sym__attribute,
    STATE(12794), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [538920] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13509), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(8854), 1,
      sym__module_expression,
    STATE(11097), 1,
      sym_attribute,
    STATE(11783), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [538974] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13513), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539028] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13509), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(8837), 1,
      sym__module_expression,
    STATE(11099), 1,
      sym_attribute,
    STATE(11919), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [539082] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13767), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539136] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11101), 1,
      sym_attribute,
    STATE(11990), 1,
      sym__attribute,
    STATE(12970), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [539190] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12459), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12461), 1,
      anon_sym_EQ,
    ACTIONS(13769), 1,
      anon_sym_of,
    ACTIONS(13771), 1,
      anon_sym_COLON2,
    STATE(11102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12457), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [539230] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12469), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12471), 1,
      anon_sym_EQ,
    ACTIONS(13773), 1,
      anon_sym_of,
    ACTIONS(13775), 1,
      anon_sym_COLON2,
    STATE(11103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12467), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [539270] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12525), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12527), 1,
      anon_sym_EQ,
    ACTIONS(13777), 1,
      anon_sym_of,
    ACTIONS(13779), 1,
      anon_sym_COLON2,
    STATE(11104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [539310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13783), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13781), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [539344] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13789), 1,
      anon_sym_and,
    ACTIONS(13791), 1,
      sym_let_and_operator,
    STATE(11106), 1,
      sym_attribute,
    STATE(11110), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13787), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13785), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539384] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13793), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539438] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13795), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539492] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13789), 1,
      anon_sym_and,
    ACTIONS(13791), 1,
      sym_let_and_operator,
    STATE(11109), 1,
      sym_attribute,
    STATE(11110), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13686), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13684), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539532] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13801), 1,
      anon_sym_and,
    ACTIONS(13804), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13799), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(11110), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(13797), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539570] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13789), 1,
      anon_sym_and,
    ACTIONS(13791), 1,
      sym_let_and_operator,
    STATE(11111), 1,
      sym_attribute,
    STATE(11116), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13686), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13684), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539610] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13309), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539664] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12018), 1,
      anon_sym_STAR,
    ACTIONS(12875), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11113), 1,
      sym_attribute,
    STATE(11114), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12873), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [539702] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11929), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13807), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11114), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11927), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [539738] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13810), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539792] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13789), 1,
      anon_sym_and,
    ACTIONS(13791), 1,
      sym_let_and_operator,
    STATE(11110), 1,
      aux_sym_value_definition_repeat1,
    STATE(11116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13814), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13812), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539832] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11117), 1,
      sym_attribute,
    STATE(11795), 1,
      sym__attribute,
    STATE(12898), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [539886] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13816), 1,
      anon_sym_end,
    STATE(11118), 1,
      sym_attribute,
    STATE(11122), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [539940] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12277), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(13818), 1,
      anon_sym_DASH_GT,
    STATE(11119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12275), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [539978] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13820), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540032] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13820), 1,
      anon_sym_end,
    STATE(11121), 1,
      sym_attribute,
    STATE(11140), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540086] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13822), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540140] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13822), 1,
      anon_sym_end,
    STATE(11123), 1,
      sym_attribute,
    STATE(11124), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540194] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13824), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540248] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13824), 1,
      anon_sym_end,
    STATE(11125), 1,
      sym_attribute,
    STATE(11126), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540302] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13826), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13799), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13797), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [540390] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13828), 1,
      anon_sym_and,
    ACTIONS(13831), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13799), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(11128), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(13797), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540428] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12277), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(13834), 1,
      anon_sym_DASH_GT,
    STATE(11129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12275), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [540466] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13838), 1,
      anon_sym_let,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13836), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540506] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12485), 1,
      sym__lowercase_identifier,
    ACTIONS(12487), 1,
      anon_sym_POUND,
    STATE(10981), 1,
      sym_type_constructor_path,
    STATE(11131), 1,
      sym_attribute,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12066), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12068), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [540550] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12485), 1,
      sym__lowercase_identifier,
    ACTIONS(12487), 1,
      anon_sym_POUND,
    STATE(10981), 1,
      sym_type_constructor_path,
    STATE(11132), 1,
      sym_attribute,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11998), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12000), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [540594] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11133), 1,
      sym_attribute,
    STATE(11986), 1,
      sym__attribute,
    STATE(12943), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [540648] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12459), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12461), 1,
      anon_sym_EQ,
    ACTIONS(13840), 1,
      anon_sym_of,
    ACTIONS(13842), 1,
      anon_sym_COLON2,
    STATE(11134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12457), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [540688] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12469), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12471), 1,
      anon_sym_EQ,
    ACTIONS(13844), 1,
      anon_sym_of,
    ACTIONS(13846), 1,
      anon_sym_COLON2,
    STATE(11135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12467), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [540728] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13731), 1,
      anon_sym_end,
    STATE(11136), 1,
      sym_attribute,
    STATE(11168), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540782] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12525), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12527), 1,
      anon_sym_EQ,
    ACTIONS(13848), 1,
      anon_sym_of,
    ACTIONS(13850), 1,
      anon_sym_COLON2,
    STATE(11137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [540822] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13852), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540876] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13854), 1,
      anon_sym_end,
    STATE(11139), 1,
      sym_attribute,
    STATE(11186), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540930] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13856), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [540984] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13858), 1,
      anon_sym_end,
    STATE(11141), 1,
      sym_attribute,
    STATE(11170), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541038] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13860), 1,
      anon_sym_end,
    STATE(11058), 1,
      aux_sym_object_expression_repeat1,
    STATE(11142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541092] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13862), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13864), 1,
      sym_pow_operator,
    ACTIONS(13866), 1,
      sym_mult_operator,
    ACTIONS(13868), 1,
      sym_concat_operator,
    ACTIONS(13870), 1,
      sym_rel_operator,
    ACTIONS(13872), 1,
      sym_and_operator,
    ACTIONS(13874), 1,
      sym_or_operator,
    STATE(2357), 1,
      sym_add_operator,
    STATE(11143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10211), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [541144] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13862), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13864), 1,
      sym_pow_operator,
    ACTIONS(13866), 1,
      sym_mult_operator,
    STATE(2357), 1,
      sym_add_operator,
    STATE(11144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10103), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541188] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13864), 1,
      sym_pow_operator,
    STATE(2357), 1,
      sym_add_operator,
    STATE(11145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541226] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13864), 1,
      sym_pow_operator,
    STATE(2357), 1,
      sym_add_operator,
    STATE(11146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541264] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13862), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13864), 1,
      sym_pow_operator,
    ACTIONS(13866), 1,
      sym_mult_operator,
    ACTIONS(13868), 1,
      sym_concat_operator,
    STATE(2357), 1,
      sym_add_operator,
    STATE(11147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541310] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13862), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13864), 1,
      sym_pow_operator,
    ACTIONS(13866), 1,
      sym_mult_operator,
    ACTIONS(13868), 1,
      sym_concat_operator,
    STATE(2357), 1,
      sym_add_operator,
    STATE(11148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541356] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11149), 1,
      sym_attribute,
    STATE(11820), 1,
      sym__attribute,
    STATE(12903), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [541410] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13862), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13864), 1,
      sym_pow_operator,
    ACTIONS(13866), 1,
      sym_mult_operator,
    ACTIONS(13868), 1,
      sym_concat_operator,
    ACTIONS(13870), 1,
      sym_rel_operator,
    ACTIONS(13872), 1,
      sym_and_operator,
    STATE(2357), 1,
      sym_add_operator,
    STATE(11150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_and,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [541460] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(7936), 17,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
      aux_sym_tag_token1,
  [541494] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13395), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541548] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13862), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13864), 1,
      sym_pow_operator,
    ACTIONS(13866), 1,
      sym_mult_operator,
    ACTIONS(13868), 1,
      sym_concat_operator,
    ACTIONS(13870), 1,
      sym_rel_operator,
    ACTIONS(13872), 1,
      sym_and_operator,
    ACTIONS(13874), 1,
      sym_or_operator,
    STATE(2357), 1,
      sym_add_operator,
    STATE(11153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [541600] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13876), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541654] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13862), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13864), 1,
      sym_pow_operator,
    ACTIONS(13866), 1,
      sym_mult_operator,
    ACTIONS(13868), 1,
      sym_concat_operator,
    ACTIONS(13870), 1,
      sym_rel_operator,
    ACTIONS(13872), 1,
      sym_and_operator,
    ACTIONS(13874), 1,
      sym_or_operator,
    ACTIONS(13878), 1,
      anon_sym_COMMA,
    ACTIONS(13880), 1,
      sym_assign_operator,
    STATE(2357), 1,
      sym_add_operator,
    STATE(11155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [541710] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13864), 1,
      sym_pow_operator,
    ACTIONS(13866), 1,
      sym_mult_operator,
    STATE(2357), 1,
      sym_add_operator,
    STATE(11156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541750] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13882), 1,
      anon_sym_end,
    STATE(11157), 1,
      sym_attribute,
    STATE(11159), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541804] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13862), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13864), 1,
      sym_pow_operator,
    ACTIONS(13866), 1,
      sym_mult_operator,
    ACTIONS(13868), 1,
      sym_concat_operator,
    ACTIONS(13870), 1,
      sym_rel_operator,
    ACTIONS(13872), 1,
      sym_and_operator,
    ACTIONS(13874), 1,
      sym_or_operator,
    ACTIONS(13878), 1,
      anon_sym_COMMA,
    ACTIONS(13880), 1,
      sym_assign_operator,
    STATE(2357), 1,
      sym_add_operator,
    STATE(11158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10133), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [541860] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13884), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541914] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13884), 1,
      anon_sym_end,
    STATE(11160), 1,
      sym_attribute,
    STATE(11162), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [541968] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13555), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542022] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13886), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542076] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13886), 1,
      anon_sym_end,
    STATE(11163), 1,
      sym_attribute,
    STATE(11166), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542130] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11164), 1,
      sym_attribute,
    STATE(11770), 1,
      sym__attribute,
    STATE(12930), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [542184] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13862), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13864), 1,
      sym_pow_operator,
    ACTIONS(13866), 1,
      sym_mult_operator,
    ACTIONS(13868), 1,
      sym_concat_operator,
    ACTIONS(13870), 1,
      sym_rel_operator,
    ACTIONS(13872), 1,
      sym_and_operator,
    ACTIONS(13874), 1,
      sym_or_operator,
    ACTIONS(13878), 1,
      anon_sym_COMMA,
    ACTIONS(13880), 1,
      sym_assign_operator,
    STATE(2357), 1,
      sym_add_operator,
    STATE(11165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10143), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [542240] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13888), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542294] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12485), 1,
      sym__lowercase_identifier,
    ACTIONS(12487), 1,
      anon_sym_POUND,
    STATE(10981), 1,
      sym_type_constructor_path,
    STATE(11167), 1,
      sym_attribute,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12012), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12014), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [542338] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13890), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542392] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13892), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542446] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13894), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542500] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(12310), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13818), 1,
      anon_sym_DASH_GT,
    STATE(11171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12308), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [542538] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13894), 1,
      anon_sym_end,
    STATE(11172), 1,
      sym_attribute,
    STATE(11179), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542592] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13896), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542646] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13896), 1,
      anon_sym_end,
    STATE(11174), 1,
      sym_attribute,
    STATE(11183), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542700] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13795), 1,
      anon_sym_end,
    STATE(11175), 1,
      sym_attribute,
    STATE(11288), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542754] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13898), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542808] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13900), 1,
      anon_sym_end,
    STATE(11177), 1,
      sym_attribute,
    STATE(11202), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542862] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13427), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542916] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13902), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [542970] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13902), 1,
      anon_sym_end,
    STATE(11180), 1,
      sym_attribute,
    STATE(11181), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543024] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13904), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543078] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13898), 1,
      anon_sym_end,
    STATE(11182), 1,
      sym_attribute,
    STATE(11256), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543132] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13906), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543186] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11184), 1,
      sym_attribute,
    STATE(11830), 1,
      sym__attribute,
    STATE(12795), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [543240] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13688), 1,
      anon_sym_and,
    ACTIONS(13690), 1,
      sym_let_and_operator,
    STATE(11185), 1,
      sym_attribute,
    STATE(11437), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13686), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13684), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543280] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13908), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543334] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13908), 1,
      anon_sym_end,
    STATE(11187), 1,
      sym_attribute,
    STATE(11206), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543388] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13910), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543442] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12546), 1,
      sym__lowercase_identifier,
    ACTIONS(12548), 1,
      anon_sym_POUND,
    STATE(11030), 1,
      sym_type_constructor_path,
    STATE(11189), 1,
      sym_attribute,
    STATE(16729), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11604), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11606), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [543486] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13472), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543540] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11191), 1,
      sym_attribute,
    STATE(11882), 1,
      sym__attribute,
    STATE(12955), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [543594] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13912), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543648] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13914), 1,
      anon_sym_end,
    STATE(11193), 1,
      sym_attribute,
    STATE(11194), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543702] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13916), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543756] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13916), 1,
      anon_sym_end,
    STATE(11195), 1,
      sym_attribute,
    STATE(11197), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543810] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11196), 1,
      sym_attribute,
    STATE(11926), 1,
      sym__attribute,
    STATE(12821), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [543864] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13918), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543918] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13918), 1,
      anon_sym_end,
    STATE(11198), 1,
      sym_attribute,
    STATE(11200), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [543972] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13906), 1,
      anon_sym_end,
    STATE(11199), 1,
      sym_attribute,
    STATE(11229), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544026] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13920), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544080] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12485), 1,
      sym__lowercase_identifier,
    ACTIONS(12487), 1,
      anon_sym_POUND,
    STATE(10981), 1,
      sym_type_constructor_path,
    STATE(11201), 1,
      sym_attribute,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11594), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [544124] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13922), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544178] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13922), 1,
      anon_sym_end,
    STATE(11203), 1,
      sym_attribute,
    STATE(11204), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544232] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13924), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544286] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11205), 1,
      sym_attribute,
    STATE(11987), 1,
      sym__attribute,
    STATE(12972), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [544340] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13926), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544394] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13926), 1,
      anon_sym_end,
    STATE(11207), 1,
      sym_attribute,
    STATE(11213), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544448] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13928), 1,
      anon_sym_end,
    STATE(11208), 1,
      sym_attribute,
    STATE(11214), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544502] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13924), 1,
      anon_sym_end,
    STATE(11209), 1,
      sym_attribute,
    STATE(11217), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544556] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12485), 1,
      sym__lowercase_identifier,
    ACTIONS(12487), 1,
      anon_sym_POUND,
    STATE(10981), 1,
      sym_type_constructor_path,
    STATE(11210), 1,
      sym_attribute,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11598), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [544600] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13688), 1,
      anon_sym_and,
    ACTIONS(13690), 1,
      sym_let_and_operator,
    STATE(11128), 1,
      aux_sym_value_definition_repeat1,
    STATE(11211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13787), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13785), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544640] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11212), 1,
      sym_attribute,
    STATE(11801), 1,
      sym__attribute,
    STATE(12870), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [544694] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13930), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544748] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13932), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544802] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13932), 1,
      anon_sym_end,
    STATE(11215), 1,
      sym_attribute,
    STATE(11224), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544856] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13573), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544910] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13934), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [544964] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13789), 1,
      anon_sym_and,
    ACTIONS(13791), 1,
      sym_let_and_operator,
    STATE(11106), 1,
      aux_sym_value_definition_repeat1,
    STATE(11218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13759), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13757), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545004] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    ACTIONS(13936), 1,
      anon_sym_RPAREN,
    ACTIONS(13938), 1,
      anon_sym_val,
    STATE(8761), 1,
      sym_module_path,
    STATE(11219), 1,
      sym_attribute,
    STATE(12841), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [545058] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11220), 1,
      sym_attribute,
    STATE(11754), 1,
      sym__attribute,
    STATE(12967), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [545112] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13940), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545166] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13789), 1,
      anon_sym_and,
    ACTIONS(13791), 1,
      sym_let_and_operator,
    STATE(11109), 1,
      aux_sym_value_definition_repeat1,
    STATE(11222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13787), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13785), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545206] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13942), 1,
      anon_sym_end,
    STATE(11223), 1,
      sym_attribute,
    STATE(11257), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545260] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13944), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545314] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13944), 1,
      anon_sym_end,
    STATE(11225), 1,
      sym_attribute,
    STATE(11226), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545368] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13946), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545422] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13948), 1,
      anon_sym_end,
    STATE(11227), 1,
      sym_attribute,
    STATE(11231), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545476] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13952), 1,
      anon_sym_let,
    ACTIONS(13954), 1,
      anon_sym_and,
    STATE(11228), 1,
      sym_attribute,
    STATE(11332), 1,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13950), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545514] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13956), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545568] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11230), 1,
      sym_attribute,
    STATE(11829), 1,
      sym__attribute,
    STATE(12862), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [545622] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13958), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545676] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13958), 1,
      anon_sym_end,
    STATE(11232), 1,
      sym_attribute,
    STATE(11233), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545730] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13960), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545784] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13960), 1,
      anon_sym_end,
    STATE(11234), 1,
      sym_attribute,
    STATE(11235), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545838] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13962), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [545892] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13964), 1,
      anon_sym_else,
    STATE(10290), 1,
      sym_else_clause,
    STATE(11236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [545930] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11237), 1,
      sym_attribute,
    STATE(11941), 1,
      sym__attribute,
    STATE(12963), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [545984] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13890), 1,
      anon_sym_end,
    STATE(11238), 1,
      sym_attribute,
    STATE(11245), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546038] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11239), 1,
      sym_attribute,
    STATE(11989), 1,
      sym__attribute,
    STATE(12958), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [546092] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13620), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546146] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13966), 1,
      anon_sym_RPAREN,
    ACTIONS(13968), 1,
      anon_sym_DOT,
    STATE(11241), 1,
      sym_attribute,
    STATE(18190), 1,
      sym_add_operator,
    STATE(19408), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1471), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1473), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1469), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(13970), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [546192] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13972), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546246] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12546), 1,
      sym__lowercase_identifier,
    ACTIONS(12548), 1,
      anon_sym_POUND,
    STATE(11030), 1,
      sym_type_constructor_path,
    STATE(11243), 1,
      sym_attribute,
    STATE(16729), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11594), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [546290] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13976), 1,
      anon_sym_let,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11244), 1,
      sym_attribute,
    STATE(11499), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13974), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546330] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13978), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546384] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13980), 1,
      anon_sym_end,
    STATE(11069), 1,
      aux_sym_object_expression_repeat1,
    STATE(11246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546438] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11247), 1,
      sym_attribute,
    STATE(11745), 1,
      sym__attribute,
    STATE(12983), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [546492] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13982), 1,
      anon_sym_end,
    STATE(11046), 1,
      aux_sym_object_expression_repeat1,
    STATE(11248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546546] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13444), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546600] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13662), 1,
      anon_sym_end,
    STATE(11250), 1,
      sym_attribute,
    STATE(11251), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546654] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546708] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_end,
    STATE(11252), 1,
      sym_attribute,
    STATE(11253), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546762] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546816] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13275), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546870] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13489), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546924] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13988), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546978] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547032] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_end,
    STATE(11258), 1,
      sym_attribute,
    STATE(11265), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547086] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11259), 1,
      sym_attribute,
    STATE(11781), 1,
      sym__attribute,
    STATE(12855), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [547140] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12527), 1,
      anon_sym_EQ,
    ACTIONS(13992), 1,
      anon_sym_of,
    ACTIONS(13994), 1,
      anon_sym_COLON2,
    STATE(11260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12525), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12523), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547180] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11261), 1,
      sym_attribute,
    STATE(11796), 1,
      sym__attribute,
    STATE(12814), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [547234] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13646), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547288] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13996), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547342] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13998), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547396] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14000), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547450] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14000), 1,
      anon_sym_end,
    STATE(11266), 1,
      sym_attribute,
    STATE(11278), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547504] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11267), 1,
      sym_attribute,
    STATE(11824), 1,
      sym__attribute,
    STATE(12899), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [547558] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11268), 1,
      sym_attribute,
    STATE(11807), 1,
      sym__attribute,
    STATE(12938), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [547612] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13658), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547666] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11270), 1,
      sym_attribute,
    STATE(11816), 1,
      sym__attribute,
    STATE(12776), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [547720] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14002), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547774] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13291), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547828] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8948), 1,
      anon_sym_and,
    ACTIONS(14004), 1,
      anon_sym_COMMA,
    ACTIONS(14006), 1,
      anon_sym_SEMI,
    ACTIONS(14008), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14010), 1,
      sym_pow_operator,
    ACTIONS(14012), 1,
      sym_mult_operator,
    ACTIONS(14014), 1,
      sym_concat_operator,
    ACTIONS(14016), 1,
      sym_rel_operator,
    ACTIONS(14018), 1,
      sym_and_operator,
    ACTIONS(14020), 1,
      sym_or_operator,
    ACTIONS(14022), 1,
      sym_assign_operator,
    STATE(2120), 1,
      sym_add_operator,
    STATE(11273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8946), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [547886] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12314), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13818), 1,
      anon_sym_DASH_GT,
    STATE(11274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12312), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [547922] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14024), 1,
      anon_sym_end,
    STATE(11275), 1,
      sym_attribute,
    STATE(11280), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547976] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11276), 1,
      sym_attribute,
    STATE(11840), 1,
      sym__attribute,
    STATE(12992), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [548030] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14026), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548084] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14028), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548138] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14030), 1,
      anon_sym_end,
    STATE(11279), 1,
      sym_attribute,
    STATE(11297), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548192] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14032), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548246] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14032), 1,
      anon_sym_end,
    STATE(11281), 1,
      sym_attribute,
    STATE(11282), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548300] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14034), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548354] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14034), 1,
      anon_sym_end,
    STATE(11283), 1,
      sym_attribute,
    STATE(11284), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548408] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14036), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548462] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11285), 1,
      sym_attribute,
    STATE(11870), 1,
      sym__attribute,
    STATE(12836), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [548516] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14038), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548570] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11287), 1,
      sym_attribute,
    STATE(11880), 1,
      sym__attribute,
    STATE(12895), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [548624] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14040), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548678] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14042), 1,
      anon_sym_end,
    STATE(11289), 1,
      sym_attribute,
    STATE(11291), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548732] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11290), 1,
      sym_attribute,
    STATE(11885), 1,
      sym__attribute,
    STATE(12986), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [548786] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14044), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548840] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13267), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548894] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14046), 1,
      anon_sym_end,
    STATE(11293), 1,
      sym_attribute,
    STATE(11308), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548948] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14048), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549002] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11295), 1,
      sym_attribute,
    STATE(11911), 1,
      sym__attribute,
    STATE(12796), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [549056] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14044), 1,
      anon_sym_end,
    STATE(11296), 1,
      sym_attribute,
    STATE(11306), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549110] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14050), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549164] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14052), 1,
      anon_sym_end,
    STATE(11298), 1,
      sym_attribute,
    STATE(11301), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549218] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14050), 1,
      anon_sym_end,
    STATE(11299), 1,
      sym_attribute,
    STATE(11326), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549272] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11300), 1,
      sym_attribute,
    STATE(11933), 1,
      sym__attribute,
    STATE(12834), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [549326] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14054), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549380] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14054), 1,
      anon_sym_end,
    STATE(11302), 1,
      sym_attribute,
    STATE(11303), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549434] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14056), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549488] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14056), 1,
      anon_sym_end,
    STATE(11304), 1,
      sym_attribute,
    STATE(11305), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549542] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14058), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549596] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14060), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549650] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11307), 1,
      sym_attribute,
    STATE(11949), 1,
      sym__attribute,
    STATE(12897), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [549704] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14062), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549758] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13285), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549812] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14064), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549866] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11311), 1,
      sym_attribute,
    STATE(11970), 1,
      sym__attribute,
    STATE(12929), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [549920] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14062), 1,
      anon_sym_end,
    STATE(11312), 1,
      sym_attribute,
    STATE(11315), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549974] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14066), 1,
      anon_sym_end,
    STATE(11313), 1,
      sym_attribute,
    STATE(11317), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550028] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14060), 1,
      anon_sym_end,
    STATE(11314), 1,
      sym_attribute,
    STATE(11336), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550082] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14068), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550136] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14068), 1,
      anon_sym_end,
    STATE(11316), 1,
      sym_attribute,
    STATE(11325), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550190] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14070), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550244] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14070), 1,
      anon_sym_end,
    STATE(11318), 1,
      sym_attribute,
    STATE(11320), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550298] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11319), 1,
      sym_attribute,
    STATE(12000), 1,
      sym__attribute,
    STATE(12894), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [550352] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14072), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550406] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14072), 1,
      anon_sym_end,
    STATE(11321), 1,
      sym_attribute,
    STATE(11322), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550460] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14074), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550514] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12314), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13834), 1,
      anon_sym_DASH_GT,
    STATE(11323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12312), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550550] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11324), 1,
      sym_attribute,
    STATE(12034), 1,
      sym__attribute,
    STATE(12892), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [550604] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14076), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550658] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14078), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550712] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14078), 1,
      anon_sym_end,
    STATE(11327), 1,
      sym_attribute,
    STATE(11334), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550766] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11328), 1,
      sym_attribute,
    STATE(11954), 1,
      sym__attribute,
    STATE(12984), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [550820] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14082), 1,
      anon_sym_let,
    ACTIONS(14084), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11329), 2,
      sym_attribute,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(14080), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550856] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13305), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550910] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14087), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550964] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13954), 1,
      anon_sym_and,
    ACTIONS(14091), 1,
      anon_sym_let,
    STATE(11329), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(11332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14089), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [551002] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11333), 1,
      sym_attribute,
    STATE(11945), 1,
      sym__attribute,
    STATE(12949), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [551056] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14093), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551110] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14095), 1,
      anon_sym_end,
    STATE(11335), 1,
      sym_attribute,
    STATE(11338), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551164] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14097), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551218] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11337), 1,
      sym_attribute,
    STATE(11833), 1,
      sym__attribute,
    STATE(12940), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [551272] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14099), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551326] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14099), 1,
      anon_sym_end,
    STATE(11339), 1,
      sym_attribute,
    STATE(11340), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551380] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14101), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551434] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14101), 1,
      anon_sym_end,
    STATE(11341), 1,
      sym_attribute,
    STATE(11569), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551488] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12527), 1,
      anon_sym_EQ,
    ACTIONS(14103), 1,
      anon_sym_of,
    ACTIONS(14105), 1,
      anon_sym_COLON2,
    STATE(11342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12525), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12523), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [551528] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_and,
    ACTIONS(14008), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14010), 1,
      sym_pow_operator,
    ACTIONS(14012), 1,
      sym_mult_operator,
    ACTIONS(14014), 1,
      sym_concat_operator,
    ACTIONS(14016), 1,
      sym_rel_operator,
    ACTIONS(14018), 1,
      sym_and_operator,
    ACTIONS(14020), 1,
      sym_or_operator,
    STATE(2120), 1,
      sym_add_operator,
    STATE(11343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [551580] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11344), 1,
      sym_attribute,
    STATE(11998), 1,
      sym__attribute,
    STATE(12824), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [551634] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14008), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14010), 1,
      sym_pow_operator,
    ACTIONS(14012), 1,
      sym_mult_operator,
    STATE(2120), 1,
      sym_add_operator,
    STATE(11345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [551678] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14010), 1,
      sym_pow_operator,
    STATE(2120), 1,
      sym_add_operator,
    STATE(11346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [551716] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14010), 1,
      sym_pow_operator,
    STATE(2120), 1,
      sym_add_operator,
    STATE(11347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [551754] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14008), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14010), 1,
      sym_pow_operator,
    ACTIONS(14012), 1,
      sym_mult_operator,
    ACTIONS(14014), 1,
      sym_concat_operator,
    STATE(2120), 1,
      sym_add_operator,
    STATE(11348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [551800] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14008), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14010), 1,
      sym_pow_operator,
    ACTIONS(14012), 1,
      sym_mult_operator,
    ACTIONS(14014), 1,
      sym_concat_operator,
    STATE(2120), 1,
      sym_add_operator,
    STATE(11349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [551846] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14008), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14010), 1,
      sym_pow_operator,
    ACTIONS(14012), 1,
      sym_mult_operator,
    ACTIONS(14014), 1,
      sym_concat_operator,
    ACTIONS(14016), 1,
      sym_rel_operator,
    ACTIONS(14018), 1,
      sym_and_operator,
    STATE(2120), 1,
      sym_add_operator,
    STATE(11350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_and,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [551896] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11351), 1,
      sym_attribute,
    STATE(11748), 1,
      sym__attribute,
    STATE(12860), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [551950] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_and,
    ACTIONS(14008), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14010), 1,
      sym_pow_operator,
    ACTIONS(14012), 1,
      sym_mult_operator,
    ACTIONS(14014), 1,
      sym_concat_operator,
    ACTIONS(14016), 1,
      sym_rel_operator,
    ACTIONS(14018), 1,
      sym_and_operator,
    ACTIONS(14020), 1,
      sym_or_operator,
    STATE(2120), 1,
      sym_add_operator,
    STATE(11352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [552002] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552056] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_and,
    ACTIONS(14004), 1,
      anon_sym_COMMA,
    ACTIONS(14008), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14010), 1,
      sym_pow_operator,
    ACTIONS(14012), 1,
      sym_mult_operator,
    ACTIONS(14014), 1,
      sym_concat_operator,
    ACTIONS(14016), 1,
      sym_rel_operator,
    ACTIONS(14018), 1,
      sym_and_operator,
    ACTIONS(14020), 1,
      sym_or_operator,
    ACTIONS(14022), 1,
      sym_assign_operator,
    STATE(2120), 1,
      sym_add_operator,
    STATE(11354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [552112] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14010), 1,
      sym_pow_operator,
    ACTIONS(14012), 1,
      sym_mult_operator,
    STATE(2120), 1,
      sym_add_operator,
    STATE(11355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [552152] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10133), 1,
      anon_sym_and,
    ACTIONS(14004), 1,
      anon_sym_COMMA,
    ACTIONS(14008), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14010), 1,
      sym_pow_operator,
    ACTIONS(14012), 1,
      sym_mult_operator,
    ACTIONS(14014), 1,
      sym_concat_operator,
    ACTIONS(14016), 1,
      sym_rel_operator,
    ACTIONS(14018), 1,
      sym_and_operator,
    ACTIONS(14020), 1,
      sym_or_operator,
    ACTIONS(14022), 1,
      sym_assign_operator,
    STATE(2120), 1,
      sym_add_operator,
    STATE(11356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [552208] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14107), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552262] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14109), 1,
      anon_sym_else,
    STATE(10297), 1,
      sym_else_clause,
    STATE(11358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [552300] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13375), 1,
      anon_sym_LPAREN,
    ACTIONS(13379), 1,
      anon_sym_functor,
    ACTIONS(13381), 1,
      anon_sym_struct,
    ACTIONS(13383), 1,
      sym__uppercase_identifier,
    STATE(11359), 1,
      sym_attribute,
    STATE(12021), 1,
      sym__attribute,
    STATE(12721), 1,
      sym__module_expression,
    STATE(13016), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13052), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13104), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [552354] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11360), 1,
      sym_attribute,
    STATE(11777), 1,
      sym__attribute,
    STATE(12937), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [552408] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12546), 1,
      sym__lowercase_identifier,
    ACTIONS(12548), 1,
      anon_sym_POUND,
    STATE(11030), 1,
      sym_type_constructor_path,
    STATE(11361), 1,
      sym_attribute,
    STATE(16729), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11596), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11598), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [552452] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14111), 1,
      anon_sym_end,
    STATE(11362), 1,
      sym_attribute,
    STATE(11364), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552506] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10143), 1,
      anon_sym_and,
    ACTIONS(14004), 1,
      anon_sym_COMMA,
    ACTIONS(14008), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14010), 1,
      sym_pow_operator,
    ACTIONS(14012), 1,
      sym_mult_operator,
    ACTIONS(14014), 1,
      sym_concat_operator,
    ACTIONS(14016), 1,
      sym_rel_operator,
    ACTIONS(14018), 1,
      sym_and_operator,
    ACTIONS(14020), 1,
      sym_or_operator,
    ACTIONS(14022), 1,
      sym_assign_operator,
    STATE(2120), 1,
      sym_add_operator,
    STATE(11363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [552562] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14113), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552616] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14113), 1,
      anon_sym_end,
    STATE(11365), 1,
      sym_attribute,
    STATE(11366), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552670] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14115), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552724] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14115), 1,
      anon_sym_end,
    STATE(11367), 1,
      sym_attribute,
    STATE(11368), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552778] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14117), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552832] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13688), 1,
      anon_sym_and,
    ACTIONS(13690), 1,
      sym_let_and_operator,
    STATE(11060), 1,
      aux_sym_value_definition_repeat1,
    STATE(11369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13787), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13785), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552872] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14119), 1,
      anon_sym_end,
    STATE(11370), 1,
      sym_attribute,
    STATE(11399), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552926] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13409), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552980] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14121), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553034] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11701), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11372), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11370), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [553070] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14123), 1,
      anon_sym_end,
    STATE(11374), 1,
      sym_attribute,
    STATE(11376), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553124] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13353), 1,
      anon_sym_functor,
    ACTIONS(13355), 1,
      anon_sym_struct,
    STATE(8761), 1,
      sym_module_path,
    STATE(9228), 1,
      sym__module_expression,
    STATE(11375), 1,
      sym_attribute,
    STATE(11887), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [553178] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14125), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553232] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14125), 1,
      anon_sym_end,
    STATE(11377), 1,
      sym_attribute,
    STATE(11383), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553286] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13387), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553340] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13235), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14127), 1,
      anon_sym_DASH_GT,
    ACTIONS(14129), 1,
      anon_sym_with,
    STATE(11379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13233), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [553378] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14131), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553432] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13239), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14127), 1,
      anon_sym_DASH_GT,
    ACTIONS(14129), 1,
      anon_sym_with,
    STATE(11381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13237), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [553470] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14133), 1,
      anon_sym_PIPE,
    STATE(11382), 1,
      sym_attribute,
    STATE(11385), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13476), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13474), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553508] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553562] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14133), 1,
      anon_sym_PIPE,
    STATE(11384), 1,
      sym_attribute,
    STATE(11385), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13482), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13480), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553600] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14137), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12886), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11385), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12884), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553636] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_end,
    STATE(11386), 1,
      sym_attribute,
    STATE(11387), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553690] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14140), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553744] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11388), 1,
      sym_attribute,
    STATE(11971), 1,
      sym__attribute,
    STATE(12786), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [553798] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13359), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553852] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12546), 1,
      sym__lowercase_identifier,
    ACTIONS(12548), 1,
      anon_sym_POUND,
    STATE(11030), 1,
      sym_type_constructor_path,
    STATE(11390), 1,
      sym_attribute,
    STATE(16729), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12066), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12068), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [553896] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14142), 1,
      anon_sym_end,
    STATE(11391), 1,
      sym_attribute,
    STATE(11393), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553950] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14144), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554004] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14146), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554058] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14146), 1,
      anon_sym_end,
    STATE(11394), 1,
      sym_attribute,
    STATE(11395), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554112] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14148), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554166] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2357), 1,
      sym_add_operator,
    STATE(11396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [554202] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14148), 1,
      anon_sym_end,
    STATE(11397), 1,
      sym_attribute,
    STATE(11398), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554256] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14150), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554310] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14152), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554364] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13418), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554418] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14154), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554472] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(9004), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [554506] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14152), 1,
      anon_sym_end,
    STATE(11403), 1,
      sym_attribute,
    STATE(11404), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554560] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14156), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554614] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14158), 1,
      anon_sym_end,
    STATE(11405), 1,
      sym_attribute,
    STATE(11406), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554668] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14160), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554722] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14160), 1,
      anon_sym_end,
    STATE(11407), 1,
      sym_attribute,
    STATE(11408), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554776] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14162), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554830] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14162), 1,
      anon_sym_end,
    STATE(11409), 1,
      sym_attribute,
    STATE(11410), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554884] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14164), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554938] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14156), 1,
      anon_sym_end,
    STATE(11411), 1,
      sym_attribute,
    STATE(11412), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554992] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14166), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555046] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12546), 1,
      sym__lowercase_identifier,
    ACTIONS(12548), 1,
      anon_sym_POUND,
    STATE(11030), 1,
      sym_type_constructor_path,
    STATE(11413), 1,
      sym_attribute,
    STATE(16729), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11998), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12000), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [555090] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14168), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555144] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14168), 1,
      anon_sym_end,
    STATE(11108), 1,
      aux_sym_object_expression_repeat1,
    STATE(11415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555198] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13594), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555252] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13431), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555306] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14170), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555360] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14172), 1,
      anon_sym_end,
    STATE(11419), 1,
      sym_attribute,
    STATE(11421), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555414] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_and,
    ACTIONS(14004), 1,
      anon_sym_COMMA,
    ACTIONS(14008), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14010), 1,
      sym_pow_operator,
    ACTIONS(14012), 1,
      sym_mult_operator,
    ACTIONS(14014), 1,
      sym_concat_operator,
    ACTIONS(14016), 1,
      sym_rel_operator,
    ACTIONS(14018), 1,
      sym_and_operator,
    ACTIONS(14020), 1,
      sym_or_operator,
    ACTIONS(14022), 1,
      sym_assign_operator,
    STATE(2120), 1,
      sym_add_operator,
    STATE(11420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [555470] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14174), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555524] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14174), 1,
      anon_sym_end,
    STATE(11422), 1,
      sym_attribute,
    STATE(11423), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555578] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14176), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555632] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14176), 1,
      anon_sym_end,
    STATE(11424), 1,
      sym_attribute,
    STATE(11425), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555686] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14178), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555740] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13448), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555794] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13452), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555848] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14180), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555902] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13598), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555956] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13326), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556010] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14182), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556064] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14184), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556118] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14186), 1,
      anon_sym_end,
    STATE(11433), 1,
      sym_attribute,
    STATE(11435), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556172] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13626), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556226] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14188), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556280] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14188), 1,
      anon_sym_end,
    STATE(11436), 1,
      sym_attribute,
    STATE(11440), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556334] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13688), 1,
      anon_sym_and,
    ACTIONS(13690), 1,
      sym_let_and_operator,
    STATE(11128), 1,
      aux_sym_value_definition_repeat1,
    STATE(11437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13814), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13812), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556374] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14190), 1,
      anon_sym_end,
    STATE(11438), 1,
      sym_attribute,
    STATE(11445), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556428] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13630), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556482] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14192), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556536] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14192), 1,
      anon_sym_end,
    STATE(11441), 1,
      sym_attribute,
    STATE(11442), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556590] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14194), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556644] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13456), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556698] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14196), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556752] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14198), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556806] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14200), 1,
      anon_sym_PIPE,
    STATE(11446), 1,
      sym_attribute,
    STATE(11448), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13476), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13474), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556844] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14200), 1,
      anon_sym_PIPE,
    STATE(11447), 1,
      sym_attribute,
    STATE(11448), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13482), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13480), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556882] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14202), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12886), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11448), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12884), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556918] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14198), 1,
      anon_sym_end,
    STATE(11449), 1,
      sym_attribute,
    STATE(11450), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556972] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14205), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557026] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14207), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557080] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14205), 1,
      anon_sym_end,
    STATE(11452), 1,
      sym_attribute,
    STATE(11453), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557134] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14209), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557188] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14211), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557242] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13505), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557296] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13279), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557350] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14213), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557404] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14215), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557458] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14217), 1,
      anon_sym_end,
    STATE(11459), 1,
      sym_attribute,
    STATE(11480), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557512] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2120), 1,
      sym_add_operator,
    STATE(11460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [557548] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14109), 1,
      anon_sym_else,
    STATE(10290), 1,
      sym_else_clause,
    STATE(11461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [557586] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14219), 1,
      anon_sym_end,
    STATE(11462), 1,
      sym_attribute,
    STATE(11463), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557640] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14221), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557694] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14221), 1,
      anon_sym_end,
    STATE(11464), 1,
      sym_attribute,
    STATE(11465), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557748] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14223), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557802] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14223), 1,
      anon_sym_end,
    STATE(11466), 1,
      sym_attribute,
    STATE(11467), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557856] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14225), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557910] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14227), 1,
      anon_sym_end,
    STATE(11468), 1,
      sym_attribute,
    STATE(11490), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557964] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13529), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558018] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14229), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558072] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13952), 1,
      anon_sym_let,
    ACTIONS(13954), 1,
      anon_sym_and,
    STATE(11329), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(11471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13950), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558110] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14231), 1,
      anon_sym_end,
    STATE(11414), 1,
      aux_sym_object_expression_repeat1,
    STATE(11472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558164] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14233), 1,
      anon_sym_end,
    STATE(11473), 1,
      sym_attribute,
    STATE(11475), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558218] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14235), 1,
      anon_sym_end,
    STATE(11474), 1,
      sym_attribute,
    STATE(11482), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558272] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14237), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558326] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14237), 1,
      anon_sym_end,
    STATE(11476), 1,
      sym_attribute,
    STATE(11477), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558380] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14239), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558434] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14239), 1,
      anon_sym_end,
    STATE(11478), 1,
      sym_attribute,
    STATE(11479), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558488] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14241), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558542] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14243), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558596] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14243), 1,
      anon_sym_end,
    STATE(11481), 1,
      sym_attribute,
    STATE(11487), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558650] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14245), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7902), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [558738] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14247), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558792] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14245), 1,
      anon_sym_end,
    STATE(11485), 1,
      sym_attribute,
    STATE(11486), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558846] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14249), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558900] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14251), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558954] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14249), 1,
      anon_sym_end,
    STATE(11488), 1,
      sym_attribute,
    STATE(11492), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559008] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13569), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559062] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14253), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559116] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14253), 1,
      anon_sym_end,
    STATE(11491), 1,
      sym_attribute,
    STATE(11495), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559170] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14255), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559224] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14257), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559278] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11494), 1,
      sym_attribute,
    STATE(11908), 1,
      sym__attribute,
    STATE(12965), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [559332] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14259), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559386] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14259), 1,
      anon_sym_end,
    STATE(11496), 1,
      sym_attribute,
    STATE(11509), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559440] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14251), 1,
      anon_sym_end,
    STATE(11497), 1,
      sym_attribute,
    STATE(11498), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559494] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14261), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559548] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14265), 1,
      anon_sym_let,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14263), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559588] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14267), 1,
      anon_sym_end,
    STATE(11500), 1,
      sym_attribute,
    STATE(11502), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559642] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14269), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559696] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14271), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559750] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14271), 1,
      anon_sym_end,
    STATE(11503), 1,
      sym_attribute,
    STATE(11504), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559804] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14273), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559858] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14273), 1,
      anon_sym_end,
    STATE(11505), 1,
      sym_attribute,
    STATE(11506), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559912] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14275), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8264), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [560000] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13964), 1,
      anon_sym_else,
    STATE(10297), 1,
      sym_else_clause,
    STATE(11508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [560038] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14277), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560092] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(12310), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13834), 1,
      anon_sym_DASH_GT,
    STATE(11510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12308), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [560130] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12461), 1,
      anon_sym_EQ,
    ACTIONS(14279), 1,
      anon_sym_of,
    ACTIONS(14281), 1,
      anon_sym_COLON2,
    STATE(11511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12459), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12457), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560170] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    ACTIONS(14283), 1,
      anon_sym_RPAREN,
    ACTIONS(14285), 1,
      anon_sym_val,
    STATE(8761), 1,
      sym_module_path,
    STATE(11512), 1,
      sym_attribute,
    STATE(12858), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [560224] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8948), 1,
      anon_sym_COLON2,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14287), 1,
      anon_sym_SEMI,
    ACTIONS(14289), 1,
      sym_rel_operator,
    STATE(1772), 1,
      sym_add_operator,
    STATE(11513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8946), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [560282] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11156), 1,
      anon_sym_COLON2,
    STATE(11514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9004), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [560318] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13586), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560372] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14291), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560426] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14293), 1,
      anon_sym_end,
    STATE(11517), 1,
      sym_attribute,
    STATE(11560), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560480] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13862), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13864), 1,
      sym_pow_operator,
    ACTIONS(13866), 1,
      sym_mult_operator,
    ACTIONS(13868), 1,
      sym_concat_operator,
    ACTIONS(13870), 1,
      sym_rel_operator,
    ACTIONS(13872), 1,
      sym_and_operator,
    ACTIONS(13874), 1,
      sym_or_operator,
    ACTIONS(13878), 1,
      anon_sym_COMMA,
    ACTIONS(13880), 1,
      sym_assign_operator,
    ACTIONS(14295), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      sym_add_operator,
    STATE(11518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(8946), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [560538] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14297), 1,
      anon_sym_end,
    STATE(11519), 1,
      sym_attribute,
    STATE(11525), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560592] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14299), 1,
      anon_sym_end,
    STATE(11520), 1,
      sym_attribute,
    STATE(11521), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560646] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14301), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560700] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14301), 1,
      anon_sym_end,
    STATE(11522), 1,
      sym_attribute,
    STATE(11523), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560754] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14303), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560808] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14303), 1,
      anon_sym_end,
    STATE(11524), 1,
      sym_attribute,
    STATE(11526), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560862] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14305), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560916] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14307), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560970] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11128), 1,
      anon_sym_let,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11126), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561010] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13954), 1,
      anon_sym_and,
    ACTIONS(14311), 1,
      anon_sym_let,
    STATE(11471), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(11528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14309), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561048] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12546), 1,
      sym__lowercase_identifier,
    ACTIONS(12548), 1,
      anon_sym_POUND,
    STATE(11030), 1,
      sym_type_constructor_path,
    STATE(11529), 1,
      sym_attribute,
    STATE(16729), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12012), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12014), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [561092] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14313), 1,
      anon_sym_PIPE,
    STATE(11530), 1,
      sym_attribute,
    STATE(11536), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [561130] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13243), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14127), 1,
      anon_sym_DASH_GT,
    ACTIONS(14129), 1,
      anon_sym_with,
    STATE(11531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13241), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [561168] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14313), 1,
      anon_sym_PIPE,
    STATE(11532), 1,
      sym_attribute,
    STATE(11537), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [561206] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14133), 1,
      anon_sym_PIPE,
    STATE(11382), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11971), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11969), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561244] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13590), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561298] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14133), 1,
      anon_sym_PIPE,
    STATE(11384), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13476), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13474), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561336] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14313), 1,
      anon_sym_PIPE,
    STATE(11536), 1,
      sym_attribute,
    STATE(11539), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [561374] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14313), 1,
      anon_sym_PIPE,
    STATE(11537), 1,
      sym_attribute,
    STATE(11539), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [561412] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14315), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561466] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14317), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11539), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [561502] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13460), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561556] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14320), 1,
      anon_sym_end,
    STATE(11541), 1,
      sym_attribute,
    STATE(11542), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561610] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14322), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561664] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14322), 1,
      anon_sym_end,
    STATE(11543), 1,
      sym_attribute,
    STATE(11555), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561718] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14305), 1,
      anon_sym_end,
    STATE(11544), 1,
      sym_attribute,
    STATE(11553), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561772] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14200), 1,
      anon_sym_PIPE,
    STATE(11446), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11971), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11969), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561810] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14200), 1,
      anon_sym_PIPE,
    STATE(11447), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13476), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13474), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561848] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13227), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14127), 1,
      anon_sym_DASH_GT,
    ACTIONS(14129), 1,
      anon_sym_with,
    STATE(11547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13225), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [561886] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13235), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14324), 1,
      anon_sym_DASH_GT,
    ACTIONS(14326), 1,
      anon_sym_with,
    STATE(11548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13233), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [561924] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13239), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14324), 1,
      anon_sym_DASH_GT,
    ACTIONS(14326), 1,
      anon_sym_with,
    STATE(11549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13237), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [561962] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13243), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14324), 1,
      anon_sym_DASH_GT,
    ACTIONS(14326), 1,
      anon_sym_with,
    STATE(11550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13241), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562000] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13227), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14324), 1,
      anon_sym_DASH_GT,
    ACTIONS(14326), 1,
      anon_sym_with,
    STATE(11551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13225), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562038] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13521), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562092] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14328), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562146] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14328), 1,
      anon_sym_end,
    STATE(11554), 1,
      sym_attribute,
    STATE(11558), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562200] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14330), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562254] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14330), 1,
      anon_sym_end,
    STATE(11556), 1,
      sym_attribute,
    STATE(11557), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562308] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14332), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562362] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14334), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562416] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13547), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562470] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14336), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562524] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11561), 1,
      sym_attribute,
    STATE(11805), 1,
      sym__attribute,
    STATE(12917), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [562578] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14338), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562632] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13551), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562686] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11564), 1,
      sym_attribute,
    STATE(12040), 1,
      sym__attribute,
    STATE(12774), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [562740] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12461), 1,
      anon_sym_EQ,
    ACTIONS(14340), 1,
      anon_sym_of,
    ACTIONS(14342), 1,
      anon_sym_COLON2,
    STATE(11565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12459), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12457), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562780] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12471), 1,
      anon_sym_EQ,
    ACTIONS(14344), 1,
      anon_sym_of,
    ACTIONS(14346), 1,
      anon_sym_COLON2,
    STATE(11566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12469), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12467), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562820] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14336), 1,
      anon_sym_end,
    STATE(11567), 1,
      sym_attribute,
    STATE(11568), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562874] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13674), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562928] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12381), 1,
      anon_sym_constraint,
    ACTIONS(12383), 1,
      anon_sym_val,
    ACTIONS(12387), 1,
      anon_sym_inherit,
    ACTIONS(12389), 1,
      anon_sym_method,
    ACTIONS(12391), 1,
      anon_sym_initializer,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14348), 1,
      anon_sym_end,
    STATE(11067), 1,
      aux_sym_object_expression_repeat1,
    STATE(11569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13179), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13178), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562982] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5187), 1,
      aux_sym_number_token1,
    ACTIONS(5189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5191), 1,
      anon_sym_SQUOTE,
    ACTIONS(5193), 1,
      anon_sym_DQUOTE,
    ACTIONS(14350), 1,
      anon_sym_LPAREN,
    ACTIONS(14354), 1,
      anon_sym_LBRACE,
    ACTIONS(14356), 1,
      anon_sym_begin,
    STATE(5672), 1,
      sym__signed_constant,
    STATE(11570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14352), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5505), 2,
      sym__constant,
      sym_signed_number,
    STATE(5489), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [563033] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_PIPE,
    ACTIONS(14358), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14360), 1,
      sym_pow_operator,
    ACTIONS(14362), 1,
      sym_mult_operator,
    ACTIONS(14364), 1,
      sym_concat_operator,
    ACTIONS(14366), 1,
      sym_rel_operator,
    ACTIONS(14368), 1,
      sym_and_operator,
    ACTIONS(14370), 1,
      sym_or_operator,
    STATE(2093), 1,
      sym_add_operator,
    STATE(11571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [563084] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14358), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14360), 1,
      sym_pow_operator,
    ACTIONS(14362), 1,
      sym_mult_operator,
    STATE(2093), 1,
      sym_add_operator,
    STATE(11572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [563127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14082), 1,
      anon_sym_let,
    STATE(11573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14080), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563160] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13759), 1,
      anon_sym_let,
    ACTIONS(14372), 1,
      anon_sym_and,
    ACTIONS(14374), 1,
      sym_let_and_operator,
    STATE(11574), 1,
      sym_attribute,
    STATE(11638), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13757), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563199] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14360), 1,
      sym_pow_operator,
    STATE(2093), 1,
      sym_add_operator,
    STATE(11575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [563236] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8948), 1,
      anon_sym_and,
    ACTIONS(14376), 1,
      anon_sym_COMMA,
    ACTIONS(14378), 1,
      anon_sym_SEMI,
    ACTIONS(14380), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14382), 1,
      sym_pow_operator,
    ACTIONS(14384), 1,
      sym_mult_operator,
    ACTIONS(14386), 1,
      sym_concat_operator,
    ACTIONS(14388), 1,
      sym_rel_operator,
    ACTIONS(14390), 1,
      sym_and_operator,
    ACTIONS(14392), 1,
      sym_or_operator,
    ACTIONS(14394), 1,
      sym_assign_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(11576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [563293] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14360), 1,
      sym_pow_operator,
    STATE(2093), 1,
      sym_add_operator,
    STATE(11577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [563330] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14358), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14360), 1,
      sym_pow_operator,
    ACTIONS(14362), 1,
      sym_mult_operator,
    ACTIONS(14364), 1,
      sym_concat_operator,
    STATE(2093), 1,
      sym_add_operator,
    STATE(11578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [563375] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14358), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14360), 1,
      sym_pow_operator,
    ACTIONS(14362), 1,
      sym_mult_operator,
    ACTIONS(14364), 1,
      sym_concat_operator,
    STATE(2093), 1,
      sym_add_operator,
    STATE(11579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [563420] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14396), 1,
      anon_sym_else,
    STATE(10297), 1,
      sym_else_clause,
    STATE(11580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [563457] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14358), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14360), 1,
      sym_pow_operator,
    ACTIONS(14362), 1,
      sym_mult_operator,
    ACTIONS(14364), 1,
      sym_concat_operator,
    ACTIONS(14366), 1,
      sym_rel_operator,
    ACTIONS(14368), 1,
      sym_and_operator,
    STATE(2093), 1,
      sym_add_operator,
    STATE(11581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [563506] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(14358), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14360), 1,
      sym_pow_operator,
    ACTIONS(14362), 1,
      sym_mult_operator,
    ACTIONS(14364), 1,
      sym_concat_operator,
    ACTIONS(14366), 1,
      sym_rel_operator,
    ACTIONS(14368), 1,
      sym_and_operator,
    ACTIONS(14370), 1,
      sym_or_operator,
    STATE(2093), 1,
      sym_add_operator,
    STATE(11582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [563557] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(14358), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14360), 1,
      sym_pow_operator,
    ACTIONS(14362), 1,
      sym_mult_operator,
    ACTIONS(14364), 1,
      sym_concat_operator,
    ACTIONS(14366), 1,
      sym_rel_operator,
    ACTIONS(14368), 1,
      sym_and_operator,
    ACTIONS(14370), 1,
      sym_or_operator,
    ACTIONS(14398), 1,
      anon_sym_COMMA,
    ACTIONS(14400), 1,
      sym_assign_operator,
    STATE(2093), 1,
      sym_add_operator,
    STATE(11583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [563612] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14360), 1,
      sym_pow_operator,
    ACTIONS(14362), 1,
      sym_mult_operator,
    STATE(2093), 1,
      sym_add_operator,
    STATE(11584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [563651] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10133), 1,
      anon_sym_PIPE,
    ACTIONS(14358), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14360), 1,
      sym_pow_operator,
    ACTIONS(14362), 1,
      sym_mult_operator,
    ACTIONS(14364), 1,
      sym_concat_operator,
    ACTIONS(14366), 1,
      sym_rel_operator,
    ACTIONS(14368), 1,
      sym_and_operator,
    ACTIONS(14370), 1,
      sym_or_operator,
    ACTIONS(14398), 1,
      anon_sym_COMMA,
    ACTIONS(14400), 1,
      sym_assign_operator,
    STATE(2093), 1,
      sym_add_operator,
    STATE(11585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [563706] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14402), 1,
      anon_sym_else,
    STATE(10297), 1,
      sym_else_clause,
    STATE(11586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [563743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14406), 1,
      anon_sym_let,
    STATE(11587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14404), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563776] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10143), 1,
      anon_sym_PIPE,
    ACTIONS(14358), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14360), 1,
      sym_pow_operator,
    ACTIONS(14362), 1,
      sym_mult_operator,
    ACTIONS(14364), 1,
      sym_concat_operator,
    ACTIONS(14366), 1,
      sym_rel_operator,
    ACTIONS(14368), 1,
      sym_and_operator,
    ACTIONS(14370), 1,
      sym_or_operator,
    ACTIONS(14398), 1,
      anon_sym_COMMA,
    ACTIONS(14400), 1,
      sym_assign_operator,
    STATE(2093), 1,
      sym_add_operator,
    STATE(11588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [563831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11542), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11544), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [563864] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2093), 1,
      sym_add_operator,
    STATE(11590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [563899] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14402), 1,
      anon_sym_else,
    STATE(10290), 1,
      sym_else_clause,
    STATE(11591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [563936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14410), 1,
      anon_sym_let,
    STATE(11592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14408), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563969] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8948), 1,
      anon_sym_PIPE,
    ACTIONS(14358), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14360), 1,
      sym_pow_operator,
    ACTIONS(14362), 1,
      sym_mult_operator,
    ACTIONS(14364), 1,
      sym_concat_operator,
    ACTIONS(14366), 1,
      sym_rel_operator,
    ACTIONS(14368), 1,
      sym_and_operator,
    ACTIONS(14370), 1,
      sym_or_operator,
    ACTIONS(14398), 1,
      anon_sym_COMMA,
    ACTIONS(14400), 1,
      sym_assign_operator,
    ACTIONS(14412), 1,
      anon_sym_SEMI,
    STATE(2093), 1,
      sym_add_operator,
    STATE(11593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 3,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [564026] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2288), 1,
      sym_add_operator,
    STATE(11594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564061] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13759), 1,
      anon_sym_let,
    ACTIONS(14414), 1,
      anon_sym_and,
    ACTIONS(14416), 1,
      sym_let_and_operator,
    STATE(11595), 1,
      sym_attribute,
    STATE(11697), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13757), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564100] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13787), 1,
      anon_sym_let,
    ACTIONS(14414), 1,
      anon_sym_and,
    ACTIONS(14416), 1,
      sym_let_and_operator,
    STATE(11596), 1,
      sym_attribute,
    STATE(11702), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13785), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564139] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14418), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10698), 1,
      aux_sym_expression_item_repeat1,
    STATE(11597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13043), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [564178] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4985), 1,
      aux_sym_number_token1,
    ACTIONS(4987), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4989), 1,
      anon_sym_SQUOTE,
    ACTIONS(4991), 1,
      anon_sym_DQUOTE,
    ACTIONS(14420), 1,
      anon_sym_LPAREN,
    ACTIONS(14424), 1,
      anon_sym_LBRACE,
    ACTIONS(14426), 1,
      anon_sym_begin,
    STATE(5443), 1,
      sym__signed_constant,
    STATE(11598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14422), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5264), 2,
      sym__constant,
      sym_signed_number,
    STATE(5369), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [564229] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8948), 1,
      anon_sym_and,
    ACTIONS(14376), 1,
      anon_sym_COMMA,
    ACTIONS(14380), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14382), 1,
      sym_pow_operator,
    ACTIONS(14384), 1,
      sym_mult_operator,
    ACTIONS(14386), 1,
      sym_concat_operator,
    ACTIONS(14388), 1,
      sym_rel_operator,
    ACTIONS(14390), 1,
      sym_and_operator,
    ACTIONS(14392), 1,
      sym_or_operator,
    ACTIONS(14394), 1,
      sym_assign_operator,
    ACTIONS(14428), 1,
      anon_sym_SEMI,
    STATE(2288), 1,
      sym_add_operator,
    STATE(11599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [564286] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12110), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14430), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11600), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12108), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [564323] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12332), 1,
      anon_sym_STAR,
    STATE(11601), 1,
      sym_attribute,
    STATE(11634), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12875), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12873), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564360] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5099), 1,
      anon_sym_DOT,
    STATE(11602), 1,
      sym_attribute,
    STATE(17724), 1,
      sym__infix_operator,
    STATE(18190), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1471), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1473), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1469), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(5105), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [564403] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    ACTIONS(13938), 1,
      anon_sym_val,
    STATE(8761), 1,
      sym_module_path,
    STATE(11603), 1,
      sym_attribute,
    STATE(12841), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [564454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11346), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11348), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [564487] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12110), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14433), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11605), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12108), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [564524] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13476), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14436), 1,
      anon_sym_PIPE,
    STATE(11606), 1,
      sym_attribute,
    STATE(11610), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13474), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [564561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11214), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11216), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [564594] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6741), 1,
      anon_sym_DOT,
    STATE(11608), 1,
      sym_attribute,
    STATE(18190), 1,
      sym_add_operator,
    STATE(20243), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1471), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1473), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1469), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6747), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [564637] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13482), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14436), 1,
      anon_sym_PIPE,
    STATE(11609), 1,
      sym_attribute,
    STATE(11610), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13480), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [564674] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12886), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14438), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11610), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12884), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [564709] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14441), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10712), 1,
      aux_sym_expression_item_repeat1,
    STATE(11611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13165), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [564748] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7107), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10624), 1,
      aux_sym_expression_item_repeat1,
    STATE(11612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6925), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [564787] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7366), 1,
      aux_sym_number_token1,
    ACTIONS(7368), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7370), 1,
      anon_sym_SQUOTE,
    ACTIONS(7372), 1,
      anon_sym_DQUOTE,
    ACTIONS(14443), 1,
      anon_sym_LPAREN,
    ACTIONS(14447), 1,
      anon_sym_LBRACE,
    ACTIONS(14449), 1,
      anon_sym_begin,
    STATE(11613), 1,
      sym_attribute,
    STATE(13839), 1,
      sym__signed_constant,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14445), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13506), 2,
      sym__constant,
      sym_signed_number,
    STATE(13514), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [564838] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14451), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10546), 1,
      aux_sym_expression_item_repeat1,
    STATE(11614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13105), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [564877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11564), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [564910] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14396), 1,
      anon_sym_else,
    STATE(10290), 1,
      sym_else_clause,
    STATE(11616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [564947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11416), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [564980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11282), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11284), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [565013] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14453), 1,
      anon_sym_PIPE,
    STATE(11619), 1,
      sym_attribute,
    STATE(11621), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [565050] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14453), 1,
      anon_sym_PIPE,
    STATE(11620), 1,
      sym_attribute,
    STATE(11623), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [565087] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14453), 1,
      anon_sym_PIPE,
    STATE(11621), 1,
      sym_attribute,
    STATE(11625), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [565124] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(11622), 1,
      sym_attribute,
    STATE(18190), 1,
      sym_add_operator,
    STATE(18381), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1471), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1473), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1469), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(2519), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [565167] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14453), 1,
      anon_sym_PIPE,
    STATE(11623), 1,
      sym_attribute,
    STATE(11625), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [565204] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13476), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14455), 1,
      anon_sym_PIPE,
    STATE(11624), 1,
      sym_attribute,
    STATE(11627), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13474), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565241] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14457), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11625), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [565276] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13482), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14455), 1,
      anon_sym_PIPE,
    STATE(11626), 1,
      sym_attribute,
    STATE(11627), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13480), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565313] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12886), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14460), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11627), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12884), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565348] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_PIPE,
    ACTIONS(14358), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14360), 1,
      sym_pow_operator,
    ACTIONS(14362), 1,
      sym_mult_operator,
    ACTIONS(14364), 1,
      sym_concat_operator,
    ACTIONS(14366), 1,
      sym_rel_operator,
    ACTIONS(14368), 1,
      sym_and_operator,
    ACTIONS(14370), 1,
      sym_or_operator,
    ACTIONS(14398), 1,
      anon_sym_COMMA,
    ACTIONS(14400), 1,
      sym_assign_operator,
    STATE(2093), 1,
      sym_add_operator,
    STATE(11628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [565403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11360), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [565436] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12243), 1,
      anon_sym_STAR,
    ACTIONS(12875), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11630), 1,
      sym_attribute,
    STATE(11631), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12873), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565473] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11929), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14463), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11631), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11927), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565508] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14127), 1,
      anon_sym_DASH_GT,
    ACTIONS(14129), 1,
      anon_sym_with,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11632), 1,
      sym_attribute,
    STATE(11994), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14466), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565549] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13968), 1,
      anon_sym_DOT,
    STATE(11633), 1,
      sym_attribute,
    STATE(18190), 1,
      sym_add_operator,
    STATE(19408), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1471), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1473), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1469), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(13970), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [565592] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14468), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11929), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11634), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11927), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565627] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7099), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10609), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6911), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565666] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14471), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10656), 1,
      aux_sym_expression_item_repeat1,
    STATE(11636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13025), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11496), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [565738] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13787), 1,
      anon_sym_let,
    ACTIONS(14372), 1,
      anon_sym_and,
    ACTIONS(14374), 1,
      sym_let_and_operator,
    STATE(11638), 1,
      sym_attribute,
    STATE(11699), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13785), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565777] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5221), 1,
      aux_sym_number_token1,
    ACTIONS(5223), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5225), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_DQUOTE,
    ACTIONS(14473), 1,
      anon_sym_LPAREN,
    ACTIONS(14477), 1,
      anon_sym_LBRACE,
    ACTIONS(14479), 1,
      anon_sym_begin,
    STATE(5671), 1,
      sym__signed_constant,
    STATE(11639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14475), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5415), 2,
      sym__constant,
      sym_signed_number,
    STATE(5507), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [565828] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14127), 1,
      anon_sym_DASH_GT,
    ACTIONS(14129), 1,
      anon_sym_with,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11640), 1,
      sym_attribute,
    STATE(11774), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14481), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9004), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [565902] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7277), 1,
      aux_sym_number_token1,
    ACTIONS(7279), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7281), 1,
      anon_sym_SQUOTE,
    ACTIONS(7283), 1,
      anon_sym_DQUOTE,
    ACTIONS(14483), 1,
      anon_sym_LPAREN,
    ACTIONS(14487), 1,
      anon_sym_LBRACE,
    ACTIONS(14489), 1,
      anon_sym_begin,
    STATE(8753), 1,
      sym__signed_constant,
    STATE(11642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14485), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8581), 2,
      sym__constant,
      sym_signed_number,
    STATE(8641), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [565953] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7125), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10624), 1,
      aux_sym_expression_item_repeat1,
    STATE(11643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6925), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(7966), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [566025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8112), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [566058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8124), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [566091] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13814), 1,
      anon_sym_let,
    ACTIONS(14372), 1,
      anon_sym_and,
    ACTIONS(14374), 1,
      sym_let_and_operator,
    STATE(11647), 1,
      sym_attribute,
    STATE(11699), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13812), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(7920), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [566163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11372), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [566196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11262), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11264), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [566229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11342), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11344), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [566262] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7129), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6761), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [566301] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14491), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10698), 1,
      aux_sym_expression_item_repeat1,
    STATE(11653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13043), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [566340] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11019), 1,
      aux_sym_expression_item_repeat1,
    STATE(11654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14493), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13561), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [566379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11432), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11434), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [566412] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(12330), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13818), 1,
      anon_sym_DASH_GT,
    STATE(11656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12328), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [566449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11436), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11438), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [566482] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7111), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10658), 1,
      aux_sym_expression_item_repeat1,
    STATE(11658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6933), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [566521] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_and,
    ACTIONS(14380), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14382), 1,
      sym_pow_operator,
    ACTIONS(14384), 1,
      sym_mult_operator,
    ACTIONS(14386), 1,
      sym_concat_operator,
    ACTIONS(14388), 1,
      sym_rel_operator,
    ACTIONS(14390), 1,
      sym_and_operator,
    ACTIONS(14392), 1,
      sym_or_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(11659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [566572] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14380), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14382), 1,
      sym_pow_operator,
    ACTIONS(14384), 1,
      sym_mult_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(11660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [566615] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14495), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10546), 1,
      aux_sym_expression_item_repeat1,
    STATE(11661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13105), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [566654] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14382), 1,
      sym_pow_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(11662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [566691] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14382), 1,
      sym_pow_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(11663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [566728] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14380), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14382), 1,
      sym_pow_operator,
    ACTIONS(14384), 1,
      sym_mult_operator,
    ACTIONS(14386), 1,
      sym_concat_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(11664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [566773] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14380), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14382), 1,
      sym_pow_operator,
    ACTIONS(14384), 1,
      sym_mult_operator,
    ACTIONS(14386), 1,
      sym_concat_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(11665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [566818] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14380), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14382), 1,
      sym_pow_operator,
    ACTIONS(14384), 1,
      sym_mult_operator,
    ACTIONS(14386), 1,
      sym_concat_operator,
    ACTIONS(14388), 1,
      sym_rel_operator,
    ACTIONS(14390), 1,
      sym_and_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(11666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_and,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [566867] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_and,
    ACTIONS(14380), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14382), 1,
      sym_pow_operator,
    ACTIONS(14384), 1,
      sym_mult_operator,
    ACTIONS(14386), 1,
      sym_concat_operator,
    ACTIONS(14388), 1,
      sym_rel_operator,
    ACTIONS(14390), 1,
      sym_and_operator,
    ACTIONS(14392), 1,
      sym_or_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(11667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [566918] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_and,
    ACTIONS(14376), 1,
      anon_sym_COMMA,
    ACTIONS(14380), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14382), 1,
      sym_pow_operator,
    ACTIONS(14384), 1,
      sym_mult_operator,
    ACTIONS(14386), 1,
      sym_concat_operator,
    ACTIONS(14388), 1,
      sym_rel_operator,
    ACTIONS(14390), 1,
      sym_and_operator,
    ACTIONS(14392), 1,
      sym_or_operator,
    ACTIONS(14394), 1,
      sym_assign_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(11668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [566973] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14382), 1,
      sym_pow_operator,
    ACTIONS(14384), 1,
      sym_mult_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(11669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [567012] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10133), 1,
      anon_sym_and,
    ACTIONS(14376), 1,
      anon_sym_COMMA,
    ACTIONS(14380), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14382), 1,
      sym_pow_operator,
    ACTIONS(14384), 1,
      sym_mult_operator,
    ACTIONS(14386), 1,
      sym_concat_operator,
    ACTIONS(14388), 1,
      sym_rel_operator,
    ACTIONS(14390), 1,
      sym_and_operator,
    ACTIONS(14392), 1,
      sym_or_operator,
    ACTIONS(14394), 1,
      sym_assign_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(11670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [567067] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6751), 1,
      anon_sym_DOT,
    STATE(11671), 1,
      sym_attribute,
    STATE(18190), 1,
      sym_add_operator,
    STATE(18916), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1471), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1473), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1469), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6757), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [567110] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14497), 1,
      anon_sym_LPAREN,
    ACTIONS(14499), 1,
      anon_sym_constraint,
    ACTIONS(14501), 1,
      anon_sym_val,
    ACTIONS(14503), 1,
      anon_sym_end,
    ACTIONS(14505), 1,
      anon_sym_inherit,
    ACTIONS(14507), 1,
      anon_sym_method,
    STATE(11672), 1,
      sym_attribute,
    STATE(11930), 1,
      aux_sym_class_body_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13352), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13357), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [567163] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7117), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10609), 1,
      aux_sym_expression_item_repeat1,
    STATE(11673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6911), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567202] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14509), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10656), 1,
      aux_sym_expression_item_repeat1,
    STATE(11674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13025), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567241] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7123), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10658), 1,
      aux_sym_expression_item_repeat1,
    STATE(11675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6933), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567280] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12211), 1,
      anon_sym_STAR,
    ACTIONS(12875), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11676), 1,
      sym_attribute,
    STATE(11677), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12873), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567317] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11929), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14511), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11677), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11927), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11440), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11442), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [567385] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14514), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10700), 1,
      aux_sym_expression_item_repeat1,
    STATE(11679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13089), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11502), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11504), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [567457] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10143), 1,
      anon_sym_and,
    ACTIONS(14376), 1,
      anon_sym_COMMA,
    ACTIONS(14380), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14382), 1,
      sym_pow_operator,
    ACTIONS(14384), 1,
      sym_mult_operator,
    ACTIONS(14386), 1,
      sym_concat_operator,
    ACTIONS(14388), 1,
      sym_rel_operator,
    ACTIONS(14390), 1,
      sym_and_operator,
    ACTIONS(14392), 1,
      sym_or_operator,
    ACTIONS(14394), 1,
      sym_assign_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(11681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [567512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11522), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11524), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [567545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11220), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [567578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11222), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11224), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [567611] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6705), 1,
      anon_sym_DOT,
    STATE(11685), 1,
      sym_attribute,
    STATE(18190), 1,
      sym_add_operator,
    STATE(19391), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1471), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1473), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1469), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6717), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [567654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11234), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11236), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [567687] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13787), 1,
      anon_sym_let,
    ACTIONS(14372), 1,
      anon_sym_and,
    ACTIONS(14374), 1,
      sym_let_and_operator,
    STATE(11687), 1,
      sym_attribute,
    STATE(11698), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13785), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [567726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11558), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11560), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [567759] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14516), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10700), 1,
      aux_sym_expression_item_repeat1,
    STATE(11689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13089), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11242), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11244), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [567831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14520), 1,
      anon_sym_let,
    STATE(11691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14518), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [567864] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7131), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10702), 1,
      aux_sym_expression_item_repeat1,
    STATE(11692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6887), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11526), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11528), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [567936] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4945), 1,
      aux_sym_number_token1,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    ACTIONS(7253), 1,
      aux_sym_signed_number_token1,
    ACTIONS(14522), 1,
      anon_sym_LPAREN,
    ACTIONS(14526), 1,
      anon_sym_LBRACE,
    ACTIONS(14528), 1,
      anon_sym_begin,
    STATE(11694), 1,
      sym_attribute,
    STATE(12839), 1,
      sym__signed_constant,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14524), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12713), 2,
      sym__constant,
      sym_signed_number,
    STATE(11874), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [567987] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7105), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10702), 1,
      aux_sym_expression_item_repeat1,
    STATE(11695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6887), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568026] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14530), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10712), 1,
      aux_sym_expression_item_repeat1,
    STATE(11696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13165), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568065] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13787), 1,
      anon_sym_let,
    ACTIONS(14414), 1,
      anon_sym_and,
    ACTIONS(14416), 1,
      sym_let_and_operator,
    STATE(11697), 1,
      sym_attribute,
    STATE(11703), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13785), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568104] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13686), 1,
      anon_sym_let,
    ACTIONS(14372), 1,
      anon_sym_and,
    ACTIONS(14374), 1,
      sym_let_and_operator,
    STATE(11698), 1,
      sym_attribute,
    STATE(11699), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13684), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568143] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13799), 1,
      anon_sym_let,
    ACTIONS(14532), 1,
      anon_sym_and,
    ACTIONS(14535), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11699), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(13797), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11534), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11536), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [568213] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13686), 1,
      anon_sym_let,
    ACTIONS(14372), 1,
      anon_sym_and,
    ACTIONS(14374), 1,
      sym_let_and_operator,
    STATE(11647), 1,
      aux_sym_value_definition_repeat1,
    STATE(11701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13684), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568252] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13686), 1,
      anon_sym_let,
    ACTIONS(14414), 1,
      anon_sym_and,
    ACTIONS(14416), 1,
      sym_let_and_operator,
    STATE(11702), 1,
      sym_attribute,
    STATE(11703), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13684), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568291] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13799), 1,
      anon_sym_let,
    ACTIONS(14538), 1,
      anon_sym_and,
    ACTIONS(14541), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11703), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(13797), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568328] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13686), 1,
      anon_sym_let,
    ACTIONS(14414), 1,
      anon_sym_and,
    ACTIONS(14416), 1,
      sym_let_and_operator,
    STATE(11704), 1,
      sym_attribute,
    STATE(11705), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13684), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568367] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13814), 1,
      anon_sym_let,
    ACTIONS(14414), 1,
      anon_sym_and,
    ACTIONS(14416), 1,
      sym_let_and_operator,
    STATE(11703), 1,
      aux_sym_value_definition_repeat1,
    STATE(11705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13812), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568406] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11971), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14436), 1,
      anon_sym_PIPE,
    STATE(11606), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11969), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568443] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13476), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14436), 1,
      anon_sym_PIPE,
    STATE(11609), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13474), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568480] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(12330), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13834), 1,
      anon_sym_DASH_GT,
    STATE(11708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12328), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568517] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11971), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14455), 1,
      anon_sym_PIPE,
    STATE(11624), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11969), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568554] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13476), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14455), 1,
      anon_sym_PIPE,
    STATE(11626), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13474), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11550), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11552), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [568624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9082), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [568657] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14324), 1,
      anon_sym_DASH_GT,
    ACTIONS(14326), 1,
      anon_sym_with,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11713), 1,
      sym_attribute,
    STATE(11774), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14481), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568698] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14324), 1,
      anon_sym_DASH_GT,
    ACTIONS(14326), 1,
      anon_sym_with,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11714), 1,
      sym_attribute,
    STATE(11994), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14466), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568739] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14127), 1,
      anon_sym_DASH_GT,
    ACTIONS(14129), 1,
      anon_sym_with,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11028), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13602), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568780] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14127), 1,
      anon_sym_DASH_GT,
    ACTIONS(14129), 1,
      anon_sym_with,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10966), 1,
      aux_sym_expression_item_repeat1,
    STATE(11716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13606), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568821] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7025), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(10669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6761), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568860] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14324), 1,
      anon_sym_DASH_GT,
    ACTIONS(14326), 1,
      anon_sym_with,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11028), 1,
      aux_sym_expression_item_repeat1,
    STATE(11718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13602), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568901] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14324), 1,
      anon_sym_DASH_GT,
    ACTIONS(14326), 1,
      anon_sym_with,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10966), 1,
      aux_sym_expression_item_repeat1,
    STATE(11719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13606), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11538), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11540), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [568975] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12324), 1,
      anon_sym_STAR,
    STATE(11721), 1,
      sym_attribute,
    STATE(11722), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12875), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12873), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569012] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14544), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11929), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11722), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11927), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569047] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5153), 1,
      aux_sym_number_token1,
    ACTIONS(5155), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5157), 1,
      anon_sym_SQUOTE,
    ACTIONS(5159), 1,
      anon_sym_DQUOTE,
    ACTIONS(14547), 1,
      anon_sym_LPAREN,
    ACTIONS(14551), 1,
      anon_sym_LBRACE,
    ACTIONS(14553), 1,
      anon_sym_begin,
    STATE(5464), 1,
      sym__signed_constant,
    STATE(11723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14549), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5265), 2,
      sym__constant,
      sym_signed_number,
    STATE(5352), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [569098] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6721), 1,
      anon_sym_DOT,
    STATE(11724), 1,
      sym_attribute,
    STATE(18190), 1,
      sym_add_operator,
    STATE(19173), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1471), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1473), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1469), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6727), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [569141] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6731), 1,
      anon_sym_DOT,
    STATE(11725), 1,
      sym_attribute,
    STATE(18190), 1,
      sym_add_operator,
    STATE(18379), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1471), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1473), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1469), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6737), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [569184] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10975), 1,
      aux_sym_expression_item_repeat1,
    STATE(11726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14555), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13311), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569223] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11019), 1,
      aux_sym_expression_item_repeat1,
    STATE(11727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14557), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13561), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569262] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(10975), 1,
      aux_sym_expression_item_repeat1,
    STATE(11728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14559), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13311), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569301] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    ACTIONS(14285), 1,
      anon_sym_val,
    STATE(8761), 1,
      sym_module_path,
    STATE(11729), 1,
      sym_attribute,
    STATE(12858), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [569352] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14561), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14563), 1,
      sym_pow_operator,
    ACTIONS(14565), 1,
      sym_mult_operator,
    STATE(2178), 1,
      sym_add_operator,
    STATE(11730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [569394] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14567), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569430] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13375), 1,
      anon_sym_LPAREN,
    ACTIONS(13379), 1,
      anon_sym_functor,
    ACTIONS(13381), 1,
      anon_sym_struct,
    ACTIONS(13383), 1,
      sym__uppercase_identifier,
    STATE(11732), 1,
      sym_attribute,
    STATE(12227), 1,
      sym__module_expression,
    STATE(13016), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13052), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13104), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [569478] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14571), 1,
      anon_sym_let,
    ACTIONS(14573), 1,
      anon_sym_and,
    STATE(11733), 1,
      sym_attribute,
    STATE(12029), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14569), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569514] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10986), 1,
      anon_sym_as,
    ACTIONS(14575), 1,
      sym__lowercase_identifier,
    ACTIONS(14577), 1,
      anon_sym_POUND,
    STATE(11734), 1,
      sym_attribute,
    STATE(12520), 1,
      sym_type_constructor_path,
    STATE(16831), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 11,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
  [569556] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(14579), 1,
      sym__lowercase_identifier,
    ACTIONS(14581), 1,
      anon_sym_POUND,
    STATE(11735), 1,
      sym_attribute,
    STATE(12516), 1,
      sym_type_constructor_path,
    STATE(16931), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10992), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [569598] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14583), 1,
      anon_sym_else,
    STATE(8127), 1,
      sym_else_clause,
    STATE(11736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [569634] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14585), 1,
      anon_sym_else,
    STATE(8127), 1,
      sym_else_clause,
    STATE(11737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [569670] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2078), 1,
      sym_add_operator,
    STATE(11738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [569704] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14571), 1,
      anon_sym_let,
    ACTIONS(14587), 1,
      anon_sym_and,
    STATE(11739), 1,
      sym_attribute,
    STATE(12037), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14569), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569740] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14589), 1,
      anon_sym_PIPE,
    STATE(11740), 1,
      sym_attribute,
    STATE(11749), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [569776] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14589), 1,
      anon_sym_PIPE,
    STATE(11741), 1,
      sym_attribute,
    STATE(11760), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [569812] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_PIPE,
    ACTIONS(14591), 1,
      anon_sym_COMMA,
    ACTIONS(14593), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14595), 1,
      sym_pow_operator,
    ACTIONS(14597), 1,
      sym_mult_operator,
    ACTIONS(14599), 1,
      sym_concat_operator,
    ACTIONS(14601), 1,
      sym_rel_operator,
    ACTIONS(14603), 1,
      sym_and_operator,
    ACTIONS(14605), 1,
      sym_or_operator,
    ACTIONS(14607), 1,
      sym_assign_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [569866] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14609), 1,
      sym__lowercase_identifier,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14613), 1,
      anon_sym_nonrec,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    STATE(11743), 1,
      sym_attribute,
    STATE(11747), 1,
      sym_type_binding,
    STATE(12575), 1,
      sym__attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14703), 1,
      sym__type_params,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    STATE(20137), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [569926] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14623), 1,
      anon_sym_PIPE,
    STATE(11744), 1,
      sym_attribute,
    STATE(11753), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [569962] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11745), 1,
      sym_attribute,
    STATE(12808), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [570010] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14625), 1,
      aux_sym_attribute_id_token1,
    STATE(11746), 1,
      sym_attribute,
    STATE(11821), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8777), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8775), 10,
      anon_sym_rec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [570046] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14573), 1,
      anon_sym_and,
    ACTIONS(14629), 1,
      anon_sym_let,
    STATE(11747), 1,
      sym_attribute,
    STATE(11980), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14627), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570082] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11748), 1,
      sym_attribute,
    STATE(12947), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [570130] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14589), 1,
      anon_sym_PIPE,
    STATE(11749), 1,
      sym_attribute,
    STATE(11761), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [570166] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14633), 1,
      anon_sym_let,
    ACTIONS(14635), 1,
      anon_sym_and,
    STATE(11750), 1,
      sym_attribute,
    STATE(12042), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14631), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570202] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14573), 1,
      anon_sym_and,
    ACTIONS(14639), 1,
      anon_sym_let,
    STATE(11751), 1,
      sym_attribute,
    STATE(12004), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14637), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570238] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14587), 1,
      anon_sym_and,
    ACTIONS(14643), 1,
      anon_sym_let,
    STATE(11739), 1,
      aux_sym_type_definition_repeat1,
    STATE(11752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14641), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570274] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14645), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11753), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [570308] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11754), 1,
      sym_attribute,
    STATE(12781), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [570356] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2178), 1,
      sym_add_operator,
    STATE(11755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [570390] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14648), 1,
      anon_sym_else,
    STATE(8127), 1,
      sym_else_clause,
    STATE(11756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [570426] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14650), 1,
      anon_sym_PIPE,
    STATE(11757), 1,
      sym_attribute,
    STATE(11773), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [570462] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_PIPE,
    ACTIONS(14652), 1,
      anon_sym_COMMA,
    ACTIONS(14654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14656), 1,
      sym_pow_operator,
    ACTIONS(14658), 1,
      sym_mult_operator,
    ACTIONS(14660), 1,
      sym_concat_operator,
    ACTIONS(14662), 1,
      sym_rel_operator,
    ACTIONS(14664), 1,
      sym_and_operator,
    ACTIONS(14666), 1,
      sym_or_operator,
    ACTIONS(14668), 1,
      sym_assign_operator,
    STATE(2192), 1,
      sym_add_operator,
    STATE(11758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [570516] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11759), 1,
      sym_attribute,
    STATE(12981), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [570564] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14589), 1,
      anon_sym_PIPE,
    STATE(11760), 1,
      sym_attribute,
    STATE(11761), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [570600] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14670), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11761), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [570634] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13476), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14673), 1,
      anon_sym_PIPE,
    STATE(11762), 1,
      sym_attribute,
    STATE(11765), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13474), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [570670] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_PIPE,
    ACTIONS(14675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14677), 1,
      sym_pow_operator,
    ACTIONS(14679), 1,
      sym_mult_operator,
    ACTIONS(14681), 1,
      sym_concat_operator,
    ACTIONS(14683), 1,
      sym_rel_operator,
    ACTIONS(14685), 1,
      sym_and_operator,
    ACTIONS(14687), 1,
      sym_or_operator,
    STATE(2078), 1,
      sym_add_operator,
    STATE(11763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [570720] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13482), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14673), 1,
      anon_sym_PIPE,
    STATE(11764), 1,
      sym_attribute,
    STATE(11765), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13480), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [570756] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12886), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14689), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11765), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12884), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [570790] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14692), 1,
      anon_sym_else,
    STATE(10290), 1,
      sym_else_clause,
    STATE(11766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [570826] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8948), 1,
      anon_sym_PIPE,
    ACTIONS(14561), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14563), 1,
      sym_pow_operator,
    ACTIONS(14565), 1,
      sym_mult_operator,
    ACTIONS(14694), 1,
      anon_sym_COMMA,
    ACTIONS(14696), 1,
      anon_sym_SEMI,
    ACTIONS(14698), 1,
      sym_concat_operator,
    ACTIONS(14700), 1,
      sym_rel_operator,
    ACTIONS(14702), 1,
      sym_and_operator,
    ACTIONS(14704), 1,
      sym_or_operator,
    ACTIONS(14706), 1,
      sym_assign_operator,
    STATE(2178), 1,
      sym_add_operator,
    STATE(11767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [570882] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13509), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(8771), 1,
      sym__module_expression,
    STATE(11768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [570930] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11769), 1,
      sym_attribute,
    STATE(12913), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [570978] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11770), 1,
      sym_attribute,
    STATE(12845), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [571026] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14650), 1,
      anon_sym_PIPE,
    STATE(11771), 1,
      sym_attribute,
    STATE(11798), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571062] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14708), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11772), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571096] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14650), 1,
      anon_sym_PIPE,
    STATE(11773), 1,
      sym_attribute,
    STATE(11799), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571132] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14466), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [571168] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14711), 1,
      sym_pow_operator,
    ACTIONS(14713), 1,
      sym_mult_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(11775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571206] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14587), 1,
      anon_sym_and,
    ACTIONS(14629), 1,
      anon_sym_let,
    STATE(11776), 1,
      sym_attribute,
    STATE(11800), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14627), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571242] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11777), 1,
      sym_attribute,
    STATE(12960), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [571290] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(7902), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [571322] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10992), 1,
      anon_sym_as,
    ACTIONS(14575), 1,
      sym__lowercase_identifier,
    ACTIONS(14715), 1,
      anon_sym_POUND,
    STATE(11779), 1,
      sym_attribute,
    STATE(12457), 1,
      sym_type_constructor_path,
    STATE(16831), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 11,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
  [571364] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14719), 1,
      anon_sym_let,
    ACTIONS(14721), 1,
      anon_sym_and,
    STATE(11780), 1,
      sym_attribute,
    STATE(11784), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14717), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571400] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11781), 1,
      sym_attribute,
    STATE(12922), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [571448] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9802), 1,
      anon_sym_as,
    ACTIONS(14575), 1,
      sym__lowercase_identifier,
    ACTIONS(14577), 1,
      anon_sym_POUND,
    STATE(11782), 1,
      sym_attribute,
    STATE(12520), 1,
      sym_type_constructor_path,
    STATE(16831), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9800), 11,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
  [571490] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13509), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(8838), 1,
      sym__module_expression,
    STATE(11783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [571538] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14721), 1,
      anon_sym_and,
    ACTIONS(14725), 1,
      anon_sym_let,
    STATE(11784), 1,
      sym_attribute,
    STATE(11872), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14723), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571574] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14721), 1,
      anon_sym_and,
    ACTIONS(14725), 1,
      anon_sym_let,
    STATE(11785), 1,
      sym_attribute,
    STATE(11881), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14723), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571610] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14727), 1,
      anon_sym_else,
    STATE(10290), 1,
      sym_else_clause,
    STATE(11786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571646] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13476), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14729), 1,
      anon_sym_PIPE,
    STATE(11787), 1,
      sym_attribute,
    STATE(11789), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13474), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [571682] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13482), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14729), 1,
      anon_sym_PIPE,
    STATE(11788), 1,
      sym_attribute,
    STATE(11789), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13480), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [571718] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12886), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14731), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11789), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(12884), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [571752] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13509), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(8790), 1,
      sym__module_expression,
    STATE(11790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [571800] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14677), 1,
      sym_pow_operator,
    ACTIONS(14679), 1,
      sym_mult_operator,
    STATE(2078), 1,
      sym_add_operator,
    STATE(11791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571838] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(14734), 1,
      sym__lowercase_identifier,
    ACTIONS(14736), 1,
      anon_sym_nonrec,
    STATE(11776), 1,
      sym_type_binding,
    STATE(11792), 1,
      sym_attribute,
    STATE(12504), 1,
      sym__attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14793), 1,
      sym__type_params,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    STATE(19698), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [571898] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13375), 1,
      anon_sym_LPAREN,
    ACTIONS(13379), 1,
      anon_sym_functor,
    ACTIONS(13381), 1,
      anon_sym_struct,
    ACTIONS(13383), 1,
      sym__uppercase_identifier,
    STATE(11793), 1,
      sym_attribute,
    STATE(12150), 1,
      sym__module_expression,
    STATE(13016), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13052), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13104), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [571946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10904), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(10902), 9,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [571978] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11795), 1,
      sym_attribute,
    STATE(12783), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [572026] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11796), 1,
      sym_attribute,
    STATE(12837), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [572074] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10133), 1,
      anon_sym_PIPE,
    ACTIONS(14675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14677), 1,
      sym_pow_operator,
    ACTIONS(14679), 1,
      sym_mult_operator,
    ACTIONS(14681), 1,
      sym_concat_operator,
    ACTIONS(14683), 1,
      sym_rel_operator,
    ACTIONS(14685), 1,
      sym_and_operator,
    ACTIONS(14687), 1,
      sym_or_operator,
    ACTIONS(14738), 1,
      anon_sym_COMMA,
    ACTIONS(14740), 1,
      sym_assign_operator,
    STATE(2078), 1,
      sym_add_operator,
    STATE(11797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [572128] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14650), 1,
      anon_sym_PIPE,
    STATE(11798), 1,
      sym_attribute,
    STATE(11799), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [572164] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14742), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11799), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [572198] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14587), 1,
      anon_sym_and,
    ACTIONS(14639), 1,
      anon_sym_let,
    STATE(11800), 1,
      sym_attribute,
    STATE(12037), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14637), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572234] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11801), 1,
      sym_attribute,
    STATE(12979), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [572282] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14747), 1,
      anon_sym_let,
    ACTIONS(14749), 1,
      anon_sym_DOT,
    STATE(11802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14745), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572316] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14725), 1,
      anon_sym_let,
    ACTIONS(14751), 1,
      anon_sym_and,
    STATE(11803), 1,
      sym_attribute,
    STATE(11992), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14723), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572352] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14755), 1,
      anon_sym_let,
    ACTIONS(14757), 1,
      anon_sym_and,
    STATE(11804), 1,
      sym_attribute,
    STATE(11894), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14753), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572388] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11805), 1,
      sym_attribute,
    STATE(12810), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [572436] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(14579), 1,
      sym__lowercase_identifier,
    ACTIONS(14759), 1,
      anon_sym_POUND,
    STATE(11806), 1,
      sym_attribute,
    STATE(12590), 1,
      sym_type_constructor_path,
    STATE(16931), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9800), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(9802), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [572478] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11807), 1,
      sym_attribute,
    STATE(12962), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [572526] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14623), 1,
      anon_sym_PIPE,
    STATE(11744), 1,
      aux_sym__match_cases_repeat1,
    STATE(11808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [572562] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14677), 1,
      sym_pow_operator,
    ACTIONS(14679), 1,
      sym_mult_operator,
    STATE(2078), 1,
      sym_add_operator,
    STATE(11809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [572604] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12459), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14761), 1,
      anon_sym_EQ,
    ACTIONS(14763), 1,
      anon_sym_of,
    ACTIONS(14765), 1,
      anon_sym_COLON2,
    STATE(11810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12457), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [572642] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_PIPE,
    ACTIONS(14767), 1,
      anon_sym_COMMA,
    ACTIONS(14769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14771), 1,
      sym_pow_operator,
    ACTIONS(14773), 1,
      sym_mult_operator,
    ACTIONS(14775), 1,
      sym_concat_operator,
    ACTIONS(14777), 1,
      sym_rel_operator,
    ACTIONS(14779), 1,
      sym_and_operator,
    ACTIONS(14781), 1,
      sym_or_operator,
    ACTIONS(14783), 1,
      sym_assign_operator,
    STATE(1879), 1,
      sym_add_operator,
    STATE(11811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [572696] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14623), 1,
      anon_sym_PIPE,
    STATE(11753), 1,
      aux_sym__match_cases_repeat1,
    STATE(11812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [572732] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14757), 1,
      anon_sym_and,
    ACTIONS(14787), 1,
      anon_sym_let,
    STATE(11813), 1,
      sym_attribute,
    STATE(11959), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14785), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572768] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14623), 1,
      anon_sym_PIPE,
    STATE(11812), 1,
      aux_sym__match_cases_repeat1,
    STATE(11814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [572804] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14789), 1,
      anon_sym_else,
    STATE(8131), 1,
      sym_else_clause,
    STATE(11815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [572840] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11816), 1,
      sym_attribute,
    STATE(12863), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [572888] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11817), 1,
      sym_attribute,
    STATE(12011), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14791), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [572924] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12469), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14793), 1,
      anon_sym_EQ,
    ACTIONS(14795), 1,
      anon_sym_of,
    ACTIONS(14797), 1,
      anon_sym_COLON2,
    STATE(11818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12467), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [572962] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11701), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11372), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11370), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [572996] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11820), 1,
      sym_attribute,
    STATE(12820), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [573044] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14625), 1,
      aux_sym_attribute_id_token1,
    STATE(11821), 1,
      sym_attribute,
    STATE(11912), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8859), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8857), 10,
      anon_sym_rec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [573080] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14799), 1,
      anon_sym_PIPE,
    STATE(11822), 1,
      sym_attribute,
    STATE(11848), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [573116] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14583), 1,
      anon_sym_else,
    STATE(8131), 1,
      sym_else_clause,
    STATE(11823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [573152] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11824), 1,
      sym_attribute,
    STATE(12945), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [573200] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14719), 1,
      anon_sym_let,
    ACTIONS(14751), 1,
      anon_sym_and,
    STATE(11825), 1,
      sym_attribute,
    STATE(12039), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14717), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573236] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12525), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14801), 1,
      anon_sym_EQ,
    ACTIONS(14803), 1,
      anon_sym_of,
    ACTIONS(14805), 1,
      anon_sym_COLON2,
    STATE(11826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [573274] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14499), 1,
      anon_sym_constraint,
    ACTIONS(14501), 1,
      anon_sym_val,
    ACTIONS(14505), 1,
      anon_sym_inherit,
    ACTIONS(14507), 1,
      anon_sym_method,
    ACTIONS(14807), 1,
      anon_sym_end,
    STATE(11827), 1,
      sym_attribute,
    STATE(11834), 1,
      aux_sym_class_body_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13352), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13357), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [573324] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_PIPE,
    ACTIONS(14561), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14563), 1,
      sym_pow_operator,
    ACTIONS(14565), 1,
      sym_mult_operator,
    ACTIONS(14698), 1,
      sym_concat_operator,
    ACTIONS(14700), 1,
      sym_rel_operator,
    ACTIONS(14702), 1,
      sym_and_operator,
    ACTIONS(14704), 1,
      sym_or_operator,
    STATE(2178), 1,
      sym_add_operator,
    STATE(11828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [573374] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11829), 1,
      sym_attribute,
    STATE(12872), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [573422] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11830), 1,
      sym_attribute,
    STATE(12844), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [573470] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_PIPE,
    ACTIONS(14809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14811), 1,
      sym_pow_operator,
    ACTIONS(14813), 1,
      sym_mult_operator,
    ACTIONS(14815), 1,
      sym_concat_operator,
    ACTIONS(14817), 1,
      sym_rel_operator,
    ACTIONS(14819), 1,
      sym_and_operator,
    ACTIONS(14821), 1,
      sym_or_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(11831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [573520] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7850), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(7852), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [573552] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11833), 1,
      sym_attribute,
    STATE(12901), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [573600] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14823), 1,
      anon_sym_constraint,
    ACTIONS(14826), 1,
      anon_sym_val,
    ACTIONS(14829), 1,
      anon_sym_end,
    ACTIONS(14831), 1,
      anon_sym_inherit,
    ACTIONS(14834), 1,
      anon_sym_method,
    ACTIONS(14837), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14840), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14843), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11834), 2,
      sym_attribute,
      aux_sym_class_body_type_repeat1,
    STATE(13352), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13357), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [573648] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(14846), 1,
      sym__lowercase_identifier,
    ACTIONS(14848), 1,
      anon_sym_nonrec,
    STATE(11835), 1,
      sym_attribute,
    STATE(12456), 1,
      sym_type_binding,
    STATE(12500), 1,
      sym__attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14291), 1,
      sym__type_params,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    STATE(20101), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [573708] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14563), 1,
      sym_pow_operator,
    STATE(2178), 1,
      sym_add_operator,
    STATE(11836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [573744] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(14579), 1,
      sym__lowercase_identifier,
    ACTIONS(14759), 1,
      anon_sym_POUND,
    STATE(11837), 1,
      sym_attribute,
    STATE(12590), 1,
      sym_type_constructor_path,
    STATE(16931), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10986), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [573786] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14563), 1,
      sym_pow_operator,
    STATE(2178), 1,
      sym_add_operator,
    STATE(11838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [573822] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14561), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14563), 1,
      sym_pow_operator,
    ACTIONS(14565), 1,
      sym_mult_operator,
    ACTIONS(14698), 1,
      sym_concat_operator,
    STATE(2178), 1,
      sym_add_operator,
    STATE(11839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [573866] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11840), 1,
      sym_attribute,
    STATE(12884), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [573914] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14561), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14563), 1,
      sym_pow_operator,
    ACTIONS(14565), 1,
      sym_mult_operator,
    ACTIONS(14698), 1,
      sym_concat_operator,
    STATE(2178), 1,
      sym_add_operator,
    STATE(11841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [573958] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14561), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14563), 1,
      sym_pow_operator,
    ACTIONS(14565), 1,
      sym_mult_operator,
    ACTIONS(14698), 1,
      sym_concat_operator,
    ACTIONS(14700), 1,
      sym_rel_operator,
    ACTIONS(14702), 1,
      sym_and_operator,
    STATE(2178), 1,
      sym_add_operator,
    STATE(11842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [574006] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14587), 1,
      anon_sym_and,
    ACTIONS(14639), 1,
      anon_sym_let,
    STATE(11843), 1,
      sym_attribute,
    STATE(11918), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14637), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [574042] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14757), 1,
      anon_sym_and,
    ACTIONS(14852), 1,
      anon_sym_let,
    STATE(11844), 1,
      sym_attribute,
    STATE(11959), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14850), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [574078] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14799), 1,
      anon_sym_PIPE,
    STATE(11845), 1,
      sym_attribute,
    STATE(11855), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574114] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(14561), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14563), 1,
      sym_pow_operator,
    ACTIONS(14565), 1,
      sym_mult_operator,
    ACTIONS(14698), 1,
      sym_concat_operator,
    ACTIONS(14700), 1,
      sym_rel_operator,
    ACTIONS(14702), 1,
      sym_and_operator,
    ACTIONS(14704), 1,
      sym_or_operator,
    STATE(2178), 1,
      sym_add_operator,
    STATE(11846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [574164] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(14561), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14563), 1,
      sym_pow_operator,
    ACTIONS(14565), 1,
      sym_mult_operator,
    ACTIONS(14694), 1,
      anon_sym_COMMA,
    ACTIONS(14698), 1,
      sym_concat_operator,
    ACTIONS(14700), 1,
      sym_rel_operator,
    ACTIONS(14702), 1,
      sym_and_operator,
    ACTIONS(14704), 1,
      sym_or_operator,
    ACTIONS(14706), 1,
      sym_assign_operator,
    STATE(2178), 1,
      sym_add_operator,
    STATE(11847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [574218] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14799), 1,
      anon_sym_PIPE,
    STATE(11848), 1,
      sym_attribute,
    STATE(11859), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574254] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_PIPE,
    ACTIONS(14769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14771), 1,
      sym_pow_operator,
    ACTIONS(14773), 1,
      sym_mult_operator,
    ACTIONS(14775), 1,
      sym_concat_operator,
    ACTIONS(14777), 1,
      sym_rel_operator,
    ACTIONS(14779), 1,
      sym_and_operator,
    ACTIONS(14781), 1,
      sym_or_operator,
    STATE(1879), 1,
      sym_add_operator,
    STATE(11849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [574304] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14563), 1,
      sym_pow_operator,
    ACTIONS(14565), 1,
      sym_mult_operator,
    STATE(2178), 1,
      sym_add_operator,
    STATE(11850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574342] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10133), 1,
      anon_sym_PIPE,
    ACTIONS(14561), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14563), 1,
      sym_pow_operator,
    ACTIONS(14565), 1,
      sym_mult_operator,
    ACTIONS(14694), 1,
      anon_sym_COMMA,
    ACTIONS(14698), 1,
      sym_concat_operator,
    ACTIONS(14700), 1,
      sym_rel_operator,
    ACTIONS(14702), 1,
      sym_and_operator,
    ACTIONS(14704), 1,
      sym_or_operator,
    ACTIONS(14706), 1,
      sym_assign_operator,
    STATE(2178), 1,
      sym_add_operator,
    STATE(11851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [574396] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10143), 1,
      anon_sym_PIPE,
    ACTIONS(14561), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14563), 1,
      sym_pow_operator,
    ACTIONS(14565), 1,
      sym_mult_operator,
    ACTIONS(14694), 1,
      anon_sym_COMMA,
    ACTIONS(14698), 1,
      sym_concat_operator,
    ACTIONS(14700), 1,
      sym_rel_operator,
    ACTIONS(14702), 1,
      sym_and_operator,
    ACTIONS(14704), 1,
      sym_or_operator,
    ACTIONS(14706), 1,
      sym_assign_operator,
    STATE(2178), 1,
      sym_add_operator,
    STATE(11852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [574450] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10133), 1,
      anon_sym_PIPE,
    ACTIONS(14711), 1,
      sym_pow_operator,
    ACTIONS(14713), 1,
      sym_mult_operator,
    ACTIONS(14854), 1,
      anon_sym_COMMA,
    ACTIONS(14856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14858), 1,
      sym_concat_operator,
    ACTIONS(14860), 1,
      sym_rel_operator,
    ACTIONS(14862), 1,
      sym_and_operator,
    ACTIONS(14864), 1,
      sym_or_operator,
    ACTIONS(14866), 1,
      sym_assign_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(11853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [574504] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14868), 1,
      anon_sym_PIPE,
    STATE(11854), 1,
      sym_attribute,
    STATE(11865), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574540] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14799), 1,
      anon_sym_PIPE,
    STATE(11855), 1,
      sym_attribute,
    STATE(11859), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574576] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14870), 1,
      anon_sym_else,
    STATE(8131), 1,
      sym_else_clause,
    STATE(11856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574612] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14872), 1,
      anon_sym_else,
    STATE(8131), 1,
      sym_else_clause,
    STATE(11857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574648] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14868), 1,
      anon_sym_PIPE,
    STATE(11858), 1,
      sym_attribute,
    STATE(11869), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574684] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14874), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11859), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574718] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14811), 1,
      sym_pow_operator,
    ACTIONS(14813), 1,
      sym_mult_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(11860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574760] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13375), 1,
      anon_sym_LPAREN,
    ACTIONS(13379), 1,
      anon_sym_functor,
    ACTIONS(13381), 1,
      anon_sym_struct,
    ACTIONS(13383), 1,
      sym__uppercase_identifier,
    STATE(11861), 1,
      sym_attribute,
    STATE(12665), 1,
      sym__module_expression,
    STATE(13016), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13052), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13104), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [574808] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8202), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [574840] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14811), 1,
      sym_pow_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(11863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574876] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14811), 1,
      sym_pow_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(11864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574912] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14868), 1,
      anon_sym_PIPE,
    STATE(11865), 1,
      sym_attribute,
    STATE(11934), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574948] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14811), 1,
      sym_pow_operator,
    ACTIONS(14813), 1,
      sym_mult_operator,
    ACTIONS(14815), 1,
      sym_concat_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(11866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [574992] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13353), 1,
      anon_sym_functor,
    ACTIONS(13355), 1,
      anon_sym_struct,
    STATE(8761), 1,
      sym_module_path,
    STATE(9228), 1,
      sym__module_expression,
    STATE(11867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575040] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8234), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [575072] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14868), 1,
      anon_sym_PIPE,
    STATE(11869), 1,
      sym_attribute,
    STATE(11934), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575108] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11870), 1,
      sym_attribute,
    STATE(12853), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575156] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2259), 1,
      sym_add_operator,
    STATE(11871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575190] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14410), 1,
      anon_sym_let,
    ACTIONS(14877), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11872), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(14408), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575224] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14499), 1,
      anon_sym_constraint,
    ACTIONS(14501), 1,
      anon_sym_val,
    ACTIONS(14505), 1,
      anon_sym_inherit,
    ACTIONS(14507), 1,
      anon_sym_method,
    ACTIONS(14880), 1,
      anon_sym_end,
    STATE(11827), 1,
      aux_sym_class_body_type_repeat1,
    STATE(11873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13352), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13357), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [575274] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8212), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [575306] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14771), 1,
      sym_pow_operator,
    ACTIONS(14773), 1,
      sym_mult_operator,
    STATE(1879), 1,
      sym_add_operator,
    STATE(11875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575348] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14771), 1,
      sym_pow_operator,
    STATE(1879), 1,
      sym_add_operator,
    STATE(11876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575384] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14771), 1,
      sym_pow_operator,
    STATE(1879), 1,
      sym_add_operator,
    STATE(11877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575420] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14771), 1,
      sym_pow_operator,
    ACTIONS(14773), 1,
      sym_mult_operator,
    ACTIONS(14775), 1,
      sym_concat_operator,
    STATE(1879), 1,
      sym_add_operator,
    STATE(11878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [575464] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_PIPE,
    ACTIONS(14593), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14595), 1,
      sym_pow_operator,
    ACTIONS(14597), 1,
      sym_mult_operator,
    ACTIONS(14599), 1,
      sym_concat_operator,
    ACTIONS(14601), 1,
      sym_rel_operator,
    ACTIONS(14603), 1,
      sym_and_operator,
    ACTIONS(14605), 1,
      sym_or_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [575514] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11880), 1,
      sym_attribute,
    STATE(12921), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575562] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14721), 1,
      anon_sym_and,
    ACTIONS(14884), 1,
      anon_sym_let,
    STATE(11872), 1,
      aux_sym_class_definition_repeat1,
    STATE(11881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14882), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575598] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11882), 1,
      sym_attribute,
    STATE(12840), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575646] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14593), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14595), 1,
      sym_pow_operator,
    ACTIONS(14597), 1,
      sym_mult_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575688] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13375), 1,
      anon_sym_LPAREN,
    ACTIONS(13379), 1,
      anon_sym_functor,
    ACTIONS(13381), 1,
      anon_sym_struct,
    ACTIONS(13383), 1,
      sym__uppercase_identifier,
    STATE(11884), 1,
      sym_attribute,
    STATE(12721), 1,
      sym__module_expression,
    STATE(13016), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13052), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13104), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575736] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11885), 1,
      sym_attribute,
    STATE(12993), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575784] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      sym_pow_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575820] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13353), 1,
      anon_sym_functor,
    ACTIONS(13355), 1,
      anon_sym_struct,
    STATE(8761), 1,
      sym_module_path,
    STATE(9232), 1,
      sym__module_expression,
    STATE(11887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575868] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14886), 1,
      anon_sym_PIPE,
    STATE(11772), 1,
      aux_sym__match_cases_repeat1,
    STATE(11888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575904] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14811), 1,
      sym_pow_operator,
    ACTIONS(14813), 1,
      sym_mult_operator,
    ACTIONS(14815), 1,
      sym_concat_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(11889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [575948] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      sym_pow_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575984] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14593), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14595), 1,
      sym_pow_operator,
    ACTIONS(14597), 1,
      sym_mult_operator,
    ACTIONS(14599), 1,
      sym_concat_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [576028] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14811), 1,
      sym_pow_operator,
    ACTIONS(14813), 1,
      sym_mult_operator,
    ACTIONS(14815), 1,
      sym_concat_operator,
    ACTIONS(14817), 1,
      sym_rel_operator,
    ACTIONS(14819), 1,
      sym_and_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(11892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [576076] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13509), 1,
      anon_sym_functor,
    STATE(8331), 1,
      sym__module_expression,
    STATE(8761), 1,
      sym_module_path,
    STATE(11893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [576124] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14633), 1,
      anon_sym_let,
    ACTIONS(14757), 1,
      anon_sym_and,
    STATE(11894), 1,
      sym_attribute,
    STATE(11959), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14631), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576160] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1879), 1,
      sym_add_operator,
    STATE(11895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [576194] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14593), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14595), 1,
      sym_pow_operator,
    ACTIONS(14597), 1,
      sym_mult_operator,
    ACTIONS(14599), 1,
      sym_concat_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [576238] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14593), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14595), 1,
      sym_pow_operator,
    ACTIONS(14597), 1,
      sym_mult_operator,
    ACTIONS(14599), 1,
      sym_concat_operator,
    ACTIONS(14601), 1,
      sym_rel_operator,
    ACTIONS(14603), 1,
      sym_and_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [576286] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(14593), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14595), 1,
      sym_pow_operator,
    ACTIONS(14597), 1,
      sym_mult_operator,
    ACTIONS(14599), 1,
      sym_concat_operator,
    ACTIONS(14601), 1,
      sym_rel_operator,
    ACTIONS(14603), 1,
      sym_and_operator,
    ACTIONS(14605), 1,
      sym_or_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [576336] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14886), 1,
      anon_sym_PIPE,
    STATE(11772), 1,
      aux_sym__match_cases_repeat1,
    STATE(11899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [576372] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(14591), 1,
      anon_sym_COMMA,
    ACTIONS(14593), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14595), 1,
      sym_pow_operator,
    ACTIONS(14597), 1,
      sym_mult_operator,
    ACTIONS(14599), 1,
      sym_concat_operator,
    ACTIONS(14601), 1,
      sym_rel_operator,
    ACTIONS(14603), 1,
      sym_and_operator,
    ACTIONS(14605), 1,
      sym_or_operator,
    ACTIONS(14607), 1,
      sym_assign_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [576426] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13509), 1,
      anon_sym_functor,
    STATE(8754), 1,
      sym__module_expression,
    STATE(8761), 1,
      sym_module_path,
    STATE(11901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [576474] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(14711), 1,
      sym_pow_operator,
    ACTIONS(14713), 1,
      sym_mult_operator,
    ACTIONS(14854), 1,
      anon_sym_COMMA,
    ACTIONS(14856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14858), 1,
      sym_concat_operator,
    ACTIONS(14860), 1,
      sym_rel_operator,
    ACTIONS(14862), 1,
      sym_and_operator,
    ACTIONS(14864), 1,
      sym_or_operator,
    ACTIONS(14866), 1,
      sym_assign_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(11902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [576528] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(14809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14811), 1,
      sym_pow_operator,
    ACTIONS(14813), 1,
      sym_mult_operator,
    ACTIONS(14815), 1,
      sym_concat_operator,
    ACTIONS(14817), 1,
      sym_rel_operator,
    ACTIONS(14819), 1,
      sym_and_operator,
    ACTIONS(14821), 1,
      sym_or_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(11903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [576578] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(14809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14811), 1,
      sym_pow_operator,
    ACTIONS(14813), 1,
      sym_mult_operator,
    ACTIONS(14815), 1,
      sym_concat_operator,
    ACTIONS(14817), 1,
      sym_rel_operator,
    ACTIONS(14819), 1,
      sym_and_operator,
    ACTIONS(14821), 1,
      sym_or_operator,
    ACTIONS(14888), 1,
      anon_sym_COMMA,
    ACTIONS(14890), 1,
      sym_assign_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(11904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [576632] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8948), 1,
      anon_sym_PIPE,
    ACTIONS(14767), 1,
      anon_sym_COMMA,
    ACTIONS(14769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14771), 1,
      sym_pow_operator,
    ACTIONS(14773), 1,
      sym_mult_operator,
    ACTIONS(14775), 1,
      sym_concat_operator,
    ACTIONS(14777), 1,
      sym_rel_operator,
    ACTIONS(14779), 1,
      sym_and_operator,
    ACTIONS(14781), 1,
      sym_or_operator,
    ACTIONS(14783), 1,
      sym_assign_operator,
    ACTIONS(14892), 1,
      anon_sym_SEMI,
    STATE(1879), 1,
      sym_add_operator,
    STATE(11905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [576688] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10133), 1,
      anon_sym_PIPE,
    ACTIONS(14591), 1,
      anon_sym_COMMA,
    ACTIONS(14593), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14595), 1,
      sym_pow_operator,
    ACTIONS(14597), 1,
      sym_mult_operator,
    ACTIONS(14599), 1,
      sym_concat_operator,
    ACTIONS(14601), 1,
      sym_rel_operator,
    ACTIONS(14603), 1,
      sym_and_operator,
    ACTIONS(14605), 1,
      sym_or_operator,
    ACTIONS(14607), 1,
      sym_assign_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [576742] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13353), 1,
      anon_sym_functor,
    ACTIONS(13355), 1,
      anon_sym_struct,
    STATE(8761), 1,
      sym_module_path,
    STATE(9827), 1,
      sym__module_expression,
    STATE(11907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [576790] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11908), 1,
      sym_attribute,
    STATE(12827), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [576838] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14811), 1,
      sym_pow_operator,
    ACTIONS(14813), 1,
      sym_mult_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(11909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [576876] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8238), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [576908] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11911), 1,
      sym_attribute,
    STATE(12804), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [576956] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14894), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11912), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8865), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8863), 10,
      anon_sym_rec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [576990] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10133), 1,
      anon_sym_PIPE,
    ACTIONS(14809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14811), 1,
      sym_pow_operator,
    ACTIONS(14813), 1,
      sym_mult_operator,
    ACTIONS(14815), 1,
      sym_concat_operator,
    ACTIONS(14817), 1,
      sym_rel_operator,
    ACTIONS(14819), 1,
      sym_and_operator,
    ACTIONS(14821), 1,
      sym_or_operator,
    ACTIONS(14888), 1,
      anon_sym_COMMA,
    ACTIONS(14890), 1,
      sym_assign_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(11913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [577044] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14897), 1,
      anon_sym_else,
    STATE(8127), 1,
      sym_else_clause,
    STATE(11914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [577080] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8264), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [577112] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14677), 1,
      sym_pow_operator,
    STATE(2078), 1,
      sym_add_operator,
    STATE(11916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [577148] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10143), 1,
      anon_sym_PIPE,
    ACTIONS(14591), 1,
      anon_sym_COMMA,
    ACTIONS(14593), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14595), 1,
      sym_pow_operator,
    ACTIONS(14597), 1,
      sym_mult_operator,
    ACTIONS(14599), 1,
      sym_concat_operator,
    ACTIONS(14601), 1,
      sym_rel_operator,
    ACTIONS(14603), 1,
      sym_and_operator,
    ACTIONS(14605), 1,
      sym_or_operator,
    ACTIONS(14607), 1,
      sym_assign_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [577202] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14587), 1,
      anon_sym_and,
    ACTIONS(14643), 1,
      anon_sym_let,
    STATE(11918), 1,
      sym_attribute,
    STATE(12037), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14641), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577238] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13509), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(8862), 1,
      sym__module_expression,
    STATE(11919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577286] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14648), 1,
      anon_sym_else,
    STATE(8131), 1,
      sym_else_clause,
    STATE(11920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [577322] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10143), 1,
      anon_sym_PIPE,
    ACTIONS(14675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14677), 1,
      sym_pow_operator,
    ACTIONS(14679), 1,
      sym_mult_operator,
    ACTIONS(14681), 1,
      sym_concat_operator,
    ACTIONS(14683), 1,
      sym_rel_operator,
    ACTIONS(14685), 1,
      sym_and_operator,
    ACTIONS(14687), 1,
      sym_or_operator,
    ACTIONS(14738), 1,
      anon_sym_COMMA,
    ACTIONS(14740), 1,
      sym_assign_operator,
    STATE(2078), 1,
      sym_add_operator,
    STATE(11921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [577376] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14771), 1,
      sym_pow_operator,
    ACTIONS(14773), 1,
      sym_mult_operator,
    ACTIONS(14775), 1,
      sym_concat_operator,
    STATE(1879), 1,
      sym_add_operator,
    STATE(11922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [577420] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14677), 1,
      sym_pow_operator,
    STATE(2078), 1,
      sym_add_operator,
    STATE(11923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [577456] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14899), 1,
      anon_sym_else,
    STATE(7779), 1,
      sym_else_clause,
    STATE(11924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [577492] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14757), 1,
      anon_sym_and,
    ACTIONS(14852), 1,
      anon_sym_let,
    STATE(11813), 1,
      aux_sym_module_definition_repeat1,
    STATE(11925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14850), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577528] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11926), 1,
      sym_attribute,
    STATE(12988), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577576] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14692), 1,
      anon_sym_else,
    STATE(10297), 1,
      sym_else_clause,
    STATE(11927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [577612] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14677), 1,
      sym_pow_operator,
    ACTIONS(14679), 1,
      sym_mult_operator,
    ACTIONS(14681), 1,
      sym_concat_operator,
    STATE(2078), 1,
      sym_add_operator,
    STATE(11928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [577656] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12469), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14793), 1,
      anon_sym_EQ,
    ACTIONS(14901), 1,
      anon_sym_of,
    ACTIONS(14903), 1,
      anon_sym_COLON2,
    STATE(11929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12467), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [577694] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12393), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14499), 1,
      anon_sym_constraint,
    ACTIONS(14501), 1,
      anon_sym_val,
    ACTIONS(14505), 1,
      anon_sym_inherit,
    ACTIONS(14507), 1,
      anon_sym_method,
    ACTIONS(14905), 1,
      anon_sym_end,
    STATE(11834), 1,
      aux_sym_class_body_type_repeat1,
    STATE(11930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13352), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13357), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [577744] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14771), 1,
      sym_pow_operator,
    ACTIONS(14773), 1,
      sym_mult_operator,
    ACTIONS(14775), 1,
      sym_concat_operator,
    ACTIONS(14777), 1,
      sym_rel_operator,
    ACTIONS(14779), 1,
      sym_and_operator,
    STATE(1879), 1,
      sym_add_operator,
    STATE(11931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [577792] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(14769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14771), 1,
      sym_pow_operator,
    ACTIONS(14773), 1,
      sym_mult_operator,
    ACTIONS(14775), 1,
      sym_concat_operator,
    ACTIONS(14777), 1,
      sym_rel_operator,
    ACTIONS(14779), 1,
      sym_and_operator,
    ACTIONS(14781), 1,
      sym_or_operator,
    STATE(1879), 1,
      sym_add_operator,
    STATE(11932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [577842] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11933), 1,
      sym_attribute,
    STATE(12850), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577890] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14907), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11934), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [577924] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14910), 1,
      anon_sym_STAR,
    STATE(11935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10181), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [577958] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(14767), 1,
      anon_sym_COMMA,
    ACTIONS(14769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14771), 1,
      sym_pow_operator,
    ACTIONS(14773), 1,
      sym_mult_operator,
    ACTIONS(14775), 1,
      sym_concat_operator,
    ACTIONS(14777), 1,
      sym_rel_operator,
    ACTIONS(14779), 1,
      sym_and_operator,
    ACTIONS(14781), 1,
      sym_or_operator,
    ACTIONS(14783), 1,
      sym_assign_operator,
    STATE(1879), 1,
      sym_add_operator,
    STATE(11936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [578012] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14771), 1,
      sym_pow_operator,
    ACTIONS(14773), 1,
      sym_mult_operator,
    STATE(1879), 1,
      sym_add_operator,
    STATE(11937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [578050] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(14912), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11938), 1,
      sym_attribute,
    STATE(12666), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578098] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10133), 1,
      anon_sym_PIPE,
    ACTIONS(14767), 1,
      anon_sym_COMMA,
    ACTIONS(14769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14771), 1,
      sym_pow_operator,
    ACTIONS(14773), 1,
      sym_mult_operator,
    ACTIONS(14775), 1,
      sym_concat_operator,
    ACTIONS(14777), 1,
      sym_rel_operator,
    ACTIONS(14779), 1,
      sym_and_operator,
    ACTIONS(14781), 1,
      sym_or_operator,
    ACTIONS(14783), 1,
      sym_assign_operator,
    STATE(1879), 1,
      sym_add_operator,
    STATE(11939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [578152] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13509), 1,
      anon_sym_functor,
    STATE(8325), 1,
      sym__module_expression,
    STATE(8761), 1,
      sym_module_path,
    STATE(11940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578200] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11941), 1,
      sym_attribute,
    STATE(12975), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578248] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8948), 1,
      anon_sym_PIPE,
    ACTIONS(14652), 1,
      anon_sym_COMMA,
    ACTIONS(14654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14656), 1,
      sym_pow_operator,
    ACTIONS(14658), 1,
      sym_mult_operator,
    ACTIONS(14660), 1,
      sym_concat_operator,
    ACTIONS(14662), 1,
      sym_rel_operator,
    ACTIONS(14664), 1,
      sym_and_operator,
    ACTIONS(14666), 1,
      sym_or_operator,
    ACTIONS(14668), 1,
      sym_assign_operator,
    ACTIONS(14914), 1,
      anon_sym_SEMI,
    STATE(2192), 1,
      sym_add_operator,
    STATE(11942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [578304] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_PIPE,
    ACTIONS(14675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14677), 1,
      sym_pow_operator,
    ACTIONS(14679), 1,
      sym_mult_operator,
    ACTIONS(14681), 1,
      sym_concat_operator,
    ACTIONS(14683), 1,
      sym_rel_operator,
    ACTIONS(14685), 1,
      sym_and_operator,
    ACTIONS(14687), 1,
      sym_or_operator,
    ACTIONS(14738), 1,
      anon_sym_COMMA,
    ACTIONS(14740), 1,
      sym_assign_operator,
    STATE(2078), 1,
      sym_add_operator,
    STATE(11943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [578358] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14677), 1,
      sym_pow_operator,
    ACTIONS(14679), 1,
      sym_mult_operator,
    ACTIONS(14681), 1,
      sym_concat_operator,
    STATE(2078), 1,
      sym_add_operator,
    STATE(11944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [578402] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11945), 1,
      sym_attribute,
    STATE(12941), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578450] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14677), 1,
      sym_pow_operator,
    ACTIONS(14679), 1,
      sym_mult_operator,
    ACTIONS(14681), 1,
      sym_concat_operator,
    ACTIONS(14683), 1,
      sym_rel_operator,
    ACTIONS(14685), 1,
      sym_and_operator,
    STATE(2078), 1,
      sym_add_operator,
    STATE(11946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [578498] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8948), 1,
      anon_sym_PIPE,
    ACTIONS(14591), 1,
      anon_sym_COMMA,
    ACTIONS(14593), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14595), 1,
      sym_pow_operator,
    ACTIONS(14597), 1,
      sym_mult_operator,
    ACTIONS(14599), 1,
      sym_concat_operator,
    ACTIONS(14601), 1,
      sym_rel_operator,
    ACTIONS(14603), 1,
      sym_and_operator,
    ACTIONS(14605), 1,
      sym_or_operator,
    ACTIONS(14607), 1,
      sym_assign_operator,
    ACTIONS(14916), 1,
      anon_sym_SEMI,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [578554] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14899), 1,
      anon_sym_else,
    STATE(7759), 1,
      sym_else_clause,
    STATE(11948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [578590] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11949), 1,
      sym_attribute,
    STATE(12904), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578638] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2161), 1,
      sym_add_operator,
    STATE(11950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [578672] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10904), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10902), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [578704] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_PIPE,
    ACTIONS(14809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14811), 1,
      sym_pow_operator,
    ACTIONS(14813), 1,
      sym_mult_operator,
    ACTIONS(14815), 1,
      sym_concat_operator,
    ACTIONS(14817), 1,
      sym_rel_operator,
    ACTIONS(14819), 1,
      sym_and_operator,
    ACTIONS(14821), 1,
      sym_or_operator,
    ACTIONS(14888), 1,
      anon_sym_COMMA,
    ACTIONS(14890), 1,
      sym_assign_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(11952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [578758] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13509), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(8837), 1,
      sym__module_expression,
    STATE(11953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578806] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11954), 1,
      sym_attribute,
    STATE(12806), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578854] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_else,
    STATE(7779), 1,
      sym_else_clause,
    STATE(11955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [578890] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13375), 1,
      anon_sym_LPAREN,
    ACTIONS(13379), 1,
      anon_sym_functor,
    ACTIONS(13381), 1,
      anon_sym_struct,
    ACTIONS(13383), 1,
      sym__uppercase_identifier,
    STATE(11956), 1,
      sym_attribute,
    STATE(12675), 1,
      sym__module_expression,
    STATE(13016), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13052), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13104), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578938] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14920), 1,
      anon_sym_else,
    STATE(8127), 1,
      sym_else_clause,
    STATE(11957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [578974] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(14922), 1,
      sym__lowercase_identifier,
    ACTIONS(14924), 1,
      anon_sym_nonrec,
    STATE(11958), 1,
      sym_attribute,
    STATE(12453), 1,
      sym__attribute,
    STATE(12487), 1,
      sym_type_binding,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14581), 1,
      sym__type_params,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    STATE(20122), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [579034] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14520), 1,
      anon_sym_let,
    ACTIONS(14926), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11959), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(14518), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [579068] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2192), 1,
      sym_add_operator,
    STATE(11960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579102] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14872), 1,
      anon_sym_else,
    STATE(8127), 1,
      sym_else_clause,
    STATE(11961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579138] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8948), 1,
      anon_sym_PIPE,
    ACTIONS(14711), 1,
      sym_pow_operator,
    ACTIONS(14713), 1,
      sym_mult_operator,
    ACTIONS(14854), 1,
      anon_sym_COMMA,
    ACTIONS(14856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14858), 1,
      sym_concat_operator,
    ACTIONS(14860), 1,
      sym_rel_operator,
    ACTIONS(14862), 1,
      sym_and_operator,
    ACTIONS(14864), 1,
      sym_or_operator,
    ACTIONS(14866), 1,
      sym_assign_operator,
    ACTIONS(14929), 1,
      anon_sym_SEMI,
    STATE(2259), 1,
      sym_add_operator,
    STATE(11962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [579194] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(14675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14677), 1,
      sym_pow_operator,
    ACTIONS(14679), 1,
      sym_mult_operator,
    ACTIONS(14681), 1,
      sym_concat_operator,
    ACTIONS(14683), 1,
      sym_rel_operator,
    ACTIONS(14685), 1,
      sym_and_operator,
    ACTIONS(14687), 1,
      sym_or_operator,
    STATE(2078), 1,
      sym_add_operator,
    STATE(11963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [579244] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11964), 1,
      sym_attribute,
    STATE(13026), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [579292] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10143), 1,
      anon_sym_PIPE,
    ACTIONS(14809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14811), 1,
      sym_pow_operator,
    ACTIONS(14813), 1,
      sym_mult_operator,
    ACTIONS(14815), 1,
      sym_concat_operator,
    ACTIONS(14817), 1,
      sym_rel_operator,
    ACTIONS(14819), 1,
      sym_and_operator,
    ACTIONS(14821), 1,
      sym_or_operator,
    ACTIONS(14888), 1,
      anon_sym_COMMA,
    ACTIONS(14890), 1,
      sym_assign_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(11965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [579346] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14897), 1,
      anon_sym_else,
    STATE(8131), 1,
      sym_else_clause,
    STATE(11966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579382] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_PIPE,
    ACTIONS(14561), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14563), 1,
      sym_pow_operator,
    ACTIONS(14565), 1,
      sym_mult_operator,
    ACTIONS(14694), 1,
      anon_sym_COMMA,
    ACTIONS(14698), 1,
      sym_concat_operator,
    ACTIONS(14700), 1,
      sym_rel_operator,
    ACTIONS(14702), 1,
      sym_and_operator,
    ACTIONS(14704), 1,
      sym_or_operator,
    ACTIONS(14706), 1,
      sym_assign_operator,
    STATE(2178), 1,
      sym_add_operator,
    STATE(11967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [579436] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14789), 1,
      anon_sym_else,
    STATE(8127), 1,
      sym_else_clause,
    STATE(11968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579472] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(14675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14677), 1,
      sym_pow_operator,
    ACTIONS(14679), 1,
      sym_mult_operator,
    ACTIONS(14681), 1,
      sym_concat_operator,
    ACTIONS(14683), 1,
      sym_rel_operator,
    ACTIONS(14685), 1,
      sym_and_operator,
    ACTIONS(14687), 1,
      sym_or_operator,
    ACTIONS(14738), 1,
      anon_sym_COMMA,
    ACTIONS(14740), 1,
      sym_assign_operator,
    STATE(2078), 1,
      sym_add_operator,
    STATE(11969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [579526] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11970), 1,
      sym_attribute,
    STATE(12936), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [579574] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11971), 1,
      sym_attribute,
    STATE(12927), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [579622] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14920), 1,
      anon_sym_else,
    STATE(8131), 1,
      sym_else_clause,
    STATE(11972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579658] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14931), 1,
      anon_sym_PIPE,
    STATE(11973), 1,
      sym_attribute,
    STATE(11977), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579694] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11971), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14673), 1,
      anon_sym_PIPE,
    STATE(11762), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11969), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [579730] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13476), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14673), 1,
      anon_sym_PIPE,
    STATE(11764), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13474), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [579766] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14931), 1,
      anon_sym_PIPE,
    STATE(11976), 1,
      sym_attribute,
    STATE(12002), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579802] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14931), 1,
      anon_sym_PIPE,
    STATE(11977), 1,
      sym_attribute,
    STATE(12019), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579838] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2370), 1,
      sym_add_operator,
    STATE(11978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [579872] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12525), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14801), 1,
      anon_sym_EQ,
    ACTIONS(14933), 1,
      anon_sym_of,
    ACTIONS(14935), 1,
      anon_sym_COLON2,
    STATE(11979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [579910] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14573), 1,
      anon_sym_and,
    ACTIONS(14639), 1,
      anon_sym_let,
    STATE(11980), 1,
      sym_attribute,
    STATE(12029), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14637), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [579946] = 18,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(14937), 1,
      anon_sym_COLON_GT,
    ACTIONS(14939), 1,
      anon_sym_RPAREN,
    ACTIONS(14941), 1,
      anon_sym_COLON2,
    STATE(1772), 1,
      sym_add_operator,
    STATE(11981), 1,
      sym_attribute,
    STATE(17447), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [580004] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11971), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14729), 1,
      anon_sym_PIPE,
    STATE(11787), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11969), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [580040] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13476), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14729), 1,
      anon_sym_PIPE,
    STATE(11788), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13474), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [580076] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14727), 1,
      anon_sym_else,
    STATE(10297), 1,
      sym_else_clause,
    STATE(11984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [580112] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13375), 1,
      anon_sym_LPAREN,
    ACTIONS(13379), 1,
      anon_sym_functor,
    ACTIONS(13381), 1,
      anon_sym_struct,
    ACTIONS(13383), 1,
      sym__uppercase_identifier,
    STATE(11985), 1,
      sym_attribute,
    STATE(12689), 1,
      sym__module_expression,
    STATE(13016), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13052), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13104), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [580160] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11986), 1,
      sym_attribute,
    STATE(12915), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [580208] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11987), 1,
      sym_attribute,
    STATE(12784), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [580256] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14918), 1,
      anon_sym_else,
    STATE(7759), 1,
      sym_else_clause,
    STATE(11988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [580292] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11989), 1,
      sym_attribute,
    STATE(12812), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [580340] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11990), 1,
      sym_attribute,
    STATE(12778), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [580388] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14410), 1,
      anon_sym_let,
    ACTIONS(14943), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11991), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(14408), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580422] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14751), 1,
      anon_sym_and,
    ACTIONS(14884), 1,
      anon_sym_let,
    STATE(11991), 1,
      aux_sym_class_definition_repeat1,
    STATE(11992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14882), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580458] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10143), 1,
      anon_sym_PIPE,
    ACTIONS(14767), 1,
      anon_sym_COMMA,
    ACTIONS(14769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14771), 1,
      sym_pow_operator,
    ACTIONS(14773), 1,
      sym_mult_operator,
    ACTIONS(14775), 1,
      sym_concat_operator,
    ACTIONS(14777), 1,
      sym_rel_operator,
    ACTIONS(14779), 1,
      sym_and_operator,
    ACTIONS(14781), 1,
      sym_or_operator,
    ACTIONS(14783), 1,
      sym_assign_operator,
    STATE(1879), 1,
      sym_add_operator,
    STATE(11993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [580512] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14946), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [580548] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(11731), 1,
      aux_sym_expression_item_repeat1,
    STATE(11995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14948), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [580584] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14886), 1,
      anon_sym_PIPE,
    STATE(11888), 1,
      aux_sym__match_cases_repeat1,
    STATE(11996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [580620] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8948), 1,
      anon_sym_PIPE,
    ACTIONS(14809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14811), 1,
      sym_pow_operator,
    ACTIONS(14813), 1,
      sym_mult_operator,
    ACTIONS(14815), 1,
      sym_concat_operator,
    ACTIONS(14817), 1,
      sym_rel_operator,
    ACTIONS(14819), 1,
      sym_and_operator,
    ACTIONS(14821), 1,
      sym_or_operator,
    ACTIONS(14888), 1,
      anon_sym_COMMA,
    ACTIONS(14890), 1,
      sym_assign_operator,
    ACTIONS(14950), 1,
      anon_sym_SEMI,
    STATE(2370), 1,
      sym_add_operator,
    STATE(11997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 2,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [580676] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(11998), 1,
      sym_attribute,
    STATE(12935), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [580724] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10143), 1,
      anon_sym_PIPE,
    ACTIONS(14711), 1,
      sym_pow_operator,
    ACTIONS(14713), 1,
      sym_mult_operator,
    ACTIONS(14854), 1,
      anon_sym_COMMA,
    ACTIONS(14856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14858), 1,
      sym_concat_operator,
    ACTIONS(14860), 1,
      sym_rel_operator,
    ACTIONS(14862), 1,
      sym_and_operator,
    ACTIONS(14864), 1,
      sym_or_operator,
    ACTIONS(14866), 1,
      sym_assign_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(11999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [580778] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(12000), 1,
      sym_attribute,
    STATE(12889), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [580826] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14952), 1,
      anon_sym_STAR,
    STATE(12001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10181), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [580860] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14931), 1,
      anon_sym_PIPE,
    STATE(12002), 1,
      sym_attribute,
    STATE(12019), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [580896] = 18,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(14941), 1,
      anon_sym_COLON2,
    ACTIONS(14954), 1,
      anon_sym_COLON_GT,
    ACTIONS(14956), 1,
      anon_sym_RPAREN,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12003), 1,
      sym_attribute,
    STATE(16946), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [580954] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14573), 1,
      anon_sym_and,
    ACTIONS(14643), 1,
      anon_sym_let,
    STATE(12004), 1,
      sym_attribute,
    STATE(12029), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14641), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580990] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(14912), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(12005), 1,
      sym_attribute,
    STATE(12688), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [581038] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_PIPE,
    ACTIONS(14654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14656), 1,
      sym_pow_operator,
    ACTIONS(14658), 1,
      sym_mult_operator,
    ACTIONS(14660), 1,
      sym_concat_operator,
    ACTIONS(14662), 1,
      sym_rel_operator,
    ACTIONS(14664), 1,
      sym_and_operator,
    ACTIONS(14666), 1,
      sym_or_operator,
    STATE(2192), 1,
      sym_add_operator,
    STATE(12006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [581088] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14656), 1,
      sym_pow_operator,
    ACTIONS(14658), 1,
      sym_mult_operator,
    STATE(2192), 1,
      sym_add_operator,
    STATE(12007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581130] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8220), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [581162] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14656), 1,
      sym_pow_operator,
    STATE(2192), 1,
      sym_add_operator,
    STATE(12009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581198] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14656), 1,
      sym_pow_operator,
    STATE(2192), 1,
      sym_add_operator,
    STATE(12010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581234] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5405), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9962), 1,
      aux_sym_expression_item_repeat1,
    STATE(10430), 1,
      sym_item_attribute,
    STATE(12011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14948), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [581270] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14656), 1,
      sym_pow_operator,
    ACTIONS(14658), 1,
      sym_mult_operator,
    ACTIONS(14660), 1,
      sym_concat_operator,
    STATE(2192), 1,
      sym_add_operator,
    STATE(12012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [581314] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14656), 1,
      sym_pow_operator,
    ACTIONS(14658), 1,
      sym_mult_operator,
    ACTIONS(14660), 1,
      sym_concat_operator,
    STATE(2192), 1,
      sym_add_operator,
    STATE(12013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [581358] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14656), 1,
      sym_pow_operator,
    ACTIONS(14658), 1,
      sym_mult_operator,
    ACTIONS(14660), 1,
      sym_concat_operator,
    ACTIONS(14662), 1,
      sym_rel_operator,
    ACTIONS(14664), 1,
      sym_and_operator,
    STATE(2192), 1,
      sym_add_operator,
    STATE(12014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [581406] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(14654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14656), 1,
      sym_pow_operator,
    ACTIONS(14658), 1,
      sym_mult_operator,
    ACTIONS(14660), 1,
      sym_concat_operator,
    ACTIONS(14662), 1,
      sym_rel_operator,
    ACTIONS(14664), 1,
      sym_and_operator,
    ACTIONS(14666), 1,
      sym_or_operator,
    STATE(2192), 1,
      sym_add_operator,
    STATE(12015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [581456] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(14652), 1,
      anon_sym_COMMA,
    ACTIONS(14654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14656), 1,
      sym_pow_operator,
    ACTIONS(14658), 1,
      sym_mult_operator,
    ACTIONS(14660), 1,
      sym_concat_operator,
    ACTIONS(14662), 1,
      sym_rel_operator,
    ACTIONS(14664), 1,
      sym_and_operator,
    ACTIONS(14666), 1,
      sym_or_operator,
    ACTIONS(14668), 1,
      sym_assign_operator,
    STATE(2192), 1,
      sym_add_operator,
    STATE(12016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [581510] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14656), 1,
      sym_pow_operator,
    ACTIONS(14658), 1,
      sym_mult_operator,
    STATE(2192), 1,
      sym_add_operator,
    STATE(12017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581548] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10133), 1,
      anon_sym_PIPE,
    ACTIONS(14652), 1,
      anon_sym_COMMA,
    ACTIONS(14654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14656), 1,
      sym_pow_operator,
    ACTIONS(14658), 1,
      sym_mult_operator,
    ACTIONS(14660), 1,
      sym_concat_operator,
    ACTIONS(14662), 1,
      sym_rel_operator,
    ACTIONS(14664), 1,
      sym_and_operator,
    ACTIONS(14666), 1,
      sym_or_operator,
    ACTIONS(14668), 1,
      sym_assign_operator,
    STATE(2192), 1,
      sym_add_operator,
    STATE(12018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [581602] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14958), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12019), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581636] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10143), 1,
      anon_sym_PIPE,
    ACTIONS(14652), 1,
      anon_sym_COMMA,
    ACTIONS(14654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14656), 1,
      sym_pow_operator,
    ACTIONS(14658), 1,
      sym_mult_operator,
    ACTIONS(14660), 1,
      sym_concat_operator,
    ACTIONS(14662), 1,
      sym_rel_operator,
    ACTIONS(14664), 1,
      sym_and_operator,
    ACTIONS(14666), 1,
      sym_or_operator,
    ACTIONS(14668), 1,
      sym_assign_operator,
    STATE(2192), 1,
      sym_add_operator,
    STATE(12020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [581690] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13375), 1,
      anon_sym_LPAREN,
    ACTIONS(13379), 1,
      anon_sym_functor,
    ACTIONS(13381), 1,
      anon_sym_struct,
    ACTIONS(13383), 1,
      sym__uppercase_identifier,
    STATE(12021), 1,
      sym_attribute,
    STATE(12708), 1,
      sym__module_expression,
    STATE(13016), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13052), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13104), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [581738] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_PIPE,
    ACTIONS(14711), 1,
      sym_pow_operator,
    ACTIONS(14713), 1,
      sym_mult_operator,
    ACTIONS(14856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14858), 1,
      sym_concat_operator,
    ACTIONS(14860), 1,
      sym_rel_operator,
    ACTIONS(14862), 1,
      sym_and_operator,
    ACTIONS(14864), 1,
      sym_or_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(12022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [581788] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14711), 1,
      sym_pow_operator,
    ACTIONS(14713), 1,
      sym_mult_operator,
    ACTIONS(14856), 1,
      anon_sym_COLON_COLON,
    STATE(2259), 1,
      sym_add_operator,
    STATE(12023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581830] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14711), 1,
      sym_pow_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(12024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581866] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14711), 1,
      sym_pow_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(12025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581902] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14711), 1,
      sym_pow_operator,
    ACTIONS(14713), 1,
      sym_mult_operator,
    ACTIONS(14856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14858), 1,
      sym_concat_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(12026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [581946] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14711), 1,
      sym_pow_operator,
    ACTIONS(14713), 1,
      sym_mult_operator,
    ACTIONS(14856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14858), 1,
      sym_concat_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(12027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [581990] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14886), 1,
      anon_sym_PIPE,
    STATE(11899), 1,
      aux_sym__match_cases_repeat1,
    STATE(12028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582026] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14406), 1,
      anon_sym_let,
    ACTIONS(14961), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12029), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(14404), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582060] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8948), 1,
      anon_sym_PIPE,
    ACTIONS(14675), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14677), 1,
      sym_pow_operator,
    ACTIONS(14679), 1,
      sym_mult_operator,
    ACTIONS(14681), 1,
      sym_concat_operator,
    ACTIONS(14683), 1,
      sym_rel_operator,
    ACTIONS(14685), 1,
      sym_and_operator,
    ACTIONS(14687), 1,
      sym_or_operator,
    ACTIONS(14738), 1,
      anon_sym_COMMA,
    ACTIONS(14740), 1,
      sym_assign_operator,
    ACTIONS(14964), 1,
      anon_sym_SEMI,
    STATE(2078), 1,
      sym_add_operator,
    STATE(12030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 2,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [582116] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14711), 1,
      sym_pow_operator,
    ACTIONS(14713), 1,
      sym_mult_operator,
    ACTIONS(14856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14858), 1,
      sym_concat_operator,
    ACTIONS(14860), 1,
      sym_rel_operator,
    ACTIONS(14862), 1,
      sym_and_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(12031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [582164] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14870), 1,
      anon_sym_else,
    STATE(8127), 1,
      sym_else_clause,
    STATE(12032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582200] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(14711), 1,
      sym_pow_operator,
    ACTIONS(14713), 1,
      sym_mult_operator,
    ACTIONS(14856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14858), 1,
      sym_concat_operator,
    ACTIONS(14860), 1,
      sym_rel_operator,
    ACTIONS(14862), 1,
      sym_and_operator,
    ACTIONS(14864), 1,
      sym_or_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(12033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [582250] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(12034), 1,
      sym_attribute,
    STATE(12799), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [582298] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14573), 1,
      anon_sym_and,
    ACTIONS(14643), 1,
      anon_sym_let,
    STATE(11733), 1,
      aux_sym_type_definition_repeat1,
    STATE(12035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14641), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582334] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14585), 1,
      anon_sym_else,
    STATE(8131), 1,
      sym_else_clause,
    STATE(12036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582370] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14406), 1,
      anon_sym_let,
    ACTIONS(14966), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12037), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(14404), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582404] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14633), 1,
      anon_sym_let,
    ACTIONS(14757), 1,
      anon_sym_and,
    STATE(11844), 1,
      aux_sym_module_definition_repeat1,
    STATE(12038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14631), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582440] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14725), 1,
      anon_sym_let,
    ACTIONS(14751), 1,
      anon_sym_and,
    STATE(11991), 1,
      aux_sym_class_definition_repeat1,
    STATE(12039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14723), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582476] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(13349), 1,
      anon_sym_LPAREN,
    ACTIONS(13355), 1,
      anon_sym_struct,
    ACTIONS(13733), 1,
      anon_sym_functor,
    STATE(8761), 1,
      sym_module_path,
    STATE(12040), 1,
      sym_attribute,
    STATE(12856), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8814), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [582524] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14633), 1,
      anon_sym_let,
    ACTIONS(14635), 1,
      anon_sym_and,
    STATE(12041), 1,
      sym_attribute,
    STATE(12044), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14631), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582560] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14635), 1,
      anon_sym_and,
    ACTIONS(14852), 1,
      anon_sym_let,
    STATE(12042), 1,
      sym_attribute,
    STATE(12044), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14850), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582596] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12459), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14761), 1,
      anon_sym_EQ,
    ACTIONS(14969), 1,
      anon_sym_of,
    ACTIONS(14971), 1,
      anon_sym_COLON2,
    STATE(12043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12457), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [582634] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14520), 1,
      anon_sym_let,
    ACTIONS(14973), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12044), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(14518), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582668] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14635), 1,
      anon_sym_and,
    ACTIONS(14852), 1,
      anon_sym_let,
    STATE(12045), 1,
      sym_attribute,
    STATE(12046), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14850), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582704] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14635), 1,
      anon_sym_and,
    ACTIONS(14787), 1,
      anon_sym_let,
    STATE(12044), 1,
      aux_sym_module_definition_repeat1,
    STATE(12046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14785), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582740] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14635), 1,
      anon_sym_and,
    ACTIONS(14755), 1,
      anon_sym_let,
    STATE(12041), 1,
      aux_sym_module_definition_repeat1,
    STATE(12047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14753), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582776] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      sym_pow_operator,
    ACTIONS(14597), 1,
      sym_mult_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(12048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582814] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14976), 1,
      anon_sym_COLON_GT,
    ACTIONS(14978), 1,
      anon_sym_EQ,
    ACTIONS(14980), 1,
      anon_sym_COLON2,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12049), 1,
      sym_attribute,
    STATE(12687), 1,
      sym__typed,
    STATE(12825), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14982), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [582857] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(14984), 1,
      anon_sym_RBRACK,
    ACTIONS(14986), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12050), 1,
      sym_attribute,
    STATE(15448), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [582912] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1785), 1,
      sym_add_operator,
    STATE(12051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [582945] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(14990), 1,
      anon_sym_DASH_GT,
    ACTIONS(14992), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14988), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [582980] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14996), 1,
      anon_sym_SEMI,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15000), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12053), 1,
      sym_attribute,
    STATE(15481), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [583035] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15016), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12054), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [583068] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12314), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15019), 1,
      anon_sym_DASH_GT,
    STATE(12055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12312), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [583101] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_else,
    STATE(7759), 1,
      sym_else_clause,
    STATE(12056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [583136] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15023), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15027), 1,
      sym_pow_operator,
    ACTIONS(15029), 1,
      sym_mult_operator,
    ACTIONS(15031), 1,
      sym_concat_operator,
    ACTIONS(15033), 1,
      sym_rel_operator,
    ACTIONS(15035), 1,
      sym_and_operator,
    ACTIONS(15037), 1,
      sym_or_operator,
    ACTIONS(15039), 1,
      sym_assign_operator,
    STATE(1859), 1,
      sym_add_operator,
    STATE(12057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [583187] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15041), 1,
      anon_sym_else,
    STATE(7779), 1,
      sym_else_clause,
    STATE(12058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [583222] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15043), 1,
      anon_sym_DQUOTE,
    STATE(12059), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(20273), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [583263] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15051), 1,
      anon_sym_PIPE,
    STATE(12060), 1,
      sym_attribute,
    STATE(12266), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [583298] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15051), 1,
      anon_sym_PIPE,
    STATE(12061), 1,
      sym_attribute,
    STATE(12275), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [583333] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8946), 1,
      anon_sym_done,
    ACTIONS(8948), 1,
      anon_sym_PIPE,
    ACTIONS(15053), 1,
      anon_sym_COMMA,
    ACTIONS(15055), 1,
      anon_sym_SEMI,
    ACTIONS(15057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15059), 1,
      sym_pow_operator,
    ACTIONS(15061), 1,
      sym_mult_operator,
    ACTIONS(15063), 1,
      sym_concat_operator,
    ACTIONS(15065), 1,
      sym_rel_operator,
    ACTIONS(15067), 1,
      sym_and_operator,
    ACTIONS(15069), 1,
      sym_or_operator,
    ACTIONS(15071), 1,
      sym_assign_operator,
    STATE(2218), 1,
      sym_add_operator,
    STATE(12062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [583388] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15073), 1,
      anon_sym_RBRACK,
    ACTIONS(15075), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12063), 1,
      sym_attribute,
    STATE(16352), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [583443] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1800), 1,
      sym_add_operator,
    STATE(12064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [583476] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15077), 1,
      anon_sym_SEMI,
    ACTIONS(15079), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12065), 1,
      sym_attribute,
    STATE(16360), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [583531] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10143), 1,
      anon_sym_PIPE,
    ACTIONS(15081), 1,
      anon_sym_COMMA,
    ACTIONS(15083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15085), 1,
      sym_pow_operator,
    ACTIONS(15087), 1,
      sym_mult_operator,
    ACTIONS(15089), 1,
      sym_concat_operator,
    ACTIONS(15091), 1,
      sym_rel_operator,
    ACTIONS(15093), 1,
      sym_and_operator,
    ACTIONS(15095), 1,
      sym_or_operator,
    ACTIONS(15097), 1,
      sym_assign_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(12066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10141), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [583584] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_PIPE,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15107), 1,
      sym_rel_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    STATE(1785), 1,
      sym_add_operator,
    STATE(12067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [583633] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    STATE(1785), 1,
      sym_add_operator,
    STATE(12068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [583674] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15113), 1,
      anon_sym_COMMA,
    ACTIONS(15115), 1,
      anon_sym_SEMI,
    ACTIONS(15117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15119), 1,
      sym_pow_operator,
    ACTIONS(15121), 1,
      sym_mult_operator,
    ACTIONS(15123), 1,
      sym_concat_operator,
    ACTIONS(15125), 1,
      sym_rel_operator,
    ACTIONS(15127), 1,
      sym_and_operator,
    ACTIONS(15129), 1,
      sym_or_operator,
    ACTIONS(15131), 1,
      sym_assign_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [583727] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15101), 1,
      sym_pow_operator,
    STATE(1785), 1,
      sym_add_operator,
    STATE(12070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [583762] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8946), 1,
      anon_sym_with,
    ACTIONS(8948), 1,
      anon_sym_PIPE,
    ACTIONS(15133), 1,
      anon_sym_COMMA,
    ACTIONS(15135), 1,
      anon_sym_SEMI,
    ACTIONS(15137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15139), 1,
      sym_pow_operator,
    ACTIONS(15141), 1,
      sym_mult_operator,
    ACTIONS(15143), 1,
      sym_concat_operator,
    ACTIONS(15145), 1,
      sym_rel_operator,
    ACTIONS(15147), 1,
      sym_and_operator,
    ACTIONS(15149), 1,
      sym_or_operator,
    ACTIONS(15151), 1,
      sym_assign_operator,
    STATE(1815), 1,
      sym_add_operator,
    STATE(12071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [583817] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15101), 1,
      sym_pow_operator,
    STATE(1785), 1,
      sym_add_operator,
    STATE(12072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [583852] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    STATE(1785), 1,
      sym_add_operator,
    STATE(12073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [583895] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15153), 1,
      anon_sym_else,
    STATE(7779), 1,
      sym_else_clause,
    STATE(12074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [583930] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15155), 1,
      anon_sym_SEMI,
    ACTIONS(15157), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12075), 1,
      sym_attribute,
    STATE(15658), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [583985] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10143), 1,
      anon_sym_PIPE,
    ACTIONS(15053), 1,
      anon_sym_COMMA,
    ACTIONS(15057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15059), 1,
      sym_pow_operator,
    ACTIONS(15061), 1,
      sym_mult_operator,
    ACTIONS(15063), 1,
      sym_concat_operator,
    ACTIONS(15065), 1,
      sym_rel_operator,
    ACTIONS(15067), 1,
      sym_and_operator,
    ACTIONS(15069), 1,
      sym_or_operator,
    ACTIONS(15071), 1,
      sym_assign_operator,
    STATE(2218), 1,
      sym_add_operator,
    STATE(12076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10141), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [584038] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15159), 1,
      anon_sym_DQUOTE,
    STATE(12077), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(19876), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [584079] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(15137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15139), 1,
      sym_pow_operator,
    ACTIONS(15141), 1,
      sym_mult_operator,
    ACTIONS(15143), 1,
      sym_concat_operator,
    ACTIONS(15145), 1,
      sym_rel_operator,
    ACTIONS(15147), 1,
      sym_and_operator,
    ACTIONS(15149), 1,
      sym_or_operator,
    STATE(1815), 1,
      sym_add_operator,
    STATE(12078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [584128] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    STATE(1785), 1,
      sym_add_operator,
    STATE(12079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [584171] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15161), 1,
      anon_sym_DQUOTE,
    STATE(12080), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(19764), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [584212] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15107), 1,
      sym_rel_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    STATE(1785), 1,
      sym_add_operator,
    STATE(12081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [584259] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15107), 1,
      sym_rel_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    STATE(1785), 1,
      sym_add_operator,
    STATE(12082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [584308] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15163), 1,
      anon_sym_DQUOTE,
    STATE(12083), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(19210), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [584349] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15027), 1,
      sym_pow_operator,
    ACTIONS(15029), 1,
      sym_mult_operator,
    ACTIONS(15031), 1,
      sym_concat_operator,
    ACTIONS(15033), 1,
      sym_rel_operator,
    ACTIONS(15035), 1,
      sym_and_operator,
    ACTIONS(15037), 1,
      sym_or_operator,
    STATE(1859), 1,
      sym_add_operator,
    STATE(12084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [584396] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15165), 1,
      anon_sym_DQUOTE,
    STATE(12085), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(17876), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [584437] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15167), 1,
      anon_sym_DQUOTE,
    STATE(12086), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(17856), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [584478] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15169), 1,
      anon_sym_DQUOTE,
    STATE(12087), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18225), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [584519] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(15133), 1,
      anon_sym_COMMA,
    ACTIONS(15137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15139), 1,
      sym_pow_operator,
    ACTIONS(15141), 1,
      sym_mult_operator,
    ACTIONS(15143), 1,
      sym_concat_operator,
    ACTIONS(15145), 1,
      sym_rel_operator,
    ACTIONS(15147), 1,
      sym_and_operator,
    ACTIONS(15149), 1,
      sym_or_operator,
    ACTIONS(15151), 1,
      sym_assign_operator,
    STATE(1815), 1,
      sym_add_operator,
    STATE(12088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [584572] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15171), 1,
      anon_sym_PIPE,
    STATE(12089), 1,
      sym_attribute,
    STATE(12091), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [584607] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15171), 1,
      anon_sym_PIPE,
    STATE(12090), 1,
      sym_attribute,
    STATE(12092), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [584642] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15171), 1,
      anon_sym_PIPE,
    STATE(12091), 1,
      sym_attribute,
    STATE(12096), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [584677] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15171), 1,
      anon_sym_PIPE,
    STATE(12092), 1,
      sym_attribute,
    STATE(12096), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [584712] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15107), 1,
      sym_rel_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15173), 1,
      anon_sym_COMMA,
    ACTIONS(15175), 1,
      sym_assign_operator,
    STATE(1785), 1,
      sym_add_operator,
    STATE(12093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [584765] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    STATE(1785), 1,
      sym_add_operator,
    STATE(12094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [584802] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15177), 1,
      anon_sym_RBRACK,
    ACTIONS(15179), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12095), 1,
      sym_attribute,
    STATE(15443), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [584857] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15181), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12096), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [584890] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10133), 1,
      anon_sym_PIPE,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15107), 1,
      sym_rel_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15173), 1,
      anon_sym_COMMA,
    ACTIONS(15175), 1,
      sym_assign_operator,
    STATE(1785), 1,
      sym_add_operator,
    STATE(12097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [584943] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15184), 1,
      anon_sym_SEMI,
    ACTIONS(15186), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12098), 1,
      sym_attribute,
    STATE(15495), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [584998] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15139), 1,
      sym_pow_operator,
    ACTIONS(15141), 1,
      sym_mult_operator,
    STATE(1815), 1,
      sym_add_operator,
    STATE(12099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [585039] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_PIPE,
    ACTIONS(15137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15139), 1,
      sym_pow_operator,
    ACTIONS(15141), 1,
      sym_mult_operator,
    ACTIONS(15143), 1,
      sym_concat_operator,
    ACTIONS(15145), 1,
      sym_rel_operator,
    ACTIONS(15147), 1,
      sym_and_operator,
    ACTIONS(15149), 1,
      sym_or_operator,
    STATE(1815), 1,
      sym_add_operator,
    STATE(12100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [585088] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15188), 1,
      anon_sym_DQUOTE,
    STATE(12101), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(17851), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [585129] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15190), 1,
      anon_sym_RBRACK,
    ACTIONS(15192), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12102), 1,
      sym_attribute,
    STATE(15666), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585184] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11711), 1,
      anon_sym_COLON2,
    STATE(12103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9002), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [585217] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15194), 1,
      anon_sym_RBRACK,
    ACTIONS(15196), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12104), 1,
      sym_attribute,
    STATE(15558), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585272] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12875), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12973), 1,
      anon_sym_STAR,
    STATE(12105), 1,
      sym_attribute,
    STATE(12241), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12873), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [585307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_let,
    STATE(12106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585338] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15198), 1,
      anon_sym_SEMI,
    ACTIONS(15200), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12107), 1,
      sym_attribute,
    STATE(15643), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585393] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15202), 1,
      anon_sym_RBRACK,
    ACTIONS(15204), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12108), 1,
      sym_attribute,
    STATE(15347), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585448] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15139), 1,
      sym_pow_operator,
    STATE(1815), 1,
      sym_add_operator,
    STATE(12109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [585483] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15206), 1,
      anon_sym_DQUOTE,
    STATE(12110), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(19799), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [585524] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15208), 1,
      anon_sym_SEMI,
    ACTIONS(15210), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12111), 1,
      sym_attribute,
    STATE(15404), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585579] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15212), 1,
      anon_sym_DQUOTE,
    STATE(12112), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(17870), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [585620] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15214), 1,
      anon_sym_RBRACK,
    ACTIONS(15216), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12113), 1,
      sym_attribute,
    STATE(15233), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [585675] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15027), 1,
      sym_pow_operator,
    ACTIONS(15029), 1,
      sym_mult_operator,
    STATE(1859), 1,
      sym_add_operator,
    STATE(12114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [585716] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15027), 1,
      sym_pow_operator,
    STATE(1859), 1,
      sym_add_operator,
    STATE(12115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [585751] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15027), 1,
      sym_pow_operator,
    STATE(1859), 1,
      sym_add_operator,
    STATE(12116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [585786] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15027), 1,
      sym_pow_operator,
    ACTIONS(15029), 1,
      sym_mult_operator,
    ACTIONS(15031), 1,
      sym_concat_operator,
    STATE(1859), 1,
      sym_add_operator,
    STATE(12117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [585829] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15027), 1,
      sym_pow_operator,
    ACTIONS(15029), 1,
      sym_mult_operator,
    ACTIONS(15031), 1,
      sym_concat_operator,
    STATE(1859), 1,
      sym_add_operator,
    STATE(12118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [585872] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      sym_or_operator,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15027), 1,
      sym_pow_operator,
    ACTIONS(15029), 1,
      sym_mult_operator,
    ACTIONS(15031), 1,
      sym_concat_operator,
    ACTIONS(15033), 1,
      sym_rel_operator,
    ACTIONS(15035), 1,
      sym_and_operator,
    STATE(1859), 1,
      sym_add_operator,
    STATE(12119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [585919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15220), 1,
      anon_sym_let,
    STATE(12120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15218), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585950] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(14990), 1,
      anon_sym_DASH_GT,
    ACTIONS(15224), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15222), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [585985] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(14990), 1,
      anon_sym_DASH_GT,
    ACTIONS(15228), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15226), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [586020] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15230), 1,
      anon_sym_RBRACK,
    ACTIONS(15232), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12123), 1,
      sym_attribute,
    STATE(16325), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586075] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15234), 1,
      anon_sym_RBRACK,
    ACTIONS(15236), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12124), 1,
      sym_attribute,
    STATE(15288), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586130] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15238), 1,
      anon_sym_RBRACK,
    ACTIONS(15240), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12125), 1,
      sym_attribute,
    STATE(15894), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586185] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15242), 1,
      anon_sym_SEMI,
    ACTIONS(15244), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12126), 1,
      sym_attribute,
    STATE(15297), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8262), 1,
      anon_sym_let,
    STATE(12127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [586271] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10143), 1,
      anon_sym_PIPE,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15107), 1,
      sym_rel_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15173), 1,
      anon_sym_COMMA,
    ACTIONS(15175), 1,
      sym_assign_operator,
    STATE(1785), 1,
      sym_add_operator,
    STATE(12128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10141), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586324] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15246), 1,
      anon_sym_DQUOTE,
    STATE(12129), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18248), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [586365] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15250), 1,
      sym_pow_operator,
    ACTIONS(15252), 1,
      sym_mult_operator,
    ACTIONS(15254), 1,
      sym_concat_operator,
    ACTIONS(15256), 1,
      sym_rel_operator,
    ACTIONS(15258), 1,
      sym_and_operator,
    ACTIONS(15260), 1,
      sym_or_operator,
    STATE(1898), 1,
      sym_add_operator,
    STATE(12130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [586412] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15250), 1,
      sym_pow_operator,
    ACTIONS(15252), 1,
      sym_mult_operator,
    STATE(1898), 1,
      sym_add_operator,
    STATE(12131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [586453] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15262), 1,
      anon_sym_SEMI,
    ACTIONS(15264), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12132), 1,
      sym_attribute,
    STATE(15744), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586508] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15250), 1,
      sym_pow_operator,
    STATE(1898), 1,
      sym_add_operator,
    STATE(12133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [586543] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15266), 1,
      anon_sym_RBRACK,
    ACTIONS(15268), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12134), 1,
      sym_attribute,
    STATE(15603), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586598] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15270), 1,
      anon_sym_SEMI,
    ACTIONS(15272), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12135), 1,
      sym_attribute,
    STATE(15282), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586653] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15274), 1,
      anon_sym_DQUOTE,
    STATE(12136), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18347), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [586694] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15250), 1,
      sym_pow_operator,
    STATE(1898), 1,
      sym_add_operator,
    STATE(12137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [586729] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15276), 1,
      anon_sym_SEMI,
    ACTIONS(15278), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12138), 1,
      sym_attribute,
    STATE(15807), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586784] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15280), 1,
      anon_sym_SEMI,
    ACTIONS(15282), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12139), 1,
      sym_attribute,
    STATE(16342), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [586839] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15250), 1,
      sym_pow_operator,
    ACTIONS(15252), 1,
      sym_mult_operator,
    ACTIONS(15254), 1,
      sym_concat_operator,
    STATE(1898), 1,
      sym_add_operator,
    STATE(12140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [586882] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15139), 1,
      sym_pow_operator,
    ACTIONS(15141), 1,
      sym_mult_operator,
    STATE(1815), 1,
      sym_add_operator,
    STATE(12141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [586919] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15250), 1,
      sym_pow_operator,
    ACTIONS(15252), 1,
      sym_mult_operator,
    ACTIONS(15254), 1,
      sym_concat_operator,
    STATE(1898), 1,
      sym_add_operator,
    STATE(12142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [586962] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8865), 6,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_attribute_id_token1,
    ACTIONS(8863), 10,
      anon_sym_rec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [586993] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      sym_or_operator,
    ACTIONS(15248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15250), 1,
      sym_pow_operator,
    ACTIONS(15252), 1,
      sym_mult_operator,
    ACTIONS(15254), 1,
      sym_concat_operator,
    ACTIONS(15256), 1,
      sym_rel_operator,
    ACTIONS(15258), 1,
      sym_and_operator,
    STATE(1898), 1,
      sym_add_operator,
    STATE(12144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [587040] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15250), 1,
      sym_pow_operator,
    ACTIONS(15252), 1,
      sym_mult_operator,
    ACTIONS(15254), 1,
      sym_concat_operator,
    ACTIONS(15256), 1,
      sym_rel_operator,
    ACTIONS(15258), 1,
      sym_and_operator,
    ACTIONS(15260), 1,
      sym_or_operator,
    STATE(1898), 1,
      sym_add_operator,
    STATE(12145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [587087] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15027), 1,
      sym_pow_operator,
    ACTIONS(15029), 1,
      sym_mult_operator,
    ACTIONS(15031), 1,
      sym_concat_operator,
    ACTIONS(15033), 1,
      sym_rel_operator,
    ACTIONS(15035), 1,
      sym_and_operator,
    ACTIONS(15037), 1,
      sym_or_operator,
    STATE(1859), 1,
      sym_add_operator,
    STATE(12146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [587134] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15250), 1,
      sym_pow_operator,
    ACTIONS(15252), 1,
      sym_mult_operator,
    ACTIONS(15254), 1,
      sym_concat_operator,
    ACTIONS(15256), 1,
      sym_rel_operator,
    ACTIONS(15258), 1,
      sym_and_operator,
    ACTIONS(15260), 1,
      sym_or_operator,
    ACTIONS(15284), 1,
      anon_sym_COMMA,
    ACTIONS(15286), 1,
      sym_assign_operator,
    STATE(1898), 1,
      sym_add_operator,
    STATE(12147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [587185] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15250), 1,
      sym_pow_operator,
    ACTIONS(15252), 1,
      sym_mult_operator,
    STATE(1898), 1,
      sym_add_operator,
    STATE(12148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [587222] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15113), 1,
      anon_sym_COMMA,
    ACTIONS(15117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15119), 1,
      sym_pow_operator,
    ACTIONS(15121), 1,
      sym_mult_operator,
    ACTIONS(15123), 1,
      sym_concat_operator,
    ACTIONS(15125), 1,
      sym_rel_operator,
    ACTIONS(15127), 1,
      sym_and_operator,
    ACTIONS(15129), 1,
      sym_or_operator,
    ACTIONS(15131), 1,
      sym_assign_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [587273] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15288), 1,
      anon_sym_LPAREN,
    STATE(12150), 1,
      sym_attribute,
    STATE(13100), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13104), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10614), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [587312] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15250), 1,
      sym_pow_operator,
    ACTIONS(15252), 1,
      sym_mult_operator,
    ACTIONS(15254), 1,
      sym_concat_operator,
    ACTIONS(15256), 1,
      sym_rel_operator,
    ACTIONS(15258), 1,
      sym_and_operator,
    ACTIONS(15260), 1,
      sym_or_operator,
    ACTIONS(15284), 1,
      anon_sym_COMMA,
    ACTIONS(15286), 1,
      sym_assign_operator,
    STATE(1898), 1,
      sym_add_operator,
    STATE(12151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [587363] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15290), 1,
      anon_sym_SEMI,
    ACTIONS(15292), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12152), 1,
      sym_attribute,
    STATE(15974), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [587418] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15294), 1,
      anon_sym_else,
    STATE(7779), 1,
      sym_else_clause,
    STATE(12153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [587453] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15296), 1,
      anon_sym_DQUOTE,
    STATE(12154), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(17558), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [587494] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15023), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15027), 1,
      sym_pow_operator,
    ACTIONS(15029), 1,
      sym_mult_operator,
    ACTIONS(15031), 1,
      sym_concat_operator,
    ACTIONS(15033), 1,
      sym_rel_operator,
    ACTIONS(15035), 1,
      sym_and_operator,
    ACTIONS(15037), 1,
      sym_or_operator,
    ACTIONS(15039), 1,
      sym_assign_operator,
    STATE(1859), 1,
      sym_add_operator,
    STATE(12155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [587545] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15298), 1,
      anon_sym_DQUOTE,
    STATE(12156), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18177), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [587586] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15300), 1,
      anon_sym_RBRACK,
    ACTIONS(15302), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12157), 1,
      sym_attribute,
    STATE(15070), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [587641] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15304), 1,
      anon_sym_SEMI,
    ACTIONS(15306), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12158), 1,
      sym_attribute,
    STATE(15086), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [587696] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15023), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15027), 1,
      sym_pow_operator,
    ACTIONS(15029), 1,
      sym_mult_operator,
    ACTIONS(15031), 1,
      sym_concat_operator,
    ACTIONS(15033), 1,
      sym_rel_operator,
    ACTIONS(15035), 1,
      sym_and_operator,
    ACTIONS(15037), 1,
      sym_or_operator,
    ACTIONS(15039), 1,
      sym_assign_operator,
    ACTIONS(15308), 1,
      anon_sym_SEMI,
    STATE(1859), 1,
      sym_add_operator,
    STATE(12159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [587749] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15027), 1,
      sym_pow_operator,
    ACTIONS(15029), 1,
      sym_mult_operator,
    STATE(1859), 1,
      sym_add_operator,
    STATE(12160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [587786] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12875), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13051), 1,
      anon_sym_STAR,
    STATE(12161), 1,
      sym_attribute,
    STATE(12162), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12873), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [587821] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11929), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15310), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12162), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11927), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [587854] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8946), 1,
      anon_sym_end,
    ACTIONS(8948), 1,
      anon_sym_PIPE,
    ACTIONS(15081), 1,
      anon_sym_COMMA,
    ACTIONS(15083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15085), 1,
      sym_pow_operator,
    ACTIONS(15087), 1,
      sym_mult_operator,
    ACTIONS(15089), 1,
      sym_concat_operator,
    ACTIONS(15091), 1,
      sym_rel_operator,
    ACTIONS(15093), 1,
      sym_and_operator,
    ACTIONS(15095), 1,
      sym_or_operator,
    ACTIONS(15097), 1,
      sym_assign_operator,
    ACTIONS(15313), 1,
      anon_sym_SEMI,
    STATE(1831), 1,
      sym_add_operator,
    STATE(12163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [587909] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15250), 1,
      sym_pow_operator,
    ACTIONS(15252), 1,
      sym_mult_operator,
    ACTIONS(15254), 1,
      sym_concat_operator,
    ACTIONS(15256), 1,
      sym_rel_operator,
    ACTIONS(15258), 1,
      sym_and_operator,
    ACTIONS(15260), 1,
      sym_or_operator,
    ACTIONS(15284), 1,
      anon_sym_COMMA,
    ACTIONS(15286), 1,
      sym_assign_operator,
    STATE(1898), 1,
      sym_add_operator,
    STATE(12164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [587960] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15315), 1,
      anon_sym_DQUOTE,
    STATE(12165), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18415), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [588001] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15317), 1,
      anon_sym_DQUOTE,
    STATE(12166), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18459), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [588042] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10133), 1,
      anon_sym_PIPE,
    ACTIONS(15133), 1,
      anon_sym_COMMA,
    ACTIONS(15137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15139), 1,
      sym_pow_operator,
    ACTIONS(15141), 1,
      sym_mult_operator,
    ACTIONS(15143), 1,
      sym_concat_operator,
    ACTIONS(15145), 1,
      sym_rel_operator,
    ACTIONS(15147), 1,
      sym_and_operator,
    ACTIONS(15149), 1,
      sym_or_operator,
    ACTIONS(15151), 1,
      sym_assign_operator,
    STATE(1815), 1,
      sym_add_operator,
    STATE(12167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588095] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15319), 1,
      anon_sym_DQUOTE,
    STATE(12168), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18495), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [588136] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2218), 1,
      sym_add_operator,
    STATE(12169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [588169] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15321), 1,
      anon_sym_DQUOTE,
    STATE(12170), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18529), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [588210] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15323), 1,
      anon_sym_DQUOTE,
    STATE(12171), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18566), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [588251] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10172), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10170), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [588282] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15325), 1,
      anon_sym_RBRACK,
    ACTIONS(15327), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12173), 1,
      sym_attribute,
    STATE(16370), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588337] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15329), 1,
      anon_sym_DQUOTE,
    STATE(12174), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18261), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [588378] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [588411] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15153), 1,
      anon_sym_else,
    STATE(7759), 1,
      sym_else_clause,
    STATE(12176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [588446] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15331), 1,
      anon_sym_DQUOTE,
    STATE(12177), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(17837), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [588487] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15333), 1,
      anon_sym_DQUOTE,
    STATE(12178), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18597), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [588528] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15335), 1,
      anon_sym_DQUOTE,
    STATE(12179), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18641), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [588569] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15337), 1,
      anon_sym_RBRACK,
    ACTIONS(15339), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12180), 1,
      sym_attribute,
    STATE(15553), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588624] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15341), 1,
      anon_sym_RBRACK,
    ACTIONS(15343), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12181), 1,
      sym_attribute,
    STATE(15432), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588679] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15023), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15027), 1,
      sym_pow_operator,
    ACTIONS(15029), 1,
      sym_mult_operator,
    ACTIONS(15031), 1,
      sym_concat_operator,
    ACTIONS(15033), 1,
      sym_rel_operator,
    ACTIONS(15035), 1,
      sym_and_operator,
    ACTIONS(15037), 1,
      sym_or_operator,
    ACTIONS(15039), 1,
      sym_assign_operator,
    STATE(1859), 1,
      sym_add_operator,
    STATE(12182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [588730] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15345), 1,
      anon_sym_SEMI,
    ACTIONS(15347), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12183), 1,
      sym_attribute,
    STATE(15663), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588785] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15021), 1,
      anon_sym_else,
    STATE(7779), 1,
      sym_else_clause,
    STATE(12184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [588820] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15349), 1,
      anon_sym_DQUOTE,
    STATE(12185), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18975), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [588861] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15351), 1,
      anon_sym_SEMI,
    ACTIONS(15353), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12186), 1,
      sym_attribute,
    STATE(15441), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588916] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8946), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(8948), 1,
      anon_sym_PIPE,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15355), 1,
      anon_sym_SEMI,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [588971] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15357), 1,
      anon_sym_DQUOTE,
    STATE(12188), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18683), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [589012] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15359), 1,
      anon_sym_PIPE,
    STATE(12189), 1,
      sym_attribute,
    STATE(12349), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [589047] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15361), 1,
      anon_sym_RBRACK,
    ACTIONS(15363), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12190), 1,
      sym_attribute,
    STATE(15521), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589102] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15365), 1,
      anon_sym_DQUOTE,
    STATE(12191), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18718), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [589143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8246), 1,
      anon_sym_let,
    STATE(12192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589174] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15367), 1,
      anon_sym_DQUOTE,
    STATE(12193), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18086), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [589215] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15369), 1,
      anon_sym_else,
    STATE(7779), 1,
      sym_else_clause,
    STATE(12194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [589250] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15371), 1,
      anon_sym_DQUOTE,
    STATE(12195), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18755), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [589291] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8946), 1,
      anon_sym_do,
    ACTIONS(8948), 1,
      anon_sym_PIPE,
    ACTIONS(15373), 1,
      anon_sym_COMMA,
    ACTIONS(15375), 1,
      anon_sym_SEMI,
    ACTIONS(15377), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15379), 1,
      sym_pow_operator,
    ACTIONS(15381), 1,
      sym_mult_operator,
    ACTIONS(15383), 1,
      sym_concat_operator,
    ACTIONS(15385), 1,
      sym_rel_operator,
    ACTIONS(15387), 1,
      sym_and_operator,
    ACTIONS(15389), 1,
      sym_or_operator,
    ACTIONS(15391), 1,
      sym_assign_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(12196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589346] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15393), 1,
      anon_sym_DQUOTE,
    STATE(12197), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(17483), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [589387] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15395), 1,
      anon_sym_RBRACK,
    ACTIONS(15397), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12198), 1,
      sym_attribute,
    STATE(14968), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589442] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15399), 1,
      anon_sym_DQUOTE,
    STATE(12199), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18790), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [589483] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15401), 1,
      anon_sym_DQUOTE,
    STATE(12200), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(19517), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [589524] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15405), 1,
      sym_pow_operator,
    ACTIONS(15407), 1,
      sym_mult_operator,
    ACTIONS(15409), 1,
      sym_concat_operator,
    ACTIONS(15411), 1,
      sym_rel_operator,
    ACTIONS(15413), 1,
      sym_and_operator,
    ACTIONS(15415), 1,
      sym_or_operator,
    STATE(1926), 1,
      sym_add_operator,
    STATE(12201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [589571] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15417), 1,
      anon_sym_DQUOTE,
    STATE(12202), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18835), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [589612] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15419), 1,
      anon_sym_RBRACK,
    ACTIONS(15421), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12203), 1,
      sym_attribute,
    STATE(16294), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589667] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15023), 1,
      anon_sym_COMMA,
    ACTIONS(15025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15027), 1,
      sym_pow_operator,
    ACTIONS(15029), 1,
      sym_mult_operator,
    ACTIONS(15031), 1,
      sym_concat_operator,
    ACTIONS(15033), 1,
      sym_rel_operator,
    ACTIONS(15035), 1,
      sym_and_operator,
    ACTIONS(15037), 1,
      sym_or_operator,
    ACTIONS(15039), 1,
      sym_assign_operator,
    STATE(1859), 1,
      sym_add_operator,
    STATE(12204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [589718] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15423), 1,
      anon_sym_SEMI,
    ACTIONS(15425), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12205), 1,
      sym_attribute,
    STATE(14982), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589773] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15427), 1,
      anon_sym_DQUOTE,
    STATE(12206), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18878), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [589814] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15429), 1,
      anon_sym_SEMI,
    ACTIONS(15431), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12207), 1,
      sym_attribute,
    STATE(16318), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589869] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15405), 1,
      sym_pow_operator,
    ACTIONS(15407), 1,
      sym_mult_operator,
    STATE(1926), 1,
      sym_add_operator,
    STATE(12208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [589910] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15250), 1,
      sym_pow_operator,
    ACTIONS(15252), 1,
      sym_mult_operator,
    ACTIONS(15254), 1,
      sym_concat_operator,
    ACTIONS(15256), 1,
      sym_rel_operator,
    ACTIONS(15258), 1,
      sym_and_operator,
    ACTIONS(15260), 1,
      sym_or_operator,
    ACTIONS(15284), 1,
      anon_sym_COMMA,
    ACTIONS(15286), 1,
      sym_assign_operator,
    ACTIONS(15433), 1,
      anon_sym_SEMI,
    STATE(1898), 1,
      sym_add_operator,
    STATE(12209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [589963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15435), 1,
      anon_sym_let,
    STATE(12210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10406), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589994] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15405), 1,
      sym_pow_operator,
    STATE(1926), 1,
      sym_add_operator,
    STATE(12211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [590029] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15405), 1,
      sym_pow_operator,
    STATE(1926), 1,
      sym_add_operator,
    STATE(12212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [590064] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15405), 1,
      sym_pow_operator,
    ACTIONS(15407), 1,
      sym_mult_operator,
    ACTIONS(15409), 1,
      sym_concat_operator,
    STATE(1926), 1,
      sym_add_operator,
    STATE(12213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [590107] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15405), 1,
      sym_pow_operator,
    ACTIONS(15407), 1,
      sym_mult_operator,
    ACTIONS(15409), 1,
      sym_concat_operator,
    STATE(1926), 1,
      sym_add_operator,
    STATE(12214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [590150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14747), 1,
      anon_sym_let,
    STATE(12215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14745), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8250), 1,
      anon_sym_let,
    STATE(12216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590212] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      sym_or_operator,
    ACTIONS(15403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15405), 1,
      sym_pow_operator,
    ACTIONS(15407), 1,
      sym_mult_operator,
    ACTIONS(15409), 1,
      sym_concat_operator,
    ACTIONS(15411), 1,
      sym_rel_operator,
    ACTIONS(15413), 1,
      sym_and_operator,
    STATE(1926), 1,
      sym_add_operator,
    STATE(12217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [590259] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15405), 1,
      sym_pow_operator,
    ACTIONS(15407), 1,
      sym_mult_operator,
    ACTIONS(15409), 1,
      sym_concat_operator,
    ACTIONS(15411), 1,
      sym_rel_operator,
    ACTIONS(15413), 1,
      sym_and_operator,
    ACTIONS(15415), 1,
      sym_or_operator,
    STATE(1926), 1,
      sym_add_operator,
    STATE(12218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [590306] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15405), 1,
      sym_pow_operator,
    ACTIONS(15407), 1,
      sym_mult_operator,
    ACTIONS(15409), 1,
      sym_concat_operator,
    ACTIONS(15411), 1,
      sym_rel_operator,
    ACTIONS(15413), 1,
      sym_and_operator,
    ACTIONS(15415), 1,
      sym_or_operator,
    ACTIONS(15437), 1,
      anon_sym_COMMA,
    ACTIONS(15439), 1,
      sym_assign_operator,
    STATE(1926), 1,
      sym_add_operator,
    STATE(12219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [590357] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15119), 1,
      sym_pow_operator,
    ACTIONS(15121), 1,
      sym_mult_operator,
    ACTIONS(15123), 1,
      sym_concat_operator,
    ACTIONS(15125), 1,
      sym_rel_operator,
    ACTIONS(15127), 1,
      sym_and_operator,
    ACTIONS(15129), 1,
      sym_or_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [590404] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15441), 1,
      anon_sym_DQUOTE,
    STATE(12221), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18241), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [590445] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15405), 1,
      sym_pow_operator,
    ACTIONS(15407), 1,
      sym_mult_operator,
    STATE(1926), 1,
      sym_add_operator,
    STATE(12222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [590482] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15405), 1,
      sym_pow_operator,
    ACTIONS(15407), 1,
      sym_mult_operator,
    ACTIONS(15409), 1,
      sym_concat_operator,
    ACTIONS(15411), 1,
      sym_rel_operator,
    ACTIONS(15413), 1,
      sym_and_operator,
    ACTIONS(15415), 1,
      sym_or_operator,
    ACTIONS(15437), 1,
      anon_sym_COMMA,
    ACTIONS(15439), 1,
      sym_assign_operator,
    STATE(1926), 1,
      sym_add_operator,
    STATE(12223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [590533] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15443), 1,
      anon_sym_SEMI,
    ACTIONS(15445), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12224), 1,
      sym_attribute,
    STATE(15559), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590588] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15119), 1,
      sym_pow_operator,
    ACTIONS(15121), 1,
      sym_mult_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [590629] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15447), 1,
      anon_sym_DQUOTE,
    STATE(12226), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(20329), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [590670] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15288), 1,
      anon_sym_LPAREN,
    STATE(12227), 1,
      sym_attribute,
    STATE(13100), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13104), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10572), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [590709] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15449), 1,
      anon_sym_RBRACK,
    ACTIONS(15451), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12228), 1,
      sym_attribute,
    STATE(15094), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590764] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15453), 1,
      anon_sym_SEMI,
    ACTIONS(15455), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12229), 1,
      sym_attribute,
    STATE(15107), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590819] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15457), 1,
      anon_sym_RBRACK,
    ACTIONS(15459), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12230), 1,
      sym_attribute,
    STATE(16041), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590874] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15119), 1,
      sym_pow_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [590909] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15139), 1,
      sym_pow_operator,
    STATE(1815), 1,
      sym_add_operator,
    STATE(12232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [590944] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15119), 1,
      sym_pow_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [590979] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15461), 1,
      anon_sym_else,
    STATE(7759), 1,
      sym_else_clause,
    STATE(12234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591014] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15463), 1,
      anon_sym_DQUOTE,
    STATE(12235), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18669), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [591055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8228), 1,
      anon_sym_let,
    STATE(12236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591086] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15465), 1,
      anon_sym_else,
    STATE(7779), 1,
      sym_else_clause,
    STATE(12237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591121] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15467), 1,
      anon_sym_RBRACK,
    ACTIONS(15469), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12238), 1,
      sym_attribute,
    STATE(15594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [591176] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15471), 1,
      anon_sym_SEMI,
    ACTIONS(15473), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12239), 1,
      sym_attribute,
    STATE(15601), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [591231] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15139), 1,
      sym_pow_operator,
    ACTIONS(15141), 1,
      sym_mult_operator,
    ACTIONS(15143), 1,
      sym_concat_operator,
    STATE(1815), 1,
      sym_add_operator,
    STATE(12240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [591274] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11929), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15475), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12241), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11927), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [591307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7850), 1,
      anon_sym_let,
    STATE(12242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591338] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15478), 1,
      anon_sym_SEMI,
    ACTIONS(15480), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12243), 1,
      sym_attribute,
    STATE(15205), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [591393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8232), 1,
      anon_sym_let,
    STATE(12244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591424] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15119), 1,
      sym_pow_operator,
    ACTIONS(15121), 1,
      sym_mult_operator,
    ACTIONS(15123), 1,
      sym_concat_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [591467] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15405), 1,
      sym_pow_operator,
    ACTIONS(15407), 1,
      sym_mult_operator,
    ACTIONS(15409), 1,
      sym_concat_operator,
    ACTIONS(15411), 1,
      sym_rel_operator,
    ACTIONS(15413), 1,
      sym_and_operator,
    ACTIONS(15415), 1,
      sym_or_operator,
    ACTIONS(15437), 1,
      anon_sym_COMMA,
    ACTIONS(15439), 1,
      sym_assign_operator,
    STATE(1926), 1,
      sym_add_operator,
    STATE(12246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10141), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [591518] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15405), 1,
      sym_pow_operator,
    ACTIONS(15407), 1,
      sym_mult_operator,
    ACTIONS(15409), 1,
      sym_concat_operator,
    ACTIONS(15411), 1,
      sym_rel_operator,
    ACTIONS(15413), 1,
      sym_and_operator,
    ACTIONS(15415), 1,
      sym_or_operator,
    ACTIONS(15437), 1,
      anon_sym_COMMA,
    ACTIONS(15439), 1,
      sym_assign_operator,
    STATE(1926), 1,
      sym_add_operator,
    STATE(12247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [591569] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15119), 1,
      sym_pow_operator,
    ACTIONS(15121), 1,
      sym_mult_operator,
    ACTIONS(15123), 1,
      sym_concat_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [591612] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1898), 1,
      sym_add_operator,
    STATE(12249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591645] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15482), 1,
      anon_sym_DQUOTE,
    STATE(12250), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(17574), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [591686] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1926), 1,
      sym_add_operator,
    STATE(12251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591719] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15465), 1,
      anon_sym_else,
    STATE(7759), 1,
      sym_else_clause,
    STATE(12252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591754] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15484), 1,
      anon_sym_PIPE,
    STATE(12253), 1,
      sym_attribute,
    STATE(12255), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591789] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15484), 1,
      anon_sym_PIPE,
    STATE(12254), 1,
      sym_attribute,
    STATE(12256), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591824] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15484), 1,
      anon_sym_PIPE,
    STATE(12255), 1,
      sym_attribute,
    STATE(12425), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591859] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15484), 1,
      anon_sym_PIPE,
    STATE(12256), 1,
      sym_attribute,
    STATE(12425), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591894] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10133), 1,
      anon_sym_PIPE,
    ACTIONS(15053), 1,
      anon_sym_COMMA,
    ACTIONS(15057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15059), 1,
      sym_pow_operator,
    ACTIONS(15061), 1,
      sym_mult_operator,
    ACTIONS(15063), 1,
      sym_concat_operator,
    ACTIONS(15065), 1,
      sym_rel_operator,
    ACTIONS(15067), 1,
      sym_and_operator,
    ACTIONS(15069), 1,
      sym_or_operator,
    ACTIONS(15071), 1,
      sym_assign_operator,
    STATE(2218), 1,
      sym_add_operator,
    STATE(12257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [591947] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15294), 1,
      anon_sym_else,
    STATE(7759), 1,
      sym_else_clause,
    STATE(12258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591982] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15139), 1,
      sym_pow_operator,
    ACTIONS(15141), 1,
      sym_mult_operator,
    ACTIONS(15143), 1,
      sym_concat_operator,
    STATE(1815), 1,
      sym_add_operator,
    STATE(12259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [592025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8102), 1,
      anon_sym_let,
    STATE(12260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592056] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15486), 1,
      anon_sym_RBRACK,
    ACTIONS(15488), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12261), 1,
      sym_attribute,
    STATE(15076), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [592111] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(15019), 1,
      anon_sym_DASH_GT,
    ACTIONS(15228), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15226), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [592146] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15405), 1,
      sym_pow_operator,
    ACTIONS(15407), 1,
      sym_mult_operator,
    ACTIONS(15409), 1,
      sym_concat_operator,
    ACTIONS(15411), 1,
      sym_rel_operator,
    ACTIONS(15413), 1,
      sym_and_operator,
    ACTIONS(15415), 1,
      sym_or_operator,
    ACTIONS(15437), 1,
      anon_sym_COMMA,
    ACTIONS(15439), 1,
      sym_assign_operator,
    ACTIONS(15490), 1,
      anon_sym_SEMI,
    STATE(1926), 1,
      sym_add_operator,
    STATE(12263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [592199] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15492), 1,
      anon_sym_SEMI,
    ACTIONS(15494), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12264), 1,
      sym_attribute,
    STATE(15104), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [592254] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      sym_or_operator,
    ACTIONS(15117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15119), 1,
      sym_pow_operator,
    ACTIONS(15121), 1,
      sym_mult_operator,
    ACTIONS(15123), 1,
      sym_concat_operator,
    ACTIONS(15125), 1,
      sym_rel_operator,
    ACTIONS(15127), 1,
      sym_and_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [592301] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15051), 1,
      anon_sym_PIPE,
    STATE(12266), 1,
      sym_attribute,
    STATE(12275), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [592336] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10219), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10217), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [592367] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15496), 1,
      anon_sym_DQUOTE,
    STATE(12268), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(17971), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [592408] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15498), 1,
      anon_sym_RBRACK,
    ACTIONS(15500), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12269), 1,
      sym_attribute,
    STATE(15292), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [592463] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1831), 1,
      sym_add_operator,
    STATE(12270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [592496] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15502), 1,
      anon_sym_SEMI,
    ACTIONS(15504), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12271), 1,
      sym_attribute,
    STATE(15319), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [592551] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15506), 1,
      anon_sym_DQUOTE,
    STATE(12272), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(19444), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [592592] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15139), 1,
      sym_pow_operator,
    ACTIONS(15141), 1,
      sym_mult_operator,
    ACTIONS(15143), 1,
      sym_concat_operator,
    ACTIONS(15145), 1,
      sym_rel_operator,
    ACTIONS(15147), 1,
      sym_and_operator,
    STATE(1815), 1,
      sym_add_operator,
    STATE(12273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [592639] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15119), 1,
      sym_pow_operator,
    ACTIONS(15121), 1,
      sym_mult_operator,
    ACTIONS(15123), 1,
      sym_concat_operator,
    ACTIONS(15125), 1,
      sym_rel_operator,
    ACTIONS(15127), 1,
      sym_and_operator,
    ACTIONS(15129), 1,
      sym_or_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [592686] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15508), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12275), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [592719] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15113), 1,
      anon_sym_COMMA,
    ACTIONS(15117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15119), 1,
      sym_pow_operator,
    ACTIONS(15121), 1,
      sym_mult_operator,
    ACTIONS(15123), 1,
      sym_concat_operator,
    ACTIONS(15125), 1,
      sym_rel_operator,
    ACTIONS(15127), 1,
      sym_and_operator,
    ACTIONS(15129), 1,
      sym_or_operator,
    ACTIONS(15131), 1,
      sym_assign_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [592770] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15119), 1,
      sym_pow_operator,
    ACTIONS(15121), 1,
      sym_mult_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [592807] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15113), 1,
      anon_sym_COMMA,
    ACTIONS(15117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15119), 1,
      sym_pow_operator,
    ACTIONS(15121), 1,
      sym_mult_operator,
    ACTIONS(15123), 1,
      sym_concat_operator,
    ACTIONS(15125), 1,
      sym_rel_operator,
    ACTIONS(15127), 1,
      sym_and_operator,
    ACTIONS(15129), 1,
      sym_or_operator,
    ACTIONS(15131), 1,
      sym_assign_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10131), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [592858] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15511), 1,
      anon_sym_RBRACK,
    ACTIONS(15513), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12279), 1,
      sym_attribute,
    STATE(15498), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [592913] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8946), 1,
      anon_sym_then,
    ACTIONS(8948), 1,
      anon_sym_PIPE,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15107), 1,
      sym_rel_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15173), 1,
      anon_sym_COMMA,
    ACTIONS(15175), 1,
      sym_assign_operator,
    ACTIONS(15515), 1,
      anon_sym_SEMI,
    STATE(1785), 1,
      sym_add_operator,
    STATE(12280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [592968] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15517), 1,
      anon_sym_RBRACK,
    ACTIONS(15519), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12281), 1,
      sym_attribute,
    STATE(14965), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [593023] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15521), 1,
      anon_sym_SEMI,
    ACTIONS(15523), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12282), 1,
      sym_attribute,
    STATE(14979), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [593078] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15525), 1,
      anon_sym_DQUOTE,
    STATE(12283), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(19991), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [593119] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15527), 1,
      anon_sym_DQUOTE,
    STATE(12284), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(17526), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [593160] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15529), 1,
      anon_sym_RBRACK,
    ACTIONS(15531), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12285), 1,
      sym_attribute,
    STATE(15472), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [593215] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15533), 1,
      anon_sym_SEMI,
    ACTIONS(15535), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12286), 1,
      sym_attribute,
    STATE(15480), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [593270] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10227), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10225), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [593301] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15539), 1,
      anon_sym_let,
    ACTIONS(15541), 1,
      anon_sym_in,
    STATE(12288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15537), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593334] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_PIPE,
    ACTIONS(15083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15085), 1,
      sym_pow_operator,
    ACTIONS(15087), 1,
      sym_mult_operator,
    ACTIONS(15089), 1,
      sym_concat_operator,
    ACTIONS(15091), 1,
      sym_rel_operator,
    ACTIONS(15093), 1,
      sym_and_operator,
    ACTIONS(15095), 1,
      sym_or_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(12289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [593383] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15543), 1,
      anon_sym_else,
    STATE(7779), 1,
      sym_else_clause,
    STATE(12290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [593418] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14980), 1,
      anon_sym_COLON2,
    ACTIONS(15545), 1,
      anon_sym_COLON_GT,
    ACTIONS(15547), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12291), 1,
      sym_attribute,
    STATE(12693), 1,
      sym__typed,
    STATE(12813), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15549), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [593461] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15551), 1,
      anon_sym_DQUOTE,
    STATE(12292), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(19201), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [593502] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(14992), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15019), 1,
      anon_sym_DASH_GT,
    STATE(12293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14988), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [593537] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15553), 1,
      anon_sym_DQUOTE,
    STATE(12294), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(20292), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [593578] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15555), 1,
      anon_sym_RBRACK,
    ACTIONS(15557), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12295), 1,
      sym_attribute,
    STATE(15819), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [593633] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15085), 1,
      sym_pow_operator,
    ACTIONS(15087), 1,
      sym_mult_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(12296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [593674] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15559), 1,
      anon_sym_RBRACK,
    ACTIONS(15561), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12297), 1,
      sym_attribute,
    STATE(15101), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [593729] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_PIPE,
    ACTIONS(15377), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15379), 1,
      sym_pow_operator,
    ACTIONS(15381), 1,
      sym_mult_operator,
    ACTIONS(15383), 1,
      sym_concat_operator,
    ACTIONS(15385), 1,
      sym_rel_operator,
    ACTIONS(15387), 1,
      sym_and_operator,
    ACTIONS(15389), 1,
      sym_or_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(12298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [593778] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15563), 1,
      anon_sym_SEMI,
    ACTIONS(15565), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12299), 1,
      sym_attribute,
    STATE(15828), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [593833] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15567), 1,
      anon_sym_DQUOTE,
    STATE(12300), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(20345), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [593874] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15569), 1,
      anon_sym_SEMI,
    ACTIONS(15571), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12301), 1,
      sym_attribute,
    STATE(15513), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [593929] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15377), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15379), 1,
      sym_pow_operator,
    ACTIONS(15381), 1,
      sym_mult_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(12302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [593970] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15573), 1,
      anon_sym_DQUOTE,
    STATE(12303), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(17905), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [594011] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15379), 1,
      sym_pow_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(12304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [594046] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15379), 1,
      sym_pow_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(12305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [594081] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15575), 1,
      anon_sym_RBRACK,
    ACTIONS(15577), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12306), 1,
      sym_attribute,
    STATE(15635), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594136] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15377), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15379), 1,
      sym_pow_operator,
    ACTIONS(15381), 1,
      sym_mult_operator,
    ACTIONS(15383), 1,
      sym_concat_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(12307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [594179] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15579), 1,
      anon_sym_SEMI,
    ACTIONS(15581), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12308), 1,
      sym_attribute,
    STATE(15650), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594234] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15085), 1,
      sym_pow_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(12309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [594269] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15583), 1,
      anon_sym_SEMI,
    ACTIONS(15585), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12310), 1,
      sym_attribute,
    STATE(16097), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594324] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15377), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15379), 1,
      sym_pow_operator,
    ACTIONS(15381), 1,
      sym_mult_operator,
    ACTIONS(15383), 1,
      sym_concat_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(12311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [594367] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15377), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15379), 1,
      sym_pow_operator,
    ACTIONS(15381), 1,
      sym_mult_operator,
    ACTIONS(15383), 1,
      sym_concat_operator,
    ACTIONS(15385), 1,
      sym_rel_operator,
    ACTIONS(15387), 1,
      sym_and_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(12312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [594414] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(15377), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15379), 1,
      sym_pow_operator,
    ACTIONS(15381), 1,
      sym_mult_operator,
    ACTIONS(15383), 1,
      sym_concat_operator,
    ACTIONS(15385), 1,
      sym_rel_operator,
    ACTIONS(15387), 1,
      sym_and_operator,
    ACTIONS(15389), 1,
      sym_or_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(12313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [594463] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15587), 1,
      anon_sym_SEMI,
    ACTIONS(15589), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12314), 1,
      sym_attribute,
    STATE(15153), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594518] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(15373), 1,
      anon_sym_COMMA,
    ACTIONS(15377), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15379), 1,
      sym_pow_operator,
    ACTIONS(15381), 1,
      sym_mult_operator,
    ACTIONS(15383), 1,
      sym_concat_operator,
    ACTIONS(15385), 1,
      sym_rel_operator,
    ACTIONS(15387), 1,
      sym_and_operator,
    ACTIONS(15389), 1,
      sym_or_operator,
    ACTIONS(15391), 1,
      sym_assign_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(12315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594571] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15591), 1,
      anon_sym_DQUOTE,
    STATE(12316), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(19061), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [594612] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15379), 1,
      sym_pow_operator,
    ACTIONS(15381), 1,
      sym_mult_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(12317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [594649] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15593), 1,
      anon_sym_RBRACK,
    ACTIONS(15595), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12318), 1,
      sym_attribute,
    STATE(15852), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594704] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10133), 1,
      anon_sym_PIPE,
    ACTIONS(15373), 1,
      anon_sym_COMMA,
    ACTIONS(15377), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15379), 1,
      sym_pow_operator,
    ACTIONS(15381), 1,
      sym_mult_operator,
    ACTIONS(15383), 1,
      sym_concat_operator,
    ACTIONS(15385), 1,
      sym_rel_operator,
    ACTIONS(15387), 1,
      sym_and_operator,
    ACTIONS(15389), 1,
      sym_or_operator,
    ACTIONS(15391), 1,
      sym_assign_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(12319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594757] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15597), 1,
      anon_sym_SEMI,
    ACTIONS(15599), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12320), 1,
      sym_attribute,
    STATE(15892), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15539), 1,
      anon_sym_let,
    STATE(12321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15537), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594843] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15085), 1,
      sym_pow_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(12322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [594878] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15085), 1,
      sym_pow_operator,
    ACTIONS(15087), 1,
      sym_mult_operator,
    ACTIONS(15089), 1,
      sym_concat_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(12323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [594921] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11156), 1,
      anon_sym_COLON2,
    STATE(12324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9004), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [594954] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15085), 1,
      sym_pow_operator,
    ACTIONS(15087), 1,
      sym_mult_operator,
    ACTIONS(15089), 1,
      sym_concat_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(12325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [594997] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15601), 1,
      anon_sym_DQUOTE,
    STATE(12326), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(17490), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [595038] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15603), 1,
      anon_sym_DQUOTE,
    STATE(12327), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(17769), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [595079] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15539), 1,
      anon_sym_let,
    ACTIONS(15605), 1,
      anon_sym_in,
    STATE(12328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15537), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595112] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15085), 1,
      sym_pow_operator,
    ACTIONS(15087), 1,
      sym_mult_operator,
    ACTIONS(15089), 1,
      sym_concat_operator,
    ACTIONS(15091), 1,
      sym_rel_operator,
    ACTIONS(15093), 1,
      sym_and_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(12329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [595159] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15607), 1,
      anon_sym_RBRACK,
    ACTIONS(15609), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12330), 1,
      sym_attribute,
    STATE(16118), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [595214] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14980), 1,
      anon_sym_COLON2,
    ACTIONS(15611), 1,
      anon_sym_COLON_GT,
    ACTIONS(15613), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12331), 1,
      sym_attribute,
    STATE(12668), 1,
      sym__typed,
    STATE(12876), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15615), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595257] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10143), 1,
      anon_sym_PIPE,
    ACTIONS(15373), 1,
      anon_sym_COMMA,
    ACTIONS(15377), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15379), 1,
      sym_pow_operator,
    ACTIONS(15381), 1,
      sym_mult_operator,
    ACTIONS(15383), 1,
      sym_concat_operator,
    ACTIONS(15385), 1,
      sym_rel_operator,
    ACTIONS(15387), 1,
      sym_and_operator,
    ACTIONS(15389), 1,
      sym_or_operator,
    ACTIONS(15391), 1,
      sym_assign_operator,
    STATE(1800), 1,
      sym_add_operator,
    STATE(12332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10141), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [595310] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15617), 1,
      anon_sym_RBRACK,
    ACTIONS(15619), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12333), 1,
      sym_attribute,
    STATE(15237), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [595365] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15621), 1,
      anon_sym_PIPE,
    STATE(12334), 1,
      sym_attribute,
    STATE(12366), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [595400] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15623), 1,
      anon_sym_DQUOTE,
    STATE(12335), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(19474), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [595441] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15625), 1,
      anon_sym_SEMI,
    ACTIONS(15627), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12336), 1,
      sym_attribute,
    STATE(14991), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [595496] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15629), 1,
      anon_sym_RBRACK,
    ACTIONS(15631), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12337), 1,
      sym_attribute,
    STATE(15395), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [595551] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15633), 1,
      anon_sym_SEMI,
    ACTIONS(15635), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12338), 1,
      sym_attribute,
    STATE(15305), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [595606] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15637), 1,
      anon_sym_DQUOTE,
    STATE(12339), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(17846), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [595647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8200), 1,
      anon_sym_let,
    STATE(12340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595678] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15359), 1,
      anon_sym_PIPE,
    STATE(12341), 1,
      sym_attribute,
    STATE(12375), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [595713] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15639), 1,
      anon_sym_RBRACK,
    ACTIONS(15641), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12342), 1,
      sym_attribute,
    STATE(15339), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [595768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7900), 1,
      anon_sym_let,
    STATE(12343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595799] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15643), 1,
      anon_sym_SEMI,
    ACTIONS(15645), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12344), 1,
      sym_attribute,
    STATE(15269), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [595854] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15041), 1,
      anon_sym_else,
    STATE(7759), 1,
      sym_else_clause,
    STATE(12345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [595889] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15647), 1,
      anon_sym_DQUOTE,
    STATE(12346), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(19463), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [595930] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(15083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15085), 1,
      sym_pow_operator,
    ACTIONS(15087), 1,
      sym_mult_operator,
    ACTIONS(15089), 1,
      sym_concat_operator,
    ACTIONS(15091), 1,
      sym_rel_operator,
    ACTIONS(15093), 1,
      sym_and_operator,
    ACTIONS(15095), 1,
      sym_or_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(12347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [595979] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15649), 1,
      anon_sym_RBRACK,
    ACTIONS(15651), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12348), 1,
      sym_attribute,
    STATE(16034), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [596034] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15359), 1,
      anon_sym_PIPE,
    STATE(12054), 1,
      aux_sym__match_cases_repeat1,
    STATE(12349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [596069] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15653), 1,
      anon_sym_RBRACK,
    ACTIONS(15655), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12350), 1,
      sym_attribute,
    STATE(15955), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [596124] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15657), 1,
      anon_sym_RBRACK,
    ACTIONS(15659), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12351), 1,
      sym_attribute,
    STATE(15489), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [596179] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15661), 1,
      anon_sym_SEMI,
    ACTIONS(15663), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12352), 1,
      sym_attribute,
    STATE(15964), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [596234] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15113), 1,
      anon_sym_COMMA,
    ACTIONS(15117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15119), 1,
      sym_pow_operator,
    ACTIONS(15121), 1,
      sym_mult_operator,
    ACTIONS(15123), 1,
      sym_concat_operator,
    ACTIONS(15125), 1,
      sym_rel_operator,
    ACTIONS(15127), 1,
      sym_and_operator,
    ACTIONS(15129), 1,
      sym_or_operator,
    ACTIONS(15131), 1,
      sym_assign_operator,
    STATE(2328), 1,
      sym_add_operator,
    STATE(12353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [596285] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15665), 1,
      anon_sym_SEMI,
    ACTIONS(15667), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12354), 1,
      sym_attribute,
    STATE(16048), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [596340] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [596373] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15461), 1,
      anon_sym_else,
    STATE(7779), 1,
      sym_else_clause,
    STATE(12356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10137), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10135), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [596408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8094), 1,
      anon_sym_let,
    STATE(12357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596439] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15669), 1,
      anon_sym_SEMI,
    ACTIONS(15671), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12358), 1,
      sym_attribute,
    STATE(15211), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [596494] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1859), 1,
      sym_add_operator,
    STATE(12359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [596527] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15673), 1,
      anon_sym_DQUOTE,
    STATE(12360), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(17518), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [596568] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15675), 1,
      anon_sym_DQUOTE,
    STATE(12361), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(19800), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [596609] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15369), 1,
      anon_sym_else,
    STATE(7759), 1,
      sym_else_clause,
    STATE(12362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [596644] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15677), 1,
      anon_sym_RBRACK,
    ACTIONS(15679), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12363), 1,
      sym_attribute,
    STATE(15368), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [596699] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15681), 1,
      anon_sym_SEMI,
    ACTIONS(15683), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12364), 1,
      sym_attribute,
    STATE(15753), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [596754] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15621), 1,
      anon_sym_PIPE,
    STATE(12365), 1,
      sym_attribute,
    STATE(12392), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [596789] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15621), 1,
      anon_sym_PIPE,
    STATE(12366), 1,
      sym_attribute,
    STATE(12393), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [596824] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12314), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14990), 1,
      anon_sym_DASH_GT,
    STATE(12367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12312), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596857] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_PIPE,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [596906] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [596947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8210), 1,
      anon_sym_let,
    STATE(12370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596978] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15051), 1,
      anon_sym_PIPE,
    STATE(12061), 1,
      aux_sym__match_cases_repeat1,
    STATE(12371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597013] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15002), 1,
      sym_pow_operator,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [597048] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15002), 1,
      sym_pow_operator,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [597083] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_rel_operator,
      sym_assign_operator,
  [597126] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15359), 1,
      anon_sym_PIPE,
    STATE(12054), 1,
      aux_sym__match_cases_repeat1,
    STATE(12375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597161] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_rel_operator,
      sym_assign_operator,
  [597204] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [597251] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15685), 1,
      anon_sym_DQUOTE,
    STATE(12378), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(20265), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [597292] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14711), 1,
      sym_pow_operator,
    ACTIONS(14713), 1,
      sym_mult_operator,
    ACTIONS(14854), 1,
      anon_sym_COMMA,
    ACTIONS(14856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14858), 1,
      sym_concat_operator,
    ACTIONS(14860), 1,
      sym_rel_operator,
    ACTIONS(14862), 1,
      sym_and_operator,
    ACTIONS(14864), 1,
      sym_or_operator,
    ACTIONS(14866), 1,
      sym_assign_operator,
    ACTIONS(15687), 1,
      anon_sym_SEMI,
    STATE(2259), 1,
      sym_add_operator,
    STATE(12379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [597345] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15689), 1,
      anon_sym_RBRACK,
    ACTIONS(15691), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12380), 1,
      sym_attribute,
    STATE(15212), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [597400] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [597449] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [597502] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597539] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10133), 1,
      anon_sym_PIPE,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [597592] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15693), 1,
      anon_sym_SEMI,
    ACTIONS(15695), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12385), 1,
      sym_attribute,
    STATE(15345), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [597647] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15543), 1,
      anon_sym_else,
    STATE(7759), 1,
      sym_else_clause,
    STATE(12386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597682] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15697), 1,
      anon_sym_PIPE,
    STATE(12387), 1,
      sym_attribute,
    STATE(12389), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10168), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10166), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597717] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15697), 1,
      anon_sym_PIPE,
    STATE(12388), 1,
      sym_attribute,
    STATE(12390), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597752] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15697), 1,
      anon_sym_PIPE,
    STATE(12389), 1,
      sym_attribute,
    STATE(12391), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10147), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10145), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597787] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15697), 1,
      anon_sym_PIPE,
    STATE(12390), 1,
      sym_attribute,
    STATE(12391), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597822] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15699), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12391), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597855] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15621), 1,
      anon_sym_PIPE,
    STATE(12392), 1,
      sym_attribute,
    STATE(12393), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597890] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15702), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12393), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597923] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10143), 1,
      anon_sym_PIPE,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10141), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [597976] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(15081), 1,
      anon_sym_COMMA,
    ACTIONS(15083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15085), 1,
      sym_pow_operator,
    ACTIONS(15087), 1,
      sym_mult_operator,
    ACTIONS(15089), 1,
      sym_concat_operator,
    ACTIONS(15091), 1,
      sym_rel_operator,
    ACTIONS(15093), 1,
      sym_and_operator,
    ACTIONS(15095), 1,
      sym_or_operator,
    ACTIONS(15097), 1,
      sym_assign_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(12395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598029] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15705), 1,
      anon_sym_DQUOTE,
    STATE(12396), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(18946), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [598070] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15085), 1,
      sym_pow_operator,
    ACTIONS(15087), 1,
      sym_mult_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(12397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598107] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15707), 1,
      anon_sym_RBRACK,
    ACTIONS(15709), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12398), 1,
      sym_attribute,
    STATE(15126), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598162] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15248), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15250), 1,
      sym_pow_operator,
    ACTIONS(15252), 1,
      sym_mult_operator,
    ACTIONS(15254), 1,
      sym_concat_operator,
    ACTIONS(15256), 1,
      sym_rel_operator,
    ACTIONS(15258), 1,
      sym_and_operator,
    ACTIONS(15260), 1,
      sym_or_operator,
    ACTIONS(15284), 1,
      anon_sym_COMMA,
    ACTIONS(15286), 1,
      sym_assign_operator,
    STATE(1898), 1,
      sym_add_operator,
    STATE(12399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10185), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [598213] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15711), 1,
      anon_sym_DQUOTE,
    STATE(12400), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(19834), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [598254] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15713), 1,
      anon_sym_SEMI,
    ACTIONS(15715), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12401), 1,
      sym_attribute,
    STATE(15135), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598309] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15717), 1,
      anon_sym_RBRACK,
    ACTIONS(15719), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12402), 1,
      sym_attribute,
    STATE(16147), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598364] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15721), 1,
      anon_sym_SEMI,
    ACTIONS(15723), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12403), 1,
      sym_attribute,
    STATE(16156), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598419] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10143), 1,
      anon_sym_PIPE,
    ACTIONS(15133), 1,
      anon_sym_COMMA,
    ACTIONS(15137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15139), 1,
      sym_pow_operator,
    ACTIONS(15141), 1,
      sym_mult_operator,
    ACTIONS(15143), 1,
      sym_concat_operator,
    ACTIONS(15145), 1,
      sym_rel_operator,
    ACTIONS(15147), 1,
      sym_and_operator,
    ACTIONS(15149), 1,
      sym_or_operator,
    ACTIONS(15151), 1,
      sym_assign_operator,
    STATE(1815), 1,
      sym_add_operator,
    STATE(12404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10141), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598472] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(15019), 1,
      anon_sym_DASH_GT,
    ACTIONS(15224), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15222), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [598507] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(15725), 1,
      anon_sym_RBRACK,
    ACTIONS(15727), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12406), 1,
      sym_attribute,
    STATE(15890), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598562] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598593] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10133), 1,
      anon_sym_PIPE,
    ACTIONS(15081), 1,
      anon_sym_COMMA,
    ACTIONS(15083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15085), 1,
      sym_pow_operator,
    ACTIONS(15087), 1,
      sym_mult_operator,
    ACTIONS(15089), 1,
      sym_concat_operator,
    ACTIONS(15091), 1,
      sym_rel_operator,
    ACTIONS(15093), 1,
      sym_and_operator,
    ACTIONS(15095), 1,
      sym_or_operator,
    ACTIONS(15097), 1,
      sym_assign_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(12408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598646] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    ACTIONS(15729), 1,
      anon_sym_SEMI,
    ACTIONS(15731), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12409), 1,
      sym_attribute,
    STATE(15924), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598701] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1815), 1,
      sym_add_operator,
    STATE(12410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598734] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15733), 1,
      anon_sym_DQUOTE,
    STATE(12411), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_string_content_repeat1,
    STATE(12769), 1,
      sym_escape_sequence,
    STATE(17985), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [598775] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10211), 1,
      anon_sym_PIPE,
    ACTIONS(15057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15059), 1,
      sym_pow_operator,
    ACTIONS(15061), 1,
      sym_mult_operator,
    ACTIONS(15063), 1,
      sym_concat_operator,
    ACTIONS(15065), 1,
      sym_rel_operator,
    ACTIONS(15067), 1,
      sym_and_operator,
    ACTIONS(15069), 1,
      sym_or_operator,
    STATE(2218), 1,
      sym_add_operator,
    STATE(12412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [598824] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15059), 1,
      sym_pow_operator,
    ACTIONS(15061), 1,
      sym_mult_operator,
    STATE(2218), 1,
      sym_add_operator,
    STATE(12413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598865] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15059), 1,
      sym_pow_operator,
    STATE(2218), 1,
      sym_add_operator,
    STATE(12414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [598900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8254), 1,
      anon_sym_let,
    STATE(12415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8258), 1,
      anon_sym_let,
    STATE(12416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598962] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15059), 1,
      sym_pow_operator,
    STATE(2218), 1,
      sym_add_operator,
    STATE(12417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10117), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [598997] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15059), 1,
      sym_pow_operator,
    ACTIONS(15061), 1,
      sym_mult_operator,
    ACTIONS(15063), 1,
      sym_concat_operator,
    STATE(2218), 1,
      sym_add_operator,
    STATE(12418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [599040] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15059), 1,
      sym_pow_operator,
    ACTIONS(15061), 1,
      sym_mult_operator,
    ACTIONS(15063), 1,
      sym_concat_operator,
    STATE(2218), 1,
      sym_add_operator,
    STATE(12419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10117), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [599083] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15059), 1,
      sym_pow_operator,
    ACTIONS(15061), 1,
      sym_mult_operator,
    ACTIONS(15063), 1,
      sym_concat_operator,
    ACTIONS(15065), 1,
      sym_rel_operator,
    ACTIONS(15067), 1,
      sym_and_operator,
    STATE(2218), 1,
      sym_add_operator,
    STATE(12420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [599130] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(15057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15059), 1,
      sym_pow_operator,
    ACTIONS(15061), 1,
      sym_mult_operator,
    ACTIONS(15063), 1,
      sym_concat_operator,
    ACTIONS(15065), 1,
      sym_rel_operator,
    ACTIONS(15067), 1,
      sym_and_operator,
    ACTIONS(15069), 1,
      sym_or_operator,
    STATE(2218), 1,
      sym_add_operator,
    STATE(12421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [599179] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      anon_sym_PIPE,
    ACTIONS(15053), 1,
      anon_sym_COMMA,
    ACTIONS(15057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15059), 1,
      sym_pow_operator,
    ACTIONS(15061), 1,
      sym_mult_operator,
    ACTIONS(15063), 1,
      sym_concat_operator,
    ACTIONS(15065), 1,
      sym_rel_operator,
    ACTIONS(15067), 1,
      sym_and_operator,
    ACTIONS(15069), 1,
      sym_or_operator,
    ACTIONS(15071), 1,
      sym_assign_operator,
    STATE(2218), 1,
      sym_add_operator,
    STATE(12422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [599232] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15059), 1,
      sym_pow_operator,
    ACTIONS(15061), 1,
      sym_mult_operator,
    STATE(2218), 1,
      sym_add_operator,
    STATE(12423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8236), 1,
      anon_sym_let,
    STATE(12424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599300] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15735), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12425), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10157), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599333] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11262), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11264), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [599363] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15738), 1,
      anon_sym_and,
    STATE(12427), 1,
      sym_attribute,
    STATE(12653), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14631), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599395] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15740), 1,
      anon_sym_and,
    STATE(12428), 1,
      sym_attribute,
    STATE(12565), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14882), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599427] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15742), 1,
      sym_pow_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(12429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599461] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(15744), 1,
      anon_sym_EQ,
    ACTIONS(15746), 1,
      anon_sym_DASH_GT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12430), 1,
      sym_attribute,
    STATE(12973), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15748), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599501] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15750), 1,
      anon_sym_DQUOTE,
    STATE(12769), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15755), 2,
      sym__null,
      aux_sym_string_content_token2,
    STATE(12431), 2,
      sym_attribute,
      aux_sym_string_content_repeat1,
    ACTIONS(15758), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15752), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [599537] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15763), 1,
      sym_pow_operator,
    ACTIONS(15765), 1,
      sym_mult_operator,
    ACTIONS(15767), 1,
      sym_concat_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(12432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [599579] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      sym_or_operator,
    ACTIONS(15761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15763), 1,
      sym_pow_operator,
    ACTIONS(15765), 1,
      sym_mult_operator,
    ACTIONS(15767), 1,
      sym_concat_operator,
    ACTIONS(15769), 1,
      sym_rel_operator,
    ACTIONS(15771), 1,
      sym_and_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(12433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [599625] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11526), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11528), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [599655] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6853), 1,
      anon_sym_LBRACK,
    ACTIONS(6861), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6865), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15773), 1,
      sym__lowercase_identifier,
    ACTIONS(15775), 1,
      anon_sym_LPAREN,
    ACTIONS(15777), 1,
      anon_sym_LBRACE,
    ACTIONS(15779), 1,
      sym__uppercase_identifier,
    STATE(7687), 1,
      sym__constructor_name,
    STATE(7875), 1,
      sym_parenthesized_operator,
    STATE(7900), 1,
      sym__value_name,
    STATE(12435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7834), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [599703] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2467), 1,
      anon_sym_LBRACK,
    ACTIONS(2477), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2489), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15781), 1,
      sym__lowercase_identifier,
    ACTIONS(15783), 1,
      anon_sym_LPAREN,
    ACTIONS(15785), 1,
      anon_sym_LBRACE,
    ACTIONS(15787), 1,
      sym__uppercase_identifier,
    STATE(6208), 1,
      sym_parenthesized_operator,
    STATE(6430), 1,
      sym__constructor_name,
    STATE(6524), 1,
      sym__value_name,
    STATE(12436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6389), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [599751] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(71), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(91), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15789), 1,
      sym__lowercase_identifier,
    ACTIONS(15791), 1,
      anon_sym_LPAREN,
    ACTIONS(15793), 1,
      anon_sym_LBRACE,
    ACTIONS(15795), 1,
      sym__uppercase_identifier,
    STATE(4242), 1,
      sym__value_name,
    STATE(4332), 1,
      sym__constructor_name,
    STATE(4402), 1,
      sym_parenthesized_operator,
    STATE(12437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4394), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [599799] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10341), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10339), 10,
      anon_sym_rec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [599829] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15763), 1,
      sym_pow_operator,
    ACTIONS(15765), 1,
      sym_mult_operator,
    ACTIONS(15767), 1,
      sym_concat_operator,
    ACTIONS(15769), 1,
      sym_rel_operator,
    ACTIONS(15771), 1,
      sym_and_operator,
    ACTIONS(15797), 1,
      sym_or_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(12439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [599875] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15799), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [599925] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15801), 1,
      anon_sym_and,
    STATE(12441), 1,
      sym_attribute,
    STATE(12644), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14882), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599957] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15763), 1,
      sym_pow_operator,
    ACTIONS(15765), 1,
      sym_mult_operator,
    ACTIONS(15767), 1,
      sym_concat_operator,
    ACTIONS(15769), 1,
      sym_rel_operator,
    ACTIONS(15771), 1,
      sym_and_operator,
    ACTIONS(15797), 1,
      sym_or_operator,
    ACTIONS(15803), 1,
      anon_sym_COMMA,
    ACTIONS(15805), 1,
      sym_assign_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(12442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [600007] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15742), 1,
      sym_pow_operator,
    ACTIONS(15807), 1,
      anon_sym_COMMA,
    ACTIONS(15809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15811), 1,
      sym_mult_operator,
    ACTIONS(15813), 1,
      sym_concat_operator,
    ACTIONS(15815), 1,
      sym_rel_operator,
    ACTIONS(15817), 1,
      sym_and_operator,
    ACTIONS(15819), 1,
      sym_or_operator,
    ACTIONS(15821), 1,
      sym_assign_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(12443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [600057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8110), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600087] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15823), 1,
      sym__lowercase_identifier,
    ACTIONS(15825), 1,
      anon_sym_LPAREN,
    ACTIONS(15827), 1,
      anon_sym_LBRACE,
    ACTIONS(15829), 1,
      sym__uppercase_identifier,
    STATE(6732), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7335), 1,
      sym__value_name,
    STATE(12445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7333), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [600135] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11346), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11348), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [600165] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15763), 1,
      sym_pow_operator,
    ACTIONS(15765), 1,
      sym_mult_operator,
    ACTIONS(15767), 1,
      sym_concat_operator,
    ACTIONS(15769), 1,
      sym_rel_operator,
    ACTIONS(15771), 1,
      sym_and_operator,
    ACTIONS(15797), 1,
      sym_or_operator,
    ACTIONS(15803), 1,
      anon_sym_COMMA,
    ACTIONS(15805), 1,
      sym_assign_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(12447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10141), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [600215] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15763), 1,
      sym_pow_operator,
    ACTIONS(15765), 1,
      sym_mult_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(12448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600251] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15763), 1,
      sym_pow_operator,
    ACTIONS(15765), 1,
      sym_mult_operator,
    ACTIONS(15767), 1,
      sym_concat_operator,
    ACTIONS(15769), 1,
      sym_rel_operator,
    ACTIONS(15771), 1,
      sym_and_operator,
    ACTIONS(15797), 1,
      sym_or_operator,
    ACTIONS(15803), 1,
      anon_sym_COMMA,
    ACTIONS(15805), 1,
      sym_assign_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(12449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [600301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11284), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11282), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600331] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8946), 1,
      anon_sym_do,
    ACTIONS(15761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15763), 1,
      sym_pow_operator,
    ACTIONS(15765), 1,
      sym_mult_operator,
    ACTIONS(15767), 1,
      sym_concat_operator,
    ACTIONS(15769), 1,
      sym_rel_operator,
    ACTIONS(15771), 1,
      sym_and_operator,
    ACTIONS(15797), 1,
      sym_or_operator,
    ACTIONS(15803), 1,
      anon_sym_COMMA,
    ACTIONS(15805), 1,
      sym_assign_operator,
    ACTIONS(15831), 1,
      anon_sym_SEMI,
    STATE(1911), 1,
      sym_add_operator,
    STATE(12451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [600383] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(8350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(15833), 1,
      sym__lowercase_identifier,
    ACTIONS(15835), 1,
      anon_sym_let,
    ACTIONS(15837), 1,
      anon_sym_LBRACK,
    STATE(12452), 1,
      sym_attribute,
    STATE(13008), 1,
      sym__simple_class_type,
    STATE(16439), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9737), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [600429] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    ACTIONS(14922), 1,
      sym__lowercase_identifier,
    ACTIONS(15839), 1,
      anon_sym_nonrec,
    STATE(12453), 1,
      sym_attribute,
    STATE(12489), 1,
      sym_type_binding,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14581), 1,
      sym__type_params,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    STATE(20122), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [600483] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11522), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11524), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [600513] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15742), 1,
      sym_pow_operator,
    ACTIONS(15807), 1,
      anon_sym_COMMA,
    ACTIONS(15809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15811), 1,
      sym_mult_operator,
    ACTIONS(15813), 1,
      sym_concat_operator,
    ACTIONS(15815), 1,
      sym_rel_operator,
    ACTIONS(15817), 1,
      sym_and_operator,
    ACTIONS(15819), 1,
      sym_or_operator,
    ACTIONS(15821), 1,
      sym_assign_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(12455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10141), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [600563] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15841), 1,
      anon_sym_and,
    STATE(12456), 1,
      sym_attribute,
    STATE(12525), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14627), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600595] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11360), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [600625] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11416), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [600655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8122), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600685] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15841), 1,
      anon_sym_and,
    STATE(12460), 1,
      sym_attribute,
    STATE(12531), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14637), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600717] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11372), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [600747] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2041), 1,
      anon_sym_LBRACK,
    ACTIONS(2051), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2063), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15843), 1,
      sym__lowercase_identifier,
    ACTIONS(15845), 1,
      anon_sym_LPAREN,
    ACTIONS(15847), 1,
      anon_sym_LBRACE,
    ACTIONS(15849), 1,
      sym__uppercase_identifier,
    STATE(6282), 1,
      sym__constructor_name,
    STATE(6440), 1,
      sym__value_name,
    STATE(6467), 1,
      sym_parenthesized_operator,
    STATE(12462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6146), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [600795] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15833), 1,
      sym__lowercase_identifier,
    ACTIONS(15837), 1,
      anon_sym_LBRACK,
    STATE(9894), 1,
      sym__simple_class_type,
    STATE(12463), 1,
      sym_attribute,
    STATE(16439), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9737), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [600841] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15851), 1,
      anon_sym_and,
    STATE(12464), 1,
      sym_attribute,
    STATE(12473), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14637), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600873] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(707), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(729), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15853), 1,
      sym__lowercase_identifier,
    ACTIONS(15855), 1,
      anon_sym_LPAREN,
    ACTIONS(15857), 1,
      anon_sym_LBRACE,
    ACTIONS(15859), 1,
      sym__uppercase_identifier,
    STATE(3741), 1,
      sym_parenthesized_operator,
    STATE(3851), 1,
      sym__constructor_name,
    STATE(3893), 1,
      sym__value_name,
    STATE(12465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3865), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [600921] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15861), 1,
      anon_sym_COMMA,
    ACTIONS(15863), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15865), 1,
      sym_pow_operator,
    ACTIONS(15867), 1,
      sym_mult_operator,
    ACTIONS(15869), 1,
      sym_concat_operator,
    ACTIONS(15871), 1,
      sym_rel_operator,
    ACTIONS(15873), 1,
      sym_and_operator,
    ACTIONS(15875), 1,
      sym_or_operator,
    ACTIONS(15877), 1,
      sym_assign_operator,
    STATE(1882), 1,
      sym_add_operator,
    STATE(12466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10141), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [600971] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14994), 1,
      anon_sym_COMMA,
    ACTIONS(14998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15002), 1,
      sym_pow_operator,
    ACTIONS(15004), 1,
      sym_mult_operator,
    ACTIONS(15006), 1,
      sym_concat_operator,
    ACTIONS(15008), 1,
      sym_rel_operator,
    ACTIONS(15010), 1,
      sym_and_operator,
    ACTIONS(15012), 1,
      sym_or_operator,
    ACTIONS(15014), 1,
      sym_assign_operator,
    STATE(2344), 1,
      sym_add_operator,
    STATE(12467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15799), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [601021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11558), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601051] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8946), 1,
      anon_sym_end,
    ACTIONS(15879), 1,
      anon_sym_COMMA,
    ACTIONS(15881), 1,
      anon_sym_SEMI,
    ACTIONS(15883), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15885), 1,
      sym_pow_operator,
    ACTIONS(15887), 1,
      sym_mult_operator,
    ACTIONS(15889), 1,
      sym_concat_operator,
    ACTIONS(15891), 1,
      sym_rel_operator,
    ACTIONS(15893), 1,
      sym_and_operator,
    ACTIONS(15895), 1,
      sym_or_operator,
    ACTIONS(15897), 1,
      sym_assign_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(12469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [601103] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15851), 1,
      anon_sym_and,
    STATE(12470), 1,
      sym_attribute,
    STATE(12473), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14641), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601135] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1981), 1,
      sym_add_operator,
    STATE(12471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601167] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15833), 1,
      sym__lowercase_identifier,
    ACTIONS(15837), 1,
      anon_sym_LBRACK,
    STATE(10705), 1,
      sym__simple_class_type,
    STATE(12472), 1,
      sym_attribute,
    STATE(16439), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9737), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [601213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15899), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12473), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(14404), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601243] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15851), 1,
      anon_sym_and,
    STATE(12474), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14641), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601275] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8946), 1,
      anon_sym_done,
    ACTIONS(15053), 1,
      anon_sym_COMMA,
    ACTIONS(15057), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15059), 1,
      sym_pow_operator,
    ACTIONS(15061), 1,
      sym_mult_operator,
    ACTIONS(15063), 1,
      sym_concat_operator,
    ACTIONS(15065), 1,
      sym_rel_operator,
    ACTIONS(15067), 1,
      sym_and_operator,
    ACTIONS(15069), 1,
      sym_or_operator,
    ACTIONS(15071), 1,
      sym_assign_operator,
    ACTIONS(15902), 1,
      anon_sym_SEMI,
    STATE(2218), 1,
      sym_add_operator,
    STATE(12475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [601327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11218), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11222), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601387] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5599), 1,
      anon_sym_LBRACK,
    ACTIONS(5607), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5611), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15904), 1,
      sym__lowercase_identifier,
    ACTIONS(15906), 1,
      anon_sym_LPAREN,
    ACTIONS(15908), 1,
      anon_sym_LBRACE,
    ACTIONS(15910), 1,
      sym__uppercase_identifier,
    STATE(5854), 1,
      sym__value_name,
    STATE(5919), 1,
      sym_parenthesized_operator,
    STATE(6032), 1,
      sym__constructor_name,
    STATE(12478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5802), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [601435] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(8350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(15833), 1,
      sym__lowercase_identifier,
    ACTIONS(15835), 1,
      anon_sym_let,
    ACTIONS(15837), 1,
      anon_sym_LBRACK,
    STATE(9894), 1,
      sym__simple_class_type,
    STATE(12479), 1,
      sym_attribute,
    STATE(16439), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9737), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [601481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11234), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9080), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601541] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1351), 1,
      anon_sym_LBRACK,
    ACTIONS(1361), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1373), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15912), 1,
      sym__lowercase_identifier,
    ACTIONS(15914), 1,
      anon_sym_LPAREN,
    ACTIONS(15916), 1,
      anon_sym_LBRACE,
    ACTIONS(15918), 1,
      sym__uppercase_identifier,
    STATE(5721), 1,
      sym__constructor_name,
    STATE(5723), 1,
      sym__value_name,
    STATE(5780), 1,
      sym_parenthesized_operator,
    STATE(12482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5768), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [601589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11242), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601619] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15851), 1,
      anon_sym_and,
    STATE(12473), 1,
      aux_sym_type_definition_repeat1,
    STATE(12484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14569), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11564), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11562), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601681] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(15746), 1,
      anon_sym_DASH_GT,
    ACTIONS(15920), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12486), 1,
      sym_attribute,
    STATE(12879), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15922), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601721] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15851), 1,
      anon_sym_and,
    STATE(12464), 1,
      aux_sym_type_definition_repeat1,
    STATE(12487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14627), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601753] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8946), 1,
      anon_sym_with,
    ACTIONS(15742), 1,
      sym_pow_operator,
    ACTIONS(15807), 1,
      anon_sym_COMMA,
    ACTIONS(15809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15811), 1,
      sym_mult_operator,
    ACTIONS(15813), 1,
      sym_concat_operator,
    ACTIONS(15815), 1,
      sym_rel_operator,
    ACTIONS(15817), 1,
      sym_and_operator,
    ACTIONS(15819), 1,
      sym_or_operator,
    ACTIONS(15821), 1,
      sym_assign_operator,
    ACTIONS(15924), 1,
      anon_sym_SEMI,
    STATE(1940), 1,
      sym_add_operator,
    STATE(12488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [601805] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15851), 1,
      anon_sym_and,
    STATE(12470), 1,
      aux_sym_type_definition_repeat1,
    STATE(12489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14637), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601837] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15833), 1,
      sym__lowercase_identifier,
    ACTIONS(15837), 1,
      anon_sym_LBRACK,
    STATE(10650), 1,
      sym__simple_class_type,
    STATE(12490), 1,
      sym_attribute,
    STATE(16439), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9737), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [601883] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8946), 1,
      anon_sym_end,
    ACTIONS(15879), 1,
      anon_sym_COMMA,
    ACTIONS(15883), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15885), 1,
      sym_pow_operator,
    ACTIONS(15887), 1,
      sym_mult_operator,
    ACTIONS(15889), 1,
      sym_concat_operator,
    ACTIONS(15891), 1,
      sym_rel_operator,
    ACTIONS(15893), 1,
      sym_and_operator,
    ACTIONS(15895), 1,
      sym_or_operator,
    ACTIONS(15897), 1,
      sym_assign_operator,
    ACTIONS(15926), 1,
      anon_sym_SEMI,
    STATE(1981), 1,
      sym_add_operator,
    STATE(12491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [601935] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15740), 1,
      anon_sym_and,
    STATE(12492), 1,
      sym_attribute,
    STATE(12572), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14717), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601967] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15833), 1,
      sym__lowercase_identifier,
    ACTIONS(15837), 1,
      anon_sym_LBRACK,
    STATE(10536), 1,
      sym__simple_class_type,
    STATE(12493), 1,
      sym_attribute,
    STATE(16439), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9737), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [602013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15930), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15928), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14992), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14988), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602073] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2841), 1,
      anon_sym_LBRACK,
    ACTIONS(2851), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2863), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15932), 1,
      sym__lowercase_identifier,
    ACTIONS(15934), 1,
      anon_sym_LPAREN,
    ACTIONS(15936), 1,
      anon_sym_LBRACE,
    ACTIONS(15938), 1,
      sym__uppercase_identifier,
    STATE(6881), 1,
      sym__constructor_name,
    STATE(6894), 1,
      sym_parenthesized_operator,
    STATE(6916), 1,
      sym__value_name,
    STATE(12496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6646), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [602121] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(369), 1,
      anon_sym_LBRACK,
    ACTIONS(379), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(391), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15940), 1,
      sym__lowercase_identifier,
    ACTIONS(15942), 1,
      anon_sym_LPAREN,
    ACTIONS(15944), 1,
      anon_sym_LBRACE,
    ACTIONS(15946), 1,
      sym__uppercase_identifier,
    STATE(3219), 1,
      sym__value_name,
    STATE(3241), 1,
      sym_parenthesized_operator,
    STATE(3277), 1,
      sym__constructor_name,
    STATE(12497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3175), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [602169] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(15948), 1,
      sym__lowercase_identifier,
    ACTIONS(15950), 1,
      anon_sym_POUND,
    STATE(12498), 1,
      sym_attribute,
    STATE(12740), 1,
      sym_type_constructor_path,
    STATE(16968), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9800), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9802), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [602209] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15742), 1,
      sym_pow_operator,
    ACTIONS(15809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15811), 1,
      sym_mult_operator,
    ACTIONS(15813), 1,
      sym_concat_operator,
    ACTIONS(15815), 1,
      sym_rel_operator,
    ACTIONS(15817), 1,
      sym_and_operator,
    ACTIONS(15819), 1,
      sym_or_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(12499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [602255] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    ACTIONS(14846), 1,
      sym__lowercase_identifier,
    ACTIONS(15952), 1,
      anon_sym_nonrec,
    STATE(12460), 1,
      sym_type_binding,
    STATE(12500), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14291), 1,
      sym__type_params,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    STATE(20101), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [602309] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15954), 1,
      anon_sym_STAR,
    STATE(12501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10181), 13,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602341] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15742), 1,
      sym_pow_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(12502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602375] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15742), 1,
      sym_pow_operator,
    ACTIONS(15809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15811), 1,
      sym_mult_operator,
    ACTIONS(15813), 1,
      sym_concat_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(12503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [602417] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    ACTIONS(14734), 1,
      sym__lowercase_identifier,
    ACTIONS(15956), 1,
      anon_sym_nonrec,
    STATE(11843), 1,
      sym_type_binding,
    STATE(12504), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14793), 1,
      sym__type_params,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    STATE(19698), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [602471] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11534), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11536), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [602501] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15801), 1,
      anon_sym_and,
    STATE(12506), 1,
      sym_attribute,
    STATE(12644), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14723), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602533] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15801), 1,
      anon_sym_and,
    STATE(12441), 1,
      aux_sym_class_definition_repeat1,
    STATE(12507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14723), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602565] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15827), 1,
      anon_sym_LBRACE,
    ACTIONS(15829), 1,
      sym__uppercase_identifier,
    ACTIONS(15958), 1,
      sym__lowercase_identifier,
    ACTIONS(15960), 1,
      anon_sym_LPAREN,
    STATE(6732), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7335), 1,
      sym__value_name,
    STATE(12508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7333), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [602613] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1075), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1097), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15962), 1,
      sym__lowercase_identifier,
    ACTIONS(15964), 1,
      anon_sym_LPAREN,
    ACTIONS(15966), 1,
      anon_sym_LBRACE,
    ACTIONS(15968), 1,
      sym__uppercase_identifier,
    STATE(5115), 1,
      sym_parenthesized_operator,
    STATE(5155), 1,
      sym__constructor_name,
    STATE(5226), 1,
      sym__value_name,
    STATE(12509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5169), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [602661] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(15746), 1,
      anon_sym_DASH_GT,
    ACTIONS(15970), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12510), 1,
      sym_attribute,
    STATE(12817), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15972), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602701] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11502), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11504), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [602731] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8394), 1,
      anon_sym_LBRACK,
    ACTIONS(8402), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8406), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15974), 1,
      sym__lowercase_identifier,
    ACTIONS(15976), 1,
      anon_sym_LPAREN,
    ACTIONS(15978), 1,
      anon_sym_LBRACE,
    ACTIONS(15980), 1,
      sym__uppercase_identifier,
    STATE(7396), 1,
      sym__constructor_name,
    STATE(7571), 1,
      sym__value_name,
    STATE(7590), 1,
      sym_parenthesized_operator,
    STATE(12512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7541), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [602779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15982), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12513), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(8907), 13,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602809] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2363), 1,
      anon_sym_LBRACK,
    ACTIONS(2373), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2385), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15985), 1,
      sym__lowercase_identifier,
    ACTIONS(15987), 1,
      anon_sym_LPAREN,
    ACTIONS(15989), 1,
      anon_sym_LBRACE,
    ACTIONS(15991), 1,
      sym__uppercase_identifier,
    STATE(6164), 1,
      sym__constructor_name,
    STATE(6193), 1,
      sym__value_name,
    STATE(6519), 1,
      sym_parenthesized_operator,
    STATE(12514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6601), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [602857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11348), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11346), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11360), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11358), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11414), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602947] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11550), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11552), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [602977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11442), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11440), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603007] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11436), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11438), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [603037] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1009), 1,
      anon_sym_LBRACK,
    ACTIONS(1019), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1031), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15993), 1,
      sym__lowercase_identifier,
    ACTIONS(15995), 1,
      anon_sym_LPAREN,
    ACTIONS(15997), 1,
      anon_sym_LBRACE,
    ACTIONS(15999), 1,
      sym__uppercase_identifier,
    STATE(4866), 1,
      sym__value_name,
    STATE(4881), 1,
      sym__constructor_name,
    STATE(4906), 1,
      sym_parenthesized_operator,
    STATE(12521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4938), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [603085] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7864), 1,
      anon_sym_LBRACK,
    ACTIONS(7870), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7874), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15823), 1,
      sym__lowercase_identifier,
    ACTIONS(15827), 1,
      anon_sym_LBRACE,
    ACTIONS(15829), 1,
      sym__uppercase_identifier,
    ACTIONS(15960), 1,
      anon_sym_LPAREN,
    STATE(6732), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(7335), 1,
      sym__value_name,
    STATE(12522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7333), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [603133] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1285), 1,
      anon_sym_LBRACK,
    ACTIONS(1295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1315), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16001), 1,
      sym__lowercase_identifier,
    ACTIONS(16003), 1,
      anon_sym_LPAREN,
    ACTIONS(16005), 1,
      anon_sym_LBRACE,
    ACTIONS(16007), 1,
      sym__uppercase_identifier,
    STATE(5550), 1,
      sym_parenthesized_operator,
    STATE(5603), 1,
      sym__constructor_name,
    STATE(5632), 1,
      sym__value_name,
    STATE(12523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5557), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [603181] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11538), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11540), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [603211] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15841), 1,
      anon_sym_and,
    STATE(12525), 1,
      sym_attribute,
    STATE(12534), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14637), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [603243] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15742), 1,
      sym_pow_operator,
    ACTIONS(15809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15811), 1,
      sym_mult_operator,
    ACTIONS(15813), 1,
      sym_concat_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(12526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [603285] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      sym_or_operator,
    ACTIONS(15742), 1,
      sym_pow_operator,
    ACTIONS(15809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15811), 1,
      sym_mult_operator,
    ACTIONS(15813), 1,
      sym_concat_operator,
    ACTIONS(15815), 1,
      sym_rel_operator,
    ACTIONS(15817), 1,
      sym_and_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(12527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [603331] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6323), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6335), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16009), 1,
      sym__lowercase_identifier,
    ACTIONS(16011), 1,
      anon_sym_LPAREN,
    ACTIONS(16013), 1,
      anon_sym_LBRACE,
    ACTIONS(16015), 1,
      sym__uppercase_identifier,
    STATE(6801), 1,
      sym_parenthesized_operator,
    STATE(7095), 1,
      sym__constructor_name,
    STATE(7148), 1,
      sym__value_name,
    STATE(12528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6853), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [603379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11494), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603409] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11214), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11216), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [603439] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15841), 1,
      anon_sym_and,
    STATE(12531), 1,
      sym_attribute,
    STATE(12534), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14641), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [603471] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11558), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11560), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [603501] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11564), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [603531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16017), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12534), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(14404), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [603561] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15883), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15885), 1,
      sym_pow_operator,
    ACTIONS(15887), 1,
      sym_mult_operator,
    ACTIONS(15889), 1,
      sym_concat_operator,
    ACTIONS(15891), 1,
      sym_rel_operator,
    ACTIONS(15893), 1,
      sym_and_operator,
    ACTIONS(15895), 1,
      sym_or_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(12535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [603607] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15763), 1,
      sym_pow_operator,
    ACTIONS(15765), 1,
      sym_mult_operator,
    ACTIONS(15767), 1,
      sym_concat_operator,
    ACTIONS(15769), 1,
      sym_rel_operator,
    ACTIONS(15771), 1,
      sym_and_operator,
    ACTIONS(15797), 1,
      sym_or_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(12536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [603653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7781), 2,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16020), 13,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [603683] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15841), 1,
      anon_sym_and,
    STATE(12538), 1,
      sym_attribute,
    STATE(12561), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14641), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [603715] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1137), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1149), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16022), 1,
      sym__lowercase_identifier,
    ACTIONS(16024), 1,
      anon_sym_LPAREN,
    ACTIONS(16026), 1,
      anon_sym_LBRACE,
    ACTIONS(16028), 1,
      sym__uppercase_identifier,
    STATE(5081), 1,
      sym__constructor_name,
    STATE(5084), 1,
      sym__value_name,
    STATE(5095), 1,
      sym_parenthesized_operator,
    STATE(12539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5052), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [603763] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11220), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [603793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11214), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603823] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15883), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15885), 1,
      sym_pow_operator,
    ACTIONS(15887), 1,
      sym_mult_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(12542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603863] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15885), 1,
      sym_pow_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(12543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603897] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15833), 1,
      sym__lowercase_identifier,
    ACTIONS(15837), 1,
      anon_sym_LBRACK,
    STATE(10688), 1,
      sym__simple_class_type,
    STATE(12544), 1,
      sym_attribute,
    STATE(16439), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9737), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [603943] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11542), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11544), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [603973] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11440), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11442), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [604003] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(553), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(565), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16030), 1,
      sym__lowercase_identifier,
    ACTIONS(16032), 1,
      anon_sym_LPAREN,
    ACTIONS(16034), 1,
      anon_sym_LBRACE,
    ACTIONS(16036), 1,
      sym__uppercase_identifier,
    STATE(3428), 1,
      sym__value_name,
    STATE(3461), 1,
      sym_parenthesized_operator,
    STATE(3617), 1,
      sym__constructor_name,
    STATE(12547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3392), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [604051] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11234), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11236), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [604081] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2671), 1,
      anon_sym_LBRACK,
    ACTIONS(2681), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2693), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16038), 1,
      sym__lowercase_identifier,
    ACTIONS(16040), 1,
      anon_sym_LPAREN,
    ACTIONS(16042), 1,
      anon_sym_LBRACE,
    ACTIONS(16044), 1,
      sym__uppercase_identifier,
    STATE(6731), 1,
      sym__value_name,
    STATE(6951), 1,
      sym_parenthesized_operator,
    STATE(7030), 1,
      sym__constructor_name,
    STATE(12549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6721), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [604129] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15885), 1,
      sym_pow_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(12550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604163] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15883), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15885), 1,
      sym_pow_operator,
    ACTIONS(15887), 1,
      sym_mult_operator,
    ACTIONS(15889), 1,
      sym_concat_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(12551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [604205] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15883), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15885), 1,
      sym_pow_operator,
    ACTIONS(15887), 1,
      sym_mult_operator,
    ACTIONS(15889), 1,
      sym_concat_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(12552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [604247] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      sym_or_operator,
    ACTIONS(15883), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15885), 1,
      sym_pow_operator,
    ACTIONS(15887), 1,
      sym_mult_operator,
    ACTIONS(15889), 1,
      sym_concat_operator,
    ACTIONS(15891), 1,
      sym_rel_operator,
    ACTIONS(15893), 1,
      sym_and_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(12553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [604293] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16046), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [604343] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15883), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15885), 1,
      sym_pow_operator,
    ACTIONS(15887), 1,
      sym_mult_operator,
    ACTIONS(15889), 1,
      sym_concat_operator,
    ACTIONS(15891), 1,
      sym_rel_operator,
    ACTIONS(15893), 1,
      sym_and_operator,
    ACTIONS(15895), 1,
      sym_or_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(12555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [604389] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15879), 1,
      anon_sym_COMMA,
    ACTIONS(15883), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15885), 1,
      sym_pow_operator,
    ACTIONS(15887), 1,
      sym_mult_operator,
    ACTIONS(15889), 1,
      sym_concat_operator,
    ACTIONS(15891), 1,
      sym_rel_operator,
    ACTIONS(15893), 1,
      sym_and_operator,
    ACTIONS(15895), 1,
      sym_or_operator,
    ACTIONS(15897), 1,
      sym_assign_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(12556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [604439] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15885), 1,
      sym_pow_operator,
    ACTIONS(15887), 1,
      sym_mult_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(12557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604475] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11496), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [604505] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(15746), 1,
      anon_sym_DASH_GT,
    ACTIONS(16048), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12559), 1,
      sym_attribute,
    STATE(12815), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16050), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604545] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15879), 1,
      anon_sym_COMMA,
    ACTIONS(15883), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15885), 1,
      sym_pow_operator,
    ACTIONS(15887), 1,
      sym_mult_operator,
    ACTIONS(15889), 1,
      sym_concat_operator,
    ACTIONS(15891), 1,
      sym_rel_operator,
    ACTIONS(15893), 1,
      sym_and_operator,
    ACTIONS(15895), 1,
      sym_or_operator,
    ACTIONS(15897), 1,
      sym_assign_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(12560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [604595] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15841), 1,
      anon_sym_and,
    STATE(12534), 1,
      aux_sym_type_definition_repeat1,
    STATE(12561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14569), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604627] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(871), 1,
      anon_sym_LBRACK,
    ACTIONS(881), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(893), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16052), 1,
      sym__lowercase_identifier,
    ACTIONS(16054), 1,
      anon_sym_LPAREN,
    ACTIONS(16056), 1,
      anon_sym_LBRACE,
    ACTIONS(16058), 1,
      sym__uppercase_identifier,
    STATE(3993), 1,
      sym_parenthesized_operator,
    STATE(4057), 1,
      sym__value_name,
    STATE(4089), 1,
      sym__constructor_name,
    STATE(12562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4123), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [604675] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11282), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11284), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [604705] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8946), 1,
      anon_sym_with,
    ACTIONS(15742), 1,
      sym_pow_operator,
    ACTIONS(15807), 1,
      anon_sym_COMMA,
    ACTIONS(15809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15811), 1,
      sym_mult_operator,
    ACTIONS(15813), 1,
      sym_concat_operator,
    ACTIONS(15815), 1,
      sym_rel_operator,
    ACTIONS(15817), 1,
      sym_and_operator,
    ACTIONS(15819), 1,
      sym_or_operator,
    ACTIONS(15821), 1,
      sym_assign_operator,
    ACTIONS(16060), 1,
      anon_sym_SEMI,
    STATE(1940), 1,
      sym_add_operator,
    STATE(12564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [604757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16062), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12565), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(14408), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604787] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(761), 1,
      anon_sym_LBRACK,
    ACTIONS(771), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(783), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16065), 1,
      sym__lowercase_identifier,
    ACTIONS(16067), 1,
      anon_sym_LPAREN,
    ACTIONS(16069), 1,
      anon_sym_LBRACE,
    ACTIONS(16071), 1,
      sym__uppercase_identifier,
    STATE(3801), 1,
      sym__value_name,
    STATE(3826), 1,
      sym_parenthesized_operator,
    STATE(3916), 1,
      sym__constructor_name,
    STATE(12566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3773), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [604835] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1940), 1,
      sym_add_operator,
    STATE(12567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604867] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(8294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8298), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16073), 1,
      sym__lowercase_identifier,
    ACTIONS(16075), 1,
      anon_sym_LPAREN,
    ACTIONS(16077), 1,
      anon_sym_LBRACE,
    ACTIONS(16079), 1,
      sym__uppercase_identifier,
    STATE(9525), 1,
      sym__constructor_name,
    STATE(9554), 1,
      sym_parenthesized_operator,
    STATE(9616), 1,
      sym__value_name,
    STATE(12568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9584), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [604915] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8946), 1,
      anon_sym_then,
    ACTIONS(15861), 1,
      anon_sym_COMMA,
    ACTIONS(15863), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15865), 1,
      sym_pow_operator,
    ACTIONS(15867), 1,
      sym_mult_operator,
    ACTIONS(15869), 1,
      sym_concat_operator,
    ACTIONS(15871), 1,
      sym_rel_operator,
    ACTIONS(15873), 1,
      sym_and_operator,
    ACTIONS(15875), 1,
      sym_or_operator,
    ACTIONS(15877), 1,
      sym_assign_operator,
    ACTIONS(16081), 1,
      anon_sym_SEMI,
    STATE(1882), 1,
      sym_add_operator,
    STATE(12569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [604967] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8948), 1,
      anon_sym_DASH_GT,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    ACTIONS(16083), 1,
      anon_sym_SEMI,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [605019] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15742), 1,
      sym_pow_operator,
    ACTIONS(15809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15811), 1,
      sym_mult_operator,
    ACTIONS(15813), 1,
      sym_concat_operator,
    ACTIONS(15815), 1,
      sym_rel_operator,
    ACTIONS(15817), 1,
      sym_and_operator,
    ACTIONS(15819), 1,
      sym_or_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(12571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [605065] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15740), 1,
      anon_sym_and,
    STATE(12565), 1,
      aux_sym_class_definition_repeat1,
    STATE(12572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14723), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605097] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15740), 1,
      anon_sym_and,
    STATE(12428), 1,
      aux_sym_class_definition_repeat1,
    STATE(12573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14723), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605129] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(9794), 1,
      anon_sym_let,
    ACTIONS(16085), 1,
      sym__lowercase_identifier,
    ACTIONS(16087), 1,
      anon_sym_LBRACK,
    STATE(9894), 1,
      sym__simple_class_type,
    STATE(12574), 1,
      sym_attribute,
    STATE(16756), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9737), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [605175] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14609), 1,
      sym__lowercase_identifier,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    ACTIONS(16089), 1,
      anon_sym_nonrec,
    STATE(11751), 1,
      sym_type_binding,
    STATE(12575), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14703), 1,
      sym__type_params,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    STATE(20137), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [605229] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(15746), 1,
      anon_sym_DASH_GT,
    ACTIONS(16091), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12576), 1,
      sym_attribute,
    STATE(12966), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16093), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605269] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2775), 1,
      anon_sym_LBRACK,
    ACTIONS(2785), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2797), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16095), 1,
      sym__lowercase_identifier,
    ACTIONS(16097), 1,
      anon_sym_LPAREN,
    ACTIONS(16099), 1,
      anon_sym_LBRACE,
    ACTIONS(16101), 1,
      sym__uppercase_identifier,
    STATE(6870), 1,
      sym__value_name,
    STATE(7033), 1,
      sym__constructor_name,
    STATE(7129), 1,
      sym_parenthesized_operator,
    STATE(12577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6868), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [605317] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(927), 1,
      anon_sym_LBRACK,
    ACTIONS(937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(957), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16103), 1,
      sym__lowercase_identifier,
    ACTIONS(16105), 1,
      anon_sym_LPAREN,
    ACTIONS(16107), 1,
      anon_sym_LBRACE,
    ACTIONS(16109), 1,
      sym__uppercase_identifier,
    STATE(4733), 1,
      sym_parenthesized_operator,
    STATE(4758), 1,
      sym__value_name,
    STATE(4786), 1,
      sym__constructor_name,
    STATE(12578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4848), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [605365] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15763), 1,
      sym_pow_operator,
    ACTIONS(15765), 1,
      sym_mult_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(12579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605405] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(15948), 1,
      sym__lowercase_identifier,
    ACTIONS(16111), 1,
      anon_sym_POUND,
    STATE(12580), 1,
      sym_attribute,
    STATE(12749), 1,
      sym_type_constructor_path,
    STATE(16968), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10992), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [605445] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1882), 1,
      sym_add_operator,
    STATE(12581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605477] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LBRACK,
    ACTIONS(1241), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16113), 1,
      sym__lowercase_identifier,
    ACTIONS(16115), 1,
      anon_sym_LPAREN,
    ACTIONS(16117), 1,
      anon_sym_LBRACE,
    ACTIONS(16119), 1,
      sym__uppercase_identifier,
    STATE(5101), 1,
      sym_parenthesized_operator,
    STATE(5175), 1,
      sym__value_name,
    STATE(5245), 1,
      sym__constructor_name,
    STATE(12582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5184), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [605525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11370), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [605555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15930), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15928), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11262), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [605615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11344), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11342), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [605645] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15763), 1,
      sym_pow_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(12587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11432), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [605709] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      anon_sym_LBRACK,
    ACTIONS(443), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(455), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16121), 1,
      sym__lowercase_identifier,
    ACTIONS(16123), 1,
      anon_sym_LPAREN,
    ACTIONS(16125), 1,
      anon_sym_LBRACE,
    ACTIONS(16127), 1,
      sym__uppercase_identifier,
    STATE(4205), 1,
      sym__constructor_name,
    STATE(4236), 1,
      sym_parenthesized_operator,
    STATE(4320), 1,
      sym__value_name,
    STATE(12589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4371), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [605757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11436), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [605787] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(595), 1,
      anon_sym_LBRACK,
    ACTIONS(605), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(617), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16129), 1,
      sym__lowercase_identifier,
    ACTIONS(16131), 1,
      anon_sym_LPAREN,
    ACTIONS(16133), 1,
      anon_sym_LBRACE,
    ACTIONS(16135), 1,
      sym__uppercase_identifier,
    STATE(3515), 1,
      sym__value_name,
    STATE(3634), 1,
      sym_parenthesized_operator,
    STATE(3686), 1,
      sym__constructor_name,
    STATE(12591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3490), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [605835] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1179), 1,
      anon_sym_LBRACK,
    ACTIONS(1189), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1201), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16137), 1,
      sym__lowercase_identifier,
    ACTIONS(16139), 1,
      anon_sym_LPAREN,
    ACTIONS(16141), 1,
      anon_sym_LBRACE,
    ACTIONS(16143), 1,
      sym__uppercase_identifier,
    STATE(5280), 1,
      sym__value_name,
    STATE(5294), 1,
      sym__constructor_name,
    STATE(5354), 1,
      sym_parenthesized_operator,
    STATE(12592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5372), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [605883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14992), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14988), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605913] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15742), 1,
      sym_pow_operator,
    ACTIONS(15807), 1,
      anon_sym_COMMA,
    ACTIONS(15809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15811), 1,
      sym_mult_operator,
    ACTIONS(15813), 1,
      sym_concat_operator,
    ACTIONS(15815), 1,
      sym_rel_operator,
    ACTIONS(15817), 1,
      sym_and_operator,
    ACTIONS(15819), 1,
      sym_or_operator,
    ACTIONS(15821), 1,
      sym_assign_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(12594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [605963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11504), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11502), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [605993] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2605), 1,
      anon_sym_LBRACK,
    ACTIONS(2615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2627), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16145), 1,
      sym__lowercase_identifier,
    ACTIONS(16147), 1,
      anon_sym_LPAREN,
    ACTIONS(16149), 1,
      anon_sym_LBRACE,
    ACTIONS(16151), 1,
      sym__uppercase_identifier,
    STATE(6740), 1,
      sym_parenthesized_operator,
    STATE(6829), 1,
      sym__value_name,
    STATE(6872), 1,
      sym__constructor_name,
    STATE(12596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6828), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [606041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11524), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11522), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [606071] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15863), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15865), 1,
      sym_pow_operator,
    ACTIONS(15867), 1,
      sym_mult_operator,
    ACTIONS(15869), 1,
      sym_concat_operator,
    ACTIONS(15871), 1,
      sym_rel_operator,
    ACTIONS(15873), 1,
      sym_and_operator,
    ACTIONS(15875), 1,
      sym_or_operator,
    STATE(1882), 1,
      sym_add_operator,
    STATE(12598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10209), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [606117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11528), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11526), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [606147] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(491), 1,
      anon_sym_LBRACK,
    ACTIONS(501), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(513), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16153), 1,
      sym__lowercase_identifier,
    ACTIONS(16155), 1,
      anon_sym_LPAREN,
    ACTIONS(16157), 1,
      anon_sym_LBRACE,
    ACTIONS(16159), 1,
      sym__uppercase_identifier,
    STATE(3310), 1,
      sym__constructor_name,
    STATE(3431), 1,
      sym__value_name,
    STATE(3509), 1,
      sym_parenthesized_operator,
    STATE(12600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3343), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [606195] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8946), 1,
      anon_sym_do,
    ACTIONS(15761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15763), 1,
      sym_pow_operator,
    ACTIONS(15765), 1,
      sym_mult_operator,
    ACTIONS(15767), 1,
      sym_concat_operator,
    ACTIONS(15769), 1,
      sym_rel_operator,
    ACTIONS(15771), 1,
      sym_and_operator,
    ACTIONS(15797), 1,
      sym_or_operator,
    ACTIONS(15803), 1,
      anon_sym_COMMA,
    ACTIONS(15805), 1,
      sym_assign_operator,
    ACTIONS(16161), 1,
      anon_sym_SEMI,
    STATE(1911), 1,
      sym_add_operator,
    STATE(12601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [606247] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15863), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15865), 1,
      sym_pow_operator,
    ACTIONS(15867), 1,
      sym_mult_operator,
    STATE(1882), 1,
      sym_add_operator,
    STATE(12602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [606287] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15865), 1,
      sym_pow_operator,
    STATE(1882), 1,
      sym_add_operator,
    STATE(12603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [606321] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15865), 1,
      sym_pow_operator,
    STATE(1882), 1,
      sym_add_operator,
    STATE(12604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [606355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11536), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11534), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [606385] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15863), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15865), 1,
      sym_pow_operator,
    ACTIONS(15867), 1,
      sym_mult_operator,
    ACTIONS(15869), 1,
      sym_concat_operator,
    STATE(1882), 1,
      sym_add_operator,
    STATE(12606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [606427] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15863), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15865), 1,
      sym_pow_operator,
    ACTIONS(15867), 1,
      sym_mult_operator,
    ACTIONS(15869), 1,
      sym_concat_operator,
    STATE(1882), 1,
      sym_add_operator,
    STATE(12607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [606469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11538), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [606499] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10117), 1,
      sym_or_operator,
    ACTIONS(15863), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15865), 1,
      sym_pow_operator,
    ACTIONS(15867), 1,
      sym_mult_operator,
    ACTIONS(15869), 1,
      sym_concat_operator,
    ACTIONS(15871), 1,
      sym_rel_operator,
    ACTIONS(15873), 1,
      sym_and_operator,
    STATE(1882), 1,
      sym_add_operator,
    STATE(12609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [606545] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15863), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15865), 1,
      sym_pow_operator,
    ACTIONS(15867), 1,
      sym_mult_operator,
    ACTIONS(15869), 1,
      sym_concat_operator,
    ACTIONS(15871), 1,
      sym_rel_operator,
    ACTIONS(15873), 1,
      sym_and_operator,
    ACTIONS(15875), 1,
      sym_or_operator,
    STATE(1882), 1,
      sym_add_operator,
    STATE(12610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [606591] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15861), 1,
      anon_sym_COMMA,
    ACTIONS(15863), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15865), 1,
      sym_pow_operator,
    ACTIONS(15867), 1,
      sym_mult_operator,
    ACTIONS(15869), 1,
      sym_concat_operator,
    ACTIONS(15871), 1,
      sym_rel_operator,
    ACTIONS(15873), 1,
      sym_and_operator,
    ACTIONS(15875), 1,
      sym_or_operator,
    ACTIONS(15877), 1,
      sym_assign_operator,
    STATE(1882), 1,
      sym_add_operator,
    STATE(12611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10115), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [606641] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15865), 1,
      sym_pow_operator,
    ACTIONS(15867), 1,
      sym_mult_operator,
    STATE(1882), 1,
      sym_add_operator,
    STATE(12612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [606677] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15763), 1,
      sym_pow_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(12613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [606711] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15861), 1,
      anon_sym_COMMA,
    ACTIONS(15863), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15865), 1,
      sym_pow_operator,
    ACTIONS(15867), 1,
      sym_mult_operator,
    ACTIONS(15869), 1,
      sym_concat_operator,
    ACTIONS(15871), 1,
      sym_rel_operator,
    ACTIONS(15873), 1,
      sym_and_operator,
    ACTIONS(15875), 1,
      sym_or_operator,
    ACTIONS(15877), 1,
      sym_assign_operator,
    STATE(1882), 1,
      sym_add_operator,
    STATE(12614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10131), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [606761] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11222), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11224), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [606791] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11242), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11244), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [606821] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11432), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11434), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [606851] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6543), 1,
      anon_sym_LBRACK,
    ACTIONS(6551), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6555), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16163), 1,
      sym__lowercase_identifier,
    ACTIONS(16165), 1,
      anon_sym_LPAREN,
    ACTIONS(16167), 1,
      anon_sym_LBRACE,
    ACTIONS(16169), 1,
      sym__uppercase_identifier,
    STATE(6846), 1,
      sym__value_name,
    STATE(6855), 1,
      sym__constructor_name,
    STATE(6882), 1,
      sym_parenthesized_operator,
    STATE(12618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6675), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [606899] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15742), 1,
      sym_pow_operator,
    ACTIONS(15811), 1,
      sym_mult_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(12619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [606935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11544), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11542), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [606965] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16171), 1,
      anon_sym_DQUOTE,
    STATE(12431), 1,
      aux_sym_string_content_repeat1,
    STATE(12621), 1,
      sym_attribute,
    STATE(12769), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15049), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15045), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [607003] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(15948), 1,
      sym__lowercase_identifier,
    ACTIONS(15950), 1,
      anon_sym_POUND,
    STATE(12622), 1,
      sym_attribute,
    STATE(12740), 1,
      sym_type_constructor_path,
    STATE(16968), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10986), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [607043] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8946), 1,
      anon_sym_then,
    ACTIONS(15861), 1,
      anon_sym_COMMA,
    ACTIONS(15863), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15865), 1,
      sym_pow_operator,
    ACTIONS(15867), 1,
      sym_mult_operator,
    ACTIONS(15869), 1,
      sym_concat_operator,
    ACTIONS(15871), 1,
      sym_rel_operator,
    ACTIONS(15873), 1,
      sym_and_operator,
    ACTIONS(15875), 1,
      sym_or_operator,
    ACTIONS(15877), 1,
      sym_assign_operator,
    ACTIONS(16173), 1,
      anon_sym_SEMI,
    STATE(1882), 1,
      sym_add_operator,
    STATE(12623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [607095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7964), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [607125] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1911), 1,
      sym_add_operator,
    STATE(12625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10164), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10162), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [607157] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15763), 1,
      sym_pow_operator,
    ACTIONS(15765), 1,
      sym_mult_operator,
    ACTIONS(15767), 1,
      sym_concat_operator,
    STATE(1911), 1,
      sym_add_operator,
    STATE(12626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10115), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [607199] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(657), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(669), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16175), 1,
      sym__lowercase_identifier,
    ACTIONS(16177), 1,
      anon_sym_LPAREN,
    ACTIONS(16179), 1,
      anon_sym_LBRACE,
    ACTIONS(16181), 1,
      sym__uppercase_identifier,
    STATE(3299), 1,
      sym__constructor_name,
    STATE(3592), 1,
      sym__value_name,
    STATE(3649), 1,
      sym_parenthesized_operator,
    STATE(12627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3545), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [607247] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(313), 1,
      anon_sym_LBRACK,
    ACTIONS(323), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(335), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16183), 1,
      sym__lowercase_identifier,
    ACTIONS(16185), 1,
      anon_sym_LPAREN,
    ACTIONS(16187), 1,
      anon_sym_LBRACE,
    ACTIONS(16189), 1,
      sym__uppercase_identifier,
    STATE(3090), 1,
      sym__value_name,
    STATE(3128), 1,
      sym_parenthesized_operator,
    STATE(3257), 1,
      sym__constructor_name,
    STATE(12628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3050), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [607295] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8332), 1,
      anon_sym_LBRACK,
    ACTIONS(8340), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8344), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16191), 1,
      sym__lowercase_identifier,
    ACTIONS(16193), 1,
      anon_sym_LPAREN,
    ACTIONS(16195), 1,
      anon_sym_LBRACE,
    ACTIONS(16197), 1,
      sym__uppercase_identifier,
    STATE(7171), 1,
      sym__constructor_name,
    STATE(7298), 1,
      sym__value_name,
    STATE(7332), 1,
      sym_parenthesized_operator,
    STATE(12629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7264), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [607343] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2415), 1,
      anon_sym_LBRACK,
    ACTIONS(2425), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2437), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16199), 1,
      sym__lowercase_identifier,
    ACTIONS(16201), 1,
      anon_sym_LPAREN,
    ACTIONS(16203), 1,
      anon_sym_LBRACE,
    ACTIONS(16205), 1,
      sym__uppercase_identifier,
    STATE(6157), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(6390), 1,
      sym__value_name,
    STATE(12630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6192), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [607391] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    ACTIONS(14289), 1,
      sym_rel_operator,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16207), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [607441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11552), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11550), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [607471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9002), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [607501] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2723), 1,
      anon_sym_LBRACK,
    ACTIONS(2733), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2745), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16209), 1,
      sym__lowercase_identifier,
    ACTIONS(16211), 1,
      anon_sym_LPAREN,
    ACTIONS(16213), 1,
      anon_sym_LBRACE,
    ACTIONS(16215), 1,
      sym__uppercase_identifier,
    STATE(6864), 1,
      sym__constructor_name,
    STATE(6913), 1,
      sym__value_name,
    STATE(6929), 1,
      sym_parenthesized_operator,
    STATE(12634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6848), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [607549] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9730), 1,
      anon_sym_let,
    ACTIONS(9736), 1,
      anon_sym_object,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15833), 1,
      sym__lowercase_identifier,
    ACTIONS(15837), 1,
      anon_sym_LBRACK,
    STATE(10653), 1,
      sym__simple_class_type,
    STATE(12635), 1,
      sym_attribute,
    STATE(16439), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9737), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [607595] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7615), 1,
      anon_sym_LBRACK,
    ACTIONS(7623), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7627), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16217), 1,
      sym__lowercase_identifier,
    ACTIONS(16219), 1,
      anon_sym_LPAREN,
    ACTIONS(16221), 1,
      anon_sym_LBRACE,
    ACTIONS(16223), 1,
      sym__uppercase_identifier,
    STATE(8117), 1,
      sym__constructor_name,
    STATE(8900), 1,
      sym__value_name,
    STATE(9120), 1,
      sym_parenthesized_operator,
    STATE(12636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9140), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [607643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(7918), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [607673] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15879), 1,
      anon_sym_COMMA,
    ACTIONS(15883), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15885), 1,
      sym_pow_operator,
    ACTIONS(15887), 1,
      sym_mult_operator,
    ACTIONS(15889), 1,
      sym_concat_operator,
    ACTIONS(15891), 1,
      sym_rel_operator,
    ACTIONS(15893), 1,
      sym_and_operator,
    ACTIONS(15895), 1,
      sym_or_operator,
    ACTIONS(15897), 1,
      sym_assign_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(12638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10141), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [607723] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12846), 1,
      sym_pow_operator,
    ACTIONS(12848), 1,
      sym_mult_operator,
    ACTIONS(12850), 1,
      sym_concat_operator,
    ACTIONS(12852), 1,
      sym_rel_operator,
    ACTIONS(12854), 1,
      sym_and_operator,
    ACTIONS(12856), 1,
      sym_or_operator,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      sym_assign_operator,
    STATE(1772), 1,
      sym_add_operator,
    STATE(12639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16225), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [607773] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(819), 1,
      anon_sym_LBRACK,
    ACTIONS(829), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(841), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16227), 1,
      sym__lowercase_identifier,
    ACTIONS(16229), 1,
      anon_sym_LPAREN,
    ACTIONS(16231), 1,
      anon_sym_LBRACE,
    ACTIONS(16233), 1,
      sym__uppercase_identifier,
    STATE(3968), 1,
      sym__value_name,
    STATE(4030), 1,
      sym__constructor_name,
    STATE(4111), 1,
      sym_parenthesized_operator,
    STATE(12640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3980), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [607821] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5555), 1,
      anon_sym_LBRACK,
    ACTIONS(5563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5567), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16235), 1,
      sym__lowercase_identifier,
    ACTIONS(16237), 1,
      anon_sym_LPAREN,
    ACTIONS(16239), 1,
      anon_sym_LBRACE,
    ACTIONS(16241), 1,
      sym__uppercase_identifier,
    STATE(5827), 1,
      sym_parenthesized_operator,
    STATE(5855), 1,
      sym__constructor_name,
    STATE(6048), 1,
      sym__value_name,
    STATE(12641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5996), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [607869] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1699), 1,
      anon_sym_LBRACK,
    ACTIONS(1709), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1721), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16243), 1,
      sym__lowercase_identifier,
    ACTIONS(16245), 1,
      anon_sym_LPAREN,
    ACTIONS(16247), 1,
      anon_sym_LBRACE,
    ACTIONS(16249), 1,
      sym__uppercase_identifier,
    STATE(6428), 1,
      sym__value_name,
    STATE(6518), 1,
      sym_parenthesized_operator,
    STATE(6605), 1,
      sym__constructor_name,
    STATE(12642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6324), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [607917] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11342), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11344), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [607947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16251), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12644), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(14408), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607977] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2311), 1,
      anon_sym_LBRACK,
    ACTIONS(2321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2333), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16254), 1,
      sym__lowercase_identifier,
    ACTIONS(16256), 1,
      anon_sym_LPAREN,
    ACTIONS(16258), 1,
      anon_sym_LBRACE,
    ACTIONS(16260), 1,
      sym__uppercase_identifier,
    STATE(6317), 1,
      sym_parenthesized_operator,
    STATE(6441), 1,
      sym__constructor_name,
    STATE(6602), 1,
      sym__value_name,
    STATE(12645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6548), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [608025] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15742), 1,
      sym_pow_operator,
    ACTIONS(15809), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15811), 1,
      sym_mult_operator,
    STATE(1940), 1,
      sym_add_operator,
    STATE(12646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [608065] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16262), 1,
      anon_sym_and,
    STATE(12647), 1,
      sym_attribute,
    STATE(12649), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14631), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608097] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16262), 1,
      anon_sym_and,
    STATE(12648), 1,
      sym_attribute,
    STATE(12649), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14850), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16264), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12649), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(14518), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608159] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16262), 1,
      anon_sym_and,
    STATE(12650), 1,
      sym_attribute,
    STATE(12651), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14850), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608191] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16262), 1,
      anon_sym_and,
    STATE(12649), 1,
      aux_sym_module_definition_repeat1,
    STATE(12651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14785), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608223] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15738), 1,
      anon_sym_and,
    STATE(12652), 1,
      sym_attribute,
    STATE(12654), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14631), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608255] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15738), 1,
      anon_sym_and,
    STATE(12653), 1,
      sym_attribute,
    STATE(12654), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14850), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12654), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(14518), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608317] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15738), 1,
      anon_sym_and,
    STATE(12655), 1,
      sym_attribute,
    STATE(12656), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14850), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608349] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15738), 1,
      anon_sym_and,
    STATE(12654), 1,
      aux_sym_module_definition_repeat1,
    STATE(12656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14785), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608381] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(15746), 1,
      anon_sym_DASH_GT,
    ACTIONS(16270), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12657), 1,
      sym_attribute,
    STATE(12878), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16272), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608421] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(1419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1431), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16274), 1,
      sym__lowercase_identifier,
    ACTIONS(16276), 1,
      anon_sym_LPAREN,
    ACTIONS(16278), 1,
      anon_sym_LBRACE,
    ACTIONS(16280), 1,
      sym__uppercase_identifier,
    STATE(5862), 1,
      sym_parenthesized_operator,
    STATE(5880), 1,
      sym__value_name,
    STATE(6080), 1,
      sym__constructor_name,
    STATE(12658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5979), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [608469] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16262), 1,
      anon_sym_and,
    STATE(12647), 1,
      aux_sym_module_definition_repeat1,
    STATE(12659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14753), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608501] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16262), 1,
      anon_sym_and,
    STATE(12648), 1,
      aux_sym_module_definition_repeat1,
    STATE(12660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14631), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608533] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15738), 1,
      anon_sym_and,
    STATE(12652), 1,
      aux_sym_module_definition_repeat1,
    STATE(12661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14753), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608565] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15801), 1,
      anon_sym_and,
    STATE(12506), 1,
      aux_sym_class_definition_repeat1,
    STATE(12662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14717), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608597] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(7966), 12,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [608626] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    ACTIONS(14922), 1,
      sym__lowercase_identifier,
    STATE(12489), 1,
      sym_type_binding,
    STATE(12664), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14581), 1,
      sym__type_params,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    STATE(20122), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [608677] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15288), 1,
      anon_sym_LPAREN,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12665), 1,
      sym_attribute,
    STATE(13100), 1,
      sym__simple_module_expression,
    STATE(14056), 1,
      aux_sym_expression_item_repeat1,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10898), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(13104), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [608720] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10614), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [608757] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(15746), 1,
      anon_sym_DASH_GT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12667), 1,
      sym_attribute,
    STATE(12831), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16284), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608794] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16286), 1,
      anon_sym_COLON_GT,
    ACTIONS(16288), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12668), 1,
      sym_attribute,
    STATE(12959), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16290), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608831] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12314), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15746), 1,
      anon_sym_DASH_GT,
    STATE(12669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12312), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608862] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(7920), 12,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [608891] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    ACTIONS(14846), 1,
      sym__lowercase_identifier,
    STATE(11587), 1,
      sym_type_binding,
    STATE(12671), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14291), 1,
      sym__type_params,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    STATE(20101), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [608942] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(15746), 1,
      anon_sym_DASH_GT,
    ACTIONS(16294), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16292), 11,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608975] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    ACTIONS(14846), 1,
      sym__lowercase_identifier,
    STATE(12460), 1,
      sym_type_binding,
    STATE(12673), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14291), 1,
      sym__type_params,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    STATE(20101), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [609026] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    ACTIONS(14734), 1,
      sym__lowercase_identifier,
    STATE(11587), 1,
      sym_type_binding,
    STATE(12674), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14793), 1,
      sym__type_params,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    STATE(19698), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [609077] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15288), 1,
      anon_sym_LPAREN,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12675), 1,
      sym_attribute,
    STATE(13100), 1,
      sym__simple_module_expression,
    STATE(14166), 1,
      aux_sym_expression_item_repeat1,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10884), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(13104), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609120] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    ACTIONS(14846), 1,
      sym__lowercase_identifier,
    STATE(12538), 1,
      sym_type_binding,
    STATE(12676), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14291), 1,
      sym__type_params,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    STATE(20101), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [609171] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    ACTIONS(14734), 1,
      sym__lowercase_identifier,
    STATE(11752), 1,
      sym_type_binding,
    STATE(12677), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14793), 1,
      sym__type_params,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    STATE(19698), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [609222] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14609), 1,
      sym__lowercase_identifier,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    STATE(12035), 1,
      sym_type_binding,
    STATE(12678), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14703), 1,
      sym__type_params,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    STATE(20137), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [609273] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10943), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609300] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    ACTIONS(14922), 1,
      sym__lowercase_identifier,
    STATE(11587), 1,
      sym_type_binding,
    STATE(12680), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14581), 1,
      sym__type_params,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    STATE(20122), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [609351] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    ACTIONS(14734), 1,
      sym__lowercase_identifier,
    STATE(11843), 1,
      sym_type_binding,
    STATE(12681), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14793), 1,
      sym__type_params,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    STATE(19698), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [609402] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11156), 1,
      anon_sym_COLON2,
    STATE(12682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9004), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [609433] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9004), 12,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [609462] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8112), 12,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [609491] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8124), 12,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [609520] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16296), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609547] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16298), 1,
      anon_sym_COLON_GT,
    ACTIONS(16300), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12687), 1,
      sym_attribute,
    STATE(12902), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16302), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609584] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10572), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609621] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15288), 1,
      anon_sym_LPAREN,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12689), 1,
      sym_attribute,
    STATE(13100), 1,
      sym__simple_module_expression,
    STATE(14183), 1,
      aux_sym_expression_item_repeat1,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10908), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(13104), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609664] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    ACTIONS(14922), 1,
      sym__lowercase_identifier,
    STATE(12474), 1,
      sym_type_binding,
    STATE(12690), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14581), 1,
      sym__type_params,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    STATE(20122), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [609715] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609742] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16304), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609769] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16306), 1,
      anon_sym_COLON_GT,
    ACTIONS(16308), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12693), 1,
      sym_attribute,
    STATE(12775), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16310), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609806] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14609), 1,
      sym__lowercase_identifier,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    STATE(11587), 1,
      sym_type_binding,
    STATE(12694), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14703), 1,
      sym__type_params,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    STATE(20137), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [609857] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14609), 1,
      sym__lowercase_identifier,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    STATE(11751), 1,
      sym_type_binding,
    STATE(12695), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14703), 1,
      sym__type_params,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    STATE(20137), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [609908] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9082), 12,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [609937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11242), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11244), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [609965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9004), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [609993] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16312), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12699), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8863), 5,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_virtual,
      sym__lowercase_identifier,
    ACTIONS(8865), 6,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [610023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8112), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [610051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8124), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [610079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(7920), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [610107] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(16315), 1,
      sym__lowercase_identifier,
    ACTIONS(16317), 1,
      anon_sym_POUND,
    STATE(12703), 1,
      sym_attribute,
    STATE(13040), 1,
      sym_type_constructor_path,
    STATE(16873), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(10986), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [610145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9082), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [610173] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(14992), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15746), 1,
      anon_sym_DASH_GT,
    STATE(12705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14988), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11234), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11236), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [610233] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(16319), 1,
      anon_sym_DASH_GT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12707), 1,
      sym_attribute,
    STATE(12831), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16284), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610269] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11174), 1,
      anon_sym_in,
    ACTIONS(15288), 1,
      anon_sym_LPAREN,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12708), 1,
      sym_attribute,
    STATE(13100), 1,
      sym__simple_module_expression,
    STATE(14292), 1,
      aux_sym_expression_item_repeat1,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13104), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [610311] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8932), 1,
      anon_sym_COLON2,
    STATE(12709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8934), 12,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [610339] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14575), 1,
      sym__lowercase_identifier,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    STATE(12710), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14752), 1,
      sym__type_params,
    STATE(15870), 1,
      sym_type_constructor_path,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [610387] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9246), 1,
      anon_sym_PIPE,
    ACTIONS(9358), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12269), 1,
      anon_sym_LPAREN,
    ACTIONS(12271), 1,
      anon_sym_LBRACK,
    ACTIONS(16321), 1,
      anon_sym_private,
    ACTIONS(16323), 1,
      anon_sym_LBRACE,
    STATE(11031), 1,
      sym__constructor_name,
    STATE(11706), 1,
      sym_constructor_declaration,
    STATE(12711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10884), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [610433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11440), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11442), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [610461] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8924), 1,
      anon_sym_COLON2,
    STATE(12713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8926), 12,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [610489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9004), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [610517] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(16315), 1,
      sym__lowercase_identifier,
    ACTIONS(16325), 1,
      anon_sym_POUND,
    STATE(12715), 1,
      sym_attribute,
    STATE(13049), 1,
      sym_type_constructor_path,
    STATE(16873), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(10992), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [610555] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14575), 1,
      sym__lowercase_identifier,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    STATE(12716), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14728), 1,
      sym__type_params,
    STATE(15620), 1,
      sym_type_constructor_path,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [610603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11220), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [610631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11262), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11264), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [610659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11538), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11540), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [610687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11416), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [610715] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11122), 1,
      anon_sym_in,
    ACTIONS(15288), 1,
      anon_sym_LPAREN,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12721), 1,
      sym_attribute,
    STATE(13100), 1,
      sym__simple_module_expression,
    STATE(14619), 1,
      aux_sym_expression_item_repeat1,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13104), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [610757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11542), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11544), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [610785] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9324), 1,
      anon_sym_PIPE,
    ACTIONS(9386), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11973), 1,
      anon_sym_LPAREN,
    ACTIONS(11975), 1,
      anon_sym_LBRACK,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(16323), 1,
      anon_sym_LBRACE,
    ACTIONS(16327), 1,
      anon_sym_private,
    STATE(10236), 1,
      sym__constructor_name,
    STATE(11009), 1,
      sym_constructor_declaration,
    STATE(12723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11977), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10343), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [610831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10904), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10902), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [610859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11214), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11216), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [610887] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11701), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11372), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [610917] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7485), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12727), 1,
      sym_attribute,
    STATE(12888), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7489), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610951] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      aux_sym_attribute_id_token1,
    STATE(12728), 1,
      sym_attribute,
    STATE(12762), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8775), 5,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_virtual,
      sym__lowercase_identifier,
    ACTIONS(8777), 6,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [610983] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9324), 1,
      anon_sym_PIPE,
    ACTIONS(9388), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11973), 1,
      anon_sym_LPAREN,
    ACTIONS(11975), 1,
      anon_sym_LBRACK,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(16323), 1,
      anon_sym_LBRACE,
    ACTIONS(16331), 1,
      anon_sym_private,
    STATE(10236), 1,
      sym__constructor_name,
    STATE(11009), 1,
      sym_constructor_declaration,
    STATE(12729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11977), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10359), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [611029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11222), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11224), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [611057] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16335), 1,
      anon_sym_as,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12731), 1,
      sym_attribute,
    STATE(12919), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16333), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611091] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16337), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12732), 1,
      sym_attribute,
    STATE(12985), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16339), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11502), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11504), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [611153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11496), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [611181] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16343), 1,
      anon_sym_as,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12735), 1,
      sym_attribute,
    STATE(12802), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16341), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611215] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7493), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12736), 1,
      sym_attribute,
    STATE(12859), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11534), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11536), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [611277] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16345), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12738), 1,
      sym_attribute,
    STATE(12809), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16347), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611311] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(15224), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15746), 1,
      anon_sym_DASH_GT,
    STATE(12739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15222), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11436), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11438), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [611371] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7362), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7364), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_in,
    ACTIONS(15288), 1,
      anon_sym_LPAREN,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12741), 1,
      sym_attribute,
    STATE(13100), 1,
      sym__simple_module_expression,
    STATE(14298), 1,
      aux_sym_expression_item_repeat1,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13104), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611413] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9800), 13,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [611439] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14575), 1,
      sym__lowercase_identifier,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    STATE(12743), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14716), 1,
      sym__type_params,
    STATE(15840), 1,
      sym_type_constructor_path,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [611487] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14575), 1,
      sym__lowercase_identifier,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    STATE(12744), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14709), 1,
      sym__type_params,
    STATE(15370), 1,
      sym_type_constructor_path,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [611535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11522), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11524), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [611563] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(15228), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15746), 1,
      anon_sym_DASH_GT,
    STATE(12746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15226), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611595] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14575), 1,
      sym__lowercase_identifier,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    STATE(12747), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14351), 1,
      sym__type_params,
    STATE(16021), 1,
      sym_type_constructor_path,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [611643] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(16315), 1,
      sym__lowercase_identifier,
    ACTIONS(16317), 1,
      anon_sym_POUND,
    STATE(12748), 1,
      sym_attribute,
    STATE(13040), 1,
      sym_type_constructor_path,
    STATE(16873), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9800), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(9802), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [611681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11360), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [611709] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7499), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12750), 1,
      sym_attribute,
    STATE(12861), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7503), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611743] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9210), 1,
      anon_sym_PIPE,
    ACTIONS(9352), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(11992), 1,
      anon_sym_LPAREN,
    ACTIONS(11994), 1,
      anon_sym_LBRACK,
    ACTIONS(16323), 1,
      anon_sym_LBRACE,
    ACTIONS(16349), 1,
      anon_sym_private,
    STATE(10202), 1,
      sym__constructor_name,
    STATE(10828), 1,
      sym_constructor_declaration,
    STATE(12751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11996), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10205), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [611789] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9288), 1,
      anon_sym_PIPE,
    ACTIONS(9370), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12302), 1,
      anon_sym_LPAREN,
    ACTIONS(12304), 1,
      anon_sym_LBRACK,
    ACTIONS(16323), 1,
      anon_sym_LBRACE,
    ACTIONS(16351), 1,
      anon_sym_private,
    STATE(10845), 1,
      sym__constructor_name,
    STATE(11709), 1,
      sym_constructor_declaration,
    STATE(12752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12306), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10906), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [611835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11564), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [611863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16355), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16353), 11,
      anon_sym_DQUOTE,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [611891] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14575), 1,
      sym__lowercase_identifier,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(14619), 1,
      anon_sym__,
    STATE(12755), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(14687), 1,
      sym__type_params,
    STATE(16280), 1,
      sym_type_constructor_path,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(17312), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [611939] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7017), 1,
      anon_sym_COLON2,
    ACTIONS(16357), 1,
      anon_sym_DOT_DOT,
    STATE(12756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7013), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [611969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11372), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [611997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11342), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11344), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11550), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11552), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612053] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9246), 1,
      anon_sym_PIPE,
    ACTIONS(9356), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12269), 1,
      anon_sym_LPAREN,
    ACTIONS(12271), 1,
      anon_sym_LBRACK,
    ACTIONS(16323), 1,
      anon_sym_LBRACE,
    ACTIONS(16359), 1,
      anon_sym_private,
    STATE(11031), 1,
      sym__constructor_name,
    STATE(11706), 1,
      sym_constructor_declaration,
    STATE(12760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10877), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [612099] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16361), 1,
      anon_sym_EQ,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12761), 1,
      sym_attribute,
    STATE(12864), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16363), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612133] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      aux_sym_attribute_id_token1,
    STATE(12699), 1,
      aux_sym_attribute_id_repeat1,
    STATE(12762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 5,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_virtual,
      sym__lowercase_identifier,
    ACTIONS(8859), 6,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [612165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11558), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11560), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9082), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11432), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11434), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11346), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11348), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612277] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9210), 1,
      anon_sym_PIPE,
    ACTIONS(9382), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(11992), 1,
      anon_sym_LPAREN,
    ACTIONS(11994), 1,
      anon_sym_LBRACK,
    ACTIONS(16323), 1,
      anon_sym_LBRACE,
    ACTIONS(16365), 1,
      anon_sym_private,
    STATE(10202), 1,
      sym__constructor_name,
    STATE(10828), 1,
      sym_constructor_declaration,
    STATE(12767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11996), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10175), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [612323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11526), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11528), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16369), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16367), 11,
      anon_sym_DQUOTE,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [612379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11282), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11284), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(7966), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [612435] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9288), 1,
      anon_sym_PIPE,
    ACTIONS(9376), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12302), 1,
      anon_sym_LPAREN,
    ACTIONS(12304), 1,
      anon_sym_LBRACK,
    ACTIONS(16323), 1,
      anon_sym_LBRACE,
    ACTIONS(16371), 1,
      anon_sym_private,
    STATE(10845), 1,
      sym__constructor_name,
    STATE(11709), 1,
      sym_constructor_declaration,
    STATE(12772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12306), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10913), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [612481] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16373), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612512] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16375), 1,
      anon_sym_RPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12774), 1,
      sym_attribute,
    STATE(17587), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612551] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15748), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612582] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16379), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12776), 1,
      sym_attribute,
    STATE(19697), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612621] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12777), 1,
      sym_attribute,
    STATE(12946), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16381), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612652] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16383), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12778), 1,
      sym_attribute,
    STATE(18402), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612691] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9288), 1,
      anon_sym_PIPE,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12302), 1,
      anon_sym_LPAREN,
    ACTIONS(12304), 1,
      anon_sym_LBRACK,
    ACTIONS(16323), 1,
      anon_sym_LBRACE,
    ACTIONS(16385), 1,
      anon_sym_DOT_DOT,
    STATE(10845), 1,
      sym__constructor_name,
    STATE(11709), 1,
      sym_constructor_declaration,
    STATE(12779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12306), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10912), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [612734] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9802), 1,
      anon_sym_as,
    ACTIONS(16387), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    STATE(12780), 1,
      sym_attribute,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9800), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [612771] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16391), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12781), 1,
      sym_attribute,
    STATE(19283), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612810] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10181), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [612835] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16393), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12783), 1,
      sym_attribute,
    STATE(19592), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612874] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16395), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12784), 1,
      sym_attribute,
    STATE(18405), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612913] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16397), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612944] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16399), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12786), 1,
      sym_attribute,
    STATE(18779), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612983] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16401), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613014] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16405), 1,
      anon_sym_COLON2,
    STATE(12788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16403), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [613041] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16407), 1,
      anon_sym_STAR,
    STATE(12789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10181), 10,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613070] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8863), 5,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_virtual,
      sym__lowercase_identifier,
    ACTIONS(8865), 7,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
      aux_sym_attribute_id_token1,
  [613097] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16409), 1,
      anon_sym_STAR,
    STATE(12791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10181), 11,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_AMP,
  [613124] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13537), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613155] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12787), 1,
      aux_sym_expression_item_repeat1,
    STATE(12793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16411), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613186] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16413), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12794), 1,
      sym_attribute,
    STATE(19523), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613225] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16415), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12795), 1,
      sym_attribute,
    STATE(19225), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613264] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16417), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12796), 1,
      sym_attribute,
    STATE(19151), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613303] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12797), 1,
      sym_attribute,
    STATE(12823), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16419), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613334] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16421), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613365] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16423), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12799), 1,
      sym_attribute,
    STATE(17806), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613404] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13435), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613435] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9288), 1,
      anon_sym_PIPE,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12302), 1,
      anon_sym_LPAREN,
    ACTIONS(12304), 1,
      anon_sym_LBRACK,
    ACTIONS(16323), 1,
      anon_sym_LBRACE,
    ACTIONS(16425), 1,
      anon_sym_DOT_DOT,
    STATE(10845), 1,
      sym__constructor_name,
    STATE(11709), 1,
      sym_constructor_declaration,
    STATE(12801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12306), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10917), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [613478] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16333), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613509] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9472), 1,
      anon_sym_COLON2,
    STATE(12803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [613536] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16427), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12804), 1,
      sym_attribute,
    STATE(19226), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613575] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10904), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10902), 10,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [613602] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16429), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12806), 1,
      sym_attribute,
    STATE(18512), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613641] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9476), 1,
      anon_sym_COLON2,
    STATE(12807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [613668] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16431), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12808), 1,
      sym_attribute,
    STATE(19648), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613707] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16433), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613738] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16435), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12810), 1,
      sym_attribute,
    STATE(19881), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613777] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16439), 1,
      anon_sym_COLON2,
    STATE(12811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16437), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [613804] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16441), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12812), 1,
      sym_attribute,
    STATE(18690), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613843] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16310), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613874] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16443), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12814), 1,
      sym_attribute,
    STATE(18423), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613913] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15972), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613944] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9246), 1,
      anon_sym_PIPE,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12269), 1,
      anon_sym_LPAREN,
    ACTIONS(12271), 1,
      anon_sym_LBRACK,
    ACTIONS(16323), 1,
      anon_sym_LBRACE,
    ACTIONS(16445), 1,
      anon_sym_DOT_DOT,
    STATE(11031), 1,
      sym__constructor_name,
    STATE(11706), 1,
      sym_constructor_declaration,
    STATE(12816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10883), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [613987] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16447), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614018] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9480), 1,
      anon_sym_COLON2,
    STATE(12818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [614045] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16449), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614076] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16451), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12820), 1,
      sym_attribute,
    STATE(18896), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614115] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16453), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12821), 1,
      sym_attribute,
    STATE(17959), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614154] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12822), 1,
      sym_attribute,
    STATE(12977), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13491), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614185] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16455), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614216] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16457), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12824), 1,
      sym_attribute,
    STATE(17621), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614255] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16302), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614286] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16459), 1,
      aux_sym_attribute_id_token1,
    STATE(12826), 1,
      sym_attribute,
    STATE(12911), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8859), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614315] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16461), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12827), 1,
      sym_attribute,
    STATE(19156), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614354] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9210), 1,
      anon_sym_PIPE,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(11992), 1,
      anon_sym_LPAREN,
    ACTIONS(11994), 1,
      anon_sym_LBRACK,
    ACTIONS(16323), 1,
      anon_sym_LBRACE,
    ACTIONS(16463), 1,
      anon_sym_DOT_DOT,
    STATE(10202), 1,
      sym__constructor_name,
    STATE(10828), 1,
      sym_constructor_declaration,
    STATE(12828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11996), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10389), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [614397] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9574), 1,
      anon_sym_COLON2,
    STATE(12829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9576), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [614424] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12819), 1,
      aux_sym_expression_item_repeat1,
    STATE(12830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16465), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614455] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16467), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614486] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12832), 1,
      sym_attribute,
    STATE(12881), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16469), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614517] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9452), 1,
      anon_sym_COLON2,
    STATE(12833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [614544] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16471), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12834), 1,
      sym_attribute,
    STATE(19580), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614583] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12785), 1,
      aux_sym_expression_item_repeat1,
    STATE(12835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16473), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614614] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16475), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12836), 1,
      sym_attribute,
    STATE(18422), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614653] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16477), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12837), 1,
      sym_attribute,
    STATE(19160), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614692] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11156), 1,
      anon_sym_COLON2,
    STATE(12838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9004), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [614721] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      anon_sym_COLON2,
    STATE(12839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [614748] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16479), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12840), 1,
      sym_attribute,
    STATE(17639), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614787] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16481), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12841), 1,
      sym_attribute,
    STATE(19270), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614826] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16483), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12842), 1,
      sym_attribute,
    STATE(17855), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614865] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9490), 1,
      anon_sym_COLON2,
    STATE(12843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [614892] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16485), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12844), 1,
      sym_attribute,
    STATE(19415), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614931] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16487), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12845), 1,
      sym_attribute,
    STATE(18176), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614970] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9246), 1,
      anon_sym_PIPE,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12269), 1,
      anon_sym_LPAREN,
    ACTIONS(12271), 1,
      anon_sym_LBRACK,
    ACTIONS(16323), 1,
      anon_sym_LBRACE,
    ACTIONS(16489), 1,
      anon_sym_DOT_DOT,
    STATE(11031), 1,
      sym__constructor_name,
    STATE(11706), 1,
      sym_constructor_declaration,
    STATE(12846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10889), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [615013] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12847), 1,
      sym_attribute,
    STATE(12891), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16491), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615044] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9464), 1,
      anon_sym_COLON2,
    STATE(12848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [615071] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9324), 1,
      anon_sym_PIPE,
    ACTIONS(11973), 1,
      anon_sym_LPAREN,
    ACTIONS(11975), 1,
      anon_sym_LBRACK,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(16323), 1,
      anon_sym_LBRACE,
    ACTIONS(16493), 1,
      anon_sym_DOT_DOT,
    STATE(10236), 1,
      sym__constructor_name,
    STATE(11009), 1,
      sym_constructor_declaration,
    STATE(12849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11977), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10358), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [615114] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16495), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12850), 1,
      sym_attribute,
    STATE(19647), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615153] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16497), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615184] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12852), 1,
      sym_attribute,
    STATE(12893), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16499), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615215] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16501), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12853), 1,
      sym_attribute,
    STATE(18667), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615254] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12854), 1,
      sym_attribute,
    STATE(12948), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16503), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615285] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16505), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12855), 1,
      sym_attribute,
    STATE(19600), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615324] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16507), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12856), 1,
      sym_attribute,
    STATE(18040), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615363] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9486), 1,
      anon_sym_COLON2,
    STATE(12857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [615390] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16509), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12858), 1,
      sym_attribute,
    STATE(18195), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615429] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16363), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615460] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16511), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12860), 1,
      sym_attribute,
    STATE(17829), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615499] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16347), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615530] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16513), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12862), 1,
      sym_attribute,
    STATE(19554), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615569] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16515), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12863), 1,
      sym_attribute,
    STATE(19843), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615608] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16517), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615639] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9324), 1,
      anon_sym_PIPE,
    ACTIONS(11973), 1,
      anon_sym_LPAREN,
    ACTIONS(11975), 1,
      anon_sym_LBRACK,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(16323), 1,
      anon_sym_LBRACE,
    ACTIONS(16519), 1,
      anon_sym_DOT_DOT,
    STATE(10236), 1,
      sym__constructor_name,
    STATE(11009), 1,
      sym_constructor_declaration,
    STATE(12865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11977), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10364), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [615682] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9020), 1,
      anon_sym_COLON2,
    STATE(12866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [615709] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_COLON2,
    STATE(12867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [615736] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9570), 1,
      anon_sym_COLON2,
    STATE(12868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [615763] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12869), 1,
      sym_attribute,
    STATE(12950), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16521), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615794] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16523), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12870), 1,
      sym_attribute,
    STATE(18765), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615833] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16491), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615864] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16525), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12872), 1,
      sym_attribute,
    STATE(19599), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [615903] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12873), 1,
      sym_attribute,
    STATE(12934), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16527), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615934] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16531), 1,
      anon_sym_COLON2,
    STATE(12874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16529), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [615961] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9460), 1,
      anon_sym_COLON2,
    STATE(12875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [615988] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16290), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616019] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16533), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616050] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16535), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616081] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16093), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616112] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16537), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616143] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16539), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616174] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16541), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616205] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16543), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616236] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16545), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12884), 1,
      sym_attribute,
    STATE(18622), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616275] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12798), 1,
      aux_sym_expression_item_repeat1,
    STATE(12885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16547), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616306] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16551), 1,
      anon_sym_COLON2,
    STATE(12886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16549), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [616333] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16553), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616364] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16339), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616395] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16555), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12889), 1,
      sym_attribute,
    STATE(19081), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616434] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_COLON2,
    STATE(12890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9556), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [616461] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16557), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616492] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16559), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12892), 1,
      sym_attribute,
    STATE(17667), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616531] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16561), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616562] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16563), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12894), 1,
      sym_attribute,
    STATE(18652), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616601] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16565), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12895), 1,
      sym_attribute,
    STATE(17546), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616640] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12896), 1,
      sym_attribute,
    STATE(12976), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16567), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616671] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16569), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12897), 1,
      sym_attribute,
    STATE(19926), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616710] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16571), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12898), 1,
      sym_attribute,
    STATE(19542), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616749] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16573), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12899), 1,
      sym_attribute,
    STATE(18342), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616788] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9210), 1,
      anon_sym_PIPE,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(11992), 1,
      anon_sym_LPAREN,
    ACTIONS(11994), 1,
      anon_sym_LBRACK,
    ACTIONS(16323), 1,
      anon_sym_LBRACE,
    ACTIONS(16575), 1,
      anon_sym_DOT_DOT,
    STATE(10202), 1,
      sym__constructor_name,
    STATE(10828), 1,
      sym_constructor_declaration,
    STATE(12900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11996), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10352), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [616831] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16577), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12901), 1,
      sym_attribute,
    STATE(20283), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616870] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16050), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616901] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16579), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12903), 1,
      sym_attribute,
    STATE(18584), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616940] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16581), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12904), 1,
      sym_attribute,
    STATE(19982), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616979] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7503), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617010] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8956), 1,
      anon_sym_COLON2,
    STATE(12906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8958), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [617037] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16585), 1,
      anon_sym_LPAREN,
    ACTIONS(16587), 1,
      anon_sym_COLON2,
    STATE(12907), 1,
      sym_attribute,
    STATE(12996), 1,
      aux_sym_module_binding_repeat1,
    STATE(13465), 1,
      sym_module_parameter,
    STATE(13522), 1,
      sym__module_typed,
    STATE(14050), 1,
      aux_sym_expression_item_repeat1,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11788), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(16583), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [617080] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16591), 1,
      anon_sym_COLON2,
    STATE(12908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16589), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [617107] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9558), 1,
      anon_sym_COLON2,
    STATE(12909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9560), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [617134] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9544), 1,
      anon_sym_COLON2,
    STATE(12910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [617161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16593), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12911), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8865), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617188] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7017), 1,
      anon_sym_COLON2,
    STATE(12912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7013), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [617215] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16596), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12913), 1,
      sym_attribute,
    STATE(18469), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617254] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9562), 1,
      anon_sym_COLON2,
    STATE(12914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9564), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [617281] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16598), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12915), 1,
      sym_attribute,
    STATE(20220), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617320] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12792), 1,
      aux_sym_expression_item_repeat1,
    STATE(12916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13515), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617351] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16600), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12917), 1,
      sym_attribute,
    STATE(18283), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617390] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_COLON2,
    STATE(12918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [617417] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16602), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617448] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10992), 1,
      anon_sym_as,
    ACTIONS(16387), 1,
      sym__lowercase_identifier,
    ACTIONS(16604), 1,
      anon_sym_POUND,
    STATE(12920), 1,
      sym_attribute,
    STATE(13062), 1,
      sym_type_constructor_path,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [617485] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16606), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12921), 1,
      sym_attribute,
    STATE(17608), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617524] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16608), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12922), 1,
      sym_attribute,
    STATE(19768), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617563] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12923), 1,
      sym_attribute,
    STATE(12939), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16610), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617594] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12773), 1,
      aux_sym_expression_item_repeat1,
    STATE(12924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16612), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617625] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7497), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617656] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12871), 1,
      aux_sym_expression_item_repeat1,
    STATE(12926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16602), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617687] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16614), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12927), 1,
      sym_attribute,
    STATE(19172), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617726] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12877), 1,
      aux_sym_expression_item_repeat1,
    STATE(12928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617757] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16618), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12929), 1,
      sym_attribute,
    STATE(20321), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617796] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16620), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12930), 1,
      sym_attribute,
    STATE(18095), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617835] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16459), 1,
      aux_sym_attribute_id_token1,
    STATE(12826), 1,
      aux_sym_attribute_id_repeat1,
    STATE(12931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8777), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617864] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10986), 1,
      anon_sym_as,
    ACTIONS(16387), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    STATE(12932), 1,
      sym_attribute,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [617901] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10221), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [617926] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16622), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617957] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16624), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12935), 1,
      sym_attribute,
    STATE(17672), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617996] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16626), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12936), 1,
      sym_attribute,
    STATE(17866), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618035] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16628), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12937), 1,
      sym_attribute,
    STATE(18048), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618074] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16630), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12938), 1,
      sym_attribute,
    STATE(18127), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618113] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16632), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618144] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16634), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12940), 1,
      sym_attribute,
    STATE(20077), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618183] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16636), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12941), 1,
      sym_attribute,
    STATE(19199), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618222] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12883), 1,
      aux_sym_expression_item_repeat1,
    STATE(12942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16638), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618253] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16640), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12943), 1,
      sym_attribute,
    STATE(20068), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8224), 1,
      anon_sym_COLON2,
    STATE(12944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 11,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [618319] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16642), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12945), 1,
      sym_attribute,
    STATE(18936), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618358] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16644), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618389] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16646), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12947), 1,
      sym_attribute,
    STATE(17878), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618428] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16648), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618459] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16650), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12949), 1,
      sym_attribute,
    STATE(19088), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618498] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16652), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618529] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9566), 1,
      anon_sym_COLON2,
    STATE(12951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [618556] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12952), 1,
      sym_attribute,
    STATE(12994), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16654), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618587] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12953), 1,
      sym_attribute,
    STATE(12954), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13652), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618618] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13491), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618649] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16656), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12955), 1,
      sym_attribute,
    STATE(17596), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618688] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9456), 1,
      anon_sym_COLON2,
    STATE(12956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [618715] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12851), 1,
      aux_sym_expression_item_repeat1,
    STATE(12957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618746] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16660), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12958), 1,
      sym_attribute,
    STATE(20347), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618785] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15922), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618816] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16662), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12960), 1,
      sym_attribute,
    STATE(18110), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618855] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16666), 1,
      anon_sym_COLON2,
    STATE(12961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16664), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [618882] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16668), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12962), 1,
      sym_attribute,
    STATE(18893), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618921] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16670), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12963), 1,
      sym_attribute,
    STATE(19921), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618960] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12964), 1,
      sym_attribute,
    STATE(12990), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16672), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618991] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16674), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12965), 1,
      sym_attribute,
    STATE(19423), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619030] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16676), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619061] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16678), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12967), 1,
      sym_attribute,
    STATE(19256), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619100] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9056), 1,
      anon_sym_COLON2,
    STATE(12968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [619127] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12887), 1,
      aux_sym_expression_item_repeat1,
    STATE(12969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16680), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619158] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16682), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12970), 1,
      sym_attribute,
    STATE(18250), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619197] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16686), 1,
      anon_sym_COLON2,
    STATE(12971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16684), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [619224] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16688), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12972), 1,
      sym_attribute,
    STATE(18359), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619263] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16272), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619294] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9468), 1,
      anon_sym_COLON2,
    STATE(12974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [619321] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16690), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12975), 1,
      sym_attribute,
    STATE(19962), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619360] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16692), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619391] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13523), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619422] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8960), 1,
      anon_sym_COLON2,
    STATE(12978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [619449] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16694), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12979), 1,
      sym_attribute,
    STATE(18809), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619488] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16698), 1,
      anon_sym_COLON2,
    STATE(12980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16696), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [619515] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16700), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12981), 1,
      sym_attribute,
    STATE(19744), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619554] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16704), 1,
      anon_sym_COLON2,
    STATE(12982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16702), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [619581] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16706), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12983), 1,
      sym_attribute,
    STATE(19157), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619620] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16708), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12984), 1,
      sym_attribute,
    STATE(18401), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619659] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16710), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619690] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16712), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12986), 1,
      sym_attribute,
    STATE(18025), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619729] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12882), 1,
      aux_sym_expression_item_repeat1,
    STATE(12987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16714), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619760] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16716), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12988), 1,
      sym_attribute,
    STATE(18000), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619799] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7489), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619830] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16718), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619861] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12880), 1,
      aux_sym_expression_item_repeat1,
    STATE(12991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16720), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619892] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16722), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12992), 1,
      sym_attribute,
    STATE(17909), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619931] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(16724), 1,
      anon_sym_RPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(12993), 1,
      sym_attribute,
    STATE(18149), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619970] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16726), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620001] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(12800), 1,
      aux_sym_expression_item_repeat1,
    STATE(12995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13537), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620032] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16585), 1,
      anon_sym_LPAREN,
    ACTIONS(16587), 1,
      anon_sym_COLON2,
    STATE(12996), 1,
      sym_attribute,
    STATE(13159), 1,
      aux_sym_module_binding_repeat1,
    STATE(13465), 1,
      sym_module_parameter,
    STATE(13669), 1,
      sym__module_typed,
    STATE(14059), 1,
      aux_sym_expression_item_repeat1,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11802), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(16728), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [620075] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11538), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11540), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [620101] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11234), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11236), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [620127] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(7966), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [620153] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9082), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [620179] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8124), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [620205] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(15224), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16319), 1,
      anon_sym_DASH_GT,
    STATE(13002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15222), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620235] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(7920), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [620261] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(13004), 1,
      sym_attribute,
    STATE(13022), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16730), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620291] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11564), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [620317] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(16294), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16319), 1,
      anon_sym_DASH_GT,
    STATE(13006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16292), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620347] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(15228), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16319), 1,
      anon_sym_DASH_GT,
    STATE(13007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15226), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620377] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(13008), 1,
      sym_attribute,
    STATE(13029), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16732), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620407] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(13009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16734), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620437] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(13010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16736), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620467] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11558), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11560), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [620493] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11242), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11244), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [620519] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11496), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [620545] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(13014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16738), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620575] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8112), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [620601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16740), 1,
      anon_sym_DOT,
    STATE(13016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10890), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [620627] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12314), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16319), 1,
      anon_sym_DASH_GT,
    STATE(13017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12312), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620655] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11282), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11284), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [620681] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11550), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11552), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [620707] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11220), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [620733] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11222), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11224), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [620759] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(13022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16742), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620789] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(13014), 1,
      aux_sym_expression_item_repeat1,
    STATE(13023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16744), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620819] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11502), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11504), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [620845] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11711), 1,
      anon_sym_COLON2,
    STATE(13025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9004), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [620873] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      anon_sym_LPAREN,
    STATE(8813), 1,
      sym__simple_module_expression,
    STATE(13026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10572), 2,
      anon_sym_RPAREN,
      anon_sym_COLON2,
    STATE(8820), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620907] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11534), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11536), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [620933] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    STATE(13028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12312), 10,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_AMP,
  [620959] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9646), 1,
      aux_sym_expression_item_repeat1,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(13029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16748), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620989] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11346), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11348), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621015] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9004), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621041] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11526), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11528), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621067] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11372), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621093] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11214), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11216), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621119] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11262), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11264), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621145] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11342), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11344), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621171] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8865), 11,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_attribute_id_token1,
  [621195] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11432), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11434), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621221] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(13009), 1,
      aux_sym_expression_item_repeat1,
    STATE(13039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16750), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [621251] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11436), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11438), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621277] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11416), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621303] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10339), 5,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_virtual,
      sym__lowercase_identifier,
    ACTIONS(10341), 6,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [621329] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11542), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11544), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621355] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(14992), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16319), 1,
      anon_sym_DASH_GT,
    STATE(13044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14988), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [621385] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10904), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10902), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621411] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8240), 11,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [621435] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11522), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11524), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621461] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 11,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [621485] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11360), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621511] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11440), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11442), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621537] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10010), 1,
      sym_item_attribute,
    STATE(13010), 1,
      aux_sym_expression_item_repeat1,
    STATE(13051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16734), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [621567] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10890), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [621590] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11502), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11504), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621615] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16752), 1,
      anon_sym_constraint,
    STATE(13054), 1,
      sym_attribute,
    STATE(13078), 1,
      aux_sym_type_binding_repeat1,
    STATE(13345), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12166), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [621644] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16752), 1,
      anon_sym_constraint,
    STATE(13055), 1,
      sym_attribute,
    STATE(13066), 1,
      aux_sym_type_binding_repeat1,
    STATE(13345), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12166), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [621673] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16756), 1,
      anon_sym_COLON2,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    STATE(13056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16754), 8,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [621700] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12082), 1,
      anon_sym_LPAREN,
    ACTIONS(12084), 1,
      anon_sym_LBRACK,
    ACTIONS(16760), 1,
      anon_sym_private,
    ACTIONS(16762), 1,
      anon_sym_PIPE,
    STATE(10413), 1,
      sym_variant_declaration,
    STATE(10506), 1,
      sym__constructor_name,
    STATE(11533), 1,
      sym_constructor_declaration,
    STATE(13057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12086), 2,
      anon_sym_true,
      anon_sym_false,
  [621739] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11242), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11244), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621764] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11262), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11264), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621789] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11496), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621814] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12102), 1,
      anon_sym_LPAREN,
    ACTIONS(12104), 1,
      anon_sym_LBRACK,
    ACTIONS(16764), 1,
      anon_sym_private,
    ACTIONS(16766), 1,
      anon_sym_PIPE,
    STATE(10413), 1,
      sym_variant_declaration,
    STATE(10575), 1,
      sym__constructor_name,
    STATE(11545), 1,
      sym_constructor_declaration,
    STATE(13061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12106), 2,
      anon_sym_true,
      anon_sym_false,
  [621853] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11360), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [621878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(13063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [621903] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10341), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [621926] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10970), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [621949] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16768), 1,
      anon_sym_constraint,
    STATE(13345), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13066), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12108), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [621976] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11550), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11552), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622001] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11234), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11236), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622026] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11432), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11434), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622051] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11526), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11528), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622076] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11534), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11536), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622101] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11604), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11606), 1,
      anon_sym_in,
    ACTIONS(16771), 1,
      sym__lowercase_identifier,
    ACTIONS(16773), 1,
      anon_sym_POUND,
    STATE(13072), 1,
      sym_attribute,
    STATE(13451), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16440), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [622142] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10996), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [622165] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11558), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11560), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622190] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11514), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11516), 1,
      anon_sym_in,
    ACTIONS(16771), 1,
      sym__lowercase_identifier,
    ACTIONS(16773), 1,
      anon_sym_POUND,
    STATE(13075), 1,
      sym_attribute,
    STATE(13451), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16440), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [622231] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11522), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11524), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622256] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12722), 1,
      anon_sym_LPAREN,
    ACTIONS(12724), 1,
      anon_sym_LBRACK,
    ACTIONS(16775), 1,
      anon_sym_private,
    ACTIONS(16777), 1,
      anon_sym_PIPE,
    STATE(10562), 1,
      sym_variant_declaration,
    STATE(11103), 1,
      sym__constructor_name,
    STATE(11974), 1,
      sym_constructor_declaration,
    STATE(13077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12726), 2,
      anon_sym_true,
      anon_sym_false,
  [622295] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16752), 1,
      anon_sym_constraint,
    STATE(13066), 1,
      aux_sym_type_binding_repeat1,
    STATE(13078), 1,
      sym_attribute,
    STATE(13345), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12170), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [622324] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11282), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11284), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622349] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11342), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11344), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622374] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16752), 1,
      anon_sym_constraint,
    STATE(13055), 1,
      aux_sym_type_binding_repeat1,
    STATE(13081), 1,
      sym_attribute,
    STATE(13345), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12160), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [622403] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11564), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622428] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11436), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11438), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622453] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12102), 1,
      anon_sym_LPAREN,
    ACTIONS(12104), 1,
      anon_sym_LBRACK,
    ACTIONS(16766), 1,
      anon_sym_PIPE,
    ACTIONS(16779), 1,
      anon_sym_private,
    STATE(10562), 1,
      sym_variant_declaration,
    STATE(10575), 1,
      sym__constructor_name,
    STATE(11545), 1,
      sym_constructor_declaration,
    STATE(13084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12106), 2,
      anon_sym_true,
      anon_sym_false,
  [622492] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16787), 1,
      anon_sym_COLON2,
    ACTIONS(16789), 1,
      anon_sym_as,
    STATE(13085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16781), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_when,
  [622525] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10962), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [622548] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4963), 1,
      anon_sym_COLON2,
    ACTIONS(16357), 1,
      anon_sym_DOT_DOT,
    STATE(13087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4961), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [622575] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10912), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [622598] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10966), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [622621] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    ACTIONS(12421), 1,
      anon_sym_LBRACK,
    ACTIONS(16791), 1,
      anon_sym_private,
    ACTIONS(16793), 1,
      anon_sym_PIPE,
    STATE(10413), 1,
      sym_variant_declaration,
    STATE(11135), 1,
      sym__constructor_name,
    STATE(11982), 1,
      sym_constructor_declaration,
    STATE(13090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12423), 2,
      anon_sym_true,
      anon_sym_false,
  [622660] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11538), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11540), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622685] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11592), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11594), 1,
      anon_sym_in,
    ACTIONS(16771), 1,
      sym__lowercase_identifier,
    ACTIONS(16773), 1,
      anon_sym_POUND,
    STATE(13092), 1,
      sym_attribute,
    STATE(13451), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16440), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [622726] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11440), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11442), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622751] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11584), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11586), 1,
      anon_sym_in,
    ACTIONS(16771), 1,
      sym__lowercase_identifier,
    ACTIONS(16773), 1,
      anon_sym_POUND,
    STATE(13094), 1,
      sym_attribute,
    STATE(13451), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16440), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [622792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16795), 1,
      anon_sym_STAR,
    STATE(13095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10181), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [622817] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11214), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11216), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622842] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12082), 1,
      anon_sym_LPAREN,
    ACTIONS(12084), 1,
      anon_sym_LBRACK,
    ACTIONS(16762), 1,
      anon_sym_PIPE,
    ACTIONS(16797), 1,
      anon_sym_private,
    STATE(10506), 1,
      sym__constructor_name,
    STATE(10562), 1,
      sym_variant_declaration,
    STATE(11533), 1,
      sym_constructor_declaration,
    STATE(13097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12086), 2,
      anon_sym_true,
      anon_sym_false,
  [622881] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16801), 1,
      anon_sym_COLON2,
    STATE(13098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16799), 7,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [622910] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10954), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [622933] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10978), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [622956] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11416), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [622981] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11346), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11348), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [623006] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10974), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [623029] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11006), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [623052] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12722), 1,
      anon_sym_LPAREN,
    ACTIONS(12724), 1,
      anon_sym_LBRACK,
    ACTIONS(16777), 1,
      anon_sym_PIPE,
    ACTIONS(16803), 1,
      anon_sym_private,
    STATE(10413), 1,
      sym_variant_declaration,
    STATE(11103), 1,
      sym__constructor_name,
    STATE(11974), 1,
      sym_constructor_declaration,
    STATE(13105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12726), 2,
      anon_sym_true,
      anon_sym_false,
  [623091] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10958), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [623114] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    ACTIONS(12421), 1,
      anon_sym_LBRACK,
    ACTIONS(16793), 1,
      anon_sym_PIPE,
    ACTIONS(16805), 1,
      anon_sym_private,
    STATE(10562), 1,
      sym_variant_declaration,
    STATE(11135), 1,
      sym__constructor_name,
    STATE(11982), 1,
      sym_constructor_declaration,
    STATE(13107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12423), 2,
      anon_sym_true,
      anon_sym_false,
  [623153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(13108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [623178] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(16809), 1,
      anon_sym_COLON2,
    STATE(13109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16807), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_when,
  [623211] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11372), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [623236] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(11596), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11598), 1,
      anon_sym_in,
    ACTIONS(16771), 1,
      sym__lowercase_identifier,
    ACTIONS(16773), 1,
      anon_sym_POUND,
    STATE(13111), 1,
      sym_attribute,
    STATE(13451), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16440), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [623277] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11542), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11544), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [623302] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11506), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11508), 1,
      anon_sym_in,
    ACTIONS(11510), 1,
      anon_sym_DASH_GT,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(16771), 1,
      sym__lowercase_identifier,
    ACTIONS(16773), 1,
      anon_sym_POUND,
    STATE(13113), 1,
      sym_attribute,
    STATE(13451), 1,
      sym_type_constructor_path,
    STATE(16029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16440), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [623343] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11220), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [623368] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11222), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11224), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [623393] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11000), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [623416] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16813), 1,
      anon_sym_COLON2,
    STATE(13117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16811), 8,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [623443] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13118), 1,
      sym_attribute,
    STATE(19462), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [623473] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5169), 1,
      anon_sym_LBRACK,
    ACTIONS(5177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16821), 1,
      anon_sym_LPAREN,
    ACTIONS(16823), 1,
      anon_sym_LBRACE,
    ACTIONS(16825), 1,
      sym__uppercase_identifier,
    STATE(5482), 1,
      sym__constructor_name,
    STATE(13119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5675), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [623507] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7031), 1,
      anon_sym_LBRACK,
    ACTIONS(7041), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16827), 1,
      anon_sym_LPAREN,
    ACTIONS(16829), 1,
      anon_sym_LBRACE,
    ACTIONS(16831), 1,
      sym__uppercase_identifier,
    STATE(7917), 1,
      sym__constructor_name,
    STATE(13120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7680), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [623541] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11578), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [623563] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16833), 1,
      sym__lowercase_identifier,
    ACTIONS(16835), 1,
      anon_sym_LPAREN,
    ACTIONS(16837), 1,
      anon_sym_LBRACK,
    ACTIONS(16839), 1,
      anon_sym_LBRACE,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    STATE(6068), 1,
      sym_field_path,
    STATE(13122), 1,
      sym_attribute,
    STATE(16046), 1,
      sym_indexing_operator_path,
    STATE(17995), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [623601] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12082), 1,
      anon_sym_LPAREN,
    ACTIONS(12084), 1,
      anon_sym_LBRACK,
    ACTIONS(16762), 1,
      anon_sym_PIPE,
    STATE(10506), 1,
      sym__constructor_name,
    STATE(10517), 1,
      sym_variant_declaration,
    STATE(11533), 1,
      sym_constructor_declaration,
    STATE(13123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12086), 2,
      anon_sym_true,
      anon_sym_false,
  [623637] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(16843), 1,
      sym__lowercase_identifier,
    ACTIONS(16845), 1,
      anon_sym_LPAREN,
    ACTIONS(16847), 1,
      anon_sym_LBRACK,
    ACTIONS(16849), 1,
      anon_sym_LBRACE,
    STATE(6097), 1,
      sym_field_path,
    STATE(13124), 1,
      sym_attribute,
    STATE(16053), 1,
      sym_indexing_operator_path,
    STATE(18050), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [623675] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(16851), 1,
      sym__lowercase_identifier,
    ACTIONS(16853), 1,
      anon_sym_LPAREN,
    ACTIONS(16855), 1,
      anon_sym_LBRACK,
    ACTIONS(16857), 1,
      anon_sym_LBRACE,
    STATE(6429), 1,
      sym_field_path,
    STATE(13125), 1,
      sym_attribute,
    STATE(15886), 1,
      sym_indexing_operator_path,
    STATE(19942), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [623713] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(16859), 1,
      sym__lowercase_identifier,
    ACTIONS(16861), 1,
      anon_sym_LPAREN,
    ACTIONS(16863), 1,
      anon_sym_LBRACK,
    ACTIONS(16865), 1,
      anon_sym_LBRACE,
    STATE(4968), 1,
      sym_field_path,
    STATE(13126), 1,
      sym_attribute,
    STATE(15765), 1,
      sym_indexing_operator_path,
    STATE(19261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [623751] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(16867), 1,
      sym__lowercase_identifier,
    ACTIONS(16869), 1,
      anon_sym_LPAREN,
    ACTIONS(16871), 1,
      anon_sym_LBRACK,
    ACTIONS(16873), 1,
      anon_sym_LBRACE,
    STATE(5934), 1,
      sym_field_path,
    STATE(13127), 1,
      sym_attribute,
    STATE(16068), 1,
      sym_indexing_operator_path,
    STATE(18134), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [623789] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6703), 1,
      anon_sym_LBRACK,
    ACTIONS(6713), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16875), 1,
      anon_sym_LPAREN,
    ACTIONS(16877), 1,
      anon_sym_LBRACE,
    ACTIONS(16879), 1,
      sym__uppercase_identifier,
    STATE(8345), 1,
      sym__constructor_name,
    STATE(13128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13186), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [623823] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5387), 1,
      anon_sym_LBRACK,
    ACTIONS(5401), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16879), 1,
      sym__uppercase_identifier,
    ACTIONS(16881), 1,
      anon_sym_LPAREN,
    ACTIONS(16883), 1,
      anon_sym_LBRACE,
    STATE(8345), 1,
      sym__constructor_name,
    STATE(13129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10065), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [623857] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(16885), 1,
      sym__lowercase_identifier,
    ACTIONS(16887), 1,
      anon_sym_LPAREN,
    ACTIONS(16889), 1,
      anon_sym_LBRACK,
    ACTIONS(16891), 1,
      anon_sym_LBRACE,
    STATE(5859), 1,
      sym_field_path,
    STATE(13130), 1,
      sym_attribute,
    STATE(16076), 1,
      sym_indexing_operator_path,
    STATE(18175), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [623895] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(16893), 1,
      sym__lowercase_identifier,
    ACTIONS(16895), 1,
      anon_sym_LPAREN,
    ACTIONS(16897), 1,
      anon_sym_LBRACK,
    ACTIONS(16899), 1,
      anon_sym_LBRACE,
    STATE(3348), 1,
      sym_field_path,
    STATE(13131), 1,
      sym_attribute,
    STATE(16084), 1,
      sym_indexing_operator_path,
    STATE(18216), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [623933] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(16901), 1,
      sym__lowercase_identifier,
    ACTIONS(16903), 1,
      anon_sym_LPAREN,
    ACTIONS(16905), 1,
      anon_sym_LBRACK,
    ACTIONS(16907), 1,
      anon_sym_LBRACE,
    STATE(6259), 1,
      sym_field_path,
    STATE(13132), 1,
      sym_attribute,
    STATE(15906), 1,
      sym_indexing_operator_path,
    STATE(17906), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [623971] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5135), 1,
      anon_sym_LBRACK,
    ACTIONS(5143), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16909), 1,
      anon_sym_LPAREN,
    ACTIONS(16911), 1,
      anon_sym_LBRACE,
    ACTIONS(16913), 1,
      sym__uppercase_identifier,
    STATE(5370), 1,
      sym__constructor_name,
    STATE(13133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5465), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [624005] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(16915), 1,
      sym__lowercase_identifier,
    ACTIONS(16917), 1,
      anon_sym_LPAREN,
    ACTIONS(16919), 1,
      anon_sym_LBRACK,
    ACTIONS(16921), 1,
      anon_sym_LBRACE,
    STATE(7538), 1,
      sym_field_path,
    STATE(13134), 1,
      sym_attribute,
    STATE(16094), 1,
      sym_indexing_operator_path,
    STATE(18257), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624043] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_LBRACK,
    ACTIONS(7455), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16923), 1,
      anon_sym_LPAREN,
    ACTIONS(16925), 1,
      anon_sym_LBRACE,
    ACTIONS(16927), 1,
      sym__uppercase_identifier,
    STATE(8736), 1,
      sym__constructor_name,
    STATE(13135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8463), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [624077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11578), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11574), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [624101] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(16929), 1,
      sym__lowercase_identifier,
    ACTIONS(16931), 1,
      anon_sym_LPAREN,
    ACTIONS(16933), 1,
      anon_sym_LBRACK,
    ACTIONS(16935), 1,
      anon_sym_LBRACE,
    STATE(6803), 1,
      sym_field_path,
    STATE(13137), 1,
      sym_attribute,
    STATE(16102), 1,
      sym_indexing_operator_path,
    STATE(18298), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624139] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11250), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [624161] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(16937), 1,
      sym__lowercase_identifier,
    ACTIONS(16939), 1,
      anon_sym_LPAREN,
    ACTIONS(16941), 1,
      anon_sym_LBRACK,
    ACTIONS(16943), 1,
      anon_sym_LBRACE,
    STATE(3073), 1,
      sym_field_path,
    STATE(13139), 1,
      sym_attribute,
    STATE(16107), 1,
      sym_indexing_operator_path,
    STATE(18339), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624199] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(16945), 1,
      sym__lowercase_identifier,
    ACTIONS(16947), 1,
      anon_sym_LPAREN,
    ACTIONS(16949), 1,
      anon_sym_LBRACK,
    ACTIONS(16951), 1,
      anon_sym_LBRACE,
    STATE(3726), 1,
      sym_field_path,
    STATE(13140), 1,
      sym_attribute,
    STATE(16114), 1,
      sym_indexing_operator_path,
    STATE(18380), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624237] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4963), 1,
      anon_sym_COLON2,
    STATE(13141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4961), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [624261] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9006), 1,
      anon_sym_COLON2,
    STATE(13142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [624285] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9010), 1,
      anon_sym_COLON2,
    STATE(13143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9012), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [624309] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9014), 1,
      anon_sym_COLON2,
    STATE(13144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [624333] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(16953), 1,
      sym__lowercase_identifier,
    ACTIONS(16955), 1,
      anon_sym_LPAREN,
    ACTIONS(16957), 1,
      anon_sym_LBRACK,
    ACTIONS(16959), 1,
      anon_sym_LBRACE,
    STATE(4708), 1,
      sym_field_path,
    STATE(13145), 1,
      sym_attribute,
    STATE(16122), 1,
      sym_indexing_operator_path,
    STATE(18421), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16961), 1,
      anon_sym_DASH_GT,
    STATE(13146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12312), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [624395] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(16963), 1,
      sym__lowercase_identifier,
    ACTIONS(16965), 1,
      anon_sym_LPAREN,
    ACTIONS(16967), 1,
      anon_sym_LBRACK,
    ACTIONS(16969), 1,
      anon_sym_LBRACE,
    STATE(6667), 1,
      sym_field_path,
    STATE(13147), 1,
      sym_attribute,
    STATE(16128), 1,
      sym_indexing_operator_path,
    STATE(18462), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624433] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(16971), 1,
      sym__lowercase_identifier,
    ACTIONS(16973), 1,
      anon_sym_LPAREN,
    ACTIONS(16975), 1,
      anon_sym_LBRACK,
    ACTIONS(16977), 1,
      anon_sym_LBRACE,
    STATE(2900), 1,
      sym_field_path,
    STATE(13148), 1,
      sym_attribute,
    STATE(16138), 1,
      sym_indexing_operator_path,
    STATE(18503), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624471] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(16979), 1,
      sym__lowercase_identifier,
    ACTIONS(16981), 1,
      anon_sym_LPAREN,
    ACTIONS(16983), 1,
      anon_sym_LBRACK,
    ACTIONS(16985), 1,
      anon_sym_LBRACE,
    STATE(7329), 1,
      sym_field_path,
    STATE(13149), 1,
      sym_attribute,
    STATE(15817), 1,
      sym_indexing_operator_path,
    STATE(18370), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624509] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5203), 1,
      anon_sym_LBRACK,
    ACTIONS(5211), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16987), 1,
      anon_sym_LPAREN,
    ACTIONS(16989), 1,
      anon_sym_LBRACE,
    ACTIONS(16991), 1,
      sym__uppercase_identifier,
    STATE(5497), 1,
      sym__constructor_name,
    STATE(13150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5684), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [624543] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(16993), 1,
      sym__lowercase_identifier,
    ACTIONS(16995), 1,
      anon_sym_LPAREN,
    ACTIONS(16997), 1,
      anon_sym_LBRACK,
    ACTIONS(16999), 1,
      anon_sym_LBRACE,
    STATE(6090), 1,
      sym_field_path,
    STATE(13151), 1,
      sym_attribute,
    STATE(16145), 1,
      sym_indexing_operator_path,
    STATE(18543), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624581] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7069), 1,
      anon_sym_LBRACK,
    ACTIONS(7079), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17001), 1,
      anon_sym_LPAREN,
    ACTIONS(17003), 1,
      anon_sym_LBRACE,
    ACTIONS(17005), 1,
      sym__uppercase_identifier,
    STATE(7936), 1,
      sym__constructor_name,
    STATE(13152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7963), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [624615] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17007), 1,
      sym__lowercase_identifier,
    ACTIONS(17009), 1,
      anon_sym_LPAREN,
    ACTIONS(17011), 1,
      anon_sym_LBRACK,
    ACTIONS(17013), 1,
      anon_sym_LBRACE,
    STATE(3465), 1,
      sym_field_path,
    STATE(13153), 1,
      sym_attribute,
    STATE(16154), 1,
      sym_indexing_operator_path,
    STATE(18582), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624653] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17015), 1,
      sym__lowercase_identifier,
    ACTIONS(17017), 1,
      anon_sym_LPAREN,
    ACTIONS(17019), 1,
      anon_sym_LBRACK,
    ACTIONS(17021), 1,
      anon_sym_LBRACE,
    STATE(5895), 1,
      sym_field_path,
    STATE(13154), 1,
      sym_attribute,
    STATE(16160), 1,
      sym_indexing_operator_path,
    STATE(18621), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624691] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17023), 1,
      sym__lowercase_identifier,
    ACTIONS(17025), 1,
      anon_sym_LPAREN,
    ACTIONS(17027), 1,
      anon_sym_LBRACK,
    ACTIONS(17029), 1,
      anon_sym_LBRACE,
    STATE(5712), 1,
      sym_field_path,
    STATE(13155), 1,
      sym_attribute,
    STATE(16168), 1,
      sym_indexing_operator_path,
    STATE(18660), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624729] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17031), 1,
      sym__lowercase_identifier,
    ACTIONS(17033), 1,
      anon_sym_LPAREN,
    ACTIONS(17035), 1,
      anon_sym_LBRACK,
    ACTIONS(17037), 1,
      anon_sym_LBRACE,
    STATE(5388), 1,
      sym_field_path,
    STATE(13156), 1,
      sym_attribute,
    STATE(16176), 1,
      sym_indexing_operator_path,
    STATE(18699), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624767] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17039), 1,
      sym__lowercase_identifier,
    ACTIONS(17041), 1,
      anon_sym_LPAREN,
    ACTIONS(17043), 1,
      anon_sym_LBRACK,
    ACTIONS(17045), 1,
      anon_sym_LBRACE,
    STATE(4954), 1,
      sym_field_path,
    STATE(13157), 1,
      sym_attribute,
    STATE(16185), 1,
      sym_indexing_operator_path,
    STATE(18737), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624805] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17047), 1,
      sym__lowercase_identifier,
    ACTIONS(17049), 1,
      anon_sym_LPAREN,
    ACTIONS(17051), 1,
      anon_sym_LBRACK,
    ACTIONS(17053), 1,
      anon_sym_LBRACE,
    STATE(3137), 1,
      sym_field_path,
    STATE(13158), 1,
      sym_attribute,
    STATE(16191), 1,
      sym_indexing_operator_path,
    STATE(18775), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624843] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11680), 1,
      anon_sym_COLON2,
    ACTIONS(17055), 1,
      anon_sym_LPAREN,
    STATE(13465), 1,
      sym_module_parameter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13159), 2,
      sym_attribute,
      aux_sym_module_binding_repeat1,
    ACTIONS(11678), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [624871] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17058), 1,
      sym__lowercase_identifier,
    ACTIONS(17060), 1,
      anon_sym_LPAREN,
    ACTIONS(17062), 1,
      anon_sym_LBRACK,
    ACTIONS(17064), 1,
      anon_sym_LBRACE,
    STATE(6472), 1,
      sym_field_path,
    STATE(13160), 1,
      sym_attribute,
    STATE(15919), 1,
      sym_indexing_operator_path,
    STATE(18758), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624909] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17066), 1,
      anon_sym_LPAREN,
    ACTIONS(17068), 1,
      anon_sym_LBRACE,
    ACTIONS(17070), 1,
      sym__uppercase_identifier,
    STATE(8808), 1,
      sym__constructor_name,
    STATE(13161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12868), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [624943] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17072), 1,
      sym__lowercase_identifier,
    ACTIONS(17074), 1,
      anon_sym_LPAREN,
    ACTIONS(17076), 1,
      anon_sym_LBRACK,
    ACTIONS(17078), 1,
      anon_sym_LBRACE,
    STATE(2895), 1,
      sym_field_path,
    STATE(13162), 1,
      sym_attribute,
    STATE(16200), 1,
      sym_indexing_operator_path,
    STATE(18812), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [624981] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [625003] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9052), 1,
      anon_sym_COLON2,
    STATE(13164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625027] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17084), 1,
      sym__right_quoted_string_delimiter,
    STATE(13165), 1,
      sym_attribute,
    STATE(13336), 1,
      aux_sym_quoted_string_content_repeat1,
    STATE(19464), 1,
      sym_quoted_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17082), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17080), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [625057] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17086), 1,
      sym__lowercase_identifier,
    ACTIONS(17088), 1,
      anon_sym_LPAREN,
    ACTIONS(17090), 1,
      anon_sym_LBRACK,
    ACTIONS(17092), 1,
      anon_sym_LBRACE,
    STATE(3217), 1,
      sym_field_path,
    STATE(13166), 1,
      sym_attribute,
    STATE(16207), 1,
      sym_indexing_operator_path,
    STATE(18842), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625095] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9060), 1,
      anon_sym_COLON2,
    STATE(13167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625119] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9064), 1,
      anon_sym_COLON2,
    STATE(13168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625143] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4967), 1,
      anon_sym_LBRACK,
    ACTIONS(4975), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17094), 1,
      anon_sym_LPAREN,
    ACTIONS(17096), 1,
      anon_sym_LBRACE,
    ACTIONS(17098), 1,
      sym__uppercase_identifier,
    STATE(5284), 1,
      sym__constructor_name,
    STATE(13169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5457), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [625177] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9084), 1,
      anon_sym_COLON2,
    STATE(13170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625201] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9088), 1,
      anon_sym_COLON2,
    STATE(13171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625225] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13172), 1,
      sym_attribute,
    STATE(19910), 1,
      sym_escape_sequence,
    STATE(20305), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [625255] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13173), 1,
      sym_attribute,
    STATE(17472), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [625285] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17100), 1,
      sym__lowercase_identifier,
    ACTIONS(17102), 1,
      anon_sym_LPAREN,
    ACTIONS(17104), 1,
      anon_sym_LBRACK,
    ACTIONS(17106), 1,
      anon_sym_LBRACE,
    STATE(7261), 1,
      sym_field_path,
    STATE(13174), 1,
      sym_attribute,
    STATE(15930), 1,
      sym_indexing_operator_path,
    STATE(19068), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625323] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6771), 1,
      anon_sym_LBRACK,
    ACTIONS(6781), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17108), 1,
      anon_sym_LPAREN,
    ACTIONS(17110), 1,
      anon_sym_LBRACE,
    ACTIONS(17112), 1,
      sym__uppercase_identifier,
    STATE(7413), 1,
      sym__constructor_name,
    STATE(13175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7434), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [625357] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17068), 1,
      anon_sym_LBRACE,
    ACTIONS(17114), 1,
      anon_sym_LPAREN,
    ACTIONS(17116), 1,
      sym__uppercase_identifier,
    STATE(8422), 1,
      sym__constructor_name,
    STATE(13176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12868), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [625391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11250), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11644), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [625415] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17118), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [625437] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17120), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [625459] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      anon_sym_COLON2,
    STATE(13180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625483] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9076), 1,
      anon_sym_COLON2,
    STATE(13181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625507] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9096), 1,
      anon_sym_COLON2,
    STATE(13182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625531] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8982), 1,
      anon_sym_COLON2,
    STATE(13183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8984), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625555] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8952), 1,
      anon_sym_COLON2,
    STATE(13184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8954), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625579] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9044), 1,
      anon_sym_COLON2,
    STATE(13185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625603] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9092), 1,
      anon_sym_COLON2,
    STATE(13186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625627] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16961), 1,
      anon_sym_DASH_GT,
    ACTIONS(17122), 1,
      anon_sym_as,
    STATE(13187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12275), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [625653] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17124), 1,
      sym__lowercase_identifier,
    ACTIONS(17126), 1,
      anon_sym_LPAREN,
    ACTIONS(17128), 1,
      anon_sym_LBRACK,
    ACTIONS(17130), 1,
      anon_sym_LBRACE,
    STATE(4097), 1,
      sym_field_path,
    STATE(13188), 1,
      sym_attribute,
    STATE(15942), 1,
      sym_indexing_operator_path,
    STATE(19341), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625691] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4921), 1,
      anon_sym_LBRACK,
    ACTIONS(4937), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17068), 1,
      anon_sym_LBRACE,
    ACTIONS(17132), 1,
      anon_sym_LPAREN,
    ACTIONS(17134), 1,
      sym__uppercase_identifier,
    STATE(13189), 1,
      sym_attribute,
    STATE(13244), 1,
      sym__constructor_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12868), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [625725] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13190), 1,
      sym_attribute,
    STATE(19191), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [625755] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11510), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11745), 1,
      anon_sym_in,
    ACTIONS(16771), 1,
      sym__lowercase_identifier,
    ACTIONS(16773), 1,
      anon_sym_POUND,
    ACTIONS(17136), 1,
      anon_sym_STAR,
    STATE(13191), 1,
      sym_attribute,
    STATE(13451), 1,
      sym_type_constructor_path,
    STATE(14508), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16440), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625793] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12082), 1,
      anon_sym_LPAREN,
    ACTIONS(12084), 1,
      anon_sym_LBRACK,
    ACTIONS(16762), 1,
      anon_sym_PIPE,
    STATE(10506), 1,
      sym__constructor_name,
    STATE(10571), 1,
      sym_variant_declaration,
    STATE(11533), 1,
      sym_constructor_declaration,
    STATE(13192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12086), 2,
      anon_sym_true,
      anon_sym_false,
  [625829] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13193), 1,
      sym_attribute,
    STATE(18237), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [625859] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17138), 1,
      sym__lowercase_identifier,
    ACTIONS(17140), 1,
      anon_sym_LPAREN,
    ACTIONS(17142), 1,
      anon_sym_LBRACK,
    ACTIONS(17144), 1,
      anon_sym_LBRACE,
    STATE(4767), 1,
      sym_field_path,
    STATE(13194), 1,
      sym_attribute,
    STATE(15953), 1,
      sym_indexing_operator_path,
    STATE(19726), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [625897] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17146), 1,
      anon_sym_LPAREN,
    ACTIONS(17148), 1,
      anon_sym_LBRACE,
    ACTIONS(17150), 1,
      sym__uppercase_identifier,
    STATE(13195), 1,
      sym_attribute,
    STATE(13960), 1,
      sym__constructor_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13893), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [625931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      anon_sym_COLON2,
    STATE(13196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625955] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8968), 1,
      anon_sym_COLON2,
    STATE(13197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8970), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [625979] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8974), 1,
      anon_sym_COLON2,
    STATE(13198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8976), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [626003] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8978), 1,
      anon_sym_COLON2,
    STATE(13199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8980), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [626027] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13200), 1,
      sym_attribute,
    STATE(19910), 1,
      sym_escape_sequence,
    STATE(20284), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626057] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(16981), 1,
      anon_sym_LPAREN,
    ACTIONS(16983), 1,
      anon_sym_LBRACK,
    ACTIONS(16985), 1,
      anon_sym_LBRACE,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(7329), 1,
      sym_field_path,
    STATE(13201), 1,
      sym_attribute,
    STATE(15817), 1,
      sym_indexing_operator_path,
    STATE(20073), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626095] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8986), 1,
      anon_sym_COLON2,
    STATE(13202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [626119] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8274), 1,
      anon_sym_LBRACK,
    ACTIONS(8278), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16223), 1,
      sym__uppercase_identifier,
    ACTIONS(17154), 1,
      anon_sym_LPAREN,
    ACTIONS(17156), 1,
      anon_sym_LBRACE,
    STATE(8117), 1,
      sym__constructor_name,
    STATE(13203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13851), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [626153] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7354), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17148), 1,
      anon_sym_LBRACE,
    ACTIONS(17158), 1,
      anon_sym_LPAREN,
    ACTIONS(17160), 1,
      sym__uppercase_identifier,
    STATE(9236), 1,
      sym__constructor_name,
    STATE(13204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13893), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [626187] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16961), 1,
      anon_sym_DASH_GT,
    ACTIONS(17122), 1,
      anon_sym_as,
    STATE(13205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12308), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [626213] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13206), 1,
      sym_attribute,
    STATE(19478), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626243] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10902), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [626265] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17162), 1,
      sym__lowercase_identifier,
    ACTIONS(17164), 1,
      anon_sym_LPAREN,
    ACTIONS(17166), 1,
      anon_sym_LBRACK,
    ACTIONS(17168), 1,
      anon_sym_LBRACE,
    STATE(3120), 1,
      sym_field_path,
    STATE(13208), 1,
      sym_attribute,
    STATE(15961), 1,
      sym_indexing_operator_path,
    STATE(20141), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626303] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(17170), 1,
      anon_sym_LPAREN,
    ACTIONS(17172), 1,
      anon_sym_LBRACK,
    STATE(10831), 1,
      sym_constructor_declaration,
    STATE(11075), 1,
      sym__constructor_name,
    STATE(13209), 1,
      sym_attribute,
    STATE(13439), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17174), 2,
      anon_sym_true,
      anon_sym_false,
  [626339] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13210), 1,
      sym_attribute,
    STATE(19910), 1,
      sym_escape_sequence,
    STATE(20339), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626369] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13211), 1,
      sym_attribute,
    STATE(17852), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626399] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13212), 1,
      sym_attribute,
    STATE(19443), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626429] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17176), 1,
      sym__lowercase_identifier,
    ACTIONS(17178), 1,
      anon_sym_LPAREN,
    ACTIONS(17180), 1,
      anon_sym_LBRACK,
    ACTIONS(17182), 1,
      anon_sym_LBRACE,
    STATE(7827), 1,
      sym_field_path,
    STATE(13213), 1,
      sym_attribute,
    STATE(15970), 1,
      sym_indexing_operator_path,
    STATE(17491), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626467] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_COLON2,
    STATE(13214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [626491] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9032), 1,
      anon_sym_COLON2,
    STATE(13215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [626515] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      anon_sym_COLON2,
    STATE(13216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [626539] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      anon_sym_COLON2,
    STATE(13217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [626563] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13218), 1,
      sym_attribute,
    STATE(19875), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10904), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(10902), 7,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [626617] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13220), 1,
      sym_attribute,
    STATE(17854), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626647] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16961), 1,
      anon_sym_DASH_GT,
    ACTIONS(17122), 1,
      anon_sym_as,
    STATE(13221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12328), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [626673] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10992), 1,
      anon_sym_in,
    ACTIONS(16771), 1,
      sym__lowercase_identifier,
    ACTIONS(17184), 1,
      anon_sym_POUND,
    STATE(13222), 1,
      sym_attribute,
    STATE(13498), 1,
      sym_type_constructor_path,
    STATE(16440), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 3,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
  [626707] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13223), 1,
      sym_attribute,
    STATE(17833), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626737] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13224), 1,
      sym_attribute,
    STATE(18974), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626767] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17186), 1,
      sym__lowercase_identifier,
    ACTIONS(17188), 1,
      anon_sym_LPAREN,
    ACTIONS(17190), 1,
      anon_sym_LBRACK,
    ACTIONS(17192), 1,
      anon_sym_LBRACE,
    STATE(3753), 1,
      sym_field_path,
    STATE(13225), 1,
      sym_attribute,
    STATE(15979), 1,
      sym_indexing_operator_path,
    STATE(17556), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [626805] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13226), 1,
      sym_attribute,
    STATE(17517), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626835] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17194), 1,
      anon_sym_LPAREN,
    ACTIONS(17196), 1,
      anon_sym_DOT,
    STATE(13227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11334), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [626861] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9100), 1,
      anon_sym_COLON2,
    STATE(13228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [626885] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13229), 1,
      sym_attribute,
    STATE(17869), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626915] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13230), 1,
      sym_attribute,
    STATE(18256), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626945] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13231), 1,
      sym_attribute,
    STATE(18668), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [626975] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8990), 1,
      anon_sym_COLON2,
    STATE(13232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [626999] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13233), 1,
      sym_attribute,
    STATE(19200), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627029] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13234), 1,
      sym_attribute,
    STATE(19833), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627059] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17198), 1,
      sym__lowercase_identifier,
    ACTIONS(17200), 1,
      anon_sym_LPAREN,
    ACTIONS(17202), 1,
      anon_sym_LBRACK,
    ACTIONS(17204), 1,
      anon_sym_LBRACE,
    STATE(6122), 1,
      sym_field_path,
    STATE(13235), 1,
      sym_attribute,
    STATE(15988), 1,
      sym_indexing_operator_path,
    STATE(17611), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627097] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17206), 1,
      sym__lowercase_identifier,
    ACTIONS(17208), 1,
      anon_sym_LPAREN,
    ACTIONS(17210), 1,
      anon_sym_LBRACK,
    ACTIONS(17212), 1,
      anon_sym_LBRACE,
    STATE(4065), 1,
      sym_field_path,
    STATE(13236), 1,
      sym_attribute,
    STATE(15273), 1,
      sym_indexing_operator_path,
    STATE(19602), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627135] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13237), 1,
      sym_attribute,
    STATE(19910), 1,
      sym_escape_sequence,
    STATE(20272), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627165] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13238), 1,
      sym_attribute,
    STATE(17738), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627195] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13239), 1,
      sym_attribute,
    STATE(18233), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627225] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [627247] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13241), 1,
      sym_attribute,
    STATE(17550), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627277] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13242), 1,
      sym_attribute,
    STATE(17823), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627307] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13243), 1,
      sym_attribute,
    STATE(19509), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627337] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [627359] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13245), 1,
      sym_attribute,
    STATE(19910), 1,
      sym_escape_sequence,
    STATE(20328), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627389] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13246), 1,
      sym_attribute,
    STATE(17970), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627419] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17214), 1,
      sym__lowercase_identifier,
    ACTIONS(17216), 1,
      anon_sym_LPAREN,
    ACTIONS(17218), 1,
      anon_sym_LBRACK,
    ACTIONS(17220), 1,
      anon_sym_LBRACE,
    STATE(6463), 1,
      sym_field_path,
    STATE(13247), 1,
      sym_attribute,
    STATE(15855), 1,
      sym_indexing_operator_path,
    STATE(19994), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627457] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17222), 1,
      sym__lowercase_identifier,
    ACTIONS(17224), 1,
      anon_sym_LPAREN,
    ACTIONS(17226), 1,
      anon_sym_LBRACK,
    ACTIONS(17228), 1,
      anon_sym_LBRACE,
    STATE(5808), 1,
      sym_field_path,
    STATE(13248), 1,
      sym_attribute,
    STATE(15996), 1,
      sym_indexing_operator_path,
    STATE(17665), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627495] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13249), 1,
      sym_attribute,
    STATE(19910), 1,
      sym_escape_sequence,
    STATE(19971), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627525] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13250), 1,
      sym_attribute,
    STATE(17904), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627555] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13251), 1,
      sym_attribute,
    STATE(19055), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627585] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7259), 1,
      anon_sym_LBRACK,
    ACTIONS(7267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17230), 1,
      anon_sym_LPAREN,
    ACTIONS(17232), 1,
      anon_sym_LBRACE,
    ACTIONS(17234), 1,
      sym__uppercase_identifier,
    STATE(8676), 1,
      sym__constructor_name,
    STATE(13252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8756), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [627619] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13253), 1,
      sym_attribute,
    STATE(19465), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627649] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6817), 1,
      anon_sym_LBRACK,
    ACTIONS(6827), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17236), 1,
      anon_sym_LPAREN,
    ACTIONS(17238), 1,
      anon_sym_LBRACE,
    ACTIONS(17240), 1,
      sym__uppercase_identifier,
    STATE(7428), 1,
      sym__constructor_name,
    STATE(13254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7585), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [627683] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13255), 1,
      sym_attribute,
    STATE(19798), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627713] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13256), 1,
      sym_attribute,
    STATE(19910), 1,
      sym_escape_sequence,
    STATE(20261), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627743] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13257), 1,
      sym_attribute,
    STATE(18005), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627773] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13258), 1,
      sym_attribute,
    STATE(17524), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627803] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13259), 1,
      sym_attribute,
    STATE(18159), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627833] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13260), 1,
      sym_attribute,
    STATE(18943), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627863] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17242), 1,
      sym__lowercase_identifier,
    ACTIONS(17244), 1,
      anon_sym_LPAREN,
    ACTIONS(17246), 1,
      anon_sym_LBRACK,
    ACTIONS(17248), 1,
      anon_sym_LBRACE,
    STATE(5633), 1,
      sym_field_path,
    STATE(13261), 1,
      sym_attribute,
    STATE(16003), 1,
      sym_indexing_operator_path,
    STATE(17720), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [627901] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13262), 1,
      sym_attribute,
    STATE(19776), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627931] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13263), 1,
      sym_attribute,
    STATE(17572), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627961] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13264), 1,
      sym_attribute,
    STATE(17768), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [627991] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13265), 1,
      sym_attribute,
    STATE(17979), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628021] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13266), 1,
      sym_attribute,
    STATE(18222), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628051] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13267), 1,
      sym_attribute,
    STATE(18345), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628081] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13268), 1,
      sym_attribute,
    STATE(18414), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628111] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13269), 1,
      sym_attribute,
    STATE(18456), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628141] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13270), 1,
      sym_attribute,
    STATE(18493), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628171] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13271), 1,
      sym_attribute,
    STATE(18527), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628201] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13272), 1,
      sym_attribute,
    STATE(18563), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628231] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13273), 1,
      sym_attribute,
    STATE(18592), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628261] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13274), 1,
      sym_attribute,
    STATE(18639), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628291] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13275), 1,
      sym_attribute,
    STATE(18680), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628321] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13276), 1,
      sym_attribute,
    STATE(18716), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628351] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13277), 1,
      sym_attribute,
    STATE(18754), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628381] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13278), 1,
      sym_attribute,
    STATE(18789), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628411] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16817), 1,
      aux_sym_character_content_token2,
    STATE(13279), 1,
      sym_attribute,
    STATE(18831), 1,
      sym_character_content,
    STATE(19910), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16815), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16819), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [628441] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(17250), 1,
      anon_sym_LPAREN,
    ACTIONS(17252), 1,
      anon_sym_LBRACK,
    STATE(10831), 1,
      sym_constructor_declaration,
    STATE(11929), 1,
      sym__constructor_name,
    STATE(13280), 1,
      sym_attribute,
    STATE(13539), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17254), 2,
      anon_sym_true,
      anon_sym_false,
  [628477] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12722), 1,
      anon_sym_LPAREN,
    ACTIONS(12724), 1,
      anon_sym_LBRACK,
    ACTIONS(16777), 1,
      anon_sym_PIPE,
    STATE(10571), 1,
      sym_variant_declaration,
    STATE(11103), 1,
      sym__constructor_name,
    STATE(11974), 1,
      sym_constructor_declaration,
    STATE(13281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12726), 2,
      anon_sym_true,
      anon_sym_false,
  [628513] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12722), 1,
      anon_sym_LPAREN,
    ACTIONS(12724), 1,
      anon_sym_LBRACK,
    ACTIONS(16777), 1,
      anon_sym_PIPE,
    STATE(10517), 1,
      sym_variant_declaration,
    STATE(11103), 1,
      sym__constructor_name,
    STATE(11974), 1,
      sym_constructor_declaration,
    STATE(13282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12726), 2,
      anon_sym_true,
      anon_sym_false,
  [628549] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(17256), 1,
      anon_sym_LPAREN,
    ACTIONS(17258), 1,
      anon_sym_LBRACK,
    STATE(10831), 1,
      sym_constructor_declaration,
    STATE(11818), 1,
      sym__constructor_name,
    STATE(13283), 1,
      sym_attribute,
    STATE(13657), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17260), 2,
      anon_sym_true,
      anon_sym_false,
  [628585] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17262), 1,
      sym__lowercase_identifier,
    ACTIONS(17264), 1,
      anon_sym_LPAREN,
    ACTIONS(17266), 1,
      anon_sym_LBRACK,
    ACTIONS(17268), 1,
      anon_sym_LBRACE,
    STATE(4908), 1,
      sym_field_path,
    STATE(13284), 1,
      sym_attribute,
    STATE(16012), 1,
      sym_indexing_operator_path,
    STATE(17775), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628623] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    ACTIONS(12421), 1,
      anon_sym_LBRACK,
    ACTIONS(16793), 1,
      anon_sym_PIPE,
    STATE(10571), 1,
      sym_variant_declaration,
    STATE(11135), 1,
      sym__constructor_name,
    STATE(11982), 1,
      sym_constructor_declaration,
    STATE(13285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12423), 2,
      anon_sym_true,
      anon_sym_false,
  [628659] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    ACTIONS(12421), 1,
      anon_sym_LBRACK,
    ACTIONS(16793), 1,
      anon_sym_PIPE,
    STATE(10517), 1,
      sym_variant_declaration,
    STATE(11135), 1,
      sym__constructor_name,
    STATE(11982), 1,
      sym_constructor_declaration,
    STATE(13286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12423), 2,
      anon_sym_true,
      anon_sym_false,
  [628695] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(17270), 1,
      anon_sym_LPAREN,
    ACTIONS(17272), 1,
      anon_sym_LBRACK,
    STATE(10831), 1,
      sym_constructor_declaration,
    STATE(11566), 1,
      sym__constructor_name,
    STATE(13287), 1,
      sym_attribute,
    STATE(13694), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17274), 2,
      anon_sym_true,
      anon_sym_false,
  [628731] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12102), 1,
      anon_sym_LPAREN,
    ACTIONS(12104), 1,
      anon_sym_LBRACK,
    ACTIONS(16766), 1,
      anon_sym_PIPE,
    STATE(10571), 1,
      sym_variant_declaration,
    STATE(10575), 1,
      sym__constructor_name,
    STATE(11545), 1,
      sym_constructor_declaration,
    STATE(13288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12106), 2,
      anon_sym_true,
      anon_sym_false,
  [628767] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12102), 1,
      anon_sym_LPAREN,
    ACTIONS(12104), 1,
      anon_sym_LBRACK,
    ACTIONS(16766), 1,
      anon_sym_PIPE,
    STATE(10517), 1,
      sym_variant_declaration,
    STATE(10575), 1,
      sym__constructor_name,
    STATE(11545), 1,
      sym_constructor_declaration,
    STATE(13289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12106), 2,
      anon_sym_true,
      anon_sym_false,
  [628803] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11701), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11372), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [628829] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17276), 1,
      sym__lowercase_identifier,
    ACTIONS(17278), 1,
      anon_sym_LPAREN,
    ACTIONS(17280), 1,
      anon_sym_LBRACK,
    ACTIONS(17282), 1,
      anon_sym_LBRACE,
    STATE(5258), 1,
      sym_field_path,
    STATE(13291), 1,
      sym_attribute,
    STATE(16018), 1,
      sym_indexing_operator_path,
    STATE(17830), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628867] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17284), 1,
      sym__lowercase_identifier,
    ACTIONS(17286), 1,
      anon_sym_LPAREN,
    ACTIONS(17288), 1,
      anon_sym_LBRACK,
    ACTIONS(17290), 1,
      anon_sym_LBRACE,
    STATE(5993), 1,
      sym_field_path,
    STATE(13292), 1,
      sym_attribute,
    STATE(16027), 1,
      sym_indexing_operator_path,
    STATE(17885), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628905] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(17292), 1,
      anon_sym_LPAREN,
    ACTIONS(17294), 1,
      anon_sym_LBRACK,
    ACTIONS(17298), 1,
      sym__uppercase_identifier,
    STATE(13293), 1,
      sym_attribute,
    STATE(13380), 1,
      sym__attribute,
    STATE(14141), 1,
      sym__constructor_name,
    STATE(14532), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17296), 2,
      anon_sym_true,
      anon_sym_false,
  [628941] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17300), 1,
      sym__lowercase_identifier,
    ACTIONS(17302), 1,
      anon_sym_LPAREN,
    ACTIONS(17304), 1,
      anon_sym_LBRACK,
    ACTIONS(17306), 1,
      anon_sym_LBRACE,
    STATE(9122), 1,
      sym_field_path,
    STATE(13294), 1,
      sym_attribute,
    STATE(16038), 1,
      sym_indexing_operator_path,
    STATE(17940), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [628979] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(16841), 1,
      sym_indexing_operator,
    ACTIONS(17308), 1,
      sym__lowercase_identifier,
    ACTIONS(17310), 1,
      anon_sym_LPAREN,
    ACTIONS(17312), 1,
      anon_sym_LBRACK,
    ACTIONS(17314), 1,
      anon_sym_LBRACE,
    STATE(9581), 1,
      sym_field_path,
    STATE(13295), 1,
      sym_attribute,
    STATE(16061), 1,
      sym_indexing_operator_path,
    STATE(18093), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629017] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17316), 1,
      anon_sym_SEMI,
    ACTIONS(17318), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13296), 1,
      sym_attribute,
    STATE(15582), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629052] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17320), 1,
      sym__lowercase_identifier,
    ACTIONS(17322), 1,
      anon_sym_LPAREN,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    STATE(13297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12616), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [629085] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17326), 1,
      anon_sym_SEMI,
    ACTIONS(17328), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13298), 1,
      sym_attribute,
    STATE(15401), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629120] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11182), 1,
      anon_sym_LBRACK,
    ACTIONS(11184), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11186), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17330), 1,
      sym__lowercase_identifier,
    ACTIONS(17332), 1,
      anon_sym_LPAREN,
    STATE(13299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10424), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [629153] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17334), 1,
      anon_sym_SEMI,
    ACTIONS(17336), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13300), 1,
      sym_attribute,
    STATE(15950), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629188] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17338), 1,
      sym__lowercase_identifier,
    ACTIONS(17340), 1,
      anon_sym_LPAREN,
    STATE(13301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9303), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [629221] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17322), 1,
      anon_sym_LPAREN,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17342), 1,
      sym__lowercase_identifier,
    STATE(13302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12616), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [629254] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17344), 1,
      anon_sym_and,
    STATE(13303), 1,
      sym_attribute,
    STATE(13346), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12354), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [629279] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17352), 1,
      sym__right_quoted_string_delimiter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17349), 2,
      sym__null,
      aux_sym_string_content_token2,
    STATE(13304), 2,
      sym_attribute,
      aux_sym_quoted_string_content_repeat1,
    ACTIONS(17346), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [629304] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17354), 1,
      anon_sym_SEMI,
    ACTIONS(17356), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13305), 1,
      sym_attribute,
    STATE(15183), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629339] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10053), 1,
      anon_sym_LBRACK,
    ACTIONS(10055), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10057), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17358), 1,
      sym__lowercase_identifier,
    ACTIONS(17360), 1,
      anon_sym_LPAREN,
    STATE(13306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11690), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [629372] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17362), 1,
      anon_sym_SEMI,
    ACTIONS(17364), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13307), 1,
      sym_attribute,
    STATE(16125), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629407] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17366), 1,
      anon_sym_EQ,
    ACTIONS(17368), 1,
      anon_sym_RPAREN,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    STATE(13308), 1,
      sym_attribute,
    STATE(16976), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629442] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10002), 1,
      anon_sym_LBRACK,
    ACTIONS(10004), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10006), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17372), 1,
      sym__lowercase_identifier,
    ACTIONS(17374), 1,
      anon_sym_LPAREN,
    STATE(13309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10798), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [629475] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17376), 1,
      anon_sym_SEMI,
    ACTIONS(17378), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13310), 1,
      sym_attribute,
    STATE(16340), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629510] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11106), 1,
      anon_sym_LBRACK,
    ACTIONS(11108), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11110), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17380), 1,
      sym__lowercase_identifier,
    ACTIONS(17382), 1,
      anon_sym_LPAREN,
    STATE(13311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [629543] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17384), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(13312), 1,
      sym_attribute,
    STATE(13313), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12166), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [629570] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17384), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(13313), 1,
      sym_attribute,
    STATE(13354), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12170), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [629597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17386), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13314), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11953), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [629620] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17384), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(13315), 1,
      sym_attribute,
    STATE(13354), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12166), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [629647] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17389), 1,
      anon_sym_SEMI,
    ACTIONS(17391), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13316), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629682] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10761), 1,
      anon_sym_LBRACK,
    ACTIONS(10763), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10765), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17393), 1,
      sym__lowercase_identifier,
    ACTIONS(17395), 1,
      anon_sym_LPAREN,
    STATE(13317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9567), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [629715] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17397), 1,
      anon_sym_SEMI,
    ACTIONS(17399), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13318), 1,
      sym_attribute,
    STATE(15045), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629750] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7777), 1,
      anon_sym_POUND,
    STATE(13319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 3,
      anon_sym_DOT,
      anon_sym_with,
      sym_hash_operator,
    ACTIONS(7789), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [629775] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17401), 1,
      sym__lowercase_identifier,
    ACTIONS(17403), 1,
      anon_sym_LPAREN,
    STATE(13320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9752), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [629808] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17405), 1,
      anon_sym_EQ,
    ACTIONS(17407), 1,
      anon_sym_RPAREN,
    STATE(13321), 1,
      sym_attribute,
    STATE(16542), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629843] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17322), 1,
      anon_sym_LPAREN,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17409), 1,
      sym__lowercase_identifier,
    STATE(13322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12616), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [629876] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17411), 1,
      anon_sym_SEMI,
    ACTIONS(17413), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13323), 1,
      sym_attribute,
    STATE(15185), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [629911] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17322), 1,
      anon_sym_LPAREN,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17415), 1,
      sym__lowercase_identifier,
    STATE(13324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12616), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [629944] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10079), 1,
      anon_sym_LBRACK,
    ACTIONS(10081), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10083), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17417), 1,
      sym__lowercase_identifier,
    ACTIONS(17419), 1,
      anon_sym_LPAREN,
    STATE(13325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10811), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [629977] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17421), 1,
      anon_sym_SEMI,
    ACTIONS(17423), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13326), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630012] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10672), 1,
      anon_sym_LBRACK,
    ACTIONS(10674), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17425), 1,
      sym__lowercase_identifier,
    ACTIONS(17427), 1,
      anon_sym_LPAREN,
    STATE(13327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8891), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630045] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17429), 1,
      anon_sym_EQ,
    ACTIONS(17431), 1,
      anon_sym_RPAREN,
    STATE(13328), 1,
      sym_attribute,
    STATE(16647), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630080] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17433), 1,
      anon_sym_EQ,
    ACTIONS(17435), 1,
      anon_sym_RPAREN,
    STATE(13329), 1,
      sym_attribute,
    STATE(17204), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630115] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17437), 1,
      anon_sym_SEMI,
    ACTIONS(17439), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13330), 1,
      sym_attribute,
    STATE(15234), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630150] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17322), 1,
      anon_sym_LPAREN,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17441), 1,
      sym__lowercase_identifier,
    STATE(13331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12616), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630183] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17443), 1,
      anon_sym_SEMI,
    ACTIONS(17445), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13332), 1,
      sym_attribute,
    STATE(15090), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630218] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10598), 1,
      anon_sym_LBRACK,
    ACTIONS(10600), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10602), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17447), 1,
      sym__lowercase_identifier,
    ACTIONS(17449), 1,
      anon_sym_LPAREN,
    STATE(13333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13012), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630251] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17451), 1,
      anon_sym_EQ,
    ACTIONS(17453), 1,
      anon_sym_RPAREN,
    STATE(13334), 1,
      sym_attribute,
    STATE(16623), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630286] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7787), 1,
      anon_sym_POUND,
    STATE(13335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7789), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      sym_hash_operator,
  [630309] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17455), 1,
      sym__right_quoted_string_delimiter,
    STATE(13304), 1,
      aux_sym_quoted_string_content_repeat1,
    STATE(13336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17082), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17080), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [630336] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17457), 1,
      anon_sym_SEMI,
    ACTIONS(17459), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13337), 1,
      sym_attribute,
    STATE(15260), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630371] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7777), 1,
      anon_sym_POUND,
    STATE(13338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 3,
      anon_sym_DOT,
      anon_sym_with,
      sym_hash_operator,
    ACTIONS(7846), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [630396] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17461), 1,
      anon_sym_SEMI,
    ACTIONS(17463), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13339), 1,
      sym_attribute,
    STATE(15554), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630431] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11050), 1,
      anon_sym_LBRACK,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11054), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17465), 1,
      sym__lowercase_identifier,
    ACTIONS(17467), 1,
      anon_sym_LPAREN,
    STATE(13340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630464] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17469), 1,
      anon_sym_SEMI,
    ACTIONS(17471), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13341), 1,
      sym_attribute,
    STATE(15796), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630499] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11202), 1,
      anon_sym_LBRACK,
    ACTIONS(11204), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11206), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17473), 1,
      sym__lowercase_identifier,
    ACTIONS(17475), 1,
      anon_sym_LPAREN,
    STATE(13342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9953), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630532] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    ACTIONS(10648), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10650), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17477), 1,
      sym__lowercase_identifier,
    ACTIONS(17479), 1,
      anon_sym_LPAREN,
    STATE(13343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12697), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630565] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11929), 1,
      anon_sym_in,
    ACTIONS(16771), 1,
      sym__lowercase_identifier,
    ACTIONS(16773), 1,
      anon_sym_POUND,
    STATE(13344), 1,
      sym_attribute,
    STATE(13451), 1,
      sym_type_constructor_path,
    STATE(16440), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11927), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
  [630598] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11770), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [630619] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17344), 1,
      anon_sym_and,
    STATE(13314), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(13346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12738), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [630644] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17322), 1,
      anon_sym_LPAREN,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17481), 1,
      sym__lowercase_identifier,
    STATE(13347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12616), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630677] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17483), 1,
      anon_sym_SEMI,
    ACTIONS(17485), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13348), 1,
      sym_attribute,
    STATE(15252), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630712] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17487), 1,
      sym__lowercase_identifier,
    ACTIONS(17489), 1,
      anon_sym_LPAREN,
    STATE(13349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10599), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630745] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17491), 1,
      anon_sym_SEMI,
    ACTIONS(17493), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13350), 1,
      sym_attribute,
    STATE(15340), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630780] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11066), 1,
      anon_sym_LBRACK,
    ACTIONS(11068), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11070), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17495), 1,
      sym__lowercase_identifier,
    ACTIONS(17497), 1,
      anon_sym_LPAREN,
    STATE(13351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10673), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630813] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17499), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [630834] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17501), 1,
      anon_sym_EQ,
    ACTIONS(17503), 1,
      anon_sym_RPAREN,
    STATE(13353), 1,
      sym_attribute,
    STATE(17248), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630869] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17505), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13354), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12108), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [630894] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17508), 1,
      anon_sym_SEMI,
    ACTIONS(17510), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13355), 1,
      sym_attribute,
    STATE(15917), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [630929] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9746), 1,
      anon_sym_LBRACK,
    ACTIONS(9748), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9750), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    ACTIONS(17514), 1,
      anon_sym_LPAREN,
    STATE(13356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12483), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [630962] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17516), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [630983] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17384), 1,
      anon_sym_constraint,
    STATE(9276), 1,
      sym_type_constraint,
    STATE(13315), 1,
      aux_sym_type_binding_repeat1,
    STATE(13358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12160), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [631010] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7844), 1,
      anon_sym_POUND,
    STATE(13359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7846), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      sym_hash_operator,
  [631033] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17518), 1,
      anon_sym_SEMI,
    ACTIONS(17520), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13360), 1,
      sym_attribute,
    STATE(16100), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631068] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10731), 1,
      anon_sym_LBRACK,
    ACTIONS(10733), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10735), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17522), 1,
      sym__lowercase_identifier,
    ACTIONS(17524), 1,
      anon_sym_LPAREN,
    STATE(13361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9425), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [631101] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17526), 1,
      anon_sym_STAR,
    STATE(13362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10181), 7,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [631124] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17528), 1,
      anon_sym_SEMI,
    ACTIONS(17530), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13363), 1,
      sym_attribute,
    STATE(16217), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631159] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11086), 1,
      anon_sym_LBRACK,
    ACTIONS(11088), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11090), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17532), 1,
      sym__lowercase_identifier,
    ACTIONS(17534), 1,
      anon_sym_LPAREN,
    STATE(13364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13468), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [631192] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17536), 1,
      anon_sym_SEMI,
    ACTIONS(17538), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13365), 1,
      sym_attribute,
    STATE(16307), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631227] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9950), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9952), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17540), 1,
      sym__lowercase_identifier,
    ACTIONS(17542), 1,
      anon_sym_LPAREN,
    STATE(13366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13058), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [631260] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17544), 1,
      anon_sym_SEMI,
    ACTIONS(17546), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13367), 1,
      sym_attribute,
    STATE(16212), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631295] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    ACTIONS(17548), 1,
      anon_sym_SEMI,
    ACTIONS(17550), 1,
      anon_sym_GT,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13368), 1,
      sym_attribute,
    STATE(16309), 1,
      aux_sym_object_type_repeat1,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631330] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10556), 1,
      anon_sym_LBRACK,
    ACTIONS(10558), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10560), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17552), 1,
      sym__lowercase_identifier,
    ACTIONS(17554), 1,
      anon_sym_LPAREN,
    STATE(13369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9014), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [631363] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9294), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9296), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17556), 1,
      sym__lowercase_identifier,
    ACTIONS(17558), 1,
      anon_sym_LPAREN,
    STATE(13370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9702), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [631396] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10753), 1,
      anon_sym_LBRACK,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17560), 1,
      sym__lowercase_identifier,
    ACTIONS(17562), 1,
      anon_sym_LPAREN,
    STATE(13371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9215), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [631429] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(13372), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(15847), 1,
      sym_field_pattern,
    STATE(18623), 1,
      sym__quoted_string,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631461] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17564), 1,
      anon_sym_COMMA,
    ACTIONS(17566), 1,
      anon_sym_PIPE,
    ACTIONS(17568), 1,
      anon_sym_RBRACK,
    ACTIONS(17570), 1,
      anon_sym_SEMI,
    ACTIONS(17572), 1,
      anon_sym_COLON_COLON,
    STATE(13373), 1,
      sym_attribute,
    STATE(15170), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12036), 1,
      anon_sym_COLON2,
    STATE(13374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12034), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [631515] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17574), 1,
      anon_sym_DASH_GT,
    ACTIONS(17576), 1,
      anon_sym_with,
    STATE(13375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13237), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [631539] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_DASH_GT,
    STATE(13376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12275), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [631563] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17580), 1,
      anon_sym_COMMA,
    ACTIONS(17582), 1,
      anon_sym_PIPE,
    ACTIONS(17584), 1,
      anon_sym_SEMI,
    ACTIONS(17586), 1,
      anon_sym_as,
    ACTIONS(17588), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17590), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13377), 1,
      sym_attribute,
    STATE(15218), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631595] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17592), 1,
      anon_sym_DASH_GT,
    ACTIONS(17594), 1,
      anon_sym_when,
    STATE(13378), 1,
      sym_attribute,
    STATE(19651), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631627] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(17596), 1,
      anon_sym_DASH_GT,
    STATE(13379), 1,
      sym_attribute,
    STATE(18003), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631659] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17292), 1,
      anon_sym_LPAREN,
    ACTIONS(17294), 1,
      anon_sym_LBRACK,
    ACTIONS(17298), 1,
      sym__uppercase_identifier,
    STATE(13380), 1,
      sym_attribute,
    STATE(14141), 1,
      sym__constructor_name,
    STATE(14273), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17296), 2,
      anon_sym_true,
      anon_sym_false,
  [631689] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17598), 1,
      anon_sym_COMMA,
    ACTIONS(17600), 1,
      anon_sym_PIPE,
    ACTIONS(17602), 1,
      anon_sym_SEMI,
    ACTIONS(17604), 1,
      anon_sym_as,
    ACTIONS(17606), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17608), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13381), 1,
      sym_attribute,
    STATE(15497), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631721] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(17612), 1,
      anon_sym__,
    ACTIONS(17614), 1,
      anon_sym_RBRACE,
    STATE(13382), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(17281), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631753] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(13383), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(15621), 1,
      sym_field_binding_pattern,
    STATE(19180), 1,
      sym__quoted_string,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631785] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(13384), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(15649), 1,
      sym_field_pattern,
    STATE(19807), 1,
      sym__quoted_string,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631817] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(17616), 1,
      anon_sym__,
    ACTIONS(17618), 1,
      anon_sym_RBRACE,
    STATE(13385), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(17319), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631849] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17620), 1,
      anon_sym_RPAREN,
    STATE(13386), 1,
      sym_attribute,
    STATE(20229), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631881] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      anon_sym_COMMA,
    ACTIONS(17624), 1,
      anon_sym_PIPE,
    ACTIONS(17626), 1,
      anon_sym_RBRACK,
    ACTIONS(17628), 1,
      anon_sym_SEMI,
    ACTIONS(17630), 1,
      anon_sym_as,
    ACTIONS(17632), 1,
      anon_sym_COLON_COLON,
    STATE(13387), 1,
      sym_attribute,
    STATE(15275), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631913] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17634), 1,
      anon_sym_RPAREN,
    ACTIONS(17636), 1,
      anon_sym_COMMA,
    ACTIONS(17638), 1,
      anon_sym_PIPE,
    ACTIONS(17640), 1,
      anon_sym_as,
    ACTIONS(17642), 1,
      anon_sym_COLON_COLON,
    STATE(13388), 1,
      sym_attribute,
    STATE(18109), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631945] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17644), 1,
      anon_sym_RPAREN,
    STATE(13389), 1,
      sym_attribute,
    STATE(17473), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [631977] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      anon_sym_COMMA,
    ACTIONS(17624), 1,
      anon_sym_PIPE,
    ACTIONS(17630), 1,
      anon_sym_as,
    ACTIONS(17632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17646), 1,
      anon_sym_RBRACK,
    ACTIONS(17648), 1,
      anon_sym_SEMI,
    STATE(13390), 1,
      sym_attribute,
    STATE(16083), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632009] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17598), 1,
      anon_sym_COMMA,
    ACTIONS(17600), 1,
      anon_sym_PIPE,
    ACTIONS(17604), 1,
      anon_sym_as,
    ACTIONS(17606), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17650), 1,
      anon_sym_SEMI,
    ACTIONS(17652), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13391), 1,
      sym_attribute,
    STATE(16096), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632041] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(17654), 1,
      anon_sym__,
    ACTIONS(17656), 1,
      anon_sym_RBRACE,
    STATE(13392), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(17281), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632073] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17658), 1,
      anon_sym_RPAREN,
    STATE(13393), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632105] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17564), 1,
      anon_sym_COMMA,
    ACTIONS(17566), 1,
      anon_sym_PIPE,
    ACTIONS(17572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17660), 1,
      anon_sym_RBRACK,
    ACTIONS(17662), 1,
      anon_sym_SEMI,
    STATE(13394), 1,
      sym_attribute,
    STATE(16127), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632137] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17580), 1,
      anon_sym_COMMA,
    ACTIONS(17582), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_as,
    ACTIONS(17588), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17664), 1,
      anon_sym_SEMI,
    ACTIONS(17666), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13395), 1,
      sym_attribute,
    STATE(16150), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632169] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(17668), 1,
      anon_sym__,
    ACTIONS(17670), 1,
      anon_sym_RBRACE,
    STATE(13396), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(17319), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632201] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17672), 1,
      anon_sym_STAR,
    STATE(13397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10181), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
  [632223] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(16389), 1,
      anon_sym_POUND,
    STATE(13083), 1,
      sym_type_constructor_path,
    STATE(13398), 1,
      sym_attribute,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17674), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [632253] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(17676), 1,
      anon_sym_DASH_GT,
    STATE(13399), 1,
      sym_attribute,
    STATE(19383), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632285] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      anon_sym_COMMA,
    ACTIONS(17624), 1,
      anon_sym_PIPE,
    ACTIONS(17630), 1,
      anon_sym_as,
    ACTIONS(17632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17678), 1,
      anon_sym_RBRACK,
    ACTIONS(17680), 1,
      anon_sym_SEMI,
    STATE(13400), 1,
      sym_attribute,
    STATE(15021), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632317] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(17682), 1,
      anon_sym_DASH_GT,
    STATE(13401), 1,
      sym_attribute,
    STATE(17692), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632349] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(13402), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(15256), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    STATE(20252), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632381] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(13403), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(15281), 1,
      sym_field_pattern,
    STATE(17968), 1,
      sym__quoted_string,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632413] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(17684), 1,
      anon_sym_DASH_GT,
    STATE(13404), 1,
      sym_attribute,
    STATE(18055), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632445] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(17686), 1,
      anon_sym__,
    ACTIONS(17688), 1,
      anon_sym_RBRACE,
    STATE(13405), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(17281), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632477] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(17690), 1,
      anon_sym_DASH_GT,
    STATE(13406), 1,
      sym_attribute,
    STATE(19130), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632509] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17692), 1,
      anon_sym_RPAREN,
    STATE(13407), 1,
      sym_attribute,
    STATE(17938), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632541] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17694), 1,
      anon_sym_RPAREN,
    STATE(13408), 1,
      sym_attribute,
    STATE(17974), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632573] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(17696), 1,
      anon_sym_DASH_GT,
    STATE(13409), 1,
      sym_attribute,
    STATE(19407), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632605] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(17698), 1,
      anon_sym__,
    ACTIONS(17700), 1,
      anon_sym_RBRACE,
    STATE(13410), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(17281), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632637] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11574), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [632657] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(13412), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(15844), 1,
      sym_field_binding_pattern,
    STATE(19430), 1,
      sym__quoted_string,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632689] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(13413), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(15916), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    STATE(20288), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632721] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(17702), 1,
      anon_sym__,
    ACTIONS(17704), 1,
      anon_sym_RBRACE,
    STATE(13414), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(17319), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632753] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17706), 1,
      anon_sym_RPAREN,
    STATE(13415), 1,
      sym_attribute,
    STATE(18400), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632785] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17708), 1,
      anon_sym_RPAREN,
    STATE(13416), 1,
      sym_attribute,
    STATE(18436), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632817] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(17710), 1,
      anon_sym_rec,
    ACTIONS(17712), 1,
      anon_sym_type,
    STATE(11804), 1,
      sym_module_binding,
    STATE(13417), 1,
      sym_attribute,
    STATE(14654), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17714), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [632847] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(17716), 1,
      anon_sym__,
    STATE(13418), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(15105), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [632877] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17636), 1,
      anon_sym_COMMA,
    ACTIONS(17638), 1,
      anon_sym_PIPE,
    ACTIONS(17640), 1,
      anon_sym_as,
    ACTIONS(17642), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17718), 1,
      anon_sym_RPAREN,
    STATE(13419), 1,
      sym_attribute,
    STATE(19702), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632909] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      anon_sym_COMMA,
    ACTIONS(17624), 1,
      anon_sym_PIPE,
    ACTIONS(17630), 1,
      anon_sym_as,
    ACTIONS(17632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17720), 1,
      anon_sym_RBRACK,
    ACTIONS(17722), 1,
      anon_sym_SEMI,
    STATE(13420), 1,
      sym_attribute,
    STATE(15450), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632941] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(13421), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(15412), 1,
      sym_field_pattern,
    STATE(18961), 1,
      sym__quoted_string,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [632973] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17598), 1,
      anon_sym_COMMA,
    ACTIONS(17600), 1,
      anon_sym_PIPE,
    ACTIONS(17604), 1,
      anon_sym_as,
    ACTIONS(17606), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17724), 1,
      anon_sym_SEMI,
    ACTIONS(17726), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13422), 1,
      sym_attribute,
    STATE(15203), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633005] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(17728), 1,
      anon_sym__,
    ACTIONS(17730), 1,
      anon_sym_RBRACE,
    STATE(13423), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(17281), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633037] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17598), 1,
      anon_sym_COMMA,
    ACTIONS(17600), 1,
      anon_sym_PIPE,
    ACTIONS(17604), 1,
      anon_sym_as,
    ACTIONS(17606), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17732), 1,
      anon_sym_SEMI,
    ACTIONS(17734), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13424), 1,
      sym_attribute,
    STATE(15467), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633069] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(17736), 1,
      anon_sym__,
    ACTIONS(17738), 1,
      anon_sym_RBRACE,
    STATE(13425), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(17281), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633101] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17740), 1,
      anon_sym_RPAREN,
    STATE(13426), 1,
      sym_attribute,
    STATE(18806), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633133] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11953), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [633153] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17742), 1,
      anon_sym_RPAREN,
    STATE(13428), 1,
      sym_attribute,
    STATE(18845), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11282), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11284), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [633207] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(17744), 1,
      anon_sym__,
    ACTIONS(17746), 1,
      anon_sym_RBRACE,
    STATE(13430), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(17319), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633239] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(17748), 1,
      anon_sym_DASH_GT,
    STATE(13431), 1,
      sym_attribute,
    STATE(18296), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633271] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(17750), 1,
      anon_sym_DASH_GT,
    STATE(13432), 1,
      sym_attribute,
    STATE(19167), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12010), 1,
      anon_sym_COLON2,
    STATE(13433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12008), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [633325] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17574), 1,
      anon_sym_DASH_GT,
    ACTIONS(17576), 1,
      anon_sym_with,
    STATE(13434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13241), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [633349] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(17752), 1,
      anon_sym__,
    ACTIONS(17754), 1,
      anon_sym_RBRACE,
    STATE(13435), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(17319), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633381] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17756), 1,
      anon_sym_RPAREN,
    STATE(13436), 1,
      sym_attribute,
    STATE(19115), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633413] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11941), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [633433] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17758), 1,
      anon_sym_RPAREN,
    STATE(13438), 1,
      sym_attribute,
    STATE(19131), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633465] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(17170), 1,
      anon_sym_LPAREN,
    ACTIONS(17172), 1,
      anon_sym_LBRACK,
    STATE(10803), 1,
      sym_constructor_declaration,
    STATE(11075), 1,
      sym__constructor_name,
    STATE(13439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17174), 2,
      anon_sym_true,
      anon_sym_false,
  [633495] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(17760), 1,
      anon_sym_DASH_GT,
    STATE(13440), 1,
      sym_attribute,
    STATE(18124), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633527] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17431), 1,
      anon_sym_RPAREN,
    STATE(13441), 1,
      sym_attribute,
    STATE(18006), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11372), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [633581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11262), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11264), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [633603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11342), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11344), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [633625] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17503), 1,
      anon_sym_RPAREN,
    STATE(13445), 1,
      sym_attribute,
    STATE(17470), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11432), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11434), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [633679] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17762), 1,
      anon_sym_RPAREN,
    STATE(13447), 1,
      sym_attribute,
    STATE(19384), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633711] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17764), 1,
      anon_sym_RPAREN,
    STATE(13448), 1,
      sym_attribute,
    STATE(19431), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633743] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17435), 1,
      anon_sym_RPAREN,
    STATE(13449), 1,
      sym_attribute,
    STATE(18185), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633775] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(17766), 1,
      anon_sym_rec,
    ACTIONS(17768), 1,
      anon_sym_type,
    STATE(12047), 1,
      sym_module_binding,
    STATE(13450), 1,
      sym_attribute,
    STATE(14947), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17770), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [633805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11436), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11438), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [633827] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17564), 1,
      anon_sym_COMMA,
    ACTIONS(17566), 1,
      anon_sym_PIPE,
    ACTIONS(17572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17772), 1,
      anon_sym_RBRACK,
    ACTIONS(17774), 1,
      anon_sym_SEMI,
    STATE(13452), 1,
      sym_attribute,
    STATE(15587), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633859] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17580), 1,
      anon_sym_COMMA,
    ACTIONS(17582), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_as,
    ACTIONS(17588), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17776), 1,
      anon_sym_SEMI,
    ACTIONS(17778), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13453), 1,
      sym_attribute,
    STATE(15624), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633891] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17780), 1,
      anon_sym_RPAREN,
    STATE(13454), 1,
      sym_attribute,
    STATE(19802), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633923] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17782), 1,
      anon_sym_RPAREN,
    STATE(13455), 1,
      sym_attribute,
    STATE(19835), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633955] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17564), 1,
      anon_sym_COMMA,
    ACTIONS(17566), 1,
      anon_sym_PIPE,
    ACTIONS(17572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17784), 1,
      anon_sym_RBRACK,
    ACTIONS(17786), 1,
      anon_sym_SEMI,
    STATE(13456), 1,
      sym_attribute,
    STATE(15486), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [633987] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    ACTIONS(14577), 1,
      anon_sym_POUND,
    STATE(12520), 1,
      sym_type_constructor_path,
    STATE(13457), 1,
      sym_attribute,
    STATE(16831), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11927), 2,
      anon_sym_DASH_GT,
      anon_sym_STAR,
  [634017] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11592), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11594), 1,
      anon_sym_in,
    ACTIONS(16771), 1,
      sym__lowercase_identifier,
    ACTIONS(16773), 1,
      anon_sym_POUND,
    STATE(13451), 1,
      sym_type_constructor_path,
    STATE(13458), 1,
      sym_attribute,
    STATE(16440), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634049] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11596), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11598), 1,
      anon_sym_in,
    ACTIONS(16771), 1,
      sym__lowercase_identifier,
    ACTIONS(16773), 1,
      anon_sym_POUND,
    STATE(13451), 1,
      sym_type_constructor_path,
    STATE(13459), 1,
      sym_attribute,
    STATE(16440), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634081] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17580), 1,
      anon_sym_COMMA,
    ACTIONS(17582), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_as,
    ACTIONS(17588), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17788), 1,
      anon_sym_SEMI,
    ACTIONS(17790), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13460), 1,
      sym_attribute,
    STATE(15511), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11220), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [634135] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_DASH_GT,
    STATE(13462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12308), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [634159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11222), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11224), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [634181] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17564), 1,
      anon_sym_COMMA,
    ACTIONS(17566), 1,
      anon_sym_PIPE,
    ACTIONS(17572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17792), 1,
      anon_sym_RBRACK,
    ACTIONS(17794), 1,
      anon_sym_SEMI,
    STATE(13464), 1,
      sym_attribute,
    STATE(15684), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12126), 1,
      anon_sym_COLON2,
    STATE(13465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12124), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [634235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11234), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11236), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [634257] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17796), 1,
      anon_sym_RPAREN,
    STATE(13467), 1,
      sym_attribute,
    STATE(20264), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11242), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11244), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [634311] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17798), 1,
      anon_sym_RPAREN,
    STATE(13469), 1,
      sym_attribute,
    STATE(20286), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634343] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(17800), 1,
      sym__lowercase_identifier,
    ACTIONS(17802), 1,
      anon_sym_type,
    ACTIONS(17804), 1,
      anon_sym_LBRACK,
    ACTIONS(17806), 1,
      anon_sym_virtual,
    STATE(11825), 1,
      sym_class_binding,
    STATE(13470), 1,
      sym_attribute,
    STATE(14430), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634375] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(17808), 1,
      anon_sym__,
    ACTIONS(17810), 1,
      anon_sym_RBRACE,
    STATE(13471), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(17319), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634407] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17812), 1,
      anon_sym_COLON2,
    STATE(13472), 1,
      sym_attribute,
    STATE(16755), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 5,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [634431] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17814), 1,
      anon_sym_RPAREN,
    STATE(13473), 1,
      sym_attribute,
    STATE(17502), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634463] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(17816), 1,
      anon_sym_DASH_GT,
    STATE(13474), 1,
      sym_attribute,
    STATE(17578), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634495] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(17716), 1,
      anon_sym__,
    STATE(13475), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(16184), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [634525] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17818), 1,
      anon_sym_RPAREN,
    STATE(13476), 1,
      sym_attribute,
    STATE(17510), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634557] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11881), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [634577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17822), 3,
      sym__right_quoted_string_delimiter,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17820), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [634599] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12281), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_DASH_GT,
    STATE(13479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12328), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [634623] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17824), 1,
      anon_sym_RPAREN,
    STATE(13480), 1,
      sym_attribute,
    STATE(17562), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634655] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(17826), 1,
      anon_sym_DASH_GT,
    STATE(13481), 1,
      sym_attribute,
    STATE(17474), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634687] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17828), 1,
      anon_sym_RPAREN,
    STATE(13482), 1,
      sym_attribute,
    STATE(17568), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634719] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(17830), 1,
      anon_sym__,
    ACTIONS(17832), 1,
      anon_sym_RBRACE,
    STATE(13483), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(17319), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634751] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(17834), 1,
      anon_sym__,
    ACTIONS(17836), 1,
      anon_sym_RBRACE,
    STATE(13484), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(17281), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634783] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17838), 1,
      anon_sym_RPAREN,
    STATE(13485), 1,
      sym_attribute,
    STATE(17616), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634815] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17840), 1,
      anon_sym_RPAREN,
    STATE(13486), 1,
      sym_attribute,
    STATE(17622), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634847] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11604), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11606), 1,
      anon_sym_in,
    ACTIONS(16771), 1,
      sym__lowercase_identifier,
    ACTIONS(16773), 1,
      anon_sym_POUND,
    STATE(13451), 1,
      sym_type_constructor_path,
    STATE(13487), 1,
      sym_attribute,
    STATE(16440), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634879] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17632), 1,
      anon_sym_COLON_COLON,
    STATE(13488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [634901] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(17716), 1,
      anon_sym__,
    STATE(13489), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(16289), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [634931] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17842), 1,
      anon_sym_RPAREN,
    STATE(13490), 1,
      sym_attribute,
    STATE(17671), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634963] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17844), 1,
      anon_sym_RPAREN,
    STATE(13491), 1,
      sym_attribute,
    STATE(17677), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [634995] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17846), 1,
      anon_sym_RPAREN,
    STATE(13492), 1,
      sym_attribute,
    STATE(18580), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635027] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11949), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [635047] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17564), 1,
      anon_sym_COMMA,
    ACTIONS(17566), 1,
      anon_sym_PIPE,
    ACTIONS(17572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17848), 1,
      anon_sym_RBRACK,
    ACTIONS(17850), 1,
      anon_sym_SEMI,
    STATE(13494), 1,
      sym_attribute,
    STATE(15831), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635079] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12066), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12068), 1,
      anon_sym_in,
    ACTIONS(16771), 1,
      sym__lowercase_identifier,
    ACTIONS(16773), 1,
      anon_sym_POUND,
    STATE(13451), 1,
      sym_type_constructor_path,
    STATE(13495), 1,
      sym_attribute,
    STATE(16440), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11346), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11348), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [635133] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17852), 1,
      anon_sym_RPAREN,
    STATE(13497), 1,
      sym_attribute,
    STATE(17726), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11358), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11360), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [635187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11416), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [635209] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11998), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12000), 1,
      anon_sym_in,
    ACTIONS(16771), 1,
      sym__lowercase_identifier,
    ACTIONS(16773), 1,
      anon_sym_POUND,
    STATE(13451), 1,
      sym_type_constructor_path,
    STATE(13500), 1,
      sym_attribute,
    STATE(16440), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635241] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17854), 1,
      anon_sym_RPAREN,
    STATE(13501), 1,
      sym_attribute,
    STATE(17732), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11440), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11442), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [635295] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17856), 1,
      anon_sym_RBRACK,
    ACTIONS(17858), 1,
      anon_sym_when,
    STATE(13503), 1,
      sym_attribute,
    STATE(19518), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635327] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12012), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12014), 1,
      anon_sym_in,
    ACTIONS(16771), 1,
      sym__lowercase_identifier,
    ACTIONS(16773), 1,
      anon_sym_POUND,
    STATE(13451), 1,
      sym_type_constructor_path,
    STATE(13504), 1,
      sym_attribute,
    STATE(16440), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635359] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7850), 1,
      anon_sym_PIPE,
    STATE(13505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7852), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [635381] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8924), 1,
      anon_sym_PIPE,
    STATE(13506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8926), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [635403] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17860), 1,
      anon_sym_RPAREN,
    STATE(13507), 1,
      sym_attribute,
    STATE(17781), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635435] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8200), 1,
      anon_sym_PIPE,
    STATE(13508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [635457] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17862), 1,
      anon_sym_RPAREN,
    STATE(13509), 1,
      sym_attribute,
    STATE(17787), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635489] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17864), 1,
      anon_sym_RPAREN,
    STATE(13510), 1,
      sym_attribute,
    STATE(17836), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635521] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(17866), 1,
      anon_sym__,
    ACTIONS(17868), 1,
      anon_sym_RBRACE,
    STATE(13511), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(17319), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635553] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17870), 1,
      anon_sym_RPAREN,
    STATE(13512), 1,
      sym_attribute,
    STATE(17842), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635585] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17872), 1,
      anon_sym_RPAREN,
    STATE(13513), 1,
      sym_attribute,
    STATE(17561), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635617] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8210), 1,
      anon_sym_PIPE,
    STATE(13514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [635639] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(17874), 1,
      anon_sym_DASH_GT,
    STATE(13515), 1,
      sym_attribute,
    STATE(17932), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635671] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(17876), 1,
      anon_sym__,
    ACTIONS(17878), 1,
      anon_sym_RBRACE,
    STATE(13516), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(17319), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635703] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      anon_sym_COMMA,
    ACTIONS(17632), 1,
      anon_sym_COLON_COLON,
    STATE(13517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 5,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [635727] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17880), 1,
      anon_sym_RPAREN,
    STATE(13518), 1,
      sym_attribute,
    STATE(17891), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635759] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(17802), 1,
      anon_sym_type,
    ACTIONS(17882), 1,
      sym__lowercase_identifier,
    ACTIONS(17884), 1,
      anon_sym_LBRACK,
    ACTIONS(17886), 1,
      anon_sym_virtual,
    STATE(11780), 1,
      sym_class_binding,
    STATE(13519), 1,
      sym_attribute,
    STATE(14897), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635791] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17888), 1,
      anon_sym_RPAREN,
    STATE(13520), 1,
      sym_attribute,
    STATE(17897), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635823] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(17890), 1,
      anon_sym__,
    ACTIONS(17892), 1,
      anon_sym_RBRACE,
    STATE(13521), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(17281), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635855] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13522), 1,
      sym_attribute,
    STATE(14059), 1,
      aux_sym_expression_item_repeat1,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11802), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(16728), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [635883] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17894), 1,
      anon_sym_RPAREN,
    STATE(13523), 1,
      sym_attribute,
    STATE(18044), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635915] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17896), 1,
      anon_sym_RPAREN,
    STATE(13524), 1,
      sym_attribute,
    STATE(17946), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635947] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17898), 1,
      anon_sym_RPAREN,
    STATE(13525), 1,
      sym_attribute,
    STATE(17952), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [635979] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_PIPE,
    STATE(13526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [636001] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17900), 1,
      anon_sym_RPAREN,
    STATE(13527), 1,
      sym_attribute,
    STATE(18001), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636033] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17902), 1,
      anon_sym_RPAREN,
    STATE(13528), 1,
      sym_attribute,
    STATE(18007), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636065] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(13529), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(15879), 1,
      sym_field_binding_pattern,
    STATE(18623), 1,
      sym__quoted_string,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636097] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17904), 1,
      anon_sym_RPAREN,
    STATE(13530), 1,
      sym_attribute,
    STATE(18056), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636129] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17906), 1,
      anon_sym_RPAREN,
    STATE(13531), 1,
      sym_attribute,
    STATE(18062), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636161] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(13532), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(15973), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    STATE(20158), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636193] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7900), 1,
      anon_sym_PIPE,
    STATE(13533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [636215] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17908), 1,
      anon_sym_RPAREN,
    STATE(13534), 1,
      sym_attribute,
    STATE(18098), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636247] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17910), 1,
      anon_sym_RPAREN,
    STATE(13535), 1,
      sym_attribute,
    STATE(18104), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636279] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(17912), 1,
      anon_sym_DASH_GT,
    STATE(13536), 1,
      sym_attribute,
    STATE(18137), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636311] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17914), 1,
      anon_sym_RPAREN,
    STATE(13537), 1,
      sym_attribute,
    STATE(18139), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636343] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17916), 1,
      anon_sym_RPAREN,
    STATE(13538), 1,
      sym_attribute,
    STATE(18145), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636375] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(17250), 1,
      anon_sym_LPAREN,
    ACTIONS(17252), 1,
      anon_sym_LBRACK,
    STATE(10803), 1,
      sym_constructor_declaration,
    STATE(11929), 1,
      sym__constructor_name,
    STATE(13539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17254), 2,
      anon_sym_true,
      anon_sym_false,
  [636405] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(17918), 1,
      anon_sym_DASH_GT,
    STATE(13540), 1,
      sym_attribute,
    STATE(17996), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636437] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(17920), 1,
      anon_sym_DASH_GT,
    STATE(13541), 1,
      sym_attribute,
    STATE(18059), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636469] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(17922), 1,
      anon_sym__,
    ACTIONS(17924), 1,
      anon_sym_RBRACE,
    STATE(13542), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(17281), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636501] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(17926), 1,
      anon_sym_DASH_GT,
    STATE(13543), 1,
      sym_attribute,
    STATE(18523), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636533] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17928), 1,
      anon_sym_RPAREN,
    STATE(13544), 1,
      sym_attribute,
    STATE(18180), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636565] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17930), 1,
      anon_sym_RPAREN,
    STATE(13545), 1,
      sym_attribute,
    STATE(18186), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636597] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17580), 1,
      anon_sym_COMMA,
    ACTIONS(17582), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_as,
    ACTIONS(17588), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17932), 1,
      anon_sym_SEMI,
    ACTIONS(17934), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13546), 1,
      sym_attribute,
    STATE(16080), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636629] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17936), 1,
      anon_sym_RPAREN,
    STATE(13547), 1,
      sym_attribute,
    STATE(18221), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636661] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17938), 1,
      anon_sym_RPAREN,
    STATE(13548), 1,
      sym_attribute,
    STATE(18227), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636693] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17940), 1,
      anon_sym_RPAREN,
    STATE(13549), 1,
      sym_attribute,
    STATE(19334), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636725] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(17942), 1,
      anon_sym_DASH_GT,
    STATE(13550), 1,
      sym_attribute,
    STATE(18330), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636757] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17944), 1,
      anon_sym_RPAREN,
    STATE(13551), 1,
      sym_attribute,
    STATE(19385), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636789] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17946), 1,
      anon_sym_RPAREN,
    STATE(13552), 1,
      sym_attribute,
    STATE(18262), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636821] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17948), 1,
      anon_sym_RPAREN,
    STATE(13553), 1,
      sym_attribute,
    STATE(18268), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636853] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(17716), 1,
      anon_sym__,
    STATE(13554), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(15150), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [636883] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(17950), 1,
      anon_sym_DASH_GT,
    STATE(13555), 1,
      sym_attribute,
    STATE(19519), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636915] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17636), 1,
      anon_sym_COMMA,
    ACTIONS(17638), 1,
      anon_sym_PIPE,
    ACTIONS(17640), 1,
      anon_sym_as,
    ACTIONS(17642), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17952), 1,
      anon_sym_RPAREN,
    STATE(13556), 1,
      sym_attribute,
    STATE(19770), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636947] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17954), 1,
      anon_sym_RPAREN,
    STATE(13557), 1,
      sym_attribute,
    STATE(18309), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [636979] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(17956), 1,
      anon_sym__,
    ACTIONS(17958), 1,
      anon_sym_RBRACE,
    STATE(13558), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(17319), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637011] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17960), 1,
      anon_sym_RPAREN,
    STATE(13559), 1,
      sym_attribute,
    STATE(18344), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637043] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17962), 1,
      anon_sym_RPAREN,
    STATE(13560), 1,
      sym_attribute,
    STATE(18350), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637075] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17636), 1,
      anon_sym_COMMA,
    ACTIONS(17638), 1,
      anon_sym_PIPE,
    ACTIONS(17640), 1,
      anon_sym_as,
    ACTIONS(17642), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17964), 1,
      anon_sym_RPAREN,
    STATE(13561), 1,
      sym_attribute,
    STATE(18644), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637107] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      anon_sym_COMMA,
    ACTIONS(17624), 1,
      anon_sym_PIPE,
    ACTIONS(17630), 1,
      anon_sym_as,
    ACTIONS(17632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17966), 1,
      anon_sym_RBRACK,
    ACTIONS(17968), 1,
      anon_sym_SEMI,
    STATE(13562), 1,
      sym_attribute,
    STATE(15571), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637139] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17578), 1,
      anon_sym_DASH_GT,
    STATE(13563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12312), 6,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [637161] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17598), 1,
      anon_sym_COMMA,
    ACTIONS(17600), 1,
      anon_sym_PIPE,
    ACTIONS(17604), 1,
      anon_sym_as,
    ACTIONS(17606), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17970), 1,
      anon_sym_SEMI,
    ACTIONS(17972), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13564), 1,
      sym_attribute,
    STATE(15591), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637193] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17974), 1,
      anon_sym_RPAREN,
    STATE(13565), 1,
      sym_attribute,
    STATE(18385), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637225] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8204), 1,
      anon_sym_PIPE,
    ACTIONS(8208), 1,
      anon_sym_DOT,
    STATE(13566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [637249] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8932), 1,
      anon_sym_PIPE,
    STATE(13567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8934), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [637271] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17976), 1,
      anon_sym_RPAREN,
    STATE(13568), 1,
      sym_attribute,
    STATE(18391), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637303] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8232), 1,
      anon_sym_PIPE,
    STATE(13569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [637325] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17453), 1,
      anon_sym_RPAREN,
    STATE(13570), 1,
      sym_attribute,
    STATE(18723), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637357] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17564), 1,
      anon_sym_COMMA,
    ACTIONS(17566), 1,
      anon_sym_PIPE,
    ACTIONS(17572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17978), 1,
      anon_sym_RBRACK,
    ACTIONS(17980), 1,
      anon_sym_SEMI,
    STATE(13571), 1,
      sym_attribute,
    STATE(15605), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637389] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17982), 1,
      anon_sym_RPAREN,
    STATE(13572), 1,
      sym_attribute,
    STATE(18426), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637421] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17984), 1,
      anon_sym_RPAREN,
    STATE(13573), 1,
      sym_attribute,
    STATE(18432), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637453] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17580), 1,
      anon_sym_COMMA,
    ACTIONS(17582), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_as,
    ACTIONS(17588), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17986), 1,
      anon_sym_SEMI,
    ACTIONS(17988), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13574), 1,
      sym_attribute,
    STATE(15614), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637485] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8236), 1,
      anon_sym_PIPE,
    STATE(13575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8238), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [637507] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8262), 1,
      anon_sym_PIPE,
    STATE(13576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [637529] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17990), 1,
      anon_sym_RPAREN,
    STATE(13577), 1,
      sym_attribute,
    STATE(18467), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637561] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17992), 1,
      anon_sym_RPAREN,
    STATE(13578), 1,
      sym_attribute,
    STATE(18473), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637593] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(17994), 1,
      anon_sym__,
    ACTIONS(17996), 1,
      anon_sym_RBRACE,
    STATE(13579), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(17319), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637625] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(17998), 1,
      anon_sym_DASH_GT,
    STATE(13580), 1,
      sym_attribute,
    STATE(19136), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11502), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11504), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [637679] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18000), 1,
      anon_sym_RPAREN,
    STATE(13582), 1,
      sym_attribute,
    STATE(18508), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637711] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8204), 1,
      anon_sym_PIPE,
    ACTIONS(8240), 1,
      anon_sym_DOT,
    STATE(13583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [637735] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18002), 1,
      anon_sym_RPAREN,
    STATE(13584), 1,
      sym_attribute,
    STATE(18514), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11522), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11524), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [637789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11526), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11528), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [637811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11534), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11536), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [637833] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(17716), 1,
      anon_sym__,
    STATE(13588), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(16179), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [637863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11538), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11540), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [637885] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18004), 1,
      anon_sym_RPAREN,
    STATE(13590), 1,
      sym_attribute,
    STATE(18548), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637917] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11961), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [637937] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18006), 1,
      anon_sym_RPAREN,
    STATE(13592), 1,
      sym_attribute,
    STATE(18554), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [637969] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11965), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [637989] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17574), 1,
      anon_sym_DASH_GT,
    ACTIONS(17576), 1,
      anon_sym_with,
    STATE(13594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13233), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [638013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11542), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11544), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [638035] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18008), 1,
      anon_sym_RPAREN,
    STATE(13596), 1,
      sym_attribute,
    STATE(18587), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638067] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18010), 1,
      anon_sym_RPAREN,
    STATE(13597), 1,
      sym_attribute,
    STATE(18593), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638099] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17580), 1,
      anon_sym_COMMA,
    ACTIONS(17582), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_as,
    ACTIONS(17588), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18012), 1,
      anon_sym_SEMI,
    ACTIONS(18014), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13598), 1,
      sym_attribute,
    STATE(14983), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638131] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18016), 1,
      anon_sym_RPAREN,
    STATE(13599), 1,
      sym_attribute,
    STATE(18626), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638163] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4963), 1,
      anon_sym_PIPE,
    ACTIONS(18018), 1,
      anon_sym_DOT_DOT,
    STATE(13600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4961), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [638187] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18020), 1,
      anon_sym_RPAREN,
    STATE(13601), 1,
      sym_attribute,
    STATE(18632), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638219] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11644), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [638239] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(18022), 1,
      anon_sym__,
    ACTIONS(18024), 1,
      anon_sym_RBRACE,
    STATE(13603), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(17281), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638271] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(18026), 1,
      anon_sym_DASH_GT,
    STATE(13604), 1,
      sym_attribute,
    STATE(18736), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638303] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18028), 1,
      anon_sym_RPAREN,
    STATE(13605), 1,
      sym_attribute,
    STATE(18665), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638335] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18030), 1,
      anon_sym_RPAREN,
    STATE(13606), 1,
      sym_attribute,
    STATE(18671), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638367] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17632), 1,
      anon_sym_COLON_COLON,
    STATE(13607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [638389] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(18032), 1,
      anon_sym_DASH_GT,
    STATE(13608), 1,
      sym_attribute,
    STATE(18513), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638421] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18034), 1,
      anon_sym_RPAREN,
    STATE(13609), 1,
      sym_attribute,
    STATE(18704), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638453] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18036), 1,
      anon_sym_RPAREN,
    STATE(13610), 1,
      sym_attribute,
    STATE(18709), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638485] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(11992), 1,
      anon_sym_LPAREN,
    ACTIONS(11994), 1,
      anon_sym_LBRACK,
    STATE(10202), 1,
      sym__constructor_name,
    STATE(10500), 1,
      sym_constructor_declaration,
    STATE(13611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11996), 2,
      anon_sym_true,
      anon_sym_false,
  [638515] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18038), 1,
      anon_sym_RPAREN,
    STATE(13612), 1,
      sym_attribute,
    STATE(18742), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638547] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(18040), 1,
      anon_sym__,
    ACTIONS(18042), 1,
      anon_sym_RBRACE,
    STATE(13613), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(17319), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638579] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18044), 1,
      anon_sym_RPAREN,
    STATE(13614), 1,
      sym_attribute,
    STATE(18747), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638611] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(18046), 1,
      anon_sym__,
    ACTIONS(18048), 1,
      anon_sym_RBRACE,
    STATE(13615), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(17281), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638643] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18050), 1,
      anon_sym_RPAREN,
    STATE(13616), 1,
      sym_attribute,
    STATE(18780), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638675] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18052), 1,
      anon_sym_RPAREN,
    STATE(13617), 1,
      sym_attribute,
    STATE(18785), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638707] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(18054), 1,
      anon_sym_DASH_GT,
    STATE(13618), 1,
      sym_attribute,
    STATE(18030), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638739] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18056), 1,
      anon_sym_RPAREN,
    STATE(13619), 1,
      sym_attribute,
    STATE(18817), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638771] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18058), 1,
      anon_sym_RPAREN,
    STATE(13620), 1,
      sym_attribute,
    STATE(18822), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638803] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(17716), 1,
      anon_sym__,
    STATE(13621), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(15121), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [638833] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(18060), 1,
      anon_sym_DASH_GT,
    STATE(13622), 1,
      sym_attribute,
    STATE(19555), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638865] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18062), 1,
      anon_sym_RPAREN,
    STATE(13623), 1,
      sym_attribute,
    STATE(18846), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638897] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18064), 1,
      anon_sym_RPAREN,
    STATE(13624), 1,
      sym_attribute,
    STATE(18848), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638929] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18070), 1,
      anon_sym_AMP,
    STATE(13625), 1,
      sym_attribute,
    STATE(14187), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18066), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [638957] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18072), 1,
      anon_sym_RPAREN,
    STATE(13626), 1,
      sym_attribute,
    STATE(18869), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [638989] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18074), 1,
      anon_sym_RPAREN,
    STATE(13627), 1,
      sym_attribute,
    STATE(18871), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639021] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(18076), 1,
      anon_sym__,
    ACTIONS(18078), 1,
      anon_sym_RBRACE,
    STATE(13628), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(17281), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639053] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17636), 1,
      anon_sym_COMMA,
    ACTIONS(17638), 1,
      anon_sym_PIPE,
    ACTIONS(17640), 1,
      anon_sym_as,
    ACTIONS(17642), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18080), 1,
      anon_sym_RPAREN,
    STATE(13629), 1,
      sym_attribute,
    STATE(17647), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639085] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      anon_sym_COMMA,
    ACTIONS(17624), 1,
      anon_sym_PIPE,
    ACTIONS(17630), 1,
      anon_sym_as,
    ACTIONS(17632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18082), 1,
      anon_sym_RBRACK,
    ACTIONS(18084), 1,
      anon_sym_SEMI,
    STATE(13630), 1,
      sym_attribute,
    STATE(15560), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639117] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17564), 1,
      anon_sym_COMMA,
    ACTIONS(17566), 1,
      anon_sym_PIPE,
    ACTIONS(17572), 1,
      anon_sym_COLON_COLON,
    STATE(13631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16807), 3,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [639145] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17598), 1,
      anon_sym_COMMA,
    ACTIONS(17600), 1,
      anon_sym_PIPE,
    ACTIONS(17604), 1,
      anon_sym_as,
    ACTIONS(17606), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18086), 1,
      anon_sym_SEMI,
    ACTIONS(18088), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13632), 1,
      sym_attribute,
    STATE(15579), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639177] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(18090), 1,
      anon_sym__,
    ACTIONS(18092), 1,
      anon_sym_RBRACE,
    STATE(13633), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(17319), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639209] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17572), 1,
      anon_sym_COLON_COLON,
    STATE(13634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16811), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [639231] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17564), 1,
      anon_sym_COMMA,
    ACTIONS(17572), 1,
      anon_sym_COLON_COLON,
    STATE(13635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16799), 5,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [639255] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17572), 1,
      anon_sym_COLON_COLON,
    STATE(13636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16754), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [639277] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(18094), 1,
      anon_sym__,
    ACTIONS(18096), 1,
      anon_sym_RBRACE,
    STATE(13637), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(17319), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(7966), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [639331] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(18098), 1,
      anon_sym_DASH_GT,
    STATE(13639), 1,
      sym_attribute,
    STATE(20001), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639363] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7017), 1,
      anon_sym_PIPE,
    ACTIONS(18018), 1,
      anon_sym_DOT_DOT,
    STATE(13640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7013), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [639387] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(17716), 1,
      anon_sym__,
    STATE(13641), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(16081), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [639417] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11216), 1,
      anon_sym_RPAREN,
    ACTIONS(18100), 1,
      anon_sym_COLON2,
    STATE(13642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [639441] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(17716), 1,
      anon_sym__,
    STATE(13643), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(16211), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [639471] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(18102), 1,
      anon_sym__,
    ACTIONS(18104), 1,
      anon_sym_RBRACE,
    STATE(13644), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(17281), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639503] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(13645), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(16323), 1,
      sym_field_binding_pattern,
    STATE(19669), 1,
      sym__quoted_string,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639535] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18070), 1,
      anon_sym_AMP,
    STATE(13646), 1,
      sym_attribute,
    STATE(14199), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18106), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [639563] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17636), 1,
      anon_sym_COMMA,
    ACTIONS(17638), 1,
      anon_sym_PIPE,
    ACTIONS(17640), 1,
      anon_sym_as,
    ACTIONS(17642), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18108), 1,
      anon_sym_RPAREN,
    STATE(13647), 1,
      sym_attribute,
    STATE(20127), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639595] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(18110), 1,
      anon_sym__,
    ACTIONS(18112), 1,
      anon_sym_RBRACE,
    STATE(13648), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(17319), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639627] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12082), 1,
      anon_sym_LPAREN,
    ACTIONS(12084), 1,
      anon_sym_LBRACK,
    STATE(10500), 1,
      sym_constructor_declaration,
    STATE(10506), 1,
      sym__constructor_name,
    STATE(13649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12086), 2,
      anon_sym_true,
      anon_sym_false,
  [639657] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(13650), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(15867), 1,
      sym_field_binding_pattern,
    STATE(17757), 1,
      sym__quoted_string,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639689] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17368), 1,
      anon_sym_RPAREN,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    STATE(13651), 1,
      sym_attribute,
    STATE(17987), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639721] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(18114), 1,
      anon_sym_DASH_GT,
    STATE(13652), 1,
      sym_attribute,
    STATE(19242), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639753] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(17716), 1,
      anon_sym__,
    STATE(13653), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(15317), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [639783] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(13654), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(15882), 1,
      sym_field_pattern,
    STATE(17757), 1,
      sym__quoted_string,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [639815] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(17716), 1,
      anon_sym__,
    STATE(13655), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(15353), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [639845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11550), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11552), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [639867] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(17256), 1,
      anon_sym_LPAREN,
    ACTIONS(17258), 1,
      anon_sym_LBRACK,
    STATE(10803), 1,
      sym_constructor_declaration,
    STATE(11818), 1,
      sym__constructor_name,
    STATE(13657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17260), 2,
      anon_sym_true,
      anon_sym_false,
  [639897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(8112), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [639919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11558), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11560), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [639941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11564), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [639963] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12269), 1,
      anon_sym_LPAREN,
    ACTIONS(12271), 1,
      anon_sym_LBRACK,
    STATE(10500), 1,
      sym_constructor_declaration,
    STATE(11031), 1,
      sym__constructor_name,
    STATE(13661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12273), 2,
      anon_sym_true,
      anon_sym_false,
  [639993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(8124), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [640015] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(18116), 1,
      anon_sym_DASH_GT,
    STATE(13663), 1,
      sym_attribute,
    STATE(19743), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640047] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(17716), 1,
      anon_sym__,
    STATE(13664), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(15578), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [640077] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14617), 1,
      anon_sym_BANG,
    ACTIONS(17716), 1,
      anon_sym__,
    STATE(13665), 1,
      sym_attribute,
    STATE(14237), 1,
      sym_type_variable,
    STATE(15608), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14615), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [640107] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17574), 1,
      anon_sym_DASH_GT,
    ACTIONS(17576), 1,
      anon_sym_with,
    STATE(13666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13225), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [640131] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12722), 1,
      anon_sym_LPAREN,
    ACTIONS(12724), 1,
      anon_sym_LBRACK,
    STATE(10500), 1,
      sym_constructor_declaration,
    STATE(11103), 1,
      sym__constructor_name,
    STATE(13667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12726), 2,
      anon_sym_true,
      anon_sym_false,
  [640161] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18118), 1,
      anon_sym_RPAREN,
    STATE(13668), 1,
      sym_attribute,
    STATE(20102), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640193] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13669), 1,
      sym_attribute,
    STATE(14188), 1,
      aux_sym_expression_item_repeat1,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12338), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(18120), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [640221] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 7,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [640241] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12302), 1,
      anon_sym_LPAREN,
    ACTIONS(12304), 1,
      anon_sym_LBRACK,
    STATE(10500), 1,
      sym_constructor_declaration,
    STATE(10845), 1,
      sym__constructor_name,
    STATE(13671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12306), 2,
      anon_sym_true,
      anon_sym_false,
  [640271] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18122), 1,
      anon_sym_RPAREN,
    STATE(13672), 1,
      sym_attribute,
    STATE(20146), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(7920), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [640325] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    STATE(13674), 1,
      sym_attribute,
    STATE(19150), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11578), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11574), 3,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [640351] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17564), 1,
      anon_sym_COMMA,
    ACTIONS(17566), 1,
      anon_sym_PIPE,
    ACTIONS(17572), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18124), 1,
      anon_sym_RBRACK,
    ACTIONS(18126), 1,
      anon_sym_SEMI,
    STATE(13675), 1,
      sym_attribute,
    STATE(15681), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640383] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    ACTIONS(12421), 1,
      anon_sym_LBRACK,
    STATE(10500), 1,
      sym_constructor_declaration,
    STATE(11135), 1,
      sym__constructor_name,
    STATE(13676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12423), 2,
      anon_sym_true,
      anon_sym_false,
  [640413] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11973), 1,
      anon_sym_LPAREN,
    ACTIONS(11975), 1,
      anon_sym_LBRACK,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    STATE(10236), 1,
      sym__constructor_name,
    STATE(10500), 1,
      sym_constructor_declaration,
    STATE(13677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11977), 2,
      anon_sym_true,
      anon_sym_false,
  [640443] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(12102), 1,
      anon_sym_LPAREN,
    ACTIONS(12104), 1,
      anon_sym_LBRACK,
    STATE(10500), 1,
      sym_constructor_declaration,
    STATE(10575), 1,
      sym__constructor_name,
    STATE(13678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12106), 2,
      anon_sym_true,
      anon_sym_false,
  [640473] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(18128), 1,
      anon_sym_DASH_GT,
    STATE(13679), 1,
      sym_attribute,
    STATE(19526), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11494), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11496), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [640527] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 7,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [640547] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(18130), 1,
      anon_sym__,
    ACTIONS(18132), 1,
      anon_sym_RBRACE,
    STATE(13682), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(17281), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640579] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17636), 1,
      anon_sym_COMMA,
    ACTIONS(17638), 1,
      anon_sym_PIPE,
    ACTIONS(17640), 1,
      anon_sym_as,
    ACTIONS(17642), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18134), 1,
      anon_sym_RPAREN,
    STATE(13683), 1,
      sym_attribute,
    STATE(17484), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640611] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17610), 1,
      sym__lowercase_identifier,
    ACTIONS(18136), 1,
      anon_sym__,
    ACTIONS(18138), 1,
      anon_sym_RBRACE,
    STATE(13684), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(17319), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640643] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(17802), 1,
      anon_sym_type,
    ACTIONS(18140), 1,
      sym__lowercase_identifier,
    ACTIONS(18142), 1,
      anon_sym_LBRACK,
    ACTIONS(18144), 1,
      anon_sym_virtual,
    STATE(12492), 1,
      sym_class_binding,
    STATE(13685), 1,
      sym_attribute,
    STATE(14655), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640675] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      anon_sym_COMMA,
    ACTIONS(17624), 1,
      anon_sym_PIPE,
    ACTIONS(17630), 1,
      anon_sym_as,
    ACTIONS(17632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18146), 1,
      anon_sym_RBRACK,
    ACTIONS(18148), 1,
      anon_sym_SEMI,
    STATE(13686), 1,
      sym_attribute,
    STATE(15071), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11214), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11216), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [640729] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(18150), 1,
      anon_sym_DASH_GT,
    STATE(13688), 1,
      sym_attribute,
    STATE(19895), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640761] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17598), 1,
      anon_sym_COMMA,
    ACTIONS(17600), 1,
      anon_sym_PIPE,
    ACTIONS(17604), 1,
      anon_sym_as,
    ACTIONS(17606), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18152), 1,
      anon_sym_SEMI,
    ACTIONS(18154), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13689), 1,
      sym_attribute,
    STATE(15146), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640793] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17564), 1,
      anon_sym_COMMA,
    ACTIONS(17566), 1,
      anon_sym_PIPE,
    ACTIONS(17572), 1,
      anon_sym_COLON_COLON,
    STATE(13690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16781), 3,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [640821] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17580), 1,
      anon_sym_COMMA,
    ACTIONS(17582), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_as,
    ACTIONS(17588), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18156), 1,
      anon_sym_SEMI,
    ACTIONS(18158), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13691), 1,
      sym_attribute,
    STATE(15775), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640853] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(13692), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(15458), 1,
      sym_field_binding_pattern,
    STATE(18934), 1,
      sym__quoted_string,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640885] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(13693), 1,
      sym_attribute,
    STATE(14042), 1,
      sym_field_path,
    STATE(15482), 1,
      sym_field_pattern,
    STATE(18235), 1,
      sym__quoted_string,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640917] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11979), 1,
      sym__uppercase_identifier,
    ACTIONS(17270), 1,
      anon_sym_LPAREN,
    ACTIONS(17272), 1,
      anon_sym_LBRACK,
    STATE(10803), 1,
      sym_constructor_declaration,
    STATE(11566), 1,
      sym__constructor_name,
    STATE(13694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17274), 2,
      anon_sym_true,
      anon_sym_false,
  [640947] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18160), 1,
      anon_sym_RPAREN,
    STATE(13695), 1,
      sym_attribute,
    STATE(17783), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [640979] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(18162), 1,
      anon_sym_DASH_GT,
    STATE(13696), 1,
      sym_attribute,
    STATE(18395), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641011] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(17802), 1,
      anon_sym_type,
    ACTIONS(18164), 1,
      sym__lowercase_identifier,
    ACTIONS(18166), 1,
      anon_sym_LBRACK,
    ACTIONS(18168), 1,
      anon_sym_virtual,
    STATE(12662), 1,
      sym_class_binding,
    STATE(13697), 1,
      sym_attribute,
    STATE(14568), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641043] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(18170), 1,
      anon_sym_DASH_GT,
    STATE(13698), 1,
      sym_attribute,
    STATE(18471), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641075] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17594), 1,
      anon_sym_when,
    ACTIONS(18172), 1,
      anon_sym_DASH_GT,
    STATE(13699), 1,
      sym_attribute,
    STATE(20323), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641107] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18174), 1,
      anon_sym_RPAREN,
    STATE(13700), 1,
      sym_attribute,
    STATE(17945), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641139] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(17407), 1,
      anon_sym_RPAREN,
    STATE(13701), 1,
      sym_attribute,
    STATE(17618), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641171] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(18176), 1,
      anon_sym_rec,
    ACTIONS(18178), 1,
      anon_sym_type,
    STATE(12659), 1,
      sym_module_binding,
    STATE(13702), 1,
      sym_attribute,
    STATE(14943), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18180), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [641201] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(18182), 1,
      anon_sym_rec,
    ACTIONS(18184), 1,
      anon_sym_type,
    STATE(12661), 1,
      sym_module_binding,
    STATE(13703), 1,
      sym_attribute,
    STATE(14945), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18186), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [641231] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(18188), 1,
      anon_sym_RPAREN,
    STATE(13704), 1,
      sym_attribute,
    STATE(18303), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641263] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9558), 1,
      anon_sym_PIPE,
    STATE(13705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9560), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [641284] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8986), 1,
      anon_sym_PIPE,
    STATE(13706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [641305] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9574), 1,
      anon_sym_PIPE,
    STATE(13707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9576), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [641326] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9452), 1,
      anon_sym_PIPE,
    STATE(13708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [641347] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9456), 1,
      anon_sym_PIPE,
    STATE(13709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [641368] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9460), 1,
      anon_sym_PIPE,
    STATE(13710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [641389] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18190), 1,
      anon_sym_RBRACE,
    STATE(13711), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641418] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9464), 1,
      anon_sym_PIPE,
    STATE(13712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [641439] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18192), 1,
      anon_sym_RBRACE,
    STATE(13713), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641468] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18194), 1,
      anon_sym_RBRACE,
    STATE(13714), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641497] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18196), 1,
      anon_sym_RBRACE,
    STATE(13715), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641526] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18198), 1,
      sym__lowercase_identifier,
    STATE(3032), 1,
      sym_class_path,
    STATE(13716), 1,
      sym_attribute,
    STATE(14615), 1,
      sym__attribute,
    STATE(18532), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641555] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16591), 1,
      anon_sym_PIPE,
    STATE(13717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16589), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [641576] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18200), 1,
      anon_sym_RBRACE,
    STATE(13718), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641605] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16704), 1,
      anon_sym_PIPE,
    STATE(13719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16702), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [641626] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18202), 1,
      anon_sym_RBRACE,
    STATE(13720), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641655] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18204), 1,
      sym__lowercase_identifier,
    STATE(7010), 1,
      sym_class_path,
    STATE(13721), 1,
      sym_attribute,
    STATE(14785), 1,
      sym__attribute,
    STATE(18685), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641684] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18206), 1,
      anon_sym_RBRACE,
    STATE(13722), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641713] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18208), 1,
      anon_sym_RBRACE,
    STATE(13723), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641742] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18210), 1,
      anon_sym_RBRACE,
    STATE(13724), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641771] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18212), 1,
      sym__lowercase_identifier,
    STATE(6059), 1,
      sym_class_path,
    STATE(13725), 1,
      sym_attribute,
    STATE(14693), 1,
      sym__attribute,
    STATE(18571), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641800] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18214), 1,
      anon_sym_RBRACE,
    STATE(13726), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641829] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18216), 1,
      anon_sym_RBRACE,
    STATE(13727), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641858] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18218), 1,
      anon_sym_RBRACE,
    STATE(13728), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641887] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18220), 1,
      anon_sym_RBRACE,
    STATE(13729), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641916] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18222), 1,
      anon_sym_RBRACE,
    STATE(13730), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641945] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    ACTIONS(18228), 1,
      anon_sym_RBRACK,
    STATE(13731), 1,
      sym_attribute,
    STATE(15835), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [641974] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18230), 1,
      sym__lowercase_identifier,
    STATE(3760), 1,
      sym_class_path,
    STATE(13732), 1,
      sym_attribute,
    STATE(14856), 1,
      sym__attribute,
    STATE(18610), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642003] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18232), 1,
      anon_sym_RBRACE,
    STATE(13733), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642032] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18234), 1,
      anon_sym_RBRACE,
    STATE(13734), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642061] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18236), 1,
      anon_sym_RBRACE,
    STATE(13735), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642090] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18238), 1,
      anon_sym_RBRACE,
    STATE(13736), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642119] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18240), 1,
      anon_sym_RBRACE,
    STATE(13737), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642148] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18242), 1,
      anon_sym_RBRACE,
    STATE(13738), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642177] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18244), 1,
      anon_sym_RBRACE,
    STATE(13739), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642206] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18246), 1,
      sym__lowercase_identifier,
    STATE(6554), 1,
      sym_class_path,
    STATE(13740), 1,
      sym_attribute,
    STATE(14464), 1,
      sym__attribute,
    STATE(18649), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642235] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18248), 1,
      anon_sym_RBRACE,
    STATE(13741), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642264] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18250), 1,
      anon_sym_RBRACE,
    STATE(13742), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642293] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    ACTIONS(18252), 1,
      anon_sym_RBRACK,
    STATE(13743), 1,
      sym_attribute,
    STATE(15425), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642322] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18254), 1,
      anon_sym_RBRACE,
    STATE(13744), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642351] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18256), 1,
      anon_sym_RBRACE,
    STATE(13745), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642380] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18258), 1,
      anon_sym_RBRACE,
    STATE(13746), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642409] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18260), 1,
      sym__lowercase_identifier,
    STATE(5925), 1,
      sym_class_path,
    STATE(13747), 1,
      sym_attribute,
    STATE(14867), 1,
      sym__attribute,
    STATE(18688), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642438] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18262), 1,
      anon_sym_RBRACE,
    STATE(13748), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642467] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_PIPE,
    STATE(13749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642488] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9032), 1,
      anon_sym_PIPE,
    STATE(13750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642509] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18264), 1,
      anon_sym_RBRACE,
    STATE(13751), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642538] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      anon_sym_PIPE,
    STATE(13752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642559] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18266), 1,
      anon_sym_RBRACE,
    STATE(13753), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642588] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      anon_sym_PIPE,
    STATE(13754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642609] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18268), 1,
      anon_sym_RBRACE,
    STATE(13755), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642638] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18270), 1,
      anon_sym_RBRACE,
    STATE(13756), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642667] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18272), 1,
      anon_sym_RBRACE,
    STATE(13757), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642696] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9468), 1,
      anon_sym_PIPE,
    STATE(13758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642717] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9472), 1,
      anon_sym_PIPE,
    STATE(13759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642738] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9476), 1,
      anon_sym_PIPE,
    STATE(13760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642759] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18274), 1,
      sym__lowercase_identifier,
    STATE(5527), 1,
      sym_class_path,
    STATE(13761), 1,
      sym_attribute,
    STATE(14595), 1,
      sym__attribute,
    STATE(18726), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642788] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18276), 1,
      anon_sym_RBRACE,
    STATE(13762), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642817] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9480), 1,
      anon_sym_PIPE,
    STATE(13763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [642838] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18278), 1,
      anon_sym_RBRACE,
    STATE(13764), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642867] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18280), 1,
      anon_sym_RBRACE,
    STATE(13765), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642896] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18282), 1,
      anon_sym_RBRACE,
    STATE(13766), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642925] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18284), 1,
      sym__lowercase_identifier,
    STATE(9570), 1,
      sym_class_path,
    STATE(13767), 1,
      sym_attribute,
    STATE(14813), 1,
      sym__attribute,
    STATE(18205), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642954] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18286), 1,
      anon_sym_RBRACE,
    STATE(13768), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [642983] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18288), 1,
      sym__lowercase_identifier,
    STATE(5124), 1,
      sym_class_path,
    STATE(13769), 1,
      sym_attribute,
    STATE(14346), 1,
      sym__attribute,
    STATE(18764), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643012] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18290), 1,
      anon_sym_RBRACE,
    STATE(13770), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643041] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18292), 1,
      anon_sym_RBRACE,
    STATE(13771), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643070] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9100), 1,
      anon_sym_PIPE,
    STATE(13772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [643091] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9486), 1,
      anon_sym_PIPE,
    STATE(13773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [643112] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18294), 1,
      anon_sym_RBRACE,
    STATE(13774), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643141] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18296), 1,
      anon_sym_RBRACE,
    STATE(13775), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643170] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18298), 1,
      sym__lowercase_identifier,
    STATE(3478), 1,
      sym_class_path,
    STATE(13776), 1,
      sym_attribute,
    STATE(14529), 1,
      sym__attribute,
    STATE(18801), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643199] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      anon_sym_PIPE,
    STATE(13777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [643220] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8990), 1,
      anon_sym_PIPE,
    STATE(13778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [643241] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9490), 1,
      anon_sym_PIPE,
    STATE(13779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [643262] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18300), 1,
      anon_sym_RBRACE,
    STATE(13780), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643291] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18302), 1,
      sym__lowercase_identifier,
    STATE(7252), 1,
      sym_class_path,
    STATE(13781), 1,
      sym_attribute,
    STATE(14586), 1,
      sym__attribute,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643320] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18304), 1,
      anon_sym_RBRACE,
    STATE(13782), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643349] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18306), 1,
      anon_sym_RBRACE,
    STATE(13783), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643378] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18308), 1,
      anon_sym_RBRACE,
    STATE(13784), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643407] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18310), 1,
      sym__lowercase_identifier,
    STATE(3156), 1,
      sym_class_path,
    STATE(13785), 1,
      sym_attribute,
    STATE(14784), 1,
      sym__attribute,
    STATE(18838), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643436] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9076), 1,
      anon_sym_PIPE,
    STATE(13786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [643457] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18312), 1,
      anon_sym_RBRACE,
    STATE(13787), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643486] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9096), 1,
      anon_sym_PIPE,
    STATE(13788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [643507] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18314), 1,
      anon_sym_RBRACE,
    STATE(13789), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643536] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18316), 1,
      anon_sym_RBRACE,
    STATE(13790), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643565] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18318), 1,
      anon_sym_RBRACE,
    STATE(13791), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643594] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18320), 1,
      sym__lowercase_identifier,
    STATE(3522), 1,
      sym_class_path,
    STATE(13792), 1,
      sym_attribute,
    STATE(14318), 1,
      sym__attribute,
    STATE(18862), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643623] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18322), 1,
      anon_sym_RBRACE,
    STATE(13793), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643652] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18324), 1,
      anon_sym_RBRACE,
    STATE(13794), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643681] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18326), 1,
      anon_sym_RBRACE,
    STATE(13795), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643710] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18328), 1,
      anon_sym_RBRACE,
    STATE(13796), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643739] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18330), 1,
      anon_sym_RBRACE,
    STATE(13797), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643768] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18332), 1,
      anon_sym_RBRACE,
    STATE(13798), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643797] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18334), 1,
      anon_sym_RBRACE,
    STATE(13799), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643826] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18336), 1,
      anon_sym_RBRACE,
    STATE(13800), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643855] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12455), 1,
      anon_sym_and,
    STATE(13801), 1,
      sym_attribute,
    STATE(13835), 1,
      aux_sym_expression_item_repeat1,
    STATE(14332), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12453), 2,
      anon_sym_in,
      sym_let_and_operator,
  [643882] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18338), 1,
      anon_sym_RBRACE,
    STATE(13802), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643911] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8982), 1,
      anon_sym_PIPE,
    STATE(13803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8984), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [643932] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18340), 1,
      anon_sym_RBRACE,
    STATE(13804), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [643961] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17580), 1,
      anon_sym_COMMA,
    ACTIONS(17582), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_as,
    ACTIONS(17588), 1,
      anon_sym_COLON_COLON,
    STATE(13805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16781), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [643988] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16698), 1,
      anon_sym_PIPE,
    STATE(13806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16696), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644009] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18342), 1,
      anon_sym_RBRACE,
    STATE(13807), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644038] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8952), 1,
      anon_sym_PIPE,
    STATE(13808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8954), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644059] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16686), 1,
      anon_sym_PIPE,
    STATE(13809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16684), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644080] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16439), 1,
      anon_sym_PIPE,
    STATE(13810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16437), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644101] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18344), 1,
      anon_sym_RBRACE,
    STATE(13811), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644130] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18346), 1,
      anon_sym_RBRACE,
    STATE(13812), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644159] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18348), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13813), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11953), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [644180] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18351), 1,
      anon_sym_RBRACE,
    STATE(13814), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644209] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18353), 1,
      anon_sym_RBRACE,
    STATE(13815), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644238] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18355), 1,
      sym__lowercase_identifier,
    STATE(4321), 1,
      sym_class_path,
    STATE(13816), 1,
      sym_attribute,
    STATE(14930), 1,
      sym__attribute,
    STATE(19298), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644267] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18357), 1,
      sym__lowercase_identifier,
    ACTIONS(18359), 1,
      anon_sym_LBRACK,
    ACTIONS(18361), 1,
      anon_sym_virtual,
    STATE(11528), 1,
      sym_class_type_binding,
    STATE(13817), 1,
      sym_attribute,
    STATE(14439), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644296] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      anon_sym_COMMA,
    ACTIONS(17624), 1,
      anon_sym_PIPE,
    ACTIONS(17630), 1,
      anon_sym_as,
    ACTIONS(17632), 1,
      anon_sym_COLON_COLON,
    STATE(13818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18363), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [644323] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18365), 1,
      sym__lowercase_identifier,
    STATE(6151), 1,
      sym_class_path,
    STATE(13819), 1,
      sym_attribute,
    STATE(14886), 1,
      sym__attribute,
    STATE(18246), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644352] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9056), 1,
      anon_sym_PIPE,
    STATE(13820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644373] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18367), 1,
      anon_sym_RBRACE,
    STATE(13821), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644402] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    STATE(13822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644423] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17564), 1,
      anon_sym_COMMA,
    ACTIONS(17566), 1,
      anon_sym_PIPE,
    ACTIONS(17572), 1,
      anon_sym_COLON_COLON,
    STATE(13823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18369), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [644450] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18371), 1,
      anon_sym_RBRACE,
    STATE(13824), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644479] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(15823), 1,
      sym__lowercase_identifier,
    ACTIONS(18373), 1,
      anon_sym_LPAREN,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(13825), 1,
      sym_attribute,
    STATE(14718), 1,
      sym__attribute,
    STATE(16411), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644508] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18375), 1,
      anon_sym_RBRACE,
    STATE(13826), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644537] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18377), 1,
      anon_sym_RBRACE,
    STATE(13827), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644566] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18379), 1,
      anon_sym_RBRACE,
    STATE(13828), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644595] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18381), 1,
      sym__lowercase_identifier,
    ACTIONS(18383), 1,
      anon_sym_BANG,
    STATE(12049), 1,
      sym__instance_variable_name,
    STATE(13829), 1,
      sym_attribute,
    STATE(14081), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18385), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [644622] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18387), 1,
      anon_sym_RBRACE,
    STATE(13830), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644651] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9044), 1,
      anon_sym_PIPE,
    STATE(13831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644672] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18389), 1,
      anon_sym_RBRACE,
    STATE(13832), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644701] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12493), 1,
      anon_sym_and,
    STATE(13833), 1,
      sym_attribute,
    STATE(13880), 1,
      aux_sym_expression_item_repeat1,
    STATE(14332), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12491), 2,
      anon_sym_in,
      sym_let_and_operator,
  [644728] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8994), 1,
      anon_sym_COLON2,
    ACTIONS(17642), 1,
      anon_sym_COLON_COLON,
    STATE(13834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
  [644751] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11987), 1,
      anon_sym_and,
    ACTIONS(18391), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14332), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11985), 2,
      anon_sym_in,
      sym_let_and_operator,
    STATE(13835), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
  [644776] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8998), 1,
      anon_sym_COLON2,
    ACTIONS(17636), 1,
      anon_sym_COMMA,
    ACTIONS(17642), 1,
      anon_sym_COLON_COLON,
    STATE(13836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_as,
  [644801] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9048), 1,
      anon_sym_COLON2,
    ACTIONS(17642), 1,
      anon_sym_COLON_COLON,
    STATE(13837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
  [644824] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18394), 1,
      anon_sym_RBRACE,
    STATE(13838), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644853] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9068), 1,
      anon_sym_PIPE,
    STATE(13839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644874] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16666), 1,
      anon_sym_PIPE,
    STATE(13840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16664), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644895] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8246), 1,
      anon_sym_PIPE,
    STATE(13841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644916] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18396), 1,
      sym__lowercase_identifier,
    STATE(4872), 1,
      sym_class_path,
    STATE(13842), 1,
      sym_attribute,
    STATE(14329), 1,
      sym__attribute,
    STATE(17478), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [644945] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16531), 1,
      anon_sym_PIPE,
    STATE(13843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16529), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644966] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16551), 1,
      anon_sym_PIPE,
    STATE(13844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [644987] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8994), 1,
      anon_sym_PIPE,
    ACTIONS(17606), 1,
      anon_sym_COLON_COLON,
    STATE(13845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [645010] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8998), 1,
      anon_sym_PIPE,
    ACTIONS(17598), 1,
      anon_sym_COMMA,
    ACTIONS(17606), 1,
      anon_sym_COLON_COLON,
    STATE(13846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [645035] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9048), 1,
      anon_sym_PIPE,
    ACTIONS(17606), 1,
      anon_sym_COLON_COLON,
    STATE(13847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [645058] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18398), 1,
      anon_sym_RBRACE,
    STATE(13848), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645087] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18400), 1,
      anon_sym_RBRACE,
    STATE(13849), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645116] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    ACTIONS(18402), 1,
      anon_sym_rec,
    STATE(13850), 1,
      sym_attribute,
    STATE(14888), 1,
      sym__attribute,
    STATE(16194), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18404), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [645143] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9092), 1,
      anon_sym_PIPE,
    STATE(13851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645164] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8250), 1,
      anon_sym_PIPE,
    STATE(13852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645185] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_PIPE,
    STATE(13853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9556), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645206] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18406), 1,
      anon_sym_RBRACE,
    STATE(13854), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645235] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    STATE(13855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645256] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8258), 1,
      anon_sym_PIPE,
    STATE(13856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645277] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9562), 1,
      anon_sym_PIPE,
    STATE(13857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9564), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645298] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18408), 1,
      sym__lowercase_identifier,
    STATE(6363), 1,
      sym_class_path,
    STATE(13858), 1,
      sym_attribute,
    STATE(14788), 1,
      sym__attribute,
    STATE(18287), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645327] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18410), 1,
      anon_sym_RBRACE,
    STATE(13859), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645356] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18412), 1,
      anon_sym_RBRACE,
    STATE(13860), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645385] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18414), 1,
      anon_sym_RBRACE,
    STATE(13861), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645414] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(15823), 1,
      sym__lowercase_identifier,
    ACTIONS(18373), 1,
      anon_sym_LPAREN,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(13862), 1,
      sym_attribute,
    STATE(14627), 1,
      sym__attribute,
    STATE(17068), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645443] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18416), 1,
      anon_sym_RBRACE,
    STATE(13863), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645472] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17580), 1,
      anon_sym_COMMA,
    ACTIONS(17582), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_as,
    ACTIONS(17588), 1,
      anon_sym_COLON_COLON,
    STATE(13864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16807), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [645499] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9566), 1,
      anon_sym_PIPE,
    STATE(13865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645520] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8960), 1,
      anon_sym_PIPE,
    STATE(13866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645541] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7777), 1,
      anon_sym_PIPE,
    STATE(13867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7779), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645562] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18418), 1,
      sym__lowercase_identifier,
    STATE(7296), 1,
      sym_class_path,
    STATE(13868), 1,
      sym_attribute,
    STATE(14681), 1,
      sym__attribute,
    STATE(19997), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645591] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18420), 1,
      sym__lowercase_identifier,
    STATE(3296), 1,
      sym_class_path,
    STATE(13869), 1,
      sym_attribute,
    STATE(14902), 1,
      sym__attribute,
    STATE(17544), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645620] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18422), 1,
      anon_sym_RBRACE,
    STATE(13870), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645649] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18424), 1,
      anon_sym_RBRACE,
    STATE(13871), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645678] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18426), 1,
      anon_sym_RBRACE,
    STATE(13872), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645707] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8172), 1,
      anon_sym_PIPE,
    STATE(13873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [645728] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18428), 1,
      anon_sym_RBRACE,
    STATE(13874), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645757] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17598), 1,
      anon_sym_COMMA,
    ACTIONS(17600), 1,
      anon_sym_PIPE,
    ACTIONS(17604), 1,
      anon_sym_as,
    ACTIONS(17606), 1,
      anon_sym_COLON_COLON,
    STATE(13875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18430), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [645784] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18432), 1,
      anon_sym_RBRACE,
    STATE(13876), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645813] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18434), 1,
      anon_sym_RBRACE,
    STATE(13877), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645842] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18436), 1,
      anon_sym_RBRACE,
    STATE(13878), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645871] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16813), 1,
      anon_sym_PIPE,
    ACTIONS(17588), 1,
      anon_sym_COLON_COLON,
    STATE(13879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16811), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [645894] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12517), 1,
      anon_sym_and,
    STATE(13835), 1,
      aux_sym_expression_item_repeat1,
    STATE(13880), 1,
      sym_attribute,
    STATE(14332), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12515), 2,
      anon_sym_in,
      sym_let_and_operator,
  [645921] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12676), 1,
      anon_sym_and,
    STATE(13881), 1,
      sym_attribute,
    STATE(13911), 1,
      aux_sym_expression_item_repeat1,
    STATE(14332), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12674), 2,
      anon_sym_in,
      sym_let_and_operator,
  [645948] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18438), 1,
      anon_sym_RBRACE,
    STATE(13882), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [645977] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18440), 1,
      anon_sym_RBRACE,
    STATE(13883), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646006] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16801), 1,
      anon_sym_PIPE,
    ACTIONS(17580), 1,
      anon_sym_COMMA,
    ACTIONS(17588), 1,
      anon_sym_COLON_COLON,
    STATE(13884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16799), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [646031] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16756), 1,
      anon_sym_PIPE,
    ACTIONS(17588), 1,
      anon_sym_COLON_COLON,
    STATE(13885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16754), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [646054] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17580), 1,
      anon_sym_COMMA,
    ACTIONS(17582), 1,
      anon_sym_PIPE,
    ACTIONS(17586), 1,
      anon_sym_as,
    ACTIONS(17588), 1,
      anon_sym_COLON_COLON,
    STATE(13886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18442), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [646081] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9020), 1,
      anon_sym_PIPE,
    STATE(13887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646102] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_PIPE,
    STATE(13888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646123] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18444), 1,
      anon_sym_RBRACE,
    STATE(13889), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646152] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16405), 1,
      anon_sym_PIPE,
    STATE(13890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16403), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646173] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18446), 1,
      sym__lowercase_identifier,
    STATE(7801), 1,
      sym_class_path,
    STATE(13891), 1,
      sym_attribute,
    STATE(14444), 1,
      sym__attribute,
    STATE(18619), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646202] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18448), 1,
      anon_sym_RBRACE,
    STATE(13892), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646231] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9570), 1,
      anon_sym_PIPE,
    STATE(13893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646252] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18450), 1,
      sym__lowercase_identifier,
    STATE(3845), 1,
      sym_class_path,
    STATE(13894), 1,
      sym_attribute,
    STATE(14759), 1,
      sym__attribute,
    STATE(18328), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646281] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18452), 1,
      anon_sym_RBRACE,
    STATE(13895), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646310] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18454), 1,
      anon_sym_RBRACE,
    STATE(13896), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646339] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18456), 1,
      anon_sym_RBRACE,
    STATE(13897), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646368] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18458), 1,
      anon_sym_RBRACE,
    STATE(13898), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646397] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8956), 1,
      anon_sym_PIPE,
    STATE(13899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8958), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [646418] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18460), 1,
      anon_sym_RBRACE,
    STATE(13900), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646447] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18462), 1,
      sym__lowercase_identifier,
    STATE(6582), 1,
      sym_class_path,
    STATE(13901), 1,
      sym_attribute,
    STATE(14732), 1,
      sym__attribute,
    STATE(18164), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646476] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18464), 1,
      anon_sym_RBRACE,
    STATE(13902), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646505] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18466), 1,
      sym__lowercase_identifier,
    STATE(4072), 1,
      sym_class_path,
    STATE(13903), 1,
      sym_attribute,
    STATE(14465), 1,
      sym__attribute,
    STATE(17653), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646534] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18468), 1,
      anon_sym_RBRACE,
    STATE(13904), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646563] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18470), 1,
      sym__lowercase_identifier,
    STATE(7078), 1,
      sym_class_path,
    STATE(13905), 1,
      sym_attribute,
    STATE(14422), 1,
      sym__attribute,
    STATE(18305), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646592] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18472), 1,
      anon_sym_RBRACE,
    STATE(13906), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646621] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18474), 1,
      anon_sym_RBRACE,
    STATE(13907), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646650] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18476), 1,
      anon_sym_RBRACE,
    STATE(13908), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646679] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18478), 1,
      anon_sym_RBRACE,
    STATE(13909), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646708] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12479), 1,
      anon_sym_and,
    STATE(13910), 1,
      sym_attribute,
    STATE(13922), 1,
      aux_sym_expression_item_repeat1,
    STATE(14332), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12477), 2,
      anon_sym_in,
      sym_let_and_operator,
  [646735] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12618), 1,
      anon_sym_and,
    STATE(13835), 1,
      aux_sym_expression_item_repeat1,
    STATE(13911), 1,
      sym_attribute,
    STATE(14332), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12616), 2,
      anon_sym_in,
      sym_let_and_operator,
  [646762] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18480), 1,
      anon_sym_RBRACE,
    STATE(13912), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646791] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18482), 1,
      anon_sym_RBRACE,
    STATE(13913), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646820] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18484), 1,
      anon_sym_RBRACE,
    STATE(13914), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646849] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18486), 1,
      anon_sym_RBRACE,
    STATE(13915), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646878] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18488), 1,
      anon_sym_RBRACE,
    STATE(13916), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646907] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18490), 1,
      anon_sym_RBRACE,
    STATE(13917), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646936] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18492), 1,
      sym__lowercase_identifier,
    STATE(7528), 1,
      sym_class_path,
    STATE(13918), 1,
      sym_attribute,
    STATE(14356), 1,
      sym__attribute,
    STATE(18369), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646965] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18494), 1,
      sym__lowercase_identifier,
    STATE(6957), 1,
      sym_class_path,
    STATE(13919), 1,
      sym_attribute,
    STATE(14645), 1,
      sym__attribute,
    STATE(17708), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [646994] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18496), 1,
      anon_sym_RBRACE,
    STATE(13920), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647023] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18498), 1,
      anon_sym_RBRACE,
    STATE(13921), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647052] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12634), 1,
      anon_sym_and,
    STATE(13835), 1,
      aux_sym_expression_item_repeat1,
    STATE(13922), 1,
      sym_attribute,
    STATE(14332), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12632), 2,
      anon_sym_in,
      sym_let_and_operator,
  [647079] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12654), 1,
      anon_sym_and,
    STATE(13923), 1,
      sym_attribute,
    STATE(13930), 1,
      aux_sym_expression_item_repeat1,
    STATE(14332), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12652), 2,
      anon_sym_in,
      sym_let_and_operator,
  [647106] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18500), 1,
      anon_sym_RBRACE,
    STATE(13924), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647135] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18502), 1,
      anon_sym_RBRACE,
    STATE(13925), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647164] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18504), 1,
      anon_sym_RBRACE,
    STATE(13926), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647193] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18506), 1,
      anon_sym_RBRACE,
    STATE(13927), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647222] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18508), 1,
      anon_sym_RBRACE,
    STATE(13928), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647251] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18510), 1,
      anon_sym_RBRACE,
    STATE(13929), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647280] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12646), 1,
      anon_sym_and,
    STATE(13835), 1,
      aux_sym_expression_item_repeat1,
    STATE(13930), 1,
      sym_attribute,
    STATE(14332), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12644), 2,
      anon_sym_in,
      sym_let_and_operator,
  [647307] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12650), 1,
      anon_sym_and,
    STATE(13931), 1,
      sym_attribute,
    STATE(13933), 1,
      aux_sym_expression_item_repeat1,
    STATE(14332), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12648), 2,
      anon_sym_in,
      sym_let_and_operator,
  [647334] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18512), 1,
      sym__lowercase_identifier,
    STATE(6964), 1,
      sym_class_path,
    STATE(13932), 1,
      sym_attribute,
    STATE(14577), 1,
      sym__attribute,
    STATE(17599), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647363] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7591), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12451), 1,
      anon_sym_and,
    STATE(13835), 1,
      aux_sym_expression_item_repeat1,
    STATE(13933), 1,
      sym_attribute,
    STATE(14332), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12449), 2,
      anon_sym_in,
      sym_let_and_operator,
  [647390] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18514), 1,
      sym__lowercase_identifier,
    STATE(6228), 1,
      sym_class_path,
    STATE(13934), 1,
      sym_attribute,
    STATE(14802), 1,
      sym__attribute,
    STATE(17763), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647419] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18516), 1,
      anon_sym_RBRACE,
    STATE(13935), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647448] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18518), 1,
      anon_sym_RBRACE,
    STATE(13936), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647477] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18520), 1,
      sym__lowercase_identifier,
    STATE(7097), 1,
      sym_class_path,
    STATE(13937), 1,
      sym_attribute,
    STATE(14278), 1,
      sym__attribute,
    STATE(19557), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647506] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18522), 1,
      anon_sym_RBRACE,
    STATE(13938), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647535] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18524), 1,
      anon_sym_RBRACE,
    STATE(13939), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647564] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7934), 1,
      anon_sym_PIPE,
    STATE(13940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [647585] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18526), 1,
      anon_sym_RBRACE,
    STATE(13941), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647614] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18528), 1,
      anon_sym_RBRACE,
    STATE(13942), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647643] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18373), 1,
      anon_sym_LPAREN,
    ACTIONS(18530), 1,
      sym__lowercase_identifier,
    STATE(13943), 1,
      sym_attribute,
    STATE(14662), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20336), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [647670] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    ACTIONS(14577), 1,
      anon_sym_POUND,
    ACTIONS(18532), 1,
      anon_sym_DASH_GT,
    STATE(12520), 1,
      sym_type_constructor_path,
    STATE(13944), 1,
      sym_attribute,
    STATE(16831), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647699] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18534), 1,
      anon_sym_RBRACE,
    STATE(13945), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647728] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18536), 1,
      anon_sym_RBRACE,
    STATE(13946), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647757] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18538), 1,
      sym__lowercase_identifier,
    STATE(5730), 1,
      sym_class_path,
    STATE(13947), 1,
      sym_attribute,
    STATE(14313), 1,
      sym__attribute,
    STATE(17873), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647786] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18540), 1,
      anon_sym_RBRACE,
    STATE(13948), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647815] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18542), 1,
      anon_sym_RBRACE,
    STATE(13949), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647844] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18544), 1,
      sym__lowercase_identifier,
    STATE(3364), 1,
      sym_class_path,
    STATE(13950), 1,
      sym_attribute,
    STATE(14900), 1,
      sym__attribute,
    STATE(18410), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647873] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18546), 1,
      anon_sym_RBRACE,
    STATE(13951), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647902] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18548), 1,
      anon_sym_RBRACE,
    STATE(13952), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647931] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18550), 1,
      anon_sym_RBRACE,
    STATE(13953), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647960] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18552), 1,
      anon_sym_RBRACE,
    STATE(13954), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [647989] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18554), 1,
      anon_sym_RBRACE,
    STATE(13955), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648018] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8214), 1,
      anon_sym_PIPE,
    STATE(13956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648039] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18556), 1,
      anon_sym_RBRACE,
    STATE(13957), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648068] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4963), 1,
      anon_sym_PIPE,
    STATE(13958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4961), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648089] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9006), 1,
      anon_sym_PIPE,
    STATE(13959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648110] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8242), 1,
      anon_sym_PIPE,
    STATE(13960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648131] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18558), 1,
      anon_sym_RBRACE,
    STATE(13961), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648160] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18560), 1,
      anon_sym_DASH_GT,
    STATE(13962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12312), 5,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
  [648181] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18562), 1,
      anon_sym_RBRACE,
    STATE(13963), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648210] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18564), 1,
      anon_sym_RBRACE,
    STATE(13964), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648239] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9010), 1,
      anon_sym_PIPE,
    STATE(13965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9012), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648260] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18566), 1,
      sym__lowercase_identifier,
    STATE(5023), 1,
      sym_class_path,
    STATE(13966), 1,
      sym_attribute,
    STATE(14382), 1,
      sym__attribute,
    STATE(17928), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648289] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9014), 1,
      anon_sym_PIPE,
    STATE(13967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648310] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18568), 1,
      anon_sym_RBRACE,
    STATE(13968), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648339] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18570), 1,
      anon_sym_RBRACE,
    STATE(13969), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648368] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18572), 1,
      sym__lowercase_identifier,
    STATE(4034), 1,
      sym_class_path,
    STATE(13970), 1,
      sym_attribute,
    STATE(14391), 1,
      sym__attribute,
    STATE(18451), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648397] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18574), 1,
      anon_sym_RBRACE,
    STATE(13971), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648426] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9404), 1,
      anon_sym_PIPE,
    STATE(13972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648447] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7017), 1,
      anon_sym_PIPE,
    STATE(13973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7013), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648468] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8224), 1,
      anon_sym_PIPE,
    STATE(13974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [648489] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18576), 1,
      anon_sym_RBRACE,
    STATE(13975), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648518] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18578), 1,
      anon_sym_and,
    STATE(13976), 1,
      sym_attribute,
    STATE(13997), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12354), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [648541] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18580), 1,
      anon_sym_RBRACE,
    STATE(13977), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648570] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18582), 1,
      anon_sym_RBRACE,
    STATE(13978), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648599] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18584), 1,
      anon_sym_RBRACE,
    STATE(13979), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648628] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18586), 1,
      anon_sym_RBRACE,
    STATE(13980), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648657] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18588), 1,
      anon_sym_RBRACE,
    STATE(13981), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648686] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18590), 1,
      anon_sym_RBRACE,
    STATE(13982), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648715] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(15823), 1,
      sym__lowercase_identifier,
    ACTIONS(18373), 1,
      anon_sym_LPAREN,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(13983), 1,
      sym_attribute,
    STATE(14674), 1,
      sym__attribute,
    STATE(17207), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648744] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18592), 1,
      anon_sym_RBRACE,
    STATE(13984), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648773] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12038), 1,
      anon_sym_RPAREN,
    STATE(13985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11372), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [648794] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18594), 1,
      anon_sym_RBRACE,
    STATE(13986), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648823] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18596), 1,
      sym__lowercase_identifier,
    STATE(5333), 1,
      sym_class_path,
    STATE(13987), 1,
      sym_attribute,
    STATE(14458), 1,
      sym__attribute,
    STATE(17983), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648852] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18598), 1,
      anon_sym_RBRACE,
    STATE(13988), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648881] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18600), 1,
      sym__lowercase_identifier,
    STATE(4746), 1,
      sym_class_path,
    STATE(13989), 1,
      sym_attribute,
    STATE(14466), 1,
      sym__attribute,
    STATE(18492), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648910] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18602), 1,
      anon_sym_RBRACE,
    STATE(13990), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648939] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18604), 1,
      anon_sym_RBRACE,
    STATE(13991), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648968] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18606), 1,
      anon_sym_RBRACE,
    STATE(13992), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [648997] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18608), 1,
      anon_sym_RBRACE,
    STATE(13993), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649026] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18610), 1,
      anon_sym_RBRACE,
    STATE(13994), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649055] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18612), 1,
      anon_sym_RBRACE,
    STATE(13995), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649084] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18614), 1,
      anon_sym_RBRACE,
    STATE(13996), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649113] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18578), 1,
      anon_sym_and,
    STATE(13813), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(13997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12738), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [649136] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18616), 1,
      sym__lowercase_identifier,
    STATE(4164), 1,
      sym_class_path,
    STATE(13998), 1,
      sym_attribute,
    STATE(14297), 1,
      sym__attribute,
    STATE(18240), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649165] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    STATE(13999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18618), 4,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
  [649188] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18620), 1,
      anon_sym_RBRACE,
    STATE(14000), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649217] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18622), 1,
      sym__lowercase_identifier,
    STATE(5973), 1,
      sym_class_path,
    STATE(14001), 1,
      sym_attribute,
    STATE(14524), 1,
      sym__attribute,
    STATE(18082), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649246] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9052), 1,
      anon_sym_PIPE,
    STATE(14002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649267] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      anon_sym_COMMA,
    ACTIONS(17624), 1,
      anon_sym_PIPE,
    ACTIONS(17630), 1,
      anon_sym_as,
    ACTIONS(17632), 1,
      anon_sym_COLON_COLON,
    STATE(14003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18430), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [649294] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9060), 1,
      anon_sym_PIPE,
    STATE(14004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649315] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9064), 1,
      anon_sym_PIPE,
    STATE(14005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649336] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18624), 1,
      anon_sym_RBRACE,
    STATE(14006), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649365] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18626), 1,
      anon_sym_RBRACE,
    STATE(14007), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649394] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      anon_sym_COMMA,
    ACTIONS(17624), 1,
      anon_sym_PIPE,
    ACTIONS(17630), 1,
      anon_sym_as,
    ACTIONS(17632), 1,
      anon_sym_COLON_COLON,
    STATE(14008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18628), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [649421] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9084), 1,
      anon_sym_PIPE,
    STATE(14009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649442] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    STATE(14010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649463] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9544), 1,
      anon_sym_PIPE,
    STATE(14011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649484] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18630), 1,
      anon_sym_RBRACE,
    STATE(14012), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649513] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_PIPE,
    STATE(14013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649534] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18632), 1,
      anon_sym_RBRACE,
    STATE(14014), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649563] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18634), 1,
      anon_sym_RBRACE,
    STATE(14015), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649592] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11284), 1,
      anon_sym_RPAREN,
    STATE(14016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [649613] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17564), 1,
      anon_sym_COMMA,
    ACTIONS(17566), 1,
      anon_sym_PIPE,
    ACTIONS(17572), 1,
      anon_sym_COLON_COLON,
    STATE(14017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18442), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [649640] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18636), 1,
      anon_sym_RBRACE,
    STATE(14018), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649669] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(17564), 1,
      anon_sym_COMMA,
    ACTIONS(17566), 1,
      anon_sym_PIPE,
    ACTIONS(17572), 1,
      anon_sym_COLON_COLON,
    STATE(14019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18638), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [649696] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18640), 1,
      sym__lowercase_identifier,
    STATE(9075), 1,
      sym_class_path,
    STATE(14020), 1,
      sym_attribute,
    STATE(14585), 1,
      sym__attribute,
    STATE(20075), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649725] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18642), 1,
      anon_sym_RBRACE,
    STATE(14021), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649754] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18644), 1,
      anon_sym_RBRACE,
    STATE(14022), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649783] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      anon_sym_PIPE,
    STATE(14023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649804] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18646), 1,
      sym__lowercase_identifier,
    STATE(6616), 1,
      sym_class_path,
    STATE(14024), 1,
      sym_attribute,
    STATE(14729), 1,
      sym__attribute,
    STATE(17838), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649833] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18648), 1,
      anon_sym_RBRACE,
    STATE(14025), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649862] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18650), 1,
      anon_sym_RBRACE,
    STATE(14026), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649891] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18652), 1,
      anon_sym_RBRACE,
    STATE(14027), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649920] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8968), 1,
      anon_sym_PIPE,
    STATE(14028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8970), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649941] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8974), 1,
      anon_sym_PIPE,
    STATE(14029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8976), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [649962] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18654), 1,
      sym__lowercase_identifier,
    STATE(7153), 1,
      sym_class_path,
    STATE(14030), 1,
      sym_attribute,
    STATE(14554), 1,
      sym__attribute,
    STATE(17818), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649991] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18656), 1,
      sym__lowercase_identifier,
    STATE(6534), 1,
      sym_class_path,
    STATE(14031), 1,
      sym_attribute,
    STATE(14664), 1,
      sym__attribute,
    STATE(18123), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650020] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18373), 1,
      anon_sym_LPAREN,
    ACTIONS(18530), 1,
      sym__lowercase_identifier,
    STATE(14032), 1,
      sym_attribute,
    STATE(14920), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20219), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [650047] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18658), 1,
      sym__lowercase_identifier,
    STATE(5110), 1,
      sym_class_path,
    STATE(14033), 1,
      sym_attribute,
    STATE(14394), 1,
      sym__attribute,
    STATE(19189), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650076] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8978), 1,
      anon_sym_PIPE,
    STATE(14034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8980), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [650097] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18373), 1,
      anon_sym_LPAREN,
    ACTIONS(18530), 1,
      sym__lowercase_identifier,
    STATE(14035), 1,
      sym_attribute,
    STATE(14929), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20232), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [650124] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    ACTIONS(18373), 1,
      anon_sym_LPAREN,
    ACTIONS(18530), 1,
      sym__lowercase_identifier,
    STATE(14036), 1,
      sym_attribute,
    STATE(14936), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20240), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [650151] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18660), 1,
      anon_sym_RBRACE,
    STATE(14037), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650180] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    ACTIONS(18662), 1,
      anon_sym_RBRACE,
    STATE(14038), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650209] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    ACTIONS(18664), 1,
      anon_sym_POUND,
    STATE(13070), 1,
      sym_type_constructor_path,
    STATE(14039), 1,
      sym_attribute,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650235] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18666), 1,
      anon_sym_RPAREN,
    STATE(14040), 1,
      sym_attribute,
    STATE(15084), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650261] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14041), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(16079), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650287] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18668), 1,
      anon_sym_EQ,
    ACTIONS(18670), 1,
      anon_sym_COLON2,
    STATE(14042), 1,
      sym_attribute,
    STATE(15863), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18672), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [650311] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18676), 1,
      anon_sym_SEMI,
    ACTIONS(18678), 1,
      anon_sym_GT_RBRACE,
    STATE(14043), 1,
      sym_attribute,
    STATE(15111), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650337] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11082), 1,
      sym__lowercase_identifier,
    ACTIONS(18680), 1,
      anon_sym_POUND,
    STATE(13586), 1,
      sym_type_constructor_path,
    STATE(14044), 1,
      sym_attribute,
    STATE(16440), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650363] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11132), 1,
      sym__lowercase_identifier,
    ACTIONS(18682), 1,
      anon_sym_POUND,
    STATE(10795), 1,
      sym_type_constructor_path,
    STATE(14045), 1,
      sym_attribute,
    STATE(16812), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650389] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14046), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(14998), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650415] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14047), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15155), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650441] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18684), 1,
      anon_sym_EQ,
    ACTIONS(18686), 1,
      anon_sym_of,
    ACTIONS(18688), 1,
      anon_sym_COLON2,
    STATE(14048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [650465] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11168), 1,
      sym__lowercase_identifier,
    ACTIONS(18690), 1,
      anon_sym_POUND,
    STATE(10850), 1,
      sym_type_constructor_path,
    STATE(14049), 1,
      sym_attribute,
    STATE(16729), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650491] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14050), 1,
      sym_attribute,
    STATE(14143), 1,
      aux_sym_expression_item_repeat1,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11802), 2,
      anon_sym_and,
      anon_sym_in,
  [650515] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14051), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(15844), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650541] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14052), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15316), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650567] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14042), 1,
      sym_field_path,
    STATE(14053), 1,
      sym_attribute,
    STATE(15649), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650593] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18381), 1,
      sym__lowercase_identifier,
    STATE(12291), 1,
      sym__instance_variable_name,
    STATE(14054), 1,
      sym_attribute,
    STATE(14456), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18385), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [650617] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18692), 1,
      anon_sym_SEMI,
    ACTIONS(18694), 1,
      anon_sym_GT_RBRACE,
    STATE(14055), 1,
      sym_attribute,
    STATE(15508), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650643] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14056), 1,
      sym_attribute,
    STATE(14143), 1,
      aux_sym_expression_item_repeat1,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13009), 2,
      anon_sym_and,
      anon_sym_in,
  [650667] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14057), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15459), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650693] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14058), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(16189), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650719] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14059), 1,
      sym_attribute,
    STATE(14143), 1,
      aux_sym_expression_item_repeat1,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12338), 2,
      anon_sym_and,
      anon_sym_in,
  [650743] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11178), 1,
      sym__lowercase_identifier,
    ACTIONS(18696), 1,
      anon_sym_POUND,
    STATE(10496), 1,
      sym_type_constructor_path,
    STATE(14060), 1,
      sym_attribute,
    STATE(16898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650769] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18698), 1,
      anon_sym_RPAREN,
    STATE(14061), 1,
      sym_attribute,
    STATE(16171), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650795] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18700), 1,
      anon_sym_RBRACK,
    STATE(14062), 1,
      sym_attribute,
    STATE(15376), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650821] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(18704), 1,
      anon_sym_GT_RBRACE,
    STATE(14063), 1,
      sym_attribute,
    STATE(15302), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650847] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18706), 1,
      anon_sym_RBRACK,
    STATE(14064), 1,
      sym_attribute,
    STATE(15191), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650873] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14065), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15623), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650899] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18252), 1,
      anon_sym_RBRACK,
    STATE(14066), 1,
      sym_attribute,
    STATE(15425), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650925] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18708), 1,
      anon_sym_SEMI,
    ACTIONS(18710), 1,
      anon_sym_GT_RBRACE,
    STATE(14067), 1,
      sym_attribute,
    STATE(15268), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650951] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18712), 1,
      anon_sym_SEMI,
    ACTIONS(18714), 1,
      anon_sym_GT_RBRACE,
    STATE(14068), 1,
      sym_attribute,
    STATE(15219), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650977] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18716), 1,
      anon_sym_RPAREN,
    STATE(14069), 1,
      sym_attribute,
    STATE(15246), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651003] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14070), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15841), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651029] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18718), 1,
      anon_sym_RPAREN,
    STATE(14071), 1,
      sym_attribute,
    STATE(15318), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651055] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14072), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15868), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651081] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18720), 1,
      anon_sym_SEMI,
    ACTIONS(18722), 1,
      anon_sym_GT_RBRACE,
    STATE(14073), 1,
      sym_attribute,
    STATE(15271), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651107] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14074), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15990), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651133] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18381), 1,
      sym__lowercase_identifier,
    STATE(12331), 1,
      sym__instance_variable_name,
    STATE(14054), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(14075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18385), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [651157] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14076), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(16175), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651183] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11062), 1,
      sym__lowercase_identifier,
    ACTIONS(18724), 1,
      anon_sym_POUND,
    STATE(10553), 1,
      sym_type_constructor_path,
    STATE(14077), 1,
      sym_attribute,
    STATE(16630), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651209] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11196), 1,
      sym__lowercase_identifier,
    ACTIONS(18726), 1,
      anon_sym_POUND,
    STATE(9286), 1,
      sym_type_constructor_path,
    STATE(14078), 1,
      sym_attribute,
    STATE(16845), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651235] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18381), 1,
      sym__lowercase_identifier,
    STATE(14079), 1,
      sym_attribute,
    STATE(14456), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(16793), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18385), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [651259] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18728), 1,
      anon_sym_SEMI,
    ACTIONS(18730), 1,
      anon_sym_GT_RBRACE,
    STATE(14080), 1,
      sym_attribute,
    STATE(15407), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651285] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18381), 1,
      sym__lowercase_identifier,
    STATE(12331), 1,
      sym__instance_variable_name,
    STATE(14081), 1,
      sym_attribute,
    STATE(14456), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18385), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [651309] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14082), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15225), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651335] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18732), 1,
      anon_sym_RPAREN,
    STATE(14083), 1,
      sym_attribute,
    STATE(15516), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651361] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14042), 1,
      sym_field_path,
    STATE(14084), 1,
      sym_attribute,
    STATE(15916), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651387] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14085), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15572), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651413] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18734), 1,
      anon_sym_SEMI,
    ACTIONS(18736), 1,
      anon_sym_GT_RBRACE,
    STATE(14086), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16341), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651439] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18738), 1,
      anon_sym_SEMI,
    ACTIONS(18740), 1,
      anon_sym_GT_RBRACE,
    STATE(14087), 1,
      sym_attribute,
    STATE(15881), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651465] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18742), 1,
      anon_sym_RBRACK,
    STATE(14088), 1,
      sym_attribute,
    STATE(16312), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651491] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14089), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(17281), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651517] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12002), 1,
      sym__lowercase_identifier,
    ACTIONS(18744), 1,
      anon_sym_POUND,
    STATE(9386), 1,
      sym_type_constructor_path,
    STATE(14090), 1,
      sym_attribute,
    STATE(16906), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651543] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14091), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15927), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651569] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18746), 1,
      anon_sym_SEMI,
    ACTIONS(18748), 1,
      anon_sym_GT_RBRACE,
    STATE(14092), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651595] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9152), 1,
      sym__uppercase_identifier,
    ACTIONS(18750), 1,
      anon_sym_LPAREN,
    STATE(8809), 1,
      sym__constructor_name,
    STATE(10621), 1,
      sym_constructor_path,
    STATE(14093), 1,
      sym_attribute,
    STATE(18096), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651621] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14094), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15138), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651647] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18752), 1,
      anon_sym_RPAREN,
    STATE(14095), 1,
      sym_attribute,
    STATE(15539), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651673] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18754), 1,
      anon_sym_RPAREN,
    STATE(14096), 1,
      sym_attribute,
    STATE(15393), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651699] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14097), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15800), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651725] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18756), 1,
      sym__lowercase_identifier,
    ACTIONS(18758), 1,
      anon_sym_LPAREN,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    STATE(10293), 1,
      sym_parenthesized_operator,
    STATE(12260), 1,
      sym__value_name,
    STATE(14098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651751] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18762), 1,
      anon_sym_RPAREN,
    STATE(14099), 1,
      sym_attribute,
    STATE(15836), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651777] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18764), 1,
      anon_sym_SEMI,
    ACTIONS(18766), 1,
      anon_sym_GT_RBRACE,
    STATE(14100), 1,
      sym_attribute,
    STATE(15416), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651803] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18768), 1,
      anon_sym_SEMI,
    ACTIONS(18770), 1,
      anon_sym_GT_RBRACE,
    STATE(14101), 1,
      sym_attribute,
    STATE(15618), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651829] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14102), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(14976), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651855] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18772), 1,
      anon_sym_type,
    ACTIONS(18774), 1,
      anon_sym_module,
    STATE(14103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13303), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [651877] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14104), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15134), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651903] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14105), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15362), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651929] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14106), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15651), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651955] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18776), 1,
      anon_sym_SEMI,
    ACTIONS(18778), 1,
      anon_sym_GT_RBRACE,
    STATE(14107), 1,
      sym_attribute,
    STATE(15461), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651981] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14108), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15512), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652007] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14042), 1,
      sym_field_path,
    STATE(14109), 1,
      sym_attribute,
    STATE(15847), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652033] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14110), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15672), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652059] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18780), 1,
      anon_sym_RBRACK,
    STATE(14111), 1,
      sym_attribute,
    STATE(15633), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652085] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14112), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15933), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652111] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    STATE(14113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13233), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [652133] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18786), 1,
      anon_sym_SEMI,
    ACTIONS(18788), 1,
      anon_sym_GT_RBRACE,
    STATE(14114), 1,
      sym_attribute,
    STATE(15222), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652159] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18790), 1,
      anon_sym_SEMI,
    ACTIONS(18792), 1,
      anon_sym_GT_RBRACE,
    STATE(14115), 1,
      sym_attribute,
    STATE(15050), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652185] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14116), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15963), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652211] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14117), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(15256), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652237] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18794), 1,
      anon_sym_SEMI,
    ACTIONS(18796), 1,
      anon_sym_GT_RBRACE,
    STATE(14118), 1,
      sym_attribute,
    STATE(15931), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652263] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14119), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15414), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652289] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11198), 1,
      sym__lowercase_identifier,
    ACTIONS(18798), 1,
      anon_sym_POUND,
    STATE(10068), 1,
      sym_type_constructor_path,
    STATE(14120), 1,
      sym_attribute,
    STATE(16919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652315] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14121), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15843), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652341] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18800), 1,
      anon_sym_SEMI,
    ACTIONS(18802), 1,
      anon_sym_GT_RBRACE,
    STATE(14122), 1,
      sym_attribute,
    STATE(15154), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652367] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17636), 1,
      anon_sym_COMMA,
    ACTIONS(17638), 1,
      anon_sym_PIPE,
    ACTIONS(17640), 1,
      anon_sym_as,
    ACTIONS(17642), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18804), 1,
      anon_sym_RPAREN,
    STATE(14123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652393] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14042), 1,
      sym_field_path,
    STATE(14124), 1,
      sym_attribute,
    STATE(17319), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652419] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14125), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15417), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652445] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18381), 1,
      sym__lowercase_identifier,
    STATE(14079), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(14126), 1,
      sym_attribute,
    STATE(17436), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18385), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [652469] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18772), 1,
      anon_sym_type,
    ACTIONS(18774), 1,
      anon_sym_module,
    STATE(14127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13427), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [652491] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14042), 1,
      sym_field_path,
    STATE(14128), 1,
      sym_attribute,
    STATE(15281), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652517] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18806), 1,
      anon_sym_SEMI,
    ACTIONS(18808), 1,
      anon_sym_GT_RBRACE,
    STATE(14129), 1,
      sym_attribute,
    STATE(15488), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652543] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18810), 1,
      anon_sym_RPAREN,
    STATE(14130), 1,
      sym_attribute,
    STATE(15548), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652569] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14131), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(16203), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652595] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18812), 1,
      anon_sym_RPAREN,
    STATE(14132), 1,
      sym_attribute,
    STATE(15074), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652621] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18814), 1,
      anon_sym_SEMI,
    ACTIONS(18816), 1,
      anon_sym_GT_RBRACE,
    STATE(14133), 1,
      sym_attribute,
    STATE(15444), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652647] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    STATE(14134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16292), 3,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [652669] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11102), 1,
      sym__lowercase_identifier,
    ACTIONS(18818), 1,
      anon_sym_POUND,
    STATE(10742), 1,
      sym_type_constructor_path,
    STATE(14135), 1,
      sym_attribute,
    STATE(16863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652695] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18820), 1,
      anon_sym_SEMI,
    ACTIONS(18822), 1,
      anon_sym_GT_RBRACE,
    STATE(14136), 1,
      sym_attribute,
    STATE(15577), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652721] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14137), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15860), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652747] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14138), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15190), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652773] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18824), 1,
      anon_sym_RBRACK,
    STATE(14139), 1,
      sym_attribute,
    STATE(15874), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652799] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14140), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(16382), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652825] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18826), 1,
      anon_sym_EQ,
    ACTIONS(18828), 1,
      anon_sym_of,
    ACTIONS(18830), 1,
      anon_sym_COLON2,
    STATE(14141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12467), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [652849] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14142), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15994), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652875] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18832), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11985), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(14143), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
  [652897] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18835), 1,
      anon_sym_SEMI,
    ACTIONS(18837), 1,
      anon_sym_GT_RBRACE,
    STATE(14144), 1,
      sym_attribute,
    STATE(15615), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652923] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14145), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(14978), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652949] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18839), 1,
      anon_sym_SEMI,
    ACTIONS(18841), 1,
      anon_sym_GT_RBRACE,
    STATE(14146), 1,
      sym_attribute,
    STATE(15434), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652975] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14147), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(15458), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653001] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18843), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [653019] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14149), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15144), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653045] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18845), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [653063] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11158), 1,
      sym__lowercase_identifier,
    ACTIONS(18847), 1,
      anon_sym_POUND,
    STATE(9775), 1,
      sym_type_constructor_path,
    STATE(14151), 1,
      sym_attribute,
    STATE(16795), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653089] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14152), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15304), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653115] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14042), 1,
      sym_field_path,
    STATE(14153), 1,
      sym_attribute,
    STATE(15482), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653141] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18849), 1,
      sym__lowercase_identifier,
    ACTIONS(18853), 1,
      anon_sym_BANG,
    STATE(14154), 1,
      sym_attribute,
    STATE(14543), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18851), 2,
      anon_sym_private,
      anon_sym_virtual,
  [653165] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11046), 1,
      sym__lowercase_identifier,
    ACTIONS(18855), 1,
      anon_sym_POUND,
    STATE(9956), 1,
      sym_type_constructor_path,
    STATE(14155), 1,
      sym_attribute,
    STATE(16828), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653191] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14156), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15496), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653217] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18857), 1,
      anon_sym_RPAREN,
    STATE(14157), 1,
      sym_attribute,
    STATE(15937), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653243] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(18859), 1,
      anon_sym_LPAREN,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(10726), 1,
      sym_constructor_path,
    STATE(14158), 1,
      sym_attribute,
    STATE(20090), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653269] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    STATE(14159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18226), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [653291] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14160), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(15879), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653317] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17636), 1,
      anon_sym_COMMA,
    ACTIONS(17638), 1,
      anon_sym_PIPE,
    ACTIONS(17640), 1,
      anon_sym_as,
    ACTIONS(17642), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18861), 1,
      anon_sym_RPAREN,
    STATE(14161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653343] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14162), 1,
      sym_attribute,
    STATE(14191), 1,
      sym_field_path,
    STATE(15621), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653369] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(18859), 1,
      anon_sym_LPAREN,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(10727), 1,
      sym_constructor_path,
    STATE(14163), 1,
      sym_attribute,
    STATE(20090), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653395] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12016), 1,
      sym__lowercase_identifier,
    ACTIONS(18863), 1,
      anon_sym_POUND,
    STATE(12599), 1,
      sym_type_constructor_path,
    STATE(14164), 1,
      sym_attribute,
    STATE(16931), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653421] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(18865), 1,
      anon_sym_RPAREN,
    STATE(14165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653447] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14143), 1,
      aux_sym_expression_item_repeat1,
    STATE(14166), 1,
      sym_attribute,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12930), 2,
      anon_sym_and,
      anon_sym_in,
  [653471] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18867), 1,
      anon_sym_SEMI,
    ACTIONS(18869), 1,
      anon_sym_GT_RBRACE,
    STATE(14167), 1,
      sym_attribute,
    STATE(15077), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653497] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9152), 1,
      sym__uppercase_identifier,
    ACTIONS(18750), 1,
      anon_sym_LPAREN,
    STATE(8809), 1,
      sym__constructor_name,
    STATE(10726), 1,
      sym_constructor_path,
    STATE(14168), 1,
      sym_attribute,
    STATE(18096), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653523] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(18871), 1,
      anon_sym_RPAREN,
    STATE(14169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653549] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18873), 1,
      anon_sym_SEMI,
    ACTIONS(18875), 1,
      anon_sym_GT_RBRACE,
    STATE(14170), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16306), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653575] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18877), 1,
      anon_sym_RPAREN,
    STATE(14171), 1,
      sym_attribute,
    STATE(15790), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653601] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14172), 1,
      sym_attribute,
    STATE(14200), 1,
      sym_field_path,
    STATE(15542), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653627] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17636), 1,
      anon_sym_COMMA,
    ACTIONS(17638), 1,
      anon_sym_PIPE,
    ACTIONS(17640), 1,
      anon_sym_as,
    ACTIONS(17642), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18879), 1,
      anon_sym_RPAREN,
    STATE(14173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653653] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(18883), 1,
      anon_sym__,
    STATE(14174), 1,
      sym_attribute,
    STATE(14242), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18881), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [653677] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18885), 1,
      anon_sym_SEMI,
    ACTIONS(18887), 1,
      anon_sym_GT_RBRACE,
    STATE(14175), 1,
      sym_attribute,
    STATE(15406), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653703] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18889), 1,
      anon_sym_type,
    ACTIONS(18891), 1,
      anon_sym_module,
    STATE(14176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9538), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [653725] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18893), 1,
      anon_sym_SEMI,
    ACTIONS(18895), 1,
      anon_sym_GT_RBRACE,
    STATE(14177), 1,
      sym_attribute,
    STATE(15806), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653751] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(18897), 1,
      anon_sym_RPAREN,
    STATE(14178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653777] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14042), 1,
      sym_field_path,
    STATE(14179), 1,
      sym_attribute,
    STATE(15973), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653803] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18899), 1,
      anon_sym_RBRACK,
    STATE(14180), 1,
      sym_attribute,
    STATE(16032), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653829] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18901), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [653847] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18903), 1,
      anon_sym_SEMI,
    ACTIONS(18905), 1,
      anon_sym_GT_RBRACE,
    STATE(14182), 1,
      sym_attribute,
    STATE(16214), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653873] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14143), 1,
      aux_sym_expression_item_repeat1,
    STATE(14183), 1,
      sym_attribute,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13253), 2,
      anon_sym_and,
      anon_sym_in,
  [653897] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18907), 1,
      anon_sym_SEMI,
    ACTIONS(18909), 1,
      anon_sym_GT_RBRACE,
    STATE(14184), 1,
      sym_attribute,
    STATE(15830), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653923] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18911), 1,
      anon_sym_type,
    ACTIONS(18913), 1,
      anon_sym_module,
    STATE(14185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9538), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [653945] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    STATE(14186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13237), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [653967] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18070), 1,
      anon_sym_AMP,
    STATE(14187), 1,
      sym_attribute,
    STATE(14201), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18106), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [653989] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14143), 1,
      aux_sym_expression_item_repeat1,
    STATE(14188), 1,
      sym_attribute,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13053), 2,
      anon_sym_and,
      anon_sym_in,
  [654013] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12032), 1,
      sym__lowercase_identifier,
    ACTIONS(18915), 1,
      anon_sym_POUND,
    STATE(9072), 1,
      sym_type_constructor_path,
    STATE(14189), 1,
      sym_attribute,
    STATE(16981), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654039] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9152), 1,
      sym__uppercase_identifier,
    ACTIONS(18750), 1,
      anon_sym_LPAREN,
    STATE(8809), 1,
      sym__constructor_name,
    STATE(10727), 1,
      sym_constructor_path,
    STATE(14190), 1,
      sym_attribute,
    STATE(18096), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654065] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18670), 1,
      anon_sym_COLON2,
    ACTIONS(18917), 1,
      anon_sym_EQ,
    STATE(14191), 1,
      sym_attribute,
    STATE(15102), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18919), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [654089] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18560), 1,
      anon_sym_DASH_GT,
    ACTIONS(18921), 1,
      anon_sym_as,
    STATE(14192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14988), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [654111] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18923), 1,
      anon_sym_type,
    ACTIONS(18925), 1,
      anon_sym_module,
    STATE(14193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9538), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [654133] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12046), 1,
      sym__lowercase_identifier,
    ACTIONS(18927), 1,
      anon_sym_POUND,
    STATE(9458), 1,
      sym_type_constructor_path,
    STATE(14194), 1,
      sym_attribute,
    STATE(16943), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654159] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(18929), 1,
      anon_sym_RPAREN,
    STATE(14195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654185] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18931), 1,
      anon_sym_type,
    ACTIONS(18933), 1,
      anon_sym_module,
    STATE(14196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9538), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [654207] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14191), 1,
      sym_field_path,
    STATE(14197), 1,
      sym_attribute,
    STATE(15867), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654233] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18935), 1,
      anon_sym_RPAREN,
    STATE(14198), 1,
      sym_attribute,
    STATE(15018), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654259] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18070), 1,
      anon_sym_AMP,
    STATE(14199), 1,
      sym_attribute,
    STATE(14201), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18937), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [654281] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18670), 1,
      anon_sym_COLON2,
    ACTIONS(18939), 1,
      anon_sym_EQ,
    STATE(14200), 1,
      sym_attribute,
    STATE(15932), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18941), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [654305] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18943), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14201), 2,
      sym_attribute,
      aux_sym_tag_specification_repeat1,
    ACTIONS(18618), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [654325] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18560), 1,
      anon_sym_DASH_GT,
    ACTIONS(18921), 1,
      anon_sym_as,
    STATE(14202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15222), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [654347] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18560), 1,
      anon_sym_DASH_GT,
    ACTIONS(18921), 1,
      anon_sym_as,
    STATE(14203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15226), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [654369] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14200), 1,
      sym_field_path,
    STATE(14204), 1,
      sym_attribute,
    STATE(15349), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654395] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18946), 1,
      anon_sym_type,
    ACTIONS(18948), 1,
      anon_sym_module,
    STATE(14205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9538), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [654417] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18950), 1,
      anon_sym_RPAREN,
    STATE(14206), 1,
      sym_attribute,
    STATE(15910), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654443] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11194), 1,
      sym__lowercase_identifier,
    ACTIONS(18952), 1,
      anon_sym_POUND,
    STATE(9329), 1,
      sym_type_constructor_path,
    STATE(14207), 1,
      sym_attribute,
    STATE(16583), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654469] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9144), 1,
      sym__uppercase_identifier,
    ACTIONS(18954), 1,
      anon_sym_LPAREN,
    STATE(13240), 1,
      sym__constructor_name,
    STATE(14208), 1,
      sym_attribute,
    STATE(16482), 1,
      sym_constructor_path,
    STATE(19315), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654495] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14042), 1,
      sym_field_path,
    STATE(14209), 1,
      sym_attribute,
    STATE(15882), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654521] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18956), 1,
      anon_sym_SEMI,
    ACTIONS(18958), 1,
      anon_sym_GT_RBRACE,
    STATE(14210), 1,
      sym_attribute,
    STATE(15938), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654547] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    STATE(14211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13241), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [654569] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18960), 1,
      anon_sym_RPAREN,
    STATE(14212), 1,
      sym_attribute,
    STATE(15176), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654595] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(18962), 1,
      anon_sym_POUND,
    STATE(13032), 1,
      sym_type_constructor_path,
    STATE(14213), 1,
      sym_attribute,
    STATE(16873), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654621] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14042), 1,
      sym_field_path,
    STATE(14214), 1,
      sym_attribute,
    STATE(15412), 1,
      sym_field_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654647] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7882), 1,
      sym__uppercase_identifier,
    ACTIONS(18859), 1,
      anon_sym_LPAREN,
    STATE(6749), 1,
      sym__constructor_name,
    STATE(10621), 1,
      sym_constructor_path,
    STATE(14215), 1,
      sym_attribute,
    STATE(20090), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654673] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18964), 1,
      anon_sym_EQ,
    ACTIONS(18966), 1,
      anon_sym_of,
    ACTIONS(18968), 1,
      anon_sym_COLON2,
    STATE(14216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12457), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [654697] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18970), 1,
      anon_sym_RPAREN,
    STATE(14217), 1,
      sym_attribute,
    STATE(16329), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654723] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11130), 1,
      sym__lowercase_identifier,
    ACTIONS(18972), 1,
      anon_sym_POUND,
    STATE(9751), 1,
      sym_type_constructor_path,
    STATE(14218), 1,
      sym_attribute,
    STATE(16715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654749] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18974), 1,
      anon_sym_SEMI,
    ACTIONS(18976), 1,
      anon_sym_GT_RBRACE,
    STATE(14219), 1,
      sym_attribute,
    STATE(15276), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654775] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14191), 1,
      sym_field_path,
    STATE(14220), 1,
      sym_attribute,
    STATE(16323), 1,
      sym_field_binding_pattern,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654801] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14200), 1,
      sym_field_path,
    STATE(14221), 1,
      sym_attribute,
    STATE(15745), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654827] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18978), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [654845] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(18980), 1,
      anon_sym_RPAREN,
    STATE(14223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654871] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18982), 1,
      anon_sym_SEMI,
    ACTIONS(18984), 1,
      anon_sym_GT_RBRACE,
    STATE(14224), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16366), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654897] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17636), 1,
      anon_sym_COMMA,
    ACTIONS(17638), 1,
      anon_sym_PIPE,
    ACTIONS(17640), 1,
      anon_sym_as,
    ACTIONS(17642), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18986), 1,
      anon_sym_RPAREN,
    STATE(14225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654923] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14200), 1,
      sym_field_path,
    STATE(14226), 1,
      sym_attribute,
    STATE(17433), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654949] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(18988), 1,
      anon_sym_RPAREN,
    STATE(14227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654975] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12098), 1,
      sym__lowercase_identifier,
    ACTIONS(18990), 1,
      anon_sym_POUND,
    STATE(9078), 1,
      sym_type_constructor_path,
    STATE(14228), 1,
      sym_attribute,
    STATE(16957), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655001] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17636), 1,
      anon_sym_COMMA,
    ACTIONS(17638), 1,
      anon_sym_PIPE,
    ACTIONS(17640), 1,
      anon_sym_as,
    ACTIONS(17642), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18992), 1,
      anon_sym_RPAREN,
    STATE(14229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655027] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(18994), 1,
      anon_sym_SEMI,
    ACTIONS(18996), 1,
      anon_sym_GT_RBRACE,
    STATE(14230), 1,
      sym_attribute,
    STATE(16268), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655053] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17636), 1,
      anon_sym_COMMA,
    ACTIONS(17638), 1,
      anon_sym_PIPE,
    ACTIONS(17640), 1,
      anon_sym_as,
    ACTIONS(17642), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18998), 1,
      anon_sym_RPAREN,
    STATE(14231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655079] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19000), 1,
      anon_sym_SEMI,
    ACTIONS(19002), 1,
      anon_sym_GT_RBRACE,
    STATE(14232), 1,
      sym_attribute,
    STATE(15195), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655105] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19004), 1,
      anon_sym_SEMI,
    ACTIONS(19006), 1,
      anon_sym_GT_RBRACE,
    STATE(14233), 1,
      sym_attribute,
    STATE(15206), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655131] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18931), 1,
      anon_sym_type,
    ACTIONS(18933), 1,
      anon_sym_module,
    STATE(14234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13976), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [655153] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(19008), 1,
      anon_sym_RPAREN,
    STATE(14235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655179] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(19010), 1,
      anon_sym_RPAREN,
    STATE(14236), 1,
      sym_attribute,
    STATE(16090), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655205] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19012), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [655223] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14200), 1,
      sym_field_path,
    STATE(14238), 1,
      sym_attribute,
    STATE(15003), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655249] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19014), 1,
      anon_sym_SEMI,
    ACTIONS(19016), 1,
      anon_sym_GT_RBRACE,
    STATE(14239), 1,
      sym_attribute,
    STATE(16124), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655275] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(19018), 1,
      anon_sym_RPAREN,
    STATE(14240), 1,
      sym_attribute,
    STATE(16204), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655301] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(19020), 1,
      anon_sym_RPAREN,
    STATE(14241), 1,
      sym_attribute,
    STATE(15506), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655327] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19022), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [655345] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(18228), 1,
      anon_sym_RBRACK,
    STATE(14243), 1,
      sym_attribute,
    STATE(15835), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655371] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(19024), 1,
      anon_sym_RPAREN,
    STATE(14244), 1,
      sym_attribute,
    STATE(15055), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655397] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16783), 1,
      anon_sym_COMMA,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    ACTIONS(19026), 1,
      anon_sym_RPAREN,
    STATE(14245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655423] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19028), 1,
      anon_sym_SEMI,
    ACTIONS(19030), 1,
      anon_sym_GT_RBRACE,
    STATE(14246), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16319), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655449] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 5,
      anon_sym_EQ,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [655467] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9144), 1,
      sym__uppercase_identifier,
    ACTIONS(18954), 1,
      anon_sym_LPAREN,
    STATE(13240), 1,
      sym__constructor_name,
    STATE(14248), 1,
      sym_attribute,
    STATE(17376), 1,
      sym_constructor_path,
    STATE(19315), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655493] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18560), 1,
      anon_sym_DASH_GT,
    ACTIONS(18921), 1,
      anon_sym_as,
    STATE(14249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16292), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [655515] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12140), 1,
      sym__lowercase_identifier,
    ACTIONS(19032), 1,
      anon_sym_POUND,
    STATE(12768), 1,
      sym_type_constructor_path,
    STATE(14250), 1,
      sym_attribute,
    STATE(16968), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655541] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(19034), 1,
      anon_sym_RPAREN,
    STATE(14251), 1,
      sym_attribute,
    STATE(15129), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655567] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18889), 1,
      anon_sym_type,
    ACTIONS(18891), 1,
      anon_sym_module,
    STATE(14252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11004), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [655589] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14200), 1,
      sym_field_path,
    STATE(14253), 1,
      sym_attribute,
    STATE(15343), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655615] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18911), 1,
      anon_sym_type,
    ACTIONS(18913), 1,
      anon_sym_module,
    STATE(14254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11005), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [655637] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    STATE(14255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19036), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [655659] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18923), 1,
      anon_sym_type,
    ACTIONS(18925), 1,
      anon_sym_module,
    STATE(14256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10395), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [655681] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(19038), 1,
      anon_sym_RPAREN,
    STATE(14257), 1,
      sym_attribute,
    STATE(16301), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655707] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    ACTIONS(19040), 1,
      anon_sym_POUND,
    STATE(12434), 1,
      sym_type_constructor_path,
    STATE(14258), 1,
      sym_attribute,
    STATE(16831), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655733] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12030), 1,
      sym__lowercase_identifier,
    ACTIONS(19042), 1,
      anon_sym_POUND,
    STATE(11693), 1,
      sym_type_constructor_path,
    STATE(14259), 1,
      sym_attribute,
    STATE(16778), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655759] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18946), 1,
      anon_sym_type,
    ACTIONS(18948), 1,
      anon_sym_module,
    STATE(14260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10171), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [655781] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17636), 1,
      anon_sym_COMMA,
    ACTIONS(17638), 1,
      anon_sym_PIPE,
    ACTIONS(17640), 1,
      anon_sym_as,
    ACTIONS(17642), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19044), 1,
      anon_sym_RPAREN,
    STATE(14261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655807] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19046), 1,
      anon_sym_SEMI,
    ACTIONS(19048), 1,
      anon_sym_GT_RBRACE,
    STATE(14262), 1,
      sym_attribute,
    STATE(14960), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655833] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19050), 1,
      anon_sym_SEMI,
    ACTIONS(19052), 1,
      anon_sym_GT_RBRACE,
    STATE(14263), 1,
      sym_attribute,
    STATE(15068), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655859] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19054), 1,
      anon_sym_SEMI,
    ACTIONS(19056), 1,
      anon_sym_GT_RBRACE,
    STATE(14264), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16327), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655885] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19058), 1,
      anon_sym_SEMI,
    ACTIONS(19060), 1,
      anon_sym_GT_RBRACE,
    STATE(14265), 1,
      sym_attribute,
    STATE(15072), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655911] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(19062), 1,
      anon_sym_RPAREN,
    STATE(14266), 1,
      sym_attribute,
    STATE(16316), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655937] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11138), 1,
      sym__lowercase_identifier,
    ACTIONS(19064), 1,
      anon_sym_POUND,
    STATE(10612), 1,
      sym_type_constructor_path,
    STATE(14267), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655963] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(17152), 1,
      sym__lowercase_identifier,
    STATE(14200), 1,
      sym_field_path,
    STATE(14268), 1,
      sym_attribute,
    STATE(15762), 1,
      sym_field_expression,
    STATE(19964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655989] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9144), 1,
      sym__uppercase_identifier,
    ACTIONS(18954), 1,
      anon_sym_LPAREN,
    STATE(13240), 1,
      sym__constructor_name,
    STATE(14269), 1,
      sym_attribute,
    STATE(17383), 1,
      sym_constructor_path,
    STATE(19315), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656015] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19066), 1,
      anon_sym_SEMI,
    ACTIONS(19068), 1,
      anon_sym_GT_RBRACE,
    STATE(14270), 1,
      sym_attribute,
    STATE(15249), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656041] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19070), 1,
      anon_sym_SEMI,
    ACTIONS(19072), 1,
      anon_sym_GT_RBRACE,
    STATE(14271), 1,
      sym_attribute,
    STATE(15992), 1,
      sym_instance_variable_expression,
    STATE(16274), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656067] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19074), 1,
      anon_sym_DOT,
    STATE(14272), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656090] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13261), 1,
      anon_sym_in,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14273), 1,
      sym_attribute,
    STATE(14580), 1,
      aux_sym_expression_item_repeat1,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656113] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19078), 1,
      anon_sym_RBRACK,
    ACTIONS(19080), 1,
      anon_sym_GT,
    STATE(14274), 1,
      sym_attribute,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656136] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19078), 1,
      anon_sym_RBRACK,
    STATE(14275), 1,
      sym_attribute,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656159] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19082), 1,
      anon_sym_DOT,
    STATE(14276), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656182] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19084), 1,
      anon_sym_DOT,
    STATE(14277), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656205] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18520), 1,
      sym__lowercase_identifier,
    STATE(6810), 1,
      sym_class_path,
    STATE(14278), 1,
      sym_attribute,
    STATE(19557), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656228] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19086), 1,
      anon_sym_RBRACK,
    STATE(14279), 1,
      sym_attribute,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656251] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19088), 1,
      anon_sym_DOT,
    STATE(14280), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656274] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19090), 1,
      anon_sym_GT_RBRACE,
    STATE(14281), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656297] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19092), 1,
      sym__lowercase_identifier,
    STATE(5541), 1,
      sym_type_constructor_path,
    STATE(14282), 1,
      sym_attribute,
    STATE(16553), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656320] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19094), 1,
      anon_sym_GT_RBRACE,
    STATE(14283), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656343] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10024), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19096), 1,
      anon_sym_GT,
    STATE(14284), 1,
      sym_attribute,
    STATE(14442), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656366] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19098), 1,
      sym__lowercase_identifier,
    STATE(9746), 1,
      sym_class_type_path,
    STATE(14285), 1,
      sym_attribute,
    STATE(16518), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656389] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19100), 1,
      anon_sym_RBRACK,
    STATE(14286), 1,
      sym_attribute,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656412] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19098), 1,
      sym__lowercase_identifier,
    STATE(9890), 1,
      sym_class_type_path,
    STATE(14287), 1,
      sym_attribute,
    STATE(16518), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656435] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19102), 1,
      anon_sym_GT_RBRACE,
    STATE(14288), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656458] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19104), 1,
      sym__lowercase_identifier,
    STATE(14289), 1,
      sym_attribute,
    STATE(14659), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18851), 2,
      anon_sym_private,
      anon_sym_virtual,
  [656479] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19106), 1,
      anon_sym_RBRACK,
    STATE(14290), 1,
      sym_attribute,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656502] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19108), 1,
      sym__lowercase_identifier,
    STATE(14291), 1,
      sym_attribute,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(20107), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656525] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13257), 1,
      anon_sym_in,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14143), 1,
      aux_sym_expression_item_repeat1,
    STATE(14292), 1,
      sym_attribute,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656548] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19110), 1,
      anon_sym_GT_RBRACE,
    STATE(14293), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656571] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19112), 1,
      anon_sym_GT_RBRACE,
    STATE(14294), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656594] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19114), 1,
      anon_sym_RBRACK,
    STATE(14295), 1,
      sym_attribute,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656617] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19116), 1,
      anon_sym_RBRACK,
    STATE(14296), 1,
      sym_attribute,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656640] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18616), 1,
      sym__lowercase_identifier,
    STATE(4289), 1,
      sym_class_path,
    STATE(14297), 1,
      sym_attribute,
    STATE(18240), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656663] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11122), 1,
      anon_sym_in,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14143), 1,
      aux_sym_expression_item_repeat1,
    STATE(14298), 1,
      sym_attribute,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656686] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19118), 1,
      sym__lowercase_identifier,
    STATE(9683), 1,
      sym_class_type_path,
    STATE(14299), 1,
      sym_attribute,
    STATE(16610), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656709] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19120), 1,
      anon_sym_COLON_GT,
    ACTIONS(19122), 1,
      anon_sym_RPAREN,
    STATE(14300), 1,
      sym_attribute,
    STATE(17294), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656732] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(19124), 1,
      sym__lowercase_identifier,
    STATE(7242), 1,
      sym_class_path,
    STATE(14301), 1,
      sym_attribute,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656755] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19126), 1,
      anon_sym_RBRACK,
    ACTIONS(19128), 1,
      anon_sym_GT,
    STATE(14302), 1,
      sym_attribute,
    STATE(14794), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656778] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    STATE(14303), 1,
      sym_attribute,
    STATE(16537), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19130), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [656799] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19132), 1,
      anon_sym_DOT,
    STATE(14304), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656822] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    STATE(14305), 1,
      sym_attribute,
    STATE(17219), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19134), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [656843] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19136), 1,
      anon_sym_DOT,
    STATE(14306), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656866] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19138), 1,
      anon_sym_DOT,
    STATE(14307), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656889] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10043), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19140), 1,
      anon_sym_GT,
    STATE(14308), 1,
      sym_attribute,
    STATE(14388), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656912] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19142), 1,
      anon_sym_GT_RBRACE,
    STATE(14309), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656935] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19144), 1,
      anon_sym_DOT,
    STATE(14310), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656958] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10034), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19146), 1,
      anon_sym_GT,
    STATE(14311), 1,
      sym_attribute,
    STATE(14345), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19148), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11927), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    STATE(14312), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
  [657000] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18538), 1,
      sym__lowercase_identifier,
    STATE(5761), 1,
      sym_class_path,
    STATE(14313), 1,
      sym_attribute,
    STATE(17873), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657023] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19151), 1,
      sym__lowercase_identifier,
    STATE(10422), 1,
      sym_class_type_path,
    STATE(14314), 1,
      sym_attribute,
    STATE(16742), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657046] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19151), 1,
      sym__lowercase_identifier,
    STATE(10495), 1,
      sym_class_type_path,
    STATE(14315), 1,
      sym_attribute,
    STATE(16742), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657069] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19151), 1,
      sym__lowercase_identifier,
    STATE(10509), 1,
      sym_class_type_path,
    STATE(14316), 1,
      sym_attribute,
    STATE(16742), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657092] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18164), 1,
      sym__lowercase_identifier,
    ACTIONS(18166), 1,
      anon_sym_LBRACK,
    ACTIONS(18168), 1,
      anon_sym_virtual,
    STATE(11592), 1,
      sym_class_binding,
    STATE(14317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657115] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18320), 1,
      sym__lowercase_identifier,
    STATE(3537), 1,
      sym_class_path,
    STATE(14318), 1,
      sym_attribute,
    STATE(18862), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657138] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18357), 1,
      sym__lowercase_identifier,
    ACTIONS(18359), 1,
      anon_sym_LBRACK,
    ACTIONS(18361), 1,
      anon_sym_virtual,
    STATE(11573), 1,
      sym_class_type_binding,
    STATE(14319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657161] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19153), 1,
      anon_sym_EQ,
    ACTIONS(19155), 1,
      anon_sym_RPAREN,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(14320), 1,
      sym_attribute,
    STATE(16613), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657184] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19159), 1,
      anon_sym_GT_RBRACE,
    STATE(14321), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657207] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19161), 1,
      anon_sym_RBRACK,
    STATE(14322), 1,
      sym_attribute,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657230] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19163), 1,
      sym__lowercase_identifier,
    STATE(10691), 1,
      sym_class_type_path,
    STATE(14323), 1,
      sym_attribute,
    STATE(16700), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657253] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18654), 1,
      sym__lowercase_identifier,
    STATE(7631), 1,
      sym_class_path,
    STATE(14324), 1,
      sym_attribute,
    STATE(17818), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657276] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19165), 1,
      anon_sym_RBRACK,
    STATE(14325), 1,
      sym_attribute,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657299] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9808), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19167), 1,
      anon_sym_GT,
    STATE(14326), 1,
      sym_attribute,
    STATE(14339), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657322] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19098), 1,
      sym__lowercase_identifier,
    STATE(9904), 1,
      sym_class_type_path,
    STATE(14327), 1,
      sym_attribute,
    STATE(16518), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657345] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    STATE(14328), 1,
      sym_attribute,
    STATE(16567), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19169), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [657366] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18396), 1,
      sym__lowercase_identifier,
    STATE(4947), 1,
      sym_class_path,
    STATE(14329), 1,
      sym_attribute,
    STATE(17478), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657389] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19171), 1,
      anon_sym_RBRACK,
    ACTIONS(19173), 1,
      aux_sym_tag_token1,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14330), 2,
      sym_attribute,
      aux_sym_polymorphic_variant_type_repeat2,
  [657410] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19176), 1,
      anon_sym_COLON_GT,
    ACTIONS(19178), 1,
      anon_sym_RPAREN,
    STATE(14331), 1,
      sym_attribute,
    STATE(17351), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12265), 1,
      anon_sym_and,
    STATE(14332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12263), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [657452] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19180), 1,
      anon_sym_RBRACK,
    ACTIONS(19182), 1,
      anon_sym_GT,
    STATE(14333), 1,
      sym_attribute,
    STATE(14377), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657475] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19184), 1,
      anon_sym_DOT,
    STATE(14334), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657498] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19186), 1,
      anon_sym_DOT,
    STATE(14335), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657521] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19188), 1,
      anon_sym_DOT,
    STATE(14336), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657544] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19190), 1,
      anon_sym_DOT,
    STATE(14337), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657567] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19192), 1,
      anon_sym_RBRACK,
    ACTIONS(19194), 1,
      anon_sym_GT,
    STATE(14338), 1,
      sym_attribute,
    STATE(14347), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657590] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19192), 1,
      anon_sym_RBRACK,
    ACTIONS(19194), 1,
      anon_sym_GT,
    STATE(14339), 1,
      sym_attribute,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657613] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19196), 1,
      sym__lowercase_identifier,
    STATE(5540), 1,
      sym_type_constructor_path,
    STATE(14340), 1,
      sym_attribute,
    STATE(16762), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657636] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19198), 1,
      anon_sym_DOT,
    STATE(14341), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657659] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19200), 1,
      anon_sym_GT_RBRACE,
    STATE(14342), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657682] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19202), 1,
      anon_sym_COLON_GT,
    ACTIONS(19204), 1,
      anon_sym_RPAREN,
    STATE(14343), 1,
      sym_attribute,
    STATE(16593), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657705] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19206), 1,
      anon_sym_DOT,
    STATE(14344), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657728] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19180), 1,
      anon_sym_RBRACK,
    ACTIONS(19182), 1,
      anon_sym_GT,
    STATE(14345), 1,
      sym_attribute,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657751] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18288), 1,
      sym__lowercase_identifier,
    STATE(5158), 1,
      sym_class_path,
    STATE(14346), 1,
      sym_attribute,
    STATE(18764), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657774] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19208), 1,
      anon_sym_RBRACK,
    ACTIONS(19210), 1,
      anon_sym_GT,
    STATE(14347), 1,
      sym_attribute,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657797] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19208), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14348), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657820] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19212), 1,
      sym__lowercase_identifier,
    STATE(5480), 1,
      sym_type_constructor_path,
    STATE(14349), 1,
      sym_attribute,
    STATE(16655), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657843] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    STATE(14350), 1,
      sym_attribute,
    STATE(16597), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19214), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [657864] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    STATE(14351), 1,
      sym_attribute,
    STATE(15097), 1,
      sym_type_constructor_path,
    STATE(16831), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657887] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(19216), 1,
      sym__lowercase_identifier,
    STATE(14352), 1,
      sym_attribute,
    STATE(16472), 1,
      sym_module_type_path,
    STATE(16867), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657910] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19218), 1,
      anon_sym_DOT,
    STATE(14353), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657933] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19220), 1,
      anon_sym_DOT,
    STATE(14354), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657956] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19222), 1,
      anon_sym_DOT,
    STATE(14355), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657979] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18492), 1,
      sym__lowercase_identifier,
    STATE(7536), 1,
      sym_class_path,
    STATE(14356), 1,
      sym_attribute,
    STATE(18369), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658002] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19224), 1,
      sym__lowercase_identifier,
    STATE(10550), 1,
      sym_class_type_path,
    STATE(14357), 1,
      sym_attribute,
    STATE(16387), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658025] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19226), 1,
      anon_sym_COLON_GT,
    ACTIONS(19228), 1,
      anon_sym_RPAREN,
    STATE(14358), 1,
      sym_attribute,
    STATE(17275), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658048] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19230), 1,
      anon_sym_DOT,
    STATE(14359), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658071] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19232), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14360), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658094] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19234), 1,
      anon_sym_GT_RBRACE,
    STATE(14361), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658117] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19236), 1,
      anon_sym_GT_RBRACE,
    STATE(14362), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658140] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19238), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14363), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658163] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18640), 1,
      sym__lowercase_identifier,
    STATE(9699), 1,
      sym_class_path,
    STATE(14364), 1,
      sym_attribute,
    STATE(20075), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658186] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19240), 1,
      sym__lowercase_identifier,
    STATE(10147), 1,
      sym_class_type_path,
    STATE(14365), 1,
      sym_attribute,
    STATE(16654), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658209] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18373), 1,
      anon_sym_LPAREN,
    ACTIONS(18530), 1,
      sym__lowercase_identifier,
    STATE(14366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12874), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [658230] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    STATE(14367), 1,
      sym_attribute,
    STATE(16619), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19242), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [658251] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19244), 1,
      anon_sym_GT_RBRACE,
    STATE(14368), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658274] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19246), 1,
      aux_sym_attribute_id_token1,
    STATE(14369), 1,
      sym_attribute,
    STATE(14690), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8859), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [658295] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19248), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14370), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658318] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19250), 1,
      anon_sym_DOT,
    STATE(14371), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658341] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19252), 1,
      anon_sym_DOT,
    STATE(14372), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658364] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19254), 1,
      anon_sym_DOT,
    STATE(14373), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658387] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19240), 1,
      sym__lowercase_identifier,
    STATE(10163), 1,
      sym_class_type_path,
    STATE(14374), 1,
      sym_attribute,
    STATE(16654), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658410] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19240), 1,
      sym__lowercase_identifier,
    STATE(10006), 1,
      sym_class_type_path,
    STATE(14375), 1,
      sym_attribute,
    STATE(16654), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658433] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19256), 1,
      sym__lowercase_identifier,
    STATE(13466), 1,
      sym_class_type_path,
    STATE(14376), 1,
      sym_attribute,
    STATE(16480), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658456] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19258), 1,
      anon_sym_RBRACK,
    ACTIONS(19260), 1,
      anon_sym_GT,
    STATE(14377), 1,
      sym_attribute,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658479] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19258), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14378), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658502] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18640), 1,
      sym__lowercase_identifier,
    STATE(9754), 1,
      sym_class_path,
    STATE(14379), 1,
      sym_attribute,
    STATE(20075), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658525] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19262), 1,
      anon_sym_COLON_GT,
    ACTIONS(19264), 1,
      anon_sym_RPAREN,
    STATE(14380), 1,
      sym_attribute,
    STATE(16645), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658548] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19266), 1,
      anon_sym_RBRACK,
    ACTIONS(19268), 1,
      anon_sym_GT,
    STATE(14381), 1,
      sym_attribute,
    STATE(14470), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658571] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18566), 1,
      sym__lowercase_identifier,
    STATE(5039), 1,
      sym_class_path,
    STATE(14382), 1,
      sym_attribute,
    STATE(17928), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658594] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    STATE(14383), 1,
      sym_attribute,
    STATE(16639), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19270), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [658615] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19272), 1,
      sym__lowercase_identifier,
    STATE(9555), 1,
      sym_class_type_path,
    STATE(14384), 1,
      sym_attribute,
    STATE(16760), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658638] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19272), 1,
      sym__lowercase_identifier,
    STATE(9383), 1,
      sym_class_type_path,
    STATE(14385), 1,
      sym_attribute,
    STATE(16760), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658661] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19274), 1,
      anon_sym_DOT,
    ACTIONS(19276), 1,
      aux_sym_type_variable_token1,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14386), 2,
      sym_attribute,
      aux_sym_constructor_declaration_repeat1,
  [658682] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19272), 1,
      sym__lowercase_identifier,
    STATE(9413), 1,
      sym_class_type_path,
    STATE(14387), 1,
      sym_attribute,
    STATE(16760), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658705] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19266), 1,
      anon_sym_RBRACK,
    ACTIONS(19268), 1,
      anon_sym_GT,
    STATE(14388), 1,
      sym_attribute,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658728] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19279), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14389), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658751] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19281), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14390), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658774] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18572), 1,
      sym__lowercase_identifier,
    STATE(4100), 1,
      sym_class_path,
    STATE(14391), 1,
      sym_attribute,
    STATE(18451), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658797] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(19283), 1,
      anon_sym_DASH_GT,
    STATE(9207), 1,
      aux_sym_module_binding_repeat1,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658820] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19285), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14393), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658843] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18658), 1,
      sym__lowercase_identifier,
    STATE(5130), 1,
      sym_class_path,
    STATE(14394), 1,
      sym_attribute,
    STATE(19189), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658866] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19287), 1,
      anon_sym_GT_RBRACE,
    STATE(14395), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658889] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19289), 1,
      anon_sym_GT_RBRACE,
    STATE(14396), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658912] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18373), 1,
      anon_sym_LPAREN,
    ACTIONS(19291), 1,
      sym__lowercase_identifier,
    STATE(13185), 1,
      sym__value_name,
    STATE(13681), 1,
      sym_parenthesized_operator,
    STATE(14397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658935] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19293), 1,
      sym__lowercase_identifier,
    STATE(13038), 1,
      sym_class_type_path,
    STATE(14398), 1,
      sym_attribute,
    STATE(16714), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658958] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19295), 1,
      sym__lowercase_identifier,
    STATE(7373), 1,
      sym_type_constructor_path,
    STATE(14399), 1,
      sym_attribute,
    STATE(16519), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658981] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19297), 1,
      anon_sym_GT_RBRACE,
    STATE(14400), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659004] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19299), 1,
      anon_sym_COLON_GT,
    ACTIONS(19301), 1,
      anon_sym_RPAREN,
    STATE(14401), 1,
      sym_attribute,
    STATE(16390), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659027] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9838), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19303), 1,
      anon_sym_GT,
    STATE(14402), 1,
      sym_attribute,
    STATE(14416), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659050] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19305), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14403), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659073] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19307), 1,
      sym__lowercase_identifier,
    ACTIONS(19309), 1,
      anon_sym_LPAREN,
    STATE(13831), 1,
      sym__value_name,
    STATE(13873), 1,
      sym_parenthesized_operator,
    STATE(14404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659096] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(19311), 1,
      anon_sym_DASH_GT,
    STATE(9207), 1,
      aux_sym_module_binding_repeat1,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659119] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    STATE(14406), 1,
      sym_attribute,
    STATE(16666), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19313), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [659140] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19315), 1,
      sym__lowercase_identifier,
    ACTIONS(19317), 1,
      anon_sym_RBRACE,
    ACTIONS(19319), 1,
      anon_sym_mutable,
    STATE(14407), 1,
      sym_attribute,
    STATE(16664), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659163] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19321), 1,
      anon_sym_GT_RBRACE,
    STATE(14408), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659186] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19323), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14409), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659209] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19325), 1,
      anon_sym_COLON_GT,
    ACTIONS(19327), 1,
      anon_sym_RPAREN,
    STATE(14410), 1,
      sym_attribute,
    STATE(16484), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659232] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19329), 1,
      sym__lowercase_identifier,
    STATE(9898), 1,
      sym_class_type_path,
    STATE(14411), 1,
      sym_attribute,
    STATE(16756), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659255] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19331), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14412), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659278] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19333), 1,
      sym__lowercase_identifier,
    STATE(11039), 1,
      sym_class_type_path,
    STATE(14413), 1,
      sym_attribute,
    STATE(16629), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659301] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19335), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14414), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659324] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19337), 1,
      anon_sym_RBRACK,
    ACTIONS(19339), 1,
      anon_sym_GT,
    STATE(14415), 1,
      sym_attribute,
    STATE(14428), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659347] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19337), 1,
      anon_sym_RBRACK,
    ACTIONS(19339), 1,
      anon_sym_GT,
    STATE(14416), 1,
      sym_attribute,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659370] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19341), 1,
      sym__lowercase_identifier,
    STATE(9255), 1,
      sym_class_type_path,
    STATE(14417), 1,
      sym_attribute,
    STATE(17372), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659393] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19343), 1,
      anon_sym_COLON_GT,
    ACTIONS(19345), 1,
      anon_sym_RPAREN,
    STATE(14418), 1,
      sym_attribute,
    STATE(16704), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659416] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    STATE(14419), 1,
      sym_attribute,
    STATE(16689), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19347), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [659437] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19349), 1,
      anon_sym_COLON_GT,
    ACTIONS(19351), 1,
      anon_sym_RPAREN,
    STATE(14420), 1,
      sym_attribute,
    STATE(16468), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659460] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19353), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14421), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659483] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18470), 1,
      sym__lowercase_identifier,
    STATE(7138), 1,
      sym_class_path,
    STATE(14422), 1,
      sym_attribute,
    STATE(18305), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659506] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19355), 1,
      anon_sym_COLON_GT,
    ACTIONS(19357), 1,
      anon_sym_RPAREN,
    STATE(14423), 1,
      sym_attribute,
    STATE(16525), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659529] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19359), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14424), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659552] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19361), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14425), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659575] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19363), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14426), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659598] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19365), 1,
      anon_sym_GT_RBRACE,
    STATE(14427), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659621] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19367), 1,
      anon_sym_RBRACK,
    ACTIONS(19369), 1,
      anon_sym_GT,
    STATE(14428), 1,
      sym_attribute,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659644] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19367), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14429), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659667] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17800), 1,
      sym__lowercase_identifier,
    ACTIONS(17804), 1,
      anon_sym_LBRACK,
    ACTIONS(17806), 1,
      anon_sym_virtual,
    STATE(11803), 1,
      sym_class_binding,
    STATE(14430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659690] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(17574), 1,
      anon_sym_DASH_GT,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14431), 1,
      sym_attribute,
    STATE(14685), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659713] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19371), 1,
      anon_sym_GT_RBRACE,
    STATE(14432), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659736] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19373), 1,
      sym__lowercase_identifier,
    STATE(10794), 1,
      sym_class_type_path,
    STATE(14433), 1,
      sym_attribute,
    STATE(16552), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659759] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19373), 1,
      sym__lowercase_identifier,
    STATE(10849), 1,
      sym_class_type_path,
    STATE(14434), 1,
      sym_attribute,
    STATE(16552), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659782] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19375), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14435), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659805] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19377), 1,
      anon_sym_GT_RBRACE,
    STATE(14436), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659828] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19379), 1,
      sym__lowercase_identifier,
    STATE(9022), 1,
      sym_class_type_path,
    STATE(14437), 1,
      sym_attribute,
    STATE(16862), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659851] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19373), 1,
      sym__lowercase_identifier,
    STATE(10791), 1,
      sym_class_type_path,
    STATE(14438), 1,
      sym_attribute,
    STATE(16552), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659874] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18357), 1,
      sym__lowercase_identifier,
    ACTIONS(18359), 1,
      anon_sym_LBRACK,
    ACTIONS(18361), 1,
      anon_sym_virtual,
    STATE(11228), 1,
      sym_class_type_binding,
    STATE(14439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659897] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19381), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14440), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659920] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17882), 1,
      sym__lowercase_identifier,
    ACTIONS(17884), 1,
      anon_sym_LBRACK,
    ACTIONS(17886), 1,
      anon_sym_virtual,
    STATE(11592), 1,
      sym_class_binding,
    STATE(14441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659943] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19126), 1,
      anon_sym_RBRACK,
    ACTIONS(19128), 1,
      anon_sym_GT,
    STATE(14442), 1,
      sym_attribute,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659966] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18654), 1,
      sym__lowercase_identifier,
    STATE(7638), 1,
      sym_class_path,
    STATE(14443), 1,
      sym_attribute,
    STATE(17818), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659989] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18446), 1,
      sym__lowercase_identifier,
    STATE(7825), 1,
      sym_class_path,
    STATE(14444), 1,
      sym_attribute,
    STATE(18619), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660012] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19383), 1,
      anon_sym_RBRACK,
    ACTIONS(19385), 1,
      anon_sym_GT,
    STATE(14445), 1,
      sym_attribute,
    STATE(14668), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660035] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19387), 1,
      anon_sym_GT_RBRACE,
    STATE(14446), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660058] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19389), 1,
      anon_sym_GT_RBRACE,
    STATE(14447), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660081] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19391), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14448), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660104] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19315), 1,
      sym__lowercase_identifier,
    ACTIONS(19319), 1,
      anon_sym_mutable,
    ACTIONS(19393), 1,
      anon_sym_RBRACE,
    STATE(14449), 1,
      sym_attribute,
    STATE(16664), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660127] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19395), 1,
      anon_sym_GT_RBRACE,
    STATE(14450), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660150] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19397), 1,
      anon_sym_COLON_GT,
    ACTIONS(19399), 1,
      anon_sym_RPAREN,
    STATE(14451), 1,
      sym_attribute,
    STATE(17435), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660173] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19401), 1,
      anon_sym_COLON_GT,
    ACTIONS(19403), 1,
      anon_sym_RPAREN,
    STATE(14452), 1,
      sym_attribute,
    STATE(16424), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660196] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(17574), 1,
      anon_sym_DASH_GT,
    STATE(9207), 1,
      aux_sym_module_binding_repeat1,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660219] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19329), 1,
      sym__lowercase_identifier,
    STATE(9817), 1,
      sym_class_type_path,
    STATE(14454), 1,
      sym_attribute,
    STATE(16756), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660242] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14455), 1,
      sym_attribute,
    STATE(14819), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660265] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19405), 1,
      sym__lowercase_identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19407), 2,
      anon_sym_mutable,
      anon_sym_virtual,
    STATE(14456), 2,
      sym_attribute,
      aux_sym_instance_variable_specification_repeat1,
  [660284] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19383), 1,
      anon_sym_RBRACK,
    ACTIONS(19385), 1,
      anon_sym_GT,
    STATE(14457), 1,
      sym_attribute,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660307] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18596), 1,
      sym__lowercase_identifier,
    STATE(5351), 1,
      sym_class_path,
    STATE(14458), 1,
      sym_attribute,
    STATE(17983), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660330] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19410), 1,
      sym__lowercase_identifier,
    STATE(9952), 1,
      sym_class_type_path,
    STATE(14459), 1,
      sym_attribute,
    STATE(16777), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660353] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19410), 1,
      sym__lowercase_identifier,
    STATE(10067), 1,
      sym_class_type_path,
    STATE(14460), 1,
      sym_attribute,
    STATE(16777), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660376] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19410), 1,
      sym__lowercase_identifier,
    STATE(10109), 1,
      sym_class_type_path,
    STATE(14461), 1,
      sym_attribute,
    STATE(16777), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660399] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19412), 1,
      sym__lowercase_identifier,
    STATE(13067), 1,
      sym_class_type_path,
    STATE(14462), 1,
      sym_attribute,
    STATE(17164), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660422] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19414), 1,
      sym__lowercase_identifier,
    STATE(11655), 1,
      sym_class_type_path,
    STATE(14463), 1,
      sym_attribute,
    STATE(16582), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660445] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18246), 1,
      sym__lowercase_identifier,
    STATE(6127), 1,
      sym_class_path,
    STATE(14464), 1,
      sym_attribute,
    STATE(18649), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660468] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18466), 1,
      sym__lowercase_identifier,
    STATE(3954), 1,
      sym_class_path,
    STATE(14465), 1,
      sym_attribute,
    STATE(17653), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660491] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18600), 1,
      sym__lowercase_identifier,
    STATE(4764), 1,
      sym_class_path,
    STATE(14466), 1,
      sym_attribute,
    STATE(18492), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660514] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19416), 1,
      anon_sym_RBRACK,
    ACTIONS(19418), 1,
      anon_sym_GT,
    STATE(14467), 1,
      sym_attribute,
    STATE(14559), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660537] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19420), 1,
      anon_sym_GT_RBRACE,
    STATE(14468), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660560] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19256), 1,
      sym__lowercase_identifier,
    STATE(13585), 1,
      sym_class_type_path,
    STATE(14469), 1,
      sym_attribute,
    STATE(16480), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660583] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19422), 1,
      anon_sym_RBRACK,
    ACTIONS(19424), 1,
      anon_sym_GT,
    STATE(14470), 1,
      sym_attribute,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660606] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19163), 1,
      sym__lowercase_identifier,
    STATE(10715), 1,
      sym_class_type_path,
    STATE(14471), 1,
      sym_attribute,
    STATE(16700), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660629] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19163), 1,
      sym__lowercase_identifier,
    STATE(10741), 1,
      sym_class_type_path,
    STATE(14472), 1,
      sym_attribute,
    STATE(16700), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660652] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17800), 1,
      sym__lowercase_identifier,
    ACTIONS(17804), 1,
      anon_sym_LBRACK,
    ACTIONS(17806), 1,
      anon_sym_virtual,
    STATE(11592), 1,
      sym_class_binding,
    STATE(14473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660675] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18373), 1,
      anon_sym_LPAREN,
    ACTIONS(18530), 1,
      sym__lowercase_identifier,
    STATE(14474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12926), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [660696] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19163), 1,
      sym__lowercase_identifier,
    STATE(10748), 1,
      sym_class_type_path,
    STATE(14475), 1,
      sym_attribute,
    STATE(16700), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660719] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19422), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14476), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660742] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19224), 1,
      sym__lowercase_identifier,
    STATE(10449), 1,
      sym_class_type_path,
    STATE(14477), 1,
      sym_attribute,
    STATE(16387), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660765] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19426), 1,
      sym__lowercase_identifier,
    STATE(10460), 1,
      sym_class_type_path,
    STATE(14478), 1,
      sym_attribute,
    STATE(16728), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660788] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19416), 1,
      anon_sym_RBRACK,
    ACTIONS(19418), 1,
      anon_sym_GT,
    STATE(14479), 1,
      sym_attribute,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660811] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19428), 1,
      anon_sym_GT_RBRACE,
    STATE(14480), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660834] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10095), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19430), 1,
      anon_sym_GT,
    STATE(14481), 1,
      sym_attribute,
    STATE(14491), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660857] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13684), 1,
      anon_sym_in,
    ACTIONS(19432), 1,
      anon_sym_and,
    ACTIONS(19434), 1,
      sym_let_and_operator,
    STATE(14482), 1,
      sym_attribute,
    STATE(14487), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660880] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19436), 1,
      anon_sym_COLON_GT,
    ACTIONS(19438), 1,
      anon_sym_RPAREN,
    STATE(14483), 1,
      sym_attribute,
    STATE(16510), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660903] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19440), 1,
      sym__lowercase_identifier,
    STATE(9817), 1,
      sym_class_type_path,
    STATE(14484), 1,
      sym_attribute,
    STATE(16439), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660926] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10028), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19442), 1,
      anon_sym_GT,
    STATE(14485), 1,
      sym_attribute,
    STATE(14525), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660949] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19444), 1,
      anon_sym_GT_RBRACE,
    STATE(14486), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660972] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13797), 1,
      anon_sym_in,
    ACTIONS(19446), 1,
      anon_sym_and,
    ACTIONS(19449), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14487), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
  [660993] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19452), 1,
      sym__lowercase_identifier,
    STATE(14488), 1,
      sym_attribute,
    STATE(14500), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18851), 2,
      anon_sym_private,
      anon_sym_virtual,
  [661014] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10073), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19454), 1,
      anon_sym_GT,
    STATE(14489), 1,
      sym_attribute,
    STATE(14520), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661037] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19456), 1,
      anon_sym_RBRACK,
    ACTIONS(19458), 1,
      anon_sym_GT,
    STATE(14490), 1,
      sym_attribute,
    STATE(14498), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661060] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19456), 1,
      anon_sym_RBRACK,
    ACTIONS(19458), 1,
      anon_sym_GT,
    STATE(14491), 1,
      sym_attribute,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661083] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19460), 1,
      anon_sym_COLON_GT,
    ACTIONS(19462), 1,
      anon_sym_RPAREN,
    STATE(14492), 1,
      sym_attribute,
    STATE(16716), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661106] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19464), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14493), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661129] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19466), 1,
      anon_sym_COLON_GT,
    ACTIONS(19468), 1,
      anon_sym_RPAREN,
    STATE(14494), 1,
      sym_attribute,
    STATE(16695), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661152] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19470), 1,
      anon_sym_COLON_GT,
    ACTIONS(19472), 1,
      anon_sym_RPAREN,
    STATE(14495), 1,
      sym_attribute,
    STATE(16808), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661175] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19474), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19477), 2,
      anon_sym_RBRACK,
      anon_sym_GT,
    STATE(14496), 2,
      sym_attribute,
      aux_sym_polymorphic_variant_type_repeat1,
  [661194] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18373), 1,
      anon_sym_LPAREN,
    ACTIONS(18530), 1,
      sym__lowercase_identifier,
    STATE(14497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12847), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [661215] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19479), 1,
      anon_sym_RBRACK,
    ACTIONS(19481), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661238] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19479), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14499), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661261] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19483), 1,
      sym__lowercase_identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19485), 2,
      anon_sym_private,
      anon_sym_virtual,
    STATE(14500), 2,
      sym_attribute,
      aux_sym_method_specification_repeat1,
  [661280] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19488), 1,
      anon_sym_GT_RBRACE,
    STATE(14501), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661303] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19373), 1,
      sym__lowercase_identifier,
    STATE(11027), 1,
      sym_class_type_path,
    STATE(14502), 1,
      sym_attribute,
    STATE(16552), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661326] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19490), 1,
      anon_sym_GT_RBRACE,
    STATE(14503), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661349] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13684), 1,
      anon_sym_in,
    ACTIONS(19432), 1,
      anon_sym_and,
    ACTIONS(19434), 1,
      sym_let_and_operator,
    STATE(14504), 1,
      sym_attribute,
    STATE(14829), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661372] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19341), 1,
      sym__lowercase_identifier,
    STATE(9345), 1,
      sym_class_type_path,
    STATE(14505), 1,
      sym_attribute,
    STATE(17372), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661395] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19224), 1,
      sym__lowercase_identifier,
    STATE(10752), 1,
      sym_class_type_path,
    STATE(14506), 1,
      sym_attribute,
    STATE(16387), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661418] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19333), 1,
      sym__lowercase_identifier,
    STATE(10974), 1,
      sym_class_type_path,
    STATE(14507), 1,
      sym_attribute,
    STATE(16629), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661441] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17136), 1,
      anon_sym_STAR,
    STATE(14312), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(14508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12873), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [661462] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    ACTIONS(19492), 1,
      anon_sym_EQ,
    ACTIONS(19494), 1,
      anon_sym_RPAREN,
    STATE(14509), 1,
      sym_attribute,
    STATE(16891), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661485] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19496), 1,
      anon_sym_GT_RBRACE,
    STATE(14510), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661508] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19498), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14511), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661531] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10071), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19500), 1,
      anon_sym_GT,
    STATE(14512), 1,
      sym_attribute,
    STATE(14537), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661554] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19502), 1,
      anon_sym_RBRACK,
    ACTIONS(19504), 1,
      anon_sym_GT,
    STATE(14513), 1,
      sym_attribute,
    STATE(14566), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661577] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19506), 1,
      anon_sym_GT_RBRACE,
    STATE(14514), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661600] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19508), 1,
      anon_sym_GT_RBRACE,
    STATE(14515), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661623] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18446), 1,
      sym__lowercase_identifier,
    STATE(8263), 1,
      sym_class_path,
    STATE(14516), 1,
      sym_attribute,
    STATE(18619), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661646] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19510), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14517), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661669] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19512), 1,
      anon_sym_GT_RBRACE,
    STATE(14518), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661692] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19514), 1,
      anon_sym_GT_RBRACE,
    STATE(14519), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661715] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19502), 1,
      anon_sym_RBRACK,
    ACTIONS(19504), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661738] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19516), 1,
      sym__lowercase_identifier,
    STATE(14521), 1,
      sym_attribute,
    STATE(14746), 1,
      aux_sym__abstract_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19518), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [661759] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19520), 1,
      anon_sym_GT_RBRACE,
    STATE(14522), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661782] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19522), 1,
      anon_sym_RBRACK,
    ACTIONS(19524), 1,
      anon_sym_GT,
    STATE(14523), 1,
      sym_attribute,
    STATE(14598), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661805] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18622), 1,
      sym__lowercase_identifier,
    STATE(5988), 1,
      sym_class_path,
    STATE(14524), 1,
      sym_attribute,
    STATE(18082), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661828] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19522), 1,
      anon_sym_RBRACK,
    ACTIONS(19524), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661851] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19526), 1,
      sym__lowercase_identifier,
    STATE(12480), 1,
      sym_class_type_path,
    STATE(14526), 1,
      sym_attribute,
    STATE(16794), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661874] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19526), 1,
      sym__lowercase_identifier,
    STATE(12597), 1,
      sym_class_type_path,
    STATE(14527), 1,
      sym_attribute,
    STATE(16794), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661897] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19526), 1,
      sym__lowercase_identifier,
    STATE(12632), 1,
      sym_class_type_path,
    STATE(14528), 1,
      sym_attribute,
    STATE(16794), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661920] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18298), 1,
      sym__lowercase_identifier,
    STATE(3486), 1,
      sym_class_path,
    STATE(14529), 1,
      sym_attribute,
    STATE(18801), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661943] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19528), 1,
      anon_sym_GT_RBRACE,
    STATE(14530), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661966] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11082), 1,
      sym__lowercase_identifier,
    STATE(13820), 1,
      sym_type_constructor_path,
    STATE(14531), 1,
      sym_attribute,
    STATE(16440), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661989] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13297), 1,
      anon_sym_in,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14532), 1,
      sym_attribute,
    STATE(14946), 1,
      aux_sym_expression_item_repeat1,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662012] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19530), 1,
      anon_sym_COLON_GT,
    ACTIONS(19532), 1,
      anon_sym_RPAREN,
    STATE(14533), 1,
      sym_attribute,
    STATE(16971), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662035] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19534), 1,
      sym__lowercase_identifier,
    STATE(14488), 1,
      aux_sym_method_specification_repeat1,
    STATE(14534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18851), 2,
      anon_sym_private,
      anon_sym_virtual,
  [662056] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19536), 1,
      anon_sym_RBRACK,
    ACTIONS(19538), 1,
      anon_sym_GT,
    STATE(14535), 1,
      sym_attribute,
    STATE(14558), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662079] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19151), 1,
      sym__lowercase_identifier,
    STATE(10415), 1,
      sym_class_type_path,
    STATE(14536), 1,
      sym_attribute,
    STATE(16742), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662102] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19536), 1,
      anon_sym_RBRACK,
    ACTIONS(19538), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662125] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19315), 1,
      sym__lowercase_identifier,
    ACTIONS(19319), 1,
      anon_sym_mutable,
    ACTIONS(19540), 1,
      anon_sym_RBRACE,
    STATE(14538), 1,
      sym_attribute,
    STATE(16664), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662148] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    STATE(9207), 1,
      aux_sym_module_binding_repeat1,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662171] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10018), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19542), 1,
      anon_sym_GT,
    STATE(14540), 1,
      sym_attribute,
    STATE(14550), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662194] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19544), 1,
      sym__lowercase_identifier,
    STATE(8550), 1,
      sym_type_constructor_path,
    STATE(14541), 1,
      sym_attribute,
    STATE(16680), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662217] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19546), 1,
      anon_sym_GT_RBRACE,
    STATE(14542), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662240] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19534), 1,
      sym__lowercase_identifier,
    STATE(14500), 1,
      aux_sym_method_specification_repeat1,
    STATE(14543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18851), 2,
      anon_sym_private,
      anon_sym_virtual,
  [662261] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19548), 1,
      sym__lowercase_identifier,
    STATE(7677), 1,
      sym_type_constructor_path,
    STATE(14544), 1,
      sym_attribute,
    STATE(16611), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662284] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19550), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14545), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662307] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19552), 1,
      anon_sym_COLON_GT,
    ACTIONS(19554), 1,
      anon_sym_RPAREN,
    STATE(14546), 1,
      sym_attribute,
    STATE(17375), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662330] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19556), 1,
      anon_sym_GT_RBRACE,
    STATE(14547), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662353] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19558), 1,
      anon_sym_COLON_GT,
    ACTIONS(19560), 1,
      anon_sym_RPAREN,
    STATE(14548), 1,
      sym_attribute,
    STATE(16772), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662376] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19562), 1,
      anon_sym_RBRACK,
    ACTIONS(19564), 1,
      anon_sym_GT,
    STATE(14549), 1,
      sym_attribute,
    STATE(14560), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662399] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19562), 1,
      anon_sym_RBRACK,
    ACTIONS(19564), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662422] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19566), 1,
      anon_sym_GT_RBRACE,
    STATE(14551), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662445] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19568), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14552), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662468] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19570), 1,
      anon_sym_COLON_GT,
    ACTIONS(19572), 1,
      anon_sym_RPAREN,
    STATE(14553), 1,
      sym_attribute,
    STATE(16925), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662491] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18654), 1,
      sym__lowercase_identifier,
    STATE(6637), 1,
      sym_class_path,
    STATE(14554), 1,
      sym_attribute,
    STATE(17818), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662514] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19574), 1,
      anon_sym_GT_RBRACE,
    STATE(14555), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662537] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19576), 1,
      sym__lowercase_identifier,
    ACTIONS(19578), 1,
      anon_sym_LPAREN,
    STATE(5661), 1,
      sym_parenthesized_operator,
    STATE(5670), 1,
      sym__value_name,
    STATE(14556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662560] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19580), 1,
      anon_sym_COLON_GT,
    ACTIONS(19582), 1,
      anon_sym_RPAREN,
    STATE(14557), 1,
      sym_attribute,
    STATE(16829), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662583] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19584), 1,
      anon_sym_RBRACK,
    ACTIONS(19586), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662606] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19588), 1,
      anon_sym_RBRACK,
    ACTIONS(19590), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662629] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19592), 1,
      anon_sym_RBRACK,
    ACTIONS(19594), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662652] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19592), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14561), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662675] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19584), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14562), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662698] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19596), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14563), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662721] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19598), 1,
      anon_sym_COLON_GT,
    ACTIONS(19600), 1,
      anon_sym_RPAREN,
    STATE(14564), 1,
      sym_attribute,
    STATE(16665), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662744] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19602), 1,
      anon_sym_COLON_GT,
    ACTIONS(19604), 1,
      anon_sym_RPAREN,
    STATE(14565), 1,
      sym_attribute,
    STATE(17183), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662767] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19606), 1,
      anon_sym_RBRACK,
    ACTIONS(19608), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662790] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19606), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14567), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662813] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18164), 1,
      sym__lowercase_identifier,
    ACTIONS(18166), 1,
      anon_sym_LBRACK,
    ACTIONS(18168), 1,
      anon_sym_virtual,
    STATE(12507), 1,
      sym_class_binding,
    STATE(14568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662836] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19610), 1,
      anon_sym_GT_RBRACE,
    STATE(14569), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662859] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19588), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14570), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662882] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19612), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14571), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662905] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19614), 1,
      anon_sym_GT_RBRACE,
    STATE(14572), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662928] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19616), 1,
      anon_sym_GT_RBRACE,
    STATE(14573), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662951] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19618), 1,
      anon_sym_GT_RBRACE,
    STATE(14574), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662974] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19620), 1,
      anon_sym_GT_RBRACE,
    STATE(14575), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662997] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19622), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14576), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663020] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18512), 1,
      sym__lowercase_identifier,
    STATE(6768), 1,
      sym_class_path,
    STATE(14577), 1,
      sym_attribute,
    STATE(17599), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663043] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19624), 1,
      sym__lowercase_identifier,
    STATE(5438), 1,
      sym_type_constructor_path,
    STATE(14578), 1,
      sym_attribute,
    STATE(17373), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663066] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19626), 1,
      anon_sym_GT_RBRACE,
    STATE(14579), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663089] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13533), 1,
      anon_sym_in,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14143), 1,
      aux_sym_expression_item_repeat1,
    STATE(14580), 1,
      sym_attribute,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663112] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19628), 1,
      sym__lowercase_identifier,
    STATE(14581), 1,
      sym_attribute,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(20124), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663135] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19630), 1,
      anon_sym_GT_RBRACE,
    STATE(14582), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663158] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19632), 1,
      anon_sym_COLON_GT,
    ACTIONS(19634), 1,
      anon_sym_RPAREN,
    STATE(14583), 1,
      sym_attribute,
    STATE(16521), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663181] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19636), 1,
      anon_sym_GT_RBRACE,
    STATE(14584), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663204] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18640), 1,
      sym__lowercase_identifier,
    STATE(9117), 1,
      sym_class_path,
    STATE(14585), 1,
      sym_attribute,
    STATE(20075), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663227] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18302), 1,
      sym__lowercase_identifier,
    STATE(7259), 1,
      sym_class_path,
    STATE(14586), 1,
      sym_attribute,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663250] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19638), 1,
      sym__lowercase_identifier,
    STATE(9424), 1,
      sym_class_type_path,
    STATE(14587), 1,
      sym_attribute,
    STATE(16811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663273] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19638), 1,
      sym__lowercase_identifier,
    STATE(9457), 1,
      sym_class_type_path,
    STATE(14588), 1,
      sym_attribute,
    STATE(16811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663296] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19638), 1,
      sym__lowercase_identifier,
    STATE(9468), 1,
      sym_class_type_path,
    STATE(14589), 1,
      sym_attribute,
    STATE(16811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663319] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19640), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14590), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663342] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19642), 1,
      anon_sym_COLON_GT,
    ACTIONS(19644), 1,
      anon_sym_RPAREN,
    STATE(14591), 1,
      sym_attribute,
    STATE(17316), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663365] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19646), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14592), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663388] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19648), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14593), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663411] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    STATE(14594), 1,
      sym_attribute,
    STATE(17402), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19650), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [663432] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18274), 1,
      sym__lowercase_identifier,
    STATE(5548), 1,
      sym_class_path,
    STATE(14595), 1,
      sym_attribute,
    STATE(18726), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663455] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19652), 1,
      anon_sym_GT_RBRACE,
    STATE(14596), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663478] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19412), 1,
      sym__lowercase_identifier,
    STATE(13076), 1,
      sym_class_type_path,
    STATE(14597), 1,
      sym_attribute,
    STATE(17164), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663501] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19654), 1,
      anon_sym_RBRACK,
    ACTIONS(19656), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663524] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19256), 1,
      sym__lowercase_identifier,
    STATE(13656), 1,
      sym_class_type_path,
    STATE(14599), 1,
      sym_attribute,
    STATE(16480), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663547] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19660), 1,
      anon_sym_of,
    STATE(14600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19658), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [663566] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19662), 1,
      anon_sym_GT_RBRACE,
    STATE(14601), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663589] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19272), 1,
      sym__lowercase_identifier,
    STATE(9441), 1,
      sym_class_type_path,
    STATE(14602), 1,
      sym_attribute,
    STATE(16760), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663612] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19118), 1,
      sym__lowercase_identifier,
    STATE(9697), 1,
      sym_class_type_path,
    STATE(14603), 1,
      sym_attribute,
    STATE(16610), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663635] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19664), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14604), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663658] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19654), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14605), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663681] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10020), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19666), 1,
      anon_sym_GT,
    STATE(14606), 1,
      sym_attribute,
    STATE(14617), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663704] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19118), 1,
      sym__lowercase_identifier,
    STATE(9773), 1,
      sym_class_type_path,
    STATE(14607), 1,
      sym_attribute,
    STATE(16610), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663727] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19668), 1,
      anon_sym_GT_RBRACE,
    STATE(14608), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663750] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19118), 1,
      sym__lowercase_identifier,
    STATE(9788), 1,
      sym_class_type_path,
    STATE(14609), 1,
      sym_attribute,
    STATE(16610), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663773] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    STATE(14610), 1,
      sym_attribute,
    STATE(16534), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19670), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [663794] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19672), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14611), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663817] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19674), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14612), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663840] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19676), 1,
      anon_sym_RBRACK,
    ACTIONS(19678), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663863] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19680), 1,
      anon_sym_RBRACK,
    ACTIONS(19682), 1,
      anon_sym_GT,
    STATE(14614), 1,
      sym_attribute,
    STATE(14738), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663886] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18198), 1,
      sym__lowercase_identifier,
    STATE(3042), 1,
      sym_class_path,
    STATE(14615), 1,
      sym_attribute,
    STATE(18532), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663909] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19684), 1,
      anon_sym_RBRACK,
    ACTIONS(19686), 1,
      anon_sym_GT,
    STATE(14616), 1,
      sym_attribute,
    STATE(14628), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663932] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19684), 1,
      anon_sym_RBRACK,
    ACTIONS(19686), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663955] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19688), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14618), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663978] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11174), 1,
      anon_sym_in,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14143), 1,
      aux_sym_expression_item_repeat1,
    STATE(14619), 1,
      sym_attribute,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664001] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19690), 1,
      anon_sym_GT_RBRACE,
    STATE(14620), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664024] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19692), 1,
      anon_sym_GT_RBRACE,
    STATE(14621), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664047] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19694), 1,
      anon_sym_COLON_GT,
    ACTIONS(19696), 1,
      anon_sym_RPAREN,
    STATE(14622), 1,
      sym_attribute,
    STATE(17042), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664070] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    ACTIONS(19698), 1,
      anon_sym_EQ,
    ACTIONS(19700), 1,
      anon_sym_RPAREN,
    STATE(14623), 1,
      sym_attribute,
    STATE(16948), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664093] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19702), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14624), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664116] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19704), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14625), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664139] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10045), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19706), 1,
      anon_sym_GT,
    STATE(14457), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664162] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15823), 1,
      sym__lowercase_identifier,
    ACTIONS(18373), 1,
      anon_sym_LPAREN,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(14627), 1,
      sym_attribute,
    STATE(17325), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664185] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19708), 1,
      anon_sym_RBRACK,
    ACTIONS(19710), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664208] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19708), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14629), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664231] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19676), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14630), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664254] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19712), 1,
      anon_sym_GT_RBRACE,
    STATE(14631), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664277] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19714), 1,
      anon_sym_COLON_GT,
    ACTIONS(19716), 1,
      anon_sym_RPAREN,
    STATE(14632), 1,
      sym_attribute,
    STATE(16816), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664300] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19718), 1,
      anon_sym_COLON_GT,
    ACTIONS(19720), 1,
      anon_sym_RPAREN,
    STATE(14633), 1,
      sym_attribute,
    STATE(16839), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664323] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19722), 1,
      anon_sym_GT_RBRACE,
    STATE(14634), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664346] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19724), 1,
      anon_sym_COLON_GT,
    ACTIONS(19726), 1,
      anon_sym_RPAREN,
    STATE(14635), 1,
      sym_attribute,
    STATE(16815), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664369] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19728), 1,
      anon_sym_GT_RBRACE,
    STATE(14636), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664392] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19730), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14637), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664415] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19246), 1,
      aux_sym_attribute_id_token1,
    STATE(14369), 1,
      aux_sym_attribute_id_repeat1,
    STATE(14638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8777), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [664436] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19732), 1,
      anon_sym_GT_RBRACE,
    STATE(14639), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664459] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19440), 1,
      sym__lowercase_identifier,
    STATE(9898), 1,
      sym_class_type_path,
    STATE(14640), 1,
      sym_attribute,
    STATE(16439), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664482] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19734), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14641), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12249), 1,
      anon_sym_and,
    STATE(14642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12247), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [664524] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19341), 1,
      sym__lowercase_identifier,
    STATE(9243), 1,
      sym_class_type_path,
    STATE(14643), 1,
      sym_attribute,
    STATE(17372), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664547] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19329), 1,
      sym__lowercase_identifier,
    STATE(12518), 1,
      sym_class_type_path,
    STATE(14644), 1,
      sym_attribute,
    STATE(16756), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664570] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18494), 1,
      sym__lowercase_identifier,
    STATE(6891), 1,
      sym_class_path,
    STATE(14645), 1,
      sym_attribute,
    STATE(17708), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664593] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19736), 1,
      anon_sym_GT_RBRACE,
    STATE(14646), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664616] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19224), 1,
      sym__lowercase_identifier,
    STATE(10659), 1,
      sym_class_type_path,
    STATE(14647), 1,
      sym_attribute,
    STATE(16387), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664639] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19738), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14648), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664662] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19293), 1,
      sym__lowercase_identifier,
    STATE(12998), 1,
      sym_class_type_path,
    STATE(14649), 1,
      sym_attribute,
    STATE(16714), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664685] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19293), 1,
      sym__lowercase_identifier,
    STATE(13047), 1,
      sym_class_type_path,
    STATE(14650), 1,
      sym_attribute,
    STATE(16714), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664708] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19293), 1,
      sym__lowercase_identifier,
    STATE(13019), 1,
      sym_class_type_path,
    STATE(14651), 1,
      sym_attribute,
    STATE(16714), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664731] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    STATE(14652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14988), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [664752] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10047), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19740), 1,
      anon_sym_GT,
    STATE(14653), 1,
      sym_attribute,
    STATE(14691), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664775] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19742), 1,
      anon_sym_rec,
    STATE(12038), 1,
      sym_module_binding,
    STATE(14654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17714), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [664796] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      sym__lowercase_identifier,
    ACTIONS(18142), 1,
      anon_sym_LBRACK,
    ACTIONS(18144), 1,
      anon_sym_virtual,
    STATE(12573), 1,
      sym_class_binding,
    STATE(14655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664819] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19333), 1,
      sym__lowercase_identifier,
    STATE(10836), 1,
      sym_class_type_path,
    STATE(14656), 1,
      sym_attribute,
    STATE(16629), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664842] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19744), 1,
      anon_sym_GT_RBRACE,
    STATE(14657), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664865] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19746), 1,
      anon_sym_GT_RBRACE,
    STATE(14658), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664888] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19748), 1,
      sym__lowercase_identifier,
    STATE(14500), 1,
      aux_sym_method_specification_repeat1,
    STATE(14659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18851), 2,
      anon_sym_private,
      anon_sym_virtual,
  [664909] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19750), 1,
      anon_sym_RBRACK,
    ACTIONS(19752), 1,
      anon_sym_GT,
    STATE(14613), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664932] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19680), 1,
      anon_sym_RBRACK,
    ACTIONS(19682), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664955] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18373), 1,
      anon_sym_LPAREN,
    ACTIONS(18530), 1,
      sym__lowercase_identifier,
    STATE(14662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(19178), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [664976] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19754), 1,
      anon_sym_GT_RBRACE,
    STATE(14663), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664999] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18656), 1,
      sym__lowercase_identifier,
    STATE(6543), 1,
      sym_class_path,
    STATE(14664), 1,
      sym_attribute,
    STATE(18123), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665022] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19756), 1,
      sym__lowercase_identifier,
    STATE(9012), 1,
      sym_class_type_path,
    STATE(14665), 1,
      sym_attribute,
    STATE(16827), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665045] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19756), 1,
      sym__lowercase_identifier,
    STATE(9077), 1,
      sym_class_type_path,
    STATE(14666), 1,
      sym_attribute,
    STATE(16827), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665068] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19756), 1,
      sym__lowercase_identifier,
    STATE(9087), 1,
      sym_class_type_path,
    STATE(14667), 1,
      sym_attribute,
    STATE(16827), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665091] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19758), 1,
      anon_sym_RBRACK,
    ACTIONS(19760), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665114] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19764), 1,
      anon_sym_with,
    ACTIONS(19766), 1,
      sym_hash_operator,
    STATE(14669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665137] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    ACTIONS(19768), 1,
      anon_sym_EQ,
    ACTIONS(19770), 1,
      anon_sym_RPAREN,
    STATE(14670), 1,
      sym_attribute,
    STATE(17217), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665160] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19772), 1,
      anon_sym_GT_RBRACE,
    STATE(14671), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665183] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19774), 1,
      anon_sym_GT_RBRACE,
    STATE(14672), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665206] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19776), 1,
      anon_sym_GT_RBRACE,
    STATE(14673), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665229] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15823), 1,
      sym__lowercase_identifier,
    ACTIONS(18373), 1,
      anon_sym_LPAREN,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(14674), 1,
      sym_attribute,
    STATE(17233), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665252] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19778), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14675), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665275] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(19780), 1,
      anon_sym_DASH_GT,
    STATE(9207), 1,
      aux_sym_module_binding_repeat1,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665298] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19410), 1,
      sym__lowercase_identifier,
    STATE(10133), 1,
      sym_class_type_path,
    STATE(14677), 1,
      sym_attribute,
    STATE(16777), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665321] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19240), 1,
      sym__lowercase_identifier,
    STATE(10120), 1,
      sym_class_type_path,
    STATE(14678), 1,
      sym_attribute,
    STATE(16654), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665344] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10022), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19782), 1,
      anon_sym_GT,
    STATE(14679), 1,
      sym_attribute,
    STATE(14695), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665367] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13785), 1,
      anon_sym_in,
    ACTIONS(19432), 1,
      anon_sym_and,
    ACTIONS(19434), 1,
      sym_let_and_operator,
    STATE(14482), 1,
      aux_sym_value_definition_repeat1,
    STATE(14680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665390] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18418), 1,
      sym__lowercase_identifier,
    STATE(7327), 1,
      sym_class_path,
    STATE(14681), 1,
      sym_attribute,
    STATE(19997), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665413] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(18881), 1,
      anon_sym_BANG,
    ACTIONS(18883), 1,
      anon_sym__,
    STATE(14242), 1,
      sym_type_variable,
    STATE(14682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665436] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    STATE(14683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13225), 2,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [665457] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9768), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19784), 1,
      anon_sym_GT,
    STATE(14684), 1,
      sym_attribute,
    STATE(14706), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665480] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(19786), 1,
      anon_sym_DASH_GT,
    STATE(9207), 1,
      aux_sym_module_binding_repeat1,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665503] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19750), 1,
      anon_sym_RBRACK,
    ACTIONS(19752), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665526] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    STATE(14687), 1,
      sym_attribute,
    STATE(16313), 1,
      sym_type_constructor_path,
    STATE(16831), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665549] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19788), 1,
      anon_sym_GT_RBRACE,
    STATE(14688), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665572] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19790), 1,
      anon_sym_RBRACK,
    ACTIONS(19792), 1,
      anon_sym_GT,
    STATE(14689), 1,
      sym_attribute,
    STATE(14811), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19794), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8865), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
    STATE(14690), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
  [665614] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19790), 1,
      anon_sym_RBRACK,
    ACTIONS(19792), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665637] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19797), 1,
      sym__lowercase_identifier,
    STATE(12765), 1,
      sym_class_type_path,
    STATE(14692), 1,
      sym_attribute,
    STATE(16844), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665660] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18212), 1,
      sym__lowercase_identifier,
    STATE(6087), 1,
      sym_class_path,
    STATE(14693), 1,
      sym_attribute,
    STATE(18571), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665683] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19799), 1,
      anon_sym_RBRACK,
    ACTIONS(19801), 1,
      anon_sym_GT,
    STATE(14694), 1,
      sym_attribute,
    STATE(14704), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665706] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19799), 1,
      anon_sym_RBRACK,
    ACTIONS(19801), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665729] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19803), 1,
      anon_sym_COLON_GT,
    ACTIONS(19805), 1,
      anon_sym_RPAREN,
    STATE(14696), 1,
      sym_attribute,
    STATE(17206), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665752] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19758), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14697), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665775] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19807), 1,
      anon_sym_RBRACK,
    ACTIONS(19809), 1,
      anon_sym_GT,
    STATE(14698), 1,
      sym_attribute,
    STATE(14736), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665798] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    STATE(12968), 1,
      sym_type_constructor_path,
    STATE(14699), 1,
      sym_attribute,
    STATE(16831), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665821] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19811), 1,
      anon_sym_with,
    STATE(14700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665844] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(19813), 1,
      sym__lowercase_identifier,
    STATE(7213), 1,
      sym_class_path,
    STATE(14701), 1,
      sym_attribute,
    STATE(18038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665867] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19815), 1,
      anon_sym_with,
    STATE(14702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665890] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19817), 1,
      sym__lowercase_identifier,
    STATE(14703), 1,
      sym_attribute,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(20139), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665913] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19819), 1,
      anon_sym_RBRACK,
    ACTIONS(19821), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665936] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19819), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14705), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665959] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19807), 1,
      anon_sym_RBRACK,
    ACTIONS(19809), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665982] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19823), 1,
      sym__lowercase_identifier,
    STATE(7816), 1,
      sym_type_constructor_path,
    STATE(14707), 1,
      sym_attribute,
    STATE(16701), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666005] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19825), 1,
      anon_sym_COLON_GT,
    ACTIONS(19827), 1,
      anon_sym_RPAREN,
    STATE(14708), 1,
      sym_attribute,
    STATE(17163), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666028] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    STATE(14709), 1,
      sym_attribute,
    STATE(15381), 1,
      sym_type_constructor_path,
    STATE(16831), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666051] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19829), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14710), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666074] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19831), 1,
      anon_sym_GT_RBRACE,
    STATE(14711), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666097] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13757), 1,
      anon_sym_in,
    ACTIONS(19432), 1,
      anon_sym_and,
    ACTIONS(19434), 1,
      sym_let_and_operator,
    STATE(14712), 1,
      sym_attribute,
    STATE(14761), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666120] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    STATE(14713), 1,
      sym_attribute,
    STATE(16405), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19833), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [666141] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19835), 1,
      anon_sym_GT_RBRACE,
    STATE(14714), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666164] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18512), 1,
      sym__lowercase_identifier,
    STATE(7607), 1,
      sym_class_path,
    STATE(14715), 1,
      sym_attribute,
    STATE(17599), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666187] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    STATE(14716), 1,
      sym_attribute,
    STATE(15991), 1,
      sym_type_constructor_path,
    STATE(16831), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666210] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19837), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14717), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666233] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15823), 1,
      sym__lowercase_identifier,
    ACTIONS(18373), 1,
      anon_sym_LPAREN,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(14718), 1,
      sym_attribute,
    STATE(17427), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666256] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19839), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14719), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666279] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19841), 1,
      anon_sym_GT_RBRACE,
    STATE(14720), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666302] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19843), 1,
      anon_sym_with,
    STATE(14721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666325] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19845), 1,
      anon_sym_GT_RBRACE,
    STATE(14722), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666348] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19847), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14723), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666371] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19849), 1,
      anon_sym_COLON_GT,
    ACTIONS(19851), 1,
      anon_sym_RPAREN,
    STATE(14724), 1,
      sym_attribute,
    STATE(16422), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666394] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19853), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14725), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666417] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(19216), 1,
      sym__lowercase_identifier,
    STATE(14726), 1,
      sym_attribute,
    STATE(16867), 1,
      sym_extended_module_path,
    STATE(17184), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666440] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19855), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14727), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666463] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    STATE(14728), 1,
      sym_attribute,
    STATE(15637), 1,
      sym_type_constructor_path,
    STATE(16831), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666486] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18646), 1,
      sym__lowercase_identifier,
    STATE(6686), 1,
      sym_class_path,
    STATE(14729), 1,
      sym_attribute,
    STATE(17838), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666509] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19857), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14730), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666532] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12118), 1,
      sym__lowercase_identifier,
    STATE(12968), 1,
      sym_type_constructor_path,
    STATE(14731), 1,
      sym_attribute,
    STATE(17165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666555] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18462), 1,
      sym__lowercase_identifier,
    STATE(6597), 1,
      sym_class_path,
    STATE(14732), 1,
      sym_attribute,
    STATE(18164), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666578] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19797), 1,
      sym__lowercase_identifier,
    STATE(12706), 1,
      sym_class_type_path,
    STATE(14733), 1,
      sym_attribute,
    STATE(16844), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666601] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19797), 1,
      sym__lowercase_identifier,
    STATE(12745), 1,
      sym_class_type_path,
    STATE(14734), 1,
      sym_attribute,
    STATE(16844), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666624] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19797), 1,
      sym__lowercase_identifier,
    STATE(12759), 1,
      sym_class_type_path,
    STATE(14735), 1,
      sym_attribute,
    STATE(16844), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666647] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19859), 1,
      anon_sym_RBRACK,
    ACTIONS(19861), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666670] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19859), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14737), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666693] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19863), 1,
      anon_sym_RBRACK,
    ACTIONS(19865), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666716] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19867), 1,
      anon_sym_COLON_GT,
    ACTIONS(19869), 1,
      anon_sym_RPAREN,
    STATE(14739), 1,
      sym_attribute,
    STATE(16421), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666739] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18512), 1,
      sym__lowercase_identifier,
    STATE(7649), 1,
      sym_class_path,
    STATE(14740), 1,
      sym_attribute,
    STATE(17599), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666762] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19863), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14741), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666785] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(19813), 1,
      sym__lowercase_identifier,
    STATE(7214), 1,
      sym_class_path,
    STATE(14742), 1,
      sym_attribute,
    STATE(18038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666808] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16664), 1,
      anon_sym_COMMA,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    STATE(14743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666831] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19871), 1,
      anon_sym_with,
    STATE(14744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666854] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19873), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14745), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666877] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19875), 1,
      sym__lowercase_identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19878), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(14746), 2,
      sym_attribute,
      aux_sym__abstract_type_repeat1,
  [666896] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19880), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14747), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666919] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19341), 1,
      sym__lowercase_identifier,
    STATE(9328), 1,
      sym_class_type_path,
    STATE(14748), 1,
      sym_attribute,
    STATE(17372), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666942] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19882), 1,
      anon_sym_GT_RBRACE,
    STATE(14749), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666965] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19526), 1,
      sym__lowercase_identifier,
    STATE(12588), 1,
      sym_class_type_path,
    STATE(14750), 1,
      sym_attribute,
    STATE(16794), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666988] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19884), 1,
      anon_sym_COLON_GT,
    ACTIONS(19886), 1,
      anon_sym_RPAREN,
    STATE(14751), 1,
      sym_attribute,
    STATE(16465), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667011] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11691), 1,
      sym__lowercase_identifier,
    STATE(14752), 1,
      sym_attribute,
    STATE(15876), 1,
      sym_type_constructor_path,
    STATE(16831), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667034] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19888), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14753), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667057] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    STATE(14754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15222), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [667078] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10026), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19890), 1,
      anon_sym_GT,
    STATE(14755), 1,
      sym_attribute,
    STATE(14763), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667101] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19892), 1,
      anon_sym_GT_RBRACE,
    STATE(14756), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667124] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19894), 1,
      anon_sym_with,
    STATE(14757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667147] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19896), 1,
      anon_sym_GT_RBRACE,
    STATE(14758), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667170] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18450), 1,
      sym__lowercase_identifier,
    STATE(3856), 1,
      sym_class_path,
    STATE(14759), 1,
      sym_attribute,
    STATE(18328), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667193] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    STATE(14760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15226), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [667214] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13785), 1,
      anon_sym_in,
    ACTIONS(19432), 1,
      anon_sym_and,
    ACTIONS(19434), 1,
      sym_let_and_operator,
    STATE(14487), 1,
      aux_sym_value_definition_repeat1,
    STATE(14761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667237] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19898), 1,
      anon_sym_RBRACK,
    ACTIONS(19900), 1,
      anon_sym_GT,
    STATE(14762), 1,
      sym_attribute,
    STATE(14777), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667260] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19898), 1,
      anon_sym_RBRACK,
    ACTIONS(19900), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667283] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19902), 1,
      anon_sym_with,
    STATE(14764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667306] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19904), 1,
      anon_sym_GT_RBRACE,
    STATE(14765), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667329] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19906), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14766), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667352] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19908), 1,
      anon_sym_with,
    STATE(14767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667375] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19910), 1,
      anon_sym_COLON_GT,
    ACTIONS(19912), 1,
      anon_sym_RPAREN,
    STATE(14768), 1,
      sym_attribute,
    STATE(17280), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667398] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19914), 1,
      anon_sym_GT_RBRACE,
    STATE(14769), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667421] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19916), 1,
      sym__lowercase_identifier,
    ACTIONS(19918), 1,
      anon_sym_LPAREN,
    STATE(8762), 1,
      sym_parenthesized_operator,
    STATE(8802), 1,
      sym__value_name,
    STATE(14770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667444] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19920), 1,
      anon_sym_GT_RBRACE,
    STATE(14771), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667467] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19922), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14772), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667490] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19924), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14773), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667513] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19926), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14774), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667536] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19928), 1,
      anon_sym_with,
    STATE(14775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667559] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19930), 1,
      anon_sym_GT_RBRACE,
    STATE(14776), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667582] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19932), 1,
      anon_sym_RBRACK,
    ACTIONS(19934), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667605] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19936), 1,
      anon_sym_with,
    STATE(14778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667628] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19932), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14779), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667651] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19938), 1,
      anon_sym_with,
    STATE(14780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667674] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18373), 1,
      anon_sym_LPAREN,
    ACTIONS(18756), 1,
      sym__lowercase_identifier,
    STATE(10293), 1,
      sym_parenthesized_operator,
    STATE(13185), 1,
      sym__value_name,
    STATE(14781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667697] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    ACTIONS(19940), 1,
      anon_sym_EQ,
    ACTIONS(19942), 1,
      anon_sym_RPAREN,
    STATE(14782), 1,
      sym_attribute,
    STATE(17380), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667720] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19944), 1,
      anon_sym_with,
    STATE(14783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667743] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18310), 1,
      sym__lowercase_identifier,
    STATE(3167), 1,
      sym_class_path,
    STATE(14784), 1,
      sym_attribute,
    STATE(18838), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667766] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18204), 1,
      sym__lowercase_identifier,
    STATE(6830), 1,
      sym_class_path,
    STATE(14785), 1,
      sym_attribute,
    STATE(18685), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667789] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19946), 1,
      anon_sym_GT_RBRACE,
    STATE(14786), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667812] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19948), 1,
      anon_sym_with,
    STATE(14787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667835] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18408), 1,
      sym__lowercase_identifier,
    STATE(6381), 1,
      sym_class_path,
    STATE(14788), 1,
      sym_attribute,
    STATE(18287), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667858] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(19124), 1,
      sym__lowercase_identifier,
    STATE(7244), 1,
      sym_class_path,
    STATE(14789), 1,
      sym_attribute,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667881] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19950), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14790), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667904] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19952), 1,
      anon_sym_with,
    STATE(14791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667927] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19412), 1,
      sym__lowercase_identifier,
    STATE(13068), 1,
      sym_class_type_path,
    STATE(14792), 1,
      sym_attribute,
    STATE(17164), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667950] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19954), 1,
      sym__lowercase_identifier,
    STATE(14793), 1,
      sym_attribute,
    STATE(16831), 1,
      sym_extended_module_path,
    STATE(20250), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667973] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19086), 1,
      anon_sym_RBRACK,
    ACTIONS(19956), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667996] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9996), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19958), 1,
      anon_sym_GT,
    STATE(14686), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668019] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19960), 1,
      anon_sym_with,
    STATE(14796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668042] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16696), 1,
      anon_sym_COMMA,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    STATE(14797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668065] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19962), 1,
      anon_sym_GT_RBRACE,
    STATE(14798), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668088] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19964), 1,
      anon_sym_with,
    STATE(14799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668111] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19966), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14800), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668134] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19968), 1,
      anon_sym_with,
    STATE(14801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668157] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18514), 1,
      sym__lowercase_identifier,
    STATE(6280), 1,
      sym_class_path,
    STATE(14802), 1,
      sym_attribute,
    STATE(17763), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668180] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19414), 1,
      sym__lowercase_identifier,
    STATE(11686), 1,
      sym_class_type_path,
    STATE(14803), 1,
      sym_attribute,
    STATE(16582), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668203] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19414), 1,
      sym__lowercase_identifier,
    STATE(11682), 1,
      sym_class_type_path,
    STATE(14804), 1,
      sym_attribute,
    STATE(16582), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668226] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19970), 1,
      anon_sym_with,
    STATE(14805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668249] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19972), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14806), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668272] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19414), 1,
      sym__lowercase_identifier,
    STATE(11711), 1,
      sym_class_type_path,
    STATE(14807), 1,
      sym_attribute,
    STATE(16582), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668295] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19974), 1,
      anon_sym_GT_RBRACE,
    STATE(14808), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668318] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19976), 1,
      anon_sym_with,
    STATE(14809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668341] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    STATE(14810), 1,
      sym_attribute,
    STATE(16456), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19978), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [668362] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19980), 1,
      anon_sym_RBRACK,
    ACTIONS(19982), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668385] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    STATE(14812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668408] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18284), 1,
      sym__lowercase_identifier,
    STATE(9579), 1,
      sym_class_path,
    STATE(14813), 1,
      sym_attribute,
    STATE(18205), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668431] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19379), 1,
      sym__lowercase_identifier,
    STATE(8888), 1,
      sym_class_type_path,
    STATE(14814), 1,
      sym_attribute,
    STATE(16862), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668454] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19984), 1,
      anon_sym_with,
    STATE(14815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668477] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19379), 1,
      sym__lowercase_identifier,
    STATE(9066), 1,
      sym_class_type_path,
    STATE(14816), 1,
      sym_attribute,
    STATE(16862), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668500] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19379), 1,
      sym__lowercase_identifier,
    STATE(9125), 1,
      sym_class_type_path,
    STATE(14817), 1,
      sym_attribute,
    STATE(16862), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668523] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16437), 1,
      anon_sym_COMMA,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    STATE(14818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668546] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(19986), 1,
      anon_sym_DASH_GT,
    STATE(9207), 1,
      aux_sym_module_binding_repeat1,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668569] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19988), 1,
      anon_sym_with,
    STATE(14820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668592] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(19980), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14821), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668615] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19426), 1,
      sym__lowercase_identifier,
    STATE(10590), 1,
      sym_class_type_path,
    STATE(14822), 1,
      sym_attribute,
    STATE(16728), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668638] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(19990), 1,
      anon_sym_COLON_GT,
    ACTIONS(19992), 1,
      anon_sym_RPAREN,
    STATE(14823), 1,
      sym_attribute,
    STATE(16586), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668661] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      sym__lowercase_identifier,
    ACTIONS(18142), 1,
      anon_sym_LBRACK,
    ACTIONS(18144), 1,
      anon_sym_virtual,
    STATE(11592), 1,
      sym_class_binding,
    STATE(14824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668684] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19994), 1,
      anon_sym_with,
    STATE(14825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668707] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19426), 1,
      sym__lowercase_identifier,
    STATE(10610), 1,
      sym_class_type_path,
    STATE(14826), 1,
      sym_attribute,
    STATE(16728), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668730] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19426), 1,
      sym__lowercase_identifier,
    STATE(10667), 1,
      sym_class_type_path,
    STATE(14827), 1,
      sym_attribute,
    STATE(16728), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668753] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(19996), 1,
      anon_sym_with,
    STATE(14828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668776] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13812), 1,
      anon_sym_in,
    ACTIONS(19432), 1,
      anon_sym_and,
    ACTIONS(19434), 1,
      sym_let_and_operator,
    STATE(14487), 1,
      aux_sym_value_definition_repeat1,
    STATE(14829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668799] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(19998), 1,
      anon_sym_GT_RBRACE,
    STATE(14830), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668822] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19638), 1,
      sym__lowercase_identifier,
    STATE(9406), 1,
      sym_class_type_path,
    STATE(14831), 1,
      sym_attribute,
    STATE(16811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668845] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(20000), 1,
      anon_sym_with,
    STATE(14832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668868] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20002), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14833), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668891] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10030), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20004), 1,
      anon_sym_GT,
    STATE(14834), 1,
      sym_attribute,
    STATE(14844), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668914] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(20006), 1,
      anon_sym_with,
    STATE(14835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668937] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20008), 1,
      sym__lowercase_identifier,
    STATE(10087), 1,
      sym_type_constructor_path,
    STATE(14836), 1,
      sym_attribute,
    STATE(16388), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668960] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(20010), 1,
      anon_sym_with,
    STATE(14837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668983] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20012), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14838), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669006] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    STATE(14839), 1,
      sym_attribute,
    STATE(16663), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20014), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [669027] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(20016), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14840), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669050] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19329), 1,
      sym__lowercase_identifier,
    STATE(12454), 1,
      sym_class_type_path,
    STATE(14841), 1,
      sym_attribute,
    STATE(16756), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669073] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(20018), 1,
      anon_sym_with,
    STATE(14842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669096] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20020), 1,
      anon_sym_RBRACK,
    ACTIONS(20022), 1,
      anon_sym_GT,
    STATE(14843), 1,
      sym_attribute,
    STATE(14859), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669119] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20020), 1,
      anon_sym_RBRACK,
    ACTIONS(20022), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669142] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(20024), 1,
      anon_sym_with,
    STATE(14845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669165] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(20026), 1,
      anon_sym_with,
    STATE(14846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669188] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19256), 1,
      sym__lowercase_identifier,
    STATE(13446), 1,
      sym_class_type_path,
    STATE(14847), 1,
      sym_attribute,
    STATE(16480), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669211] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19329), 1,
      sym__lowercase_identifier,
    STATE(12548), 1,
      sym_class_type_path,
    STATE(14848), 1,
      sym_attribute,
    STATE(16756), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669234] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(20028), 1,
      anon_sym_with,
    STATE(14849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669257] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(20030), 1,
      anon_sym_COLON_GT,
    ACTIONS(20032), 1,
      anon_sym_RPAREN,
    STATE(14850), 1,
      sym_attribute,
    STATE(17356), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669280] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20034), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14851), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669303] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(20036), 1,
      anon_sym_with,
    STATE(14852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669326] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20038), 1,
      anon_sym_DOT,
    STATE(14386), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14853), 1,
      sym_attribute,
    STATE(16636), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669349] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20040), 1,
      sym__lowercase_identifier,
    ACTIONS(20042), 1,
      anon_sym_LPAREN,
    STATE(5449), 1,
      sym_parenthesized_operator,
    STATE(5463), 1,
      sym__value_name,
    STATE(14854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669372] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(20044), 1,
      anon_sym_with,
    STATE(14855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669395] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18230), 1,
      sym__lowercase_identifier,
    STATE(3768), 1,
      sym_class_path,
    STATE(14856), 1,
      sym_attribute,
    STATE(18610), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669418] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9706), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20046), 1,
      anon_sym_GT,
    STATE(14857), 1,
      sym_attribute,
    STATE(14887), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669441] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(20048), 1,
      anon_sym_with,
    STATE(14858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669464] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20050), 1,
      anon_sym_RBRACK,
    ACTIONS(20052), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669487] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(20050), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14860), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669510] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(20054), 1,
      anon_sym_with,
    STATE(14861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12300), 1,
      anon_sym_and,
    STATE(14862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12298), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [669552] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(20056), 1,
      anon_sym_with,
    STATE(14863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669575] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19412), 1,
      sym__lowercase_identifier,
    STATE(13069), 1,
      sym_class_type_path,
    STATE(14864), 1,
      sym_attribute,
    STATE(17164), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669598] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19309), 1,
      anon_sym_LPAREN,
    ACTIONS(20058), 1,
      sym__lowercase_identifier,
    STATE(14865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13843), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [669619] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(20060), 1,
      anon_sym_with,
    STATE(14866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669642] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18260), 1,
      sym__lowercase_identifier,
    STATE(5950), 1,
      sym_class_path,
    STATE(14867), 1,
      sym_attribute,
    STATE(18688), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669665] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(20062), 1,
      anon_sym_GT_RBRACE,
    STATE(14868), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669688] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(20064), 1,
      anon_sym_with,
    STATE(14869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669711] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(20066), 1,
      anon_sym_GT_RBRACE,
    STATE(14870), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669734] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(20068), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14871), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669757] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(20070), 1,
      anon_sym_with,
    STATE(14872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669780] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(20072), 1,
      anon_sym_COLON_GT,
    ACTIONS(20074), 1,
      anon_sym_RPAREN,
    STATE(14873), 1,
      sym_attribute,
    STATE(17295), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669803] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(20076), 1,
      anon_sym_GT_RBRACE,
    STATE(14874), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669826] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(20078), 1,
      anon_sym_with,
    STATE(14875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669849] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9926), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20080), 1,
      anon_sym_GT,
    STATE(14661), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669872] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(20082), 1,
      anon_sym_GT_RBRACE,
    STATE(14877), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669895] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(20084), 1,
      anon_sym_with,
    STATE(14878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669918] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(20086), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14879), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669941] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(20088), 1,
      anon_sym_GT_RBRACE,
    STATE(14880), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669964] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(20090), 1,
      anon_sym_with,
    STATE(14881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669987] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    ACTIONS(19766), 1,
      sym_hash_operator,
    ACTIONS(20092), 1,
      anon_sym_with,
    STATE(14882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670010] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20094), 1,
      sym__lowercase_identifier,
    STATE(9257), 1,
      sym_class_type_path,
    STATE(14883), 1,
      sym_attribute,
    STATE(16679), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670033] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19315), 1,
      sym__lowercase_identifier,
    ACTIONS(19319), 1,
      anon_sym_mutable,
    ACTIONS(20096), 1,
      anon_sym_RBRACE,
    STATE(14884), 1,
      sym_attribute,
    STATE(16664), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670056] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20098), 1,
      anon_sym_RBRACK,
    ACTIONS(20100), 1,
      anon_sym_GT,
    STATE(14885), 1,
      sym_attribute,
    STATE(14948), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670079] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18365), 1,
      sym__lowercase_identifier,
    STATE(6175), 1,
      sym_class_path,
    STATE(14886), 1,
      sym_attribute,
    STATE(18246), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670102] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20098), 1,
      anon_sym_RBRACK,
    ACTIONS(20100), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670125] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20102), 1,
      anon_sym_rec,
    STATE(14888), 1,
      sym_attribute,
    STATE(15905), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18404), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [670146] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(14127), 1,
      anon_sym_DASH_GT,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14889), 1,
      sym_attribute,
    STATE(14891), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670169] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(14127), 1,
      anon_sym_DASH_GT,
    STATE(9207), 1,
      aux_sym_module_binding_repeat1,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670192] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(20104), 1,
      anon_sym_DASH_GT,
    STATE(9207), 1,
      aux_sym_module_binding_repeat1,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670215] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9790), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20106), 1,
      anon_sym_GT,
    STATE(14892), 1,
      sym_attribute,
    STATE(14908), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670238] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(20108), 1,
      anon_sym_DASH_GT,
    STATE(9207), 1,
      aux_sym_module_binding_repeat1,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670261] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7998), 1,
      anon_sym_POUND,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    STATE(14894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 2,
      anon_sym_with,
      sym_hash_operator,
  [670282] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20110), 1,
      sym__lowercase_identifier,
    STATE(8782), 1,
      sym_type_constructor_path,
    STATE(14895), 1,
      sym_attribute,
    STATE(16481), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670305] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10038), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20112), 1,
      anon_sym_GT,
    STATE(14479), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670328] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17882), 1,
      sym__lowercase_identifier,
    ACTIONS(17884), 1,
      anon_sym_LBRACK,
    ACTIONS(17886), 1,
      anon_sym_virtual,
    STATE(11785), 1,
      sym_class_binding,
    STATE(14897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670351] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(20114), 1,
      anon_sym_DASH_GT,
    STATE(9207), 1,
      aux_sym_module_binding_repeat1,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670374] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20118), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(14899), 2,
      sym_attribute,
      aux_sym__type_params_repeat1,
  [670393] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18544), 1,
      sym__lowercase_identifier,
    STATE(3381), 1,
      sym_class_path,
    STATE(14900), 1,
      sym_attribute,
    STATE(18410), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670416] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19756), 1,
      sym__lowercase_identifier,
    STATE(8997), 1,
      sym_class_type_path,
    STATE(14901), 1,
      sym_attribute,
    STATE(16827), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670439] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18420), 1,
      sym__lowercase_identifier,
    STATE(3338), 1,
      sym_class_path,
    STATE(14902), 1,
      sym_attribute,
    STATE(17544), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670462] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(20121), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14903), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670485] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20094), 1,
      sym__lowercase_identifier,
    STATE(9299), 1,
      sym_class_type_path,
    STATE(14904), 1,
      sym_attribute,
    STATE(16679), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670508] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10032), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20123), 1,
      anon_sym_GT,
    STATE(14905), 1,
      sym_attribute,
    STATE(14917), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670531] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20094), 1,
      sym__lowercase_identifier,
    STATE(9285), 1,
      sym_class_type_path,
    STATE(14906), 1,
      sym_attribute,
    STATE(16679), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670554] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20125), 1,
      anon_sym_RBRACK,
    ACTIONS(20127), 1,
      anon_sym_GT,
    STATE(14274), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670577] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20125), 1,
      anon_sym_RBRACK,
    ACTIONS(20127), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670600] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(20129), 1,
      anon_sym_COLON_GT,
    ACTIONS(20131), 1,
      anon_sym_RPAREN,
    STATE(14909), 1,
      sym_attribute,
    STATE(17211), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670623] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20133), 1,
      sym__lowercase_identifier,
    STATE(7491), 1,
      sym_type_constructor_path,
    STATE(14910), 1,
      sym_attribute,
    STATE(16743), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670646] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20094), 1,
      sym__lowercase_identifier,
    STATE(9319), 1,
      sym_class_type_path,
    STATE(14911), 1,
      sym_attribute,
    STATE(16679), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670669] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(20135), 1,
      anon_sym_COLON_GT,
    ACTIONS(20137), 1,
      anon_sym_RPAREN,
    STATE(14912), 1,
      sym_attribute,
    STATE(16504), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670692] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20139), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19036), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(14913), 2,
      sym_attribute,
      aux_sym_instantiated_class_type_repeat1,
  [670711] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19329), 1,
      sym__lowercase_identifier,
    STATE(12617), 1,
      sym_class_type_path,
    STATE(14914), 1,
      sym_attribute,
    STATE(16756), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670734] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20142), 1,
      anon_sym_RBRACK,
    ACTIONS(20144), 1,
      anon_sym_GT,
    STATE(14915), 1,
      sym_attribute,
    STATE(14937), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670757] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(19216), 1,
      sym__lowercase_identifier,
    STATE(14916), 1,
      sym_attribute,
    STATE(16867), 1,
      sym_extended_module_path,
    STATE(17414), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670780] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20142), 1,
      anon_sym_RBRACK,
    ACTIONS(20144), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670803] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(20146), 1,
      anon_sym_COLON_GT,
    ACTIONS(20148), 1,
      anon_sym_RPAREN,
    STATE(14918), 1,
      sym_attribute,
    STATE(17446), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670826] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18446), 1,
      sym__lowercase_identifier,
    STATE(8290), 1,
      sym_class_path,
    STATE(14919), 1,
      sym_attribute,
    STATE(18619), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670849] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18373), 1,
      anon_sym_LPAREN,
    ACTIONS(18530), 1,
      sym__lowercase_identifier,
    STATE(14920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20221), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [670870] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    ACTIONS(20150), 1,
      anon_sym_EQ,
    ACTIONS(20152), 1,
      anon_sym_RPAREN,
    STATE(14921), 1,
      sym_attribute,
    STATE(16433), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670893] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19098), 1,
      sym__lowercase_identifier,
    STATE(9851), 1,
      sym_class_type_path,
    STATE(14922), 1,
      sym_attribute,
    STATE(16518), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670916] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20154), 1,
      sym__lowercase_identifier,
    ACTIONS(20156), 1,
      anon_sym_LPAREN,
    STATE(5559), 1,
      sym_parenthesized_operator,
    STATE(5660), 1,
      sym__value_name,
    STATE(14923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670939] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(14324), 1,
      anon_sym_DASH_GT,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14924), 1,
      sym_attribute,
    STATE(14926), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670962] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(14324), 1,
      anon_sym_DASH_GT,
    STATE(9207), 1,
      aux_sym_module_binding_repeat1,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670985] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(20158), 1,
      anon_sym_DASH_GT,
    STATE(9207), 1,
      aux_sym_module_binding_repeat1,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671008] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(19216), 1,
      sym__lowercase_identifier,
    STATE(14927), 1,
      sym_attribute,
    STATE(16867), 1,
      sym_extended_module_path,
    STATE(17428), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671031] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16549), 1,
      anon_sym_COMMA,
    ACTIONS(16758), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16785), 1,
      anon_sym_PIPE,
    ACTIONS(16789), 1,
      anon_sym_as,
    STATE(14928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671054] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18373), 1,
      anon_sym_LPAREN,
    ACTIONS(18530), 1,
      sym__lowercase_identifier,
    STATE(14929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20233), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [671075] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(18355), 1,
      sym__lowercase_identifier,
    STATE(4295), 1,
      sym_class_path,
    STATE(14930), 1,
      sym_attribute,
    STATE(19298), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671098] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(13229), 1,
      anon_sym_DASH_GT,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14931), 1,
      sym_attribute,
    STATE(14933), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671121] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(13229), 1,
      anon_sym_DASH_GT,
    STATE(9207), 1,
      aux_sym_module_binding_repeat1,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671144] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(20160), 1,
      anon_sym_DASH_GT,
    STATE(9207), 1,
      aux_sym_module_binding_repeat1,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671167] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(19216), 1,
      sym__lowercase_identifier,
    STATE(14934), 1,
      sym_attribute,
    STATE(16867), 1,
      sym_extended_module_path,
    STATE(17434), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671190] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_PERCENT,
    STATE(14935), 1,
      sym_attribute,
    STATE(16496), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20162), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [671211] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18373), 1,
      anon_sym_LPAREN,
    ACTIONS(18530), 1,
      sym__lowercase_identifier,
    STATE(14936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20241), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [671232] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20164), 1,
      anon_sym_RBRACK,
    ACTIONS(20166), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671255] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(20164), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14938), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671278] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(13245), 1,
      anon_sym_DASH_GT,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14939), 1,
      sym_attribute,
    STATE(14941), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671301] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(13245), 1,
      anon_sym_DASH_GT,
    STATE(9207), 1,
      aux_sym_module_binding_repeat1,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671324] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    ACTIONS(20168), 1,
      anon_sym_DASH_GT,
    STATE(9207), 1,
      aux_sym_module_binding_repeat1,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671347] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12200), 1,
      sym__uppercase_identifier,
    ACTIONS(19216), 1,
      sym__lowercase_identifier,
    STATE(14942), 1,
      sym_attribute,
    STATE(16867), 1,
      sym_extended_module_path,
    STATE(17440), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671370] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20170), 1,
      anon_sym_rec,
    STATE(12660), 1,
      sym_module_binding,
    STATE(14943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18180), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [671391] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(20172), 1,
      anon_sym_GT_RBRACE,
    STATE(14944), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671414] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20174), 1,
      anon_sym_rec,
    STATE(12427), 1,
      sym_module_binding,
    STATE(14945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18186), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [671435] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13261), 1,
      anon_sym_in,
    ACTIONS(16282), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14143), 1,
      aux_sym_expression_item_repeat1,
    STATE(14946), 1,
      sym_attribute,
    STATE(15108), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671458] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20176), 1,
      anon_sym_rec,
    STATE(11750), 1,
      sym_module_binding,
    STATE(14947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17770), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [671479] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20178), 1,
      anon_sym_RBRACK,
    ACTIONS(20180), 1,
      anon_sym_GT,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671502] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    ACTIONS(20182), 1,
      anon_sym_GT_RBRACE,
    STATE(14949), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671525] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(20178), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14950), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671548] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17370), 1,
      anon_sym_COLON2,
    ACTIONS(20184), 1,
      anon_sym_COLON_GT,
    ACTIONS(20186), 1,
      anon_sym_RPAREN,
    STATE(14951), 1,
      sym_attribute,
    STATE(17284), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671571] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    STATE(14952), 1,
      sym_attribute,
    STATE(17459), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20188), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [671592] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(19333), 1,
      sym__lowercase_identifier,
    STATE(10805), 1,
      sym_class_type_path,
    STATE(14953), 1,
      sym_attribute,
    STATE(16629), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671615] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    STATE(14954), 1,
      sym_attribute,
    STATE(17462), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20190), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [671636] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    ACTIONS(20192), 1,
      anon_sym_RBRACK,
    STATE(14330), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14955), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671659] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14621), 1,
      anon_sym_PERCENT,
    STATE(14956), 1,
      sym_attribute,
    STATE(16995), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20194), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [671680] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      sym__lowercase_identifier,
    ACTIONS(20198), 1,
      anon_sym_LPAREN,
    STATE(5431), 1,
      sym__value_name,
    STATE(5488), 1,
      sym_parenthesized_operator,
    STATE(14957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671703] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14705), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14958), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671723] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20200), 1,
      anon_sym_RPAREN,
    STATE(14959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671743] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20202), 1,
      anon_sym_SEMI,
    ACTIONS(20204), 1,
      anon_sym_GT_RBRACE,
    STATE(14960), 1,
      sym_attribute,
    STATE(15527), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671763] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14409), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14961), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671783] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19297), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20206), 1,
      anon_sym_SEMI,
    STATE(14962), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671803] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20208), 1,
      anon_sym_RPAREN,
    STATE(14963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671823] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18472), 1,
      anon_sym_RBRACE,
    ACTIONS(20210), 1,
      anon_sym_SEMI,
    STATE(14964), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671843] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3661), 1,
      anon_sym_RBRACK,
    ACTIONS(20212), 1,
      anon_sym_SEMI,
    STATE(14965), 1,
      sym_attribute,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671863] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20214), 1,
      anon_sym_RPAREN,
    STATE(14966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671883] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15829), 1,
      sym__uppercase_identifier,
    ACTIONS(18859), 1,
      anon_sym_LPAREN,
    STATE(6732), 1,
      sym__constructor_name,
    STATE(14967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671903] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3897), 1,
      anon_sym_RBRACK,
    ACTIONS(20216), 1,
      anon_sym_SEMI,
    STATE(14968), 1,
      sym_attribute,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671923] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(20218), 1,
      anon_sym_RPAREN,
    STATE(14969), 1,
      sym_attribute,
    STATE(19389), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671943] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18474), 1,
      anon_sym_RBRACE,
    ACTIONS(20220), 1,
      anon_sym_SEMI,
    STATE(14970), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671963] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14435), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14971), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671983] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18367), 1,
      anon_sym_RBRACE,
    ACTIONS(20222), 1,
      anon_sym_SEMI,
    STATE(14972), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672003] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20224), 1,
      anon_sym_EQ,
    STATE(14973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672023] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19086), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672043] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20226), 1,
      anon_sym_RPAREN,
    STATE(14975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672063] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18478), 1,
      anon_sym_RBRACE,
    ACTIONS(20228), 1,
      anon_sym_SEMI,
    STATE(14976), 1,
      sym_attribute,
    STATE(15005), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672083] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18242), 1,
      anon_sym_RBRACE,
    ACTIONS(20230), 1,
      anon_sym_SEMI,
    STATE(14977), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672103] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18292), 1,
      anon_sym_RBRACE,
    ACTIONS(20232), 1,
      anon_sym_SEMI,
    STATE(14978), 1,
      sym_attribute,
    STATE(15016), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672123] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3619), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20234), 1,
      anon_sym_SEMI,
    STATE(14979), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672143] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20236), 1,
      sym__lowercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    STATE(14980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672163] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18476), 1,
      anon_sym_RBRACE,
    ACTIONS(20240), 1,
      anon_sym_SEMI,
    STATE(14981), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672183] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3301), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20242), 1,
      anon_sym_SEMI,
    STATE(14982), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672203] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8090), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20244), 1,
      anon_sym_SEMI,
    STATE(14983), 1,
      sym_attribute,
    STATE(15157), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672223] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10555), 1,
      sym_attribute_id,
    STATE(14984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20246), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [672241] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19321), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20248), 1,
      anon_sym_SEMI,
    STATE(14985), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672261] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19323), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672281] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19236), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20250), 1,
      anon_sym_SEMI,
    STATE(14987), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672301] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(20252), 1,
      sym__lowercase_identifier,
    STATE(14988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672321] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17), 1,
      sym_attribute_id,
    STATE(14989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [672339] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19238), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672359] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3921), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20256), 1,
      anon_sym_SEMI,
    STATE(14991), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672379] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20258), 1,
      aux_sym_quoted_extension_token1,
    STATE(14992), 1,
      sym_attribute,
    STATE(19817), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672399] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(20260), 1,
      anon_sym_RPAREN,
    STATE(14993), 1,
      sym_attribute,
    STATE(19355), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672419] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(20262), 1,
      anon_sym_RPAREN,
    STATE(14994), 1,
      sym_attribute,
    STATE(19587), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672439] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20264), 1,
      anon_sym_RPAREN,
    STATE(14995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672459] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20266), 1,
      anon_sym_RPAREN,
    STATE(14996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672479] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14562), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14997), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672499] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18480), 1,
      anon_sym_RBRACE,
    ACTIONS(20268), 1,
      anon_sym_SEMI,
    STATE(14998), 1,
      sym_attribute,
    STATE(15017), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672519] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20270), 1,
      anon_sym_RPAREN,
    STATE(14999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672539] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20272), 3,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym__lowercase_identifier,
  [672555] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14604), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15001), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672575] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17362), 1,
      anon_sym_SEMI,
    ACTIONS(17364), 1,
      anon_sym_GT,
    STATE(15002), 1,
      sym_attribute,
    STATE(16125), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672595] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18375), 1,
      anon_sym_RBRACE,
    ACTIONS(20274), 1,
      anon_sym_SEMI,
    STATE(15003), 1,
      sym_attribute,
    STATE(15033), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672615] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(20276), 1,
      sym__lowercase_identifier,
    STATE(15004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672635] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18482), 1,
      anon_sym_RBRACE,
    ACTIONS(20278), 1,
      anon_sym_SEMI,
    STATE(15005), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672655] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(20280), 1,
      sym__lowercase_identifier,
    STATE(15006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672675] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20282), 1,
      anon_sym_SEMI,
    ACTIONS(20284), 1,
      anon_sym_RBRACE,
    STATE(15007), 1,
      sym_attribute,
    STATE(15080), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672695] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14625), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15008), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672715] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20286), 1,
      anon_sym_EQ,
    STATE(15009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672735] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20288), 1,
      anon_sym_RPAREN,
    STATE(15010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672755] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20290), 1,
      anon_sym_RPAREN,
    STATE(15011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672775] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(20292), 1,
      anon_sym_RPAREN,
    STATE(15012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672795] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(20294), 1,
      anon_sym_RPAREN,
    STATE(15013), 1,
      sym_attribute,
    STATE(19503), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672815] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20296), 1,
      anon_sym_SEMI,
    ACTIONS(20298), 1,
      anon_sym_RBRACE,
    STATE(15014), 1,
      sym_attribute,
    STATE(15433), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672835] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20300), 1,
      anon_sym_RPAREN,
    STATE(15015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672855] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18294), 1,
      anon_sym_RBRACE,
    ACTIONS(20302), 1,
      anon_sym_SEMI,
    STATE(15016), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672875] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18484), 1,
      anon_sym_RBRACE,
    ACTIONS(20304), 1,
      anon_sym_SEMI,
    STATE(15017), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672895] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(20306), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672915] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18), 1,
      sym_attribute_id,
    STATE(15019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [672933] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20308), 1,
      anon_sym_RPAREN,
    STATE(15020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672953] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8516), 1,
      anon_sym_RBRACK,
    ACTIONS(20310), 1,
      anon_sym_SEMI,
    STATE(15021), 1,
      sym_attribute,
    STATE(15943), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672973] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(20312), 1,
      sym__lowercase_identifier,
    STATE(15022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672993] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(20314), 1,
      sym__lowercase_identifier,
    STATE(15023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673013] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20316), 1,
      aux_sym_quoted_extension_token1,
    STATE(15024), 1,
      sym_attribute,
    STATE(18374), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673033] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(20318), 1,
      anon_sym_RPAREN,
    STATE(15025), 1,
      sym_attribute,
    STATE(19630), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673053] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19266), 1,
      anon_sym_RBRACK,
    STATE(15026), 1,
      sym_attribute,
    STATE(15208), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673073] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19266), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673093] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14737), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15028), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673113] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20320), 1,
      aux_sym_quoted_extension_token1,
    STATE(15029), 1,
      sym_attribute,
    STATE(19696), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673133] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20322), 1,
      anon_sym_RPAREN,
    STATE(15030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673153] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12255), 1,
      anon_sym_DQUOTE,
    STATE(9990), 1,
      aux_sym_external_repeat1,
    STATE(11105), 1,
      sym_string,
    STATE(15031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673173] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18214), 1,
      anon_sym_RBRACE,
    ACTIONS(20324), 1,
      anon_sym_SEMI,
    STATE(15032), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673193] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18377), 1,
      anon_sym_RBRACE,
    ACTIONS(20326), 1,
      anon_sym_SEMI,
    STATE(15033), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673213] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14753), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15034), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673233] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19287), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20328), 1,
      anon_sym_SEMI,
    STATE(15035), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673253] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19353), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673273] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20330), 1,
      anon_sym_RPAREN,
    STATE(15037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673293] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17134), 1,
      sym__uppercase_identifier,
    ACTIONS(18954), 1,
      anon_sym_LPAREN,
    STATE(13244), 1,
      sym__constructor_name,
    STATE(15038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673313] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20332), 1,
      anon_sym_RPAREN,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    STATE(14899), 1,
      aux_sym__type_params_repeat1,
    STATE(15039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673333] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19393), 1,
      anon_sym_RBRACE,
    ACTIONS(20336), 1,
      anon_sym_SEMI,
    STATE(15040), 1,
      sym_attribute,
    STATE(15078), 1,
      aux_sym_record_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673353] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14766), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15041), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673373] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17730), 1,
      anon_sym_RBRACE,
    ACTIONS(20338), 1,
      anon_sym_SEMI,
    STATE(15042), 1,
      sym_attribute,
    STATE(15965), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673393] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10028), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(15043), 1,
      sym_attribute,
    STATE(15149), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673413] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10423), 1,
      sym_attribute_id,
    STATE(15044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20340), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [673431] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11650), 1,
      anon_sym_GT,
    ACTIONS(20342), 1,
      anon_sym_SEMI,
    STATE(15045), 1,
      sym_attribute,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673451] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20344), 1,
      anon_sym_SEMI,
    ACTIONS(20346), 1,
      anon_sym_RBRACE,
    STATE(15046), 1,
      sym_attribute,
    STATE(15112), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673471] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14279), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15047), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673491] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(20348), 1,
      anon_sym_RPAREN,
    STATE(15048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673511] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11927), 1,
      anon_sym_DASH_GT,
    ACTIONS(20350), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15049), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
  [673529] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20353), 1,
      anon_sym_SEMI,
    ACTIONS(20355), 1,
      anon_sym_GT_RBRACE,
    STATE(15050), 1,
      sym_attribute,
    STATE(15109), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673549] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20357), 1,
      anon_sym_LPAREN,
    ACTIONS(20359), 1,
      anon_sym_LBRACK,
    ACTIONS(20361), 1,
      anon_sym_LBRACE,
    STATE(15051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673569] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(20363), 1,
      anon_sym_RPAREN,
    STATE(15052), 1,
      sym_attribute,
    STATE(20298), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673589] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(20365), 1,
      anon_sym_RPAREN,
    STATE(15053), 1,
      sym_attribute,
    STATE(18217), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673609] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(19), 1,
      sym_attribute_id,
    STATE(15054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [673627] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(20367), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673647] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20369), 1,
      aux_sym_quoted_extension_token1,
    STATE(15056), 1,
      sym_attribute,
    STATE(17690), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673667] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20371), 1,
      sym__lowercase_identifier,
    ACTIONS(20373), 1,
      anon_sym_LPAREN,
    STATE(7458), 1,
      sym__simple_value_pattern,
    STATE(15057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673687] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17354), 1,
      anon_sym_SEMI,
    ACTIONS(17356), 1,
      anon_sym_GT,
    STATE(15058), 1,
      sym_attribute,
    STATE(15183), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673707] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(20375), 1,
      anon_sym_RPAREN,
    STATE(15059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673727] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20377), 1,
      anon_sym_SEMI,
    ACTIONS(20379), 1,
      anon_sym_RBRACE,
    STATE(15060), 1,
      sym_attribute,
    STATE(15089), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673747] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14275), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15061), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673767] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9838), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(15062), 1,
      sym_attribute,
    STATE(15087), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673787] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11320), 1,
      anon_sym_GT,
    ACTIONS(20381), 1,
      anon_sym_SEMI,
    STATE(15063), 1,
      sym_attribute,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673807] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20383), 1,
      anon_sym_SEMI,
    ACTIONS(20385), 1,
      anon_sym_RBRACE,
    STATE(15064), 1,
      sym_attribute,
    STATE(15103), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673827] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17443), 1,
      anon_sym_SEMI,
    ACTIONS(17445), 1,
      anon_sym_GT,
    STATE(15065), 1,
      sym_attribute,
    STATE(15090), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673847] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19315), 1,
      sym__lowercase_identifier,
    ACTIONS(19319), 1,
      anon_sym_mutable,
    STATE(15066), 1,
      sym_attribute,
    STATE(16359), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673867] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(3), 1,
      sym_attribute_id,
    STATE(15067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [673885] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20387), 1,
      anon_sym_SEMI,
    ACTIONS(20389), 1,
      anon_sym_GT_RBRACE,
    STATE(15068), 1,
      sym_attribute,
    STATE(15113), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673905] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14290), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15069), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673925] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3337), 1,
      anon_sym_RBRACK,
    ACTIONS(20391), 1,
      anon_sym_SEMI,
    STATE(15070), 1,
      sym_attribute,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673945] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8600), 1,
      anon_sym_RBRACK,
    ACTIONS(20393), 1,
      anon_sym_SEMI,
    STATE(15071), 1,
      sym_attribute,
    STATE(15943), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673965] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20395), 1,
      anon_sym_SEMI,
    ACTIONS(20397), 1,
      anon_sym_GT_RBRACE,
    STATE(15072), 1,
      sym_attribute,
    STATE(15160), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673985] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20399), 1,
      anon_sym_SEMI,
    ACTIONS(20401), 1,
      anon_sym_RBRACE,
    STATE(15073), 1,
      sym_attribute,
    STATE(15227), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674005] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(20403), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674025] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20405), 1,
      anon_sym_RPAREN,
    STATE(15075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674045] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3621), 1,
      anon_sym_RBRACK,
    ACTIONS(20407), 1,
      anon_sym_SEMI,
    STATE(15076), 1,
      sym_attribute,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674065] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20409), 1,
      anon_sym_SEMI,
    ACTIONS(20411), 1,
      anon_sym_GT_RBRACE,
    STATE(15077), 1,
      sym_attribute,
    STATE(15120), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674085] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20413), 1,
      anon_sym_SEMI,
    ACTIONS(20416), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15078), 2,
      sym_attribute,
      aux_sym_record_declaration_repeat1,
  [674103] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14295), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15079), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674123] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18387), 1,
      anon_sym_RBRACE,
    ACTIONS(20418), 1,
      anon_sym_SEMI,
    STATE(15080), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674143] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17614), 1,
      anon_sym_RBRACE,
    ACTIONS(20420), 1,
      anon_sym_SEMI,
    STATE(15081), 1,
      sym_attribute,
    STATE(15965), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674163] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19416), 1,
      anon_sym_RBRACK,
    STATE(15082), 1,
      sym_attribute,
    STATE(15373), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674183] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(20422), 1,
      anon_sym_RPAREN,
    STATE(15083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674203] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(20424), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674223] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19337), 1,
      anon_sym_RBRACK,
    STATE(15085), 1,
      sym_attribute,
    STATE(15117), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674243] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3339), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20426), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674263] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19337), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674283] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19680), 1,
      anon_sym_RBRACK,
    STATE(15088), 1,
      sym_attribute,
    STATE(15617), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674303] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18300), 1,
      anon_sym_RBRACE,
    ACTIONS(20428), 1,
      anon_sym_SEMI,
    STATE(15089), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674323] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11666), 1,
      anon_sym_GT,
    ACTIONS(20430), 1,
      anon_sym_SEMI,
    STATE(15090), 1,
      sym_attribute,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674343] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(20), 1,
      sym_attribute_id,
    STATE(15091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [674361] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20432), 1,
      aux_sym_quoted_extension_token1,
    STATE(15092), 1,
      sym_attribute,
    STATE(18894), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674381] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17070), 1,
      sym__uppercase_identifier,
    ACTIONS(18750), 1,
      anon_sym_LPAREN,
    STATE(8808), 1,
      sym__constructor_name,
    STATE(15093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674401] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3429), 1,
      anon_sym_RBRACK,
    ACTIONS(20434), 1,
      anon_sym_SEMI,
    STATE(15094), 1,
      sym_attribute,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674421] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13799), 1,
      anon_sym_and,
    STATE(15095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13797), 2,
      anon_sym_in,
      sym_let_and_operator,
  [674439] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14348), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15096), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674459] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13054), 1,
      sym__type_equation,
    STATE(15097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20436), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [674477] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20438), 1,
      anon_sym_SEMI,
    ACTIONS(20440), 1,
      anon_sym_RBRACE,
    STATE(15098), 1,
      sym_attribute,
    STATE(15130), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674497] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14363), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15099), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674517] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20442), 1,
      anon_sym_EQ,
    STATE(15100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674537] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3823), 1,
      anon_sym_RBRACK,
    ACTIONS(20444), 1,
      anon_sym_SEMI,
    STATE(15101), 1,
      sym_attribute,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674557] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20446), 1,
      anon_sym_EQ,
    STATE(15102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20448), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [674575] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18496), 1,
      anon_sym_RBRACE,
    ACTIONS(20450), 1,
      anon_sym_SEMI,
    STATE(15103), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674595] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3623), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20452), 1,
      anon_sym_SEMI,
    STATE(15104), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674615] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(20454), 1,
      anon_sym_RBRACK,
    STATE(15105), 1,
      sym_attribute,
    STATE(15390), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674635] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14370), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15106), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674655] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3431), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20456), 1,
      anon_sym_SEMI,
    STATE(15107), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674675] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12263), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [674691] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19444), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20458), 1,
      anon_sym_SEMI,
    STATE(15109), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674711] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20460), 1,
      anon_sym_SEMI,
    ACTIONS(20462), 1,
      anon_sym_RBRACE,
    STATE(15110), 1,
      sym_attribute,
    STATE(15356), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674731] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20464), 1,
      anon_sym_SEMI,
    ACTIONS(20466), 1,
      anon_sym_GT_RBRACE,
    STATE(15111), 1,
      sym_attribute,
    STATE(15143), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674751] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18248), 1,
      anon_sym_RBRACE,
    ACTIONS(20468), 1,
      anon_sym_SEMI,
    STATE(15112), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674771] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19514), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20470), 1,
      anon_sym_SEMI,
    STATE(15113), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674791] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(21), 1,
      sym_attribute_id,
    STATE(15114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [674809] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(20472), 1,
      anon_sym_RPAREN,
    STATE(15115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674829] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20474), 1,
      aux_sym_quoted_extension_token1,
    STATE(15116), 1,
      sym_attribute,
    STATE(20316), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674849] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19367), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674869] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19367), 1,
      anon_sym_RBRACK,
    STATE(15118), 1,
      sym_attribute,
    STATE(15148), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674889] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20476), 1,
      anon_sym_RPAREN,
    STATE(15119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674909] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19365), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20478), 1,
      anon_sym_SEMI,
    STATE(15120), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674929] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(20480), 1,
      anon_sym_RPAREN,
    STATE(15039), 1,
      aux_sym__type_params_repeat1,
    STATE(15121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674949] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14429), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15122), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674969] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20482), 1,
      anon_sym_RPAREN,
    STATE(15123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674989] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14440), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15124), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675009] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(17856), 1,
      anon_sym_RBRACK,
    ACTIONS(18068), 1,
      anon_sym_as,
    STATE(15125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675029] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3609), 1,
      anon_sym_RBRACK,
    ACTIONS(20484), 1,
      anon_sym_SEMI,
    STATE(15126), 1,
      sym_attribute,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675049] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(20486), 1,
      anon_sym_RPAREN,
    STATE(15127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675069] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17674), 1,
      anon_sym_GT,
    ACTIONS(20488), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15128), 2,
      sym_attribute,
      aux_sym_object_type_repeat1,
  [675087] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(20491), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675107] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18498), 1,
      anon_sym_RBRACE,
    ACTIONS(20493), 1,
      anon_sym_SEMI,
    STATE(15130), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675127] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20495), 1,
      sym__lowercase_identifier,
    ACTIONS(20497), 1,
      anon_sym_LPAREN,
    STATE(7375), 1,
      sym__simple_value_pattern,
    STATE(15131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675147] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14448), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15132), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675167] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20499), 1,
      anon_sym_RPAREN,
    STATE(15133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675187] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18500), 1,
      anon_sym_RBRACE,
    ACTIONS(20501), 1,
      anon_sym_SEMI,
    STATE(15134), 1,
      sym_attribute,
    STATE(15180), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675207] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3617), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20503), 1,
      anon_sym_SEMI,
    STATE(15135), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675227] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20505), 1,
      anon_sym__,
    STATE(14150), 1,
      sym_type_variable,
    STATE(15136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675247] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20507), 1,
      anon_sym_RPAREN,
    STATE(15137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675267] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18394), 1,
      anon_sym_RBRACE,
    ACTIONS(20509), 1,
      anon_sym_SEMI,
    STATE(15138), 1,
      sym_attribute,
    STATE(15202), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675287] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(22), 1,
      sym_attribute_id,
    STATE(15139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [675305] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10071), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(15140), 1,
      sym_attribute,
    STATE(15178), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675325] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20511), 1,
      aux_sym_quoted_extension_token1,
    STATE(15141), 1,
      sym_attribute,
    STATE(17815), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675345] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19522), 1,
      anon_sym_RBRACK,
    STATE(15142), 1,
      sym_attribute,
    STATE(15360), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675365] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19377), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20513), 1,
      anon_sym_SEMI,
    STATE(15143), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675385] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18304), 1,
      anon_sym_RBRACE,
    ACTIONS(20515), 1,
      anon_sym_SEMI,
    STATE(15144), 1,
      sym_attribute,
    STATE(15181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675405] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17411), 1,
      anon_sym_SEMI,
    ACTIONS(17413), 1,
      anon_sym_GT,
    STATE(15145), 1,
      sym_attribute,
    STATE(15185), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675425] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8590), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20517), 1,
      anon_sym_SEMI,
    STATE(15146), 1,
      sym_attribute,
    STATE(16285), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675445] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14499), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15147), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675465] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19381), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675485] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19522), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675505] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(20519), 1,
      anon_sym_RBRACK,
    STATE(15150), 1,
      sym_attribute,
    STATE(16276), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675525] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14511), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15151), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675545] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20521), 1,
      anon_sym_RPAREN,
    STATE(15152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675565] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3829), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20523), 1,
      anon_sym_SEMI,
    STATE(15153), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675585] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20525), 1,
      anon_sym_SEMI,
    ACTIONS(20527), 1,
      anon_sym_GT_RBRACE,
    STATE(15154), 1,
      sym_attribute,
    STATE(15369), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675605] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18502), 1,
      anon_sym_RBRACE,
    ACTIONS(20529), 1,
      anon_sym_SEMI,
    STATE(15155), 1,
      sym_attribute,
    STATE(15171), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675625] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(20531), 1,
      sym__lowercase_identifier,
    STATE(15156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675645] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18442), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20533), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15157), 2,
      sym_attribute,
      aux_sym_list_pattern_repeat1,
  [675663] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14517), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15158), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675683] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19416), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675703] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19420), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20536), 1,
      anon_sym_SEMI,
    STATE(15160), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675723] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(20538), 1,
      sym__lowercase_identifier,
    STATE(15161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675743] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(20540), 1,
      anon_sym_RPAREN,
    STATE(15162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675763] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20542), 1,
      anon_sym_RPAREN,
    STATE(15163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675783] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(23), 1,
      sym_attribute_id,
    STATE(15164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [675801] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(20544), 1,
      sym__lowercase_identifier,
    STATE(15165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675821] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20546), 1,
      anon_sym_RPAREN,
    STATE(15166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675841] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20548), 1,
      aux_sym_quoted_extension_token1,
    STATE(15167), 1,
      sym_attribute,
    STATE(18200), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675861] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20550), 1,
      anon_sym_RPAREN,
    STATE(15168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675881] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(20552), 1,
      sym__lowercase_identifier,
    STATE(15169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675901] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7892), 1,
      anon_sym_RBRACK,
    ACTIONS(20554), 1,
      anon_sym_SEMI,
    STATE(15170), 1,
      sym_attribute,
    STATE(16049), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675921] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18504), 1,
      anon_sym_RBRACE,
    ACTIONS(20556), 1,
      anon_sym_SEMI,
    STATE(15171), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675941] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15172), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675961] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(20558), 1,
      anon_sym_RPAREN,
    STATE(15173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675981] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20560), 1,
      anon_sym_RPAREN,
    STATE(15174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676001] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14571), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15175), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676021] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(20562), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676041] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19536), 1,
      anon_sym_RBRACK,
    STATE(15177), 1,
      sym_attribute,
    STATE(15215), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676061] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19536), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676081] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14576), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15179), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676101] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18506), 1,
      anon_sym_RBRACE,
    ACTIONS(20564), 1,
      anon_sym_SEMI,
    STATE(15180), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676121] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18306), 1,
      anon_sym_RBRACE,
    ACTIONS(20566), 1,
      anon_sym_SEMI,
    STATE(15181), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676141] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17457), 1,
      anon_sym_SEMI,
    ACTIONS(17459), 1,
      anon_sym_GT,
    STATE(15182), 1,
      sym_attribute,
    STATE(15260), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676161] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11304), 1,
      anon_sym_GT,
    ACTIONS(20568), 1,
      anon_sym_SEMI,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    STATE(15183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676181] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(20570), 1,
      anon_sym_RBRACK,
    STATE(14899), 1,
      aux_sym__type_params_repeat1,
    STATE(15184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676201] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11420), 1,
      anon_sym_GT,
    ACTIONS(20572), 1,
      anon_sym_SEMI,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    STATE(15185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676221] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(24), 1,
      sym_attribute_id,
    STATE(15186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [676239] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20574), 1,
      anon_sym_RPAREN,
    STATE(15187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676259] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17618), 1,
      anon_sym_RBRACE,
    ACTIONS(20576), 1,
      anon_sym_SEMI,
    STATE(15188), 1,
      sym_attribute,
    STATE(16055), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676279] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20578), 1,
      aux_sym_quoted_extension_token1,
    STATE(15189), 1,
      sym_attribute,
    STATE(18606), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676299] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18250), 1,
      anon_sym_RBRACE,
    ACTIONS(20580), 1,
      anon_sym_SEMI,
    STATE(15190), 1,
      sym_attribute,
    STATE(15298), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676319] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(20582), 1,
      anon_sym_RBRACK,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676339] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20584), 1,
      anon_sym_RPAREN,
    ACTIONS(20586), 1,
      anon_sym_COLON2,
    STATE(15192), 1,
      sym_attribute,
    STATE(17557), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676359] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(31), 1,
      sym_attribute_id,
    STATE(15193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [676377] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15029), 1,
      sym_attribute_id,
    STATE(15194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [676395] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20590), 1,
      anon_sym_SEMI,
    ACTIONS(20592), 1,
      anon_sym_GT_RBRACE,
    STATE(15195), 1,
      sym_attribute,
    STATE(15413), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676415] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14629), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15196), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676435] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20594), 1,
      anon_sym_SEMI,
    ACTIONS(20596), 1,
      anon_sym_RBRACE,
    STATE(15197), 1,
      sym_attribute,
    STATE(15239), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676455] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20598), 1,
      anon_sym_SEMI,
    ACTIONS(20600), 1,
      anon_sym_RBRACE,
    STATE(15198), 1,
      sym_attribute,
    STATE(16157), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676475] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12438), 1,
      sym_attribute_id,
    STATE(15199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20602), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [676493] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20604), 1,
      anon_sym_SEMI,
    ACTIONS(20606), 1,
      anon_sym_RBRACE,
    STATE(15200), 1,
      sym_attribute,
    STATE(15250), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676513] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14641), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15201), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676533] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18398), 1,
      anon_sym_RBRACE,
    ACTIONS(20608), 1,
      anon_sym_SEMI,
    STATE(15202), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676553] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8544), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20610), 1,
      anon_sym_SEMI,
    STATE(15203), 1,
      sym_attribute,
    STATE(16285), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676573] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20612), 1,
      sym__lowercase_identifier,
    ACTIONS(20614), 1,
      anon_sym_LPAREN,
    STATE(10100), 1,
      sym__simple_value_pattern,
    STATE(15204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676593] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3391), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20616), 1,
      anon_sym_SEMI,
    STATE(15205), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676613] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20618), 1,
      anon_sym_SEMI,
    ACTIONS(20620), 1,
      anon_sym_GT_RBRACE,
    STATE(15206), 1,
      sym_attribute,
    STATE(15303), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676633] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(20622), 1,
      anon_sym_RPAREN,
    STATE(15207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676653] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19422), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676673] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14648), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15209), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676693] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19422), 1,
      anon_sym_RBRACK,
    STATE(15210), 1,
      sym_attribute,
    STATE(15424), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676713] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3325), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20624), 1,
      anon_sym_SEMI,
    STATE(15211), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676733] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3697), 1,
      anon_sym_RBRACK,
    ACTIONS(20626), 1,
      anon_sym_SEMI,
    STATE(15212), 1,
      sym_attribute,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676753] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(20628), 1,
      anon_sym_RPAREN,
    STATE(15213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676773] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5), 1,
      sym_attribute_id,
    STATE(15214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [676791] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19584), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676811] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19584), 1,
      anon_sym_RBRACK,
    STATE(15216), 1,
      sym_attribute,
    STATE(15323), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676831] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(25), 1,
      sym_attribute_id,
    STATE(15217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [676849] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7894), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20630), 1,
      anon_sym_SEMI,
    STATE(15157), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676869] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20632), 1,
      anon_sym_SEMI,
    ACTIONS(20634), 1,
      anon_sym_GT_RBRACE,
    STATE(15219), 1,
      sym_attribute,
    STATE(15784), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676889] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20636), 1,
      aux_sym_quoted_extension_token1,
    STATE(15220), 1,
      sym_attribute,
    STATE(19166), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676909] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8), 1,
      sym_attribute_id,
    STATE(15221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [676927] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20638), 1,
      anon_sym_SEMI,
    ACTIONS(20640), 1,
      anon_sym_GT_RBRACE,
    STATE(15222), 1,
      sym_attribute,
    STATE(15290), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676947] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20642), 1,
      anon_sym_RPAREN,
    STATE(15223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676967] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20644), 1,
      aux_sym_quoted_extension_token1,
    STATE(15224), 1,
      sym_attribute,
    STATE(17560), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676987] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18448), 1,
      anon_sym_RBRACE,
    ACTIONS(20646), 1,
      anon_sym_SEMI,
    STATE(15225), 1,
      sym_attribute,
    STATE(15923), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677007] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10095), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(15226), 1,
      sym_attribute,
    STATE(15248), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677027] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18218), 1,
      anon_sym_RBRACE,
    ACTIONS(20648), 1,
      anon_sym_SEMI,
    STATE(15227), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677047] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15228), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677067] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20650), 1,
      anon_sym_RPAREN,
    STATE(15229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677087] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20652), 1,
      anon_sym_SEMI,
    ACTIONS(20654), 1,
      anon_sym_RBRACE,
    STATE(15230), 1,
      sym_attribute,
    STATE(15446), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677107] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_SEMI,
    ACTIONS(20658), 1,
      anon_sym_RBRACE,
    STATE(15231), 1,
      sym_attribute,
    STATE(15652), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677127] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17483), 1,
      anon_sym_SEMI,
    ACTIONS(17485), 1,
      anon_sym_GT,
    STATE(15232), 1,
      sym_attribute,
    STATE(15252), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677147] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3371), 1,
      anon_sym_RBRACK,
    ACTIONS(20660), 1,
      anon_sym_SEMI,
    STATE(15233), 1,
      sym_attribute,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677167] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11630), 1,
      anon_sym_GT,
    ACTIONS(20662), 1,
      anon_sym_SEMI,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    STATE(15234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677187] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14723), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15235), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677207] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20664), 1,
      anon_sym_SEMI,
    ACTIONS(20666), 1,
      anon_sym_RBRACE,
    STATE(15236), 1,
      sym_attribute,
    STATE(15294), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677227] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3291), 1,
      anon_sym_RBRACK,
    ACTIONS(20668), 1,
      anon_sym_SEMI,
    STATE(15237), 1,
      sym_attribute,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677247] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14821), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15238), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677267] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18406), 1,
      anon_sym_RBRACE,
    ACTIONS(20670), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677287] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19680), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677307] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10073), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(15241), 1,
      sym_attribute,
    STATE(15322), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677327] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(26), 1,
      sym_attribute_id,
    STATE(15242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [677345] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(20672), 1,
      sym__lowercase_identifier,
    STATE(15243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677365] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(20674), 1,
      anon_sym_RPAREN,
    STATE(15244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677385] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20676), 1,
      aux_sym_quoted_extension_token1,
    STATE(15245), 1,
      sym_attribute,
    STATE(19414), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677405] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(20678), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677425] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19456), 1,
      anon_sym_RBRACK,
    STATE(15247), 1,
      sym_attribute,
    STATE(15278), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677445] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19456), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677465] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20680), 1,
      anon_sym_SEMI,
    ACTIONS(20682), 1,
      anon_sym_GT_RBRACE,
    STATE(15249), 1,
      sym_attribute,
    STATE(15405), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677485] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18312), 1,
      anon_sym_RBRACE,
    ACTIONS(20684), 1,
      anon_sym_SEMI,
    STATE(15250), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677505] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14779), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15251), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677525] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11488), 1,
      anon_sym_GT,
    ACTIONS(20686), 1,
      anon_sym_SEMI,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    STATE(15252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677545] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14790), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15253), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677565] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20688), 1,
      anon_sym_RPAREN,
    STATE(15254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20690), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [677583] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19464), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677603] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20692), 1,
      anon_sym_SEMI,
    ACTIONS(20694), 1,
      anon_sym_RBRACE,
    STATE(15256), 1,
      sym_attribute,
    STATE(15464), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677623] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14800), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15257), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677643] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20696), 1,
      anon_sym_RPAREN,
    STATE(15258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677663] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17491), 1,
      anon_sym_SEMI,
    ACTIONS(17493), 1,
      anon_sym_GT,
    STATE(15259), 1,
      sym_attribute,
    STATE(15340), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677683] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11402), 1,
      anon_sym_GT,
    ACTIONS(20698), 1,
      anon_sym_SEMI,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    STATE(15260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677703] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(20700), 1,
      anon_sym_RPAREN,
    STATE(15261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677723] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20702), 1,
      anon_sym_SEMI,
    ACTIONS(20704), 1,
      anon_sym_RBRACE,
    STATE(15262), 1,
      sym_attribute,
    STATE(15291), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677743] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(27), 1,
      sym_attribute_id,
    STATE(15263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [677761] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20706), 1,
      anon_sym_SEMI,
    ACTIONS(20708), 1,
      anon_sym_RBRACE,
    STATE(15264), 1,
      sym_attribute,
    STATE(15583), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677781] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20710), 1,
      aux_sym_quoted_extension_token1,
    STATE(15265), 1,
      sym_attribute,
    STATE(19777), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677801] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20712), 1,
      anon_sym_EQ,
    STATE(15266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677821] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(20714), 1,
      anon_sym_RPAREN,
    STATE(15267), 1,
      sym_attribute,
    STATE(20097), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677841] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20716), 1,
      anon_sym_SEMI,
    ACTIONS(20718), 1,
      anon_sym_GT_RBRACE,
    STATE(15268), 1,
      sym_attribute,
    STATE(15341), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677861] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3293), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20720), 1,
      anon_sym_SEMI,
    STATE(15269), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677881] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14860), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15270), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677901] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20722), 1,
      anon_sym_SEMI,
    ACTIONS(20724), 1,
      anon_sym_GT_RBRACE,
    STATE(15271), 1,
      sym_attribute,
    STATE(15307), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677921] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14871), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15272), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677941] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20726), 1,
      anon_sym_LPAREN,
    ACTIONS(20728), 1,
      anon_sym_LBRACK,
    ACTIONS(20730), 1,
      anon_sym_LBRACE,
    STATE(15273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677961] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12038), 1,
      sym_module_binding,
    STATE(15274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17714), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [677979] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8598), 1,
      anon_sym_RBRACK,
    ACTIONS(20732), 1,
      anon_sym_SEMI,
    STATE(15275), 1,
      sym_attribute,
    STATE(15943), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677999] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20734), 1,
      anon_sym_SEMI,
    ACTIONS(20736), 1,
      anon_sym_GT_RBRACE,
    STATE(15276), 1,
      sym_attribute,
    STATE(15832), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678019] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(20738), 1,
      anon_sym_RPAREN,
    STATE(15277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678039] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19479), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678059] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14879), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15279), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678079] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19479), 1,
      anon_sym_RBRACK,
    STATE(15280), 1,
      sym_attribute,
    STATE(15309), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678099] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20740), 1,
      anon_sym_SEMI,
    ACTIONS(20742), 1,
      anon_sym_RBRACE,
    STATE(15281), 1,
      sym_attribute,
    STATE(15503), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678119] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3599), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20744), 1,
      anon_sym_SEMI,
    STATE(15282), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678139] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14850), 1,
      anon_sym_in,
    ACTIONS(20746), 1,
      anon_sym_and,
    STATE(15283), 1,
      sym_attribute,
    STATE(15348), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678159] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20748), 1,
      anon_sym_RPAREN,
    STATE(15284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678179] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20750), 3,
      anon_sym_mutable,
      anon_sym_virtual,
      sym__lowercase_identifier,
  [678195] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(28), 1,
      sym_attribute_id,
    STATE(15286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [678213] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18194), 1,
      anon_sym_RBRACE,
    ACTIONS(20752), 1,
      anon_sym_SEMI,
    STATE(15287), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678233] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3909), 1,
      anon_sym_RBRACK,
    ACTIONS(20754), 1,
      anon_sym_SEMI,
    STATE(15288), 1,
      sym_attribute,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678253] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20756), 1,
      aux_sym_quoted_extension_token1,
    STATE(15289), 1,
      sym_attribute,
    STATE(20234), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678273] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19618), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20758), 1,
      anon_sym_SEMI,
    STATE(15290), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678293] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18516), 1,
      anon_sym_RBRACE,
    ACTIONS(20760), 1,
      anon_sym_SEMI,
    STATE(15291), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678313] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3463), 1,
      anon_sym_RBRACK,
    ACTIONS(20762), 1,
      anon_sym_SEMI,
    STATE(15292), 1,
      sym_attribute,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678333] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9), 1,
      sym_attribute_id,
    STATE(15293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [678351] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18518), 1,
      anon_sym_RBRACE,
    ACTIONS(20764), 1,
      anon_sym_SEMI,
    STATE(15294), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678371] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14938), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15295), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678391] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14286), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15296), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678411] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3919), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20766), 1,
      anon_sym_SEMI,
    STATE(15297), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678431] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18254), 1,
      anon_sym_RBRACE,
    ACTIONS(20768), 1,
      anon_sym_SEMI,
    STATE(15298), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678451] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20770), 1,
      anon_sym_RPAREN,
    STATE(15299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678471] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14955), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15300), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678491] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20772), 1,
      anon_sym_RPAREN,
    STATE(15301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678511] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20774), 1,
      anon_sym_SEMI,
    ACTIONS(20776), 1,
      anon_sym_GT_RBRACE,
    STATE(15302), 1,
      sym_attribute,
    STATE(15552), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678531] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19652), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20778), 1,
      anon_sym_SEMI,
    STATE(15303), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678551] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18314), 1,
      anon_sym_RBRACE,
    ACTIONS(20780), 1,
      anon_sym_SEMI,
    STATE(15304), 1,
      sym_attribute,
    STATE(15338), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678571] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3639), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20782), 1,
      anon_sym_SEMI,
    STATE(15305), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678591] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14552), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15306), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678611] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19496), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20784), 1,
      anon_sym_SEMI,
    STATE(15307), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678631] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20786), 1,
      anon_sym_RPAREN,
    STATE(15308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678651] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19498), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678671] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20788), 1,
      anon_sym_RPAREN,
    STATE(15310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678691] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(29), 1,
      sym_attribute_id,
    STATE(15311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [678709] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13064), 1,
      sym_attribute_id,
    STATE(15312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20790), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [678727] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20792), 1,
      anon_sym_RPAREN,
    STATE(15313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678747] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(20794), 1,
      anon_sym_RPAREN,
    STATE(15314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678767] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20796), 1,
      aux_sym_quoted_extension_token1,
    STATE(15315), 1,
      sym_attribute,
    STATE(19079), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678787] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18524), 1,
      anon_sym_RBRACE,
    ACTIONS(20798), 1,
      anon_sym_SEMI,
    STATE(15316), 1,
      sym_attribute,
    STATE(15334), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678807] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(20800), 1,
      anon_sym_RBRACK,
    STATE(15317), 1,
      sym_attribute,
    STATE(15352), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678827] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(20802), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678847] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3465), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20804), 1,
      anon_sym_SEMI,
    STATE(15319), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678867] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19502), 1,
      anon_sym_RBRACK,
    STATE(15320), 1,
      sym_attribute,
    STATE(15436), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678887] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14570), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15321), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678907] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19502), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678927] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19664), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678947] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(20806), 1,
      sym__lowercase_identifier,
    STATE(15324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678967] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14774), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15325), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678987] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(20808), 1,
      sym__lowercase_identifier,
    STATE(15326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679007] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20810), 1,
      anon_sym_RPAREN,
    STATE(15327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679027] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(20812), 1,
      anon_sym_RPAREN,
    STATE(15328), 1,
      sym_attribute,
    STATE(20164), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679047] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20814), 1,
      anon_sym_SEMI,
    ACTIONS(20816), 1,
      anon_sym_RBRACE,
    STATE(15329), 1,
      sym_attribute,
    STATE(15891), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679067] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14325), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15330), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679087] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14322), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15331), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679107] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20818), 1,
      anon_sym_RPAREN,
    STATE(15332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679127] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20820), 1,
      anon_sym_EQ,
    STATE(15333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679147] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18526), 1,
      anon_sym_RBRACE,
    ACTIONS(20822), 1,
      anon_sym_SEMI,
    STATE(15334), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679167] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20824), 1,
      anon_sym_RPAREN,
    STATE(15335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679187] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(30), 1,
      sym_attribute_id,
    STATE(15336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679205] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20826), 1,
      aux_sym_quoted_extension_token1,
    STATE(15337), 1,
      sym_attribute,
    STATE(17683), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679225] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18316), 1,
      anon_sym_RBRACE,
    ACTIONS(20828), 1,
      anon_sym_SEMI,
    STATE(15338), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679245] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3323), 1,
      anon_sym_RBRACK,
    ACTIONS(20830), 1,
      anon_sym_SEMI,
    STATE(15339), 1,
      sym_attribute,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679265] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11288), 1,
      anon_sym_GT,
    ACTIONS(20832), 1,
      anon_sym_SEMI,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    STATE(15340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679285] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19512), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20834), 1,
      anon_sym_SEMI,
    STATE(15341), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679305] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14697), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15342), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679325] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18410), 1,
      anon_sym_RBRACE,
    ACTIONS(20836), 1,
      anon_sym_SEMI,
    STATE(15343), 1,
      sym_attribute,
    STATE(15397), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679345] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14903), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15344), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679365] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3699), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20838), 1,
      anon_sym_SEMI,
    STATE(15345), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679385] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20840), 1,
      anon_sym_EQ,
    STATE(15346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679405] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3437), 1,
      anon_sym_RBRACK,
    ACTIONS(20842), 1,
      anon_sym_SEMI,
    STATE(15347), 1,
      sym_attribute,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679425] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14518), 1,
      anon_sym_in,
    ACTIONS(20844), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15348), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
  [679443] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18258), 1,
      anon_sym_RBRACE,
    ACTIONS(20847), 1,
      anon_sym_SEMI,
    STATE(15349), 1,
      sym_attribute,
    STATE(15825), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679463] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(20849), 1,
      anon_sym_RPAREN,
    STATE(15350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679483] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14296), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15351), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679503] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(20851), 1,
      anon_sym_RBRACK,
    STATE(14899), 1,
      aux_sym__type_params_repeat1,
    STATE(15352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679523] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(20851), 1,
      anon_sym_RBRACK,
    STATE(15353), 1,
      sym_attribute,
    STATE(15374), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679543] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(20853), 1,
      anon_sym_RPAREN,
    STATE(15354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679563] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14850), 1,
      anon_sym_in,
    ACTIONS(20746), 1,
      anon_sym_and,
    STATE(15355), 1,
      sym_attribute,
    STATE(16050), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679583] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18534), 1,
      anon_sym_RBRACE,
    ACTIONS(20855), 1,
      anon_sym_SEMI,
    STATE(15356), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679603] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2), 1,
      sym_attribute_id,
    STATE(15357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679621] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20857), 1,
      aux_sym_quoted_extension_token1,
    STATE(15358), 1,
      sym_attribute,
    STATE(17804), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679641] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20859), 1,
      anon_sym_RPAREN,
    STATE(15359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679661] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19654), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679681] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(20861), 1,
      anon_sym_RPAREN,
    STATE(15361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679701] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18536), 1,
      anon_sym_RBRACE,
    ACTIONS(20863), 1,
      anon_sym_SEMI,
    STATE(15362), 1,
      sym_attribute,
    STATE(15391), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679721] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19654), 1,
      anon_sym_RBRACK,
    STATE(15363), 1,
      sym_attribute,
    STATE(15564), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679741] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20865), 3,
      anon_sym_private,
      anon_sym_virtual,
      sym__lowercase_identifier,
  [679757] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20867), 1,
      anon_sym_SEMI,
    ACTIONS(20869), 1,
      anon_sym_RBRACE,
    STATE(15365), 1,
      sym_attribute,
    STATE(15500), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679777] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(32), 1,
      sym_attribute_id,
    STATE(15366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [679795] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20871), 1,
      aux_sym_quoted_extension_token1,
    STATE(15367), 1,
      sym_attribute,
    STATE(17584), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679815] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3663), 1,
      anon_sym_RBRACK,
    ACTIONS(20873), 1,
      anon_sym_SEMI,
    STATE(15368), 1,
      sym_attribute,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679835] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19508), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20875), 1,
      anon_sym_SEMI,
    STATE(15369), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679855] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10390), 1,
      sym__type_equation,
    STATE(15370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20877), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [679873] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20879), 1,
      anon_sym_EQ,
    STATE(15371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679893] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19540), 1,
      anon_sym_RBRACE,
    ACTIONS(20881), 1,
      anon_sym_SEMI,
    STATE(15078), 1,
      aux_sym_record_declaration_repeat1,
    STATE(15372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679913] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19588), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679933] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(20883), 1,
      anon_sym_RBRACK,
    STATE(14899), 1,
      aux_sym__type_params_repeat1,
    STATE(15374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679953] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10018), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(15375), 1,
      sym_attribute,
    STATE(15396), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679973] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_RBRACK,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679993] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19588), 1,
      anon_sym_RBRACK,
    STATE(15377), 1,
      sym_attribute,
    STATE(15920), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680013] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(20887), 1,
      sym__lowercase_identifier,
    STATE(15378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680033] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17326), 1,
      anon_sym_SEMI,
    ACTIONS(17328), 1,
      anon_sym_GT,
    STATE(15379), 1,
      sym_attribute,
    STATE(15401), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680053] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20889), 1,
      sym__lowercase_identifier,
    ACTIONS(20891), 1,
      anon_sym_LPAREN,
    STATE(8452), 1,
      sym__simple_value_pattern,
    STATE(15380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680073] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10391), 1,
      sym__type_equation,
    STATE(15381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20877), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [680091] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(33), 1,
      sym_attribute_id,
    STATE(15382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680109] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20893), 1,
      aux_sym_quoted_extension_token1,
    STATE(15383), 1,
      sym_attribute,
    STATE(19305), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680129] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20895), 1,
      anon_sym_EQ,
    STATE(15384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680149] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(20897), 1,
      sym__lowercase_identifier,
    STATE(15385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680169] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18216), 1,
      anon_sym_RBRACE,
    ACTIONS(20899), 1,
      anon_sym_SEMI,
    STATE(15386), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680189] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(20901), 1,
      anon_sym_RPAREN,
    STATE(15387), 1,
      sym_attribute,
    STATE(20257), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680209] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20903), 1,
      anon_sym_RPAREN,
    STATE(15388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680229] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20905), 1,
      anon_sym_RPAREN,
    STATE(15389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680249] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(20907), 1,
      anon_sym_RBRACK,
    STATE(14899), 1,
      aux_sym__type_params_repeat1,
    STATE(15390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680269] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18540), 1,
      anon_sym_RBRACE,
    ACTIONS(20909), 1,
      anon_sym_SEMI,
    STATE(15391), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680289] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(20911), 1,
      anon_sym_RPAREN,
    STATE(15392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680309] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(20913), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680329] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19562), 1,
      anon_sym_RBRACK,
    STATE(15394), 1,
      sym_attribute,
    STATE(15422), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680349] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3637), 1,
      anon_sym_RBRACK,
    ACTIONS(20915), 1,
      anon_sym_SEMI,
    STATE(15395), 1,
      sym_attribute,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680369] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19562), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680389] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18412), 1,
      anon_sym_RBRACE,
    ACTIONS(20917), 1,
      anon_sym_SEMI,
    STATE(15397), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680409] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20919), 1,
      ts_builtin_sym_end,
    STATE(15398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680429] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(89), 1,
      sym_attribute_id,
    STATE(15399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680447] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20921), 1,
      aux_sym_quoted_extension_token1,
    STATE(15400), 1,
      sym_attribute,
    STATE(20085), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680467] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11450), 1,
      anon_sym_GT,
    ACTIONS(20923), 1,
      anon_sym_SEMI,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    STATE(15401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680487] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20925), 1,
      anon_sym_RPAREN,
    STATE(15402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680507] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15799), 1,
      anon_sym_RBRACK,
    ACTIONS(20927), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15403), 2,
      sym_attribute,
      aux_sym_list_expression_repeat1,
  [680525] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3447), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20930), 1,
      anon_sym_SEMI,
    STATE(15404), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680545] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19566), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20932), 1,
      anon_sym_SEMI,
    STATE(15405), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680565] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20934), 1,
      anon_sym_SEMI,
    ACTIONS(20936), 1,
      anon_sym_GT_RBRACE,
    STATE(15406), 1,
      sym_attribute,
    STATE(15838), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680585] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20938), 1,
      anon_sym_SEMI,
    ACTIONS(20940), 1,
      anon_sym_GT_RBRACE,
    STATE(15407), 1,
      sym_attribute,
    STATE(15537), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680605] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20942), 1,
      anon_sym_SEMI,
    ACTIONS(20944), 1,
      anon_sym_RBRACE,
    STATE(15408), 1,
      sym_attribute,
    STATE(15435), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680625] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(34), 1,
      sym_attribute_id,
    STATE(15409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680643] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20946), 1,
      aux_sym_quoted_extension_token1,
    STATE(15410), 1,
      sym_attribute,
    STATE(17585), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680663] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20948), 1,
      anon_sym_RPAREN,
    STATE(15411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680683] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20950), 1,
      anon_sym_SEMI,
    ACTIONS(20952), 1,
      anon_sym_RBRACE,
    STATE(15412), 1,
      sym_attribute,
    STATE(15602), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680703] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19574), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20954), 1,
      anon_sym_SEMI,
    STATE(15413), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680723] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18416), 1,
      anon_sym_RBRACE,
    ACTIONS(20956), 1,
      anon_sym_SEMI,
    STATE(15414), 1,
      sym_attribute,
    STATE(16335), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680743] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15415), 1,
      sym_attribute,
    STATE(15427), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680761] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20958), 1,
      anon_sym_SEMI,
    ACTIONS(20960), 1,
      anon_sym_GT_RBRACE,
    STATE(15416), 1,
      sym_attribute,
    STATE(15447), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680781] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18220), 1,
      anon_sym_RBRACE,
    ACTIONS(20962), 1,
      anon_sym_SEMI,
    STATE(15417), 1,
      sym_attribute,
    STATE(15546), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680801] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(20964), 1,
      anon_sym_RPAREN,
    STATE(15418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680821] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(35), 1,
      sym_attribute_id,
    STATE(15419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [680839] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20966), 1,
      aux_sym_quoted_extension_token1,
    STATE(15420), 1,
      sym_attribute,
    STATE(19307), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680859] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(20968), 1,
      anon_sym_RPAREN,
    STATE(15421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680879] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19592), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680899] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19592), 1,
      anon_sym_RBRACK,
    STATE(15423), 1,
      sym_attribute,
    STATE(15451), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680919] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19596), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680939] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(20970), 1,
      anon_sym_RBRACK,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680959] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20972), 1,
      anon_sym_RPAREN,
    STATE(15426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680979] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20974), 1,
      aux_sym_quoted_extension_token1,
    STATE(15427), 1,
      sym_attribute,
    STATE(18291), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680999] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(20976), 1,
      anon_sym_RPAREN,
    STATE(15428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681019] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20978), 1,
      anon_sym_SEMI,
    ACTIONS(20980), 1,
      anon_sym_RBRACE,
    STATE(15429), 1,
      sym_attribute,
    STATE(15465), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681039] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19758), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681059] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(20982), 1,
      anon_sym_RPAREN,
    STATE(15431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681079] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3475), 1,
      anon_sym_RBRACK,
    ACTIONS(20984), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(15432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681099] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18202), 1,
      anon_sym_RBRACE,
    ACTIONS(20986), 1,
      anon_sym_SEMI,
    STATE(15433), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681119] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20988), 1,
      anon_sym_SEMI,
    ACTIONS(20990), 1,
      anon_sym_GT_RBRACE,
    STATE(15434), 1,
      sym_attribute,
    STATE(15492), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681139] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18546), 1,
      anon_sym_RBRACE,
    ACTIONS(20992), 1,
      anon_sym_SEMI,
    STATE(15435), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681159] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19606), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681179] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19606), 1,
      anon_sym_RBRACK,
    STATE(15437), 1,
      sym_attribute,
    STATE(15544), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681199] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(36), 1,
      sym_attribute_id,
    STATE(15438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [681217] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20994), 1,
      aux_sym_quoted_extension_token1,
    STATE(15439), 1,
      sym_attribute,
    STATE(17791), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681237] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19758), 1,
      anon_sym_RBRACK,
    STATE(15440), 1,
      sym_attribute,
    STATE(15850), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681257] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3477), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20996), 1,
      anon_sym_SEMI,
    STATE(15441), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681277] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20998), 1,
      anon_sym_SEMI,
    ACTIONS(21000), 1,
      anon_sym_RBRACE,
    STATE(15442), 1,
      sym_attribute,
    STATE(15477), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681297] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3741), 1,
      anon_sym_RBRACK,
    ACTIONS(21002), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(15443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681317] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21004), 1,
      anon_sym_SEMI,
    ACTIONS(21006), 1,
      anon_sym_GT_RBRACE,
    STATE(15035), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681337] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(21008), 1,
      anon_sym_RPAREN,
    STATE(15445), 1,
      sym_attribute,
    STATE(17882), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681357] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18324), 1,
      anon_sym_RBRACE,
    ACTIONS(21010), 1,
      anon_sym_SEMI,
    STATE(15446), 1,
      sym_attribute,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681377] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19610), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21012), 1,
      anon_sym_SEMI,
    STATE(15447), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681397] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3313), 1,
      anon_sym_RBRACK,
    ACTIONS(21014), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(15448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681417] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21016), 1,
      anon_sym_RPAREN,
    STATE(15449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681437] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8564), 1,
      anon_sym_RBRACK,
    ACTIONS(21018), 1,
      anon_sym_SEMI,
    STATE(15450), 1,
      sym_attribute,
    STATE(15943), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681457] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19612), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681477] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21020), 1,
      anon_sym_SEMI,
    ACTIONS(21023), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15452), 2,
      sym_attribute,
      aux_sym_record_expression_repeat1,
  [681495] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(38), 1,
      sym_attribute_id,
    STATE(15453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [681513] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21025), 1,
      aux_sym_quoted_extension_token1,
    STATE(15454), 1,
      sym_attribute,
    STATE(18511), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681533] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18048), 1,
      anon_sym_RBRACE,
    ACTIONS(21027), 1,
      anon_sym_SEMI,
    STATE(15455), 1,
      sym_attribute,
    STATE(15965), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681553] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21029), 1,
      anon_sym_RPAREN,
    STATE(15456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681573] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21031), 1,
      anon_sym_RPAREN,
    STATE(15457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681593] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21033), 1,
      anon_sym_SEMI,
    ACTIONS(21035), 1,
      anon_sym_RBRACE,
    STATE(15458), 1,
      sym_attribute,
    STATE(15576), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681613] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18548), 1,
      anon_sym_RBRACE,
    ACTIONS(21037), 1,
      anon_sym_SEMI,
    STATE(15459), 1,
      sym_attribute,
    STATE(15475), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681633] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10047), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(15460), 1,
      sym_attribute,
    STATE(15524), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681653] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21039), 1,
      anon_sym_SEMI,
    ACTIONS(21041), 1,
      anon_sym_GT_RBRACE,
    STATE(15461), 1,
      sym_attribute,
    STATE(15493), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681673] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(21043), 1,
      anon_sym_RPAREN,
    STATE(15462), 1,
      sym_attribute,
    STATE(17659), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681693] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(11340), 1,
      anon_sym_DOT,
    ACTIONS(21045), 1,
      anon_sym_RPAREN,
    STATE(15463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681713] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17836), 1,
      anon_sym_RBRACE,
    ACTIONS(21047), 1,
      anon_sym_SEMI,
    STATE(15464), 1,
      sym_attribute,
    STATE(15965), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681733] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18326), 1,
      anon_sym_RBRACE,
    ACTIONS(21049), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681753] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17316), 1,
      anon_sym_SEMI,
    ACTIONS(17318), 1,
      anon_sym_GT,
    STATE(15466), 1,
      sym_attribute,
    STATE(15582), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681773] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8530), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21051), 1,
      anon_sym_SEMI,
    STATE(15467), 1,
      sym_attribute,
    STATE(16285), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681793] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(21053), 1,
      sym__lowercase_identifier,
    STATE(15468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681813] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(39), 1,
      sym_attribute_id,
    STATE(15469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [681831] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21055), 1,
      aux_sym_quoted_extension_token1,
    STATE(15470), 1,
      sym_attribute,
    STATE(19359), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681851] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21057), 1,
      anon_sym_SEMI,
    ACTIONS(21059), 1,
      anon_sym_RBRACE,
    STATE(15471), 1,
      sym_attribute,
    STATE(15609), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681871] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3487), 1,
      anon_sym_RBRACK,
    ACTIONS(21061), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(15472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681891] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21063), 1,
      anon_sym_RPAREN,
    STATE(15473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681911] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21065), 1,
      anon_sym_EQ,
    STATE(15474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681931] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_RBRACE,
    ACTIONS(21067), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681951] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21069), 1,
      anon_sym_SEMI,
    ACTIONS(21071), 1,
      anon_sym_RBRACE,
    STATE(15476), 1,
      sym_attribute,
    STATE(15540), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681971] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18552), 1,
      anon_sym_RBRACE,
    ACTIONS(21073), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681991] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(21075), 1,
      sym__lowercase_identifier,
    STATE(15478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682011] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(21077), 1,
      anon_sym_RPAREN,
    STATE(15479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682031] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3489), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21079), 1,
      anon_sym_SEMI,
    STATE(15480), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682051] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3315), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21081), 1,
      anon_sym_SEMI,
    STATE(15481), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682071] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21083), 1,
      anon_sym_SEMI,
    ACTIONS(21085), 1,
      anon_sym_RBRACE,
    STATE(15482), 1,
      sym_attribute,
    STATE(15607), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682091] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19646), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682111] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(40), 1,
      sym_attribute_id,
    STATE(15484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [682129] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21087), 1,
      aux_sym_quoted_extension_token1,
    STATE(15485), 1,
      sym_attribute,
    STATE(19725), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682149] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8178), 1,
      anon_sym_RBRACK,
    ACTIONS(21089), 1,
      anon_sym_SEMI,
    STATE(15486), 1,
      sym_attribute,
    STATE(16049), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682169] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(21091), 1,
      sym__lowercase_identifier,
    STATE(15487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682189] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21093), 1,
      anon_sym_SEMI,
    ACTIONS(21095), 1,
      anon_sym_GT_RBRACE,
    STATE(15488), 1,
      sym_attribute,
    STATE(15634), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682209] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3461), 1,
      anon_sym_RBRACK,
    ACTIONS(21097), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(15489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682229] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4), 1,
      sym_attribute_id,
    STATE(15490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [682247] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10045), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(15491), 1,
      sym_attribute,
    STATE(16334), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682267] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19746), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21099), 1,
      anon_sym_SEMI,
    STATE(15492), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682287] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19630), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21101), 1,
      anon_sym_SEMI,
    STATE(15493), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682307] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21103), 1,
      anon_sym_RPAREN,
    STATE(15494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682327] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3749), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21105), 1,
      anon_sym_SEMI,
    STATE(15495), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682347] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18328), 1,
      anon_sym_RBRACE,
    ACTIONS(21107), 1,
      anon_sym_SEMI,
    STATE(15496), 1,
      sym_attribute,
    STATE(15529), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682367] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8538), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21109), 1,
      anon_sym_SEMI,
    STATE(15497), 1,
      sym_attribute,
    STATE(16285), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682387] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3685), 1,
      anon_sym_RBRACK,
    ACTIONS(21111), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(15498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682407] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9768), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(15499), 1,
      sym_attribute,
    STATE(15545), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682427] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18556), 1,
      anon_sym_RBRACE,
    ACTIONS(21113), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682447] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(41), 1,
      sym_attribute_id,
    STATE(15501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [682465] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21115), 1,
      aux_sym_quoted_extension_token1,
    STATE(15502), 1,
      sym_attribute,
    STATE(20096), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682485] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17878), 1,
      anon_sym_RBRACE,
    ACTIONS(21117), 1,
      anon_sym_SEMI,
    STATE(15503), 1,
      sym_attribute,
    STATE(16055), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682505] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(21119), 1,
      anon_sym_RPAREN,
    STATE(15504), 1,
      sym_attribute,
    STATE(18819), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682525] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21121), 1,
      anon_sym_RPAREN,
    STATE(15505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682545] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(21123), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682565] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17461), 1,
      anon_sym_SEMI,
    ACTIONS(17463), 1,
      anon_sym_GT,
    STATE(15507), 1,
      sym_attribute,
    STATE(15554), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682585] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21125), 1,
      anon_sym_SEMI,
    ACTIONS(21127), 1,
      anon_sym_GT_RBRACE,
    STATE(15508), 1,
      sym_attribute,
    STATE(15785), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682605] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21129), 1,
      anon_sym_RPAREN,
    STATE(15509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682625] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13042), 1,
      sym_attribute_id,
    STATE(15510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21131), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [682643] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8186), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21133), 1,
      anon_sym_SEMI,
    STATE(15157), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682663] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18558), 1,
      anon_sym_RBRACE,
    ACTIONS(21135), 1,
      anon_sym_SEMI,
    STATE(15512), 1,
      sym_attribute,
    STATE(15530), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682683] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3713), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21137), 1,
      anon_sym_SEMI,
    STATE(15513), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682703] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10), 1,
      sym_attribute_id,
    STATE(15514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [682721] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(21139), 1,
      anon_sym_RPAREN,
    STATE(15515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682741] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(21141), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682761] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19790), 1,
      anon_sym_RBRACK,
    STATE(15517), 1,
      sym_attribute,
    STATE(15823), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682781] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(42), 1,
      sym_attribute_id,
    STATE(15518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [682799] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21143), 1,
      aux_sym_quoted_extension_token1,
    STATE(15519), 1,
      sym_attribute,
    STATE(19957), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682819] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21145), 1,
      aux_sym_quoted_extension_token1,
    STATE(15520), 1,
      sym_attribute,
    STATE(18034), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682839] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3849), 1,
      anon_sym_RBRACK,
    ACTIONS(21147), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(15521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682859] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(21149), 1,
      sym__lowercase_identifier,
    STATE(15522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682879] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(21151), 1,
      sym__lowercase_identifier,
    STATE(15523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682899] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19790), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682919] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21153), 1,
      anon_sym_RPAREN,
    STATE(15525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682939] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21155), 1,
      anon_sym_RPAREN,
    STATE(15526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682959] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19289), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21157), 1,
      anon_sym_SEMI,
    STATE(15527), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682979] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10020), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(15528), 1,
      sym_attribute,
    STATE(15551), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682999] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18330), 1,
      anon_sym_RBRACE,
    ACTIONS(21159), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683019] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_RBRACE,
    ACTIONS(21161), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683039] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21163), 1,
      anon_sym_RPAREN,
    STATE(15531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683059] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17389), 1,
      anon_sym_SEMI,
    ACTIONS(17391), 1,
      anon_sym_GT,
    STATE(15532), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683079] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(21165), 1,
      anon_sym_RPAREN,
    STATE(15533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683099] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14567), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15534), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683119] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(43), 1,
      sym_attribute_id,
    STATE(15535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [683137] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21167), 1,
      aux_sym_quoted_extension_token1,
    STATE(15536), 1,
      sym_attribute,
    STATE(20029), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683157] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19668), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21169), 1,
      anon_sym_SEMI,
    STATE(15537), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683177] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(21171), 1,
      anon_sym_RPAREN,
    STATE(15538), 1,
      sym_attribute,
    STATE(19670), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683197] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(21173), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683217] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18264), 1,
      anon_sym_RBRACE,
    ACTIONS(21175), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683237] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(21177), 1,
      anon_sym_RPAREN,
    STATE(15541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683257] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18568), 1,
      anon_sym_RBRACE,
    ACTIONS(21179), 1,
      anon_sym_SEMI,
    STATE(15542), 1,
      sym_attribute,
    STATE(15763), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683277] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19807), 1,
      anon_sym_RBRACK,
    STATE(15543), 1,
      sym_attribute,
    STATE(15645), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683297] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19688), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683317] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19807), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683337] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18662), 1,
      anon_sym_RBRACE,
    ACTIONS(21181), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683357] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(21183), 1,
      anon_sym_RPAREN,
    STATE(15547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683377] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(21185), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683397] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19684), 1,
      anon_sym_RBRACK,
    STATE(15549), 1,
      sym_attribute,
    STATE(15585), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683417] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21187), 1,
      anon_sym_RPAREN,
    STATE(15550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683437] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19684), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683457] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19788), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21189), 1,
      anon_sym_SEMI,
    STATE(15552), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683477] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3377), 1,
      anon_sym_RBRACK,
    ACTIONS(21191), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(15553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683497] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11484), 1,
      anon_sym_GT,
    ACTIONS(21193), 1,
      anon_sym_SEMI,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    STATE(15554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683517] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(44), 1,
      sym_attribute_id,
    STATE(15555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [683535] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21195), 1,
      aux_sym_quoted_extension_token1,
    STATE(15556), 1,
      sym_attribute,
    STATE(18051), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683555] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11454), 1,
      anon_sym_GT,
    ACTIONS(21197), 1,
      anon_sym_SEMI,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    STATE(15557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683575] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3853), 1,
      anon_sym_RBRACK,
    ACTIONS(21199), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(15558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683595] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3851), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21201), 1,
      anon_sym_SEMI,
    STATE(15559), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683615] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8536), 1,
      anon_sym_RBRACK,
    ACTIONS(21203), 1,
      anon_sym_SEMI,
    STATE(15560), 1,
      sym_attribute,
    STATE(15943), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683635] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11), 1,
      sym_attribute_id,
    STATE(15561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [683653] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14618), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15562), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683673] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20586), 1,
      anon_sym_COLON2,
    ACTIONS(21205), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      sym_attribute,
    STATE(18356), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683693] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19839), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683713] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(21207), 1,
      anon_sym_RPAREN,
    STATE(15565), 1,
      sym_attribute,
    STATE(19113), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683733] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(45), 1,
      sym_attribute_id,
    STATE(15566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [683751] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21209), 1,
      aux_sym_quoted_extension_token1,
    STATE(15567), 1,
      sym_attribute,
    STATE(18740), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683771] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21211), 1,
      anon_sym_SEMI,
    ACTIONS(21213), 1,
      anon_sym_RBRACE,
    STATE(15568), 1,
      sym_attribute,
    STATE(15598), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683791] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17892), 1,
      anon_sym_RBRACE,
    ACTIONS(21215), 1,
      anon_sym_SEMI,
    STATE(15569), 1,
      sym_attribute,
    STATE(15965), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683811] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21217), 1,
      anon_sym_SEMI,
    ACTIONS(21220), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15570), 2,
      sym_attribute,
      aux_sym_object_copy_expression_repeat1,
  [683829] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8562), 1,
      anon_sym_RBRACK,
    ACTIONS(21222), 1,
      anon_sym_SEMI,
    STATE(15571), 1,
      sym_attribute,
    STATE(15943), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683849] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18200), 1,
      anon_sym_RBRACE,
    ACTIONS(21224), 1,
      anon_sym_SEMI,
    STATE(15386), 1,
      aux_sym_record_expression_repeat1,
    STATE(15572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683869] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(21226), 1,
      anon_sym_type,
    STATE(15573), 1,
      sym_attribute,
    STATE(15861), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683889] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(21228), 1,
      anon_sym_RPAREN,
    STATE(15574), 1,
      sym_attribute,
    STATE(18366), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683909] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(21230), 1,
      anon_sym_RPAREN,
    STATE(15575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683929] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18024), 1,
      anon_sym_RBRACE,
    ACTIONS(21232), 1,
      anon_sym_SEMI,
    STATE(15576), 1,
      sym_attribute,
    STATE(15965), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683949] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21234), 1,
      anon_sym_SEMI,
    ACTIONS(21236), 1,
      anon_sym_GT_RBRACE,
    STATE(15577), 1,
      sym_attribute,
    STATE(15610), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683969] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(21238), 1,
      anon_sym_RBRACK,
    STATE(15578), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683989] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8568), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21240), 1,
      anon_sym_SEMI,
    STATE(15579), 1,
      sym_attribute,
    STATE(16285), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684009] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(46), 1,
      sym_attribute_id,
    STATE(15580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [684027] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21242), 1,
      aux_sym_quoted_extension_token1,
    STATE(15581), 1,
      sym_attribute,
    STATE(19520), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684047] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11276), 1,
      anon_sym_GT,
    ACTIONS(21244), 1,
      anon_sym_SEMI,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    STATE(15582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684067] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18570), 1,
      anon_sym_RBRACE,
    ACTIONS(21246), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684087] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(21248), 1,
      anon_sym_RPAREN,
    STATE(15584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684107] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19708), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684127] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19708), 1,
      anon_sym_RBRACK,
    STATE(15586), 1,
      sym_attribute,
    STATE(15616), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684147] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8082), 1,
      anon_sym_RBRACK,
    ACTIONS(21250), 1,
      anon_sym_SEMI,
    STATE(15587), 1,
      sym_attribute,
    STATE(16049), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684167] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21252), 1,
      anon_sym_RPAREN,
    STATE(15588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684187] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21254), 1,
      anon_sym_SEMI,
    ACTIONS(21256), 1,
      anon_sym_RBRACE,
    STATE(15589), 1,
      sym_attribute,
    STATE(15687), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684207] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14675), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15590), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684227] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8532), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21258), 1,
      anon_sym_SEMI,
    STATE(15591), 1,
      sym_attribute,
    STATE(16285), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684247] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21260), 1,
      anon_sym_RPAREN,
    STATE(15592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684267] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21262), 1,
      anon_sym_EQ,
    STATE(15593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684287] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3693), 1,
      anon_sym_RBRACK,
    ACTIONS(21264), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(15594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684307] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21266), 1,
      anon_sym_EQ,
    STATE(15595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684327] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(47), 1,
      sym_attribute_id,
    STATE(15596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [684345] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21268), 1,
      aux_sym_quoted_extension_token1,
    STATE(15597), 1,
      sym_attribute,
    STATE(17521), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684365] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18574), 1,
      anon_sym_RBRACE,
    ACTIONS(21270), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684385] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21272), 1,
      anon_sym_SEMI,
    ACTIONS(21274), 1,
      anon_sym_RBRACE,
    STATE(15599), 1,
      sym_attribute,
    STATE(15640), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684405] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12247), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [684421] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3709), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21276), 1,
      anon_sym_SEMI,
    STATE(15601), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684441] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17810), 1,
      anon_sym_RBRACE,
    ACTIONS(21278), 1,
      anon_sym_SEMI,
    STATE(15602), 1,
      sym_attribute,
    STATE(16055), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684461] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3289), 1,
      anon_sym_RBRACK,
    ACTIONS(21280), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(15603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684481] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(21282), 1,
      sym__lowercase_identifier,
    STATE(15604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684501] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8132), 1,
      anon_sym_RBRACK,
    ACTIONS(21284), 1,
      anon_sym_SEMI,
    STATE(15605), 1,
      sym_attribute,
    STATE(16049), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684521] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(21286), 1,
      anon_sym_RBRACK,
    STATE(14899), 1,
      aux_sym__type_params_repeat1,
    STATE(15606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684541] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18042), 1,
      anon_sym_RBRACE,
    ACTIONS(21288), 1,
      anon_sym_SEMI,
    STATE(15607), 1,
      sym_attribute,
    STATE(16055), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684561] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(21286), 1,
      anon_sym_RBRACK,
    STATE(15608), 1,
      sym_attribute,
    STATE(15630), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684581] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18422), 1,
      anon_sym_RBRACE,
    ACTIONS(21290), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684601] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19732), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21292), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684621] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(48), 1,
      sym_attribute_id,
    STATE(15611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [684639] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21294), 1,
      aux_sym_quoted_extension_token1,
    STATE(15612), 1,
      sym_attribute,
    STATE(17719), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684659] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(21296), 1,
      anon_sym_RPAREN,
    STATE(15613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684679] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8146), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21298), 1,
      anon_sym_SEMI,
    STATE(15157), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684699] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21300), 1,
      anon_sym_SEMI,
    ACTIONS(21302), 1,
      anon_sym_GT_RBRACE,
    STATE(15615), 1,
      sym_attribute,
    STATE(15657), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684719] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19734), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684739] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19863), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684759] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21304), 1,
      anon_sym_SEMI,
    ACTIONS(21306), 1,
      anon_sym_GT_RBRACE,
    STATE(15618), 1,
      sym_attribute,
    STATE(15749), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684779] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21308), 1,
      anon_sym_RPAREN,
    STATE(15619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684799] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9931), 1,
      sym__type_equation,
    STATE(15620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21310), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [684817] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21312), 1,
      anon_sym_SEMI,
    ACTIONS(21314), 1,
      anon_sym_RBRACE,
    STATE(15455), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684837] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21316), 1,
      anon_sym_EQ,
    STATE(15622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684857] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18576), 1,
      anon_sym_RBRACE,
    ACTIONS(21318), 1,
      anon_sym_SEMI,
    STATE(15623), 1,
      sym_attribute,
    STATE(15638), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684877] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8126), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21320), 1,
      anon_sym_SEMI,
    STATE(15157), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684897] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(21322), 1,
      anon_sym_RPAREN,
    STATE(15625), 1,
      sym_attribute,
    STATE(18863), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684917] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19315), 1,
      sym__lowercase_identifier,
    ACTIONS(19319), 1,
      anon_sym_mutable,
    STATE(15626), 1,
      sym_attribute,
    STATE(16664), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684937] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21324), 1,
      anon_sym_RPAREN,
    STATE(15627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684957] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(49), 1,
      sym_attribute_id,
    STATE(15628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [684975] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21326), 1,
      aux_sym_quoted_extension_token1,
    STATE(15629), 1,
      sym_attribute,
    STATE(17933), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684995] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(21328), 1,
      anon_sym_RBRACK,
    STATE(14899), 1,
      aux_sym__type_params_repeat1,
    STATE(15630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685015] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19863), 1,
      anon_sym_RBRACK,
    STATE(15483), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685035] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(21330), 1,
      sym__lowercase_identifier,
    STATE(15632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685055] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(21332), 1,
      anon_sym_RBRACK,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685075] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19728), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21334), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685095] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3577), 1,
      anon_sym_RBRACK,
    ACTIONS(21336), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(15635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685115] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21338), 1,
      anon_sym_RPAREN,
    STATE(15636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685135] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9932), 1,
      sym__type_equation,
    STATE(15637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21310), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [685153] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18580), 1,
      anon_sym_RBRACE,
    ACTIONS(21340), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685173] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21342), 1,
      anon_sym_EQ,
    STATE(15639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685193] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18582), 1,
      anon_sym_RBRACE,
    ACTIONS(21344), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685213] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(50), 1,
      sym_attribute_id,
    STATE(15641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [685231] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21346), 1,
      aux_sym_quoted_extension_token1,
    STATE(15642), 1,
      sym_attribute,
    STATE(18168), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685251] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3859), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21348), 1,
      anon_sym_SEMI,
    STATE(15643), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685271] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(21350), 1,
      anon_sym_RPAREN,
    STATE(15644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685291] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19859), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685311] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19859), 1,
      anon_sym_RBRACK,
    STATE(15646), 1,
      sym_attribute,
    STATE(15752), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685331] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(51), 1,
      sym_attribute_id,
    STATE(15647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [685349] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21352), 1,
      aux_sym_quoted_extension_token1,
    STATE(15648), 1,
      sym_attribute,
    STATE(18308), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685369] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21354), 1,
      anon_sym_SEMI,
    ACTIONS(21356), 1,
      anon_sym_RBRACE,
    STATE(15649), 1,
      sym_attribute,
    STATE(15896), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685389] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3579), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21358), 1,
      anon_sym_SEMI,
    STATE(15650), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685409] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18586), 1,
      anon_sym_RBRACE,
    ACTIONS(21360), 1,
      anon_sym_SEMI,
    STATE(15651), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685429] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18334), 1,
      anon_sym_RBRACE,
    ACTIONS(21362), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685449] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21364), 1,
      anon_sym_RPAREN,
    STATE(15653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685469] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(52), 1,
      sym_attribute_id,
    STATE(15654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [685487] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21366), 1,
      aux_sym_quoted_extension_token1,
    STATE(15655), 1,
      sym_attribute,
    STATE(18407), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685507] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21368), 1,
      anon_sym_RPAREN,
    STATE(15656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685527] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19744), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21370), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685547] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3687), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21372), 1,
      anon_sym_SEMI,
    STATE(15658), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685567] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(53), 1,
      sym_attribute_id,
    STATE(15659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [685585] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21374), 1,
      aux_sym_quoted_extension_token1,
    STATE(15660), 1,
      sym_attribute,
    STATE(18452), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685605] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19126), 1,
      anon_sym_RBRACK,
    STATE(14974), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685625] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19477), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [685641] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3379), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21376), 1,
      anon_sym_SEMI,
    STATE(15663), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685661] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(54), 1,
      sym_attribute_id,
    STATE(15664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [685679] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21378), 1,
      aux_sym_quoted_extension_token1,
    STATE(15665), 1,
      sym_attribute,
    STATE(18483), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685699] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3327), 1,
      anon_sym_RBRACK,
    ACTIONS(21380), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(15666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685719] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(55), 1,
      sym_attribute_id,
    STATE(15667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [685737] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21382), 1,
      aux_sym_quoted_extension_token1,
    STATE(15668), 1,
      sym_attribute,
    STATE(18520), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685757] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21384), 1,
      anon_sym_RPAREN,
    STATE(15669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685777] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(56), 1,
      sym_attribute_id,
    STATE(15670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [685795] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21386), 1,
      aux_sym_quoted_extension_token1,
    STATE(15671), 1,
      sym_attribute,
    STATE(18558), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685815] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18588), 1,
      anon_sym_RBRACE,
    ACTIONS(21388), 1,
      anon_sym_SEMI,
    STATE(15672), 1,
      sym_attribute,
    STATE(15755), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685835] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(57), 1,
      sym_attribute_id,
    STATE(15673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [685853] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21390), 1,
      aux_sym_quoted_extension_token1,
    STATE(15674), 1,
      sym_attribute,
    STATE(18586), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685873] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14392), 1,
      aux_sym_module_binding_repeat1,
    STATE(15675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685893] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(58), 1,
      sym_attribute_id,
    STATE(15676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [685911] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21392), 1,
      aux_sym_quoted_extension_token1,
    STATE(15677), 1,
      sym_attribute,
    STATE(18631), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685931] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21394), 1,
      anon_sym_RPAREN,
    STATE(15678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685951] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(59), 1,
      sym_attribute_id,
    STATE(15679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [685969] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21396), 1,
      aux_sym_quoted_extension_token1,
    STATE(15680), 1,
      sym_attribute,
    STATE(18675), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685989] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7908), 1,
      anon_sym_RBRACK,
    ACTIONS(21398), 1,
      anon_sym_SEMI,
    STATE(15681), 1,
      sym_attribute,
    STATE(16049), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686009] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(60), 1,
      sym_attribute_id,
    STATE(15682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686027] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21400), 1,
      aux_sym_quoted_extension_token1,
    STATE(15683), 1,
      sym_attribute,
    STATE(18708), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686047] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8084), 1,
      anon_sym_RBRACK,
    ACTIONS(21402), 1,
      anon_sym_SEMI,
    STATE(15684), 1,
      sym_attribute,
    STATE(16049), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686067] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(61), 1,
      sym_attribute_id,
    STATE(15685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686085] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21404), 1,
      aux_sym_quoted_extension_token1,
    STATE(15686), 1,
      sym_attribute,
    STATE(18745), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686105] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18424), 1,
      anon_sym_RBRACE,
    ACTIONS(21406), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686125] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(62), 1,
      sym_attribute_id,
    STATE(15688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686143] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21408), 1,
      aux_sym_quoted_extension_token1,
    STATE(15689), 1,
      sym_attribute,
    STATE(18774), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686163] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(21410), 1,
      sym__lowercase_identifier,
    STATE(15690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686183] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(63), 1,
      sym_attribute_id,
    STATE(15691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686201] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21412), 1,
      aux_sym_quoted_extension_token1,
    STATE(15692), 1,
      sym_attribute,
    STATE(18818), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686221] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(21414), 1,
      sym__lowercase_identifier,
    STATE(15693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686241] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(64), 1,
      sym_attribute_id,
    STATE(15694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686259] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21416), 1,
      aux_sym_quoted_extension_token1,
    STATE(15695), 1,
      sym_attribute,
    STATE(18876), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686279] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(65), 1,
      sym_attribute_id,
    STATE(15696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686297] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21418), 1,
      aux_sym_quoted_extension_token1,
    STATE(15697), 1,
      sym_attribute,
    STATE(18889), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686317] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(66), 1,
      sym_attribute_id,
    STATE(15698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686335] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21420), 1,
      aux_sym_quoted_extension_token1,
    STATE(15699), 1,
      sym_attribute,
    STATE(18901), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686355] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(67), 1,
      sym_attribute_id,
    STATE(15700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686373] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21422), 1,
      aux_sym_quoted_extension_token1,
    STATE(15701), 1,
      sym_attribute,
    STATE(18912), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686393] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(68), 1,
      sym_attribute_id,
    STATE(15702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686411] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21424), 1,
      aux_sym_quoted_extension_token1,
    STATE(15703), 1,
      sym_attribute,
    STATE(18930), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686431] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(69), 1,
      sym_attribute_id,
    STATE(15704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686449] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21426), 1,
      aux_sym_quoted_extension_token1,
    STATE(15705), 1,
      sym_attribute,
    STATE(18941), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686469] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(70), 1,
      sym_attribute_id,
    STATE(15706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686487] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21428), 1,
      aux_sym_quoted_extension_token1,
    STATE(15707), 1,
      sym_attribute,
    STATE(18952), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686507] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(71), 1,
      sym_attribute_id,
    STATE(15708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686525] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21430), 1,
      aux_sym_quoted_extension_token1,
    STATE(15709), 1,
      sym_attribute,
    STATE(18970), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686545] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(72), 1,
      sym_attribute_id,
    STATE(15710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686563] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21432), 1,
      aux_sym_quoted_extension_token1,
    STATE(15711), 1,
      sym_attribute,
    STATE(18981), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686583] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(73), 1,
      sym_attribute_id,
    STATE(15712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686601] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21434), 1,
      aux_sym_quoted_extension_token1,
    STATE(15713), 1,
      sym_attribute,
    STATE(18992), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686621] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(74), 1,
      sym_attribute_id,
    STATE(15714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686639] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21436), 1,
      aux_sym_quoted_extension_token1,
    STATE(15715), 1,
      sym_attribute,
    STATE(19004), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686659] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(75), 1,
      sym_attribute_id,
    STATE(15716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686677] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21438), 1,
      aux_sym_quoted_extension_token1,
    STATE(15717), 1,
      sym_attribute,
    STATE(19010), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686697] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(76), 1,
      sym_attribute_id,
    STATE(15718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686715] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21440), 1,
      aux_sym_quoted_extension_token1,
    STATE(15719), 1,
      sym_attribute,
    STATE(19016), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686735] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(77), 1,
      sym_attribute_id,
    STATE(15720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686753] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21442), 1,
      aux_sym_quoted_extension_token1,
    STATE(15721), 1,
      sym_attribute,
    STATE(19022), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686773] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(78), 1,
      sym_attribute_id,
    STATE(15722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686791] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21444), 1,
      aux_sym_quoted_extension_token1,
    STATE(15723), 1,
      sym_attribute,
    STATE(19028), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686811] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(79), 1,
      sym_attribute_id,
    STATE(15724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686829] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21446), 1,
      aux_sym_quoted_extension_token1,
    STATE(15725), 1,
      sym_attribute,
    STATE(19034), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686849] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(80), 1,
      sym_attribute_id,
    STATE(15726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686867] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21448), 1,
      aux_sym_quoted_extension_token1,
    STATE(15727), 1,
      sym_attribute,
    STATE(19040), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686887] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(81), 1,
      sym_attribute_id,
    STATE(15728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686905] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21450), 1,
      aux_sym_quoted_extension_token1,
    STATE(15729), 1,
      sym_attribute,
    STATE(19046), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686925] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(82), 1,
      sym_attribute_id,
    STATE(15730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686943] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21452), 1,
      aux_sym_quoted_extension_token1,
    STATE(15731), 1,
      sym_attribute,
    STATE(19052), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686963] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(83), 1,
      sym_attribute_id,
    STATE(15732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686981] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21454), 1,
      aux_sym_quoted_extension_token1,
    STATE(15733), 1,
      sym_attribute,
    STATE(19058), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687001] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(84), 1,
      sym_attribute_id,
    STATE(15734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687019] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21456), 1,
      aux_sym_quoted_extension_token1,
    STATE(15735), 1,
      sym_attribute,
    STATE(19064), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687039] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(85), 1,
      sym_attribute_id,
    STATE(15736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687057] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21458), 1,
      aux_sym_quoted_extension_token1,
    STATE(15737), 1,
      sym_attribute,
    STATE(19070), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687077] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(86), 1,
      sym_attribute_id,
    STATE(15738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687095] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21460), 1,
      aux_sym_quoted_extension_token1,
    STATE(15739), 1,
      sym_attribute,
    STATE(19077), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687115] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(87), 1,
      sym_attribute_id,
    STATE(15740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687133] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21462), 1,
      aux_sym_quoted_extension_token1,
    STATE(15741), 1,
      sym_attribute,
    STATE(19086), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687153] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15742), 1,
      sym_attribute,
    STATE(15899), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687171] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21464), 1,
      anon_sym_RPAREN,
    STATE(15743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687191] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3357), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21466), 1,
      anon_sym_SEMI,
    STATE(15744), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687211] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18336), 1,
      anon_sym_RBRACE,
    ACTIONS(21468), 1,
      anon_sym_SEMI,
    STATE(15745), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687231] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19676), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687251] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21470), 1,
      anon_sym_RPAREN,
    STATE(15747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687271] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(88), 1,
      sym_attribute_id,
    STATE(15748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [687289] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19882), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21472), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687309] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21474), 1,
      anon_sym_RPAREN,
    STATE(15750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687329] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20586), 1,
      anon_sym_COLON2,
    ACTIONS(21476), 1,
      anon_sym_RPAREN,
    STATE(15751), 1,
      sym_attribute,
    STATE(19243), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687349] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19888), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687369] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3665), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21478), 1,
      anon_sym_SEMI,
    STATE(15753), 1,
      sym_attribute,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687389] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21480), 1,
      aux_sym_quoted_extension_token1,
    STATE(15754), 1,
      sym_attribute,
    STATE(19254), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687409] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18592), 1,
      anon_sym_RBRACE,
    ACTIONS(21482), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687429] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(21484), 1,
      anon_sym_RPAREN,
    STATE(15756), 1,
      sym_attribute,
    STATE(18882), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687449] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21486), 1,
      anon_sym_LPAREN,
    ACTIONS(21488), 1,
      anon_sym_LBRACK,
    ACTIONS(21490), 1,
      anon_sym_LBRACE,
    STATE(15757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687469] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(21492), 1,
      sym__lowercase_identifier,
    STATE(15758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687489] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(21494), 1,
      sym__lowercase_identifier,
    STATE(15759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687509] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21496), 1,
      anon_sym_RPAREN,
    STATE(15760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687529] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21498), 1,
      anon_sym_SEMI,
    ACTIONS(21500), 1,
      anon_sym_RBRACE,
    STATE(15761), 1,
      sym_attribute,
    STATE(15903), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687549] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18426), 1,
      anon_sym_RBRACE,
    ACTIONS(21502), 1,
      anon_sym_SEMI,
    STATE(15762), 1,
      sym_attribute,
    STATE(15783), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687569] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18590), 1,
      anon_sym_RBRACE,
    ACTIONS(21504), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687589] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(21506), 1,
      anon_sym_RPAREN,
    STATE(15764), 1,
      sym_attribute,
    STATE(19288), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687609] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21508), 1,
      anon_sym_LPAREN,
    ACTIONS(21510), 1,
      anon_sym_LBRACK,
    ACTIONS(21512), 1,
      anon_sym_LBRACE,
    STATE(15765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687629] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21514), 1,
      anon_sym_RPAREN,
    STATE(15766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687649] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(21516), 1,
      anon_sym_RPAREN,
    STATE(15767), 1,
      sym_attribute,
    STATE(18735), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687669] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17996), 1,
      anon_sym_RBRACE,
    ACTIONS(21518), 1,
      anon_sym_SEMI,
    STATE(15768), 1,
      sym_attribute,
    STATE(16055), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687689] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10022), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(15769), 1,
      sym_attribute,
    STATE(15792), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687709] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19676), 1,
      anon_sym_RBRACK,
    STATE(15036), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687729] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18322), 1,
      anon_sym_RBRACE,
    ACTIONS(21520), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687749] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17469), 1,
      anon_sym_SEMI,
    ACTIONS(17471), 1,
      anon_sym_GT,
    STATE(15772), 1,
      sym_attribute,
    STATE(15796), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687769] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21522), 1,
      sym__lowercase_identifier,
    ACTIONS(21524), 1,
      anon_sym_LPAREN,
    STATE(7964), 1,
      sym__simple_value_pattern,
    STATE(15773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8863), 1,
      aux_sym_attribute_id_token1,
    STATE(15774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8865), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [687807] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7910), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21526), 1,
      anon_sym_SEMI,
    STATE(15157), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687827] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21528), 1,
      anon_sym_RPAREN,
    STATE(15776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687847] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15799), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21530), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15777), 2,
      sym_attribute,
      aux_sym_list_expression_repeat1,
  [687865] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(21533), 1,
      sym__lowercase_identifier,
    STATE(15778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687885] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(21535), 1,
      sym__lowercase_identifier,
    STATE(15779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687905] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(21537), 1,
      anon_sym_RPAREN,
    STATE(15780), 1,
      sym_attribute,
    STATE(19035), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687925] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21539), 1,
      anon_sym_RPAREN,
    STATE(15781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687945] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21541), 1,
      anon_sym_RPAREN,
    STATE(15782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687965] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18428), 1,
      anon_sym_RBRACE,
    ACTIONS(21543), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687985] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19722), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21545), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688005] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19920), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21547), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688025] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(21549), 1,
      sym__lowercase_identifier,
    STATE(15786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688045] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(21551), 1,
      sym__lowercase_identifier,
    STATE(15787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688065] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21553), 1,
      anon_sym_RPAREN,
    STATE(15788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688085] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(21555), 1,
      anon_sym_RPAREN,
    STATE(15789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688105] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(21557), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688125] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19799), 1,
      anon_sym_RBRACK,
    STATE(15791), 1,
      sym_attribute,
    STATE(15812), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688145] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19799), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688165] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18338), 1,
      anon_sym_RBRACE,
    ACTIONS(21559), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688185] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21561), 1,
      anon_sym_RPAREN,
    STATE(15794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688205] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12), 1,
      sym_attribute_id,
    STATE(15795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [688223] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11280), 1,
      anon_sym_GT,
    ACTIONS(21563), 1,
      anon_sym_SEMI,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    STATE(15796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688243] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21565), 1,
      anon_sym_RPAREN,
    STATE(15797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688263] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10820), 1,
      sym_attribute_id,
    STATE(15798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21567), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [688281] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21569), 1,
      anon_sym_SEMI,
    ACTIONS(21571), 1,
      anon_sym_RBRACE,
    STATE(15799), 1,
      sym_attribute,
    STATE(15821), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688301] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18436), 1,
      anon_sym_RBRACE,
    ACTIONS(21573), 1,
      anon_sym_SEMI,
    STATE(15800), 1,
      sym_attribute,
    STATE(15869), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688321] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18598), 1,
      anon_sym_RBRACE,
    ACTIONS(21575), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688341] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15224), 1,
      sym_attribute_id,
    STATE(15802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [688359] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21577), 1,
      aux_sym_quoted_extension_token1,
    STATE(15803), 1,
      sym_attribute,
    STATE(20007), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688379] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21579), 1,
      anon_sym_SEMI,
    ACTIONS(21581), 1,
      anon_sym_GT_RBRACE,
    STATE(15804), 1,
      sym_attribute,
    STATE(16042), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688399] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21583), 1,
      anon_sym_RPAREN,
    STATE(15805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688419] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21585), 1,
      anon_sym_SEMI,
    ACTIONS(21587), 1,
      anon_sym_GT_RBRACE,
    STATE(15806), 1,
      sym_attribute,
    STATE(15834), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688439] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3295), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21589), 1,
      anon_sym_SEMI,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    STATE(15807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688459] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14950), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15808), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688479] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21591), 1,
      anon_sym_RPAREN,
    STATE(15809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688499] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21593), 1,
      anon_sym_LPAREN,
    ACTIONS(21595), 1,
      anon_sym_LBRACK,
    ACTIONS(21597), 1,
      anon_sym_LBRACE,
    STATE(15810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688519] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(21599), 1,
      anon_sym_RPAREN,
    STATE(15811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688539] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19819), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688559] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19819), 1,
      anon_sym_RBRACK,
    STATE(15813), 1,
      sym_attribute,
    STATE(15837), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688579] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18268), 1,
      anon_sym_RBRACE,
    ACTIONS(21601), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688599] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(21603), 1,
      anon_sym_RPAREN,
    STATE(15815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688619] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21605), 1,
      anon_sym_RPAREN,
    STATE(15816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688639] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21607), 1,
      anon_sym_LPAREN,
    ACTIONS(21609), 1,
      anon_sym_LBRACK,
    ACTIONS(21611), 1,
      anon_sym_LBRACE,
    STATE(15817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688659] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21613), 1,
      anon_sym_RPAREN,
    STATE(15818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688679] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3911), 1,
      anon_sym_RBRACK,
    ACTIONS(21615), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(15819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688699] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18674), 1,
      sym__lowercase_identifier,
    STATE(15820), 1,
      sym_attribute,
    STATE(16274), 1,
      sym__instance_variable_name,
    STATE(16983), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688719] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18602), 1,
      anon_sym_RBRACE,
    ACTIONS(21617), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688739] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(21619), 1,
      anon_sym_RPAREN,
    STATE(15822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688759] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19980), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688779] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21621), 1,
      anon_sym_SEMI,
    ACTIONS(21623), 1,
      anon_sym_RBRACE,
    STATE(15824), 1,
      sym_attribute,
    STATE(15862), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688799] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18270), 1,
      anon_sym_RBRACE,
    ACTIONS(21625), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688819] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19980), 1,
      anon_sym_RBRACK,
    STATE(15826), 1,
      sym_attribute,
    STATE(16052), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688839] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18340), 1,
      anon_sym_RBRACE,
    ACTIONS(21627), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688859] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3917), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21629), 1,
      anon_sym_SEMI,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    STATE(15828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688879] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14493), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15829), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688899] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21631), 1,
      anon_sym_SEMI,
    ACTIONS(21633), 1,
      anon_sym_GT_RBRACE,
    STATE(15830), 1,
      sym_attribute,
    STATE(15901), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688919] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7890), 1,
      anon_sym_RBRACK,
    ACTIONS(21635), 1,
      anon_sym_SEMI,
    STATE(15831), 1,
      sym_attribute,
    STATE(16049), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688939] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19831), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21637), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688959] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21639), 1,
      anon_sym_RPAREN,
    STATE(15833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688979] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19835), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21641), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688999] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(21643), 1,
      anon_sym_RBRACK,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689019] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(21645), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689039] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19837), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689059] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20066), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21647), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689079] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21649), 1,
      anon_sym_RPAREN,
    STATE(15839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689099] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13358), 1,
      sym__type_equation,
    STATE(15840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21651), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [689117] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18604), 1,
      anon_sym_RBRACE,
    ACTIONS(21653), 1,
      anon_sym_SEMI,
    STATE(15841), 1,
      sym_attribute,
    STATE(15854), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689137] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15520), 1,
      sym_attribute_id,
    STATE(15842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [689155] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18206), 1,
      anon_sym_RBRACE,
    ACTIONS(21655), 1,
      anon_sym_SEMI,
    STATE(15843), 1,
      sym_attribute,
    STATE(16086), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689175] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21657), 1,
      anon_sym_SEMI,
    ACTIONS(21659), 1,
      anon_sym_RBRACE,
    STATE(15081), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689195] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19086), 1,
      anon_sym_RBRACK,
    STATE(15845), 1,
      sym_attribute,
    STATE(16277), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689215] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21661), 1,
      anon_sym_RPAREN,
    STATE(15846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689235] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21663), 1,
      anon_sym_SEMI,
    ACTIONS(21665), 1,
      anon_sym_RBRACE,
    STATE(15847), 1,
      sym_attribute,
    STATE(15859), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689255] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(21667), 1,
      sym__lowercase_identifier,
    STATE(15848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689275] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21669), 1,
      anon_sym_LPAREN,
    ACTIONS(21671), 1,
      anon_sym_LBRACK,
    ACTIONS(21673), 1,
      anon_sym_LBRACE,
    STATE(15849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689295] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20121), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689315] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21675), 1,
      anon_sym_RPAREN,
    STATE(15851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689335] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3605), 1,
      anon_sym_RBRACK,
    ACTIONS(21677), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(15852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689355] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14360), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15853), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689375] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18608), 1,
      anon_sym_RBRACE,
    ACTIONS(21679), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689395] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21681), 1,
      anon_sym_LPAREN,
    ACTIONS(21683), 1,
      anon_sym_LBRACK,
    ACTIONS(21685), 1,
      anon_sym_LBRACE,
    STATE(15855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689415] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21687), 1,
      anon_sym_EQ,
    STATE(15856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689435] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21689), 1,
      anon_sym_RPAREN,
    STATE(15857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689455] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21691), 1,
      anon_sym_EQ,
    STATE(15858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689475] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17868), 1,
      anon_sym_RBRACE,
    ACTIONS(21693), 1,
      anon_sym_SEMI,
    STATE(15859), 1,
      sym_attribute,
    STATE(16055), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689495] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18234), 1,
      anon_sym_RBRACE,
    ACTIONS(21695), 1,
      anon_sym_SEMI,
    STATE(15827), 1,
      aux_sym_record_expression_repeat1,
    STATE(15860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689515] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10894), 1,
      anon_sym_DOT,
    STATE(15861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21697), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [689533] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18612), 1,
      anon_sym_RBRACE,
    ACTIONS(21699), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689553] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21701), 1,
      anon_sym_EQ,
    STATE(15863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21703), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [689571] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(21705), 1,
      sym__lowercase_identifier,
    STATE(15864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689591] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_RPAREN,
    STATE(15865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689611] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21709), 1,
      anon_sym_SEMI,
    ACTIONS(21711), 1,
      anon_sym_RBRACE,
    STATE(15866), 1,
      sym_attribute,
    STATE(16058), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689631] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21713), 1,
      anon_sym_SEMI,
    ACTIONS(21715), 1,
      anon_sym_RBRACE,
    STATE(15867), 1,
      sym_attribute,
    STATE(16088), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689651] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18620), 1,
      anon_sym_RBRACE,
    ACTIONS(21717), 1,
      anon_sym_SEMI,
    STATE(15032), 1,
      aux_sym_record_expression_repeat1,
    STATE(15868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689671] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18438), 1,
      anon_sym_RBRACE,
    ACTIONS(21719), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689691] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9935), 1,
      sym__type_equation,
    STATE(15870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21721), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [689709] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21723), 1,
      anon_sym_EQ,
    STATE(15871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689729] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19750), 1,
      anon_sym_RBRACK,
    STATE(15746), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689749] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21725), 1,
      anon_sym_SEMI,
    ACTIONS(21727), 1,
      anon_sym_RBRACE,
    STATE(15873), 1,
      sym_attribute,
    STATE(15900), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689769] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(21729), 1,
      anon_sym_RBRACK,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689789] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17421), 1,
      anon_sym_SEMI,
    ACTIONS(17423), 1,
      anon_sym_GT,
    STATE(15063), 1,
      aux_sym_object_type_repeat1,
    STATE(15875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689809] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9936), 1,
      sym__type_equation,
    STATE(15876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21721), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [689827] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15803), 1,
      sym_attribute_id,
    STATE(15877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [689845] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21731), 1,
      anon_sym_EQ,
    STATE(15878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689865] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21733), 1,
      anon_sym_SEMI,
    ACTIONS(21735), 1,
      anon_sym_RBRACE,
    STATE(15569), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689885] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10038), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(15159), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689905] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21737), 1,
      anon_sym_SEMI,
    ACTIONS(21739), 1,
      anon_sym_GT_RBRACE,
    STATE(15881), 1,
      sym_attribute,
    STATE(15956), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689925] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21741), 1,
      anon_sym_SEMI,
    ACTIONS(21743), 1,
      anon_sym_RBRACE,
    STATE(15882), 1,
      sym_attribute,
    STATE(16148), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689945] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21745), 1,
      anon_sym_LPAREN,
    ACTIONS(21747), 1,
      anon_sym_LBRACK,
    ACTIONS(21749), 1,
      anon_sym_LBRACE,
    STATE(15883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689965] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(21751), 1,
      sym__lowercase_identifier,
    STATE(15884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689985] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19750), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690005] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21753), 1,
      anon_sym_LPAREN,
    ACTIONS(21755), 1,
      anon_sym_LBRACK,
    ACTIONS(21757), 1,
      anon_sym_LBRACE,
    STATE(15886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690025] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10024), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(15887), 1,
      sym_attribute,
    STATE(15984), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690045] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14840), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15888), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690065] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6), 1,
      sym_attribute_id,
    STATE(15889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [690083] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3871), 1,
      anon_sym_RBRACK,
    ACTIONS(21759), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(15890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690103] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18434), 1,
      anon_sym_RBRACE,
    ACTIONS(21761), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690123] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3607), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21763), 1,
      anon_sym_SEMI,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    STATE(15892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690143] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10026), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(15893), 1,
      sym_attribute,
    STATE(15913), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690163] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3361), 1,
      anon_sym_RBRACK,
    ACTIONS(21765), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(15894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690183] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15895), 1,
      sym_attribute,
    STATE(15966), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [690201] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18092), 1,
      anon_sym_RBRACE,
    ACTIONS(21767), 1,
      anon_sym_SEMI,
    STATE(15896), 1,
      sym_attribute,
    STATE(16055), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690221] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17508), 1,
      anon_sym_SEMI,
    ACTIONS(17510), 1,
      anon_sym_GT,
    STATE(15897), 1,
      sym_attribute,
    STATE(15917), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690241] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20586), 1,
      anon_sym_COLON2,
    ACTIONS(21769), 1,
      anon_sym_RPAREN,
    STATE(15898), 1,
      sym_attribute,
    STATE(19847), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690261] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21771), 1,
      aux_sym_quoted_extension_token1,
    STATE(15899), 1,
      sym_attribute,
    STATE(19617), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690281] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18278), 1,
      anon_sym_RBRACE,
    ACTIONS(21773), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690301] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19896), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21775), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690321] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21777), 1,
      anon_sym_LPAREN,
    ACTIONS(21779), 1,
      anon_sym_LBRACK,
    ACTIONS(21781), 1,
      anon_sym_LBRACE,
    STATE(15902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690341] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18444), 1,
      anon_sym_RBRACE,
    ACTIONS(21783), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690361] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9790), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(15904), 1,
      sym_attribute,
    STATE(15941), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690381] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14631), 1,
      anon_sym_in,
    ACTIONS(20746), 1,
      anon_sym_and,
    STATE(15283), 1,
      aux_sym_module_definition_repeat1,
    STATE(15905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690401] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21785), 1,
      anon_sym_LPAREN,
    ACTIONS(21787), 1,
      anon_sym_LBRACK,
    ACTIONS(21789), 1,
      anon_sym_LBRACE,
    STATE(15906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690421] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(21791), 1,
      anon_sym_RPAREN,
    STATE(15907), 1,
      sym_attribute,
    STATE(19251), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690441] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21793), 1,
      anon_sym_RPAREN,
    STATE(15908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690461] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(21795), 1,
      anon_sym_RPAREN,
    STATE(15909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690481] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(21797), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690501] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19898), 1,
      anon_sym_RBRACK,
    STATE(15911), 1,
      sym_attribute,
    STATE(15946), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690521] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15912), 1,
      sym_attribute,
    STATE(16117), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [690539] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19898), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690559] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21801), 1,
      anon_sym_LBRACK,
    STATE(15914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21799), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [690577] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17334), 1,
      anon_sym_SEMI,
    ACTIONS(17336), 1,
      anon_sym_GT,
    STATE(15915), 1,
      sym_attribute,
    STATE(15950), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690597] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21803), 1,
      anon_sym_SEMI,
    ACTIONS(21805), 1,
      anon_sym_RBRACE,
    STATE(15188), 1,
      aux_sym_record_pattern_repeat1,
    STATE(15916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690617] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11368), 1,
      anon_sym_GT,
    ACTIONS(21807), 1,
      anon_sym_SEMI,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    STATE(15917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690637] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21809), 1,
      anon_sym_LPAREN,
    ACTIONS(21811), 1,
      anon_sym_LBRACK,
    ACTIONS(21813), 1,
      anon_sym_LBRACE,
    STATE(15918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690657] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21815), 1,
      anon_sym_LPAREN,
    ACTIONS(21817), 1,
      anon_sym_LBRACK,
    ACTIONS(21819), 1,
      anon_sym_LBRACE,
    STATE(15919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690677] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19926), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690697] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(21821), 1,
      anon_sym_RPAREN,
    STATE(15921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690717] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15922), 1,
      sym_attribute,
    STATE(16283), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [690735] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18346), 1,
      anon_sym_RBRACE,
    ACTIONS(21823), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690755] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3873), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21825), 1,
      anon_sym_SEMI,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    STATE(15924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690775] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21827), 1,
      anon_sym_RPAREN,
    STATE(15925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690795] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21829), 1,
      anon_sym_SEMI,
    ACTIONS(21831), 1,
      anon_sym_RBRACE,
    STATE(14981), 1,
      aux_sym_record_expression_repeat1,
    STATE(15926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690815] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18344), 1,
      anon_sym_RBRACE,
    ACTIONS(21833), 1,
      anon_sym_SEMI,
    STATE(15927), 1,
      sym_attribute,
    STATE(16064), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690835] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21835), 1,
      anon_sym_SEMI,
    ACTIONS(21837), 1,
      anon_sym_RBRACE,
    STATE(15928), 1,
      sym_attribute,
    STATE(15958), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690855] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21839), 1,
      anon_sym_LPAREN,
    ACTIONS(21841), 1,
      anon_sym_LBRACK,
    ACTIONS(21843), 1,
      anon_sym_LBRACE,
    STATE(15929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690875] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21845), 1,
      anon_sym_LPAREN,
    ACTIONS(21847), 1,
      anon_sym_LBRACK,
    ACTIONS(21849), 1,
      anon_sym_LBRACE,
    STATE(15930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690895] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21851), 1,
      anon_sym_SEMI,
    ACTIONS(21853), 1,
      anon_sym_GT_RBRACE,
    STATE(15931), 1,
      sym_attribute,
    STATE(16132), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690915] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21855), 1,
      anon_sym_EQ,
    STATE(15932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21857), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [690933] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18624), 1,
      anon_sym_RBRACE,
    ACTIONS(21859), 1,
      anon_sym_SEMI,
    STATE(15933), 1,
      sym_attribute,
    STATE(16073), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690953] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17437), 1,
      anon_sym_SEMI,
    ACTIONS(17439), 1,
      anon_sym_GT,
    STATE(15234), 1,
      aux_sym_object_type_repeat1,
    STATE(15934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690973] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(21861), 1,
      anon_sym_RPAREN,
    STATE(15935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690993] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15936), 1,
      sym_attribute,
    STATE(16368), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [691011] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(21863), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691031] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21865), 1,
      anon_sym_SEMI,
    ACTIONS(21867), 1,
      anon_sym_GT_RBRACE,
    STATE(15938), 1,
      sym_attribute,
    STATE(15975), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691051] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20125), 1,
      anon_sym_RBRACK,
    STATE(15939), 1,
      sym_attribute,
    STATE(16007), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691071] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21869), 1,
      anon_sym_LPAREN,
    ACTIONS(21871), 1,
      anon_sym_LBRACK,
    ACTIONS(21873), 1,
      anon_sym_LBRACE,
    STATE(15940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691091] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20125), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691111] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21875), 1,
      anon_sym_LPAREN,
    ACTIONS(21877), 1,
      anon_sym_LBRACK,
    ACTIONS(21879), 1,
      anon_sym_LBRACE,
    STATE(15942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691131] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18430), 1,
      anon_sym_RBRACK,
    ACTIONS(21881), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15943), 2,
      sym_attribute,
      aux_sym_list_binding_pattern_repeat1,
  [691149] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14992), 1,
      sym_attribute_id,
    STATE(15944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [691167] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(21884), 1,
      anon_sym_RPAREN,
    STATE(15945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691187] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19932), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691207] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19932), 1,
      anon_sym_RBRACK,
    STATE(15947), 1,
      sym_attribute,
    STATE(15981), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691227] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14741), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15948), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691247] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(37), 1,
      sym_attribute_id,
    STATE(15949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [691265] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11602), 1,
      anon_sym_GT,
    ACTIONS(21886), 1,
      anon_sym_SEMI,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    STATE(15950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691285] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21888), 1,
      anon_sym_LPAREN,
    ACTIONS(21890), 1,
      anon_sym_LBRACK,
    ACTIONS(21892), 1,
      anon_sym_LBRACE,
    STATE(15951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691305] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21894), 1,
      anon_sym_RPAREN,
    STATE(15952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691325] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21896), 1,
      anon_sym_LPAREN,
    ACTIONS(21898), 1,
      anon_sym_LBRACK,
    ACTIONS(21900), 1,
      anon_sym_LBRACE,
    STATE(15953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691345] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15024), 1,
      sym_attribute_id,
    STATE(15954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [691363] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3411), 1,
      anon_sym_RBRACK,
    ACTIONS(21902), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(15955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691383] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20088), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21904), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691403] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13), 1,
      sym_attribute_id,
    STATE(15957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [691421] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18626), 1,
      anon_sym_RBRACE,
    ACTIONS(21906), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(15958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691441] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(21908), 1,
      sym__lowercase_identifier,
    STATE(15959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691461] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21910), 1,
      anon_sym_LPAREN,
    ACTIONS(21912), 1,
      anon_sym_LBRACK,
    ACTIONS(21914), 1,
      anon_sym_LBRACE,
    STATE(15960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691481] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21916), 1,
      anon_sym_LPAREN,
    ACTIONS(21918), 1,
      anon_sym_LBRACK,
    ACTIONS(21920), 1,
      anon_sym_LBRACE,
    STATE(15961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691501] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15056), 1,
      sym_attribute_id,
    STATE(15962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [691519] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18192), 1,
      anon_sym_RBRACE,
    ACTIONS(21922), 1,
      anon_sym_SEMI,
    STATE(15287), 1,
      aux_sym_record_expression_repeat1,
    STATE(15963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691539] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3413), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21924), 1,
      anon_sym_SEMI,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    STATE(15964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691559] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21926), 1,
      anon_sym_SEMI,
    ACTIONS(21929), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15965), 2,
      sym_attribute,
      aux_sym_record_binding_pattern_repeat1,
  [691577] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21931), 1,
      aux_sym_quoted_extension_token1,
    STATE(15966), 1,
      sym_attribute,
    STATE(19989), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691597] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21933), 1,
      anon_sym_RPAREN,
    STATE(15967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691617] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21935), 1,
      anon_sym_RPAREN,
    STATE(15968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691637] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21937), 1,
      anon_sym_LPAREN,
    ACTIONS(21939), 1,
      anon_sym_LBRACK,
    ACTIONS(21941), 1,
      anon_sym_LBRACE,
    STATE(15969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691657] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21943), 1,
      anon_sym_LPAREN,
    ACTIONS(21945), 1,
      anon_sym_LBRACK,
    ACTIONS(21947), 1,
      anon_sym_LBRACE,
    STATE(15970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691677] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15092), 1,
      sym_attribute_id,
    STATE(15971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [691695] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21949), 1,
      anon_sym_SEMI,
    ACTIONS(21951), 1,
      anon_sym_RBRACE,
    STATE(15972), 1,
      sym_attribute,
    STATE(16040), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691715] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21953), 1,
      anon_sym_SEMI,
    ACTIONS(21955), 1,
      anon_sym_RBRACE,
    STATE(15768), 1,
      aux_sym_record_pattern_repeat1,
    STATE(15973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691735] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3363), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21957), 1,
      anon_sym_SEMI,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    STATE(15974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691755] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19946), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21959), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691775] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15976), 1,
      sym_attribute,
    STATE(17408), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18404), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [691793] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21961), 1,
      anon_sym_LPAREN,
    ACTIONS(21963), 1,
      anon_sym_LBRACK,
    ACTIONS(21965), 1,
      anon_sym_LBRACE,
    STATE(15977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691813] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14476), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15978), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691833] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21967), 1,
      anon_sym_LPAREN,
    ACTIONS(21969), 1,
      anon_sym_LBRACK,
    ACTIONS(21971), 1,
      anon_sym_LBRACE,
    STATE(15979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691853] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15116), 1,
      sym_attribute_id,
    STATE(15980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [691871] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19950), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691891] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18226), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [691907] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14631), 1,
      anon_sym_in,
    ACTIONS(20746), 1,
      anon_sym_and,
    STATE(15348), 1,
      aux_sym_module_definition_repeat1,
    STATE(15983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691927] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19126), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691947] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(21973), 1,
      anon_sym_RPAREN,
    STATE(15985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691967] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21975), 1,
      anon_sym_LPAREN,
    ACTIONS(21977), 1,
      anon_sym_LBRACK,
    ACTIONS(21979), 1,
      anon_sym_LBRACE,
    STATE(15986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691987] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15355), 1,
      sym_module_binding,
    STATE(15987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18404), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [692005] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21981), 1,
      anon_sym_LPAREN,
    ACTIONS(21983), 1,
      anon_sym_LBRACK,
    ACTIONS(21985), 1,
      anon_sym_LBRACE,
    STATE(15988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692025] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15141), 1,
      sym_attribute_id,
    STATE(15989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [692043] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18630), 1,
      anon_sym_RBRACE,
    ACTIONS(21987), 1,
      anon_sym_SEMI,
    STATE(15990), 1,
      sym_attribute,
    STATE(16008), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13312), 1,
      sym__type_equation,
    STATE(15991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21651), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [692081] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21989), 1,
      anon_sym_SEMI,
    ACTIONS(21991), 1,
      anon_sym_GT_RBRACE,
    STATE(15992), 1,
      sym_attribute,
    STATE(16063), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692101] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14563), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15993), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692121] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18280), 1,
      anon_sym_RBRACE,
    ACTIONS(21993), 1,
      anon_sym_SEMI,
    STATE(15994), 1,
      sym_attribute,
    STATE(16045), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692141] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21995), 1,
      anon_sym_LPAREN,
    ACTIONS(21997), 1,
      anon_sym_LBRACK,
    ACTIONS(21999), 1,
      anon_sym_LBRACE,
    STATE(15995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692161] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22001), 1,
      anon_sym_LPAREN,
    ACTIONS(22003), 1,
      anon_sym_LBRACK,
    ACTIONS(22005), 1,
      anon_sym_LBRACE,
    STATE(15996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692181] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15167), 1,
      sym_attribute_id,
    STATE(15997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [692199] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22007), 1,
      anon_sym_RPAREN,
    STATE(15998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692219] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(22009), 1,
      sym__lowercase_identifier,
    STATE(15999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692239] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(22011), 1,
      sym__lowercase_identifier,
    STATE(16000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692259] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22013), 1,
      anon_sym_LPAREN,
    ACTIONS(22015), 1,
      anon_sym_LBRACK,
    ACTIONS(22017), 1,
      anon_sym_LBRACE,
    STATE(16001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692279] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(22019), 1,
      sym__lowercase_identifier,
    STATE(16002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692299] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22021), 1,
      anon_sym_LPAREN,
    ACTIONS(22023), 1,
      anon_sym_LBRACK,
    ACTIONS(22025), 1,
      anon_sym_LBRACE,
    STATE(16003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692319] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15189), 1,
      sym_attribute_id,
    STATE(16004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [692337] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22027), 1,
      anon_sym_RPAREN,
    STATE(16005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692357] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(22029), 1,
      anon_sym_RPAREN,
    STATE(16006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692377] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19078), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692397] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18632), 1,
      anon_sym_RBRACE,
    ACTIONS(22031), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(16008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692417] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19078), 1,
      anon_sym_RBRACK,
    STATE(16009), 1,
      sym_attribute,
    STATE(16065), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692437] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22033), 1,
      anon_sym_LPAREN,
    ACTIONS(22035), 1,
      anon_sym_LBRACK,
    ACTIONS(22037), 1,
      anon_sym_LBRACE,
    STATE(16010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692457] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(22039), 1,
      anon_sym_RPAREN,
    STATE(16011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692477] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22041), 1,
      anon_sym_LPAREN,
    ACTIONS(22043), 1,
      anon_sym_LBRACK,
    ACTIONS(22045), 1,
      anon_sym_LBRACE,
    STATE(16012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692497] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15220), 1,
      sym_attribute_id,
    STATE(16013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [692515] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14637), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16014), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692535] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14405), 1,
      aux_sym_module_binding_repeat1,
    STATE(16015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692555] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22047), 1,
      anon_sym_LPAREN,
    ACTIONS(22049), 1,
      anon_sym_LBRACK,
    ACTIONS(22051), 1,
      anon_sym_LBRACE,
    STATE(16016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692575] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22053), 1,
      anon_sym_EQ,
    STATE(16017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692595] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22055), 1,
      anon_sym_LPAREN,
    ACTIONS(22057), 1,
      anon_sym_LBRACK,
    ACTIONS(22059), 1,
      anon_sym_LBRACE,
    STATE(16018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692615] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15245), 1,
      sym_attribute_id,
    STATE(16019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [692633] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12202), 1,
      anon_sym_RPAREN,
    STATE(16020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22061), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [692651] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13081), 1,
      sym__type_equation,
    STATE(16021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20436), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [692669] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22063), 1,
      anon_sym_RPAREN,
    STATE(16022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692689] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(22065), 1,
      sym__lowercase_identifier,
    STATE(16023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692709] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22067), 1,
      anon_sym_EQ,
    STATE(16024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692729] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22069), 1,
      anon_sym_LPAREN,
    ACTIONS(22071), 1,
      anon_sym_LBRACK,
    ACTIONS(22073), 1,
      anon_sym_LBRACE,
    STATE(16025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692749] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7), 1,
      sym_attribute_id,
    STATE(16026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [692767] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22075), 1,
      anon_sym_LPAREN,
    ACTIONS(22077), 1,
      anon_sym_LBRACK,
    ACTIONS(22079), 1,
      anon_sym_LBRACE,
    STATE(16027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692787] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15265), 1,
      sym_attribute_id,
    STATE(16028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [692805] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11512), 1,
      anon_sym_STAR,
    ACTIONS(12873), 1,
      anon_sym_DASH_GT,
    STATE(15049), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692825] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22081), 1,
      anon_sym_RPAREN,
    STATE(16030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692845] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14592), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16031), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692865] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(22083), 1,
      anon_sym_RBRACK,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692885] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(22085), 1,
      sym__lowercase_identifier,
    STATE(16033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692905] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3399), 1,
      anon_sym_RBRACK,
    ACTIONS(22087), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(16034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692925] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22089), 1,
      anon_sym_RPAREN,
    STATE(16035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692945] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22091), 1,
      anon_sym_LPAREN,
    ACTIONS(22093), 1,
      anon_sym_LBRACK,
    ACTIONS(22095), 1,
      anon_sym_LBRACE,
    STATE(16036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692965] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19974), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22097), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692985] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22099), 1,
      anon_sym_LPAREN,
    ACTIONS(22101), 1,
      anon_sym_LBRACK,
    ACTIONS(22103), 1,
      anon_sym_LBRACE,
    STATE(16038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693005] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15289), 1,
      sym_attribute_id,
    STATE(16039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [693023] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18452), 1,
      anon_sym_RBRACE,
    ACTIONS(22105), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(16040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693043] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3727), 1,
      anon_sym_RBRACK,
    ACTIONS(22107), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(16041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693063] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19094), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22109), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693083] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10034), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(16043), 1,
      sym_attribute,
    STATE(16187), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693103] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22111), 1,
      anon_sym_LPAREN,
    ACTIONS(22113), 1,
      anon_sym_LBRACK,
    ACTIONS(22115), 1,
      anon_sym_LBRACE,
    STATE(16044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693123] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18282), 1,
      anon_sym_RBRACE,
    ACTIONS(22117), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(16045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693143] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22119), 1,
      anon_sym_LPAREN,
    ACTIONS(22121), 1,
      anon_sym_LBRACK,
    ACTIONS(22123), 1,
      anon_sym_LBRACE,
    STATE(16046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693163] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15315), 1,
      sym_attribute_id,
    STATE(16047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [693181] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3405), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22125), 1,
      anon_sym_SEMI,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    STATE(16048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693201] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18442), 1,
      anon_sym_RBRACK,
    ACTIONS(22127), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16049), 2,
      sym_attribute,
      aux_sym_list_pattern_repeat1,
  [693219] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14785), 1,
      anon_sym_in,
    ACTIONS(20746), 1,
      anon_sym_and,
    STATE(15348), 1,
      aux_sym_module_definition_repeat1,
    STATE(16050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693239] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22130), 1,
      anon_sym_LPAREN,
    ACTIONS(22132), 1,
      anon_sym_LBRACK,
    ACTIONS(22134), 1,
      anon_sym_LBRACE,
    STATE(16051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693259] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19100), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693279] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22136), 1,
      anon_sym_LPAREN,
    ACTIONS(22138), 1,
      anon_sym_LBRACK,
    ACTIONS(22140), 1,
      anon_sym_LBRACE,
    STATE(16053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693299] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15337), 1,
      sym_attribute_id,
    STATE(16054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [693317] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22142), 1,
      anon_sym_SEMI,
    ACTIONS(22145), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16055), 2,
      sym_attribute,
      aux_sym_record_pattern_repeat1,
  [693335] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22147), 1,
      anon_sym_RPAREN,
    STATE(16056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693355] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17544), 1,
      anon_sym_SEMI,
    ACTIONS(17546), 1,
      anon_sym_GT,
    STATE(16057), 1,
      sym_attribute,
    STATE(16212), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693375] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18236), 1,
      anon_sym_RBRACE,
    ACTIONS(22149), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(16058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693395] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(22151), 1,
      anon_sym_RPAREN,
    STATE(16059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693415] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22153), 1,
      anon_sym_LPAREN,
    ACTIONS(22155), 1,
      anon_sym_LBRACK,
    ACTIONS(22157), 1,
      anon_sym_LBRACE,
    STATE(16060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693435] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22159), 1,
      anon_sym_LPAREN,
    ACTIONS(22161), 1,
      anon_sym_LBRACK,
    ACTIONS(22163), 1,
      anon_sym_LBRACE,
    STATE(16061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693455] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15358), 1,
      sym_attribute_id,
    STATE(16062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [693473] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19102), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22165), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693493] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18351), 1,
      anon_sym_RBRACE,
    ACTIONS(22167), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(16064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693513] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19106), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693533] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10894), 1,
      anon_sym_DOT,
    STATE(16066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22169), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [693551] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22171), 1,
      anon_sym_LPAREN,
    ACTIONS(22173), 1,
      anon_sym_LBRACK,
    ACTIONS(22175), 1,
      anon_sym_LBRACE,
    STATE(16067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693571] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22177), 1,
      anon_sym_LPAREN,
    ACTIONS(22179), 1,
      anon_sym_LBRACK,
    ACTIONS(22181), 1,
      anon_sym_LBRACE,
    STATE(16068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693591] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15367), 1,
      sym_attribute_id,
    STATE(16069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [693609] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10030), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(16070), 1,
      sym_attribute,
    STATE(16093), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693629] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(22183), 1,
      anon_sym_RPAREN,
    STATE(16071), 1,
      sym_attribute,
    STATE(18158), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693649] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(22185), 1,
      anon_sym_RPAREN,
    STATE(16072), 1,
      sym_attribute,
    STATE(18662), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693669] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18636), 1,
      anon_sym_RBRACE,
    ACTIONS(22187), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(16073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693689] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17518), 1,
      anon_sym_SEMI,
    ACTIONS(17520), 1,
      anon_sym_GT,
    STATE(16074), 1,
      sym_attribute,
    STATE(16100), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693709] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22189), 1,
      anon_sym_LPAREN,
    ACTIONS(22191), 1,
      anon_sym_LBRACK,
    ACTIONS(22193), 1,
      anon_sym_LBRACE,
    STATE(16075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693729] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22195), 1,
      anon_sym_LPAREN,
    ACTIONS(22197), 1,
      anon_sym_LBRACK,
    ACTIONS(22199), 1,
      anon_sym_LBRACE,
    STATE(16076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693749] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15383), 1,
      sym_attribute_id,
    STATE(16077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [693767] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22201), 1,
      anon_sym_RPAREN,
    STATE(16078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693787] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18454), 1,
      anon_sym_RBRACE,
    ACTIONS(22203), 1,
      anon_sym_SEMI,
    STATE(16079), 1,
      sym_attribute,
    STATE(16116), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693807] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7928), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22205), 1,
      anon_sym_SEMI,
    STATE(15157), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693827] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(22207), 1,
      anon_sym_RBRACK,
    STATE(16081), 1,
      sym_attribute,
    STATE(16210), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693847] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22209), 1,
      anon_sym_LPAREN,
    ACTIONS(22211), 1,
      anon_sym_LBRACK,
    ACTIONS(22213), 1,
      anon_sym_LBRACE,
    STATE(16082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693867] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8540), 1,
      anon_sym_RBRACK,
    ACTIONS(22215), 1,
      anon_sym_SEMI,
    STATE(15943), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693887] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22217), 1,
      anon_sym_LPAREN,
    ACTIONS(22219), 1,
      anon_sym_LBRACK,
    ACTIONS(22221), 1,
      anon_sym_LBRACE,
    STATE(16084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693907] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15400), 1,
      sym_attribute_id,
    STATE(16085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [693925] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18208), 1,
      anon_sym_RBRACE,
    ACTIONS(22223), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(16086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693945] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22225), 1,
      anon_sym_RPAREN,
    STATE(16087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693965] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17700), 1,
      anon_sym_RBRACE,
    ACTIONS(22227), 1,
      anon_sym_SEMI,
    STATE(15965), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(16088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693985] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(22229), 1,
      anon_sym_RPAREN,
    STATE(16089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694005] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(22231), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694025] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20020), 1,
      anon_sym_RBRACK,
    STATE(16091), 1,
      sym_attribute,
    STATE(16133), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694045] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22233), 1,
      anon_sym_LPAREN,
    ACTIONS(22235), 1,
      anon_sym_LBRACK,
    ACTIONS(22237), 1,
      anon_sym_LBRACE,
    STATE(16092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694065] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20020), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694085] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22239), 1,
      anon_sym_LPAREN,
    ACTIONS(22241), 1,
      anon_sym_LBRACK,
    ACTIONS(22243), 1,
      anon_sym_LBRACE,
    STATE(16094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694105] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15410), 1,
      sym_attribute_id,
    STATE(16095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [694123] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8542), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22245), 1,
      anon_sym_SEMI,
    STATE(16096), 1,
      sym_attribute,
    STATE(16285), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694143] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3731), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22247), 1,
      anon_sym_SEMI,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    STATE(16097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694163] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12255), 1,
      anon_sym_DQUOTE,
    STATE(10076), 1,
      aux_sym_external_repeat1,
    STATE(11105), 1,
      sym_string,
    STATE(16098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694183] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(22249), 1,
      sym__lowercase_identifier,
    STATE(16099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694203] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11468), 1,
      anon_sym_GT,
    ACTIONS(22251), 1,
      anon_sym_SEMI,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    STATE(16100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694223] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22253), 1,
      anon_sym_LPAREN,
    ACTIONS(22255), 1,
      anon_sym_LBRACK,
    ACTIONS(22257), 1,
      anon_sym_LBRACE,
    STATE(16101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694243] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22259), 1,
      anon_sym_LPAREN,
    ACTIONS(22261), 1,
      anon_sym_LBRACK,
    ACTIONS(22263), 1,
      anon_sym_LBRACE,
    STATE(16102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694263] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15420), 1,
      sym_attribute_id,
    STATE(16103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [694281] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22265), 1,
      anon_sym_EQ,
    STATE(16104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694301] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(22267), 1,
      anon_sym_RPAREN,
    STATE(16105), 1,
      sym_attribute,
    STATE(18277), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694321] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22269), 1,
      anon_sym_LPAREN,
    ACTIONS(22271), 1,
      anon_sym_LBRACK,
    ACTIONS(22273), 1,
      anon_sym_LBRACE,
    STATE(16106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694341] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22275), 1,
      anon_sym_LPAREN,
    ACTIONS(22277), 1,
      anon_sym_LBRACK,
    ACTIONS(22279), 1,
      anon_sym_LBRACE,
    STATE(16107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694361] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15439), 1,
      sym_attribute_id,
    STATE(16108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [694379] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22281), 1,
      anon_sym_RPAREN,
    STATE(16109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694399] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(11340), 1,
      anon_sym_DOT,
    ACTIONS(22283), 1,
      anon_sym_RPAREN,
    STATE(16110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694419] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14), 1,
      sym_attribute_id,
    STATE(16111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [694437] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22285), 1,
      anon_sym_SEMI,
    ACTIONS(22287), 1,
      anon_sym_RBRACE,
    STATE(16112), 1,
      sym_attribute,
    STATE(16149), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694457] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22289), 1,
      anon_sym_LPAREN,
    ACTIONS(22291), 1,
      anon_sym_LBRACK,
    ACTIONS(22293), 1,
      anon_sym_LBRACE,
    STATE(16113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694477] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22295), 1,
      anon_sym_LPAREN,
    ACTIONS(22297), 1,
      anon_sym_LBRACK,
    ACTIONS(22299), 1,
      anon_sym_LBRACE,
    STATE(16114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694497] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15454), 1,
      sym_attribute_id,
    STATE(16115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [694515] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18456), 1,
      anon_sym_RBRACE,
    ACTIONS(22301), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(16116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694535] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22303), 1,
      aux_sym_quoted_extension_token1,
    STATE(16117), 1,
      sym_attribute,
    STATE(20039), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694555] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3271), 1,
      anon_sym_RBRACK,
    ACTIONS(22305), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(16118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694575] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22307), 1,
      anon_sym_RPAREN,
    STATE(16119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694595] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22309), 1,
      anon_sym_LPAREN,
    ACTIONS(22311), 1,
      anon_sym_LBRACK,
    ACTIONS(22313), 1,
      anon_sym_LBRACE,
    STATE(16120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694615] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9706), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(16121), 1,
      sym_attribute,
    STATE(16209), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694635] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22315), 1,
      anon_sym_LPAREN,
    ACTIONS(22317), 1,
      anon_sym_LBRACK,
    ACTIONS(22319), 1,
      anon_sym_LBRACE,
    STATE(16122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694655] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15470), 1,
      sym_attribute_id,
    STATE(16123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [694673] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22321), 1,
      anon_sym_SEMI,
    ACTIONS(22323), 1,
      anon_sym_GT_RBRACE,
    STATE(16124), 1,
      sym_attribute,
    STATE(16163), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694693] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11240), 1,
      anon_sym_GT,
    ACTIONS(22325), 1,
      anon_sym_SEMI,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    STATE(16125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694713] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22327), 1,
      anon_sym_LPAREN,
    ACTIONS(22329), 1,
      anon_sym_LBRACK,
    ACTIONS(22331), 1,
      anon_sym_LBRACE,
    STATE(16126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694733] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8190), 1,
      anon_sym_RBRACK,
    ACTIONS(22333), 1,
      anon_sym_SEMI,
    STATE(16049), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694753] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22335), 1,
      anon_sym_LPAREN,
    ACTIONS(22337), 1,
      anon_sym_LBRACK,
    ACTIONS(22339), 1,
      anon_sym_LBRACE,
    STATE(16128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694773] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15485), 1,
      sym_attribute_id,
    STATE(16129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [694791] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14630), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16130), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694811] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(22341), 1,
      anon_sym_RPAREN,
    STATE(16131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694831] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20076), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22343), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694851] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20050), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694871] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20050), 1,
      anon_sym_RBRACK,
    STATE(16134), 1,
      sym_attribute,
    STATE(16167), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694891] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22345), 1,
      anon_sym_SEMI,
    ACTIONS(22347), 1,
      anon_sym_RBRACE,
    STATE(16135), 1,
      sym_attribute,
    STATE(16299), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694911] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22349), 1,
      anon_sym_LPAREN,
    ACTIONS(22351), 1,
      anon_sym_LBRACK,
    ACTIONS(22353), 1,
      anon_sym_LBRACE,
    STATE(16136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694931] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(22355), 1,
      anon_sym_type,
    STATE(16066), 1,
      sym_module_path,
    STATE(16137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694951] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22357), 1,
      anon_sym_LPAREN,
    ACTIONS(22359), 1,
      anon_sym_LBRACK,
    ACTIONS(22361), 1,
      anon_sym_LBRACE,
    STATE(16138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694971] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15502), 1,
      sym_attribute_id,
    STATE(16139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [694989] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14545), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16140), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695009] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22363), 1,
      anon_sym_RPAREN,
    STATE(16141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695029] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22365), 1,
      anon_sym_RPAREN,
    STATE(16142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695049] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22367), 1,
      anon_sym_LPAREN,
    ACTIONS(22369), 1,
      anon_sym_LBRACK,
    ACTIONS(22371), 1,
      anon_sym_LBRACE,
    STATE(16143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695069] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17528), 1,
      anon_sym_SEMI,
    ACTIONS(17530), 1,
      anon_sym_GT,
    STATE(16144), 1,
      sym_attribute,
    STATE(16217), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695089] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22373), 1,
      anon_sym_LPAREN,
    ACTIONS(22375), 1,
      anon_sym_LBRACK,
    ACTIONS(22377), 1,
      anon_sym_LBRACE,
    STATE(16145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695109] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15519), 1,
      sym_attribute_id,
    STATE(16146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [695127] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3581), 1,
      anon_sym_RBRACK,
    ACTIONS(22379), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(16147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695147] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17704), 1,
      anon_sym_RBRACE,
    ACTIONS(22381), 1,
      anon_sym_SEMI,
    STATE(16055), 1,
      aux_sym_record_pattern_repeat1,
    STATE(16148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695167] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18644), 1,
      anon_sym_RBRACE,
    ACTIONS(22383), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(16149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695187] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7854), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22385), 1,
      anon_sym_SEMI,
    STATE(15157), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695207] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14421), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16151), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695227] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22387), 1,
      anon_sym_EQ,
    STATE(16152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695247] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22389), 1,
      anon_sym_LPAREN,
    ACTIONS(22391), 1,
      anon_sym_LBRACK,
    ACTIONS(22393), 1,
      anon_sym_LBRACE,
    STATE(16153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695267] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22395), 1,
      anon_sym_LPAREN,
    ACTIONS(22397), 1,
      anon_sym_LBRACK,
    ACTIONS(22399), 1,
      anon_sym_LBRACE,
    STATE(16154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695287] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15536), 1,
      sym_attribute_id,
    STATE(16155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [695305] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3587), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22401), 1,
      anon_sym_SEMI,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    STATE(16156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695325] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_RBRACE,
    ACTIONS(22403), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(16157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695345] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22405), 1,
      anon_sym_LPAREN,
    ACTIONS(22407), 1,
      anon_sym_LBRACK,
    ACTIONS(22409), 1,
      anon_sym_LBRACE,
    STATE(16158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695365] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(22411), 1,
      anon_sym_RPAREN,
    STATE(16159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695385] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22413), 1,
      anon_sym_LPAREN,
    ACTIONS(22415), 1,
      anon_sym_LBRACK,
    ACTIONS(22417), 1,
      anon_sym_LBRACE,
    STATE(16160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695405] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15556), 1,
      sym_attribute_id,
    STATE(16161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [695423] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10043), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(15027), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695443] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20062), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22419), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695463] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22421), 1,
      anon_sym_RPAREN,
    STATE(16164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695483] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14590), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16165), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695503] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22423), 1,
      anon_sym_LPAREN,
    ACTIONS(22425), 1,
      anon_sym_LBRACK,
    ACTIONS(22427), 1,
      anon_sym_LBRACE,
    STATE(16166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695523] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20068), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695543] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22429), 1,
      anon_sym_LPAREN,
    ACTIONS(22431), 1,
      anon_sym_LBRACK,
    ACTIONS(22433), 1,
      anon_sym_LBRACE,
    STATE(16168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695563] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15567), 1,
      sym_attribute_id,
    STATE(16169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [695581] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22435), 1,
      anon_sym_EQ,
    STATE(16170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695601] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(22437), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695621] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19315), 1,
      sym__lowercase_identifier,
    ACTIONS(19319), 1,
      anon_sym_mutable,
    STATE(16172), 1,
      sym_attribute,
    STATE(16331), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695641] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22439), 1,
      anon_sym_RPAREN,
    STATE(16173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695661] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22441), 1,
      anon_sym_LPAREN,
    ACTIONS(22443), 1,
      anon_sym_LBRACK,
    ACTIONS(22445), 1,
      anon_sym_LBRACE,
    STATE(16174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695681] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18648), 1,
      anon_sym_RBRACE,
    ACTIONS(22447), 1,
      anon_sym_SEMI,
    STATE(16175), 1,
      sym_attribute,
    STATE(16196), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695701] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22449), 1,
      anon_sym_LPAREN,
    ACTIONS(22451), 1,
      anon_sym_LBRACK,
    ACTIONS(22453), 1,
      anon_sym_LBRACE,
    STATE(16176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695721] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15581), 1,
      sym_attribute_id,
    STATE(16177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [695739] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22455), 1,
      anon_sym_EQ,
    STATE(16178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695759] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [695775] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19180), 1,
      anon_sym_RBRACK,
    STATE(16180), 1,
      sym_attribute,
    STATE(16345), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695795] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9926), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(15240), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695815] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20172), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22457), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695835] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22459), 1,
      anon_sym_LPAREN,
    ACTIONS(22461), 1,
      anon_sym_LBRACK,
    ACTIONS(22463), 1,
      anon_sym_LBRACE,
    STATE(16183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695855] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(22465), 1,
      anon_sym_RBRACK,
    STATE(16184), 1,
      sym_attribute,
    STATE(16351), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695875] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22467), 1,
      anon_sym_LPAREN,
    ACTIONS(22469), 1,
      anon_sym_LBRACK,
    ACTIONS(22471), 1,
      anon_sym_LBRACE,
    STATE(16185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695895] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15597), 1,
      sym_attribute_id,
    STATE(16186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [695913] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19180), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695933] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(22473), 1,
      sym__lowercase_identifier,
    STATE(16188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695953] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18460), 1,
      anon_sym_RBRACE,
    ACTIONS(22475), 1,
      anon_sym_SEMI,
    STATE(14964), 1,
      aux_sym_record_expression_repeat1,
    STATE(16189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695973] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22477), 1,
      anon_sym_LPAREN,
    ACTIONS(22479), 1,
      anon_sym_LBRACK,
    ACTIONS(22481), 1,
      anon_sym_LBRACE,
    STATE(16190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695993] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22483), 1,
      anon_sym_LPAREN,
    ACTIONS(22485), 1,
      anon_sym_LBRACK,
    ACTIONS(22487), 1,
      anon_sym_LBRACE,
    STATE(16191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696013] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15612), 1,
      sym_attribute_id,
    STATE(16192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696031] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22489), 1,
      anon_sym_RPAREN,
    STATE(16193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696051] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14753), 1,
      anon_sym_in,
    ACTIONS(20746), 1,
      anon_sym_and,
    STATE(15983), 1,
      aux_sym_module_definition_repeat1,
    STATE(16194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696071] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9996), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(15885), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696091] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18650), 1,
      anon_sym_RBRACE,
    ACTIONS(22491), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(16196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696111] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8215), 1,
      sym_attribute_id,
    STATE(16197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22493), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696129] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(22495), 1,
      anon_sym_RPAREN,
    STATE(16198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696149] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22497), 1,
      anon_sym_LPAREN,
    ACTIONS(22499), 1,
      anon_sym_LBRACK,
    ACTIONS(22501), 1,
      anon_sym_LBRACE,
    STATE(16199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696169] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22503), 1,
      anon_sym_LPAREN,
    ACTIONS(22505), 1,
      anon_sym_LBRACK,
    ACTIONS(22507), 1,
      anon_sym_LBRACE,
    STATE(16200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696189] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15629), 1,
      sym_attribute_id,
    STATE(16201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696207] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22509), 1,
      anon_sym_RPAREN,
    STATE(16202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696227] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18240), 1,
      anon_sym_RBRACE,
    ACTIONS(22511), 1,
      anon_sym_SEMI,
    STATE(14977), 1,
      aux_sym_record_expression_repeat1,
    STATE(16203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696247] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(22513), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696267] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22515), 1,
      anon_sym_LPAREN,
    ACTIONS(22517), 1,
      anon_sym_LBRACK,
    ACTIONS(22519), 1,
      anon_sym_LBRACE,
    STATE(16205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696287] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20098), 1,
      anon_sym_RBRACK,
    STATE(16206), 1,
      sym_attribute,
    STATE(16362), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696307] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22521), 1,
      anon_sym_LPAREN,
    ACTIONS(22523), 1,
      anon_sym_LBRACK,
    ACTIONS(22525), 1,
      anon_sym_LBRACE,
    STATE(16207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696327] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15642), 1,
      sym_attribute_id,
    STATE(16208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696345] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20098), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696365] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(22527), 1,
      anon_sym_RBRACK,
    STATE(14899), 1,
      aux_sym__type_params_repeat1,
    STATE(16210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696385] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(22527), 1,
      anon_sym_RBRACK,
    STATE(16211), 1,
      sym_attribute,
    STATE(16297), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696405] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11364), 1,
      anon_sym_GT,
    ACTIONS(22529), 1,
      anon_sym_SEMI,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    STATE(16212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696425] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22531), 1,
      anon_sym_LPAREN,
    ACTIONS(22533), 1,
      anon_sym_LBRACK,
    ACTIONS(22535), 1,
      anon_sym_LBRACE,
    STATE(16213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696445] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22537), 1,
      anon_sym_SEMI,
    ACTIONS(22539), 1,
      anon_sym_GT_RBRACE,
    STATE(16214), 1,
      sym_attribute,
    STATE(16355), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696465] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15648), 1,
      sym_attribute_id,
    STATE(16215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696483] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18190), 1,
      anon_sym_RBRACE,
    ACTIONS(22541), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(16216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696503] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11548), 1,
      anon_sym_GT,
    ACTIONS(22543), 1,
      anon_sym_SEMI,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    STATE(16217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696523] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22545), 1,
      anon_sym_LPAREN,
    ACTIONS(22547), 1,
      anon_sym_LBRACK,
    ACTIONS(22549), 1,
      anon_sym_LBRACE,
    STATE(16218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696543] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15655), 1,
      sym_attribute_id,
    STATE(16219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696561] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22551), 1,
      anon_sym_LPAREN,
    ACTIONS(22553), 1,
      anon_sym_LBRACK,
    ACTIONS(22555), 1,
      anon_sym_LBRACE,
    STATE(16220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696581] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15660), 1,
      sym_attribute_id,
    STATE(16221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696599] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22557), 1,
      anon_sym_LPAREN,
    ACTIONS(22559), 1,
      anon_sym_LBRACK,
    ACTIONS(22561), 1,
      anon_sym_LBRACE,
    STATE(16222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696619] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15665), 1,
      sym_attribute_id,
    STATE(16223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696637] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22563), 1,
      anon_sym_LPAREN,
    ACTIONS(22565), 1,
      anon_sym_LBRACK,
    ACTIONS(22567), 1,
      anon_sym_LBRACE,
    STATE(16224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696657] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15668), 1,
      sym_attribute_id,
    STATE(16225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696675] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22569), 1,
      anon_sym_LPAREN,
    ACTIONS(22571), 1,
      anon_sym_LBRACK,
    ACTIONS(22573), 1,
      anon_sym_LBRACE,
    STATE(16226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696695] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15671), 1,
      sym_attribute_id,
    STATE(16227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696713] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22575), 1,
      anon_sym_LPAREN,
    ACTIONS(22577), 1,
      anon_sym_LBRACK,
    ACTIONS(22579), 1,
      anon_sym_LBRACE,
    STATE(16228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696733] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15674), 1,
      sym_attribute_id,
    STATE(16229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696751] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22581), 1,
      anon_sym_LPAREN,
    ACTIONS(22583), 1,
      anon_sym_LBRACK,
    ACTIONS(22585), 1,
      anon_sym_LBRACE,
    STATE(16230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696771] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15677), 1,
      sym_attribute_id,
    STATE(16231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696789] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22587), 1,
      anon_sym_LPAREN,
    ACTIONS(22589), 1,
      anon_sym_LBRACK,
    ACTIONS(22591), 1,
      anon_sym_LBRACE,
    STATE(16232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696809] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15680), 1,
      sym_attribute_id,
    STATE(16233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696827] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22593), 1,
      anon_sym_LPAREN,
    ACTIONS(22595), 1,
      anon_sym_LBRACK,
    ACTIONS(22597), 1,
      anon_sym_LBRACE,
    STATE(16234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696847] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15683), 1,
      sym_attribute_id,
    STATE(16235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696865] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22599), 1,
      anon_sym_LPAREN,
    ACTIONS(22601), 1,
      anon_sym_LBRACK,
    ACTIONS(22603), 1,
      anon_sym_LBRACE,
    STATE(16236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696885] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15686), 1,
      sym_attribute_id,
    STATE(16237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696903] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22605), 1,
      anon_sym_LPAREN,
    ACTIONS(22607), 1,
      anon_sym_LBRACK,
    ACTIONS(22609), 1,
      anon_sym_LBRACE,
    STATE(16238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696923] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15689), 1,
      sym_attribute_id,
    STATE(16239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696941] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22611), 1,
      anon_sym_LPAREN,
    ACTIONS(22613), 1,
      anon_sym_LBRACK,
    ACTIONS(22615), 1,
      anon_sym_LBRACE,
    STATE(16240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696961] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15692), 1,
      sym_attribute_id,
    STATE(16241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [696979] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22617), 1,
      anon_sym_LPAREN,
    ACTIONS(22619), 1,
      anon_sym_LBRACK,
    ACTIONS(22621), 1,
      anon_sym_LBRACE,
    STATE(16242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696999] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15695), 1,
      sym_attribute_id,
    STATE(16243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697017] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15697), 1,
      sym_attribute_id,
    STATE(16244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697035] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15699), 1,
      sym_attribute_id,
    STATE(16245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697053] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15701), 1,
      sym_attribute_id,
    STATE(16246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697071] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15703), 1,
      sym_attribute_id,
    STATE(16247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697089] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15705), 1,
      sym_attribute_id,
    STATE(16248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697107] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15707), 1,
      sym_attribute_id,
    STATE(16249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697125] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15709), 1,
      sym_attribute_id,
    STATE(16250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697143] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15711), 1,
      sym_attribute_id,
    STATE(16251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697161] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15713), 1,
      sym_attribute_id,
    STATE(16252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697179] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15715), 1,
      sym_attribute_id,
    STATE(16253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697197] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15717), 1,
      sym_attribute_id,
    STATE(16254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697215] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15719), 1,
      sym_attribute_id,
    STATE(16255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697233] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15721), 1,
      sym_attribute_id,
    STATE(16256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697251] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15723), 1,
      sym_attribute_id,
    STATE(16257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697269] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15725), 1,
      sym_attribute_id,
    STATE(16258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697287] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15727), 1,
      sym_attribute_id,
    STATE(16259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697305] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15729), 1,
      sym_attribute_id,
    STATE(16260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697323] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15731), 1,
      sym_attribute_id,
    STATE(16261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697341] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15733), 1,
      sym_attribute_id,
    STATE(16262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697359] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15735), 1,
      sym_attribute_id,
    STATE(16263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697377] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15737), 1,
      sym_attribute_id,
    STATE(16264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697395] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15739), 1,
      sym_attribute_id,
    STATE(16265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697413] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15741), 1,
      sym_attribute_id,
    STATE(16266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697431] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15754), 1,
      sym_attribute_id,
    STATE(16267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20588), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697449] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22623), 1,
      anon_sym_SEMI,
    ACTIONS(22625), 1,
      anon_sym_GT_RBRACE,
    STATE(16037), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697469] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15905), 1,
      sym_module_binding,
    STATE(16269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18404), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [697487] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14676), 1,
      aux_sym_module_binding_repeat1,
    STATE(16270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697507] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17536), 1,
      anon_sym_SEMI,
    ACTIONS(17538), 1,
      anon_sym_GT,
    STATE(16271), 1,
      sym_attribute,
    STATE(16307), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697527] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20586), 1,
      anon_sym_COLON2,
    ACTIONS(22627), 1,
      anon_sym_RPAREN,
    STATE(16272), 1,
      sym_attribute,
    STATE(19197), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697547] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22629), 1,
      anon_sym_SEMI,
    ACTIONS(22631), 1,
      anon_sym_RBRACE,
    STATE(16273), 1,
      sym_attribute,
    STATE(16333), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697567] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22633), 1,
      anon_sym_EQ,
    STATE(16274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22635), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
  [697585] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11691), 1,
      sym_module_binding,
    STATE(16275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17714), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [697603] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(22637), 1,
      anon_sym_RBRACK,
    STATE(14899), 1,
      aux_sym__type_params_repeat1,
    STATE(16276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697623] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20016), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697643] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(22639), 1,
      sym__lowercase_identifier,
    STATE(16278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697663] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15), 1,
      sym_attribute_id,
    STATE(16279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [697681] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10384), 1,
      sym__type_equation,
    STATE(16280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22641), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [697699] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(22643), 1,
      anon_sym_RPAREN,
    STATE(16281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697719] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20586), 1,
      anon_sym_COLON2,
    ACTIONS(22645), 1,
      anon_sym_RPAREN,
    STATE(16282), 1,
      sym_attribute,
    STATE(18702), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697739] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22647), 1,
      aux_sym_quoted_extension_token1,
    STATE(16283), 1,
      sym_attribute,
    STATE(17695), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697759] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12298), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [697775] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18430), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22649), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16285), 2,
      sym_attribute,
      aux_sym_list_binding_pattern_repeat1,
  [697793] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22652), 1,
      anon_sym_EQ,
    STATE(16286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697813] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10032), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(16287), 1,
      sym_attribute,
    STATE(16304), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697833] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14605), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16288), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697853] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(22637), 1,
      anon_sym_RBRACK,
    STATE(15184), 1,
      aux_sym__type_params_repeat1,
    STATE(16289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697873] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17548), 1,
      anon_sym_SEMI,
    ACTIONS(17550), 1,
      anon_sym_GT,
    STATE(16290), 1,
      sym_attribute,
    STATE(16309), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697893] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17397), 1,
      anon_sym_SEMI,
    ACTIONS(17399), 1,
      anon_sym_GT,
    STATE(15045), 1,
      aux_sym_object_type_repeat1,
    STATE(16291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697913] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9808), 1,
      anon_sym_RBRACK,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    STATE(16292), 1,
      sym_attribute,
    STATE(16332), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697933] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14745), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16293), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697953] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3401), 1,
      anon_sym_RBRACK,
    ACTIONS(22654), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(16294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697973] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22656), 1,
      anon_sym_SEMI,
    ACTIONS(22658), 1,
      anon_sym_RBRACE,
    STATE(15771), 1,
      aux_sym_record_expression_repeat1,
    STATE(16295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697993] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17376), 1,
      anon_sym_SEMI,
    ACTIONS(17378), 1,
      anon_sym_GT,
    STATE(16296), 1,
      sym_attribute,
    STATE(16340), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698013] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(22660), 1,
      anon_sym_RBRACK,
    STATE(14899), 1,
      aux_sym__type_params_repeat1,
    STATE(16297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698033] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    ACTIONS(22662), 1,
      anon_sym_RPAREN,
    STATE(16298), 1,
      sym_attribute,
    STATE(19476), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698053] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18464), 1,
      anon_sym_RBRACE,
    ACTIONS(22664), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(16299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698073] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(22666), 1,
      anon_sym_RPAREN,
    STATE(16300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698093] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(22668), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698113] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14893), 1,
      aux_sym_module_binding_repeat1,
    STATE(16302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698133] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20142), 1,
      anon_sym_RBRACK,
    STATE(16303), 1,
      sym_attribute,
    STATE(16338), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698153] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20142), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698173] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14719), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16305), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698193] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22670), 1,
      anon_sym_SEMI,
    ACTIONS(22672), 1,
      anon_sym_GT_RBRACE,
    STATE(14962), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698213] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11390), 1,
      anon_sym_GT,
    ACTIONS(22674), 1,
      anon_sym_SEMI,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    STATE(16307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698233] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22676), 1,
      sym__lowercase_identifier,
    ACTIONS(22678), 1,
      anon_sym_LPAREN,
    STATE(7943), 1,
      sym__simple_value_pattern,
    STATE(16308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698253] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      anon_sym_GT,
    ACTIONS(22680), 1,
      anon_sym_SEMI,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    STATE(16309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698273] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11794), 1,
      anon_sym_LPAREN,
    STATE(9872), 1,
      sym_module_parameter,
    STATE(14898), 1,
      aux_sym_module_binding_repeat1,
    STATE(16310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698293] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22684), 1,
      anon_sym_LBRACK,
    STATE(16311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22682), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [698311] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(22686), 1,
      anon_sym_RBRACK,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698331] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10385), 1,
      sym__type_equation,
    STATE(16313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22641), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [698349] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22688), 1,
      anon_sym_EQ,
    STATE(16314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698369] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22690), 1,
      anon_sym_SEMI,
    ACTIONS(22692), 1,
      anon_sym_RBRACE,
    STATE(16315), 1,
      sym_attribute,
    STATE(16354), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698389] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(22694), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698409] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(22696), 1,
      anon_sym_type,
    STATE(15861), 1,
      sym_module_path,
    STATE(16317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698429] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3403), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22698), 1,
      anon_sym_SEMI,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    STATE(16318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698449] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22700), 1,
      anon_sym_SEMI,
    ACTIONS(22702), 1,
      anon_sym_GT_RBRACE,
    STATE(16182), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698469] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19383), 1,
      anon_sym_RBRACK,
    STATE(15430), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698489] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14772), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16321), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698509] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22704), 1,
      anon_sym_EQ,
    STATE(16322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698529] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22706), 1,
      anon_sym_SEMI,
    ACTIONS(22708), 1,
      anon_sym_RBRACE,
    STATE(15042), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(16323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698549] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22710), 1,
      anon_sym_SEMI,
    ACTIONS(22712), 1,
      anon_sym_RBRACE,
    STATE(14972), 1,
      aux_sym_record_expression_repeat1,
    STATE(16324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698569] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3893), 1,
      anon_sym_RBRACK,
    ACTIONS(22714), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(16325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698589] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(22716), 1,
      anon_sym_RPAREN,
    STATE(16326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698609] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22718), 1,
      anon_sym_SEMI,
    ACTIONS(22720), 1,
      anon_sym_GT_RBRACE,
    STATE(16327), 1,
      sym_attribute,
    STATE(16369), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698629] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(22722), 1,
      anon_sym_type,
    STATE(15861), 1,
      sym_module_path,
    STATE(16328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698649] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18224), 1,
      anon_sym_COMMA,
    ACTIONS(22724), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698669] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19192), 1,
      anon_sym_RBRACK,
    STATE(16330), 1,
      sym_attribute,
    STATE(16378), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698689] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22726), 1,
      anon_sym_SEMI,
    ACTIONS(22728), 1,
      anon_sym_RBRACE,
    STATE(15372), 1,
      aux_sym_record_declaration_repeat1,
    STATE(16331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698709] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19192), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698729] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      anon_sym_RBRACE,
    ACTIONS(22730), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(16333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698749] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19383), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698769] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18468), 1,
      anon_sym_RBRACE,
    ACTIONS(22732), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(16335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698789] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(22734), 1,
      anon_sym_RPAREN,
    STATE(16336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698809] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(22736), 1,
      anon_sym_type,
    STATE(15861), 1,
      sym_module_path,
    STATE(16337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698829] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20164), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698849] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20164), 1,
      anon_sym_RBRACK,
    STATE(16339), 1,
      sym_attribute,
    STATE(16374), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698869] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11626), 1,
      anon_sym_GT,
    ACTIONS(22738), 1,
      anon_sym_SEMI,
    STATE(15128), 1,
      aux_sym_object_type_repeat1,
    STATE(16340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698889] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22740), 1,
      anon_sym_SEMI,
    ACTIONS(22742), 1,
      anon_sym_GT_RBRACE,
    STATE(14985), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698909] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3895), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22744), 1,
      anon_sym_SEMI,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    STATE(16342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698929] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22746), 1,
      anon_sym_EQ,
    STATE(16343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698949] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(22748), 1,
      anon_sym_RPAREN,
    STATE(16344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698969] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19258), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698989] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9726), 1,
      sym__uppercase_identifier,
    ACTIONS(22750), 1,
      anon_sym_type,
    STATE(15861), 1,
      sym_module_path,
    STATE(16346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699009] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22752), 1,
      anon_sym_SEMI,
    ACTIONS(22754), 1,
      anon_sym_RBRACE,
    STATE(14970), 1,
      aux_sym_record_expression_repeat1,
    STATE(16347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699029] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22756), 1,
      anon_sym_RPAREN,
    STATE(16348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11691), 1,
      sym_module_binding,
    STATE(16349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18180), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [699067] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12650), 1,
      sym_module_binding,
    STATE(16350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18180), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [699085] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(20454), 1,
      anon_sym_RBRACK,
    STATE(14899), 1,
      aux_sym__type_params_repeat1,
    STATE(16351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699105] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3681), 1,
      anon_sym_RBRACK,
    ACTIONS(22758), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(16352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699125] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(22760), 1,
      anon_sym_RPAREN,
    STATE(16353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699145] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18660), 1,
      anon_sym_RBRACE,
    ACTIONS(22762), 1,
      anon_sym_SEMI,
    STATE(15452), 1,
      aux_sym_record_expression_repeat1,
    STATE(16354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699165] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19200), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22764), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699185] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16), 1,
      sym_attribute_id,
    STATE(16356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [699203] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11691), 1,
      sym_module_binding,
    STATE(16357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18186), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [699221] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12655), 1,
      sym_module_binding,
    STATE(16358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18186), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [699239] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22766), 1,
      anon_sym_SEMI,
    ACTIONS(22768), 1,
      anon_sym_RBRACE,
    STATE(15040), 1,
      aux_sym_record_declaration_repeat1,
    STATE(16359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699259] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3683), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22770), 1,
      anon_sym_SEMI,
    STATE(15777), 1,
      aux_sym_list_expression_repeat1,
    STATE(16360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699279] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(22772), 1,
      anon_sym_RPAREN,
    STATE(16361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699299] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20178), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699319] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20178), 1,
      anon_sym_RBRACK,
    STATE(15255), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699339] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11925), 1,
      sym_module_binding,
    STATE(16364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17714), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [699357] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11691), 1,
      sym_module_binding,
    STATE(16365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17770), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [699375] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22774), 1,
      anon_sym_SEMI,
    ACTIONS(22776), 1,
      anon_sym_GT_RBRACE,
    STATE(14987), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699395] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12045), 1,
      sym_module_binding,
    STATE(16367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17770), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [699413] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22778), 1,
      aux_sym_quoted_extension_token1,
    STATE(16368), 1,
      sym_attribute,
    STATE(19348), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699433] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20182), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22780), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699453] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3389), 1,
      anon_sym_RBRACK,
    ACTIONS(22782), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    STATE(16370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699473] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19258), 1,
      anon_sym_RBRACK,
    STATE(14986), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699493] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12660), 1,
      sym_module_binding,
    STATE(16372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18180), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [699511] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7884), 1,
      aux_sym_tag_token1,
    STATE(14378), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16373), 1,
      sym_attribute,
    STATE(16495), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699531] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(20192), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699551] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym_indexing_operator,
    ACTIONS(22784), 1,
      sym__lowercase_identifier,
    STATE(16375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699571] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12427), 1,
      sym_module_binding,
    STATE(16376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18186), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [699589] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    ACTIONS(18784), 1,
      anon_sym_with,
    ACTIONS(22786), 1,
      anon_sym_RPAREN,
    STATE(16377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699609] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19208), 1,
      anon_sym_RBRACK,
    STATE(14496), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699629] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22788), 1,
      anon_sym_SEMI,
    ACTIONS(22790), 1,
      anon_sym_RBRACE,
    STATE(16216), 1,
      aux_sym_record_expression_repeat1,
    STATE(16379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699649] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11750), 1,
      sym_module_binding,
    STATE(16380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17770), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [699667] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_PIPE,
    ACTIONS(19208), 1,
      anon_sym_RBRACK,
    STATE(14990), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699687] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18266), 1,
      anon_sym_RBRACE,
    ACTIONS(22792), 1,
      anon_sym_SEMI,
    STATE(15814), 1,
      aux_sym_record_expression_repeat1,
    STATE(16382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699707] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(22794), 1,
      anon_sym_DOT,
    STATE(16383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699724] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22796), 1,
      anon_sym_then,
    STATE(11957), 1,
      sym_then_clause,
    STATE(16384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699741] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(22798), 1,
      anon_sym_DOT,
    STATE(16385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699758] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22800), 1,
      anon_sym_RPAREN,
    ACTIONS(22802), 1,
      anon_sym_LT_DASH,
    STATE(16386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699775] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(22804), 1,
      anon_sym_DOT,
    STATE(16387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699792] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(22806), 1,
      anon_sym_DOT,
    STATE(16388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699809] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22808), 1,
      sym__lowercase_identifier,
    ACTIONS(22810), 1,
      anon_sym_LPAREN,
    STATE(16389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699826] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22812), 1,
      anon_sym_COLON_GT,
    ACTIONS(22814), 1,
      anon_sym_RPAREN,
    STATE(16390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699843] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16391), 1,
      sym_attribute,
    STATE(18331), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699860] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22816), 1,
      anon_sym_RPAREN,
    ACTIONS(22818), 1,
      anon_sym_LT_DASH,
    STATE(16392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699877] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22820), 1,
      anon_sym_RPAREN,
    ACTIONS(22822), 1,
      anon_sym_LT_DASH,
    STATE(16393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699894] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22824), 1,
      anon_sym_SEMI,
    ACTIONS(22826), 1,
      anon_sym_RBRACE,
    STATE(16394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699911] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22828), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [699926] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(22830), 1,
      sym__lowercase_identifier,
    STATE(16396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699943] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22832), 1,
      anon_sym_then,
    STATE(8321), 1,
      sym_then_clause,
    STATE(16397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699960] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17495), 1,
      sym__lowercase_identifier,
    STATE(16398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699977] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16399), 1,
      sym_attribute,
    STATE(17757), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699994] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8661), 1,
      anon_sym_COLON_GT,
    ACTIONS(8663), 1,
      anon_sym_EQ,
    STATE(16400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700011] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22834), 1,
      anon_sym_then,
    STATE(8042), 1,
      sym_then_clause,
    STATE(16401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700028] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17674), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [700043] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(22836), 1,
      sym__lowercase_identifier,
    STATE(16403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700060] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18530), 1,
      sym__lowercase_identifier,
    STATE(14670), 1,
      sym__simple_value_pattern,
    STATE(16404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700077] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22838), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [700092] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21262), 1,
      anon_sym_EQ,
    ACTIONS(22840), 1,
      anon_sym_COLON_GT,
    STATE(16406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700109] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22842), 1,
      anon_sym_RPAREN,
    ACTIONS(22844), 1,
      anon_sym_SEMI,
    STATE(16407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700126] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22842), 1,
      anon_sym_RBRACK,
    ACTIONS(22846), 1,
      anon_sym_SEMI,
    STATE(16408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700143] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22842), 1,
      anon_sym_RBRACE,
    ACTIONS(22848), 1,
      anon_sym_SEMI,
    STATE(16409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700160] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(22850), 1,
      sym__lowercase_identifier,
    STATE(16410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700177] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22852), 1,
      anon_sym_COLON2,
    STATE(11817), 1,
      sym__polymorphic_typed,
    STATE(16411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700194] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(22854), 1,
      sym__lowercase_identifier,
    STATE(16412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700211] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22856), 1,
      anon_sym_then,
    STATE(10313), 1,
      sym_then_clause,
    STATE(16413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700228] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(22858), 1,
      sym__lowercase_identifier,
    STATE(16414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700245] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(22860), 1,
      anon_sym_DOT,
    STATE(16415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700262] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16416), 1,
      sym_attribute,
    STATE(19265), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700279] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17380), 1,
      sym__lowercase_identifier,
    STATE(16417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700296] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22862), 1,
      sym__lowercase_identifier,
    ACTIONS(22864), 1,
      anon_sym_LPAREN,
    STATE(16418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700313] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22866), 1,
      sym__lowercase_identifier,
    ACTIONS(22868), 1,
      anon_sym_LPAREN,
    STATE(16419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700330] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22870), 1,
      anon_sym_then,
    STATE(9559), 1,
      sym_then_clause,
    STATE(16420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700347] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22872), 1,
      anon_sym_COLON_GT,
    ACTIONS(22874), 1,
      anon_sym_RPAREN,
    STATE(16421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700364] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22876), 1,
      anon_sym_COLON_GT,
    ACTIONS(22878), 1,
      anon_sym_RPAREN,
    STATE(16422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700381] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22880), 1,
      anon_sym_then,
    STATE(12234), 1,
      sym_then_clause,
    STATE(16423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700398] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22882), 1,
      anon_sym_COLON_GT,
    ACTIONS(22884), 1,
      anon_sym_RPAREN,
    STATE(16424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700415] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22832), 1,
      anon_sym_then,
    STATE(8421), 1,
      sym_then_clause,
    STATE(16425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700432] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(22886), 1,
      sym__lowercase_identifier,
    STATE(16426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700449] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22888), 1,
      sym__lowercase_identifier,
    ACTIONS(22890), 1,
      anon_sym_LBRACK,
    STATE(16427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700466] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22892), 1,
      anon_sym_then,
    STATE(11358), 1,
      sym_then_clause,
    STATE(16428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700483] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(22894), 1,
      sym__lowercase_identifier,
    STATE(16429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700500] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22896), 1,
      anon_sym_RPAREN,
    ACTIONS(22898), 1,
      anon_sym_LT_DASH,
    STATE(16430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700517] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22900), 1,
      sym__lowercase_identifier,
    ACTIONS(22902), 1,
      anon_sym_LBRACK,
    STATE(16431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700534] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22904), 1,
      anon_sym_RPAREN,
    ACTIONS(22906), 1,
      anon_sym_LT_DASH,
    STATE(16432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700551] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22908), 1,
      anon_sym_EQ,
    ACTIONS(22910), 1,
      anon_sym_RPAREN,
    STATE(16433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700568] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22912), 1,
      anon_sym_then,
    STATE(12345), 1,
      sym_then_clause,
    STATE(16434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700585] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22914), 1,
      anon_sym_do,
    STATE(10182), 1,
      sym_do_clause,
    STATE(16435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700602] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22916), 1,
      anon_sym_then,
    STATE(11756), 1,
      sym_then_clause,
    STATE(16436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700619] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22918), 1,
      anon_sym_RPAREN,
    ACTIONS(22920), 1,
      anon_sym_LT_DASH,
    STATE(16437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700636] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(22922), 1,
      anon_sym_DOT,
    STATE(16438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700653] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(22924), 1,
      anon_sym_DOT,
    STATE(16439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700670] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(22926), 1,
      anon_sym_DOT,
    STATE(16440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700687] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22928), 1,
      anon_sym_RPAREN,
    ACTIONS(22930), 1,
      anon_sym_LT_DASH,
    STATE(16441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700704] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16409), 1,
      anon_sym_STAR,
    ACTIONS(22932), 1,
      anon_sym_DASH_GT,
    STATE(16442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700721] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16443), 1,
      sym_attribute,
    STATE(18642), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700738] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22934), 1,
      sym__lowercase_identifier,
    ACTIONS(22936), 1,
      anon_sym_LPAREN,
    STATE(16444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700755] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22938), 1,
      anon_sym_then,
    STATE(8161), 1,
      sym_then_clause,
    STATE(16445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700772] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22940), 1,
      anon_sym_RPAREN,
    ACTIONS(22942), 1,
      anon_sym_LT_DASH,
    STATE(16446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700789] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22944), 1,
      anon_sym_RPAREN,
    ACTIONS(22946), 1,
      anon_sym_LT_DASH,
    STATE(16447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700806] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22880), 1,
      anon_sym_then,
    STATE(12356), 1,
      sym_then_clause,
    STATE(16448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700823] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16449), 1,
      sym_attribute,
    STATE(18934), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700840] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_COLON_GT,
    ACTIONS(8667), 1,
      anon_sym_EQ,
    STATE(16450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700857] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22948), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [700872] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(22950), 1,
      sym__lowercase_identifier,
    STATE(16452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700889] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16409), 1,
      anon_sym_STAR,
    ACTIONS(22952), 1,
      anon_sym_DASH_GT,
    STATE(16453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700906] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18530), 1,
      sym__lowercase_identifier,
    STATE(14782), 1,
      sym__simple_value_pattern,
    STATE(16454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700923] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22954), 1,
      sym__lowercase_identifier,
    ACTIONS(22956), 1,
      anon_sym_LPAREN,
    STATE(16455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700940] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22958), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [700955] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21687), 1,
      anon_sym_EQ,
    ACTIONS(22960), 1,
      anon_sym_COLON_GT,
    STATE(16457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700972] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22962), 1,
      anon_sym_RPAREN,
    ACTIONS(22964), 1,
      anon_sym_SEMI,
    STATE(16458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700989] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22962), 1,
      anon_sym_RBRACK,
    ACTIONS(22966), 1,
      anon_sym_SEMI,
    STATE(16459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701006] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22962), 1,
      anon_sym_RBRACE,
    ACTIONS(22968), 1,
      anon_sym_SEMI,
    STATE(16460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701023] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(22970), 1,
      anon_sym_DOT,
    STATE(16461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701040] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16462), 1,
      sym_attribute,
    STATE(20048), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701057] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22972), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [701072] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22974), 1,
      anon_sym_then,
    STATE(11766), 1,
      sym_then_clause,
    STATE(16464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701089] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22976), 1,
      anon_sym_COLON_GT,
    ACTIONS(22978), 1,
      anon_sym_RPAREN,
    STATE(16465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701106] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22980), 1,
      sym__lowercase_identifier,
    ACTIONS(22982), 1,
      anon_sym_LPAREN,
    STATE(16466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701123] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22984), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [701138] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22986), 1,
      anon_sym_COLON_GT,
    ACTIONS(22988), 1,
      anon_sym_RPAREN,
    STATE(16468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701155] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22990), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [701170] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9790), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(16470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701187] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17393), 1,
      sym__lowercase_identifier,
    STATE(16471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701204] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22992), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [701219] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22994), 1,
      anon_sym_then,
    STATE(9992), 1,
      sym_then_clause,
    STATE(16473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701236] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(22996), 1,
      sym__lowercase_identifier,
    STATE(16474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701253] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22998), 1,
      sym__lowercase_identifier,
    ACTIONS(23000), 1,
      anon_sym_LPAREN,
    STATE(16475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701270] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(23002), 1,
      sym__lowercase_identifier,
    STATE(16476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701287] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(23004), 1,
      sym__lowercase_identifier,
    STATE(16477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701304] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23006), 1,
      anon_sym_then,
    STATE(11961), 1,
      sym_then_clause,
    STATE(16478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701321] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23008), 1,
      anon_sym_DOT,
    STATE(16479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701338] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23010), 1,
      anon_sym_DOT,
    STATE(16480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701355] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23012), 1,
      anon_sym_DOT,
    STATE(16481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701372] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [701387] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16483), 1,
      sym_attribute,
    STATE(17669), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701404] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23014), 1,
      anon_sym_COLON_GT,
    ACTIONS(23016), 1,
      anon_sym_RPAREN,
    STATE(16484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701421] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23018), 1,
      anon_sym_then,
    STATE(11924), 1,
      sym_then_clause,
    STATE(16485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701438] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22994), 1,
      anon_sym_then,
    STATE(10127), 1,
      sym_then_clause,
    STATE(16486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701455] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23020), 1,
      anon_sym_RPAREN,
    ACTIONS(23022), 1,
      anon_sym_LT_DASH,
    STATE(16487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701472] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22834), 1,
      anon_sym_then,
    STATE(8052), 1,
      sym_then_clause,
    STATE(16488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701489] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16489), 1,
      sym_attribute,
    STATE(19180), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701506] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23024), 1,
      sym__lowercase_identifier,
    ACTIONS(23026), 1,
      anon_sym_LPAREN,
    STATE(16490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701523] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23028), 1,
      sym__lowercase_identifier,
    ACTIONS(23030), 1,
      anon_sym_LPAREN,
    STATE(16491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701540] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23032), 1,
      anon_sym_SEMI,
    ACTIONS(23034), 1,
      anon_sym_RBRACE,
    STATE(16492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701557] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22914), 1,
      anon_sym_do,
    STATE(10264), 1,
      sym_do_clause,
    STATE(16493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701574] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18530), 1,
      sym__lowercase_identifier,
    STATE(14623), 1,
      sym__simple_value_pattern,
    STATE(16494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701591] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23036), 2,
      anon_sym_RBRACK,
      aux_sym_tag_token1,
  [701606] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23038), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [701621] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23040), 1,
      anon_sym_RPAREN,
    ACTIONS(23042), 1,
      anon_sym_SEMI,
    STATE(16497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701638] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23040), 1,
      anon_sym_RBRACK,
    ACTIONS(23044), 1,
      anon_sym_SEMI,
    STATE(16498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701655] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23040), 1,
      anon_sym_RBRACE,
    ACTIONS(23046), 1,
      anon_sym_SEMI,
    STATE(16499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701672] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23048), 1,
      anon_sym_RPAREN,
    ACTIONS(23050), 1,
      anon_sym_LT_DASH,
    STATE(16500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701689] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23052), 1,
      anon_sym_SEMI,
    ACTIONS(23054), 1,
      anon_sym_RBRACE,
    STATE(16501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701706] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16502), 1,
      sym_attribute,
    STATE(18441), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701723] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23056), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [701738] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23058), 1,
      anon_sym_COLON_GT,
    ACTIONS(23060), 1,
      anon_sym_RPAREN,
    STATE(16504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701755] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23062), 1,
      sym__lowercase_identifier,
    ACTIONS(23064), 1,
      anon_sym_LPAREN,
    STATE(16505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701772] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23066), 1,
      anon_sym_RPAREN,
    ACTIONS(23068), 1,
      anon_sym_LT_DASH,
    STATE(16506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701789] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23070), 1,
      sym__lowercase_identifier,
    STATE(16507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701806] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22974), 1,
      anon_sym_then,
    STATE(11984), 1,
      sym_then_clause,
    STATE(16508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701823] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23072), 1,
      sym__lowercase_identifier,
    STATE(16509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701840] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23074), 1,
      anon_sym_COLON_GT,
    ACTIONS(23076), 1,
      anon_sym_RPAREN,
    STATE(16510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701857] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23078), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [701872] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22880), 1,
      anon_sym_then,
    STATE(12237), 1,
      sym_then_clause,
    STATE(16512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701889] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16409), 1,
      anon_sym_STAR,
    ACTIONS(23080), 1,
      anon_sym_DASH_GT,
    STATE(16513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701906] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23082), 1,
      anon_sym_RPAREN,
    ACTIONS(23084), 1,
      anon_sym_LT_DASH,
    STATE(16514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701923] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23086), 1,
      anon_sym_then,
    STATE(9301), 1,
      sym_then_clause,
    STATE(16515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701940] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23088), 1,
      sym__lowercase_identifier,
    ACTIONS(23090), 1,
      anon_sym_LPAREN,
    STATE(16516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701957] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23092), 1,
      anon_sym_DOT,
    STATE(16517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701974] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23094), 1,
      anon_sym_DOT,
    STATE(16518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701991] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23096), 1,
      anon_sym_DOT,
    STATE(16519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702008] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22856), 1,
      anon_sym_then,
    STATE(10351), 1,
      sym_then_clause,
    STATE(16520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702025] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23098), 1,
      anon_sym_COLON_GT,
    ACTIONS(23100), 1,
      anon_sym_RPAREN,
    STATE(16521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702042] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23102), 1,
      sym__lowercase_identifier,
    STATE(16522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702059] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23104), 1,
      anon_sym_then,
    STATE(8348), 1,
      sym_then_clause,
    STATE(16523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702076] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16524), 1,
      sym_attribute,
    STATE(19379), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702093] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23106), 1,
      anon_sym_COLON_GT,
    ACTIONS(23108), 1,
      anon_sym_RPAREN,
    STATE(16525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702110] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23110), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702125] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17656), 1,
      anon_sym_RBRACE,
    ACTIONS(23112), 1,
      anon_sym_SEMI,
    STATE(16527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702142] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23104), 1,
      anon_sym_then,
    STATE(8328), 1,
      sym_then_clause,
    STATE(16528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702159] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23114), 1,
      anon_sym_do,
    STATE(7761), 1,
      sym_do_clause,
    STATE(16529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702176] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16530), 1,
      sym_attribute,
    STATE(20252), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702193] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23116), 1,
      sym__lowercase_identifier,
    STATE(16531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702210] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23118), 1,
      anon_sym_then,
    STATE(11966), 1,
      sym_then_clause,
    STATE(16532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702227] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23120), 1,
      anon_sym_RPAREN,
    ACTIONS(23122), 1,
      anon_sym_LT_DASH,
    STATE(16533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702244] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23124), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702259] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10045), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(16535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702276] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23126), 1,
      sym__lowercase_identifier,
    STATE(16536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702293] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23128), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [702308] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23130), 1,
      anon_sym_RPAREN,
    ACTIONS(23132), 1,
      anon_sym_SEMI,
    STATE(16538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702325] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23130), 1,
      anon_sym_RBRACK,
    ACTIONS(23134), 1,
      anon_sym_SEMI,
    STATE(16539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702342] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23130), 1,
      anon_sym_RBRACE,
    ACTIONS(23136), 1,
      anon_sym_SEMI,
    STATE(16540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702359] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17670), 1,
      anon_sym_RBRACE,
    ACTIONS(23138), 1,
      anon_sym_SEMI,
    STATE(16541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702376] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23140), 1,
      anon_sym_EQ,
    ACTIONS(23142), 1,
      anon_sym_RPAREN,
    STATE(16542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702393] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16543), 1,
      sym_attribute,
    STATE(18720), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702410] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23144), 1,
      anon_sym_RPAREN,
    ACTIONS(23146), 1,
      anon_sym_LT_DASH,
    STATE(16544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702427] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22856), 1,
      anon_sym_then,
    STATE(10337), 1,
      sym_then_clause,
    STATE(16545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702444] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23148), 1,
      anon_sym_RPAREN,
    ACTIONS(23150), 1,
      anon_sym_LT_DASH,
    STATE(16546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702461] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23152), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702476] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16409), 1,
      anon_sym_STAR,
    ACTIONS(23154), 1,
      anon_sym_DASH_GT,
    STATE(16548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702493] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23156), 1,
      anon_sym_RPAREN,
    ACTIONS(23158), 1,
      anon_sym_LT_DASH,
    STATE(16549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702510] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23160), 1,
      anon_sym_do,
    STATE(8144), 1,
      sym_do_clause,
    STATE(16550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702527] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23162), 1,
      anon_sym_DOT,
    STATE(16551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702544] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23164), 1,
      anon_sym_DOT,
    STATE(16552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702561] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23166), 1,
      anon_sym_DOT,
    STATE(16553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702578] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23168), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702593] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23170), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702608] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9808), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(16556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702625] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23114), 1,
      anon_sym_do,
    STATE(7727), 1,
      sym_do_clause,
    STATE(16557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702642] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16558), 1,
      sym_attribute,
    STATE(17924), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702659] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23172), 1,
      anon_sym_RPAREN,
    ACTIONS(23174), 1,
      anon_sym_LT_DASH,
    STATE(16559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702676] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23176), 1,
      anon_sym_RPAREN,
    ACTIONS(23178), 1,
      anon_sym_LT_DASH,
    STATE(16560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702693] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23180), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [702708] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16409), 1,
      anon_sym_STAR,
    ACTIONS(23182), 1,
      anon_sym_DASH_GT,
    STATE(16562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702725] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23184), 1,
      anon_sym_then,
    STATE(8105), 1,
      sym_then_clause,
    STATE(16563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702742] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16564), 1,
      sym_attribute,
    STATE(19430), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702759] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17738), 1,
      anon_sym_RBRACE,
    ACTIONS(23186), 1,
      anon_sym_SEMI,
    STATE(16565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702776] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23188), 1,
      sym__uppercase_identifier,
    STATE(13227), 1,
      sym_extended_module_path,
    STATE(16566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702793] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23190), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [702808] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23192), 1,
      anon_sym_RPAREN,
    ACTIONS(23194), 1,
      anon_sym_SEMI,
    STATE(16568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702825] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23192), 1,
      anon_sym_RBRACK,
    ACTIONS(23196), 1,
      anon_sym_SEMI,
    STATE(16569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702842] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23192), 1,
      anon_sym_RBRACE,
    ACTIONS(23198), 1,
      anon_sym_SEMI,
    STATE(16570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702859] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16571), 1,
      sym_attribute,
    STATE(18657), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702876] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23200), 1,
      sym__lowercase_identifier,
    STATE(16572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702893] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23202), 1,
      anon_sym_SEMI,
    ACTIONS(23204), 1,
      anon_sym_RBRACE,
    STATE(16573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702910] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(23206), 1,
      sym__lowercase_identifier,
    STATE(16574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702927] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(23208), 1,
      sym__lowercase_identifier,
    STATE(16575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702944] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23210), 1,
      anon_sym_SEMI,
    ACTIONS(23212), 1,
      anon_sym_RBRACE,
    STATE(16576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702961] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17746), 1,
      anon_sym_RBRACE,
    ACTIONS(23214), 1,
      anon_sym_SEMI,
    STATE(16577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702978] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23216), 1,
      anon_sym_RPAREN,
    ACTIONS(23218), 1,
      anon_sym_LT_DASH,
    STATE(16578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702995] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23018), 1,
      anon_sym_then,
    STATE(11988), 1,
      sym_then_clause,
    STATE(16579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703012] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23220), 1,
      sym__lowercase_identifier,
    ACTIONS(23222), 1,
      anon_sym_LPAREN,
    STATE(16580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703029] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23224), 1,
      anon_sym_DOT,
    STATE(16581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703046] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23226), 1,
      anon_sym_DOT,
    STATE(16582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23228), 1,
      anon_sym_DOT,
    STATE(16583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703080] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23230), 1,
      sym__lowercase_identifier,
    ACTIONS(23232), 1,
      anon_sym_LPAREN,
    STATE(16584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703097] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23114), 1,
      anon_sym_do,
    STATE(7813), 1,
      sym_do_clause,
    STATE(16585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703114] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23234), 1,
      anon_sym_COLON_GT,
    ACTIONS(23236), 1,
      anon_sym_RPAREN,
    STATE(16586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703131] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16587), 1,
      sym_attribute,
    STATE(19470), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703148] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23238), 1,
      anon_sym_RPAREN,
    ACTIONS(23240), 1,
      anon_sym_LT_DASH,
    STATE(16588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703165] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23242), 1,
      anon_sym_then,
    STATE(8223), 1,
      sym_then_clause,
    STATE(16589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703182] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23244), 1,
      anon_sym_RPAREN,
    ACTIONS(23246), 1,
      anon_sym_LT_DASH,
    STATE(16590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703199] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22796), 1,
      anon_sym_then,
    STATE(11972), 1,
      sym_then_clause,
    STATE(16591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703216] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23248), 1,
      anon_sym_RPAREN,
    ACTIONS(23250), 1,
      anon_sym_LT_DASH,
    STATE(16592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703233] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23252), 1,
      anon_sym_COLON_GT,
    ACTIONS(23254), 1,
      anon_sym_RPAREN,
    STATE(16593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703250] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23256), 1,
      sym__lowercase_identifier,
    STATE(16594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703267] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23258), 1,
      anon_sym_RPAREN,
    ACTIONS(23260), 1,
      anon_sym_LT_DASH,
    STATE(16595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703284] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23262), 1,
      anon_sym_RPAREN,
    ACTIONS(23264), 1,
      anon_sym_LT_DASH,
    STATE(16596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703301] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23266), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [703316] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23268), 1,
      anon_sym_RPAREN,
    ACTIONS(23270), 1,
      anon_sym_SEMI,
    STATE(16598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703333] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23268), 1,
      anon_sym_RBRACK,
    ACTIONS(23272), 1,
      anon_sym_SEMI,
    STATE(16599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703350] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23268), 1,
      anon_sym_RBRACE,
    ACTIONS(23274), 1,
      anon_sym_SEMI,
    STATE(16600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703367] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23276), 1,
      anon_sym_then,
    STATE(12290), 1,
      sym_then_clause,
    STATE(16601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703384] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16602), 1,
      sym_attribute,
    STATE(19621), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703401] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23278), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [703416] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23280), 1,
      sym__lowercase_identifier,
    STATE(16604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703433] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23282), 1,
      anon_sym_then,
    STATE(11580), 1,
      sym_then_clause,
    STATE(16605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703450] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23284), 1,
      sym__lowercase_identifier,
    STATE(16606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703467] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23286), 1,
      anon_sym_RPAREN,
    ACTIONS(23288), 1,
      anon_sym_LT_DASH,
    STATE(16607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703484] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23290), 1,
      anon_sym_DOT,
    STATE(16608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703501] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23292), 1,
      sym__lowercase_identifier,
    STATE(16609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703518] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23294), 1,
      anon_sym_DOT,
    STATE(16610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703535] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23296), 1,
      anon_sym_DOT,
    STATE(16611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703552] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16612), 1,
      sym_attribute,
    STATE(19927), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703569] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23298), 1,
      anon_sym_EQ,
    ACTIONS(23300), 1,
      anon_sym_RPAREN,
    STATE(16613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703586] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22938), 1,
      anon_sym_then,
    STATE(8246), 1,
      sym_then_clause,
    STATE(16614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703603] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16409), 1,
      anon_sym_STAR,
    ACTIONS(23302), 1,
      anon_sym_DASH_GT,
    STATE(16615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703620] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23304), 1,
      anon_sym_RPAREN,
    ACTIONS(23306), 1,
      anon_sym_LT_DASH,
    STATE(16616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703637] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17473), 1,
      sym__lowercase_identifier,
    STATE(16617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703654] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23308), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [703669] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23310), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [703684] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23312), 1,
      anon_sym_RPAREN,
    ACTIONS(23314), 1,
      anon_sym_SEMI,
    STATE(16620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703701] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23312), 1,
      anon_sym_RBRACK,
    ACTIONS(23316), 1,
      anon_sym_SEMI,
    STATE(16621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703718] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23312), 1,
      anon_sym_RBRACE,
    ACTIONS(23318), 1,
      anon_sym_SEMI,
    STATE(16622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703735] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23320), 1,
      anon_sym_EQ,
    ACTIONS(23322), 1,
      anon_sym_RPAREN,
    STATE(16623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703752] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23114), 1,
      anon_sym_do,
    STATE(7831), 1,
      sym_do_clause,
    STATE(16624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703769] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16625), 1,
      sym_attribute,
    STATE(20251), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703786] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23324), 1,
      anon_sym_RPAREN,
    ACTIONS(23326), 1,
      anon_sym_LT_DASH,
    STATE(16626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703803] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23328), 1,
      anon_sym_SEMI,
    ACTIONS(23330), 1,
      anon_sym_RBRACE,
    STATE(16627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703820] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23332), 1,
      anon_sym_SEMI,
    ACTIONS(23334), 1,
      anon_sym_RBRACE,
    STATE(16628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703837] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23336), 1,
      anon_sym_DOT,
    STATE(16629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703854] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23338), 1,
      anon_sym_DOT,
    STATE(16630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703871] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23340), 1,
      anon_sym_RPAREN,
    ACTIONS(23342), 1,
      anon_sym_LT_DASH,
    STATE(16631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703888] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23344), 1,
      anon_sym_open,
    STATE(16632), 1,
      sym_attribute,
    STATE(19653), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703905] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16633), 1,
      sym_attribute,
    STATE(18218), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703922] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16409), 1,
      anon_sym_STAR,
    ACTIONS(23346), 1,
      anon_sym_DASH_GT,
    STATE(16634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703939] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22834), 1,
      anon_sym_then,
    STATE(7995), 1,
      sym_then_clause,
    STATE(16635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703956] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11701), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
  [703971] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22914), 1,
      anon_sym_do,
    STATE(10239), 1,
      sym_do_clause,
    STATE(16637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703988] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12774), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [704003] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23348), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [704018] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23350), 1,
      anon_sym_RPAREN,
    ACTIONS(23352), 1,
      anon_sym_SEMI,
    STATE(16640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704035] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23350), 1,
      anon_sym_RBRACK,
    ACTIONS(23354), 1,
      anon_sym_SEMI,
    STATE(16641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704052] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23350), 1,
      anon_sym_RBRACE,
    ACTIONS(23356), 1,
      anon_sym_SEMI,
    STATE(16642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704069] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23358), 1,
      anon_sym_RPAREN,
    ACTIONS(23360), 1,
      anon_sym_LT_DASH,
    STATE(16643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704086] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16644), 1,
      sym_attribute,
    STATE(18994), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704103] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23362), 1,
      anon_sym_COLON_GT,
    ACTIONS(23364), 1,
      anon_sym_RPAREN,
    STATE(16645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704120] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16409), 1,
      anon_sym_STAR,
    ACTIONS(23366), 1,
      anon_sym_DASH_GT,
    STATE(16646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704137] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23368), 1,
      anon_sym_EQ,
    ACTIONS(23370), 1,
      anon_sym_RPAREN,
    STATE(16647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704154] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22914), 1,
      anon_sym_do,
    STATE(10341), 1,
      sym_do_clause,
    STATE(16648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704171] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23372), 1,
      anon_sym_RPAREN,
    ACTIONS(23374), 1,
      anon_sym_LT_DASH,
    STATE(16649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704188] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23376), 1,
      anon_sym_RPAREN,
    ACTIONS(23378), 1,
      anon_sym_LT_DASH,
    STATE(16650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704205] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23380), 1,
      anon_sym_DOT,
    STATE(16651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704222] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23382), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [704237] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23384), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [704252] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23386), 1,
      anon_sym_DOT,
    STATE(16654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704269] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23388), 1,
      anon_sym_DOT,
    STATE(16655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704286] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23390), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [704301] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22916), 1,
      anon_sym_then,
    STATE(11920), 1,
      sym_then_clause,
    STATE(16657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704318] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9838), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(16658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704335] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23392), 1,
      sym__lowercase_identifier,
    ACTIONS(23394), 1,
      anon_sym_LPAREN,
    STATE(16659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704352] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16660), 1,
      sym_attribute,
    STATE(17963), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704369] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23396), 1,
      sym__lowercase_identifier,
    STATE(16661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704386] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23242), 1,
      anon_sym_then,
    STATE(8185), 1,
      sym_then_clause,
    STATE(16662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704403] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23398), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [704418] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20416), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [704433] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23400), 1,
      anon_sym_COLON_GT,
    ACTIONS(23402), 1,
      anon_sym_RPAREN,
    STATE(16665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704450] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23404), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [704465] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23406), 1,
      anon_sym_RPAREN,
    ACTIONS(23408), 1,
      anon_sym_SEMI,
    STATE(16667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704482] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23406), 1,
      anon_sym_RBRACK,
    ACTIONS(23410), 1,
      anon_sym_SEMI,
    STATE(16668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704499] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23406), 1,
      anon_sym_RBRACE,
    ACTIONS(23412), 1,
      anon_sym_SEMI,
    STATE(16669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704516] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16670), 1,
      sym_attribute,
    STATE(18254), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704533] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23414), 1,
      anon_sym_RPAREN,
    ACTIONS(23416), 1,
      anon_sym_LT_DASH,
    STATE(16671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704550] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23418), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [704565] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23420), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [704580] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(23422), 1,
      anon_sym_RPAREN,
    STATE(16674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704597] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(23424), 1,
      sym__lowercase_identifier,
    STATE(16675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704614] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(23426), 1,
      sym__lowercase_identifier,
    STATE(16676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704631] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22870), 1,
      anon_sym_then,
    STATE(9639), 1,
      sym_then_clause,
    STATE(16677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704648] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23428), 1,
      anon_sym_DOT,
    STATE(16678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704665] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23430), 1,
      anon_sym_DOT,
    STATE(16679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704682] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23432), 1,
      anon_sym_DOT,
    STATE(16680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704699] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16409), 1,
      anon_sym_STAR,
    ACTIONS(23434), 1,
      anon_sym_DASH_GT,
    STATE(16681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704716] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16682), 1,
      sym_attribute,
    STATE(19029), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704733] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23436), 1,
      anon_sym_DOT,
    STATE(16683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704750] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23438), 1,
      anon_sym_RPAREN,
    ACTIONS(23440), 1,
      anon_sym_LT_DASH,
    STATE(16684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704767] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23442), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [704782] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23444), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [704797] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22912), 1,
      anon_sym_then,
    STATE(12176), 1,
      sym_then_clause,
    STATE(16687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704814] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23446), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [704829] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23448), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [704844] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23450), 1,
      anon_sym_RPAREN,
    ACTIONS(23452), 1,
      anon_sym_SEMI,
    STATE(16690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704861] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23450), 1,
      anon_sym_RBRACK,
    ACTIONS(23454), 1,
      anon_sym_SEMI,
    STATE(16691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704878] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23450), 1,
      anon_sym_RBRACE,
    ACTIONS(23456), 1,
      anon_sym_SEMI,
    STATE(16692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704895] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10028), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(16693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704912] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23458), 1,
      sym__lowercase_identifier,
    STATE(16694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704929] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23460), 1,
      anon_sym_COLON_GT,
    ACTIONS(23462), 1,
      anon_sym_RPAREN,
    STATE(16695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704946] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16696), 1,
      sym_attribute,
    STATE(19497), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704963] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23464), 1,
      sym__lowercase_identifier,
    ACTIONS(23466), 1,
      anon_sym_LPAREN,
    STATE(16697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704980] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23468), 1,
      anon_sym_DOT,
    STATE(16698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704997] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23470), 1,
      sym__lowercase_identifier,
    ACTIONS(23472), 1,
      anon_sym_LBRACK,
    STATE(16699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705014] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23474), 1,
      anon_sym_DOT,
    STATE(16700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705031] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23476), 1,
      anon_sym_DOT,
    STATE(16701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705048] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23478), 1,
      sym__lowercase_identifier,
    ACTIONS(23480), 1,
      anon_sym_LPAREN,
    STATE(16702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705065] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16703), 1,
      sym_attribute,
    STATE(17539), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705082] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23482), 1,
      anon_sym_COLON_GT,
    ACTIONS(23484), 1,
      anon_sym_RPAREN,
    STATE(16704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705099] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(22639), 1,
      sym__lowercase_identifier,
    STATE(16705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705116] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23486), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [705131] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23488), 1,
      anon_sym_RPAREN,
    ACTIONS(23490), 1,
      anon_sym_SEMI,
    STATE(16707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705148] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23488), 1,
      anon_sym_RBRACK,
    ACTIONS(23492), 1,
      anon_sym_SEMI,
    STATE(16708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705165] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23488), 1,
      anon_sym_RBRACE,
    ACTIONS(23494), 1,
      anon_sym_SEMI,
    STATE(16709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705182] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16710), 1,
      sym_attribute,
    STATE(17649), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705199] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22892), 1,
      anon_sym_then,
    STATE(11508), 1,
      sym_then_clause,
    STATE(16711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705216] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23496), 1,
      anon_sym_DOT,
    STATE(16712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705233] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23498), 1,
      sym__lowercase_identifier,
    STATE(16713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705250] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23500), 1,
      anon_sym_DOT,
    STATE(16714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705267] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23502), 1,
      anon_sym_DOT,
    STATE(16715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705284] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23504), 1,
      anon_sym_COLON_GT,
    ACTIONS(23506), 1,
      anon_sym_RPAREN,
    STATE(16716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705301] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17447), 1,
      sym__lowercase_identifier,
    STATE(16717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705318] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16718), 1,
      sym_attribute,
    STATE(17902), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705335] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12810), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [705350] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23006), 1,
      anon_sym_then,
    STATE(11857), 1,
      sym_then_clause,
    STATE(16720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705367] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23508), 1,
      anon_sym_RPAREN,
    ACTIONS(23510), 1,
      anon_sym_LT_DASH,
    STATE(16721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705384] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23512), 1,
      sym__lowercase_identifier,
    STATE(16722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705401] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23514), 1,
      anon_sym_RPAREN,
    ACTIONS(23516), 1,
      anon_sym_SEMI,
    STATE(16723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705418] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23514), 1,
      anon_sym_RBRACK,
    ACTIONS(23518), 1,
      anon_sym_SEMI,
    STATE(16724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705435] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23514), 1,
      anon_sym_RBRACE,
    ACTIONS(23520), 1,
      anon_sym_SEMI,
    STATE(16725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705452] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16726), 1,
      sym_attribute,
    STATE(18013), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705469] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23522), 1,
      anon_sym_DOT,
    STATE(16727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705486] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23524), 1,
      anon_sym_DOT,
    STATE(16728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705503] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23526), 1,
      anon_sym_DOT,
    STATE(16729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705520] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23528), 1,
      anon_sym_RPAREN,
    ACTIONS(23530), 1,
      anon_sym_LT_DASH,
    STATE(16730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705537] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(23532), 1,
      sym__lowercase_identifier,
    STATE(16731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705554] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16732), 1,
      sym_attribute,
    STATE(18289), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705571] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23534), 1,
      anon_sym_RPAREN,
    ACTIONS(23536), 1,
      anon_sym_LT_DASH,
    STATE(16733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705588] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23538), 1,
      anon_sym_RPAREN,
    ACTIONS(23540), 1,
      anon_sym_LT_DASH,
    STATE(16734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705605] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23542), 1,
      anon_sym_RPAREN,
    ACTIONS(23544), 1,
      anon_sym_SEMI,
    STATE(16735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705622] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23542), 1,
      anon_sym_RBRACK,
    ACTIONS(23546), 1,
      anon_sym_SEMI,
    STATE(16736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705639] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23542), 1,
      anon_sym_RBRACE,
    ACTIONS(23548), 1,
      anon_sym_SEMI,
    STATE(16737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705656] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23550), 1,
      anon_sym_RPAREN,
    ACTIONS(23552), 1,
      anon_sym_LT_DASH,
    STATE(16738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705673] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16739), 1,
      sym_attribute,
    STATE(18418), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705690] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(23554), 1,
      sym__lowercase_identifier,
    STATE(16740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705707] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23556), 1,
      anon_sym_DOT,
    STATE(16741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705724] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23558), 1,
      anon_sym_DOT,
    STATE(16742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705741] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23560), 1,
      anon_sym_DOT,
    STATE(16743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705758] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17338), 1,
      sym__lowercase_identifier,
    STATE(16744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705775] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23562), 1,
      anon_sym_RPAREN,
    ACTIONS(23564), 1,
      anon_sym_LT_DASH,
    STATE(16745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705792] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(23566), 1,
      sym__lowercase_identifier,
    STATE(16746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705809] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23568), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [705824] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16748), 1,
      sym_attribute,
    STATE(18697), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705841] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12666), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [705856] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23570), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [705871] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23572), 1,
      anon_sym_RPAREN,
    ACTIONS(23574), 1,
      anon_sym_SEMI,
    STATE(16751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705888] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23572), 1,
      anon_sym_RBRACK,
    ACTIONS(23576), 1,
      anon_sym_SEMI,
    STATE(16752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705905] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23572), 1,
      anon_sym_RBRACE,
    ACTIONS(23578), 1,
      anon_sym_SEMI,
    STATE(16753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705922] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16754), 1,
      sym_attribute,
    STATE(18821), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705939] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23580), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [705954] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23582), 1,
      anon_sym_DOT,
    STATE(16756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705971] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16409), 1,
      anon_sym_STAR,
    ACTIONS(23584), 1,
      anon_sym_DASH_GT,
    STATE(16757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705988] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23586), 1,
      anon_sym_DOT,
    STATE(16758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706005] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23588), 1,
      sym__lowercase_identifier,
    ACTIONS(23590), 1,
      anon_sym_LPAREN,
    STATE(16759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706022] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23592), 1,
      anon_sym_DOT,
    STATE(16760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706039] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23282), 1,
      anon_sym_then,
    STATE(11591), 1,
      sym_then_clause,
    STATE(16761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706056] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23594), 1,
      anon_sym_DOT,
    STATE(16762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706073] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23596), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [706088] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16764), 1,
      sym_attribute,
    STATE(19217), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706105] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23598), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [706120] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10095), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(16766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706137] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23600), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [706152] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23602), 1,
      anon_sym_RPAREN,
    ACTIONS(23604), 1,
      anon_sym_SEMI,
    STATE(16768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706169] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23602), 1,
      anon_sym_RBRACK,
    ACTIONS(23606), 1,
      anon_sym_SEMI,
    STATE(16769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706186] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23602), 1,
      anon_sym_RBRACE,
    ACTIONS(23608), 1,
      anon_sym_SEMI,
    STATE(16770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706203] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16771), 1,
      sym_attribute,
    STATE(19292), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706220] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23610), 1,
      anon_sym_COLON_GT,
    ACTIONS(23612), 1,
      anon_sym_RPAREN,
    STATE(16772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706237] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23614), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [706252] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10073), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(16774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706269] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17512), 1,
      sym__lowercase_identifier,
    STATE(16775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706286] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23616), 1,
      anon_sym_DOT,
    STATE(16776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706303] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23618), 1,
      anon_sym_DOT,
    STATE(16777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706320] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23620), 1,
      anon_sym_DOT,
    STATE(16778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706337] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23086), 1,
      anon_sym_then,
    STATE(9281), 1,
      sym_then_clause,
    STATE(16779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706354] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22974), 1,
      anon_sym_then,
    STATE(11786), 1,
      sym_then_clause,
    STATE(16780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706371] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23622), 1,
      sym__lowercase_identifier,
    STATE(16781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706388] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16782), 1,
      sym_attribute,
    STATE(19487), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706405] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(23624), 1,
      sym__lowercase_identifier,
    STATE(16783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706422] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17401), 1,
      sym__lowercase_identifier,
    STATE(16784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706439] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23626), 1,
      anon_sym_RPAREN,
    ACTIONS(23628), 1,
      anon_sym_SEMI,
    STATE(16785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706456] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23626), 1,
      anon_sym_RBRACK,
    ACTIONS(23630), 1,
      anon_sym_SEMI,
    STATE(16786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706473] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23626), 1,
      anon_sym_RBRACE,
    ACTIONS(23632), 1,
      anon_sym_SEMI,
    STATE(16787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706490] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16788), 1,
      sym_attribute,
    STATE(19614), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706507] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23634), 1,
      sym__lowercase_identifier,
    ACTIONS(23636), 1,
      anon_sym_LPAREN,
    STATE(16789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706524] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23638), 1,
      aux_sym_type_variable_token1,
    STATE(12933), 1,
      sym_type_variable,
    STATE(16790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706541] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23640), 1,
      anon_sym_DOT,
    STATE(16791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706558] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23642), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [706573] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23644), 1,
      anon_sym_COLON2,
    STATE(13051), 1,
      sym__typed,
    STATE(16793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706590] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23646), 1,
      anon_sym_DOT,
    STATE(16794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706607] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23648), 1,
      anon_sym_DOT,
    STATE(16795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706624] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23650), 1,
      sym__lowercase_identifier,
    ACTIONS(23652), 1,
      anon_sym_LPAREN,
    STATE(16796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706641] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23118), 1,
      anon_sym_then,
    STATE(11736), 1,
      sym_then_clause,
    STATE(16797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706658] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16798), 1,
      sym_attribute,
    STATE(19861), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706675] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23654), 1,
      sym__lowercase_identifier,
    ACTIONS(23656), 1,
      anon_sym_LPAREN,
    STATE(16799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706692] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23658), 1,
      anon_sym_RPAREN,
    ACTIONS(23660), 1,
      anon_sym_LT_DASH,
    STATE(16800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706709] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17688), 1,
      anon_sym_RBRACE,
    ACTIONS(23662), 1,
      anon_sym_SEMI,
    STATE(16801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706726] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23664), 1,
      anon_sym_RPAREN,
    ACTIONS(23666), 1,
      anon_sym_SEMI,
    STATE(16802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706743] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23664), 1,
      anon_sym_RBRACK,
    ACTIONS(23668), 1,
      anon_sym_SEMI,
    STATE(16803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706760] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23664), 1,
      anon_sym_RBRACE,
    ACTIONS(23670), 1,
      anon_sym_SEMI,
    STATE(16804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706777] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16805), 1,
      sym_attribute,
    STATE(19970), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706794] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23672), 1,
      anon_sym_COLON2,
    STATE(13023), 1,
      sym__polymorphic_typed,
    STATE(16806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706811] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23674), 1,
      anon_sym_DOT,
    STATE(16807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706828] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23676), 1,
      anon_sym_COLON_GT,
    ACTIONS(23678), 1,
      anon_sym_RPAREN,
    STATE(16808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706845] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23680), 1,
      anon_sym_RPAREN,
    ACTIONS(23682), 1,
      anon_sym_LT_DASH,
    STATE(16809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706862] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23684), 1,
      sym__lowercase_identifier,
    ACTIONS(23686), 1,
      anon_sym_LPAREN,
    STATE(16810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706879] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23688), 1,
      anon_sym_DOT,
    STATE(16811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706896] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23690), 1,
      anon_sym_DOT,
    STATE(16812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706913] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23692), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [706928] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16814), 1,
      sym_attribute,
    STATE(20299), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706945] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23694), 1,
      anon_sym_COLON_GT,
    ACTIONS(23696), 1,
      anon_sym_RPAREN,
    STATE(16815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706962] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23698), 1,
      anon_sym_COLON_GT,
    ACTIONS(23700), 1,
      anon_sym_RPAREN,
    STATE(16816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706979] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22856), 1,
      anon_sym_then,
    STATE(10379), 1,
      sym_then_clause,
    STATE(16817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706996] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17924), 1,
      anon_sym_RBRACE,
    ACTIONS(23702), 1,
      anon_sym_SEMI,
    STATE(16818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707013] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23704), 1,
      sym__lowercase_identifier,
    STATE(16819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707030] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23706), 1,
      anon_sym_RPAREN,
    ACTIONS(23708), 1,
      anon_sym_SEMI,
    STATE(16820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707047] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23706), 1,
      anon_sym_RBRACK,
    ACTIONS(23710), 1,
      anon_sym_SEMI,
    STATE(16821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707064] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23706), 1,
      anon_sym_RBRACE,
    ACTIONS(23712), 1,
      anon_sym_SEMI,
    STATE(16822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707081] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23714), 1,
      sym__lowercase_identifier,
    ACTIONS(23716), 1,
      sym__uppercase_identifier,
    STATE(16823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707098] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16824), 1,
      sym_attribute,
    STATE(17962), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707115] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23718), 1,
      anon_sym_DOT,
    STATE(16825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707132] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23276), 1,
      anon_sym_then,
    STATE(12153), 1,
      sym_then_clause,
    STATE(16826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707149] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23720), 1,
      anon_sym_DOT,
    STATE(16827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707166] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23722), 1,
      anon_sym_DOT,
    STATE(16828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707183] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23724), 1,
      anon_sym_COLON_GT,
    ACTIONS(23726), 1,
      anon_sym_RPAREN,
    STATE(16829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707200] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(23728), 1,
      sym__lowercase_identifier,
    STATE(16830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707217] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23730), 1,
      anon_sym_DOT,
    STATE(16831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707234] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16832), 1,
      sym_attribute,
    STATE(19909), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707251] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23086), 1,
      anon_sym_then,
    STATE(9340), 1,
      sym_then_clause,
    STATE(16833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707268] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17958), 1,
      anon_sym_RBRACE,
    ACTIONS(23732), 1,
      anon_sym_SEMI,
    STATE(16834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707285] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23734), 1,
      anon_sym_RPAREN,
    ACTIONS(23736), 1,
      anon_sym_LT_DASH,
    STATE(16835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707302] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23738), 1,
      anon_sym_RPAREN,
    ACTIONS(23740), 1,
      anon_sym_SEMI,
    STATE(16836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707319] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23738), 1,
      anon_sym_RBRACK,
    ACTIONS(23742), 1,
      anon_sym_SEMI,
    STATE(16837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707336] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23738), 1,
      anon_sym_RBRACE,
    ACTIONS(23744), 1,
      anon_sym_SEMI,
    STATE(16838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707353] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23746), 1,
      anon_sym_COLON_GT,
    ACTIONS(23748), 1,
      anon_sym_RPAREN,
    STATE(16839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707370] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16840), 1,
      sym_attribute,
    STATE(19790), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707387] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23750), 1,
      sym__lowercase_identifier,
    STATE(16841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707404] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23006), 1,
      anon_sym_then,
    STATE(12036), 1,
      sym_then_clause,
    STATE(16842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707421] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23752), 1,
      anon_sym_DOT,
    STATE(16843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707438] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23754), 1,
      anon_sym_DOT,
    STATE(16844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707455] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23756), 1,
      anon_sym_DOT,
    STATE(16845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707472] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23758), 1,
      anon_sym_RPAREN,
    ACTIONS(23760), 1,
      anon_sym_LT_DASH,
    STATE(16846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707489] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23762), 1,
      anon_sym_RPAREN,
    ACTIONS(23764), 1,
      anon_sym_LT_DASH,
    STATE(16847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707506] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(23766), 1,
      sym__lowercase_identifier,
    STATE(16848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707523] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16849), 1,
      sym_attribute,
    STATE(19127), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707540] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(23768), 1,
      sym__lowercase_identifier,
    STATE(16850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707557] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23770), 1,
      sym__lowercase_identifier,
    STATE(16851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707574] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17754), 1,
      anon_sym_RBRACE,
    ACTIONS(23772), 1,
      anon_sym_SEMI,
    STATE(16852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707591] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23774), 1,
      sym__lowercase_identifier,
    STATE(16853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707608] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23776), 1,
      anon_sym_RPAREN,
    ACTIONS(23778), 1,
      anon_sym_SEMI,
    STATE(16854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707625] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23776), 1,
      anon_sym_RBRACK,
    ACTIONS(23780), 1,
      anon_sym_SEMI,
    STATE(16855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707642] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23776), 1,
      anon_sym_RBRACE,
    ACTIONS(23782), 1,
      anon_sym_SEMI,
    STATE(16856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707659] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23086), 1,
      anon_sym_then,
    STATE(9296), 1,
      sym_then_clause,
    STATE(16857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707676] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16858), 1,
      sym_attribute,
    STATE(19850), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707693] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8669), 1,
      anon_sym_COLON_GT,
    ACTIONS(8671), 1,
      anon_sym_EQ,
    STATE(16859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707710] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23784), 1,
      anon_sym_DOT,
    STATE(16860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707727] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23104), 1,
      anon_sym_then,
    STATE(8401), 1,
      sym_then_clause,
    STATE(16861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707744] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23786), 1,
      anon_sym_DOT,
    STATE(16862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707761] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23788), 1,
      anon_sym_DOT,
    STATE(16863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707778] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16864), 1,
      sym_attribute,
    STATE(17747), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707795] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23790), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [707810] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23792), 1,
      anon_sym_then,
    STATE(12184), 1,
      sym_then_clause,
    STATE(16866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707827] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23794), 1,
      anon_sym_DOT,
    STATE(16867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707844] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23796), 1,
      anon_sym_RPAREN,
    ACTIONS(23798), 1,
      anon_sym_SEMI,
    STATE(16868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707861] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23796), 1,
      anon_sym_RBRACK,
    ACTIONS(23800), 1,
      anon_sym_SEMI,
    STATE(16869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707878] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23796), 1,
      anon_sym_RBRACE,
    ACTIONS(23802), 1,
      anon_sym_SEMI,
    STATE(16870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707895] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16871), 1,
      sym_attribute,
    STATE(19598), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707912] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23804), 1,
      anon_sym_RPAREN,
    ACTIONS(23806), 1,
      anon_sym_LT_DASH,
    STATE(16872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707929] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23808), 1,
      anon_sym_DOT,
    STATE(16873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707946] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23810), 1,
      sym__lowercase_identifier,
    ACTIONS(23812), 1,
      anon_sym_LBRACK,
    STATE(16874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707963] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16875), 1,
      sym_attribute,
    STATE(17914), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707980] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23814), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [707995] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23816), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [708010] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10018), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(16878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708027] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23818), 1,
      anon_sym_RPAREN,
    ACTIONS(23820), 1,
      anon_sym_SEMI,
    STATE(16879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708044] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23818), 1,
      anon_sym_RBRACK,
    ACTIONS(23822), 1,
      anon_sym_SEMI,
    STATE(16880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708061] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23818), 1,
      anon_sym_RBRACE,
    ACTIONS(23824), 1,
      anon_sym_SEMI,
    STATE(16881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708078] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16882), 1,
      sym_attribute,
    STATE(19092), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708095] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23826), 1,
      sym__lowercase_identifier,
    STATE(16883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708112] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23828), 1,
      anon_sym_RPAREN,
    ACTIONS(23830), 1,
      anon_sym_LT_DASH,
    STATE(16884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708129] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23832), 1,
      anon_sym_RPAREN,
    ACTIONS(23834), 1,
      anon_sym_LT_DASH,
    STATE(16885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708146] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23836), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [708161] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23838), 1,
      anon_sym_DOT,
    STATE(16887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708178] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23840), 2,
      anon_sym_to,
      anon_sym_downto,
  [708193] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16889), 1,
      sym_attribute,
    STATE(19550), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708210] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23792), 1,
      anon_sym_then,
    STATE(12056), 1,
      sym_then_clause,
    STATE(16890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708227] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23842), 1,
      anon_sym_EQ,
    ACTIONS(23844), 1,
      anon_sym_RPAREN,
    STATE(16891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708244] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23846), 1,
      anon_sym_do,
    STATE(8151), 1,
      sym_do_clause,
    STATE(16892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708261] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23848), 1,
      anon_sym_RPAREN,
    ACTIONS(23850), 1,
      anon_sym_SEMI,
    STATE(16893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708278] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23848), 1,
      anon_sym_RBRACK,
    ACTIONS(23852), 1,
      anon_sym_SEMI,
    STATE(16894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708295] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23848), 1,
      anon_sym_RBRACE,
    ACTIONS(23854), 1,
      anon_sym_SEMI,
    STATE(16895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708312] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16896), 1,
      sym_attribute,
    STATE(19866), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708329] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23856), 1,
      sym__lowercase_identifier,
    STATE(16897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708346] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23858), 1,
      anon_sym_DOT,
    STATE(16898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708363] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(23860), 1,
      sym__lowercase_identifier,
    STATE(16899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708380] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16900), 1,
      sym_attribute,
    STATE(18258), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708397] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17372), 1,
      sym__lowercase_identifier,
    STATE(16901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708414] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23862), 1,
      anon_sym_RPAREN,
    ACTIONS(23864), 1,
      anon_sym_SEMI,
    STATE(16902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708431] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23862), 1,
      anon_sym_RBRACK,
    ACTIONS(23866), 1,
      anon_sym_SEMI,
    STATE(16903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708448] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23862), 1,
      anon_sym_RBRACE,
    ACTIONS(23868), 1,
      anon_sym_SEMI,
    STATE(16904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708465] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16905), 1,
      sym_attribute,
    STATE(18915), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708482] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23870), 1,
      anon_sym_DOT,
    STATE(16906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708499] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16907), 1,
      sym_attribute,
    STATE(18031), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708516] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23872), 1,
      sym__lowercase_identifier,
    ACTIONS(23874), 1,
      anon_sym_LPAREN,
    STATE(16908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708533] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23792), 1,
      anon_sym_then,
    STATE(12362), 1,
      sym_then_clause,
    STATE(16909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708550] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23876), 1,
      sym__lowercase_identifier,
    STATE(16910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708567] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23878), 1,
      anon_sym_RPAREN,
    ACTIONS(23880), 1,
      anon_sym_LT_DASH,
    STATE(16911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708584] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23882), 1,
      anon_sym_RPAREN,
    ACTIONS(23884), 1,
      anon_sym_SEMI,
    STATE(16912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708601] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23882), 1,
      anon_sym_RBRACK,
    ACTIONS(23886), 1,
      anon_sym_SEMI,
    STATE(16913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708618] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23882), 1,
      anon_sym_RBRACE,
    ACTIONS(23888), 1,
      anon_sym_SEMI,
    STATE(16914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708635] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23890), 1,
      sym__lowercase_identifier,
    ACTIONS(23892), 1,
      anon_sym_LPAREN,
    STATE(16915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708652] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16916), 1,
      sym_attribute,
    STATE(18868), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708669] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23894), 1,
      sym__lowercase_identifier,
    ACTIONS(23896), 1,
      anon_sym_LPAREN,
    STATE(16917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708686] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16918), 1,
      sym_attribute,
    STATE(17575), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708703] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23898), 1,
      anon_sym_DOT,
    STATE(16919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708720] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(23900), 1,
      sym__lowercase_identifier,
    STATE(16920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708737] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23902), 1,
      anon_sym_RPAREN,
    ACTIONS(23904), 1,
      anon_sym_LT_DASH,
    STATE(16921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708754] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21065), 1,
      anon_sym_EQ,
    ACTIONS(23906), 1,
      anon_sym_COLON_GT,
    STATE(16922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708771] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16923), 1,
      sym_attribute,
    STATE(20080), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708788] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23908), 1,
      anon_sym_RPAREN,
    ACTIONS(23910), 1,
      anon_sym_LT_DASH,
    STATE(16924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708805] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23912), 1,
      anon_sym_COLON_GT,
    ACTIONS(23914), 1,
      anon_sym_RPAREN,
    STATE(16925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708822] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23916), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [708837] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23918), 1,
      anon_sym_RPAREN,
    ACTIONS(23920), 1,
      anon_sym_SEMI,
    STATE(16927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708854] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23918), 1,
      anon_sym_RBRACK,
    ACTIONS(23922), 1,
      anon_sym_SEMI,
    STATE(16928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708871] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23918), 1,
      anon_sym_RBRACE,
    ACTIONS(23924), 1,
      anon_sym_SEMI,
    STATE(16929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708888] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16930), 1,
      sym_attribute,
    STATE(17632), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708905] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23926), 1,
      anon_sym_DOT,
    STATE(16931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708922] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16932), 1,
      sym_attribute,
    STATE(17920), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708939] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22994), 1,
      anon_sym_then,
    STATE(10149), 1,
      sym_then_clause,
    STATE(16933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708956] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18530), 1,
      sym__lowercase_identifier,
    STATE(14509), 1,
      sym__simple_value_pattern,
    STATE(16934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708973] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(23928), 1,
      anon_sym_DASH_GT,
    STATE(16935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708990] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23930), 2,
      anon_sym_to,
      anon_sym_downto,
  [709005] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23932), 1,
      sym__lowercase_identifier,
    STATE(16937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709022] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23934), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [709037] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23936), 1,
      anon_sym_RPAREN,
    ACTIONS(23938), 1,
      anon_sym_SEMI,
    STATE(16939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709054] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23936), 1,
      anon_sym_RBRACK,
    ACTIONS(23940), 1,
      anon_sym_SEMI,
    STATE(16940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709071] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23936), 1,
      anon_sym_RBRACE,
    ACTIONS(23942), 1,
      anon_sym_SEMI,
    STATE(16941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709088] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16942), 1,
      sym_attribute,
    STATE(18197), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709105] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23944), 1,
      anon_sym_DOT,
    STATE(16943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709122] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(23946), 1,
      sym__lowercase_identifier,
    STATE(16944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709139] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16945), 1,
      sym_attribute,
    STATE(19098), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709156] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23948), 1,
      anon_sym_COLON_GT,
    ACTIONS(23950), 1,
      anon_sym_RPAREN,
    STATE(16946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709173] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23952), 1,
      anon_sym_RPAREN,
    ACTIONS(23954), 1,
      anon_sym_LT_DASH,
    STATE(16947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709190] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23956), 1,
      anon_sym_EQ,
    ACTIONS(23958), 1,
      anon_sym_RPAREN,
    STATE(16948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709207] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17832), 1,
      anon_sym_RBRACE,
    ACTIONS(23960), 1,
      anon_sym_SEMI,
    STATE(16949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709224] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23962), 1,
      anon_sym_RPAREN,
    ACTIONS(23964), 1,
      anon_sym_SEMI,
    STATE(16950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709241] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23962), 1,
      anon_sym_RBRACK,
    ACTIONS(23966), 1,
      anon_sym_SEMI,
    STATE(16951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709258] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23962), 1,
      anon_sym_RBRACE,
    ACTIONS(23968), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709275] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23970), 1,
      anon_sym_RPAREN,
    ACTIONS(23972), 1,
      anon_sym_LT_DASH,
    STATE(16953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709292] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16954), 1,
      sym_attribute,
    STATE(19239), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709309] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23974), 1,
      anon_sym_RPAREN,
    ACTIONS(23976), 1,
      anon_sym_LT_DASH,
    STATE(16955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709326] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23978), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [709341] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(23980), 1,
      anon_sym_DOT,
    STATE(16957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709358] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23982), 1,
      anon_sym_RPAREN,
    ACTIONS(23984), 1,
      anon_sym_LT_DASH,
    STATE(16958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709375] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23986), 1,
      anon_sym_RPAREN,
    ACTIONS(23988), 1,
      anon_sym_LT_DASH,
    STATE(16959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709392] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16960), 1,
      sym_attribute,
    STATE(19488), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709409] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23990), 1,
      anon_sym_RPAREN,
    ACTIONS(23992), 1,
      anon_sym_SEMI,
    STATE(16961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709426] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23990), 1,
      anon_sym_RBRACK,
    ACTIONS(23994), 1,
      anon_sym_SEMI,
    STATE(16962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709443] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23990), 1,
      anon_sym_RBRACE,
    ACTIONS(23996), 1,
      anon_sym_SEMI,
    STATE(16963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709460] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16964), 1,
      sym_attribute,
    STATE(19656), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709477] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23998), 1,
      anon_sym_RPAREN,
    ACTIONS(24000), 1,
      anon_sym_LT_DASH,
    STATE(16965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709494] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24002), 1,
      anon_sym_RPAREN,
    ACTIONS(24004), 1,
      anon_sym_LT_DASH,
    STATE(16966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709511] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24006), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [709526] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(24008), 1,
      anon_sym_DOT,
    STATE(16968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709543] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24010), 1,
      anon_sym_RPAREN,
    ACTIONS(24012), 1,
      anon_sym_LT_DASH,
    STATE(16969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709560] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16970), 1,
      sym_attribute,
    STATE(19809), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709577] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24014), 1,
      anon_sym_COLON_GT,
    ACTIONS(24016), 1,
      anon_sym_RPAREN,
    STATE(16971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709594] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24018), 1,
      anon_sym_RPAREN,
    ACTIONS(24020), 1,
      anon_sym_LT_DASH,
    STATE(16972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709611] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24022), 1,
      anon_sym_RPAREN,
    ACTIONS(24024), 1,
      anon_sym_SEMI,
    STATE(16973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709628] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24022), 1,
      anon_sym_RBRACK,
    ACTIONS(24026), 1,
      anon_sym_SEMI,
    STATE(16974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709645] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24022), 1,
      anon_sym_RBRACE,
    ACTIONS(24028), 1,
      anon_sym_SEMI,
    STATE(16975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709662] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24030), 1,
      anon_sym_EQ,
    ACTIONS(24032), 1,
      anon_sym_RPAREN,
    STATE(16976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709679] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16977), 1,
      sym_attribute,
    STATE(20003), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709696] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23160), 1,
      anon_sym_do,
    STATE(8146), 1,
      sym_do_clause,
    STATE(16978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709713] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24034), 1,
      anon_sym_RPAREN,
    ACTIONS(24036), 1,
      anon_sym_LT_DASH,
    STATE(16979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709730] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24038), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [709745] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(24040), 1,
      anon_sym_DOT,
    STATE(16981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709762] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16982), 1,
      sym_attribute,
    STATE(20281), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709779] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21220), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
  [709794] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24042), 1,
      anon_sym_RPAREN,
    ACTIONS(24044), 1,
      anon_sym_LT_DASH,
    STATE(16984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709811] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24046), 1,
      anon_sym_RPAREN,
    ACTIONS(24048), 1,
      anon_sym_LT_DASH,
    STATE(16985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709828] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24050), 1,
      anon_sym_RPAREN,
    ACTIONS(24052), 1,
      anon_sym_SEMI,
    STATE(16986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709845] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24050), 1,
      anon_sym_RBRACK,
    ACTIONS(24054), 1,
      anon_sym_SEMI,
    STATE(16987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709862] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24050), 1,
      anon_sym_RBRACE,
    ACTIONS(24056), 1,
      anon_sym_SEMI,
    STATE(16988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709879] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24058), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [709894] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(16990), 1,
      sym_attribute,
    STATE(19278), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709911] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22912), 1,
      anon_sym_then,
    STATE(12058), 1,
      sym_then_clause,
    STATE(16991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709928] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17522), 1,
      sym__lowercase_identifier,
    STATE(16992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709945] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23846), 1,
      anon_sym_do,
    STATE(8004), 1,
      sym_do_clause,
    STATE(16993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709962] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(16994), 1,
      sym_attribute,
    STATE(18223), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709979] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24060), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [709994] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24062), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [710009] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10020), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(16997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710026] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24064), 1,
      anon_sym_RPAREN,
    ACTIONS(24066), 1,
      anon_sym_LT_DASH,
    STATE(16998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710043] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24068), 1,
      anon_sym_RPAREN,
    ACTIONS(24070), 1,
      anon_sym_LT_DASH,
    STATE(16999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710060] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24072), 1,
      anon_sym_RPAREN,
    ACTIONS(24074), 1,
      anon_sym_SEMI,
    STATE(17000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710077] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24072), 1,
      anon_sym_RBRACK,
    ACTIONS(24076), 1,
      anon_sym_SEMI,
    STATE(17001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710094] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24072), 1,
      anon_sym_RBRACE,
    ACTIONS(24078), 1,
      anon_sym_SEMI,
    STATE(17002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710111] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24080), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [710126] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(17004), 1,
      sym_attribute,
    STATE(19304), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710143] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(24082), 1,
      sym__lowercase_identifier,
    STATE(17005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710160] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17006), 1,
      sym_attribute,
    STATE(17554), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710177] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24084), 1,
      anon_sym_RPAREN,
    ACTIONS(24086), 1,
      anon_sym_LT_DASH,
    STATE(17007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710194] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24088), 1,
      anon_sym_RPAREN,
    ACTIONS(24090), 1,
      anon_sym_LT_DASH,
    STATE(17008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710211] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24092), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [710226] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24094), 1,
      anon_sym_RPAREN,
    ACTIONS(24096), 1,
      anon_sym_SEMI,
    STATE(17010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710243] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24094), 1,
      anon_sym_RBRACK,
    ACTIONS(24098), 1,
      anon_sym_SEMI,
    STATE(17011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710260] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24094), 1,
      anon_sym_RBRACE,
    ACTIONS(24100), 1,
      anon_sym_SEMI,
    STATE(17012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710277] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(17013), 1,
      sym_attribute,
    STATE(17859), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710294] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24102), 1,
      anon_sym_RPAREN,
    ACTIONS(24104), 1,
      anon_sym_LT_DASH,
    STATE(17014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710311] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(24106), 1,
      sym__lowercase_identifier,
    STATE(17015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710328] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24108), 1,
      anon_sym_RPAREN,
    ACTIONS(24110), 1,
      anon_sym_LT_DASH,
    STATE(17016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710345] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17017), 1,
      sym_attribute,
    STATE(18219), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710362] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(24112), 1,
      sym__lowercase_identifier,
    STATE(17018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710379] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24114), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [710394] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17342), 1,
      sym__lowercase_identifier,
    STATE(17020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710411] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24116), 1,
      anon_sym_RPAREN,
    ACTIONS(24118), 1,
      anon_sym_SEMI,
    STATE(17021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710428] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24116), 1,
      anon_sym_RBRACK,
    ACTIONS(24120), 1,
      anon_sym_SEMI,
    STATE(17022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710445] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24116), 1,
      anon_sym_RBRACE,
    ACTIONS(24122), 1,
      anon_sym_SEMI,
    STATE(17023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710462] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(17024), 1,
      sym_attribute,
    STATE(18550), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710479] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17025), 1,
      sym_attribute,
    STATE(18983), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710496] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24124), 1,
      anon_sym_RPAREN,
    ACTIONS(24126), 1,
      anon_sym_LT_DASH,
    STATE(17026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710513] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22796), 1,
      anon_sym_then,
    STATE(12032), 1,
      sym_then_clause,
    STATE(17027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710530] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24128), 1,
      anon_sym_RPAREN,
    ACTIONS(24130), 1,
      anon_sym_LT_DASH,
    STATE(17028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710547] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24132), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [710562] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24134), 1,
      anon_sym_RPAREN,
    ACTIONS(24136), 1,
      anon_sym_SEMI,
    STATE(17030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710579] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24134), 1,
      anon_sym_RBRACK,
    ACTIONS(24138), 1,
      anon_sym_SEMI,
    STATE(17031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710596] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24134), 1,
      anon_sym_RBRACE,
    ACTIONS(24140), 1,
      anon_sym_SEMI,
    STATE(17032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710613] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(17033), 1,
      sym_attribute,
    STATE(19238), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710630] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24142), 1,
      sym__lowercase_identifier,
    ACTIONS(24144), 1,
      anon_sym_LPAREN,
    STATE(17034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710647] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17035), 1,
      sym_attribute,
    STATE(19818), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710664] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24146), 1,
      anon_sym_RPAREN,
    ACTIONS(24148), 1,
      anon_sym_LT_DASH,
    STATE(17036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710681] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24150), 1,
      anon_sym_RPAREN,
    ACTIONS(24152), 1,
      anon_sym_LT_DASH,
    STATE(17037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710698] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24154), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [710713] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24156), 1,
      anon_sym_RPAREN,
    ACTIONS(24158), 1,
      anon_sym_SEMI,
    STATE(17039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710730] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24156), 1,
      anon_sym_RBRACK,
    ACTIONS(24160), 1,
      anon_sym_SEMI,
    STATE(17040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710747] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24156), 1,
      anon_sym_RBRACE,
    ACTIONS(24162), 1,
      anon_sym_SEMI,
    STATE(17041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710764] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24164), 1,
      anon_sym_COLON_GT,
    ACTIONS(24166), 1,
      anon_sym_RPAREN,
    STATE(17042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710781] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17043), 1,
      sym_attribute,
    STATE(17582), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710798] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24168), 1,
      anon_sym_RPAREN,
    ACTIONS(24170), 1,
      anon_sym_LT_DASH,
    STATE(17044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710815] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23018), 1,
      anon_sym_then,
    STATE(11955), 1,
      sym_then_clause,
    STATE(17045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710832] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24172), 1,
      anon_sym_RPAREN,
    ACTIONS(24174), 1,
      anon_sym_LT_DASH,
    STATE(17046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710849] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24176), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [710864] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24178), 1,
      anon_sym_RPAREN,
    ACTIONS(24180), 1,
      anon_sym_SEMI,
    STATE(17048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710881] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24178), 1,
      anon_sym_RBRACK,
    ACTIONS(24182), 1,
      anon_sym_SEMI,
    STATE(17049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710898] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24178), 1,
      anon_sym_RBRACE,
    ACTIONS(24184), 1,
      anon_sym_SEMI,
    STATE(17050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710915] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(24186), 1,
      sym__lowercase_identifier,
    STATE(17051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710932] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17052), 1,
      sym_attribute,
    STATE(17776), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710949] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24188), 1,
      anon_sym_RPAREN,
    ACTIONS(24190), 1,
      anon_sym_LT_DASH,
    STATE(17053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710966] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24192), 1,
      anon_sym_RPAREN,
    ACTIONS(24194), 1,
      anon_sym_LT_DASH,
    STATE(17054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710983] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24196), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [710998] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24198), 1,
      anon_sym_SEMI,
    ACTIONS(24200), 1,
      anon_sym_RBRACE,
    STATE(17056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711015] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24202), 1,
      anon_sym_RPAREN,
    ACTIONS(24204), 1,
      anon_sym_SEMI,
    STATE(17057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711032] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24202), 1,
      anon_sym_RBRACK,
    ACTIONS(24206), 1,
      anon_sym_SEMI,
    STATE(17058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24202), 1,
      anon_sym_RBRACE,
    ACTIONS(24208), 1,
      anon_sym_SEMI,
    STATE(17059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711066] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24210), 1,
      anon_sym_RPAREN,
    ACTIONS(24212), 1,
      anon_sym_LT_DASH,
    STATE(17060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711083] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17061), 1,
      sym_attribute,
    STATE(17993), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711100] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24214), 1,
      anon_sym_RPAREN,
    ACTIONS(24216), 1,
      anon_sym_LT_DASH,
    STATE(17062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711117] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24218), 1,
      anon_sym_RPAREN,
    ACTIONS(24220), 1,
      anon_sym_LT_DASH,
    STATE(17063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711134] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24222), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [711149] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24224), 1,
      anon_sym_RPAREN,
    ACTIONS(24226), 1,
      anon_sym_SEMI,
    STATE(17065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711166] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24224), 1,
      anon_sym_RBRACK,
    ACTIONS(24228), 1,
      anon_sym_SEMI,
    STATE(17066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711183] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24224), 1,
      anon_sym_RBRACE,
    ACTIONS(24230), 1,
      anon_sym_SEMI,
    STATE(17067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711200] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24232), 1,
      anon_sym_COLON2,
    STATE(17068), 1,
      sym_attribute,
    STATE(19723), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711217] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17069), 1,
      sym_attribute,
    STATE(18232), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711234] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24234), 1,
      anon_sym_RPAREN,
    ACTIONS(24236), 1,
      anon_sym_SEMI,
    STATE(17070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711251] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24234), 1,
      anon_sym_RBRACK,
    ACTIONS(24238), 1,
      anon_sym_SEMI,
    STATE(17071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711268] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24234), 1,
      anon_sym_RBRACE,
    ACTIONS(24240), 1,
      anon_sym_SEMI,
    STATE(17072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711285] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24242), 1,
      anon_sym_RPAREN,
    ACTIONS(24244), 1,
      anon_sym_LT_DASH,
    STATE(17073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711302] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24246), 1,
      anon_sym_RPAREN,
    ACTIONS(24248), 1,
      anon_sym_LT_DASH,
    STATE(17074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711319] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24250), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [711334] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17076), 1,
      sym_attribute,
    STATE(18348), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711351] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24252), 1,
      anon_sym_RPAREN,
    ACTIONS(24254), 1,
      anon_sym_LT_DASH,
    STATE(17077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711368] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24256), 1,
      anon_sym_RPAREN,
    ACTIONS(24258), 1,
      anon_sym_SEMI,
    STATE(17078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711385] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24256), 1,
      anon_sym_RBRACK,
    ACTIONS(24260), 1,
      anon_sym_SEMI,
    STATE(17079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711402] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24256), 1,
      anon_sym_RBRACE,
    ACTIONS(24262), 1,
      anon_sym_SEMI,
    STATE(17080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711419] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17081), 1,
      sym_attribute,
    STATE(18427), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711436] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24264), 1,
      anon_sym_RPAREN,
    ACTIONS(24266), 1,
      anon_sym_SEMI,
    STATE(17082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711453] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24264), 1,
      anon_sym_RBRACK,
    ACTIONS(24268), 1,
      anon_sym_SEMI,
    STATE(17083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711470] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24264), 1,
      anon_sym_RBRACE,
    ACTIONS(24270), 1,
      anon_sym_SEMI,
    STATE(17084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711487] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17085), 1,
      sym_attribute,
    STATE(18460), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711504] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24272), 1,
      anon_sym_RPAREN,
    ACTIONS(24274), 1,
      anon_sym_SEMI,
    STATE(17086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711521] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24272), 1,
      anon_sym_RBRACK,
    ACTIONS(24276), 1,
      anon_sym_SEMI,
    STATE(17087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711538] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24272), 1,
      anon_sym_RBRACE,
    ACTIONS(24278), 1,
      anon_sym_SEMI,
    STATE(17088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711555] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17089), 1,
      sym_attribute,
    STATE(18496), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711572] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24280), 1,
      anon_sym_RPAREN,
    ACTIONS(24282), 1,
      anon_sym_SEMI,
    STATE(17090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711589] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24280), 1,
      anon_sym_RBRACK,
    ACTIONS(24284), 1,
      anon_sym_SEMI,
    STATE(17091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711606] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24280), 1,
      anon_sym_RBRACE,
    ACTIONS(24286), 1,
      anon_sym_SEMI,
    STATE(17092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711623] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17093), 1,
      sym_attribute,
    STATE(18535), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711640] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24288), 1,
      anon_sym_RPAREN,
    ACTIONS(24290), 1,
      anon_sym_SEMI,
    STATE(17094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711657] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24288), 1,
      anon_sym_RBRACK,
    ACTIONS(24292), 1,
      anon_sym_SEMI,
    STATE(17095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711674] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24288), 1,
      anon_sym_RBRACE,
    ACTIONS(24294), 1,
      anon_sym_SEMI,
    STATE(17096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711691] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24296), 1,
      anon_sym_RPAREN,
    ACTIONS(24298), 1,
      anon_sym_LT_DASH,
    STATE(17097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711708] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17098), 1,
      sym_attribute,
    STATE(18567), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711725] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24300), 1,
      anon_sym_RPAREN,
    ACTIONS(24302), 1,
      anon_sym_SEMI,
    STATE(17099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711742] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24300), 1,
      anon_sym_RBRACK,
    ACTIONS(24304), 1,
      anon_sym_SEMI,
    STATE(17100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711759] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24300), 1,
      anon_sym_RBRACE,
    ACTIONS(24306), 1,
      anon_sym_SEMI,
    STATE(17101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711776] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17102), 1,
      sym_attribute,
    STATE(18598), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711793] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24308), 1,
      anon_sym_RPAREN,
    ACTIONS(24310), 1,
      anon_sym_SEMI,
    STATE(17103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711810] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24308), 1,
      anon_sym_RBRACK,
    ACTIONS(24312), 1,
      anon_sym_SEMI,
    STATE(17104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711827] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24308), 1,
      anon_sym_RBRACE,
    ACTIONS(24314), 1,
      anon_sym_SEMI,
    STATE(17105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711844] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17106), 1,
      sym_attribute,
    STATE(18645), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711861] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24316), 1,
      anon_sym_RPAREN,
    ACTIONS(24318), 1,
      anon_sym_SEMI,
    STATE(17107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711878] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24316), 1,
      anon_sym_RBRACK,
    ACTIONS(24320), 1,
      anon_sym_SEMI,
    STATE(17108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711895] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24316), 1,
      anon_sym_RBRACE,
    ACTIONS(24322), 1,
      anon_sym_SEMI,
    STATE(17109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711912] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17110), 1,
      sym_attribute,
    STATE(18684), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711929] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24324), 1,
      anon_sym_RPAREN,
    ACTIONS(24326), 1,
      anon_sym_SEMI,
    STATE(17111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711946] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24324), 1,
      anon_sym_RBRACK,
    ACTIONS(24328), 1,
      anon_sym_SEMI,
    STATE(17112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711963] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24324), 1,
      anon_sym_RBRACE,
    ACTIONS(24330), 1,
      anon_sym_SEMI,
    STATE(17113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711980] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17114), 1,
      sym_attribute,
    STATE(18721), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711997] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24332), 1,
      anon_sym_RPAREN,
    ACTIONS(24334), 1,
      anon_sym_SEMI,
    STATE(17115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712014] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24332), 1,
      anon_sym_RBRACK,
    ACTIONS(24336), 1,
      anon_sym_SEMI,
    STATE(17116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712031] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24332), 1,
      anon_sym_RBRACE,
    ACTIONS(24338), 1,
      anon_sym_SEMI,
    STATE(17117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712048] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17118), 1,
      sym_attribute,
    STATE(18756), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712065] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24340), 1,
      anon_sym_RPAREN,
    ACTIONS(24342), 1,
      anon_sym_SEMI,
    STATE(17119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712082] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24340), 1,
      anon_sym_RBRACK,
    ACTIONS(24344), 1,
      anon_sym_SEMI,
    STATE(17120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712099] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24340), 1,
      anon_sym_RBRACE,
    ACTIONS(24346), 1,
      anon_sym_SEMI,
    STATE(17121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712116] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17122), 1,
      sym_attribute,
    STATE(18791), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712133] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24348), 1,
      anon_sym_RPAREN,
    ACTIONS(24350), 1,
      anon_sym_SEMI,
    STATE(17123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712150] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24348), 1,
      anon_sym_RBRACK,
    ACTIONS(24352), 1,
      anon_sym_SEMI,
    STATE(17124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712167] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24348), 1,
      anon_sym_RBRACE,
    ACTIONS(24354), 1,
      anon_sym_SEMI,
    STATE(17125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712184] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17126), 1,
      sym_attribute,
    STATE(18839), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712201] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24356), 1,
      anon_sym_RPAREN,
    ACTIONS(24358), 1,
      anon_sym_SEMI,
    STATE(17127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712218] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24356), 1,
      anon_sym_RBRACK,
    ACTIONS(24360), 1,
      anon_sym_SEMI,
    STATE(17128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712235] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24356), 1,
      anon_sym_RBRACE,
    ACTIONS(24362), 1,
      anon_sym_SEMI,
    STATE(17129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712252] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24364), 1,
      anon_sym_SEMI,
    ACTIONS(24366), 1,
      anon_sym_RBRACE,
    STATE(17130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712269] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17131), 1,
      sym_attribute,
    STATE(18879), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712286] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17132), 1,
      sym_attribute,
    STATE(18891), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712303] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17133), 1,
      sym_attribute,
    STATE(18902), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712320] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17134), 1,
      sym_attribute,
    STATE(18920), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712337] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24368), 1,
      anon_sym_SEMI,
    ACTIONS(24370), 1,
      anon_sym_RBRACE,
    STATE(17135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712354] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17136), 1,
      sym_attribute,
    STATE(18931), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712371] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17137), 1,
      sym_attribute,
    STATE(18942), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712388] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17138), 1,
      sym_attribute,
    STATE(18960), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712405] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17139), 1,
      sym_attribute,
    STATE(18971), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712422] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17140), 1,
      sym_attribute,
    STATE(18982), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712439] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17141), 1,
      sym_attribute,
    STATE(19000), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712456] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(24372), 1,
      sym__lowercase_identifier,
    STATE(17142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712473] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17143), 1,
      sym_attribute,
    STATE(19006), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712490] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17144), 1,
      sym_attribute,
    STATE(19012), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712507] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17145), 1,
      sym_attribute,
    STATE(19018), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712524] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17146), 1,
      sym_attribute,
    STATE(19024), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712541] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17147), 1,
      sym_attribute,
    STATE(19030), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712558] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17148), 1,
      sym_attribute,
    STATE(19036), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712575] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17149), 1,
      sym_attribute,
    STATE(19042), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712592] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17150), 1,
      sym_attribute,
    STATE(19048), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712609] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17151), 1,
      sym_attribute,
    STATE(19054), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712626] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17152), 1,
      sym_attribute,
    STATE(19060), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712643] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17153), 1,
      sym_attribute,
    STATE(19066), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712660] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17154), 1,
      sym_attribute,
    STATE(19072), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712677] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17155), 1,
      sym_attribute,
    STATE(19078), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712694] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17156), 1,
      sym_attribute,
    STATE(19087), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712711] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24374), 1,
      sym__lowercase_identifier,
    ACTIONS(24376), 1,
      anon_sym_LPAREN,
    STATE(17157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712728] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(17158), 1,
      sym_attribute,
    STATE(18990), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712745] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16409), 1,
      anon_sym_STAR,
    ACTIONS(24378), 1,
      anon_sym_DASH_GT,
    STATE(17159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712762] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17160), 1,
      sym_attribute,
    STATE(17559), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712779] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24380), 1,
      anon_sym_RPAREN,
    STATE(17161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712796] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(24382), 1,
      anon_sym_DOT,
    STATE(17162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712813] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24384), 1,
      anon_sym_COLON_GT,
    ACTIONS(24386), 1,
      anon_sym_RPAREN,
    STATE(17163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712830] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(24388), 1,
      anon_sym_DOT,
    STATE(17164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712847] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(24390), 1,
      anon_sym_DOT,
    STATE(17165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712864] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    STATE(15463), 1,
      sym_extended_module_path,
    STATE(17166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712881] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22832), 1,
      anon_sym_then,
    STATE(8417), 1,
      sym_then_clause,
    STATE(17167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712898] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18104), 1,
      anon_sym_RBRACE,
    ACTIONS(24392), 1,
      anon_sym_SEMI,
    STATE(17168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712915] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17169), 1,
      sym_attribute,
    STATE(19346), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712932] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24394), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [712947] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17465), 1,
      sym__lowercase_identifier,
    STATE(17171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712964] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24396), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [712979] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10022), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(17173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712996] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24398), 1,
      anon_sym_RPAREN,
    ACTIONS(24400), 1,
      anon_sym_LT_DASH,
    STATE(17174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713013] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(24402), 1,
      anon_sym_DOT,
    STATE(17175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713030] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23184), 1,
      anon_sym_then,
    STATE(8099), 1,
      sym_then_clause,
    STATE(17176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713047] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17177), 1,
      sym_attribute,
    STATE(18166), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713064] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24404), 2,
      anon_sym_to,
      anon_sym_downto,
  [713079] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18112), 1,
      anon_sym_RBRACE,
    ACTIONS(24406), 1,
      anon_sym_SEMI,
    STATE(17179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713096] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(24408), 1,
      sym__lowercase_identifier,
    STATE(17180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713113] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24410), 1,
      anon_sym_RPAREN,
    ACTIONS(24412), 1,
      anon_sym_LT_DASH,
    STATE(17181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713130] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24414), 1,
      anon_sym_RPAREN,
    ACTIONS(24416), 1,
      anon_sym_LT_DASH,
    STATE(17182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713147] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24418), 1,
      anon_sym_COLON_GT,
    ACTIONS(24420), 1,
      anon_sym_RPAREN,
    STATE(17183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713164] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24422), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [713179] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    STATE(8941), 1,
      sym_extended_module_path,
    STATE(17185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713196] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24424), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713211] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24426), 2,
      anon_sym_to,
      anon_sym_downto,
  [713226] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24428), 1,
      anon_sym_RPAREN,
    ACTIONS(24430), 1,
      anon_sym_LT_DASH,
    STATE(17188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713243] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24432), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713258] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(24434), 1,
      sym__lowercase_identifier,
    STATE(17190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713275] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(24436), 1,
      sym__lowercase_identifier,
    STATE(17191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713292] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23104), 1,
      anon_sym_then,
    STATE(8425), 1,
      sym_then_clause,
    STATE(17192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713309] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23160), 1,
      anon_sym_do,
    STATE(8123), 1,
      sym_do_clause,
    STATE(17193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713326] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24438), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713341] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22834), 1,
      anon_sym_then,
    STATE(7989), 1,
      sym_then_clause,
    STATE(17195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713358] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23242), 1,
      anon_sym_then,
    STATE(8170), 1,
      sym_then_clause,
    STATE(17196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713375] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23276), 1,
      anon_sym_then,
    STATE(12258), 1,
      sym_then_clause,
    STATE(17197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713392] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24440), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713407] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10034), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(17199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713424] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24442), 1,
      anon_sym_RPAREN,
    STATE(17200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713441] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17201), 1,
      sym_attribute,
    STATE(19669), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713458] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24444), 1,
      sym__lowercase_identifier,
    ACTIONS(24446), 1,
      anon_sym_LPAREN,
    STATE(17202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713475] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    STATE(17203), 1,
      sym_attribute,
    STATE(20269), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713492] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24448), 1,
      anon_sym_EQ,
    ACTIONS(24450), 1,
      anon_sym_RPAREN,
    STATE(17204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713509] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8602), 1,
      anon_sym_COLON_GT,
    ACTIONS(8604), 1,
      anon_sym_EQ,
    STATE(17205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713526] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24452), 1,
      anon_sym_COLON_GT,
    ACTIONS(24454), 1,
      anon_sym_RPAREN,
    STATE(17206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713543] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24456), 1,
      anon_sym_COLON2,
    STATE(11817), 1,
      sym__polymorphic_typed,
    STATE(17207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713560] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24458), 1,
      anon_sym_RPAREN,
    ACTIONS(24460), 1,
      anon_sym_LT_DASH,
    STATE(17208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713577] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24462), 2,
      anon_sym_to,
      anon_sym_downto,
  [713592] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24464), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713607] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24466), 1,
      anon_sym_COLON_GT,
    ACTIONS(24468), 1,
      anon_sym_RPAREN,
    STATE(17211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713624] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22912), 1,
      anon_sym_then,
    STATE(12074), 1,
      sym_then_clause,
    STATE(17212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713641] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18068), 1,
      anon_sym_as,
    ACTIONS(24470), 1,
      anon_sym_DASH_GT,
    STATE(17213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713658] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(24472), 1,
      sym__lowercase_identifier,
    STATE(17214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713675] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18530), 1,
      sym__lowercase_identifier,
    STATE(14921), 1,
      sym__simple_value_pattern,
    STATE(17215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713692] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24474), 2,
      anon_sym_to,
      anon_sym_downto,
  [713707] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24476), 1,
      anon_sym_EQ,
    ACTIONS(24478), 1,
      anon_sym_RPAREN,
    STATE(17217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713724] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22916), 1,
      anon_sym_then,
    STATE(11815), 1,
      sym_then_clause,
    STATE(17218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713741] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24480), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [713756] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24482), 1,
      anon_sym_RPAREN,
    STATE(17220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713773] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24484), 1,
      anon_sym_RPAREN,
    ACTIONS(24486), 1,
      anon_sym_LT_DASH,
    STATE(17221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713790] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22387), 1,
      anon_sym_EQ,
    ACTIONS(24488), 1,
      anon_sym_COLON_GT,
    STATE(17222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713807] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24490), 1,
      anon_sym_RPAREN,
    ACTIONS(24492), 1,
      anon_sym_SEMI,
    STATE(17223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713824] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24494), 1,
      anon_sym_RPAREN,
    ACTIONS(24496), 1,
      anon_sym_LT_DASH,
    STATE(17224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713841] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24490), 1,
      anon_sym_RBRACK,
    ACTIONS(24498), 1,
      anon_sym_SEMI,
    STATE(17225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713858] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24490), 1,
      anon_sym_RBRACE,
    ACTIONS(24500), 1,
      anon_sym_SEMI,
    STATE(17226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713875] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24502), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713890] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24504), 1,
      anon_sym_SEMI,
    ACTIONS(24506), 1,
      anon_sym_RBRACE,
    STATE(17228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713907] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24508), 1,
      anon_sym_RPAREN,
    ACTIONS(24510), 1,
      anon_sym_LT_DASH,
    STATE(17229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713924] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24512), 2,
      anon_sym_to,
      anon_sym_downto,
  [713939] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16409), 1,
      anon_sym_STAR,
    ACTIONS(24514), 1,
      anon_sym_DASH_GT,
    STATE(17231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713956] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24516), 1,
      anon_sym_SEMI,
    ACTIONS(24518), 1,
      anon_sym_RBRACE,
    STATE(17232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713973] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24456), 1,
      anon_sym_COLON2,
    STATE(11995), 1,
      sym__polymorphic_typed,
    STATE(17233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713990] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24520), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [714005] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17487), 1,
      sym__lowercase_identifier,
    STATE(17235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714022] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24522), 2,
      anon_sym_to,
      anon_sym_downto,
  [714037] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16377), 1,
      anon_sym_COLON2,
    STATE(17237), 1,
      sym_attribute,
    STATE(19150), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714054] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16409), 1,
      anon_sym_STAR,
    ACTIONS(24524), 1,
      anon_sym_DASH_GT,
    STATE(17238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714071] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23344), 1,
      anon_sym_open,
    STATE(17239), 1,
      sym_attribute,
    STATE(17605), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714088] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(24526), 1,
      anon_sym_DOT,
    STATE(17240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714105] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(24528), 1,
      sym__lowercase_identifier,
    STATE(17241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714122] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23846), 1,
      anon_sym_do,
    STATE(8096), 1,
      sym_do_clause,
    STATE(17242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714139] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24530), 1,
      anon_sym_RPAREN,
    STATE(17243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714156] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24532), 1,
      anon_sym_RPAREN,
    ACTIONS(24534), 1,
      anon_sym_LT_DASH,
    STATE(17244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714173] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(17245), 1,
      sym_attribute,
    STATE(19745), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714190] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16409), 1,
      anon_sym_STAR,
    ACTIONS(24536), 1,
      anon_sym_DASH_GT,
    STATE(17246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714207] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17560), 1,
      sym__lowercase_identifier,
    STATE(17247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714224] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24538), 1,
      anon_sym_EQ,
    ACTIONS(24540), 1,
      anon_sym_RPAREN,
    STATE(17248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714241] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23846), 1,
      anon_sym_do,
    STATE(8101), 1,
      sym_do_clause,
    STATE(17249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714258] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24542), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [714273] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17552), 1,
      sym__lowercase_identifier,
    STATE(17251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714290] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24544), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [714305] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10026), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(17253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714322] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9624), 1,
      anon_sym_RPAREN,
    STATE(17254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714339] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24546), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [714354] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24548), 1,
      anon_sym_SEMI,
    ACTIONS(24550), 1,
      anon_sym_RBRACE,
    STATE(17256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714371] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24552), 1,
      anon_sym_RPAREN,
    STATE(17257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714388] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24554), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [714403] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(24556), 1,
      sym__lowercase_identifier,
    STATE(17259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714420] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17358), 1,
      sym__lowercase_identifier,
    STATE(17260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714437] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24558), 1,
      sym__lowercase_identifier,
    ACTIONS(24560), 1,
      anon_sym_LBRACK,
    STATE(17261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714454] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24562), 2,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
  [714469] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23282), 1,
      anon_sym_then,
    STATE(11616), 1,
      sym_then_clause,
    STATE(17263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714486] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24564), 1,
      anon_sym_RPAREN,
    STATE(17264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714503] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10043), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(17265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714520] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(24566), 1,
      sym__lowercase_identifier,
    STATE(17266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714537] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24568), 1,
      sym__lowercase_identifier,
    ACTIONS(24570), 1,
      anon_sym_LPAREN,
    STATE(17267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714554] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22916), 1,
      anon_sym_then,
    STATE(11968), 1,
      sym_then_clause,
    STATE(17268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714571] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22892), 1,
      anon_sym_then,
    STATE(11461), 1,
      sym_then_clause,
    STATE(17269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714588] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9620), 1,
      anon_sym_RPAREN,
    STATE(17270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714605] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24572), 1,
      sym__lowercase_identifier,
    ACTIONS(24574), 1,
      anon_sym_LPAREN,
    STATE(17271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714622] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8128), 1,
      sym_type_variable,
    STATE(17272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714639] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24576), 1,
      sym__lowercase_identifier,
    ACTIONS(24578), 1,
      anon_sym_LPAREN,
    STATE(17273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714656] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    STATE(16110), 1,
      sym_extended_module_path,
    STATE(17274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714673] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24580), 1,
      anon_sym_COLON_GT,
    ACTIONS(24582), 1,
      anon_sym_RPAREN,
    STATE(17275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714690] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24584), 1,
      anon_sym_RPAREN,
    ACTIONS(24586), 1,
      anon_sym_SEMI,
    STATE(17276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714707] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24588), 1,
      anon_sym_RPAREN,
    STATE(17277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714724] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18132), 1,
      anon_sym_RBRACE,
    ACTIONS(24590), 1,
      anon_sym_SEMI,
    STATE(17278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714741] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24584), 1,
      anon_sym_RBRACK,
    ACTIONS(24592), 1,
      anon_sym_SEMI,
    STATE(17279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714758] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24594), 1,
      anon_sym_COLON_GT,
    ACTIONS(24596), 1,
      anon_sym_RPAREN,
    STATE(17280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714775] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21929), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [714790] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24598), 1,
      anon_sym_SEMI,
    ACTIONS(24600), 1,
      anon_sym_RBRACE,
    STATE(17282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714807] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9662), 1,
      anon_sym_RPAREN,
    STATE(17283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714824] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24602), 1,
      anon_sym_COLON_GT,
    ACTIONS(24604), 1,
      anon_sym_RPAREN,
    STATE(17284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714841] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24584), 1,
      anon_sym_RBRACE,
    ACTIONS(24606), 1,
      anon_sym_SEMI,
    STATE(17285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714858] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22870), 1,
      anon_sym_then,
    STATE(9423), 1,
      sym_then_clause,
    STATE(17286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714875] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9670), 1,
      anon_sym_RPAREN,
    STATE(17287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714892] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23118), 1,
      anon_sym_then,
    STATE(11823), 1,
      sym_then_clause,
    STATE(17288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714909] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(24608), 1,
      sym__lowercase_identifier,
    STATE(17289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714926] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24610), 1,
      sym__lowercase_identifier,
    ACTIONS(24612), 1,
      anon_sym_LPAREN,
    STATE(17290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714943] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(24614), 1,
      sym__lowercase_identifier,
    STATE(17291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714960] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23242), 1,
      anon_sym_then,
    STATE(8216), 1,
      sym_then_clause,
    STATE(17292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714977] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(24616), 1,
      sym__lowercase_identifier,
    STATE(17293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714994] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24618), 1,
      anon_sym_COLON_GT,
    ACTIONS(24620), 1,
      anon_sym_RPAREN,
    STATE(17294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715011] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24622), 1,
      anon_sym_COLON_GT,
    ACTIONS(24624), 1,
      anon_sym_RPAREN,
    STATE(17295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715028] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(24626), 1,
      sym__lowercase_identifier,
    STATE(17296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715045] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24628), 1,
      anon_sym_RPAREN,
    ACTIONS(24630), 1,
      anon_sym_LT_DASH,
    STATE(17297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715062] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24632), 1,
      anon_sym_RPAREN,
    ACTIONS(24634), 1,
      anon_sym_LT_DASH,
    STATE(17298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715079] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24636), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715094] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24638), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715109] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17812), 1,
      anon_sym_COLON2,
    STATE(16652), 1,
      sym__polymorphic_typed,
    STATE(17301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715126] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24640), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [715141] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24642), 1,
      anon_sym_RPAREN,
    ACTIONS(24644), 1,
      anon_sym_LT_DASH,
    STATE(17303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715158] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24646), 1,
      anon_sym_RPAREN,
    ACTIONS(24648), 1,
      anon_sym_LT_DASH,
    STATE(17304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715175] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24650), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715190] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22938), 1,
      anon_sym_then,
    STATE(8205), 1,
      sym_then_clause,
    STATE(17306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715207] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24652), 1,
      anon_sym_RPAREN,
    ACTIONS(24654), 1,
      anon_sym_LT_DASH,
    STATE(17307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715224] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24656), 1,
      anon_sym_RPAREN,
    ACTIONS(24658), 1,
      anon_sym_LT_DASH,
    STATE(17308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715241] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24660), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715256] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(24662), 1,
      sym__lowercase_identifier,
    STATE(17310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715273] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24664), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715288] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24666), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715303] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24668), 1,
      anon_sym_RPAREN,
    STATE(17313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715320] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24670), 1,
      anon_sym_RPAREN,
    ACTIONS(24672), 1,
      anon_sym_LT_DASH,
    STATE(17314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715337] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10233), 1,
      anon_sym_RPAREN,
    ACTIONS(24674), 1,
      aux_sym_number_token1,
    STATE(17315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715354] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24676), 1,
      anon_sym_COLON_GT,
    ACTIONS(24678), 1,
      anon_sym_RPAREN,
    STATE(17316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715371] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_RBRACE,
    ACTIONS(24680), 1,
      anon_sym_SEMI,
    STATE(17317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715388] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17318), 1,
      sym_attribute,
    STATE(18852), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715405] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22145), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [715420] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18078), 1,
      anon_sym_RBRACE,
    ACTIONS(24682), 1,
      anon_sym_SEMI,
    STATE(17320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715437] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24684), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715452] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24686), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715467] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24688), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715482] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24690), 1,
      sym__lowercase_identifier,
    ACTIONS(24692), 1,
      sym__uppercase_identifier,
    STATE(17324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715499] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24232), 1,
      anon_sym_COLON2,
    STATE(17325), 1,
      sym_attribute,
    STATE(19568), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715516] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9996), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(17326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715533] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24694), 1,
      anon_sym_RPAREN,
    ACTIONS(24696), 1,
      anon_sym_LT_DASH,
    STATE(17327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715550] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24698), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715565] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24700), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715580] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10030), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(17330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715597] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17477), 1,
      sym__lowercase_identifier,
    STATE(17331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715614] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24702), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715629] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24704), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715644] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10071), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(17334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715661] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10038), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(17335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715678] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24706), 1,
      anon_sym_RPAREN,
    ACTIONS(24708), 1,
      anon_sym_LT_DASH,
    STATE(17336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715695] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23018), 1,
      anon_sym_then,
    STATE(11948), 1,
      sym_then_clause,
    STATE(17337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715712] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(24710), 1,
      sym__lowercase_identifier,
    STATE(17338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715729] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24712), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715744] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17556), 1,
      sym__lowercase_identifier,
    STATE(17340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715761] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24714), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715776] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24716), 1,
      sym__lowercase_identifier,
    ACTIONS(24718), 1,
      anon_sym_LPAREN,
    STATE(17342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715793] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18096), 1,
      anon_sym_RBRACE,
    ACTIONS(24720), 1,
      anon_sym_SEMI,
    STATE(17343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715810] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(24722), 1,
      sym__lowercase_identifier,
    STATE(17344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715827] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24724), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715842] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9706), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(17346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715859] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(24726), 1,
      sym__lowercase_identifier,
    STATE(17347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715876] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22880), 1,
      anon_sym_then,
    STATE(12252), 1,
      sym_then_clause,
    STATE(17348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715893] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24728), 1,
      anon_sym_RPAREN,
    ACTIONS(24730), 1,
      anon_sym_LT_DASH,
    STATE(17349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715910] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24732), 1,
      sym__lowercase_identifier,
    ACTIONS(24734), 1,
      anon_sym_LPAREN,
    STATE(17350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715927] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24736), 1,
      anon_sym_COLON_GT,
    ACTIONS(24738), 1,
      anon_sym_RPAREN,
    STATE(17351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715944] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24740), 1,
      anon_sym_then,
    STATE(10935), 1,
      sym_then_clause,
    STATE(17352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715961] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10024), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(17353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715978] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22994), 1,
      anon_sym_then,
    STATE(9949), 1,
      sym_then_clause,
    STATE(17354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715995] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22892), 1,
      anon_sym_then,
    STATE(11236), 1,
      sym_then_clause,
    STATE(17355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716012] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24742), 1,
      anon_sym_COLON_GT,
    ACTIONS(24744), 1,
      anon_sym_RPAREN,
    STATE(17356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716029] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22974), 1,
      anon_sym_then,
    STATE(11927), 1,
      sym_then_clause,
    STATE(17357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716046] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24746), 1,
      sym__lowercase_identifier,
    ACTIONS(24748), 1,
      anon_sym_LPAREN,
    STATE(17358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24750), 1,
      anon_sym_RPAREN,
    ACTIONS(24752), 1,
      anon_sym_LT_DASH,
    STATE(17359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716080] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24754), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [716095] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(24756), 1,
      sym__lowercase_identifier,
    STATE(17361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716112] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24758), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [716127] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23792), 1,
      anon_sym_then,
    STATE(12194), 1,
      sym_then_clause,
    STATE(17363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716144] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(24760), 1,
      sym__lowercase_identifier,
    STATE(17364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716161] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24740), 1,
      anon_sym_then,
    STATE(10999), 1,
      sym_then_clause,
    STATE(17365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716178] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24762), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [716193] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24740), 1,
      anon_sym_then,
    STATE(11017), 1,
      sym_then_clause,
    STATE(17367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716210] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22938), 1,
      anon_sym_then,
    STATE(8242), 1,
      sym_then_clause,
    STATE(17368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716227] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24740), 1,
      anon_sym_then,
    STATE(10886), 1,
      sym_then_clause,
    STATE(17369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716244] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(24764), 1,
      anon_sym_DOT,
    STATE(17370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716261] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9926), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(17371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716278] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(24766), 1,
      anon_sym_DOT,
    STATE(17372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716295] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(24768), 1,
      anon_sym_DOT,
    STATE(17373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716312] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24770), 1,
      anon_sym_RPAREN,
    ACTIONS(24772), 1,
      anon_sym_LT_DASH,
    STATE(17374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716329] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24774), 1,
      anon_sym_COLON_GT,
    ACTIONS(24776), 1,
      anon_sym_RPAREN,
    STATE(17375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716346] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11506), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [716361] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11510), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [716376] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17378), 1,
      sym_attribute,
    STATE(19939), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716393] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24778), 1,
      anon_sym_RPAREN,
    ACTIONS(24780), 1,
      anon_sym_LT_DASH,
    STATE(17379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716410] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24782), 1,
      anon_sym_EQ,
    ACTIONS(24784), 1,
      anon_sym_RPAREN,
    STATE(17380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716427] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24786), 1,
      anon_sym_RPAREN,
    ACTIONS(24788), 1,
      anon_sym_LT_DASH,
    STATE(17381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716444] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(24790), 1,
      sym__lowercase_identifier,
    STATE(17382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716461] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [716476] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24792), 1,
      anon_sym_RPAREN,
    ACTIONS(24794), 1,
      anon_sym_LT_DASH,
    STATE(17384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716493] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24796), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [716508] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23184), 1,
      anon_sym_then,
    STATE(7978), 1,
      sym_then_clause,
    STATE(17386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716525] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24798), 1,
      anon_sym_RPAREN,
    ACTIONS(24800), 1,
      anon_sym_LT_DASH,
    STATE(17387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716542] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23184), 1,
      anon_sym_then,
    STATE(8034), 1,
      sym_then_clause,
    STATE(17388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716559] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(24802), 1,
      sym__lowercase_identifier,
    STATE(17389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716576] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19516), 1,
      sym__lowercase_identifier,
    STATE(14521), 1,
      aux_sym__abstract_type_repeat1,
    STATE(17390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716593] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7886), 1,
      sym__left_quoted_string_delimiter,
    STATE(17391), 1,
      sym_attribute,
    STATE(18623), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716610] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(24804), 1,
      sym__lowercase_identifier,
    STATE(17392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716627] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17532), 1,
      sym__lowercase_identifier,
    STATE(17393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716644] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8657), 1,
      anon_sym_COLON_GT,
    ACTIONS(8659), 1,
      anon_sym_EQ,
    STATE(17394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716661] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(24806), 1,
      sym__lowercase_identifier,
    STATE(17395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716678] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(24808), 1,
      sym__lowercase_identifier,
    STATE(17396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716695] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24810), 1,
      anon_sym_RPAREN,
    ACTIONS(24812), 1,
      anon_sym_LT_DASH,
    STATE(17397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716712] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(24814), 1,
      sym__lowercase_identifier,
    STATE(17398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716729] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17540), 1,
      sym__lowercase_identifier,
    STATE(17399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716746] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18530), 1,
      sym__lowercase_identifier,
    STATE(14320), 1,
      sym__simple_value_pattern,
    STATE(17400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716763] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24816), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [716778] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24818), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [716793] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20820), 1,
      anon_sym_EQ,
    ACTIONS(24820), 1,
      anon_sym_COLON_GT,
    STATE(17403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716810] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24822), 1,
      anon_sym_RPAREN,
    ACTIONS(24824), 1,
      anon_sym_SEMI,
    STATE(17404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716827] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24822), 1,
      anon_sym_RBRACK,
    ACTIONS(24826), 1,
      anon_sym_SEMI,
    STATE(17405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716844] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24822), 1,
      anon_sym_RBRACE,
    ACTIONS(24828), 1,
      anon_sym_SEMI,
    STATE(17406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716861] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17330), 1,
      sym__lowercase_identifier,
    STATE(17407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716878] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14518), 2,
      anon_sym_and,
      anon_sym_in,
  [716893] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17425), 1,
      sym__lowercase_identifier,
    STATE(17409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716910] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    ACTIONS(24830), 1,
      anon_sym_DOT,
    STATE(17410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716927] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19157), 1,
      anon_sym_COLON2,
    STATE(17411), 1,
      sym_attribute,
    STATE(19274), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716944] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9958), 1,
      aux_sym_type_variable_token1,
    STATE(12933), 1,
      sym_type_variable,
    STATE(17412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716961] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24832), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [716976] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24834), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [716991] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24836), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717006] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24838), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717021] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24840), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717036] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10032), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(17418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717053] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24842), 1,
      anon_sym_RPAREN,
    ACTIONS(24844), 1,
      anon_sym_LT_DASH,
    STATE(17419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717070] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23344), 1,
      anon_sym_open,
    STATE(17420), 1,
      sym_attribute,
    STATE(20115), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717087] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(24846), 1,
      sym__lowercase_identifier,
    STATE(17421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717104] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    ACTIONS(17417), 1,
      sym__lowercase_identifier,
    STATE(17422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717121] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17812), 1,
      anon_sym_COLON2,
    STATE(17302), 1,
      sym__polymorphic_typed,
    STATE(17423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717138] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22832), 1,
      anon_sym_then,
    STATE(8397), 1,
      sym_then_clause,
    STATE(17424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717155] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23276), 1,
      anon_sym_then,
    STATE(12386), 1,
      sym_then_clause,
    STATE(17425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717172] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23006), 1,
      anon_sym_then,
    STATE(11737), 1,
      sym_then_clause,
    STATE(17426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717189] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22852), 1,
      anon_sym_COLON2,
    STATE(11995), 1,
      sym__polymorphic_typed,
    STATE(17427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717206] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24848), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [717221] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24850), 1,
      sym__lowercase_identifier,
    ACTIONS(24852), 1,
      anon_sym_LPAREN,
    STATE(17429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717238] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24854), 1,
      anon_sym_RPAREN,
    ACTIONS(24856), 1,
      anon_sym_LT_DASH,
    STATE(17430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717255] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23160), 1,
      anon_sym_do,
    STATE(8053), 1,
      sym_do_clause,
    STATE(17431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717272] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24858), 1,
      sym__lowercase_identifier,
    ACTIONS(24860), 1,
      anon_sym_LPAREN,
    STATE(17432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717289] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21023), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [717304] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24862), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [717319] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24864), 1,
      anon_sym_COLON_GT,
    ACTIONS(24866), 1,
      anon_sym_RPAREN,
    STATE(17435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717336] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23644), 1,
      anon_sym_COLON2,
    STATE(13039), 1,
      sym__typed,
    STATE(17436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717353] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24868), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717368] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24870), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717383] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24872), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717398] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24874), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [717413] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23118), 1,
      anon_sym_then,
    STATE(11914), 1,
      sym_then_clause,
    STATE(17441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717430] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24876), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717445] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10047), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(17443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717462] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24878), 1,
      sym__lowercase_identifier,
    ACTIONS(24880), 1,
      anon_sym_LPAREN,
    STATE(17444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717479] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23282), 1,
      anon_sym_then,
    STATE(11586), 1,
      sym_then_clause,
    STATE(17445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717496] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24882), 1,
      anon_sym_COLON_GT,
    ACTIONS(24884), 1,
      anon_sym_RPAREN,
    STATE(17446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717513] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24886), 1,
      anon_sym_COLON_GT,
    ACTIONS(24888), 1,
      anon_sym_RPAREN,
    STATE(17447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717530] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(24890), 1,
      sym__lowercase_identifier,
    STATE(17448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717547] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24892), 1,
      aux_sym_type_variable_token1,
    STATE(8128), 1,
      sym_type_variable,
    STATE(17449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717564] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24894), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717579] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23672), 1,
      anon_sym_COLON2,
    STATE(13004), 1,
      sym__polymorphic_typed,
    STATE(17451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717596] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22870), 1,
      anon_sym_then,
    STATE(9368), 1,
      sym_then_clause,
    STATE(17452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717613] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22796), 1,
      anon_sym_then,
    STATE(11856), 1,
      sym_then_clause,
    STATE(17453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717630] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24896), 1,
      anon_sym_SEMI,
    ACTIONS(24898), 1,
      anon_sym_RBRACE,
    STATE(17454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717647] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16409), 1,
      anon_sym_STAR,
    ACTIONS(24900), 1,
      anon_sym_DASH_GT,
    STATE(17455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717664] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    ACTIONS(24902), 1,
      sym__lowercase_identifier,
    STATE(17456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717681] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24904), 1,
      sym__lowercase_identifier,
    ACTIONS(24906), 1,
      anon_sym_LPAREN,
    STATE(17457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717698] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24908), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717713] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24910), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717728] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24912), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717743] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9768), 1,
      anon_sym_RBRACK,
    ACTIONS(18226), 1,
      anon_sym_PIPE,
    STATE(17461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717760] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24914), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717775] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24916), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717790] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24918), 1,
      anon_sym_DOT,
    STATE(17464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717804] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24920), 1,
      anon_sym_RBRACK,
    STATE(17465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717818] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24922), 1,
      anon_sym_RBRACE,
    STATE(17466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717832] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24924), 1,
      anon_sym_DOT,
    STATE(17467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717846] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24926), 1,
      anon_sym_RPAREN,
    STATE(17468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717860] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24928), 1,
      anon_sym_in,
    STATE(17469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717874] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24540), 1,
      anon_sym_RPAREN,
    STATE(17470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717888] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24930), 1,
      anon_sym_RBRACE,
    STATE(17471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717902] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24932), 1,
      anon_sym_SQUOTE2,
    STATE(17472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717916] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24934), 1,
      anon_sym_RPAREN,
    STATE(17473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717930] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24936), 1,
      anon_sym_DASH_GT,
    STATE(17474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717944] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24938), 1,
      anon_sym_RBRACE,
    STATE(17475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717958] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24940), 1,
      anon_sym_with,
    STATE(17476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717972] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24942), 1,
      anon_sym_with,
    STATE(17477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717986] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24944), 1,
      anon_sym_DOT,
    STATE(17478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718000] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      sym__uppercase_identifier,
    STATE(17479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718014] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24946), 1,
      anon_sym_GT,
    STATE(17480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718028] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24948), 1,
      anon_sym_RPAREN,
    STATE(17481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718042] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24950), 1,
      anon_sym_RPAREN,
    STATE(17482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718056] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24952), 1,
      anon_sym_DQUOTE,
    STATE(17483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718070] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24954), 1,
      anon_sym_RPAREN,
    STATE(17484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718084] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23422), 1,
      anon_sym_RBRACK,
    STATE(17485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718098] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24956), 1,
      anon_sym_with,
    STATE(17486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718112] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24958), 1,
      anon_sym_with,
    STATE(17487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718126] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14990), 1,
      anon_sym_DASH_GT,
    STATE(17488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718140] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24960), 1,
      anon_sym_RPAREN,
    STATE(17489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718154] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24962), 1,
      anon_sym_DQUOTE,
    STATE(17490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718168] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24964), 1,
      anon_sym_DOT,
    STATE(17491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718182] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24960), 1,
      anon_sym_RBRACK,
    STATE(17492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718196] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24960), 1,
      anon_sym_RBRACE,
    STATE(17493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718210] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24966), 1,
      anon_sym_DASH_GT,
    STATE(17494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718224] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24968), 1,
      anon_sym_DASH_GT,
    STATE(17495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718238] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24970), 1,
      anon_sym_RBRACE,
    STATE(17496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718252] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20355), 1,
      anon_sym_GT_RBRACE,
    STATE(17497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718266] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24972), 1,
      anon_sym_DASH_GT,
    STATE(17498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718280] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24974), 1,
      anon_sym_DASH_GT,
    STATE(17499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718294] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24976), 1,
      anon_sym_DASH_GT,
    STATE(17500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718308] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20397), 1,
      anon_sym_GT_RBRACE,
    STATE(17501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718322] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17818), 1,
      anon_sym_RPAREN,
    STATE(17502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718336] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24978), 1,
      anon_sym_RPAREN,
    STATE(17503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718350] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24980), 1,
      anon_sym_in,
    STATE(17504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718364] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20466), 1,
      anon_sym_GT_RBRACE,
    STATE(17505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718378] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24982), 1,
      anon_sym_end,
    STATE(17506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718392] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19345), 1,
      anon_sym_end,
    STATE(17507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718406] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24984), 1,
      anon_sym_DASH_GT,
    STATE(17508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718420] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24986), 1,
      anon_sym_LT_DASH,
    STATE(17509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718434] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24988), 1,
      anon_sym_RPAREN,
    STATE(17510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718448] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24990), 1,
      anon_sym_RPAREN,
    STATE(17511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718462] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24990), 1,
      anon_sym_RBRACK,
    STATE(17512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718476] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24990), 1,
      anon_sym_RBRACE,
    STATE(17513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718490] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24992), 1,
      anon_sym_DASH_GT,
    STATE(17514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718504] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24994), 1,
      anon_sym_DASH_GT,
    STATE(17515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718518] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24996), 1,
      anon_sym_DASH_GT,
    STATE(17516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718532] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24998), 1,
      anon_sym_SQUOTE2,
    STATE(17517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718546] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25000), 1,
      anon_sym_DQUOTE,
    STATE(17518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718560] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19351), 1,
      anon_sym_end,
    STATE(17519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718574] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25002), 1,
      anon_sym_RBRACK,
    STATE(17520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718588] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25004), 1,
      anon_sym_RBRACE,
    STATE(17521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718602] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25006), 1,
      anon_sym_COMMA,
    STATE(17522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718616] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25008), 1,
      sym__lowercase_identifier,
    STATE(17523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718630] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25010), 1,
      anon_sym_SQUOTE2,
    STATE(17524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718644] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25012), 1,
      anon_sym_in,
    STATE(17525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718658] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25014), 1,
      anon_sym_DQUOTE,
    STATE(17526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718672] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25016), 1,
      anon_sym_in,
    STATE(17527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718686] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    STATE(17528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718700] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25018), 1,
      anon_sym_in,
    STATE(17529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718714] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25020), 1,
      anon_sym_RPAREN,
    STATE(17530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718728] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22826), 1,
      anon_sym_RBRACE,
    STATE(17531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718742] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
    STATE(17532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718756] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25022), 1,
      anon_sym_DOT,
    STATE(17533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718770] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17356), 1,
      anon_sym_GT,
    STATE(17534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718784] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11670), 1,
      anon_sym_GT,
    STATE(17535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718798] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25024), 1,
      anon_sym_end,
    STATE(17536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718812] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19327), 1,
      anon_sym_end,
    STATE(17537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718826] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25026), 1,
      anon_sym_DASH_GT,
    STATE(17538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718840] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25028), 1,
      anon_sym_RBRACE,
    STATE(17539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718854] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25030), 1,
      anon_sym_in,
    STATE(17540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718868] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25032), 1,
      anon_sym_EQ,
    STATE(17541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718882] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25034), 1,
      anon_sym_with,
    STATE(17542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718896] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25036), 1,
      anon_sym_with,
    STATE(17543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718910] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25038), 1,
      anon_sym_DOT,
    STATE(17544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718924] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25040), 1,
      sym__lowercase_identifier,
    STATE(17545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718938] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16606), 1,
      anon_sym_RPAREN,
    STATE(17546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718952] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25042), 1,
      anon_sym_DASH_GT,
    STATE(17547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718966] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25044), 1,
      anon_sym_LT_DASH,
    STATE(17548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718980] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25046), 1,
      anon_sym_RBRACE,
    STATE(17549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718994] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25048), 1,
      anon_sym_SQUOTE2,
    STATE(17550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719008] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25050), 1,
      anon_sym_with,
    STATE(17551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719022] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25052), 1,
      anon_sym_with,
    STATE(17552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719036] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_DASH_GT,
    STATE(17553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719050] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25054), 1,
      anon_sym_RBRACE,
    STATE(17554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719064] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25056), 1,
      anon_sym_LT_DASH,
    STATE(17555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719078] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25058), 1,
      anon_sym_DOT,
    STATE(17556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719092] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25060), 1,
      anon_sym_RPAREN,
    STATE(17557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719106] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25062), 1,
      anon_sym_DQUOTE,
    STATE(17558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719120] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25064), 1,
      anon_sym_RBRACE,
    STATE(17559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719134] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25066), 1,
      anon_sym_RBRACE,
    STATE(17560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719148] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17894), 1,
      anon_sym_RPAREN,
    STATE(17561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719162] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17828), 1,
      anon_sym_RPAREN,
    STATE(17562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719176] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20389), 1,
      anon_sym_GT_RBRACE,
    STATE(17563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719190] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16319), 1,
      anon_sym_DASH_GT,
    STATE(17564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719204] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8851), 1,
      anon_sym_DASH_GT,
    STATE(17565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719218] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25068), 1,
      anon_sym_RBRACK,
    STATE(17566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719232] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19462), 1,
      anon_sym_end,
    STATE(17567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719246] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25070), 1,
      anon_sym_RPAREN,
    STATE(17568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719260] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25072), 1,
      anon_sym_RPAREN,
    STATE(17569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719274] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25072), 1,
      anon_sym_RBRACK,
    STATE(17570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719288] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25072), 1,
      anon_sym_RBRACE,
    STATE(17571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719302] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25074), 1,
      anon_sym_SQUOTE2,
    STATE(17572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719316] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11430), 1,
      anon_sym_GT,
    STATE(17573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719330] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25076), 1,
      anon_sym_DQUOTE,
    STATE(17574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719344] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25078), 1,
      anon_sym_RBRACE,
    STATE(17575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719358] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25080), 1,
      sym__lowercase_identifier,
    STATE(17576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719372] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25082), 1,
      sym__lowercase_identifier,
    STATE(17577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719386] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25084), 1,
      anon_sym_DASH_GT,
    STATE(17578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719400] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25086), 1,
      anon_sym_DASH_GT,
    STATE(17579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719414] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25088), 1,
      anon_sym_DOT,
    STATE(17580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719428] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25090), 1,
      anon_sym_LT_DASH,
    STATE(17581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719442] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25092), 1,
      anon_sym_RBRACE,
    STATE(17582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719456] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25094), 1,
      anon_sym_RBRACK,
    STATE(17583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719470] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25096), 1,
      anon_sym_RBRACE,
    STATE(17584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719484] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25098), 1,
      anon_sym_RBRACE,
    STATE(17585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719498] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25100), 1,
      anon_sym_end,
    STATE(17586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719512] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16507), 1,
      anon_sym_RPAREN,
    STATE(17587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719526] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25102), 1,
      anon_sym_DOT,
    STATE(17588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719540] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17336), 1,
      anon_sym_GT,
    STATE(17589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719554] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25104), 1,
      anon_sym_in,
    STATE(17590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719568] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25106), 1,
      anon_sym_RPAREN,
    STATE(17591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719582] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25108), 1,
      anon_sym_RPAREN,
    STATE(17592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719596] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25110), 1,
      anon_sym_RBRACK,
    STATE(17593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719610] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25112), 1,
      anon_sym_RBRACE,
    STATE(17594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719624] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25114), 1,
      anon_sym_GT,
    STATE(17595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719638] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16479), 1,
      anon_sym_RPAREN,
    STATE(17596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719652] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25116), 1,
      anon_sym_with,
    STATE(17597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719666] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25118), 1,
      anon_sym_with,
    STATE(17598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719680] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25120), 1,
      anon_sym_DOT,
    STATE(17599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719694] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8795), 1,
      anon_sym_DASH_GT,
    STATE(17600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719708] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25122), 1,
      anon_sym_in,
    STATE(17601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719722] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25124), 1,
      anon_sym_RPAREN,
    STATE(17602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719736] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6701), 1,
      anon_sym_RPAREN,
    STATE(17603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719750] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8773), 1,
      anon_sym_DASH_GT,
    STATE(17604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719764] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25126), 1,
      anon_sym_in,
    STATE(17605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719778] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25128), 1,
      anon_sym_with,
    STATE(17606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719792] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25130), 1,
      anon_sym_with,
    STATE(17607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719806] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25132), 1,
      anon_sym_RPAREN,
    STATE(17608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719820] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25134), 1,
      anon_sym_in,
    STATE(17609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719834] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25136), 1,
      anon_sym_in,
    STATE(17610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719848] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25138), 1,
      anon_sym_DOT,
    STATE(17611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719862] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25140), 1,
      anon_sym_RPAREN,
    STATE(17612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719876] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25142), 1,
      anon_sym_DOT,
    STATE(17613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719890] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25144), 1,
      anon_sym_in,
    STATE(17614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719904] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25146), 1,
      anon_sym_DASH_GT,
    STATE(17615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719918] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17840), 1,
      anon_sym_RPAREN,
    STATE(17616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719932] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25148), 1,
      anon_sym_end,
    STATE(17617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719946] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23142), 1,
      anon_sym_RPAREN,
    STATE(17618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719960] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25150), 1,
      anon_sym_LT_DASH,
    STATE(17619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719974] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6719), 1,
      anon_sym_RPAREN,
    STATE(17620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719988] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_RPAREN,
    STATE(17621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720002] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25152), 1,
      anon_sym_RPAREN,
    STATE(17622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720016] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25154), 1,
      anon_sym_RPAREN,
    STATE(17623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720030] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25154), 1,
      anon_sym_RBRACK,
    STATE(17624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720044] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25154), 1,
      anon_sym_RBRACE,
    STATE(17625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720058] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3215), 1,
      anon_sym_RPAREN,
    STATE(17626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720072] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25156), 1,
      anon_sym_RPAREN,
    STATE(17627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720086] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25158), 1,
      anon_sym_RBRACK,
    STATE(17628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720100] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25160), 1,
      anon_sym_RBRACE,
    STATE(17629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720114] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25162), 1,
      anon_sym_GT,
    STATE(17630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720128] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25164), 1,
      anon_sym_DASH_GT,
    STATE(17631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720142] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25166), 1,
      anon_sym_RPAREN,
    STATE(17632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720156] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25168), 1,
      anon_sym_RPAREN,
    STATE(17633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720170] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25170), 1,
      anon_sym_RPAREN,
    STATE(17634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720184] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25172), 1,
      anon_sym_with,
    STATE(17635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720198] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25174), 1,
      anon_sym_RBRACK,
    STATE(17636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720212] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25176), 1,
      anon_sym_in,
    STATE(17637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720226] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25178), 1,
      anon_sym_RPAREN,
    STATE(17638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720240] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25180), 1,
      anon_sym_RPAREN,
    STATE(17639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720254] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25182), 1,
      anon_sym_RBRACE,
    STATE(17640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720268] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25184), 1,
      anon_sym_DASH_GT,
    STATE(17641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720282] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25186), 1,
      anon_sym_DOT,
    STATE(17642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720296] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25188), 1,
      anon_sym_RPAREN,
    STATE(17643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720310] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25190), 1,
      anon_sym_LT_DASH,
    STATE(17644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720324] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25192), 1,
      sym__lowercase_identifier,
    STATE(17645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720338] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25194), 1,
      anon_sym_end,
    STATE(17646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720352] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25196), 1,
      anon_sym_RPAREN,
    STATE(17647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720366] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25198), 1,
      anon_sym_RPAREN,
    STATE(17648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720380] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25200), 1,
      anon_sym_RPAREN,
    STATE(17649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720394] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25202), 1,
      anon_sym_RPAREN,
    STATE(17650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720408] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25204), 1,
      anon_sym_with,
    STATE(17651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720422] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25206), 1,
      anon_sym_with,
    STATE(17652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720436] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25208), 1,
      anon_sym_DOT,
    STATE(17653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720450] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25210), 1,
      anon_sym_RBRACK,
    STATE(17654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720464] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25212), 1,
      anon_sym_RBRACK,
    STATE(17655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720478] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25214), 1,
      anon_sym_RBRACE,
    STATE(17656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720492] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25216), 1,
      anon_sym_RPAREN,
    STATE(17657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720506] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25218), 1,
      anon_sym_RBRACE,
    STATE(17658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720520] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25220), 1,
      anon_sym_RPAREN,
    STATE(17659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720534] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25222), 1,
      anon_sym_with,
    STATE(17660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720548] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25224), 1,
      anon_sym_with,
    STATE(17661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720562] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25226), 1,
      anon_sym_RPAREN,
    STATE(17662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720576] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25228), 1,
      anon_sym_EQ,
    STATE(17663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720590] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25230), 1,
      sym__lowercase_identifier,
    STATE(17664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720604] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25232), 1,
      anon_sym_DOT,
    STATE(17665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720618] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3117), 1,
      anon_sym_RPAREN,
    STATE(17666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720632] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16423), 1,
      anon_sym_RPAREN,
    STATE(17667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720646] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3247), 1,
      anon_sym_RPAREN,
    STATE(17668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720660] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25234), 1,
      anon_sym_RBRACE,
    STATE(17669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720674] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25236), 1,
      anon_sym_RBRACK,
    STATE(17670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720688] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17844), 1,
      anon_sym_RPAREN,
    STATE(17671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720702] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25238), 1,
      anon_sym_RPAREN,
    STATE(17672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720716] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19468), 1,
      anon_sym_end,
    STATE(17673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720730] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25240), 1,
      anon_sym_in,
    STATE(17674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720744] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25242), 1,
      anon_sym_RPAREN,
    STATE(17675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720758] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25244), 1,
      anon_sym_type,
    STATE(17676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720772] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25246), 1,
      anon_sym_RPAREN,
    STATE(17677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720786] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25248), 1,
      anon_sym_RPAREN,
    STATE(17678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720800] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25248), 1,
      anon_sym_RBRACK,
    STATE(17679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720814] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25248), 1,
      anon_sym_RBRACE,
    STATE(17680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720828] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25250), 1,
      anon_sym_RPAREN,
    STATE(17681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720842] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25252), 1,
      anon_sym_RBRACK,
    STATE(17682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720856] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25254), 1,
      anon_sym_RBRACE,
    STATE(17683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720870] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25256), 1,
      anon_sym_DASH_GT,
    STATE(17684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720884] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25258), 1,
      anon_sym_RPAREN,
    STATE(17685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720898] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25260), 1,
      anon_sym_RBRACK,
    STATE(17686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720912] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25262), 1,
      anon_sym_in,
    STATE(17687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720926] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25264), 1,
      anon_sym_RBRACK,
    STATE(17688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720940] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25266), 1,
      anon_sym_RBRACE,
    STATE(17689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720954] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25268), 1,
      anon_sym_RBRACE,
    STATE(17690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720968] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25270), 1,
      anon_sym_RPAREN,
    STATE(17691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720982] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25272), 1,
      anon_sym_DASH_GT,
    STATE(17692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720996] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25274), 1,
      anon_sym_in,
    STATE(17693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721010] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25276), 1,
      anon_sym_RBRACK,
    STATE(17694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721024] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25278), 1,
      anon_sym_RBRACE,
    STATE(17695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721038] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5111), 1,
      anon_sym_end,
    STATE(17696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721052] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25280), 1,
      anon_sym_DOT,
    STATE(17697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721066] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25282), 1,
      aux_sym_number_token1,
    STATE(17698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721080] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25284), 1,
      anon_sym_RPAREN,
    STATE(17699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721094] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25286), 1,
      anon_sym_in,
    STATE(17700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721108] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25288), 1,
      anon_sym_in,
    STATE(17701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721122] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25290), 1,
      anon_sym_RBRACE,
    STATE(17702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721136] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6719), 1,
      anon_sym_end,
    STATE(17703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721150] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25292), 1,
      aux_sym_number_token1,
    STATE(17704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721164] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25294), 1,
      anon_sym_in,
    STATE(17705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721178] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25296), 1,
      anon_sym_with,
    STATE(17706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721192] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25298), 1,
      anon_sym_with,
    STATE(17707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721206] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25300), 1,
      anon_sym_DOT,
    STATE(17708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721220] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25302), 1,
      anon_sym_in,
    STATE(17709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721234] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25304), 1,
      anon_sym_in,
    STATE(17710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721248] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25306), 1,
      anon_sym_in,
    STATE(17711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721262] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25308), 1,
      anon_sym_RBRACE,
    STATE(17712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721276] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25310), 1,
      anon_sym_in,
    STATE(17713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721290] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25312), 1,
      anon_sym_in,
    STATE(17714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721304] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25314), 1,
      anon_sym_with,
    STATE(17715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721318] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25316), 1,
      anon_sym_with,
    STATE(17716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721332] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25318), 1,
      anon_sym_LT_DASH,
    STATE(17717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721346] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25320), 1,
      anon_sym_RBRACK,
    STATE(17718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721360] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25322), 1,
      anon_sym_RBRACE,
    STATE(17719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721374] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25324), 1,
      anon_sym_DOT,
    STATE(17720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721388] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25326), 1,
      anon_sym_in,
    STATE(17721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721402] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25328), 1,
      anon_sym_RPAREN,
    STATE(17722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721416] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25330), 1,
      anon_sym_RPAREN,
    STATE(17723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721430] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25332), 1,
      anon_sym_RPAREN,
    STATE(17724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721444] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25334), 1,
      anon_sym_in,
    STATE(17725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721458] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17854), 1,
      anon_sym_RPAREN,
    STATE(17726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721472] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25336), 1,
      anon_sym_in,
    STATE(17727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721486] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25338), 1,
      sym__lowercase_identifier,
    STATE(17728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721500] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25340), 1,
      anon_sym_RPAREN,
    STATE(17729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721514] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25342), 1,
      anon_sym_in,
    STATE(17730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721528] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3249), 1,
      anon_sym_RPAREN,
    STATE(17731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721542] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25344), 1,
      anon_sym_RPAREN,
    STATE(17732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721556] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25346), 1,
      anon_sym_RPAREN,
    STATE(17733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721570] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25346), 1,
      anon_sym_RBRACK,
    STATE(17734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721584] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25346), 1,
      anon_sym_RBRACE,
    STATE(17735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721598] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25348), 1,
      anon_sym_RPAREN,
    STATE(17736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721612] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25350), 1,
      anon_sym_of,
    STATE(17737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721626] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25352), 1,
      anon_sym_SQUOTE2,
    STATE(17738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721640] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8855), 1,
      anon_sym_DASH_GT,
    STATE(17739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721654] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25354), 1,
      anon_sym_in,
    STATE(17740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721668] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25356), 1,
      anon_sym_in,
    STATE(17741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721682] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25358), 1,
      anon_sym_end,
    STATE(17742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721696] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25360), 1,
      anon_sym_RBRACK,
    STATE(17743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721710] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3123), 1,
      anon_sym_RPAREN,
    STATE(17744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721724] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25362), 1,
      anon_sym_DASH_GT,
    STATE(17745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721738] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24674), 1,
      aux_sym_number_token1,
    STATE(17746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721752] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25364), 1,
      anon_sym_RBRACE,
    STATE(17747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721766] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25366), 1,
      anon_sym_RBRACE,
    STATE(17748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721780] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25368), 1,
      anon_sym_DASH_GT,
    STATE(17749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721794] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25370), 1,
      anon_sym_in,
    STATE(17750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721808] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25372), 1,
      anon_sym_in,
    STATE(17751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721822] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25374), 1,
      anon_sym_DOT,
    STATE(17752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721836] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16961), 1,
      anon_sym_DASH_GT,
    STATE(17753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721850] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25376), 1,
      anon_sym_in,
    STATE(17754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721864] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25378), 1,
      anon_sym_RPAREN,
    STATE(17755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721878] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23034), 1,
      anon_sym_RBRACE,
    STATE(17756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721892] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25380), 1,
      anon_sym_RBRACE,
    STATE(17757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721906] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25382), 1,
      anon_sym_RBRACE,
    STATE(17758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721920] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25384), 1,
      anon_sym_DOT,
    STATE(17759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721934] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_GT_RBRACE,
    STATE(17760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721948] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25386), 1,
      anon_sym_with,
    STATE(17761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721962] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25388), 1,
      anon_sym_with,
    STATE(17762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721976] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25390), 1,
      anon_sym_DOT,
    STATE(17763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721990] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      anon_sym_GT_RBRACE,
    STATE(17764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722004] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8705), 1,
      anon_sym_DASH_GT,
    STATE(17765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722018] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17485), 1,
      anon_sym_GT,
    STATE(17766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722032] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19560), 1,
      anon_sym_end,
    STATE(17767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722046] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25392), 1,
      anon_sym_SQUOTE2,
    STATE(17768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722060] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25394), 1,
      anon_sym_DQUOTE,
    STATE(17769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722074] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25396), 1,
      anon_sym_with,
    STATE(17770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722088] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25398), 1,
      anon_sym_with,
    STATE(17771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722102] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25400), 1,
      anon_sym_LT_DASH,
    STATE(17772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722116] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25402), 1,
      sym__lowercase_identifier,
    STATE(17773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722130] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25404), 1,
      anon_sym_RBRACK,
    STATE(17774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722144] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25406), 1,
      anon_sym_DOT,
    STATE(17775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722158] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25408), 1,
      anon_sym_RBRACE,
    STATE(17776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722172] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25410), 1,
      anon_sym_RBRACE,
    STATE(17777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722186] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25412), 1,
      anon_sym_RPAREN,
    STATE(17778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722200] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25414), 1,
      anon_sym_RBRACK,
    STATE(17779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722214] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13834), 1,
      anon_sym_DASH_GT,
    STATE(17780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722228] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17862), 1,
      anon_sym_RPAREN,
    STATE(17781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722242] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25416), 1,
      anon_sym_RBRACE,
    STATE(17782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722256] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18174), 1,
      anon_sym_RPAREN,
    STATE(17783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722270] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25418), 1,
      anon_sym_RBRACE,
    STATE(17784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722284] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25420), 1,
      anon_sym_in,
    STATE(17785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722298] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25422), 1,
      anon_sym_DOT,
    STATE(17786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722312] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25424), 1,
      anon_sym_RPAREN,
    STATE(17787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722326] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25426), 1,
      anon_sym_RPAREN,
    STATE(17788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722340] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25426), 1,
      anon_sym_RBRACK,
    STATE(17789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722354] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25426), 1,
      anon_sym_RBRACE,
    STATE(17790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722368] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25428), 1,
      anon_sym_RBRACE,
    STATE(17791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722382] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25430), 1,
      anon_sym_RPAREN,
    STATE(17792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722396] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25432), 1,
      anon_sym_in,
    STATE(17793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722410] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25434), 1,
      anon_sym_in,
    STATE(17794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722424] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25436), 1,
      anon_sym_in,
    STATE(17795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722438] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25438), 1,
      anon_sym_DOT,
    STATE(17796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722452] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25440), 1,
      anon_sym_RPAREN,
    STATE(17797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722466] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25442), 1,
      anon_sym_LT_DASH,
    STATE(17798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722480] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8799), 1,
      anon_sym_DASH_GT,
    STATE(17799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722494] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25444), 1,
      anon_sym_RBRACK,
    STATE(17800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722508] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2513), 1,
      anon_sym_RPAREN,
    STATE(17801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722522] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21306), 1,
      anon_sym_GT_RBRACE,
    STATE(17802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722536] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3219), 1,
      anon_sym_RPAREN,
    STATE(17803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722550] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25446), 1,
      anon_sym_RBRACE,
    STATE(17804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722564] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19726), 1,
      anon_sym_end,
    STATE(17805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722578] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25448), 1,
      anon_sym_RPAREN,
    STATE(17806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722592] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25450), 1,
      anon_sym_DOT,
    STATE(17807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722606] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21991), 1,
      anon_sym_GT_RBRACE,
    STATE(17808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722620] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17493), 1,
      anon_sym_GT,
    STATE(17809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722634] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25452), 1,
      anon_sym_RPAREN,
    STATE(17810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722648] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25454), 1,
      anon_sym_RPAREN,
    STATE(17811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722662] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25456), 1,
      anon_sym_in,
    STATE(17812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722676] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25458), 1,
      anon_sym_DASH_GT,
    STATE(17813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722690] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25460), 1,
      anon_sym_RBRACK,
    STATE(17814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722704] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25462), 1,
      anon_sym_RBRACE,
    STATE(17815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722718] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25464), 1,
      anon_sym_with,
    STATE(17816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722732] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25466), 1,
      anon_sym_with,
    STATE(17817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722746] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25468), 1,
      anon_sym_DOT,
    STATE(17818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722760] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25470), 1,
      anon_sym_with,
    STATE(17819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722774] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25472), 1,
      anon_sym_end,
    STATE(17820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722788] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25474), 1,
      anon_sym_in,
    STATE(17821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722802] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25476), 1,
      anon_sym_in,
    STATE(17822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722816] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25478), 1,
      anon_sym_SQUOTE2,
    STATE(17823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722830] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25480), 1,
      anon_sym_RBRACK,
    STATE(17824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722844] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25482), 1,
      anon_sym_with,
    STATE(17825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722858] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25484), 1,
      anon_sym_with,
    STATE(17826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722872] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25486), 1,
      anon_sym_in,
    STATE(17827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722886] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25488), 1,
      anon_sym_RPAREN,
    STATE(17828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722900] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16646), 1,
      anon_sym_RPAREN,
    STATE(17829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722914] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25490), 1,
      anon_sym_DOT,
    STATE(17830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722928] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20776), 1,
      anon_sym_GT_RBRACE,
    STATE(17831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722942] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20137), 1,
      anon_sym_end,
    STATE(17832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722956] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25492), 1,
      anon_sym_SQUOTE2,
    STATE(17833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722970] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25494), 1,
      anon_sym_with,
    STATE(17834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722984] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3133), 1,
      anon_sym_RPAREN,
    STATE(17835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722998] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17870), 1,
      anon_sym_RPAREN,
    STATE(17836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723012] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25496), 1,
      anon_sym_DQUOTE,
    STATE(17837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723026] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25498), 1,
      anon_sym_DOT,
    STATE(17838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723040] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25500), 1,
      anon_sym_RBRACE,
    STATE(17839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723054] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25502), 1,
      anon_sym_RBRACE,
    STATE(17840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723068] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25504), 1,
      anon_sym_in,
    STATE(17841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723082] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25506), 1,
      anon_sym_RPAREN,
    STATE(17842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723096] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25508), 1,
      anon_sym_RPAREN,
    STATE(17843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723110] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25508), 1,
      anon_sym_RBRACK,
    STATE(17844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723124] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25508), 1,
      anon_sym_RBRACE,
    STATE(17845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723138] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25510), 1,
      anon_sym_DQUOTE,
    STATE(17846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723152] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25512), 1,
      anon_sym_RBRACE,
    STATE(17847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723166] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19582), 1,
      anon_sym_end,
    STATE(17848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723180] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25514), 1,
      anon_sym_RBRACE,
    STATE(17849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723194] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25516), 1,
      anon_sym_DASH_GT,
    STATE(17850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723208] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25518), 1,
      anon_sym_DQUOTE,
    STATE(17851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723222] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25520), 1,
      anon_sym_SQUOTE2,
    STATE(17852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723236] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19851), 1,
      anon_sym_end,
    STATE(17853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723250] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25522), 1,
      anon_sym_SQUOTE2,
    STATE(17854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723264] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16596), 1,
      anon_sym_RPAREN,
    STATE(17855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723278] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25524), 1,
      anon_sym_DQUOTE,
    STATE(17856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723292] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25526), 1,
      anon_sym_end,
    STATE(17857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723306] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25528), 1,
      sym__lowercase_identifier,
    STATE(17858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723320] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25530), 1,
      anon_sym_RPAREN,
    STATE(17859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723334] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25532), 1,
      anon_sym_RPAREN,
    STATE(17860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723348] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25534), 1,
      anon_sym_RPAREN,
    STATE(17861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723362] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25536), 1,
      anon_sym_DOT,
    STATE(17862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723376] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25538), 1,
      anon_sym_RBRACK,
    STATE(17863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723390] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20724), 1,
      anon_sym_GT_RBRACE,
    STATE(17864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723404] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25540), 1,
      anon_sym_RBRACE,
    STATE(17865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723418] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25542), 1,
      anon_sym_RPAREN,
    STATE(17866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723432] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25544), 1,
      anon_sym_RPAREN,
    STATE(17867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723446] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19472), 1,
      anon_sym_end,
    STATE(17868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723460] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25546), 1,
      anon_sym_SQUOTE2,
    STATE(17869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723474] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25548), 1,
      anon_sym_DQUOTE,
    STATE(17870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723488] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25550), 1,
      anon_sym_with,
    STATE(17871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723502] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25552), 1,
      anon_sym_with,
    STATE(17872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723516] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25554), 1,
      anon_sym_DOT,
    STATE(17873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723530] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25556), 1,
      anon_sym_in,
    STATE(17874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723544] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25558), 1,
      anon_sym_RPAREN,
    STATE(17875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723558] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25560), 1,
      anon_sym_DQUOTE,
    STATE(17876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723572] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25562), 1,
      sym__lowercase_identifier,
    STATE(17877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723586] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25564), 1,
      anon_sym_RPAREN,
    STATE(17878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723600] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25566), 1,
      sym__lowercase_identifier,
    STATE(17879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723614] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25568), 1,
      anon_sym_with,
    STATE(17880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723628] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25570), 1,
      anon_sym_with,
    STATE(17881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723642] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25572), 1,
      anon_sym_RPAREN,
    STATE(17882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723656] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21302), 1,
      anon_sym_GT_RBRACE,
    STATE(17883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723670] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25574), 1,
      anon_sym_with,
    STATE(17884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723684] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25576), 1,
      anon_sym_DOT,
    STATE(17885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723698] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25578), 1,
      sym__lowercase_identifier,
    STATE(17886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723712] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25580), 1,
      anon_sym_RPAREN,
    STATE(17887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723726] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25582), 1,
      anon_sym_with,
    STATE(17888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723740] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25584), 1,
      anon_sym_RBRACK,
    STATE(17889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723754] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25586), 1,
      anon_sym_RPAREN,
    STATE(17890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723768] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17888), 1,
      anon_sym_RPAREN,
    STATE(17891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723782] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25588), 1,
      anon_sym_RBRACK,
    STATE(17892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723796] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25590), 1,
      anon_sym_RBRACE,
    STATE(17893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723810] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25592), 1,
      anon_sym_RBRACE,
    STATE(17894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723824] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25594), 1,
      anon_sym_RPAREN,
    STATE(17895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723838] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11500), 1,
      anon_sym_GT,
    STATE(17896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723852] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25596), 1,
      anon_sym_RPAREN,
    STATE(17897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723866] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25598), 1,
      anon_sym_RPAREN,
    STATE(17898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723880] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25598), 1,
      anon_sym_RBRACK,
    STATE(17899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723894] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25598), 1,
      anon_sym_RBRACE,
    STATE(17900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723908] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25600), 1,
      anon_sym_RPAREN,
    STATE(17901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723922] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25602), 1,
      anon_sym_RBRACE,
    STATE(17902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723936] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19716), 1,
      anon_sym_end,
    STATE(17903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723950] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25604), 1,
      anon_sym_SQUOTE2,
    STATE(17904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723964] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25606), 1,
      anon_sym_DQUOTE,
    STATE(17905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723978] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25608), 1,
      anon_sym_DOT,
    STATE(17906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723992] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25610), 1,
      anon_sym_DASH_GT,
    STATE(17907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724006] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25612), 1,
      anon_sym_in,
    STATE(17908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724020] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16545), 1,
      anon_sym_RPAREN,
    STATE(17909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724034] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25614), 1,
      anon_sym_end,
    STATE(17910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724048] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25616), 1,
      anon_sym_RPAREN,
    STATE(17911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724062] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25618), 1,
      anon_sym_in,
    STATE(17912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724076] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20718), 1,
      anon_sym_GT_RBRACE,
    STATE(17913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724090] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25620), 1,
      anon_sym_RBRACE,
    STATE(17914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724104] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25622), 1,
      sym__lowercase_identifier,
    STATE(17915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724118] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25624), 1,
      anon_sym_RPAREN,
    STATE(17916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724132] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25626), 1,
      anon_sym_DOT,
    STATE(17917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724146] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11312), 1,
      anon_sym_GT,
    STATE(17918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724160] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8874), 1,
      anon_sym_DASH_GT,
    STATE(17919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724174] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25628), 1,
      anon_sym_RBRACE,
    STATE(17920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724188] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25630), 1,
      anon_sym_RBRACE,
    STATE(17921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724202] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25632), 1,
      anon_sym_DASH_GT,
    STATE(17922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724216] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21853), 1,
      anon_sym_GT_RBRACE,
    STATE(17923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724230] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25634), 1,
      anon_sym_RBRACE,
    STATE(17924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724244] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25636), 1,
      anon_sym_DASH_GT,
    STATE(17925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724258] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25638), 1,
      anon_sym_with,
    STATE(17926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724272] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25640), 1,
      anon_sym_with,
    STATE(17927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724286] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25642), 1,
      anon_sym_DOT,
    STATE(17928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724300] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23054), 1,
      anon_sym_RBRACE,
    STATE(17929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724314] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25644), 1,
      anon_sym_LT_DASH,
    STATE(17930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724328] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25646), 1,
      anon_sym_RBRACK,
    STATE(17931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724342] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25648), 1,
      anon_sym_DASH_GT,
    STATE(17932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724356] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25650), 1,
      anon_sym_RBRACE,
    STATE(17933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724370] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25652), 1,
      anon_sym_in,
    STATE(17934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724384] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25654), 1,
      anon_sym_with,
    STATE(17935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724398] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25656), 1,
      anon_sym_with,
    STATE(17936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724412] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25658), 1,
      anon_sym_in,
    STATE(17937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724426] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17694), 1,
      anon_sym_RPAREN,
    STATE(17938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724440] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25660), 1,
      anon_sym_in,
    STATE(17939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724454] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25662), 1,
      anon_sym_DOT,
    STATE(17940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724468] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25664), 1,
      anon_sym_RPAREN,
    STATE(17941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724482] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25666), 1,
      anon_sym_in,
    STATE(17942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724496] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25668), 1,
      anon_sym_RPAREN,
    STATE(17943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724510] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11610), 1,
      anon_sym_GT,
    STATE(17944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724524] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25670), 1,
      anon_sym_RPAREN,
    STATE(17945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724538] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17898), 1,
      anon_sym_RPAREN,
    STATE(17946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724552] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3139), 1,
      anon_sym_RPAREN,
    STATE(17947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724566] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25672), 1,
      sym__lowercase_identifier,
    STATE(17948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724580] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25674), 1,
      anon_sym_end,
    STATE(17949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724594] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25676), 1,
      sym__lowercase_identifier,
    STATE(17950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724608] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25678), 1,
      anon_sym_LT_DASH,
    STATE(17951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724622] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25680), 1,
      anon_sym_RPAREN,
    STATE(17952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724636] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25682), 1,
      anon_sym_RPAREN,
    STATE(17953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724650] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25682), 1,
      anon_sym_RBRACK,
    STATE(17954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724664] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25682), 1,
      anon_sym_RBRACE,
    STATE(17955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724678] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25684), 1,
      anon_sym_in,
    STATE(17956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724692] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25686), 1,
      anon_sym_RPAREN,
    STATE(17957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724706] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25688), 1,
      anon_sym_GT,
    STATE(17958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724720] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16716), 1,
      anon_sym_RPAREN,
    STATE(17959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724734] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25690), 1,
      anon_sym_in,
    STATE(17960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724748] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19438), 1,
      anon_sym_end,
    STATE(17961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724762] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25692), 1,
      anon_sym_RPAREN,
    STATE(17962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724776] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25694), 1,
      anon_sym_RBRACE,
    STATE(17963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724790] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8737), 1,
      anon_sym_DASH_GT,
    STATE(17964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724804] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25696), 1,
      anon_sym_in,
    STATE(17965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724818] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25698), 1,
      anon_sym_RBRACE,
    STATE(17966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724832] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25700), 1,
      anon_sym_DASH_GT,
    STATE(17967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724846] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25702), 1,
      anon_sym_RBRACE,
    STATE(17968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724860] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8717), 1,
      anon_sym_DASH_GT,
    STATE(17969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724874] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25704), 1,
      anon_sym_SQUOTE2,
    STATE(17970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724888] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25706), 1,
      anon_sym_DQUOTE,
    STATE(17971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724902] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25708), 1,
      anon_sym_DOT,
    STATE(17972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724916] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25710), 1,
      anon_sym_DASH_GT,
    STATE(17973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724930] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25712), 1,
      anon_sym_RPAREN,
    STATE(17974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724944] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20990), 1,
      anon_sym_GT_RBRACE,
    STATE(17975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724958] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25714), 1,
      anon_sym_RPAREN,
    STATE(17976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724972] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25716), 1,
      anon_sym_RPAREN,
    STATE(17977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724986] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19720), 1,
      anon_sym_end,
    STATE(17978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725000] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25718), 1,
      anon_sym_SQUOTE2,
    STATE(17979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725014] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25720), 1,
      anon_sym_RPAREN,
    STATE(17980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725028] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25722), 1,
      anon_sym_with,
    STATE(17981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725042] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25724), 1,
      anon_sym_with,
    STATE(17982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725056] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25726), 1,
      anon_sym_DOT,
    STATE(17983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725070] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25728), 1,
      anon_sym_RBRACK,
    STATE(17984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725084] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25730), 1,
      anon_sym_DQUOTE,
    STATE(17985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725098] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25732), 1,
      anon_sym_RBRACE,
    STATE(17986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725112] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24032), 1,
      anon_sym_RPAREN,
    STATE(17987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725126] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25734), 1,
      sym__lowercase_identifier,
    STATE(17988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725140] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25716), 1,
      anon_sym_RBRACK,
    STATE(17989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725154] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25736), 1,
      anon_sym_with,
    STATE(17990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725168] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25738), 1,
      anon_sym_with,
    STATE(17991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725182] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25740), 1,
      anon_sym_RPAREN,
    STATE(17992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725196] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25742), 1,
      anon_sym_RBRACE,
    STATE(17993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725210] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25716), 1,
      anon_sym_RBRACE,
    STATE(17994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725224] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25744), 1,
      anon_sym_DOT,
    STATE(17995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725238] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25746), 1,
      anon_sym_DASH_GT,
    STATE(17996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725252] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25748), 1,
      anon_sym_DASH_GT,
    STATE(17997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725266] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25750), 1,
      anon_sym_DASH_GT,
    STATE(17998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725280] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19869), 1,
      anon_sym_end,
    STATE(17999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725294] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25752), 1,
      anon_sym_RPAREN,
    STATE(18000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725308] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17902), 1,
      anon_sym_RPAREN,
    STATE(18001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725322] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25754), 1,
      anon_sym_DASH_GT,
    STATE(18002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725336] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25756), 1,
      anon_sym_DASH_GT,
    STATE(18003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725350] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25758), 1,
      anon_sym_RPAREN,
    STATE(18004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725364] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25760), 1,
      anon_sym_SQUOTE2,
    STATE(18005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725378] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23370), 1,
      anon_sym_RPAREN,
    STATE(18006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725392] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25762), 1,
      anon_sym_RPAREN,
    STATE(18007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725406] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25764), 1,
      anon_sym_RPAREN,
    STATE(18008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725420] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25764), 1,
      anon_sym_RBRACK,
    STATE(18009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725434] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25764), 1,
      anon_sym_RBRACE,
    STATE(18010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725448] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25766), 1,
      anon_sym_RPAREN,
    STATE(18011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725462] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25768), 1,
      anon_sym_DOT,
    STATE(18012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725476] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25770), 1,
      anon_sym_RPAREN,
    STATE(18013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725490] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25772), 1,
      anon_sym_RPAREN,
    STATE(18014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725504] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25774), 1,
      anon_sym_end,
    STATE(18015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725518] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25776), 1,
      sym__lowercase_identifier,
    STATE(18016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725532] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25778), 1,
      anon_sym_RBRACK,
    STATE(18017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725546] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25780), 1,
      anon_sym_RBRACE,
    STATE(18018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725560] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25782), 1,
      anon_sym_RPAREN,
    STATE(18019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725574] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DASH_GT,
    STATE(18020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725588] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25784), 1,
      anon_sym_RPAREN,
    STATE(18021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725602] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25766), 1,
      anon_sym_RBRACK,
    STATE(18022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725616] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8803), 1,
      anon_sym_DASH_GT,
    STATE(18023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725630] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25786), 1,
      anon_sym_DOT,
    STATE(18024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725644] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16724), 1,
      anon_sym_RPAREN,
    STATE(18025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725658] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8713), 1,
      anon_sym_DASH_GT,
    STATE(18026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725672] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25788), 1,
      anon_sym_DOT,
    STATE(18027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725686] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25790), 1,
      anon_sym_DASH_GT,
    STATE(18028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725700] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25792), 1,
      anon_sym_end,
    STATE(18029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725714] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25794), 1,
      anon_sym_DASH_GT,
    STATE(18030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725728] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25796), 1,
      anon_sym_RBRACE,
    STATE(18031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725742] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25798), 1,
      anon_sym_RPAREN,
    STATE(18032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725756] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25800), 1,
      anon_sym_RBRACK,
    STATE(18033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725770] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25802), 1,
      anon_sym_RBRACE,
    STATE(18034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725784] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8827), 1,
      anon_sym_DASH_GT,
    STATE(18035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725798] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25804), 1,
      anon_sym_with,
    STATE(18036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725812] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25806), 1,
      anon_sym_with,
    STATE(18037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725826] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25808), 1,
      anon_sym_DOT,
    STATE(18038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725840] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25810), 1,
      anon_sym_LT_DASH,
    STATE(18039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725854] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25812), 1,
      anon_sym_RPAREN,
    STATE(18040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725868] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25814), 1,
      anon_sym_DASH_GT,
    STATE(18041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725882] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25816), 1,
      anon_sym_RBRACK,
    STATE(18042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725896] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25818), 1,
      anon_sym_end,
    STATE(18043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725910] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25820), 1,
      anon_sym_RPAREN,
    STATE(18044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725924] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25822), 1,
      anon_sym_with,
    STATE(18045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725938] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25824), 1,
      anon_sym_with,
    STATE(18046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725952] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8813), 1,
      anon_sym_DASH_GT,
    STATE(18047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725966] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16662), 1,
      anon_sym_RPAREN,
    STATE(18048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725980] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25826), 1,
      anon_sym_RBRACK,
    STATE(18049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725994] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25828), 1,
      anon_sym_DOT,
    STATE(18050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726008] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25830), 1,
      anon_sym_RBRACE,
    STATE(18051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726022] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25766), 1,
      anon_sym_RBRACE,
    STATE(18052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726036] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25832), 1,
      anon_sym_in,
    STATE(18053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726050] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25834), 1,
      anon_sym_in,
    STATE(18054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726064] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25836), 1,
      anon_sym_DASH_GT,
    STATE(18055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726078] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17906), 1,
      anon_sym_RPAREN,
    STATE(18056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726092] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25838), 1,
      anon_sym_DASH_GT,
    STATE(18057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726106] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25840), 1,
      anon_sym_in,
    STATE(18058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726120] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25842), 1,
      anon_sym_DASH_GT,
    STATE(18059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726134] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25844), 1,
      anon_sym_DASH_GT,
    STATE(18060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726148] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25846), 1,
      anon_sym_RPAREN,
    STATE(18061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726162] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25848), 1,
      anon_sym_RPAREN,
    STATE(18062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726176] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25850), 1,
      anon_sym_RPAREN,
    STATE(18063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726190] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25850), 1,
      anon_sym_RBRACK,
    STATE(18064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726204] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25850), 1,
      anon_sym_RBRACE,
    STATE(18065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726218] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25852), 1,
      anon_sym_DASH_GT,
    STATE(18066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726232] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17439), 1,
      anon_sym_GT,
    STATE(18067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726246] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25854), 1,
      anon_sym_end,
    STATE(18068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726260] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25856), 1,
      anon_sym_end,
    STATE(18069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726274] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3225), 1,
      anon_sym_RPAREN,
    STATE(18070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726288] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13966), 1,
      anon_sym_end,
    STATE(18071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726302] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25858), 1,
      aux_sym_number_token1,
    STATE(18072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726316] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25860), 1,
      anon_sym_in,
    STATE(18073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726330] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25862), 1,
      sym__uppercase_identifier,
    STATE(18074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726344] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25864), 1,
      anon_sym_DOT,
    STATE(18075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726358] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25866), 1,
      anon_sym_GT,
    STATE(18076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726372] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25868), 1,
      anon_sym_in,
    STATE(18077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726386] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25870), 1,
      anon_sym_in,
    STATE(18078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726400] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25872), 1,
      anon_sym_in,
    STATE(18079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726414] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25874), 1,
      anon_sym_with,
    STATE(18080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726428] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25876), 1,
      anon_sym_with,
    STATE(18081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726442] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25878), 1,
      anon_sym_DOT,
    STATE(18082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726456] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25880), 1,
      sym_indexing_operator,
    STATE(18083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726470] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25882), 1,
      anon_sym_RPAREN,
    STATE(18084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726484] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25884), 1,
      anon_sym_DASH_GT,
    STATE(18085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726498] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25886), 1,
      anon_sym_DQUOTE,
    STATE(18086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726512] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25888), 1,
      anon_sym_RPAREN,
    STATE(18087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726526] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25890), 1,
      anon_sym_with,
    STATE(18088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726540] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25892), 1,
      anon_sym_with,
    STATE(18089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726554] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3145), 1,
      anon_sym_RPAREN,
    STATE(18090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726568] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25894), 1,
      anon_sym_RPAREN,
    STATE(18091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726582] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25896), 1,
      anon_sym_GT,
    STATE(18092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726596] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25898), 1,
      anon_sym_DOT,
    STATE(18093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726610] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25900), 1,
      anon_sym_in,
    STATE(18094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726624] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16487), 1,
      anon_sym_RPAREN,
    STATE(18095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726638] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25902), 1,
      anon_sym_DOT,
    STATE(18096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726652] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25904), 1,
      anon_sym_in,
    STATE(18097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726666] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17910), 1,
      anon_sym_RPAREN,
    STATE(18098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726680] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25906), 1,
      anon_sym_RBRACK,
    STATE(18099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726694] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25908), 1,
      anon_sym_RPAREN,
    STATE(18100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726708] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25910), 1,
      anon_sym_RBRACE,
    STATE(18101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726722] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11582), 1,
      anon_sym_GT,
    STATE(18102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726736] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25912), 1,
      anon_sym_RPAREN,
    STATE(18103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726750] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25914), 1,
      anon_sym_RPAREN,
    STATE(18104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726764] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25916), 1,
      anon_sym_RPAREN,
    STATE(18105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726778] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25916), 1,
      anon_sym_RBRACK,
    STATE(18106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726792] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25916), 1,
      anon_sym_RBRACE,
    STATE(18107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726806] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25918), 1,
      anon_sym_RBRACE,
    STATE(18108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726820] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25920), 1,
      anon_sym_RPAREN,
    STATE(18109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726834] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25922), 1,
      anon_sym_RPAREN,
    STATE(18110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726848] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25924), 1,
      sym__lowercase_identifier,
    STATE(18111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726862] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25926), 1,
      anon_sym_RBRACE,
    STATE(18112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726876] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25928), 1,
      anon_sym_done,
    STATE(18113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726890] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25930), 1,
      anon_sym_RPAREN,
    STATE(18114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726904] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25932), 1,
      anon_sym_RBRACK,
    STATE(18115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726918] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25934), 1,
      anon_sym_DOT,
    STATE(18116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726932] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25936), 1,
      anon_sym_RBRACK,
    STATE(18117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726946] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25938), 1,
      anon_sym_RBRACE,
    STATE(18118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726960] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25940), 1,
      anon_sym_RBRACE,
    STATE(18119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726974] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12279), 1,
      anon_sym_DASH_GT,
    STATE(18120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726988] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25942), 1,
      anon_sym_with,
    STATE(18121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727002] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25944), 1,
      anon_sym_with,
    STATE(18122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727016] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25946), 1,
      anon_sym_DOT,
    STATE(18123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727030] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25948), 1,
      anon_sym_DASH_GT,
    STATE(18124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727044] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25950), 1,
      anon_sym_RPAREN,
    STATE(18125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727058] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25952), 1,
      anon_sym_DASH_GT,
    STATE(18126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727072] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16668), 1,
      anon_sym_RPAREN,
    STATE(18127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727086] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25954), 1,
      anon_sym_RPAREN,
    STATE(18128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727100] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25956), 1,
      anon_sym_with,
    STATE(18129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727114] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25958), 1,
      anon_sym_with,
    STATE(18130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727128] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25960), 1,
      anon_sym_RBRACK,
    STATE(18131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727142] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25962), 1,
      anon_sym_RBRACE,
    STATE(18132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727156] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25964), 1,
      anon_sym_RPAREN,
    STATE(18133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727170] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25966), 1,
      anon_sym_DOT,
    STATE(18134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727184] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25968), 1,
      anon_sym_RPAREN,
    STATE(18135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727198] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25970), 1,
      anon_sym_DOT,
    STATE(18136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727212] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25972), 1,
      anon_sym_DASH_GT,
    STATE(18137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727226] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17328), 1,
      anon_sym_GT,
    STATE(18138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727240] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17916), 1,
      anon_sym_RPAREN,
    STATE(18139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727254] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25974), 1,
      anon_sym_RPAREN,
    STATE(18140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727268] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21095), 1,
      anon_sym_GT_RBRACE,
    STATE(18141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727282] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25976), 1,
      anon_sym_RPAREN,
    STATE(18142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727296] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25978), 1,
      anon_sym_RBRACK,
    STATE(18143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727310] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25980), 1,
      anon_sym_RBRACE,
    STATE(18144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727324] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25982), 1,
      anon_sym_RPAREN,
    STATE(18145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727338] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25984), 1,
      anon_sym_RPAREN,
    STATE(18146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727352] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25984), 1,
      anon_sym_RBRACK,
    STATE(18147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727366] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25984), 1,
      anon_sym_RBRACE,
    STATE(18148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727380] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25986), 1,
      anon_sym_RPAREN,
    STATE(18149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727394] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25988), 1,
      anon_sym_RPAREN,
    STATE(18150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727408] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17856), 1,
      anon_sym_RBRACK,
    STATE(18151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727422] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25990), 1,
      anon_sym_RPAREN,
    STATE(18152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727436] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19634), 1,
      anon_sym_end,
    STATE(18153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727450] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25992), 1,
      anon_sym_end,
    STATE(18154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727464] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3185), 1,
      anon_sym_RPAREN,
    STATE(18155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727478] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25994), 1,
      anon_sym_DOT,
    STATE(18156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727492] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25996), 1,
      anon_sym_DOT,
    STATE(18157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727506] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25998), 1,
      anon_sym_RPAREN,
    STATE(18158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727520] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26000), 1,
      anon_sym_SQUOTE2,
    STATE(18159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727534] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26002), 1,
      sym__lowercase_identifier,
    STATE(18160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727548] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20936), 1,
      anon_sym_GT_RBRACE,
    STATE(18161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727562] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26004), 1,
      anon_sym_with,
    STATE(18162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727576] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26006), 1,
      anon_sym_with,
    STATE(18163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727590] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26008), 1,
      anon_sym_DOT,
    STATE(18164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727604] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26010), 1,
      anon_sym_DASH_GT,
    STATE(18165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727618] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26012), 1,
      anon_sym_RBRACE,
    STATE(18166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727632] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26014), 1,
      anon_sym_RBRACK,
    STATE(18167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727646] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26016), 1,
      anon_sym_RBRACE,
    STATE(18168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727660] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26018), 1,
      anon_sym_in,
    STATE(18169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727674] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26020), 1,
      anon_sym_with,
    STATE(18170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727688] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26022), 1,
      anon_sym_with,
    STATE(18171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727702] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26024), 1,
      anon_sym_LT_DASH,
    STATE(18172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727716] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26026), 1,
      anon_sym_in,
    STATE(18173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727730] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26028), 1,
      anon_sym_in,
    STATE(18174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727744] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26030), 1,
      anon_sym_DOT,
    STATE(18175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727758] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26032), 1,
      anon_sym_RPAREN,
    STATE(18176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727772] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26034), 1,
      anon_sym_DQUOTE,
    STATE(18177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727786] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26036), 1,
      anon_sym_RPAREN,
    STATE(18178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727800] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26038), 1,
      anon_sym_RPAREN,
    STATE(18179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727814] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17930), 1,
      anon_sym_RPAREN,
    STATE(18180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727828] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26040), 1,
      anon_sym_GT,
    STATE(18181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727842] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8729), 1,
      anon_sym_DASH_GT,
    STATE(18182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727856] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3213), 1,
      anon_sym_RPAREN,
    STATE(18183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727870] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11492), 1,
      anon_sym_GT,
    STATE(18184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727884] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24450), 1,
      anon_sym_RPAREN,
    STATE(18185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727898] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26042), 1,
      anon_sym_RPAREN,
    STATE(18186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727912] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26044), 1,
      anon_sym_RPAREN,
    STATE(18187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727926] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26044), 1,
      anon_sym_RBRACK,
    STATE(18188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727940] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26044), 1,
      anon_sym_RBRACE,
    STATE(18189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727954] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26046), 1,
      anon_sym_RPAREN,
    STATE(18190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727968] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26048), 1,
      anon_sym_in,
    STATE(18191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727982] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26050), 1,
      anon_sym_RBRACE,
    STATE(18192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727996] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26052), 1,
      sym__lowercase_identifier,
    STATE(18193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728010] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19604), 1,
      anon_sym_end,
    STATE(18194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728024] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26054), 1,
      anon_sym_RPAREN,
    STATE(18195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728038] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26056), 1,
      anon_sym_RBRACK,
    STATE(18196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728052] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26058), 1,
      anon_sym_RPAREN,
    STATE(18197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728066] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26060), 1,
      anon_sym_DOT,
    STATE(18198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728080] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5097), 1,
      anon_sym_RPAREN,
    STATE(18199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728094] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26062), 1,
      anon_sym_RBRACE,
    STATE(18200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728108] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26064), 1,
      anon_sym_DASH_GT,
    STATE(18201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728122] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26066), 1,
      anon_sym_in,
    STATE(18202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728136] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26068), 1,
      anon_sym_with,
    STATE(18203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728150] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26070), 1,
      anon_sym_with,
    STATE(18204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728164] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26072), 1,
      anon_sym_DOT,
    STATE(18205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728178] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26074), 1,
      anon_sym_in,
    STATE(18206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728192] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26076), 1,
      anon_sym_in,
    STATE(18207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728206] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26078), 1,
      anon_sym_RPAREN,
    STATE(18208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728220] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26080), 1,
      anon_sym_RPAREN,
    STATE(18209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728234] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26082), 1,
      anon_sym_RBRACK,
    STATE(18210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728248] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26084), 1,
      anon_sym_with,
    STATE(18211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728262] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26086), 1,
      anon_sym_with,
    STATE(18212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728276] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10233), 1,
      anon_sym_RPAREN,
    STATE(18213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728290] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26088), 1,
      anon_sym_RPAREN,
    STATE(18214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728304] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8928), 1,
      anon_sym_DASH_GT,
    STATE(18215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728318] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26090), 1,
      anon_sym_DOT,
    STATE(18216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728332] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26092), 1,
      anon_sym_RPAREN,
    STATE(18217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728346] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26094), 1,
      anon_sym_RBRACE,
    STATE(18218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728360] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26096), 1,
      anon_sym_RBRACE,
    STATE(18219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728374] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20940), 1,
      anon_sym_GT_RBRACE,
    STATE(18220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728388] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17938), 1,
      anon_sym_RPAREN,
    STATE(18221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728402] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26098), 1,
      anon_sym_SQUOTE2,
    STATE(18222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728416] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26100), 1,
      anon_sym_RBRACE,
    STATE(18223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728430] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26102), 1,
      anon_sym_in,
    STATE(18224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728444] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26104), 1,
      anon_sym_DQUOTE,
    STATE(18225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728458] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26106), 1,
      anon_sym_RBRACE,
    STATE(18226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728472] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26108), 1,
      anon_sym_RPAREN,
    STATE(18227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728486] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26110), 1,
      anon_sym_RPAREN,
    STATE(18228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728500] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26110), 1,
      anon_sym_RBRACK,
    STATE(18229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728514] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26110), 1,
      anon_sym_RBRACE,
    STATE(18230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728528] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26112), 1,
      anon_sym_RPAREN,
    STATE(18231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728542] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26114), 1,
      anon_sym_RBRACE,
    STATE(18232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728556] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26116), 1,
      anon_sym_SQUOTE2,
    STATE(18233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728570] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26118), 1,
      anon_sym_RPAREN,
    STATE(18234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728584] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26120), 1,
      anon_sym_RBRACE,
    STATE(18235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728598] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19532), 1,
      anon_sym_end,
    STATE(18236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728612] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26122), 1,
      anon_sym_SQUOTE2,
    STATE(18237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728626] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26124), 1,
      anon_sym_DASH_GT,
    STATE(18238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728640] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26126), 1,
      anon_sym_DOT,
    STATE(18239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728654] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26128), 1,
      anon_sym_DOT,
    STATE(18240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728668] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26130), 1,
      anon_sym_DQUOTE,
    STATE(18241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728682] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26132), 1,
      anon_sym_RBRACE,
    STATE(18242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728696] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26134), 1,
      anon_sym_DOT,
    STATE(18243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728710] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26136), 1,
      anon_sym_with,
    STATE(18244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728724] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26138), 1,
      anon_sym_with,
    STATE(18245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728738] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26140), 1,
      anon_sym_DOT,
    STATE(18246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728752] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_DASH_GT,
    STATE(18247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728766] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26142), 1,
      anon_sym_DQUOTE,
    STATE(18248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728780] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20960), 1,
      anon_sym_GT_RBRACE,
    STATE(18249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728794] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16383), 1,
      anon_sym_RPAREN,
    STATE(18250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728808] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26144), 1,
      sym__uppercase_identifier,
    STATE(18251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728822] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26146), 1,
      anon_sym_with,
    STATE(18252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728836] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26148), 1,
      anon_sym_with,
    STATE(18253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728850] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26150), 1,
      anon_sym_RPAREN,
    STATE(18254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728864] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19572), 1,
      anon_sym_end,
    STATE(18255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728878] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26152), 1,
      anon_sym_SQUOTE2,
    STATE(18256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728892] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26154), 1,
      anon_sym_DOT,
    STATE(18257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728906] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26156), 1,
      anon_sym_RBRACE,
    STATE(18258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728920] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5067), 1,
      anon_sym_end,
    STATE(18259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728934] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26158), 1,
      anon_sym_RPAREN,
    STATE(18260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728948] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26160), 1,
      anon_sym_DQUOTE,
    STATE(18261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728962] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17948), 1,
      anon_sym_RPAREN,
    STATE(18262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728976] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3245), 1,
      anon_sym_RPAREN,
    STATE(18263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728990] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26162), 1,
      anon_sym_DOT,
    STATE(18264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729004] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26164), 1,
      anon_sym_DASH_GT,
    STATE(18265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729018] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26166), 1,
      anon_sym_DASH_GT,
    STATE(18266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729032] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26168), 1,
      sym__lowercase_identifier,
    STATE(18267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729046] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26170), 1,
      anon_sym_RPAREN,
    STATE(18268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729060] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26172), 1,
      anon_sym_RPAREN,
    STATE(18269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729074] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26172), 1,
      anon_sym_RBRACK,
    STATE(18270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729088] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26172), 1,
      anon_sym_RBRACE,
    STATE(18271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729102] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26174), 1,
      sym__lowercase_identifier,
    STATE(18272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729116] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26176), 1,
      anon_sym_RPAREN,
    STATE(18273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729130] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26178), 1,
      anon_sym_DOT,
    STATE(18274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729144] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26180), 1,
      anon_sym_RBRACK,
    STATE(18275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729158] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26182), 1,
      anon_sym_RBRACE,
    STATE(18276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729172] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26184), 1,
      anon_sym_RPAREN,
    STATE(18277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729186] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26186), 1,
      anon_sym_RPAREN,
    STATE(18278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729200] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26188), 1,
      sym__lowercase_identifier,
    STATE(18279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729214] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26190), 1,
      anon_sym_DOT,
    STATE(18280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729228] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      anon_sym_DASH_GT,
    STATE(18281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729242] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26192), 1,
      anon_sym_RPAREN,
    STATE(18282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729256] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16435), 1,
      anon_sym_RPAREN,
    STATE(18283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729270] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11476), 1,
      anon_sym_GT,
    STATE(18284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729284] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26194), 1,
      anon_sym_with,
    STATE(18285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729298] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26196), 1,
      anon_sym_with,
    STATE(18286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729312] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26198), 1,
      anon_sym_DOT,
    STATE(18287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729326] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26200), 1,
      anon_sym_RPAREN,
    STATE(18288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729340] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26202), 1,
      anon_sym_RBRACE,
    STATE(18289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729354] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26204), 1,
      aux_sym_number_token1,
    STATE(18290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729368] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26206), 1,
      anon_sym_RBRACE,
    STATE(18291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729382] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26208), 1,
      anon_sym_RPAREN,
    STATE(18292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729396] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26210), 1,
      anon_sym_with,
    STATE(18293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729410] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26212), 1,
      anon_sym_with,
    STATE(18294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729424] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26214), 1,
      ts_builtin_sym_end,
    STATE(18295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729438] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26216), 1,
      anon_sym_DASH_GT,
    STATE(18296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729452] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26218), 1,
      anon_sym_with,
    STATE(18297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729466] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26220), 1,
      anon_sym_DOT,
    STATE(18298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729480] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      anon_sym_DASH_GT,
    STATE(18299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729494] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26222), 1,
      anon_sym_DOT,
    STATE(18300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729508] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26224), 1,
      anon_sym_with,
    STATE(18301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729522] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6729), 1,
      anon_sym_RPAREN,
    STATE(18302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729536] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17954), 1,
      anon_sym_RPAREN,
    STATE(18303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729550] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26226), 1,
      anon_sym_DASH_GT,
    STATE(18304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729564] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26228), 1,
      anon_sym_DOT,
    STATE(18305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729578] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26230), 1,
      anon_sym_RBRACK,
    STATE(18306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729592] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26232), 1,
      anon_sym_RBRACK,
    STATE(18307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729606] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26234), 1,
      anon_sym_RBRACE,
    STATE(18308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729620] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26236), 1,
      anon_sym_RPAREN,
    STATE(18309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729634] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26238), 1,
      anon_sym_RPAREN,
    STATE(18310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729648] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26238), 1,
      anon_sym_RBRACK,
    STATE(18311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729662] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26238), 1,
      anon_sym_RBRACE,
    STATE(18312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729676] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26240), 1,
      anon_sym_in,
    STATE(18313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729690] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26242), 1,
      anon_sym_in,
    STATE(18314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729704] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26244), 1,
      anon_sym_in,
    STATE(18315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729718] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26246), 1,
      anon_sym_in,
    STATE(18316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729732] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8679), 1,
      anon_sym_DASH_GT,
    STATE(18317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729746] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26248), 1,
      anon_sym_RPAREN,
    STATE(18318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729760] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3211), 1,
      anon_sym_RPAREN,
    STATE(18319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729774] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26250), 1,
      anon_sym_in,
    STATE(18320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729788] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26252), 1,
      anon_sym_DOT,
    STATE(18321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729802] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26254), 1,
      anon_sym_in,
    STATE(18322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729816] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26256), 1,
      anon_sym_RBRACE,
    STATE(18323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729830] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26258), 1,
      anon_sym_in,
    STATE(18324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729844] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11308), 1,
      anon_sym_GT,
    STATE(18325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729858] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26260), 1,
      anon_sym_with,
    STATE(18326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729872] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26262), 1,
      anon_sym_with,
    STATE(18327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729886] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26264), 1,
      anon_sym_DOT,
    STATE(18328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729900] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26266), 1,
      anon_sym_in,
    STATE(18329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729914] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26268), 1,
      anon_sym_DASH_GT,
    STATE(18330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729928] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26270), 1,
      anon_sym_RBRACE,
    STATE(18331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729942] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26272), 1,
      anon_sym_LT_DASH,
    STATE(18332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729956] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8755), 1,
      anon_sym_DASH_GT,
    STATE(18333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729970] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26274), 1,
      anon_sym_with,
    STATE(18334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729984] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26276), 1,
      anon_sym_with,
    STATE(18335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729998] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26278), 1,
      anon_sym_RPAREN,
    STATE(18336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730012] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26280), 1,
      anon_sym_end,
    STATE(18337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730026] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26282), 1,
      anon_sym_RPAREN,
    STATE(18338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730040] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26284), 1,
      anon_sym_DOT,
    STATE(18339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730054] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26286), 1,
      anon_sym_RBRACK,
    STATE(18340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730068] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26288), 1,
      anon_sym_with,
    STATE(18341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730082] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16642), 1,
      anon_sym_RPAREN,
    STATE(18342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730096] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26290), 1,
      anon_sym_end,
    STATE(18343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730110] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17962), 1,
      anon_sym_RPAREN,
    STATE(18344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730124] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26292), 1,
      anon_sym_SQUOTE2,
    STATE(18345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730138] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26294), 1,
      anon_sym_with,
    STATE(18346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730152] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26296), 1,
      anon_sym_DQUOTE,
    STATE(18347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730166] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26298), 1,
      anon_sym_RBRACE,
    STATE(18348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730180] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26300), 1,
      anon_sym_RBRACK,
    STATE(18349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730194] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26302), 1,
      anon_sym_RPAREN,
    STATE(18350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730208] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26304), 1,
      anon_sym_RPAREN,
    STATE(18351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730222] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26304), 1,
      anon_sym_RBRACK,
    STATE(18352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730236] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26304), 1,
      anon_sym_RBRACE,
    STATE(18353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730250] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26306), 1,
      anon_sym_RBRACE,
    STATE(18354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730264] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8811), 1,
      anon_sym_DASH_GT,
    STATE(18355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730278] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26308), 1,
      anon_sym_RPAREN,
    STATE(18356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730292] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26310), 1,
      anon_sym_RPAREN,
    STATE(18357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730306] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26312), 1,
      anon_sym_GT,
    STATE(18358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730320] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16395), 1,
      anon_sym_RPAREN,
    STATE(18359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730334] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26314), 1,
      anon_sym_RPAREN,
    STATE(18360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730348] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22625), 1,
      anon_sym_GT_RBRACE,
    STATE(18361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730362] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26316), 1,
      anon_sym_DOT,
    STATE(18362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730376] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26318), 1,
      anon_sym_end,
    STATE(18363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730390] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26320), 1,
      anon_sym_RBRACE,
    STATE(18364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730404] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26322), 1,
      anon_sym_DASH_GT,
    STATE(18365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730418] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26324), 1,
      anon_sym_RPAREN,
    STATE(18366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730432] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26326), 1,
      anon_sym_with,
    STATE(18367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730446] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26328), 1,
      anon_sym_with,
    STATE(18368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730460] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26330), 1,
      anon_sym_DOT,
    STATE(18369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730474] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26332), 1,
      anon_sym_DOT,
    STATE(18370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730488] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26334), 1,
      anon_sym_RPAREN,
    STATE(18371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730502] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26336), 1,
      anon_sym_DASH_GT,
    STATE(18372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730516] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26338), 1,
      anon_sym_RPAREN,
    STATE(18373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730530] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26340), 1,
      anon_sym_RBRACE,
    STATE(18374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730544] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26342), 1,
      anon_sym_with,
    STATE(18375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730558] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26344), 1,
      anon_sym_with,
    STATE(18376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730572] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26346), 1,
      anon_sym_in,
    STATE(18377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730586] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26348), 1,
      anon_sym_RPAREN,
    STATE(18378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730600] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26350), 1,
      anon_sym_RPAREN,
    STATE(18379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730614] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26352), 1,
      anon_sym_DOT,
    STATE(18380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730628] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3119), 1,
      anon_sym_RPAREN,
    STATE(18381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730642] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8769), 1,
      anon_sym_DASH_GT,
    STATE(18382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730656] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26354), 1,
      anon_sym_LT_DASH,
    STATE(18383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730670] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26356), 1,
      anon_sym_RPAREN,
    STATE(18384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730684] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17976), 1,
      anon_sym_RPAREN,
    STATE(18385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730698] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26358), 1,
      anon_sym_end,
    STATE(18386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730712] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26360), 1,
      anon_sym_DASH_GT,
    STATE(18387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730726] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26362), 1,
      anon_sym_RPAREN,
    STATE(18388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730740] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26364), 1,
      anon_sym_RBRACK,
    STATE(18389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730754] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26366), 1,
      anon_sym_RBRACE,
    STATE(18390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730768] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26368), 1,
      anon_sym_RPAREN,
    STATE(18391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730782] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26370), 1,
      anon_sym_RPAREN,
    STATE(18392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730796] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26370), 1,
      anon_sym_RBRACK,
    STATE(18393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730810] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26370), 1,
      anon_sym_RBRACE,
    STATE(18394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730824] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26372), 1,
      anon_sym_DASH_GT,
    STATE(18395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730838] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26374), 1,
      anon_sym_RPAREN,
    STATE(18396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730852] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26376), 1,
      anon_sym_DASH_GT,
    STATE(18397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730866] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26378), 1,
      anon_sym_in,
    STATE(18398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730880] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26380), 1,
      anon_sym_RPAREN,
    STATE(18399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730894] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17708), 1,
      anon_sym_RPAREN,
    STATE(18400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730908] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16429), 1,
      anon_sym_RPAREN,
    STATE(18401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730922] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26382), 1,
      anon_sym_RPAREN,
    STATE(18402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730936] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26384), 1,
      anon_sym_DOT,
    STATE(18403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730950] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26386), 1,
      anon_sym_with,
    STATE(18404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730964] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26388), 1,
      anon_sym_RPAREN,
    STATE(18405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730978] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26390), 1,
      anon_sym_RBRACK,
    STATE(18406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730992] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26392), 1,
      anon_sym_RBRACE,
    STATE(18407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731006] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26394), 1,
      anon_sym_with,
    STATE(18408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731020] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26396), 1,
      anon_sym_with,
    STATE(18409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731034] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26398), 1,
      anon_sym_DOT,
    STATE(18410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731048] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26400), 1,
      anon_sym_RPAREN,
    STATE(18411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731062] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3129), 1,
      anon_sym_RPAREN,
    STATE(18412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731076] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26402), 1,
      anon_sym_RBRACE,
    STATE(18413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731090] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26404), 1,
      anon_sym_SQUOTE2,
    STATE(18414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731104] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26406), 1,
      anon_sym_DQUOTE,
    STATE(18415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731118] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26408), 1,
      anon_sym_with,
    STATE(18416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731132] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26410), 1,
      anon_sym_with,
    STATE(18417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731146] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26412), 1,
      anon_sym_RPAREN,
    STATE(18418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731160] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26414), 1,
      anon_sym_RPAREN,
    STATE(18419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731174] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26416), 1,
      anon_sym_RBRACK,
    STATE(18420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731188] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26418), 1,
      anon_sym_DOT,
    STATE(18421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731202] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16501), 1,
      anon_sym_RPAREN,
    STATE(18422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731216] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16477), 1,
      anon_sym_RPAREN,
    STATE(18423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731230] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26420), 1,
      anon_sym_RPAREN,
    STATE(18424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731244] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26422), 1,
      anon_sym_RBRACE,
    STATE(18425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731258] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17984), 1,
      anon_sym_RPAREN,
    STATE(18426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731272] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26424), 1,
      anon_sym_RBRACE,
    STATE(18427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731286] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26426), 1,
      anon_sym_DASH_GT,
    STATE(18428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731300] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26428), 1,
      anon_sym_RPAREN,
    STATE(18429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731314] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3143), 1,
      anon_sym_RPAREN,
    STATE(18430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731328] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26430), 1,
      anon_sym_RPAREN,
    STATE(18431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731342] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26432), 1,
      anon_sym_RPAREN,
    STATE(18432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731356] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26434), 1,
      anon_sym_RPAREN,
    STATE(18433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731370] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26434), 1,
      anon_sym_RBRACK,
    STATE(18434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731384] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26434), 1,
      anon_sym_RBRACE,
    STATE(18435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731398] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26436), 1,
      anon_sym_RPAREN,
    STATE(18436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731412] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26438), 1,
      anon_sym_RPAREN,
    STATE(18437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731426] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26440), 1,
      anon_sym_RPAREN,
    STATE(18438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731440] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26440), 1,
      anon_sym_RBRACK,
    STATE(18439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731454] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26440), 1,
      anon_sym_RBRACE,
    STATE(18440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731468] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26442), 1,
      anon_sym_RPAREN,
    STATE(18441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731482] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26444), 1,
      anon_sym_RPAREN,
    STATE(18442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731496] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26446), 1,
      anon_sym_RPAREN,
    STATE(18443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731510] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26448), 1,
      anon_sym_DOT,
    STATE(18444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731524] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26450), 1,
      anon_sym_DASH_GT,
    STATE(18445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731538] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26452), 1,
      anon_sym_RPAREN,
    STATE(18446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731552] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26454), 1,
      anon_sym_DASH_GT,
    STATE(18447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731566] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26456), 1,
      anon_sym_RBRACK,
    STATE(18448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731580] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26458), 1,
      anon_sym_with,
    STATE(18449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731594] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26460), 1,
      anon_sym_with,
    STATE(18450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731608] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26462), 1,
      anon_sym_DOT,
    STATE(18451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731622] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26464), 1,
      anon_sym_RBRACE,
    STATE(18452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731636] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26466), 1,
      anon_sym_RPAREN,
    STATE(18453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731650] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3205), 1,
      anon_sym_RPAREN,
    STATE(18454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731664] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26468), 1,
      anon_sym_RBRACE,
    STATE(18455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731678] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26470), 1,
      anon_sym_SQUOTE2,
    STATE(18456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731692] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26472), 1,
      anon_sym_with,
    STATE(18457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731706] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26474), 1,
      anon_sym_with,
    STATE(18458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731720] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26476), 1,
      anon_sym_DQUOTE,
    STATE(18459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731734] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26478), 1,
      anon_sym_RBRACE,
    STATE(18460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731748] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26480), 1,
      anon_sym_DASH_GT,
    STATE(18461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731762] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26482), 1,
      anon_sym_DOT,
    STATE(18462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731776] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26484), 1,
      anon_sym_RPAREN,
    STATE(18463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731790] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26486), 1,
      anon_sym_RPAREN,
    STATE(18464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731804] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26488), 1,
      anon_sym_end,
    STATE(18465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731818] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26490), 1,
      anon_sym_DASH_GT,
    STATE(18466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731832] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17992), 1,
      anon_sym_RPAREN,
    STATE(18467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731846] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26492), 1,
      anon_sym_RPAREN,
    STATE(18468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731860] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26494), 1,
      anon_sym_RPAREN,
    STATE(18469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731874] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26496), 1,
      anon_sym_in,
    STATE(18470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731888] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26498), 1,
      anon_sym_DASH_GT,
    STATE(18471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731902] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26500), 1,
      anon_sym_RPAREN,
    STATE(18472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731916] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26502), 1,
      anon_sym_RPAREN,
    STATE(18473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731930] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26504), 1,
      anon_sym_RPAREN,
    STATE(18474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731944] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26504), 1,
      anon_sym_RBRACK,
    STATE(18475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731958] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26504), 1,
      anon_sym_RBRACE,
    STATE(18476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731972] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26506), 1,
      anon_sym_DASH_GT,
    STATE(18477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731986] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26508), 1,
      anon_sym_LT_DASH,
    STATE(18478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732000] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26510), 1,
      anon_sym_RBRACK,
    STATE(18479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732014] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26512), 1,
      anon_sym_RPAREN,
    STATE(18480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732028] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26514), 1,
      anon_sym_RPAREN,
    STATE(18481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732042] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26516), 1,
      anon_sym_RBRACK,
    STATE(18482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732056] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26518), 1,
      anon_sym_RBRACE,
    STATE(18483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732070] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26520), 1,
      anon_sym_RPAREN,
    STATE(18484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732084] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26522), 1,
      anon_sym_DOT,
    STATE(18485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732098] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26524), 1,
      anon_sym_RBRACK,
    STATE(18486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732112] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3237), 1,
      anon_sym_RPAREN,
    STATE(18487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732126] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26526), 1,
      anon_sym_EQ,
    STATE(18488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732140] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26528), 1,
      anon_sym_RBRACE,
    STATE(18489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732154] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26530), 1,
      anon_sym_with,
    STATE(18490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732168] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26532), 1,
      anon_sym_with,
    STATE(18491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732182] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26534), 1,
      anon_sym_DOT,
    STATE(18492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732196] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26536), 1,
      anon_sym_SQUOTE2,
    STATE(18493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732210] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26538), 1,
      anon_sym_RPAREN,
    STATE(18494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732224] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26540), 1,
      anon_sym_DQUOTE,
    STATE(18495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732238] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26542), 1,
      anon_sym_RBRACE,
    STATE(18496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732252] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26544), 1,
      sym__lowercase_identifier,
    STATE(18497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732266] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26546), 1,
      anon_sym_with,
    STATE(18498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732280] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26548), 1,
      anon_sym_with,
    STATE(18499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732294] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8870), 1,
      anon_sym_DASH_GT,
    STATE(18500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732308] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26550), 1,
      anon_sym_RPAREN,
    STATE(18501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732322] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26552), 1,
      anon_sym_RBRACE,
    STATE(18502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732336] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26554), 1,
      anon_sym_DOT,
    STATE(18503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732350] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26556), 1,
      anon_sym_in,
    STATE(18504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732364] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26558), 1,
      anon_sym_RPAREN,
    STATE(18505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732378] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26560), 1,
      anon_sym_RPAREN,
    STATE(18506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732392] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26562), 1,
      anon_sym_RPAREN,
    STATE(18507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732406] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18002), 1,
      anon_sym_RPAREN,
    STATE(18508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732420] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26564), 1,
      anon_sym_RBRACK,
    STATE(18509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732434] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26566), 1,
      anon_sym_RBRACE,
    STATE(18510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732448] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26568), 1,
      anon_sym_RBRACE,
    STATE(18511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732462] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26570), 1,
      anon_sym_RPAREN,
    STATE(18512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732476] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26572), 1,
      anon_sym_DASH_GT,
    STATE(18513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732490] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26574), 1,
      anon_sym_RPAREN,
    STATE(18514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732504] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26576), 1,
      anon_sym_RPAREN,
    STATE(18515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732518] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26576), 1,
      anon_sym_RBRACK,
    STATE(18516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732532] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26576), 1,
      anon_sym_RBRACE,
    STATE(18517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732546] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26578), 1,
      anon_sym_DASH_GT,
    STATE(18518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732560] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26580), 1,
      anon_sym_RBRACK,
    STATE(18519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732574] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26582), 1,
      anon_sym_RBRACE,
    STATE(18520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732588] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26584), 1,
      anon_sym_RPAREN,
    STATE(18521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732602] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3131), 1,
      anon_sym_RPAREN,
    STATE(18522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732616] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26586), 1,
      anon_sym_DASH_GT,
    STATE(18523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732630] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26588), 1,
      anon_sym_RBRACE,
    STATE(18524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732644] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26590), 1,
      anon_sym_DOT,
    STATE(18525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732658] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26592), 1,
      anon_sym_DASH_GT,
    STATE(18526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732672] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26594), 1,
      anon_sym_SQUOTE2,
    STATE(18527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732686] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26596), 1,
      anon_sym_done,
    STATE(18528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732700] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26598), 1,
      anon_sym_DQUOTE,
    STATE(18529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732714] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26600), 1,
      anon_sym_with,
    STATE(18530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732728] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26602), 1,
      anon_sym_with,
    STATE(18531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732742] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26604), 1,
      anon_sym_DOT,
    STATE(18532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732756] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26606), 1,
      sym__lowercase_identifier,
    STATE(18533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732770] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26608), 1,
      anon_sym_RPAREN,
    STATE(18534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732784] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26610), 1,
      anon_sym_RBRACE,
    STATE(18535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732798] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26612), 1,
      sym__lowercase_identifier,
    STATE(18536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732812] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26614), 1,
      anon_sym_RPAREN,
    STATE(18537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732826] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26616), 1,
      anon_sym_with,
    STATE(18538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732840] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26618), 1,
      anon_sym_with,
    STATE(18539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732854] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26620), 1,
      anon_sym_RPAREN,
    STATE(18540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732868] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26622), 1,
      anon_sym_RPAREN,
    STATE(18541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732882] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17391), 1,
      anon_sym_GT,
    STATE(18542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732896] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26624), 1,
      anon_sym_DOT,
    STATE(18543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732910] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26626), 1,
      anon_sym_RBRACK,
    STATE(18544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732924] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26628), 1,
      anon_sym_RBRACE,
    STATE(18545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732938] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26630), 1,
      anon_sym_RPAREN,
    STATE(18546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732952] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26632), 1,
      anon_sym_RBRACK,
    STATE(18547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732966] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18006), 1,
      anon_sym_RPAREN,
    STATE(18548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732980] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26634), 1,
      anon_sym_in,
    STATE(18549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732994] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26636), 1,
      anon_sym_RPAREN,
    STATE(18550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733008] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26638), 1,
      anon_sym_in,
    STATE(18551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733022] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26640), 1,
      anon_sym_GT,
    STATE(18552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733036] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26642), 1,
      anon_sym_RBRACK,
    STATE(18553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733050] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26644), 1,
      anon_sym_RPAREN,
    STATE(18554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733064] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26646), 1,
      anon_sym_RPAREN,
    STATE(18555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733078] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26646), 1,
      anon_sym_RBRACK,
    STATE(18556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733092] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26646), 1,
      anon_sym_RBRACE,
    STATE(18557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733106] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26648), 1,
      anon_sym_RBRACE,
    STATE(18558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733120] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26650), 1,
      anon_sym_RPAREN,
    STATE(18559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733134] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3193), 1,
      anon_sym_RPAREN,
    STATE(18560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733148] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26652), 1,
      anon_sym_RBRACE,
    STATE(18561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733162] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26654), 1,
      anon_sym_end,
    STATE(18562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733176] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26656), 1,
      anon_sym_SQUOTE2,
    STATE(18563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733190] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26658), 1,
      anon_sym_DOT,
    STATE(18564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733204] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26660), 1,
      anon_sym_RPAREN,
    STATE(18565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733218] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26662), 1,
      anon_sym_DQUOTE,
    STATE(18566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733232] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26664), 1,
      anon_sym_RBRACE,
    STATE(18567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733246] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26666), 1,
      anon_sym_RPAREN,
    STATE(18568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733260] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26668), 1,
      anon_sym_with,
    STATE(18569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733274] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26670), 1,
      anon_sym_with,
    STATE(18570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733288] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26672), 1,
      anon_sym_DOT,
    STATE(18571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733302] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26674), 1,
      anon_sym_RPAREN,
    STATE(18572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733316] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26676), 1,
      anon_sym_RBRACK,
    STATE(18573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733330] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26678), 1,
      anon_sym_RPAREN,
    STATE(18574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733344] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26680), 1,
      anon_sym_with,
    STATE(18575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733358] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26682), 1,
      anon_sym_in,
    STATE(18576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733372] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26684), 1,
      anon_sym_with,
    STATE(18577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733386] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26686), 1,
      anon_sym_with,
    STATE(18578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733400] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26688), 1,
      anon_sym_LT_DASH,
    STATE(18579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733414] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26690), 1,
      anon_sym_RPAREN,
    STATE(18580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733428] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26692), 1,
      anon_sym_RBRACK,
    STATE(18581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733442] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26694), 1,
      anon_sym_DOT,
    STATE(18582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733456] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26696), 1,
      anon_sym_RBRACE,
    STATE(18583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733470] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16451), 1,
      anon_sym_RPAREN,
    STATE(18584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733484] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26698), 1,
      anon_sym_in,
    STATE(18585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733498] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26700), 1,
      anon_sym_RBRACE,
    STATE(18586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733512] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18010), 1,
      anon_sym_RPAREN,
    STATE(18587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733526] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26702), 1,
      anon_sym_RPAREN,
    STATE(18588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733540] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26704), 1,
      anon_sym_RPAREN,
    STATE(18589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733554] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3207), 1,
      anon_sym_RPAREN,
    STATE(18590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733568] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26706), 1,
      anon_sym_RBRACE,
    STATE(18591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733582] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26708), 1,
      anon_sym_SQUOTE2,
    STATE(18592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733596] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26710), 1,
      anon_sym_RPAREN,
    STATE(18593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733610] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26712), 1,
      anon_sym_RPAREN,
    STATE(18594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733624] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26712), 1,
      anon_sym_RBRACK,
    STATE(18595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733638] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26712), 1,
      anon_sym_RBRACE,
    STATE(18596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733652] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26714), 1,
      anon_sym_DQUOTE,
    STATE(18597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733666] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26716), 1,
      anon_sym_RBRACE,
    STATE(18598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733680] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13007), 1,
      anon_sym_DASH_GT,
    STATE(18599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733694] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26718), 1,
      anon_sym_RPAREN,
    STATE(18600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733708] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26720), 1,
      anon_sym_RBRACK,
    STATE(18601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733722] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26722), 1,
      anon_sym_RBRACE,
    STATE(18602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733736] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26724), 1,
      anon_sym_DOT,
    STATE(18603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733750] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26726), 1,
      anon_sym_DOT,
    STATE(18604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733764] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26728), 1,
      anon_sym_RBRACK,
    STATE(18605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733778] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26730), 1,
      anon_sym_RBRACE,
    STATE(18606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733792] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26732), 1,
      anon_sym_RPAREN,
    STATE(18607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733806] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26734), 1,
      anon_sym_with,
    STATE(18608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733820] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26736), 1,
      anon_sym_with,
    STATE(18609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733834] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26738), 1,
      anon_sym_DOT,
    STATE(18610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733848] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26740), 1,
      anon_sym_in,
    STATE(18611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733862] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26742), 1,
      anon_sym_in,
    STATE(18612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733876] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26744), 1,
      anon_sym_in,
    STATE(18613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733890] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26746), 1,
      anon_sym_RPAREN,
    STATE(18614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733904] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26748), 1,
      anon_sym_end,
    STATE(18615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733918] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26750), 1,
      anon_sym_with,
    STATE(18616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733932] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26752), 1,
      anon_sym_with,
    STATE(18617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733946] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26754), 1,
      anon_sym_RPAREN,
    STATE(18618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733960] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26756), 1,
      anon_sym_DOT,
    STATE(18619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733974] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3217), 1,
      anon_sym_RPAREN,
    STATE(18620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733988] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26758), 1,
      anon_sym_DOT,
    STATE(18621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734002] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26760), 1,
      anon_sym_RPAREN,
    STATE(18622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734016] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26762), 1,
      anon_sym_RBRACE,
    STATE(18623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734030] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26764), 1,
      anon_sym_RPAREN,
    STATE(18624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734044] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26766), 1,
      anon_sym_RPAREN,
    STATE(18625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734058] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18020), 1,
      anon_sym_RPAREN,
    STATE(18626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734072] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26768), 1,
      anon_sym_RBRACK,
    STATE(18627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734086] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26770), 1,
      anon_sym_DOT,
    STATE(18628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734100] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26772), 1,
      anon_sym_GT,
    STATE(18629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734114] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26774), 1,
      anon_sym_in,
    STATE(18630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734128] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26776), 1,
      anon_sym_RBRACE,
    STATE(18631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734142] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26778), 1,
      anon_sym_RPAREN,
    STATE(18632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734156] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26780), 1,
      anon_sym_RPAREN,
    STATE(18633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734170] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26780), 1,
      anon_sym_RBRACK,
    STATE(18634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734184] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26780), 1,
      anon_sym_RBRACE,
    STATE(18635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734198] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26782), 1,
      anon_sym_RPAREN,
    STATE(18636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734212] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3221), 1,
      anon_sym_RPAREN,
    STATE(18637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734226] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26784), 1,
      anon_sym_RBRACE,
    STATE(18638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734240] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26786), 1,
      anon_sym_SQUOTE2,
    STATE(18639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734254] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26788), 1,
      anon_sym_RBRACE,
    STATE(18640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734268] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26790), 1,
      anon_sym_DQUOTE,
    STATE(18641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734282] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26792), 1,
      anon_sym_RBRACE,
    STATE(18642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734296] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26794), 1,
      anon_sym_RPAREN,
    STATE(18643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734310] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26796), 1,
      anon_sym_RPAREN,
    STATE(18644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734324] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26798), 1,
      anon_sym_RBRACE,
    STATE(18645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734338] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5057), 1,
      anon_sym_end,
    STATE(18646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734352] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26800), 1,
      anon_sym_with,
    STATE(18647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734366] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26802), 1,
      anon_sym_with,
    STATE(18648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734380] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26804), 1,
      anon_sym_DOT,
    STATE(18649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734394] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26806), 1,
      anon_sym_RPAREN,
    STATE(18650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734408] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17378), 1,
      anon_sym_GT,
    STATE(18651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734422] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16555), 1,
      anon_sym_RPAREN,
    STATE(18652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734436] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26808), 1,
      anon_sym_RPAREN,
    STATE(18653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734450] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26810), 1,
      anon_sym_DASH_GT,
    STATE(18654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734464] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26812), 1,
      anon_sym_with,
    STATE(18655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734478] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26814), 1,
      anon_sym_with,
    STATE(18656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734492] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26816), 1,
      anon_sym_RPAREN,
    STATE(18657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734506] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21236), 1,
      anon_sym_GT_RBRACE,
    STATE(18658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734520] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26818), 1,
      anon_sym_RPAREN,
    STATE(18659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734534] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26820), 1,
      anon_sym_DOT,
    STATE(18660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734548] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26822), 1,
      anon_sym_LT_DASH,
    STATE(18661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734562] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26824), 1,
      anon_sym_RPAREN,
    STATE(18662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734576] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26826), 1,
      anon_sym_with,
    STATE(18663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734590] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19696), 1,
      anon_sym_end,
    STATE(18664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734604] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18030), 1,
      anon_sym_RPAREN,
    STATE(18665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734618] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26828), 1,
      anon_sym_RBRACK,
    STATE(18666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734632] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26830), 1,
      anon_sym_RPAREN,
    STATE(18667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734646] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26832), 1,
      anon_sym_SQUOTE2,
    STATE(18668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734660] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26834), 1,
      anon_sym_DQUOTE,
    STATE(18669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734674] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17423), 1,
      anon_sym_GT,
    STATE(18670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734688] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26836), 1,
      anon_sym_RPAREN,
    STATE(18671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734702] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26838), 1,
      anon_sym_RPAREN,
    STATE(18672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734716] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26838), 1,
      anon_sym_RBRACK,
    STATE(18673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734730] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26838), 1,
      anon_sym_RBRACE,
    STATE(18674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734744] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26840), 1,
      anon_sym_RBRACE,
    STATE(18675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734758] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26842), 1,
      anon_sym_RPAREN,
    STATE(18676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734772] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3241), 1,
      anon_sym_RPAREN,
    STATE(18677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734786] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26844), 1,
      sym__lowercase_identifier,
    STATE(18678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734800] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26846), 1,
      anon_sym_RBRACE,
    STATE(18679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734814] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26848), 1,
      anon_sym_SQUOTE2,
    STATE(18680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734828] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26850), 1,
      anon_sym_DOT,
    STATE(18681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734842] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26852), 1,
      anon_sym_with,
    STATE(18682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734856] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26854), 1,
      anon_sym_DQUOTE,
    STATE(18683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734870] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26856), 1,
      anon_sym_RBRACE,
    STATE(18684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734884] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26858), 1,
      anon_sym_DOT,
    STATE(18685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734898] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26860), 1,
      anon_sym_with,
    STATE(18686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734912] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26862), 1,
      anon_sym_with,
    STATE(18687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734926] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26864), 1,
      anon_sym_DOT,
    STATE(18688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734940] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26866), 1,
      anon_sym_RPAREN,
    STATE(18689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734954] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26868), 1,
      anon_sym_RPAREN,
    STATE(18690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734968] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11642), 1,
      anon_sym_GT,
    STATE(18691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734982] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26870), 1,
      anon_sym_RPAREN,
    STATE(18692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734996] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26872), 1,
      anon_sym_RBRACE,
    STATE(18693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735010] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26874), 1,
      anon_sym_with,
    STATE(18694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735024] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26876), 1,
      anon_sym_with,
    STATE(18695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735038] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26878), 1,
      anon_sym_RBRACK,
    STATE(18696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735052] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26880), 1,
      anon_sym_RBRACE,
    STATE(18697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735066] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26882), 1,
      anon_sym_RBRACE,
    STATE(18698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735080] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26884), 1,
      anon_sym_DOT,
    STATE(18699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735094] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26886), 1,
      anon_sym_RPAREN,
    STATE(18700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735108] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26888), 1,
      anon_sym_RPAREN,
    STATE(18701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735122] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26890), 1,
      anon_sym_RPAREN,
    STATE(18702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735136] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26892), 1,
      anon_sym_RPAREN,
    STATE(18703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735150] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18036), 1,
      anon_sym_RPAREN,
    STATE(18704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735164] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26894), 1,
      anon_sym_RBRACK,
    STATE(18705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735178] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26896), 1,
      anon_sym_RPAREN,
    STATE(18706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735192] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6749), 1,
      anon_sym_RPAREN,
    STATE(18707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735206] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26898), 1,
      anon_sym_RBRACE,
    STATE(18708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735220] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26900), 1,
      anon_sym_RPAREN,
    STATE(18709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735234] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26902), 1,
      anon_sym_RPAREN,
    STATE(18710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735248] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26902), 1,
      anon_sym_RBRACK,
    STATE(18711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735262] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26902), 1,
      anon_sym_RBRACE,
    STATE(18712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735276] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26904), 1,
      anon_sym_RPAREN,
    STATE(18713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735290] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3127), 1,
      anon_sym_RPAREN,
    STATE(18714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735304] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26906), 1,
      anon_sym_RBRACE,
    STATE(18715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735318] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26908), 1,
      anon_sym_SQUOTE2,
    STATE(18716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735332] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8681), 1,
      anon_sym_DASH_GT,
    STATE(18717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735346] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26910), 1,
      anon_sym_DQUOTE,
    STATE(18718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735360] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26912), 1,
      anon_sym_DOT,
    STATE(18719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735374] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26914), 1,
      anon_sym_RPAREN,
    STATE(18720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735388] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26916), 1,
      anon_sym_RBRACE,
    STATE(18721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735402] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8685), 1,
      anon_sym_DASH_GT,
    STATE(18722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735416] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23322), 1,
      anon_sym_RPAREN,
    STATE(18723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735430] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26918), 1,
      anon_sym_with,
    STATE(18724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735444] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26920), 1,
      anon_sym_with,
    STATE(18725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735458] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26922), 1,
      anon_sym_DOT,
    STATE(18726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735472] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26924), 1,
      anon_sym_RPAREN,
    STATE(18727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735486] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26926), 1,
      anon_sym_RPAREN,
    STATE(18728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735500] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26928), 1,
      anon_sym_LT_DASH,
    STATE(18729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735514] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26930), 1,
      anon_sym_with,
    STATE(18730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735528] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26932), 1,
      anon_sym_RPAREN,
    STATE(18731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735542] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26934), 1,
      anon_sym_with,
    STATE(18732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735556] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26936), 1,
      anon_sym_with,
    STATE(18733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735570] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26938), 1,
      anon_sym_RBRACK,
    STATE(18734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735584] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26940), 1,
      anon_sym_RPAREN,
    STATE(18735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735598] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26942), 1,
      anon_sym_DASH_GT,
    STATE(18736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735612] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26944), 1,
      anon_sym_DOT,
    STATE(18737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735626] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26946), 1,
      anon_sym_with,
    STATE(18738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735640] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      anon_sym_GT_RBRACE,
    STATE(18739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735654] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26948), 1,
      anon_sym_RBRACE,
    STATE(18740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735668] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24200), 1,
      anon_sym_RBRACE,
    STATE(18741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735682] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18044), 1,
      anon_sym_RPAREN,
    STATE(18742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735696] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26950), 1,
      anon_sym_RBRACK,
    STATE(18743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735710] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26952), 1,
      anon_sym_in,
    STATE(18744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735724] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26954), 1,
      anon_sym_RBRACE,
    STATE(18745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735738] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26956), 1,
      anon_sym_RPAREN,
    STATE(18746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735752] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26958), 1,
      anon_sym_RPAREN,
    STATE(18747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735766] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26960), 1,
      anon_sym_RPAREN,
    STATE(18748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735780] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26960), 1,
      anon_sym_RBRACK,
    STATE(18749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735794] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26960), 1,
      anon_sym_RBRACE,
    STATE(18750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735808] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26962), 1,
      anon_sym_end,
    STATE(18751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735822] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3137), 1,
      anon_sym_RPAREN,
    STATE(18752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735836] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26964), 1,
      anon_sym_RBRACE,
    STATE(18753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735850] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26966), 1,
      anon_sym_SQUOTE2,
    STATE(18754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735864] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26968), 1,
      anon_sym_DQUOTE,
    STATE(18755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735878] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26970), 1,
      anon_sym_RBRACE,
    STATE(18756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735892] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26972), 1,
      anon_sym_DOT,
    STATE(18757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735906] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26974), 1,
      anon_sym_DOT,
    STATE(18758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735920] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26976), 1,
      anon_sym_in,
    STATE(18759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735934] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26978), 1,
      anon_sym_RPAREN,
    STATE(18760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735948] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26980), 1,
      anon_sym_GT,
    STATE(18761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735962] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26982), 1,
      anon_sym_with,
    STATE(18762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735976] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26984), 1,
      anon_sym_with,
    STATE(18763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735990] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26986), 1,
      anon_sym_DOT,
    STATE(18764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736004] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16694), 1,
      anon_sym_RPAREN,
    STATE(18765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736018] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26988), 1,
      anon_sym_RPAREN,
    STATE(18766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736032] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26990), 1,
      anon_sym_RPAREN,
    STATE(18767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736046] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26992), 1,
      anon_sym_RBRACK,
    STATE(18768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736060] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26994), 1,
      anon_sym_RBRACE,
    STATE(18769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736074] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26996), 1,
      anon_sym_with,
    STATE(18770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736088] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26998), 1,
      anon_sym_with,
    STATE(18771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736102] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27000), 1,
      anon_sym_RPAREN,
    STATE(18772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736116] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27002), 1,
      anon_sym_RBRACK,
    STATE(18773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736130] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27004), 1,
      anon_sym_RBRACE,
    STATE(18774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736144] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27006), 1,
      anon_sym_DOT,
    STATE(18775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736158] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27008), 1,
      anon_sym_RBRACE,
    STATE(18776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736172] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27010), 1,
      anon_sym_LT_DASH,
    STATE(18777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736186] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27012), 1,
      anon_sym_in,
    STATE(18778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736200] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16614), 1,
      anon_sym_RPAREN,
    STATE(18779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736214] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18052), 1,
      anon_sym_RPAREN,
    STATE(18780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736228] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27014), 1,
      anon_sym_RPAREN,
    STATE(18781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736242] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27016), 1,
      anon_sym_DASH_GT,
    STATE(18782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736256] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3173), 1,
      anon_sym_RPAREN,
    STATE(18783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736270] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27018), 1,
      anon_sym_RBRACE,
    STATE(18784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736284] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27020), 1,
      anon_sym_RPAREN,
    STATE(18785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736298] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27022), 1,
      anon_sym_RPAREN,
    STATE(18786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736312] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27022), 1,
      anon_sym_RBRACK,
    STATE(18787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736326] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27022), 1,
      anon_sym_RBRACE,
    STATE(18788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736340] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27024), 1,
      anon_sym_SQUOTE2,
    STATE(18789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736354] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27026), 1,
      anon_sym_DQUOTE,
    STATE(18790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736368] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27028), 1,
      anon_sym_RBRACE,
    STATE(18791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736382] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27030), 1,
      anon_sym_RPAREN,
    STATE(18792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736396] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27032), 1,
      anon_sym_DASH_GT,
    STATE(18793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736410] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27034), 1,
      anon_sym_DOT,
    STATE(18794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736424] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27036), 1,
      anon_sym_RPAREN,
    STATE(18795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736438] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27038), 1,
      anon_sym_RBRACK,
    STATE(18796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736452] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27040), 1,
      anon_sym_RBRACE,
    STATE(18797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736466] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27042), 1,
      anon_sym_RPAREN,
    STATE(18798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736480] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27044), 1,
      anon_sym_with,
    STATE(18799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736494] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27046), 1,
      anon_sym_with,
    STATE(18800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736508] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27048), 1,
      anon_sym_DOT,
    STATE(18801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736522] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27050), 1,
      anon_sym_RPAREN,
    STATE(18802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736536] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27052), 1,
      anon_sym_DASH_GT,
    STATE(18803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736550] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27054), 1,
      anon_sym_RBRACK,
    STATE(18804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736564] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27056), 1,
      anon_sym_RPAREN,
    STATE(18805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736578] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17742), 1,
      anon_sym_RPAREN,
    STATE(18806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736592] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27058), 1,
      anon_sym_with,
    STATE(18807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736606] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27060), 1,
      anon_sym_with,
    STATE(18808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736620] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27062), 1,
      anon_sym_RPAREN,
    STATE(18809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736634] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27064), 1,
      anon_sym_RBRACK,
    STATE(18810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736648] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27066), 1,
      anon_sym_RPAREN,
    STATE(18811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736662] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27068), 1,
      anon_sym_DOT,
    STATE(18812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736676] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3243), 1,
      anon_sym_RPAREN,
    STATE(18813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736690] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27070), 1,
      anon_sym_RPAREN,
    STATE(18814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736704] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27072), 1,
      anon_sym_RBRACE,
    STATE(18815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736718] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27074), 1,
      anon_sym_RBRACK,
    STATE(18816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736732] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18058), 1,
      anon_sym_RPAREN,
    STATE(18817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736746] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27076), 1,
      anon_sym_RBRACE,
    STATE(18818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736760] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27078), 1,
      anon_sym_RPAREN,
    STATE(18819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736774] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27080), 1,
      anon_sym_RPAREN,
    STATE(18820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736788] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27082), 1,
      anon_sym_RPAREN,
    STATE(18821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736802] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27084), 1,
      anon_sym_RPAREN,
    STATE(18822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736816] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27086), 1,
      anon_sym_RPAREN,
    STATE(18823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736830] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27086), 1,
      anon_sym_RBRACK,
    STATE(18824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736844] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27086), 1,
      anon_sym_RBRACE,
    STATE(18825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736858] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27088), 1,
      anon_sym_RPAREN,
    STATE(18826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736872] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3191), 1,
      anon_sym_RPAREN,
    STATE(18827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736886] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27090), 1,
      anon_sym_RBRACE,
    STATE(18828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736900] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27092), 1,
      anon_sym_RBRACK,
    STATE(18829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736914] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27094), 1,
      anon_sym_RBRACE,
    STATE(18830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736928] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27096), 1,
      anon_sym_SQUOTE2,
    STATE(18831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736942] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27098), 1,
      anon_sym_DOT,
    STATE(18832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736956] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27100), 1,
      anon_sym_in,
    STATE(18833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736970] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27102), 1,
      anon_sym_RPAREN,
    STATE(18834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736984] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27104), 1,
      anon_sym_DQUOTE,
    STATE(18835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736998] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27106), 1,
      anon_sym_with,
    STATE(18836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737012] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27108), 1,
      anon_sym_with,
    STATE(18837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737026] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27110), 1,
      anon_sym_DOT,
    STATE(18838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737040] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27112), 1,
      anon_sym_RBRACE,
    STATE(18839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737054] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27114), 1,
      anon_sym_with,
    STATE(18840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737068] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27116), 1,
      anon_sym_with,
    STATE(18841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737082] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27118), 1,
      anon_sym_DOT,
    STATE(18842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737096] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27120), 1,
      anon_sym_DASH_GT,
    STATE(18843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737110] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20592), 1,
      anon_sym_GT_RBRACE,
    STATE(18844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737124] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27122), 1,
      anon_sym_RPAREN,
    STATE(18845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737138] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18064), 1,
      anon_sym_RPAREN,
    STATE(18846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737152] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27124), 1,
      anon_sym_RPAREN,
    STATE(18847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737166] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27126), 1,
      anon_sym_RPAREN,
    STATE(18848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737180] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27128), 1,
      anon_sym_RPAREN,
    STATE(18849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737194] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27128), 1,
      anon_sym_RBRACK,
    STATE(18850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737208] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27128), 1,
      anon_sym_RBRACE,
    STATE(18851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737222] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27130), 1,
      anon_sym_RBRACE,
    STATE(18852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737236] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27132), 1,
      anon_sym_RPAREN,
    STATE(18853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737250] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27124), 1,
      anon_sym_RBRACK,
    STATE(18854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737264] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27134), 1,
      anon_sym_RPAREN,
    STATE(18855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737278] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27124), 1,
      anon_sym_RBRACE,
    STATE(18856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737292] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27136), 1,
      anon_sym_DASH_GT,
    STATE(18857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737306] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27138), 1,
      anon_sym_DASH_GT,
    STATE(18858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737320] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27140), 1,
      anon_sym_RBRACE,
    STATE(18859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737334] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27142), 1,
      anon_sym_with,
    STATE(18860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737348] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27144), 1,
      anon_sym_with,
    STATE(18861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737362] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27146), 1,
      anon_sym_DOT,
    STATE(18862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737376] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27148), 1,
      anon_sym_RPAREN,
    STATE(18863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737390] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27150), 1,
      anon_sym_with,
    STATE(18864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737404] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27152), 1,
      anon_sym_with,
    STATE(18865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737418] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27154), 1,
      anon_sym_DASH_GT,
    STATE(18866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737432] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23204), 1,
      anon_sym_RBRACE,
    STATE(18867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737446] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27156), 1,
      anon_sym_RPAREN,
    STATE(18868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737460] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18074), 1,
      anon_sym_RPAREN,
    STATE(18869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737474] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27158), 1,
      anon_sym_RBRACK,
    STATE(18870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737488] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27160), 1,
      anon_sym_RPAREN,
    STATE(18871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737502] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27162), 1,
      anon_sym_RPAREN,
    STATE(18872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737516] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27162), 1,
      anon_sym_RBRACK,
    STATE(18873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737530] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27162), 1,
      anon_sym_RBRACE,
    STATE(18874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737544] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27164), 1,
      anon_sym_RPAREN,
    STATE(18875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737558] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27166), 1,
      anon_sym_RBRACE,
    STATE(18876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737572] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27168), 1,
      anon_sym_RPAREN,
    STATE(18877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737586] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27170), 1,
      anon_sym_DQUOTE,
    STATE(18878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737600] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27172), 1,
      anon_sym_RBRACE,
    STATE(18879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737614] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27174), 1,
      anon_sym_RBRACE,
    STATE(18880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737628] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27176), 1,
      anon_sym_in,
    STATE(18881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737642] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27178), 1,
      anon_sym_RPAREN,
    STATE(18882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737656] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23212), 1,
      anon_sym_RBRACE,
    STATE(18883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737670] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27180), 1,
      anon_sym_DASH_GT,
    STATE(18884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737684] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27182), 1,
      anon_sym_RPAREN,
    STATE(18885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737698] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27182), 1,
      anon_sym_RBRACK,
    STATE(18886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737712] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27182), 1,
      anon_sym_RBRACE,
    STATE(18887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737726] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27184), 1,
      anon_sym_RBRACK,
    STATE(18888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737740] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27186), 1,
      anon_sym_RBRACE,
    STATE(18889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737754] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27188), 1,
      anon_sym_RPAREN,
    STATE(18890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737768] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27190), 1,
      anon_sym_RBRACE,
    STATE(18891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737782] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27192), 1,
      anon_sym_RBRACK,
    STATE(18892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737796] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27194), 1,
      anon_sym_RPAREN,
    STATE(18893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737810] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27196), 1,
      anon_sym_RBRACE,
    STATE(18894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737824] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      anon_sym_DASH_GT,
    STATE(18895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737838] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27198), 1,
      anon_sym_RPAREN,
    STATE(18896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737852] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27200), 1,
      anon_sym_RPAREN,
    STATE(18897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737866] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27200), 1,
      anon_sym_RBRACK,
    STATE(18898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737880] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27200), 1,
      anon_sym_RBRACE,
    STATE(18899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737894] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27202), 1,
      anon_sym_RBRACK,
    STATE(18900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737908] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27204), 1,
      anon_sym_RBRACE,
    STATE(18901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737922] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27206), 1,
      anon_sym_RBRACE,
    STATE(18902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737936] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4917), 1,
      anon_sym_end,
    STATE(18903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737950] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27208), 1,
      aux_sym_number_token1,
    STATE(18904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737964] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27210), 1,
      anon_sym_in,
    STATE(18905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737978] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27212), 1,
      anon_sym_in,
    STATE(18906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737992] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27214), 1,
      anon_sym_RPAREN,
    STATE(18907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738006] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27214), 1,
      anon_sym_RBRACK,
    STATE(18908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738020] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27214), 1,
      anon_sym_RBRACE,
    STATE(18909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738034] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27216), 1,
      anon_sym_RBRACE,
    STATE(18910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738048] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27218), 1,
      anon_sym_RBRACK,
    STATE(18911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738062] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27220), 1,
      anon_sym_RBRACE,
    STATE(18912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738076] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27222), 1,
      anon_sym_in,
    STATE(18913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738090] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27224), 1,
      anon_sym_RPAREN,
    STATE(18914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738104] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27226), 1,
      anon_sym_RPAREN,
    STATE(18915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738118] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27228), 1,
      anon_sym_RPAREN,
    STATE(18916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738132] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27230), 1,
      anon_sym_RPAREN,
    STATE(18917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738146] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27230), 1,
      anon_sym_RBRACK,
    STATE(18918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738160] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27230), 1,
      anon_sym_RBRACE,
    STATE(18919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738174] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27232), 1,
      anon_sym_RBRACE,
    STATE(18920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738188] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27234), 1,
      anon_sym_RPAREN,
    STATE(18921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738202] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27236), 1,
      anon_sym_RBRACK,
    STATE(18922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738216] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27238), 1,
      anon_sym_RPAREN,
    STATE(18923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738230] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27240), 1,
      anon_sym_in,
    STATE(18924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738244] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21739), 1,
      anon_sym_GT_RBRACE,
    STATE(18925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738258] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27242), 1,
      anon_sym_RBRACK,
    STATE(18926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738272] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27244), 1,
      anon_sym_RPAREN,
    STATE(18927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738286] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27244), 1,
      anon_sym_RBRACK,
    STATE(18928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738300] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27244), 1,
      anon_sym_RBRACE,
    STATE(18929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738314] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27246), 1,
      anon_sym_RBRACE,
    STATE(18930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738328] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27248), 1,
      anon_sym_RBRACE,
    STATE(18931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738342] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24366), 1,
      anon_sym_RBRACE,
    STATE(18932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738356] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19992), 1,
      anon_sym_end,
    STATE(18933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738370] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27250), 1,
      anon_sym_RBRACE,
    STATE(18934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738384] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27252), 1,
      anon_sym_RPAREN,
    STATE(18935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738398] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27254), 1,
      anon_sym_RPAREN,
    STATE(18936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738412] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27256), 1,
      anon_sym_RPAREN,
    STATE(18937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738426] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27256), 1,
      anon_sym_RBRACK,
    STATE(18938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738440] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27256), 1,
      anon_sym_RBRACE,
    STATE(18939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738454] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27258), 1,
      anon_sym_RBRACK,
    STATE(18940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738468] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27260), 1,
      anon_sym_RBRACE,
    STATE(18941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738482] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27262), 1,
      anon_sym_RBRACE,
    STATE(18942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738496] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27264), 1,
      anon_sym_SQUOTE2,
    STATE(18943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738510] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19644), 1,
      anon_sym_end,
    STATE(18944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738524] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27266), 1,
      sym__lowercase_identifier,
    STATE(18945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738538] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27268), 1,
      anon_sym_DQUOTE,
    STATE(18946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738552] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27270), 1,
      anon_sym_RPAREN,
    STATE(18947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738566] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27270), 1,
      anon_sym_RBRACK,
    STATE(18948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738580] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27270), 1,
      anon_sym_RBRACE,
    STATE(18949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738594] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27272), 1,
      anon_sym_RBRACK,
    STATE(18950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738608] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27274), 1,
      anon_sym_RBRACK,
    STATE(18951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738622] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27276), 1,
      anon_sym_RBRACE,
    STATE(18952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738636] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27278), 1,
      anon_sym_DASH_GT,
    STATE(18953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738650] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27280), 1,
      anon_sym_RPAREN,
    STATE(18954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738664] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27282), 1,
      anon_sym_RBRACE,
    STATE(18955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738678] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22776), 1,
      anon_sym_GT_RBRACE,
    STATE(18956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738692] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27284), 1,
      anon_sym_RPAREN,
    STATE(18957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738706] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27284), 1,
      anon_sym_RBRACK,
    STATE(18958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738720] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27284), 1,
      anon_sym_RBRACE,
    STATE(18959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738734] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27286), 1,
      anon_sym_RBRACE,
    STATE(18960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738748] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27288), 1,
      anon_sym_RBRACE,
    STATE(18961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738762] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27290), 1,
      anon_sym_RBRACK,
    STATE(18962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738776] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27292), 1,
      sym__lowercase_identifier,
    STATE(18963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738790] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27294), 1,
      anon_sym_RPAREN,
    STATE(18964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738804] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27296), 1,
      anon_sym_RPAREN,
    STATE(18965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738818] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11248), 1,
      anon_sym_GT,
    STATE(18966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738832] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27298), 1,
      anon_sym_RPAREN,
    STATE(18967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738846] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27298), 1,
      anon_sym_RBRACK,
    STATE(18968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738860] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27298), 1,
      anon_sym_RBRACE,
    STATE(18969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738874] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27300), 1,
      anon_sym_RBRACE,
    STATE(18970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738888] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27302), 1,
      anon_sym_RBRACE,
    STATE(18971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738902] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27304), 1,
      anon_sym_RPAREN,
    STATE(18972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738916] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19204), 1,
      anon_sym_end,
    STATE(18973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738930] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27306), 1,
      anon_sym_SQUOTE2,
    STATE(18974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738944] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27308), 1,
      anon_sym_DQUOTE,
    STATE(18975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738958] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27310), 1,
      anon_sym_DOT,
    STATE(18976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738972] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27312), 1,
      anon_sym_RPAREN,
    STATE(18977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738986] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27312), 1,
      anon_sym_RBRACK,
    STATE(18978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739000] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27312), 1,
      anon_sym_RBRACE,
    STATE(18979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739014] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27314), 1,
      anon_sym_RBRACK,
    STATE(18980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739028] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27316), 1,
      anon_sym_RBRACE,
    STATE(18981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739042] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27318), 1,
      anon_sym_RBRACE,
    STATE(18982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739056] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27320), 1,
      anon_sym_RBRACE,
    STATE(18983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739070] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27322), 1,
      anon_sym_DOT,
    STATE(18984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739084] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27324), 1,
      anon_sym_RBRACK,
    STATE(18985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739098] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27326), 1,
      sym__lowercase_identifier,
    STATE(18986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739112] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27328), 1,
      anon_sym_RPAREN,
    STATE(18987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739126] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27328), 1,
      anon_sym_RBRACK,
    STATE(18988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739140] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27328), 1,
      anon_sym_RBRACE,
    STATE(18989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739154] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27330), 1,
      anon_sym_RPAREN,
    STATE(18990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739168] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27332), 1,
      anon_sym_RBRACK,
    STATE(18991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739182] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27334), 1,
      anon_sym_RBRACE,
    STATE(18992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739196] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27336), 1,
      anon_sym_RBRACE,
    STATE(18993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739210] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27338), 1,
      anon_sym_RPAREN,
    STATE(18994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739224] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27340), 1,
      anon_sym_RBRACK,
    STATE(18995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739238] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27342), 1,
      anon_sym_DOT,
    STATE(18996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739252] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27344), 1,
      anon_sym_RPAREN,
    STATE(18997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739266] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27344), 1,
      anon_sym_RBRACK,
    STATE(18998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739280] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27344), 1,
      anon_sym_RBRACE,
    STATE(18999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739294] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27346), 1,
      anon_sym_RBRACE,
    STATE(19000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739308] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8829), 1,
      anon_sym_DASH_GT,
    STATE(19001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739322] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27348), 1,
      anon_sym_RBRACE,
    STATE(19002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739336] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27350), 1,
      anon_sym_RBRACK,
    STATE(19003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739350] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27352), 1,
      anon_sym_RBRACE,
    STATE(19004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739364] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27354), 1,
      anon_sym_RPAREN,
    STATE(19005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739378] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27356), 1,
      anon_sym_RBRACE,
    STATE(19006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739392] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24370), 1,
      anon_sym_RBRACE,
    STATE(19007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739406] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27358), 1,
      anon_sym_RBRACE,
    STATE(19008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739420] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27360), 1,
      anon_sym_RBRACK,
    STATE(19009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739434] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27362), 1,
      anon_sym_RBRACE,
    STATE(19010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739448] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27364), 1,
      anon_sym_RBRACK,
    STATE(19011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739462] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27366), 1,
      anon_sym_RBRACE,
    STATE(19012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739476] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27368), 1,
      anon_sym_RBRACE,
    STATE(19013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739490] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27370), 1,
      anon_sym_with,
    STATE(19014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739504] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27372), 1,
      anon_sym_RBRACK,
    STATE(19015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739518] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27374), 1,
      anon_sym_RBRACE,
    STATE(19016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739532] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11634), 1,
      anon_sym_GT,
    STATE(19017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739546] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27376), 1,
      anon_sym_RBRACE,
    STATE(19018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739560] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27378), 1,
      anon_sym_RPAREN,
    STATE(19019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739574] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8878), 1,
      anon_sym_DASH_GT,
    STATE(19020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739588] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27380), 1,
      anon_sym_RBRACK,
    STATE(19021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739602] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27382), 1,
      anon_sym_RBRACE,
    STATE(19022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739616] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27384), 1,
      anon_sym_with,
    STATE(19023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739630] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27386), 1,
      anon_sym_RBRACE,
    STATE(19024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739644] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27388), 1,
      anon_sym_end,
    STATE(19025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739658] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27390), 1,
      anon_sym_DOT,
    STATE(19026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739672] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27392), 1,
      anon_sym_RBRACK,
    STATE(19027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739686] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27394), 1,
      anon_sym_RBRACE,
    STATE(19028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739700] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27396), 1,
      anon_sym_RBRACE,
    STATE(19029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739714] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27398), 1,
      anon_sym_RBRACE,
    STATE(19030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739728] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27400), 1,
      anon_sym_RBRACE,
    STATE(19031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739742] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27402), 1,
      anon_sym_RPAREN,
    STATE(19032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739756] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27404), 1,
      anon_sym_RBRACK,
    STATE(19033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739770] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27406), 1,
      anon_sym_RBRACE,
    STATE(19034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739784] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27408), 1,
      anon_sym_RPAREN,
    STATE(19035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739798] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27410), 1,
      anon_sym_RBRACE,
    STATE(19036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739812] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21633), 1,
      anon_sym_GT_RBRACE,
    STATE(19037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739826] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27412), 1,
      anon_sym_RBRACE,
    STATE(19038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739840] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27414), 1,
      anon_sym_RBRACK,
    STATE(19039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739854] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27416), 1,
      anon_sym_RBRACE,
    STATE(19040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739868] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27418), 1,
      anon_sym_RPAREN,
    STATE(19041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739882] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27420), 1,
      anon_sym_RBRACE,
    STATE(19042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739896] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27422), 1,
      anon_sym_RBRACK,
    STATE(19043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739910] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27424), 1,
      anon_sym_RPAREN,
    STATE(19044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739924] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27426), 1,
      anon_sym_RBRACK,
    STATE(19045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739938] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27428), 1,
      anon_sym_RBRACE,
    STATE(19046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739952] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27430), 1,
      anon_sym_RBRACK,
    STATE(19047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739966] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27432), 1,
      anon_sym_RBRACE,
    STATE(19048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739980] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19827), 1,
      anon_sym_end,
    STATE(19049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739994] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27434), 1,
      anon_sym_with,
    STATE(19050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740008] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27436), 1,
      anon_sym_RBRACK,
    STATE(19051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740022] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27438), 1,
      anon_sym_RBRACE,
    STATE(19052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740036] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27440), 1,
      anon_sym_RPAREN,
    STATE(19053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740050] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27442), 1,
      anon_sym_RBRACE,
    STATE(19054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740064] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27444), 1,
      anon_sym_SQUOTE2,
    STATE(19055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740078] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27446), 1,
      anon_sym_with,
    STATE(19056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740092] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27448), 1,
      anon_sym_RBRACK,
    STATE(19057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740106] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27450), 1,
      anon_sym_RBRACE,
    STATE(19058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740120] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27452), 1,
      anon_sym_RPAREN,
    STATE(19059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740134] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27454), 1,
      anon_sym_RBRACE,
    STATE(19060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740148] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27456), 1,
      anon_sym_DQUOTE,
    STATE(19061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740162] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27458), 1,
      anon_sym_end,
    STATE(19062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740176] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27460), 1,
      anon_sym_RBRACK,
    STATE(19063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740190] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27462), 1,
      anon_sym_RBRACE,
    STATE(19064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740204] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27464), 1,
      anon_sym_RBRACE,
    STATE(19065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740218] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27466), 1,
      anon_sym_RBRACE,
    STATE(19066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740232] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27468), 1,
      anon_sym_RPAREN,
    STATE(19067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740246] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27470), 1,
      anon_sym_DOT,
    STATE(19068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740260] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27472), 1,
      anon_sym_RBRACK,
    STATE(19069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740274] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27474), 1,
      anon_sym_RBRACE,
    STATE(19070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740288] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27476), 1,
      anon_sym_LT_DASH,
    STATE(19071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740302] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27478), 1,
      anon_sym_RBRACE,
    STATE(19072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740316] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27480), 1,
      anon_sym_PIPE,
    STATE(19073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740330] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27482), 1,
      sym__lowercase_identifier,
    STATE(19074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740344] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27484), 1,
      anon_sym_RPAREN,
    STATE(19075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740358] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27486), 1,
      anon_sym_RBRACK,
    STATE(19076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740372] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27488), 1,
      anon_sym_RBRACE,
    STATE(19077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740386] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27490), 1,
      anon_sym_RBRACE,
    STATE(19078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740400] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27492), 1,
      anon_sym_RBRACE,
    STATE(19079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740414] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27494), 1,
      anon_sym_RBRACK,
    STATE(19080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740428] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27496), 1,
      anon_sym_RPAREN,
    STATE(19081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740442] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27498), 1,
      anon_sym_RBRACE,
    STATE(19082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740456] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27500), 1,
      anon_sym_in,
    STATE(19083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740470] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21581), 1,
      anon_sym_GT_RBRACE,
    STATE(19084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740484] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27502), 1,
      anon_sym_RPAREN,
    STATE(19085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740498] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27504), 1,
      anon_sym_RBRACE,
    STATE(19086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740512] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27506), 1,
      anon_sym_RBRACE,
    STATE(19087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740526] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16636), 1,
      anon_sym_RPAREN,
    STATE(19088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740540] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24380), 1,
      anon_sym_RBRACK,
    STATE(19089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740554] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27508), 1,
      sym__lowercase_identifier,
    STATE(19090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740568] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27510), 1,
      anon_sym_RBRACK,
    STATE(19091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740582] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27512), 1,
      anon_sym_RPAREN,
    STATE(19092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740596] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27514), 1,
      anon_sym_RBRACK,
    STATE(19093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740610] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27516), 1,
      anon_sym_EQ,
    STATE(19094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740624] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27518), 1,
      anon_sym_DASH_GT,
    STATE(19095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740638] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27520), 1,
      anon_sym_RBRACE,
    STATE(19096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740652] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27522), 1,
      anon_sym_done,
    STATE(19097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740666] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27524), 1,
      anon_sym_RBRACE,
    STATE(19098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740680] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27526), 1,
      aux_sym_number_token1,
    STATE(19099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740694] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27528), 1,
      anon_sym_RBRACE,
    STATE(19100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740708] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      sym__uppercase_identifier,
    STATE(19101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740722] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27530), 1,
      anon_sym_DASH_GT,
    STATE(19102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740736] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27532), 1,
      anon_sym_RPAREN,
    STATE(19103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740750] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27534), 1,
      anon_sym_RBRACK,
    STATE(19104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740764] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27536), 1,
      anon_sym_RBRACE,
    STATE(19105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740778] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27538), 1,
      anon_sym_RPAREN,
    STATE(19106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740792] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27540), 1,
      anon_sym_RPAREN,
    STATE(19107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740806] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27542), 1,
      anon_sym_RBRACK,
    STATE(19108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740820] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27544), 1,
      anon_sym_RPAREN,
    STATE(19109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740834] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27546), 1,
      anon_sym_DASH_GT,
    STATE(19110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740848] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27548), 1,
      anon_sym_RPAREN,
    STATE(19111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740862] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27550), 1,
      anon_sym_RBRACK,
    STATE(19112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740876] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27552), 1,
      anon_sym_RPAREN,
    STATE(19113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740890] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27554), 1,
      anon_sym_RBRACE,
    STATE(19114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740904] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17758), 1,
      anon_sym_RPAREN,
    STATE(19115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740918] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27556), 1,
      anon_sym_RBRACE,
    STATE(19116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740932] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27558), 1,
      anon_sym_RPAREN,
    STATE(19117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740946] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27560), 1,
      sym__lowercase_identifier,
    STATE(19118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740960] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27562), 1,
      anon_sym_RPAREN,
    STATE(19119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740974] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11328), 1,
      anon_sym_GT,
    STATE(19120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740988] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27564), 1,
      anon_sym_in,
    STATE(19121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741002] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27566), 1,
      anon_sym_RBRACE,
    STATE(19122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741016] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27568), 1,
      anon_sym_DASH_GT,
    STATE(19123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741030] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27570), 1,
      anon_sym_DASH_GT,
    STATE(19124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741044] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8741), 1,
      anon_sym_DASH_GT,
    STATE(19125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741058] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27572), 1,
      anon_sym_DOT,
    STATE(19126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741072] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27574), 1,
      anon_sym_RBRACE,
    STATE(19127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741086] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17471), 1,
      anon_sym_GT,
    STATE(19128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741100] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27576), 1,
      anon_sym_type,
    STATE(19129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741114] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27578), 1,
      anon_sym_DASH_GT,
    STATE(19130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741128] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27580), 1,
      anon_sym_RPAREN,
    STATE(19131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741142] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27582), 1,
      anon_sym_RPAREN,
    STATE(19132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741156] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27584), 1,
      anon_sym_RPAREN,
    STATE(19133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741170] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27582), 1,
      anon_sym_RBRACK,
    STATE(19134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741184] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27586), 1,
      anon_sym_GT,
    STATE(19135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741198] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27588), 1,
      anon_sym_DASH_GT,
    STATE(19136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741212] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27590), 1,
      anon_sym_DOT,
    STATE(19137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741226] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27592), 1,
      anon_sym_RBRACE,
    STATE(19138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741240] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27582), 1,
      anon_sym_RBRACE,
    STATE(19139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741254] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27594), 1,
      anon_sym_DASH_GT,
    STATE(19140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741268] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27596), 1,
      anon_sym_DASH_GT,
    STATE(19141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741282] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27598), 1,
      anon_sym_RPAREN,
    STATE(19142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741296] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27600), 1,
      anon_sym_DOT,
    STATE(19143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741310] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27602), 1,
      anon_sym_DASH_GT,
    STATE(19144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741324] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27604), 1,
      anon_sym_end,
    STATE(19145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741338] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27606), 1,
      anon_sym_DOT_DOT,
    STATE(19146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741352] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27608), 1,
      anon_sym_DOT_DOT,
    STATE(19147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741366] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27610), 1,
      anon_sym_DOT_DOT,
    STATE(19148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741380] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27612), 1,
      anon_sym_RBRACE,
    STATE(19149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741394] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27614), 1,
      anon_sym_RPAREN,
    STATE(19150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741408] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16427), 1,
      anon_sym_RPAREN,
    STATE(19151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741422] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27616), 1,
      anon_sym_LT_DASH,
    STATE(19152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741436] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27618), 1,
      sym__lowercase_identifier,
    STATE(19153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741450] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8835), 1,
      anon_sym_DASH_GT,
    STATE(19154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741464] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17459), 1,
      anon_sym_GT,
    STATE(19155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741478] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27620), 1,
      anon_sym_RPAREN,
    STATE(19156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741492] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16431), 1,
      anon_sym_RPAREN,
    STATE(19157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741506] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27622), 1,
      anon_sym_in,
    STATE(19158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741520] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27624), 1,
      anon_sym_COLON2,
    STATE(19159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741534] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27626), 1,
      anon_sym_RPAREN,
    STATE(19160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741548] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27628), 1,
      anon_sym_in,
    STATE(19161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741562] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27630), 1,
      anon_sym_in,
    STATE(19162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741576] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27632), 1,
      anon_sym_RPAREN,
    STATE(19163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741590] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27634), 1,
      sym__lowercase_identifier,
    STATE(19164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741604] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27636), 1,
      anon_sym_RBRACK,
    STATE(19165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741618] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27638), 1,
      anon_sym_RBRACE,
    STATE(19166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741632] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27640), 1,
      anon_sym_DASH_GT,
    STATE(19167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741646] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27642), 1,
      anon_sym_in,
    STATE(19168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741660] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27644), 1,
      anon_sym_in,
    STATE(19169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741674] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27646), 1,
      anon_sym_in,
    STATE(19170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741688] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27648), 1,
      anon_sym_RPAREN,
    STATE(19171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741702] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27650), 1,
      anon_sym_RPAREN,
    STATE(19172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741716] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27652), 1,
      anon_sym_RPAREN,
    STATE(19173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741730] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27654), 1,
      anon_sym_RBRACK,
    STATE(19174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741744] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19886), 1,
      anon_sym_end,
    STATE(19175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741758] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27656), 1,
      anon_sym_in,
    STATE(19176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741772] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27658), 1,
      anon_sym_RBRACE,
    STATE(19177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741786] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27660), 1,
      anon_sym_EQ,
    STATE(19178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741800] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27662), 1,
      anon_sym_in,
    STATE(19179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741814] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27664), 1,
      anon_sym_RBRACE,
    STATE(19180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741828] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27666), 1,
      anon_sym_RBRACK,
    STATE(19181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741842] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27668), 1,
      anon_sym_RPAREN,
    STATE(19182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741856] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27670), 1,
      anon_sym_end,
    STATE(19183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741870] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27672), 1,
      anon_sym_with,
    STATE(19184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741884] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12822), 1,
      anon_sym_DASH_GT,
    STATE(19185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741898] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27674), 1,
      anon_sym_DASH_GT,
    STATE(19186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741912] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27676), 1,
      anon_sym_PIPE,
    STATE(19187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741926] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27678), 1,
      anon_sym_with,
    STATE(19188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741940] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27680), 1,
      anon_sym_DOT,
    STATE(19189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741954] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27682), 1,
      anon_sym_RPAREN,
    STATE(19190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741968] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27684), 1,
      anon_sym_SQUOTE2,
    STATE(19191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741982] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27686), 1,
      anon_sym_RPAREN,
    STATE(19192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741996] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21587), 1,
      anon_sym_GT_RBRACE,
    STATE(19193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742010] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8763), 1,
      anon_sym_DASH_GT,
    STATE(19194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742024] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19805), 1,
      anon_sym_end,
    STATE(19195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742038] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27688), 1,
      anon_sym_RPAREN,
    STATE(19196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742052] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27690), 1,
      anon_sym_RPAREN,
    STATE(19197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742066] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24442), 1,
      anon_sym_RBRACK,
    STATE(19198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742080] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27692), 1,
      anon_sym_RPAREN,
    STATE(19199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742094] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27694), 1,
      anon_sym_SQUOTE2,
    STATE(19200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742108] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27696), 1,
      anon_sym_DQUOTE,
    STATE(19201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742122] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27698), 1,
      anon_sym_DOT,
    STATE(19202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742136] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27700), 1,
      anon_sym_RPAREN,
    STATE(19203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742150] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27702), 1,
      anon_sym_RBRACK,
    STATE(19204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742164] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27704), 1,
      sym__lowercase_identifier,
    STATE(19205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742178] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27706), 1,
      anon_sym_COLON2,
    STATE(19206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742192] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27708), 1,
      anon_sym_DOT,
    STATE(19207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742206] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27710), 1,
      anon_sym_RPAREN,
    STATE(19208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742220] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27712), 1,
      anon_sym_in,
    STATE(19209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742234] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27714), 1,
      anon_sym_DQUOTE,
    STATE(19210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742248] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27716), 1,
      anon_sym_RPAREN,
    STATE(19211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742262] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27718), 1,
      anon_sym_RBRACK,
    STATE(19212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742276] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11296), 1,
      anon_sym_GT,
    STATE(19213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742290] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8940), 1,
      anon_sym_DASH_GT,
    STATE(19214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742304] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27720), 1,
      sym__lowercase_identifier,
    STATE(19215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742318] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27722), 1,
      anon_sym_RBRACE,
    STATE(19216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742332] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27724), 1,
      anon_sym_RBRACE,
    STATE(19217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742346] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17546), 1,
      anon_sym_GT,
    STATE(19218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742360] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27726), 1,
      anon_sym_with,
    STATE(19219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742374] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27728), 1,
      anon_sym_GT,
    STATE(19220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742388] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27730), 1,
      sym__lowercase_identifier,
    STATE(19221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742402] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27732), 1,
      anon_sym_COMMA,
    STATE(19222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742416] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27734), 1,
      anon_sym_RPAREN,
    STATE(19223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742430] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27736), 1,
      anon_sym_end,
    STATE(19224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742444] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16485), 1,
      anon_sym_RPAREN,
    STATE(19225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742458] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27738), 1,
      anon_sym_RPAREN,
    STATE(19226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742472] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27740), 1,
      anon_sym_RPAREN,
    STATE(19227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742486] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      anon_sym_DASH_GT,
    STATE(19228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742500] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27742), 1,
      anon_sym_RBRACE,
    STATE(19229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742514] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27744), 1,
      anon_sym_LT_DASH,
    STATE(19230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742528] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8709), 1,
      anon_sym_DASH_GT,
    STATE(19231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742542] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27746), 1,
      anon_sym_DOT,
    STATE(19232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742556] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3209), 1,
      anon_sym_RPAREN,
    STATE(19233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742570] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27748), 1,
      anon_sym_DOT_DOT,
    STATE(19234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742584] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27750), 1,
      anon_sym_DOT_DOT,
    STATE(19235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742598] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27752), 1,
      anon_sym_DOT_DOT,
    STATE(19236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742612] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27754), 1,
      anon_sym_RPAREN,
    STATE(19237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742626] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27756), 1,
      anon_sym_RPAREN,
    STATE(19238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742640] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27758), 1,
      anon_sym_RPAREN,
    STATE(19239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742654] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27760), 1,
      anon_sym_RBRACE,
    STATE(19240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742668] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27762), 1,
      anon_sym_RPAREN,
    STATE(19241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742682] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27764), 1,
      anon_sym_DASH_GT,
    STATE(19242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742696] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27766), 1,
      anon_sym_RPAREN,
    STATE(19243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742710] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27768), 1,
      anon_sym_RPAREN,
    STATE(19244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742724] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27770), 1,
      anon_sym_in,
    STATE(19245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742738] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27772), 1,
      anon_sym_in,
    STATE(19246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742752] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27774), 1,
      anon_sym_COLON2,
    STATE(19247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742766] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27776), 1,
      anon_sym_RBRACK,
    STATE(19248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742780] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27778), 1,
      anon_sym_with,
    STATE(19249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742794] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27780), 1,
      anon_sym_end,
    STATE(19250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742808] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27782), 1,
      anon_sym_RPAREN,
    STATE(19251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742822] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27784), 1,
      anon_sym_with,
    STATE(19252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742836] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27786), 1,
      anon_sym_RBRACK,
    STATE(19253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742850] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27788), 1,
      anon_sym_RBRACE,
    STATE(19254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742864] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27790), 1,
      anon_sym_GT,
    STATE(19255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742878] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16391), 1,
      anon_sym_RPAREN,
    STATE(19256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742892] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27792), 1,
      anon_sym_DOT,
    STATE(19257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742906] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27794), 1,
      anon_sym_RBRACK,
    STATE(19258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742920] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27796), 1,
      anon_sym_RBRACE,
    STATE(19259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742934] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27798), 1,
      anon_sym_RPAREN,
    STATE(19260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742948] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27800), 1,
      anon_sym_DOT,
    STATE(19261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742962] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27802), 1,
      anon_sym_PIPE,
    STATE(19262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742976] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27804), 1,
      anon_sym_RBRACE,
    STATE(19263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742990] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27806), 1,
      anon_sym_RPAREN,
    STATE(19264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743004] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27808), 1,
      anon_sym_RPAREN,
    STATE(19265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743018] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27810), 1,
      anon_sym_DASH_GT,
    STATE(19266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743032] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27812), 1,
      anon_sym_RPAREN,
    STATE(19267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743046] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27814), 1,
      anon_sym_RBRACK,
    STATE(19268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743060] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27816), 1,
      anon_sym_RBRACE,
    STATE(19269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743074] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27818), 1,
      anon_sym_RPAREN,
    STATE(19270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743088] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27820), 1,
      anon_sym_RPAREN,
    STATE(19271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743102] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27822), 1,
      anon_sym_RPAREN,
    STATE(19272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743116] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24482), 1,
      anon_sym_RBRACK,
    STATE(19273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743130] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27824), 1,
      anon_sym_RPAREN,
    STATE(19274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743144] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27826), 1,
      anon_sym_RPAREN,
    STATE(19275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743158] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27828), 1,
      anon_sym_RBRACK,
    STATE(19276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743172] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27830), 1,
      anon_sym_RBRACE,
    STATE(19277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743186] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27832), 1,
      anon_sym_RPAREN,
    STATE(19278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743200] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27834), 1,
      sym__lowercase_identifier,
    STATE(19279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743214] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27836), 1,
      anon_sym_RPAREN,
    STATE(19280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743228] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27838), 1,
      anon_sym_DASH_GT,
    STATE(19281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743242] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27840), 1,
      anon_sym_with,
    STATE(19282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743256] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27842), 1,
      anon_sym_RPAREN,
    STATE(19283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743270] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27844), 1,
      anon_sym_RPAREN,
    STATE(19284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743284] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27846), 1,
      anon_sym_RBRACK,
    STATE(19285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743298] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27848), 1,
      anon_sym_COMMA,
    STATE(19286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743312] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27850), 1,
      anon_sym_LT_DASH,
    STATE(19287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743326] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27852), 1,
      anon_sym_RPAREN,
    STATE(19288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743340] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24506), 1,
      anon_sym_RBRACE,
    STATE(19289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743354] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27854), 1,
      sym__lowercase_identifier,
    STATE(19290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743368] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27856), 1,
      anon_sym_RPAREN,
    STATE(19291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743382] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27858), 1,
      anon_sym_RPAREN,
    STATE(19292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743396] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27860), 1,
      anon_sym_RPAREN,
    STATE(19293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743410] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27862), 1,
      anon_sym_RBRACK,
    STATE(19294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743424] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27864), 1,
      anon_sym_RBRACE,
    STATE(19295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743438] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27866), 1,
      anon_sym_RPAREN,
    STATE(19296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743452] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27868), 1,
      anon_sym_with,
    STATE(19297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743466] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27870), 1,
      anon_sym_DOT,
    STATE(19298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743480] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27872), 1,
      anon_sym_LT_DASH,
    STATE(19299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743494] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27874), 1,
      anon_sym_RBRACE,
    STATE(19300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743508] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24518), 1,
      anon_sym_RBRACE,
    STATE(19301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743522] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27876), 1,
      anon_sym_RBRACK,
    STATE(19302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743536] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27878), 1,
      anon_sym_RBRACK,
    STATE(19303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743550] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27880), 1,
      anon_sym_RPAREN,
    STATE(19304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743564] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27882), 1,
      anon_sym_RBRACE,
    STATE(19305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743578] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27884), 1,
      anon_sym_RPAREN,
    STATE(19306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743592] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27886), 1,
      anon_sym_RBRACE,
    STATE(19307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743606] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27888), 1,
      anon_sym_DOT_DOT,
    STATE(19308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743620] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27890), 1,
      anon_sym_DOT_DOT,
    STATE(19309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743634] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27892), 1,
      anon_sym_DOT_DOT,
    STATE(19310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743648] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27894), 1,
      anon_sym_RPAREN,
    STATE(19311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743662] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27896), 1,
      anon_sym_RPAREN,
    STATE(19312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743676] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27898), 1,
      anon_sym_DOT,
    STATE(19313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743690] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5297), 1,
      anon_sym_COLON_COLON,
    STATE(19314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743704] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27900), 1,
      anon_sym_DOT,
    STATE(19315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743718] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27902), 1,
      anon_sym_DASH_GT,
    STATE(19316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743732] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27904), 1,
      anon_sym_RBRACK,
    STATE(19317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743746] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27906), 1,
      anon_sym_DASH_GT,
    STATE(19318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743760] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27908), 1,
      anon_sym_in,
    STATE(19319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743774] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27910), 1,
      anon_sym_COLON2,
    STATE(19320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743788] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27912), 1,
      anon_sym_RPAREN,
    STATE(19321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743802] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27914), 1,
      anon_sym_in,
    STATE(19322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743816] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27916), 1,
      sym__lowercase_identifier,
    STATE(19323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743830] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27918), 1,
      anon_sym_in,
    STATE(19324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743844] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24550), 1,
      anon_sym_RBRACE,
    STATE(19325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743858] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27920), 1,
      sym__lowercase_identifier,
    STATE(19326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743872] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27922), 1,
      anon_sym_with,
    STATE(19327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743886] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27924), 1,
      anon_sym_RBRACE,
    STATE(19328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743900] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27926), 1,
      anon_sym_with,
    STATE(19329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743914] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27928), 1,
      anon_sym_RPAREN,
    STATE(19330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743928] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27930), 1,
      anon_sym_RPAREN,
    STATE(19331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743942] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27932), 1,
      anon_sym_RPAREN,
    STATE(19332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743956] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27934), 1,
      anon_sym_RPAREN,
    STATE(19333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743970] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17944), 1,
      anon_sym_RPAREN,
    STATE(19334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743984] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27936), 1,
      anon_sym_PIPE,
    STATE(19335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743998] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27938), 1,
      anon_sym_RPAREN,
    STATE(19336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744012] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27940), 1,
      anon_sym_RBRACE,
    STATE(19337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744026] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27942), 1,
      anon_sym_in,
    STATE(19338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744040] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27944), 1,
      anon_sym_RBRACE,
    STATE(19339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744054] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27946), 1,
      anon_sym_DASH_GT,
    STATE(19340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744068] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27948), 1,
      anon_sym_DOT,
    STATE(19341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744082] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24530), 1,
      anon_sym_RBRACK,
    STATE(19342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744096] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27950), 1,
      anon_sym_DOT,
    STATE(19343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744110] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27952), 1,
      anon_sym_RBRACK,
    STATE(19344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744124] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3203), 1,
      anon_sym_RPAREN,
    STATE(19345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744138] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27954), 1,
      anon_sym_RBRACE,
    STATE(19346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744152] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27956), 1,
      anon_sym_RBRACK,
    STATE(19347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744166] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27958), 1,
      anon_sym_RBRACE,
    STATE(19348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744180] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27960), 1,
      sym__lowercase_identifier,
    STATE(19349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744194] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27962), 1,
      anon_sym_RBRACE,
    STATE(19350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744208] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27964), 1,
      anon_sym_RPAREN,
    STATE(19351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744222] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27966), 1,
      anon_sym_RPAREN,
    STATE(19352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744236] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27968), 1,
      sym__lowercase_identifier,
    STATE(19353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744250] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15746), 1,
      anon_sym_DASH_GT,
    STATE(19354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744264] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27970), 1,
      anon_sym_RPAREN,
    STATE(19355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744278] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27972), 1,
      anon_sym_LT_DASH,
    STATE(19356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744292] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19357), 1,
      anon_sym_end,
    STATE(19357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744306] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27974), 1,
      anon_sym_RBRACK,
    STATE(19358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744320] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27976), 1,
      anon_sym_RBRACE,
    STATE(19359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744334] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27978), 1,
      anon_sym_DASH_GT,
    STATE(19360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744348] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27980), 1,
      anon_sym_in,
    STATE(19361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744362] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27982), 1,
      anon_sym_in,
    STATE(19362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744376] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27984), 1,
      anon_sym_DOT_DOT,
    STATE(19363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744390] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27986), 1,
      anon_sym_DOT_DOT,
    STATE(19364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744404] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27988), 1,
      anon_sym_DOT_DOT,
    STATE(19365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744418] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5087), 1,
      anon_sym_end,
    STATE(19366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744432] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27990), 1,
      anon_sym_DASH_GT,
    STATE(19367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744446] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27992), 1,
      anon_sym_COLON2,
    STATE(19368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744460] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27994), 1,
      anon_sym_RPAREN,
    STATE(19369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744474] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27996), 1,
      aux_sym_number_token1,
    STATE(19370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744488] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27998), 1,
      anon_sym_DASH_GT,
    STATE(19371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744502] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28000), 1,
      anon_sym_in,
    STATE(19372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744516] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28002), 1,
      anon_sym_PIPE,
    STATE(19373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744530] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17510), 1,
      anon_sym_GT,
    STATE(19374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744544] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28004), 1,
      anon_sym_in,
    STATE(19375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744558] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28006), 1,
      anon_sym_in,
    STATE(19376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744572] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28008), 1,
      anon_sym_in,
    STATE(19377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744586] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28010), 1,
      anon_sym_in,
    STATE(19378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744600] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28012), 1,
      anon_sym_RBRACE,
    STATE(19379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744614] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9624), 1,
      anon_sym_RBRACK,
    STATE(19380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744628] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28014), 1,
      anon_sym_RPAREN,
    STATE(19381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744642] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28016), 1,
      anon_sym_RPAREN,
    STATE(19382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744656] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28018), 1,
      anon_sym_DASH_GT,
    STATE(19383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744670] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17764), 1,
      anon_sym_RPAREN,
    STATE(19384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744684] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28020), 1,
      anon_sym_RPAREN,
    STATE(19385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744698] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28022), 1,
      anon_sym_RPAREN,
    STATE(19386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744712] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    STATE(19387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744726] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28024), 1,
      anon_sym_RPAREN,
    STATE(19388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744740] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28026), 1,
      anon_sym_RPAREN,
    STATE(19389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744754] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28028), 1,
      sym__lowercase_identifier,
    STATE(19390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744768] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28030), 1,
      anon_sym_RPAREN,
    STATE(19391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744782] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28032), 1,
      anon_sym_DASH_GT,
    STATE(19392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744796] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28034), 1,
      anon_sym_LT_DASH,
    STATE(19393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744810] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28036), 1,
      anon_sym_DOT_DOT,
    STATE(19394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744824] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28038), 1,
      anon_sym_DOT_DOT,
    STATE(19395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744838] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28040), 1,
      anon_sym_DOT_DOT,
    STATE(19396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744852] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28042), 1,
      anon_sym_RPAREN,
    STATE(19397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744866] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28042), 1,
      anon_sym_RBRACK,
    STATE(19398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744880] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28042), 1,
      anon_sym_RBRACE,
    STATE(19399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744894] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28044), 1,
      anon_sym_DASH_GT,
    STATE(19400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744908] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28046), 1,
      anon_sym_DASH_GT,
    STATE(19401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744922] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28048), 1,
      anon_sym_PIPE,
    STATE(19402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744936] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28050), 1,
      anon_sym_in,
    STATE(19403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744950] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28052), 1,
      anon_sym_in,
    STATE(19404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744964] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28054), 1,
      anon_sym_in,
    STATE(19405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744978] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28056), 1,
      anon_sym_RPAREN,
    STATE(19406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744992] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28058), 1,
      anon_sym_DASH_GT,
    STATE(19407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745006] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28060), 1,
      anon_sym_RPAREN,
    STATE(19408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745020] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24552), 1,
      anon_sym_RBRACK,
    STATE(19409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745034] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28062), 1,
      anon_sym_in,
    STATE(19410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745048] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28064), 1,
      anon_sym_with,
    STATE(19411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745062] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28066), 1,
      anon_sym_RBRACK,
    STATE(19412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745076] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28068), 1,
      anon_sym_DASH_GT,
    STATE(19413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745090] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28070), 1,
      anon_sym_RBRACE,
    STATE(19414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745104] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28072), 1,
      anon_sym_RPAREN,
    STATE(19415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745118] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28074), 1,
      sym__lowercase_identifier,
    STATE(19416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745132] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28076), 1,
      anon_sym_RBRACE,
    STATE(19417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745146] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28078), 1,
      anon_sym_in,
    STATE(19418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745160] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28080), 1,
      anon_sym_in,
    STATE(19419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745174] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28082), 1,
      anon_sym_DOT_DOT,
    STATE(19420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745188] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28084), 1,
      anon_sym_DOT_DOT,
    STATE(19421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745202] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28086), 1,
      anon_sym_DOT_DOT,
    STATE(19422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745216] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16461), 1,
      anon_sym_RPAREN,
    STATE(19423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745230] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28088), 1,
      anon_sym_in,
    STATE(19424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745244] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28090), 1,
      anon_sym_RPAREN,
    STATE(19425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745258] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28092), 1,
      anon_sym_DASH_GT,
    STATE(19426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745272] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28094), 1,
      anon_sym_in,
    STATE(19427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745286] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28096), 1,
      anon_sym_PIPE,
    STATE(19428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745300] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3189), 1,
      anon_sym_RPAREN,
    STATE(19429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745314] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28098), 1,
      anon_sym_RBRACE,
    STATE(19430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745328] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28100), 1,
      anon_sym_RPAREN,
    STATE(19431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745342] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28102), 1,
      anon_sym_in,
    STATE(19432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745356] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28104), 1,
      anon_sym_RBRACE,
    STATE(19433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745370] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28106), 1,
      anon_sym_RPAREN,
    STATE(19434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745384] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24564), 1,
      anon_sym_RBRACK,
    STATE(19435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745398] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28106), 1,
      anon_sym_RBRACK,
    STATE(19436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745412] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22742), 1,
      anon_sym_GT_RBRACE,
    STATE(19437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745426] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28106), 1,
      anon_sym_RBRACE,
    STATE(19438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745440] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19228), 1,
      anon_sym_end,
    STATE(19439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745454] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28108), 1,
      anon_sym_RBRACE,
    STATE(19440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745468] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28110), 1,
      anon_sym_with,
    STATE(19441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745482] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28112), 1,
      sym__lowercase_identifier,
    STATE(19442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745496] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28114), 1,
      anon_sym_SQUOTE2,
    STATE(19443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745510] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28116), 1,
      anon_sym_DQUOTE,
    STATE(19444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745524] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28118), 1,
      anon_sym_DASH_GT,
    STATE(19445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745538] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28120), 1,
      anon_sym_DOT_DOT,
    STATE(19446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745552] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28122), 1,
      anon_sym_DOT_DOT,
    STATE(19447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745566] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28124), 1,
      anon_sym_DOT_DOT,
    STATE(19448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745580] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28126), 1,
      anon_sym_done,
    STATE(19449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745594] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28128), 1,
      sym__lowercase_identifier,
    STATE(19450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745608] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28130), 1,
      anon_sym_DASH_GT,
    STATE(19451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745622] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28132), 1,
      anon_sym_RBRACK,
    STATE(19452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745636] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28134), 1,
      anon_sym_in,
    STATE(19453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745650] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28136), 1,
      anon_sym_PIPE,
    STATE(19454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745664] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20204), 1,
      anon_sym_GT_RBRACE,
    STATE(19455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745678] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21867), 1,
      anon_sym_GT_RBRACE,
    STATE(19456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745692] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28138), 1,
      anon_sym_DASH_GT,
    STATE(19457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745706] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19912), 1,
      anon_sym_end,
    STATE(19458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745720] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20186), 1,
      anon_sym_end,
    STATE(19459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745734] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28140), 1,
      anon_sym_RPAREN,
    STATE(19460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745748] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9620), 1,
      anon_sym_RBRACK,
    STATE(19461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745762] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28142), 1,
      anon_sym_SQUOTE2,
    STATE(19462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745776] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28144), 1,
      anon_sym_DQUOTE,
    STATE(19463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745790] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28146), 1,
      sym__right_quoted_string_delimiter,
    STATE(19464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745804] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28148), 1,
      anon_sym_SQUOTE2,
    STATE(19465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745818] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11376), 1,
      anon_sym_GT,
    STATE(19466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745832] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28150), 1,
      sym__lowercase_identifier,
    STATE(19467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745846] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28152), 1,
      sym__lowercase_identifier,
    STATE(19468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745860] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3199), 1,
      anon_sym_RPAREN,
    STATE(19469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745874] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28154), 1,
      anon_sym_RBRACE,
    STATE(19470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745888] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28156), 1,
      anon_sym_DOT_DOT,
    STATE(19471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745902] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28158), 1,
      anon_sym_DOT_DOT,
    STATE(19472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745916] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28160), 1,
      anon_sym_DOT_DOT,
    STATE(19473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745930] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28162), 1,
      anon_sym_DQUOTE,
    STATE(19474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745944] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28164), 1,
      anon_sym_PIPE,
    STATE(19475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745958] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28166), 1,
      anon_sym_RPAREN,
    STATE(19476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745972] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23330), 1,
      anon_sym_RBRACE,
    STATE(19477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745986] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28168), 1,
      anon_sym_SQUOTE2,
    STATE(19478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746000] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28170), 1,
      anon_sym_end,
    STATE(19479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746014] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28172), 1,
      anon_sym_LT_DASH,
    STATE(19480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746028] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23334), 1,
      anon_sym_RBRACE,
    STATE(19481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746042] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24588), 1,
      anon_sym_RBRACK,
    STATE(19482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746056] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28174), 1,
      sym__lowercase_identifier,
    STATE(19483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746070] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11380), 1,
      anon_sym_GT,
    STATE(19484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746084] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28176), 1,
      anon_sym_RPAREN,
    STATE(19485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746098] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17399), 1,
      anon_sym_GT,
    STATE(19486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746112] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28178), 1,
      anon_sym_RBRACE,
    STATE(19487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746126] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28180), 1,
      anon_sym_RBRACE,
    STATE(19488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746140] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28182), 1,
      sym__lowercase_identifier,
    STATE(19489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746154] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24600), 1,
      anon_sym_RBRACE,
    STATE(19490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746168] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28184), 1,
      anon_sym_DOT_DOT,
    STATE(19491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746182] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28186), 1,
      anon_sym_DOT_DOT,
    STATE(19492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746196] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28188), 1,
      anon_sym_DOT_DOT,
    STATE(19493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746210] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28190), 1,
      anon_sym_RPAREN,
    STATE(19494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746224] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28192), 1,
      anon_sym_PIPE,
    STATE(19495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746238] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28194), 1,
      anon_sym_of,
    STATE(19496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746252] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28196), 1,
      anon_sym_RPAREN,
    STATE(19497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746266] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28198), 1,
      anon_sym_RPAREN,
    STATE(19498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746280] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22539), 1,
      anon_sym_GT_RBRACE,
    STATE(19499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746294] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28200), 1,
      anon_sym_RBRACK,
    STATE(19500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746308] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28202), 1,
      anon_sym_RBRACE,
    STATE(19501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746322] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9662), 1,
      anon_sym_RBRACK,
    STATE(19502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746336] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28204), 1,
      anon_sym_RPAREN,
    STATE(19503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746350] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28206), 1,
      anon_sym_in,
    STATE(19504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746364] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8841), 1,
      anon_sym_DASH_GT,
    STATE(19505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746378] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19122), 1,
      anon_sym_end,
    STATE(19506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746392] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28208), 1,
      anon_sym_RPAREN,
    STATE(19507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746406] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28210), 1,
      sym__lowercase_identifier,
    STATE(19508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746420] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28212), 1,
      anon_sym_SQUOTE2,
    STATE(19509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746434] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28214), 1,
      anon_sym_DOT_DOT,
    STATE(19510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746448] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28216), 1,
      anon_sym_DOT_DOT,
    STATE(19511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746462] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28218), 1,
      anon_sym_DOT_DOT,
    STATE(19512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746476] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28220), 1,
      anon_sym_RPAREN,
    STATE(19513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746490] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28222), 1,
      anon_sym_PIPE,
    STATE(19514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746504] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_DASH_GT,
    STATE(19515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746518] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28224), 1,
      anon_sym_RBRACK,
    STATE(19516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746532] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28226), 1,
      anon_sym_DQUOTE,
    STATE(19517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746546] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28228), 1,
      anon_sym_RBRACK,
    STATE(19518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746560] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28230), 1,
      anon_sym_DASH_GT,
    STATE(19519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746574] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28232), 1,
      anon_sym_RBRACE,
    STATE(19520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746588] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_RBRACK,
    STATE(19521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746602] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28234), 1,
      anon_sym_in,
    STATE(19522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746616] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16700), 1,
      anon_sym_RPAREN,
    STATE(19523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746630] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28236), 1,
      anon_sym_in,
    STATE(19524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746644] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28238), 1,
      anon_sym_in,
    STATE(19525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746658] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28240), 1,
      anon_sym_DASH_GT,
    STATE(19526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746672] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28242), 1,
      sym__lowercase_identifier,
    STATE(19527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746686] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28244), 1,
      anon_sym_RPAREN,
    STATE(19528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746700] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28246), 1,
      anon_sym_DOT_DOT,
    STATE(19529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746714] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28248), 1,
      anon_sym_DOT_DOT,
    STATE(19530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746728] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28250), 1,
      anon_sym_DOT_DOT,
    STATE(19531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746742] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28252), 1,
      anon_sym_end,
    STATE(19532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746756] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28254), 1,
      anon_sym_PIPE,
    STATE(19533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746770] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28256), 1,
      anon_sym_RPAREN,
    STATE(19534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746784] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28258), 1,
      anon_sym_with,
    STATE(19535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746798] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28260), 1,
      anon_sym_RPAREN,
    STATE(19536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746812] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8745), 1,
      anon_sym_DASH_GT,
    STATE(19537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746826] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28262), 1,
      sym__lowercase_identifier,
    STATE(19538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746840] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28264), 1,
      anon_sym_end,
    STATE(19539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746854] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28266), 1,
      anon_sym_GT,
    STATE(19540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746868] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28268), 1,
      anon_sym_RBRACK,
    STATE(19541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746882] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16393), 1,
      anon_sym_RPAREN,
    STATE(19542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746896] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28270), 1,
      sym__lowercase_identifier,
    STATE(19543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746910] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28260), 1,
      anon_sym_RBRACK,
    STATE(19544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746924] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28272), 1,
      anon_sym_DOT_DOT,
    STATE(19545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746938] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28274), 1,
      anon_sym_DOT_DOT,
    STATE(19546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746952] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28276), 1,
      anon_sym_DOT_DOT,
    STATE(19547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746966] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28278), 1,
      anon_sym_RPAREN,
    STATE(19548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746980] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28280), 1,
      anon_sym_PIPE,
    STATE(19549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746994] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28282), 1,
      anon_sym_RBRACE,
    STATE(19550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747008] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28284), 1,
      anon_sym_RPAREN,
    STATE(19551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747022] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28286), 1,
      anon_sym_GT,
    STATE(19552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747036] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28260), 1,
      anon_sym_RBRACE,
    STATE(19553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747050] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16525), 1,
      anon_sym_RPAREN,
    STATE(19554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747064] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28288), 1,
      anon_sym_DASH_GT,
    STATE(19555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747078] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28290), 1,
      anon_sym_RBRACK,
    STATE(19556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747092] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28292), 1,
      anon_sym_DOT,
    STATE(19557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747106] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28294), 1,
      anon_sym_RBRACE,
    STATE(19558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747120] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28296), 1,
      sym__lowercase_identifier,
    STATE(19559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747134] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11662), 1,
      anon_sym_GT,
    STATE(19560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747148] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28298), 1,
      anon_sym_DOT_DOT,
    STATE(19561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747162] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28300), 1,
      anon_sym_DOT_DOT,
    STATE(19562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747176] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28302), 1,
      anon_sym_DOT_DOT,
    STATE(19563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747190] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28304), 1,
      anon_sym_DASH_GT,
    STATE(19564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747204] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28306), 1,
      anon_sym_PIPE,
    STATE(19565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747218] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28308), 1,
      anon_sym_end,
    STATE(19566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747232] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28310), 1,
      anon_sym_RBRACE,
    STATE(19567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747246] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28312), 1,
      anon_sym_EQ,
    STATE(19568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747260] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3125), 1,
      anon_sym_RPAREN,
    STATE(19569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747274] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28314), 1,
      anon_sym_DASH_GT,
    STATE(19570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747288] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28316), 1,
      anon_sym_RPAREN,
    STATE(19571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747302] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28318), 1,
      anon_sym_end,
    STATE(19572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747316] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28320), 1,
      anon_sym_RBRACK,
    STATE(19573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747330] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28322), 1,
      anon_sym_LT_DASH,
    STATE(19574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747344] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28324), 1,
      sym__lowercase_identifier,
    STATE(19575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747358] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28326), 1,
      anon_sym_RBRACE,
    STATE(19576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747372] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28328), 1,
      anon_sym_DOT_DOT,
    STATE(19577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747386] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28330), 1,
      anon_sym_DOT_DOT,
    STATE(19578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747400] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28332), 1,
      anon_sym_DOT_DOT,
    STATE(19579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747414] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16495), 1,
      anon_sym_RPAREN,
    STATE(19580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747428] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28334), 1,
      anon_sym_PIPE,
    STATE(19581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747442] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28336), 1,
      anon_sym_RPAREN,
    STATE(19582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747456] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28338), 1,
      anon_sym_RPAREN,
    STATE(19583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747470] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28340), 1,
      anon_sym_RBRACK,
    STATE(19584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747484] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28342), 1,
      anon_sym_RBRACK,
    STATE(19585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747498] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28344), 1,
      anon_sym_RBRACE,
    STATE(19586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747512] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28346), 1,
      anon_sym_RPAREN,
    STATE(19587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747526] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28348), 1,
      anon_sym_RPAREN,
    STATE(19588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747540] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28350), 1,
      anon_sym_GT,
    STATE(19589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747554] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28352), 1,
      anon_sym_RBRACK,
    STATE(19590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747568] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28354), 1,
      sym__lowercase_identifier,
    STATE(19591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747582] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28356), 1,
      anon_sym_RPAREN,
    STATE(19592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747596] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28358), 1,
      anon_sym_DOT_DOT,
    STATE(19593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747610] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28360), 1,
      anon_sym_DOT_DOT,
    STATE(19594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747624] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28362), 1,
      anon_sym_DOT_DOT,
    STATE(19595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747638] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28364), 1,
      anon_sym_RPAREN,
    STATE(19596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747652] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28366), 1,
      anon_sym_PIPE,
    STATE(19597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747666] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28368), 1,
      anon_sym_RPAREN,
    STATE(19598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747680] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28370), 1,
      anon_sym_RPAREN,
    STATE(19599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747694] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16608), 1,
      anon_sym_RPAREN,
    STATE(19600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747708] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28372), 1,
      anon_sym_DOT,
    STATE(19601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747722] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28374), 1,
      anon_sym_DOT,
    STATE(19602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747736] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28376), 1,
      anon_sym_RPAREN,
    STATE(19603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747750] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28378), 1,
      anon_sym_DASH_GT,
    STATE(19604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747764] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28380), 1,
      sym__lowercase_identifier,
    STATE(19605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747778] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28382), 1,
      sym__lowercase_identifier,
    STATE(19606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747792] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28384), 1,
      sym__lowercase_identifier,
    STATE(19607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747806] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8721), 1,
      anon_sym_DASH_GT,
    STATE(19608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747820] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28386), 1,
      anon_sym_DOT_DOT,
    STATE(19609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747834] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28388), 1,
      anon_sym_DOT_DOT,
    STATE(19610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747848] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28390), 1,
      anon_sym_DOT_DOT,
    STATE(19611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747862] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28392), 1,
      anon_sym_in,
    STATE(19612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747876] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28394), 1,
      anon_sym_PIPE,
    STATE(19613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747890] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28396), 1,
      anon_sym_RPAREN,
    STATE(19614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747904] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28398), 1,
      anon_sym_RPAREN,
    STATE(19615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747918] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28400), 1,
      anon_sym_RBRACK,
    STATE(19616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747932] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28402), 1,
      anon_sym_RBRACE,
    STATE(19617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747946] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28404), 1,
      anon_sym_RBRACE,
    STATE(19618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747960] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28406), 1,
      anon_sym_RPAREN,
    STATE(19619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747974] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28408), 1,
      anon_sym_RPAREN,
    STATE(19620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747988] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28410), 1,
      anon_sym_RPAREN,
    STATE(19621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748002] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28412), 1,
      anon_sym_RPAREN,
    STATE(19622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748016] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28414), 1,
      sym__lowercase_identifier,
    STATE(19623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748030] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28416), 1,
      anon_sym_RBRACK,
    STATE(19624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748044] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28418), 1,
      anon_sym_DOT_DOT,
    STATE(19625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748058] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28420), 1,
      anon_sym_DOT_DOT,
    STATE(19626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748072] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28422), 1,
      anon_sym_DOT_DOT,
    STATE(19627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748086] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28424), 1,
      anon_sym_RBRACE,
    STATE(19628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748100] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28426), 1,
      anon_sym_PIPE,
    STATE(19629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748114] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28428), 1,
      anon_sym_RPAREN,
    STATE(19630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748128] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28430), 1,
      anon_sym_RPAREN,
    STATE(19631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748142] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28432), 1,
      anon_sym_RPAREN,
    STATE(19632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748156] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28434), 1,
      anon_sym_RPAREN,
    STATE(19633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748170] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28436), 1,
      anon_sym_RPAREN,
    STATE(19634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748184] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28438), 1,
      anon_sym_RBRACK,
    STATE(19635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748198] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28440), 1,
      anon_sym_DOT,
    STATE(19636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748212] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28442), 1,
      anon_sym_RBRACE,
    STATE(19637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748226] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28444), 1,
      anon_sym_DOT,
    STATE(19638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748240] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28446), 1,
      sym__lowercase_identifier,
    STATE(19639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748254] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28448), 1,
      anon_sym_RPAREN,
    STATE(19640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748268] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28450), 1,
      anon_sym_DOT_DOT,
    STATE(19641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748282] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28452), 1,
      anon_sym_DOT_DOT,
    STATE(19642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748296] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28454), 1,
      anon_sym_DOT_DOT,
    STATE(19643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748310] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28456), 1,
      anon_sym_in,
    STATE(19644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748324] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28458), 1,
      anon_sym_PIPE,
    STATE(19645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748338] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28460), 1,
      anon_sym_RPAREN,
    STATE(19646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748352] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28462), 1,
      anon_sym_RPAREN,
    STATE(19647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748366] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28464), 1,
      anon_sym_RPAREN,
    STATE(19648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748380] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28466), 1,
      anon_sym_RPAREN,
    STATE(19649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748394] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28468), 1,
      anon_sym_RBRACE,
    STATE(19650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748408] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28470), 1,
      anon_sym_DASH_GT,
    STATE(19651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748422] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28472), 1,
      anon_sym_DASH_GT,
    STATE(19652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748436] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28474), 1,
      anon_sym_in,
    STATE(19653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748450] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28476), 1,
      anon_sym_RPAREN,
    STATE(19654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748464] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28478), 1,
      sym__lowercase_identifier,
    STATE(19655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748478] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28480), 1,
      anon_sym_RPAREN,
    STATE(19656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748492] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28482), 1,
      anon_sym_DOT_DOT,
    STATE(19657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748506] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28484), 1,
      anon_sym_DOT_DOT,
    STATE(19658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748520] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28486), 1,
      anon_sym_DOT_DOT,
    STATE(19659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748534] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7655), 1,
      anon_sym_RBRACK,
    STATE(19660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748548] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28488), 1,
      anon_sym_PIPE,
    STATE(19661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748562] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28490), 1,
      anon_sym_with,
    STATE(19662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748576] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28492), 1,
      anon_sym_end,
    STATE(19663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748590] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28494), 1,
      anon_sym_RPAREN,
    STATE(19664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748604] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28496), 1,
      anon_sym_RBRACK,
    STATE(19665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748618] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28498), 1,
      anon_sym_RBRACE,
    STATE(19666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748632] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28500), 1,
      anon_sym_RBRACK,
    STATE(19667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748646] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28502), 1,
      anon_sym_RPAREN,
    STATE(19668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748660] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28504), 1,
      anon_sym_RBRACE,
    STATE(19669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748674] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28506), 1,
      anon_sym_RPAREN,
    STATE(19670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748688] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28508), 1,
      sym__lowercase_identifier,
    STATE(19671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748702] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28510), 1,
      anon_sym_RPAREN,
    STATE(19672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748716] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28512), 1,
      anon_sym_DOT_DOT,
    STATE(19673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748730] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28514), 1,
      anon_sym_DOT_DOT,
    STATE(19674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748744] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28516), 1,
      anon_sym_DOT_DOT,
    STATE(19675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748758] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28518), 1,
      anon_sym_GT,
    STATE(19676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748772] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28520), 1,
      anon_sym_PIPE,
    STATE(19677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748786] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28522), 1,
      anon_sym_RBRACK,
    STATE(19678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748800] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28524), 1,
      anon_sym_with,
    STATE(19679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748814] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28526), 1,
      anon_sym_RPAREN,
    STATE(19680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748828] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28528), 1,
      anon_sym_DOT,
    STATE(19681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748842] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28530), 1,
      anon_sym_RBRACE,
    STATE(19682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748856] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28532), 1,
      anon_sym_RBRACK,
    STATE(19683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748870] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28534), 1,
      anon_sym_RPAREN,
    STATE(19684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748884] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28536), 1,
      anon_sym_RBRACE,
    STATE(19685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748898] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28538), 1,
      anon_sym_end,
    STATE(19686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748912] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28540), 1,
      sym__lowercase_identifier,
    STATE(19687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748926] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24668), 1,
      anon_sym_RBRACK,
    STATE(19688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748940] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28542), 1,
      anon_sym_DOT_DOT,
    STATE(19689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748954] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28544), 1,
      anon_sym_DOT_DOT,
    STATE(19690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748968] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28546), 1,
      anon_sym_DOT_DOT,
    STATE(19691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748982] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28548), 1,
      anon_sym_RBRACE,
    STATE(19692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748996] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28550), 1,
      anon_sym_PIPE,
    STATE(19693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749010] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28552), 1,
      anon_sym_RBRACE,
    STATE(19694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749024] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28554), 1,
      anon_sym_RPAREN,
    STATE(19695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749038] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28556), 1,
      anon_sym_RBRACE,
    STATE(19696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749052] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16515), 1,
      anon_sym_RPAREN,
    STATE(19697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749066] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28558), 1,
      anon_sym_PLUS_EQ,
    STATE(19698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749080] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13818), 1,
      anon_sym_DASH_GT,
    STATE(19699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749094] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28560), 1,
      anon_sym_RPAREN,
    STATE(19700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749108] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22672), 1,
      anon_sym_GT_RBRACE,
    STATE(19701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749122] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28562), 1,
      anon_sym_RPAREN,
    STATE(19702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749136] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28564), 1,
      sym__lowercase_identifier,
    STATE(19703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749150] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28566), 1,
      anon_sym_with,
    STATE(19704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749164] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28568), 1,
      anon_sym_DOT_DOT,
    STATE(19705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749178] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28570), 1,
      anon_sym_DOT_DOT,
    STATE(19706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749192] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28572), 1,
      anon_sym_DOT_DOT,
    STATE(19707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749206] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28574), 1,
      anon_sym_RBRACK,
    STATE(19708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749220] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28576), 1,
      anon_sym_RBRACK,
    STATE(19709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749234] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28578), 1,
      anon_sym_with,
    STATE(19710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749248] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28580), 1,
      anon_sym_RBRACE,
    STATE(19711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749262] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28582), 1,
      anon_sym_GT,
    STATE(19712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749276] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28584), 1,
      anon_sym_RBRACE,
    STATE(19713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749290] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28586), 1,
      anon_sym_RPAREN,
    STATE(19714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749304] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28588), 1,
      anon_sym_in,
    STATE(19715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749318] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28590), 1,
      anon_sym_LT_DASH,
    STATE(19716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749332] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28592), 1,
      anon_sym_RBRACE,
    STATE(19717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749346] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28594), 1,
      sym__lowercase_identifier,
    STATE(19718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749360] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28596), 1,
      anon_sym_RBRACK,
    STATE(19719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749374] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28598), 1,
      anon_sym_DOT_DOT,
    STATE(19720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749388] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28600), 1,
      anon_sym_DOT_DOT,
    STATE(19721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749402] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28602), 1,
      anon_sym_DOT_DOT,
    STATE(19722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749416] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28604), 1,
      anon_sym_EQ,
    STATE(19723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749430] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28606), 1,
      anon_sym_DOT_DOT,
    STATE(19724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749444] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28608), 1,
      anon_sym_RBRACE,
    STATE(19725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749458] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28610), 1,
      anon_sym_DOT,
    STATE(19726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749472] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28612), 1,
      anon_sym_in,
    STATE(19727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749486] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17520), 1,
      anon_sym_GT,
    STATE(19728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749500] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28614), 1,
      anon_sym_PIPE,
    STATE(19729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749514] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28616), 1,
      anon_sym_in,
    STATE(19730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749528] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19264), 1,
      anon_sym_end,
    STATE(19731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749542] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28618), 1,
      anon_sym_DOT_DOT,
    STATE(19732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749556] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28620), 1,
      sym__lowercase_identifier,
    STATE(19733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749570] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28622), 1,
      anon_sym_in,
    STATE(19734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749584] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28624), 1,
      anon_sym_DOT_DOT,
    STATE(19735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749598] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28626), 1,
      anon_sym_DOT_DOT,
    STATE(19736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749612] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28628), 1,
      anon_sym_DOT_DOT,
    STATE(19737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749626] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17578), 1,
      anon_sym_DASH_GT,
    STATE(19738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749640] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28630), 1,
      anon_sym_RPAREN,
    STATE(19739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749654] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28632), 1,
      anon_sym_RPAREN,
    STATE(19740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749668] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28634), 1,
      anon_sym_DOT_DOT,
    STATE(19741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749682] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28636), 1,
      anon_sym_COLON2,
    STATE(19742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749696] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28638), 1,
      anon_sym_DASH_GT,
    STATE(19743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749710] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28640), 1,
      anon_sym_RPAREN,
    STATE(19744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749724] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28642), 1,
      anon_sym_RPAREN,
    STATE(19745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749738] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3187), 1,
      anon_sym_RPAREN,
    STATE(19746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749752] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17364), 1,
      anon_sym_GT,
    STATE(19747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749766] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28644), 1,
      sym__lowercase_identifier,
    STATE(19748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749780] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17413), 1,
      anon_sym_GT,
    STATE(19749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749794] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28646), 1,
      anon_sym_DOT_DOT,
    STATE(19750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749808] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28648), 1,
      anon_sym_DOT_DOT,
    STATE(19751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749822] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28650), 1,
      anon_sym_DOT_DOT,
    STATE(19752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749836] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28652), 1,
      anon_sym_DASH_GT,
    STATE(19753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749850] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28654), 1,
      anon_sym_in,
    STATE(19754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749864] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28656), 1,
      anon_sym_LT_DASH,
    STATE(19755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749878] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28658), 1,
      anon_sym_LT_DASH,
    STATE(19756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749892] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28660), 1,
      anon_sym_DASH_GT,
    STATE(19757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749906] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28662), 1,
      anon_sym_in,
    STATE(19758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749920] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28664), 1,
      anon_sym_in,
    STATE(19759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749934] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28666), 1,
      anon_sym_in,
    STATE(19760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749948] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28668), 1,
      anon_sym_DOT,
    STATE(19761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749962] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28670), 1,
      anon_sym_LT_DASH,
    STATE(19762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749976] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28672), 1,
      sym__lowercase_identifier,
    STATE(19763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749990] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28674), 1,
      anon_sym_DQUOTE,
    STATE(19764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750004] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28676), 1,
      anon_sym_DOT_DOT,
    STATE(19765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750018] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28678), 1,
      anon_sym_DOT_DOT,
    STATE(19766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750032] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28680), 1,
      anon_sym_DOT_DOT,
    STATE(19767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750046] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28682), 1,
      anon_sym_RPAREN,
    STATE(19768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750060] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28684), 1,
      anon_sym_RBRACE,
    STATE(19769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750074] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28686), 1,
      anon_sym_RPAREN,
    STATE(19770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750088] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      anon_sym_DASH_GT,
    STATE(19771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750102] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28688), 1,
      anon_sym_RPAREN,
    STATE(19772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750116] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28690), 1,
      anon_sym_DASH_GT,
    STATE(19773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750130] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28692), 1,
      anon_sym_DASH_GT,
    STATE(19774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750144] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28694), 1,
      anon_sym_RBRACK,
    STATE(19775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750158] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28696), 1,
      anon_sym_SQUOTE2,
    STATE(19776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750172] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28698), 1,
      anon_sym_RBRACE,
    STATE(19777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750186] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28700), 1,
      sym__lowercase_identifier,
    STATE(19778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750200] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28702), 1,
      anon_sym_RBRACK,
    STATE(19779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750214] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28704), 1,
      anon_sym_DOT_DOT,
    STATE(19780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750228] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28706), 1,
      anon_sym_DOT_DOT,
    STATE(19781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750242] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28708), 1,
      anon_sym_DOT_DOT,
    STATE(19782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750256] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28710), 1,
      anon_sym_RBRACE,
    STATE(19783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750270] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28712), 1,
      anon_sym_DASH_GT,
    STATE(19784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750284] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28714), 1,
      anon_sym_in,
    STATE(19785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750298] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28716), 1,
      anon_sym_in,
    STATE(19786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750312] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20634), 1,
      anon_sym_GT_RBRACE,
    STATE(19787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750326] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28718), 1,
      anon_sym_in,
    STATE(19788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750340] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28720), 1,
      anon_sym_RPAREN,
    STATE(19789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750354] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28722), 1,
      anon_sym_RPAREN,
    STATE(19790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750368] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28724), 1,
      anon_sym_LT_DASH,
    STATE(19791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750382] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28726), 1,
      anon_sym_RPAREN,
    STATE(19792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750396] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28728), 1,
      sym__lowercase_identifier,
    STATE(19793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750410] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19178), 1,
      anon_sym_end,
    STATE(19794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750424] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28730), 1,
      anon_sym_DOT_DOT,
    STATE(19795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750438] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28732), 1,
      anon_sym_DOT_DOT,
    STATE(19796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750452] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28734), 1,
      anon_sym_DOT_DOT,
    STATE(19797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750466] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28736), 1,
      anon_sym_SQUOTE2,
    STATE(19798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750480] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28738), 1,
      anon_sym_DQUOTE,
    STATE(19799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750494] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28740), 1,
      anon_sym_DQUOTE,
    STATE(19800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750508] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28742), 1,
      anon_sym_in,
    STATE(19801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750522] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17782), 1,
      anon_sym_RPAREN,
    STATE(19802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750536] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28744), 1,
      anon_sym_RPAREN,
    STATE(19803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750550] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15019), 1,
      anon_sym_DASH_GT,
    STATE(19804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750564] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28746), 1,
      sym__lowercase_identifier,
    STATE(19805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750578] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28748), 1,
      anon_sym_RPAREN,
    STATE(19806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750592] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28750), 1,
      anon_sym_RBRACE,
    STATE(19807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750606] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28752), 1,
      sym__lowercase_identifier,
    STATE(19808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750620] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28754), 1,
      anon_sym_RBRACE,
    STATE(19809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750634] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28756), 1,
      anon_sym_DOT_DOT,
    STATE(19810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750648] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28758), 1,
      anon_sym_DOT_DOT,
    STATE(19811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750662] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28760), 1,
      anon_sym_DOT_DOT,
    STATE(19812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750676] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28762), 1,
      anon_sym_with,
    STATE(19813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750690] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28764), 1,
      anon_sym_RBRACK,
    STATE(19814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750704] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28766), 1,
      sym__lowercase_identifier,
    STATE(19815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750718] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28768), 1,
      anon_sym_RPAREN,
    STATE(19816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750732] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28770), 1,
      anon_sym_RBRACE,
    STATE(19817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750746] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28772), 1,
      anon_sym_RBRACE,
    STATE(19818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750760] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28774), 1,
      anon_sym_DASH_GT,
    STATE(19819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750774] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28776), 1,
      anon_sym_GT,
    STATE(19820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750788] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6739), 1,
      anon_sym_end,
    STATE(19821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750802] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28778), 1,
      aux_sym_number_token1,
    STATE(19822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750816] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28780), 1,
      sym__lowercase_identifier,
    STATE(19823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750830] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28782), 1,
      anon_sym_in,
    STATE(19824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750844] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28784), 1,
      anon_sym_DOT_DOT,
    STATE(19825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750858] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28786), 1,
      anon_sym_DOT_DOT,
    STATE(19826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750872] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28788), 1,
      anon_sym_DOT_DOT,
    STATE(19827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750886] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28790), 1,
      anon_sym_in,
    STATE(19828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750900] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22323), 1,
      anon_sym_GT_RBRACE,
    STATE(19829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750914] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28792), 1,
      anon_sym_in,
    STATE(19830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750928] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20032), 1,
      anon_sym_end,
    STATE(19831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750942] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28794), 1,
      anon_sym_RPAREN,
    STATE(19832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750956] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28796), 1,
      anon_sym_SQUOTE2,
    STATE(19833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750970] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28798), 1,
      anon_sym_DQUOTE,
    STATE(19834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750984] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28800), 1,
      anon_sym_RPAREN,
    STATE(19835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750998] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28802), 1,
      anon_sym_DASH_GT,
    STATE(19836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751012] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3239), 1,
      anon_sym_RPAREN,
    STATE(19837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751026] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28804), 1,
      sym__lowercase_identifier,
    STATE(19838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751040] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28806), 1,
      anon_sym_RPAREN,
    STATE(19839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751054] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28808), 1,
      anon_sym_DOT_DOT,
    STATE(19840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751068] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28810), 1,
      anon_sym_DOT_DOT,
    STATE(19841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751082] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28812), 1,
      anon_sym_DOT_DOT,
    STATE(19842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751096] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28814), 1,
      anon_sym_RPAREN,
    STATE(19843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751110] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28816), 1,
      sym__lowercase_identifier,
    STATE(19844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751124] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28818), 1,
      anon_sym_in,
    STATE(19845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751138] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28820), 1,
      anon_sym_RPAREN,
    STATE(19846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751152] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28822), 1,
      anon_sym_RPAREN,
    STATE(19847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751166] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28824), 1,
      anon_sym_RBRACK,
    STATE(19848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751180] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28826), 1,
      anon_sym_RBRACE,
    STATE(19849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751194] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28828), 1,
      anon_sym_RPAREN,
    STATE(19850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751208] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28806), 1,
      anon_sym_RBRACK,
    STATE(19851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751222] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28806), 1,
      anon_sym_RBRACE,
    STATE(19852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751236] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28830), 1,
      sym__lowercase_identifier,
    STATE(19853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751250] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28832), 1,
      anon_sym_DASH_GT,
    STATE(19854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751264] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28834), 1,
      anon_sym_DOT_DOT,
    STATE(19855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751278] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28836), 1,
      anon_sym_DOT_DOT,
    STATE(19856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751292] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28838), 1,
      anon_sym_DOT_DOT,
    STATE(19857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751306] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28840), 1,
      anon_sym_LT_DASH,
    STATE(19858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751320] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11472), 1,
      anon_sym_GT,
    STATE(19859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751334] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17530), 1,
      anon_sym_GT,
    STATE(19860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751348] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28842), 1,
      anon_sym_RBRACE,
    STATE(19861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751362] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28844), 1,
      anon_sym_RPAREN,
    STATE(19862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751376] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8753), 1,
      anon_sym_DASH_GT,
    STATE(19863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751390] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28846), 1,
      anon_sym_DASH_GT,
    STATE(19864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751404] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28848), 1,
      anon_sym_DASH_GT,
    STATE(19865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751418] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28850), 1,
      anon_sym_RPAREN,
    STATE(19866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751432] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28852), 1,
      anon_sym_RPAREN,
    STATE(19867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751446] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28854), 1,
      sym__lowercase_identifier,
    STATE(19868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751460] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20620), 1,
      anon_sym_GT_RBRACE,
    STATE(19869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751474] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28856), 1,
      anon_sym_DOT_DOT,
    STATE(19870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751488] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28858), 1,
      anon_sym_DOT_DOT,
    STATE(19871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751502] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28860), 1,
      anon_sym_DOT_DOT,
    STATE(19872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751516] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28862), 1,
      anon_sym_in,
    STATE(19873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751530] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19554), 1,
      anon_sym_end,
    STATE(19874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751544] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28864), 1,
      anon_sym_SQUOTE2,
    STATE(19875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751558] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28866), 1,
      anon_sym_DQUOTE,
    STATE(19876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751572] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28868), 1,
      anon_sym_in,
    STATE(19877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751586] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28870), 1,
      anon_sym_RBRACK,
    STATE(19878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751600] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28872), 1,
      sym__lowercase_identifier,
    STATE(19879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751614] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8697), 1,
      anon_sym_DASH_GT,
    STATE(19880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751628] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28874), 1,
      anon_sym_RPAREN,
    STATE(19881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751642] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28876), 1,
      anon_sym_RPAREN,
    STATE(19882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751656] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28878), 1,
      sym__lowercase_identifier,
    STATE(19883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751670] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28880), 1,
      anon_sym_with,
    STATE(19884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751684] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28882), 1,
      anon_sym_DOT_DOT,
    STATE(19885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751698] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28884), 1,
      anon_sym_DOT_DOT,
    STATE(19886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751712] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28886), 1,
      anon_sym_DOT_DOT,
    STATE(19887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751726] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28888), 1,
      anon_sym_LT_DASH,
    STATE(19888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751740] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28890), 1,
      anon_sym_in,
    STATE(19889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751754] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28892), 1,
      anon_sym_with,
    STATE(19890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751768] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28894), 1,
      anon_sym_RPAREN,
    STATE(19891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751782] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28896), 1,
      anon_sym_in,
    STATE(19892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751796] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28898), 1,
      sym__lowercase_identifier,
    STATE(19893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751810] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18560), 1,
      anon_sym_DASH_GT,
    STATE(19894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751824] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28900), 1,
      anon_sym_DASH_GT,
    STATE(19895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751838] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28902), 1,
      anon_sym_in,
    STATE(19896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751852] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28904), 1,
      anon_sym_in,
    STATE(19897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751866] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28906), 1,
      sym__lowercase_identifier,
    STATE(19898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751880] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28908), 1,
      anon_sym_RBRACK,
    STATE(19899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751894] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28910), 1,
      anon_sym_DOT_DOT,
    STATE(19900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751908] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28912), 1,
      anon_sym_DOT_DOT,
    STATE(19901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751922] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28914), 1,
      anon_sym_DOT_DOT,
    STATE(19902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751936] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28916), 1,
      anon_sym_RBRACE,
    STATE(19903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751950] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8946), 1,
      anon_sym_DASH_GT,
    STATE(19904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751964] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8825), 1,
      anon_sym_DASH_GT,
    STATE(19905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751978] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28918), 1,
      anon_sym_with,
    STATE(19906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751992] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28920), 1,
      anon_sym_DASH_GT,
    STATE(19907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752006] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28922), 1,
      anon_sym_end,
    STATE(19908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752020] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28924), 1,
      anon_sym_RBRACE,
    STATE(19909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752034] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28926), 1,
      anon_sym_SQUOTE2,
    STATE(19910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752048] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28928), 1,
      anon_sym_RPAREN,
    STATE(19911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752062] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28930), 1,
      anon_sym_LT_DASH,
    STATE(19912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752076] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28932), 1,
      sym__lowercase_identifier,
    STATE(19913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752090] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21041), 1,
      anon_sym_GT_RBRACE,
    STATE(19914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752104] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28934), 1,
      anon_sym_DOT_DOT,
    STATE(19915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752118] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28936), 1,
      anon_sym_DOT_DOT,
    STATE(19916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752132] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28938), 1,
      anon_sym_DOT_DOT,
    STATE(19917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752146] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28940), 1,
      anon_sym_end,
    STATE(19918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752160] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28942), 1,
      anon_sym_LT_DASH,
    STATE(19919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752174] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28944), 1,
      anon_sym_GT,
    STATE(19920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752188] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16690), 1,
      anon_sym_RPAREN,
    STATE(19921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752202] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11424), 1,
      anon_sym_GT,
    STATE(19922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752216] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28946), 1,
      anon_sym_RPAREN,
    STATE(19923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752230] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28948), 1,
      anon_sym_end,
    STATE(19924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752244] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28950), 1,
      anon_sym_RPAREN,
    STATE(19925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752258] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16581), 1,
      anon_sym_RPAREN,
    STATE(19926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752272] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28952), 1,
      anon_sym_RBRACE,
    STATE(19927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752286] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28954), 1,
      sym__lowercase_identifier,
    STATE(19928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752300] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28956), 1,
      anon_sym_RBRACK,
    STATE(19929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752314] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28958), 1,
      anon_sym_DOT_DOT,
    STATE(19930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752328] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28960), 1,
      anon_sym_DOT_DOT,
    STATE(19931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752342] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28962), 1,
      anon_sym_DOT_DOT,
    STATE(19932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752356] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11386), 1,
      anon_sym_GT,
    STATE(19933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752370] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28964), 1,
      anon_sym_RBRACE,
    STATE(19934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752384] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28966), 1,
      anon_sym_RBRACE,
    STATE(19935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752398] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28968), 1,
      anon_sym_DASH_GT,
    STATE(19936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752412] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28970), 1,
      anon_sym_RPAREN,
    STATE(19937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752426] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28972), 1,
      anon_sym_in,
    STATE(19938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752440] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28974), 1,
      anon_sym_RBRACE,
    STATE(19939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752454] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28976), 1,
      anon_sym_LT_DASH,
    STATE(19940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752468] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19600), 1,
      anon_sym_end,
    STATE(19941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752482] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28978), 1,
      anon_sym_DOT,
    STATE(19942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752496] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28980), 1,
      anon_sym_RBRACE,
    STATE(19943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752510] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28982), 1,
      anon_sym_DOT_DOT,
    STATE(19944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752524] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28984), 1,
      anon_sym_DOT_DOT,
    STATE(19945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752538] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28986), 1,
      anon_sym_DOT_DOT,
    STATE(19946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752552] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28988), 1,
      anon_sym_DOT,
    STATE(19947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752566] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28990), 1,
      anon_sym_RPAREN,
    STATE(19948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752580] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28992), 1,
      anon_sym_RBRACK,
    STATE(19949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752594] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28994), 1,
      anon_sym_RBRACE,
    STATE(19950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752608] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28996), 1,
      anon_sym_RPAREN,
    STATE(19951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752622] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28998), 1,
      anon_sym_DASH_GT,
    STATE(19952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752636] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29000), 1,
      anon_sym_RPAREN,
    STATE(19953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752650] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29002), 1,
      anon_sym_RPAREN,
    STATE(19954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752664] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29004), 1,
      anon_sym_end,
    STATE(19955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752678] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8791), 1,
      anon_sym_DASH_GT,
    STATE(19956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752692] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29006), 1,
      anon_sym_RBRACE,
    STATE(19957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752706] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29008), 1,
      anon_sym_DOT_DOT,
    STATE(19958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752720] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29010), 1,
      anon_sym_DOT_DOT,
    STATE(19959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752734] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29012), 1,
      anon_sym_DOT_DOT,
    STATE(19960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752748] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11268), 1,
      anon_sym_GT,
    STATE(19961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752762] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29014), 1,
      anon_sym_RPAREN,
    STATE(19962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752776] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29016), 1,
      anon_sym_DOT,
    STATE(19963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752790] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29018), 1,
      anon_sym_DOT,
    STATE(19964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752804] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29020), 1,
      anon_sym_RPAREN,
    STATE(19965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752818] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29022), 1,
      anon_sym_RBRACK,
    STATE(19966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752832] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29024), 1,
      anon_sym_DOT,
    STATE(19967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752846] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29026), 1,
      anon_sym_RBRACE,
    STATE(19968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752860] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12326), 1,
      anon_sym_DASH_GT,
    STATE(19969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752874] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29028), 1,
      anon_sym_RPAREN,
    STATE(19970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752888] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29030), 1,
      anon_sym_SQUOTE2,
    STATE(19971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752902] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29032), 1,
      anon_sym_DOT_DOT,
    STATE(19972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752916] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29034), 1,
      anon_sym_DOT_DOT,
    STATE(19973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752930] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29036), 1,
      anon_sym_DOT_DOT,
    STATE(19974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752944] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29038), 1,
      anon_sym_RPAREN,
    STATE(19975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752958] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29040), 1,
      anon_sym_RPAREN,
    STATE(19976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752972] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29042), 1,
      anon_sym_RBRACK,
    STATE(19977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752986] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29044), 1,
      anon_sym_RBRACE,
    STATE(19978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753000] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29046), 1,
      anon_sym_LT_DASH,
    STATE(19979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753014] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29048), 1,
      anon_sym_RPAREN,
    STATE(19980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753028] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8845), 1,
      anon_sym_DASH_GT,
    STATE(19981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753042] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29050), 1,
      anon_sym_RPAREN,
    STATE(19982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753056] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29052), 1,
      anon_sym_RBRACK,
    STATE(19983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753070] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29054), 1,
      anon_sym_RBRACK,
    STATE(19984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753084] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29056), 1,
      anon_sym_DOT,
    STATE(19985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753098] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29058), 1,
      anon_sym_DOT_DOT,
    STATE(19986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753112] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29060), 1,
      anon_sym_DOT_DOT,
    STATE(19987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753126] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29062), 1,
      anon_sym_DOT_DOT,
    STATE(19988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753140] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29064), 1,
      anon_sym_RBRACE,
    STATE(19989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753154] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29066), 1,
      anon_sym_in,
    STATE(19990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753168] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29068), 1,
      anon_sym_DQUOTE,
    STATE(19991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753182] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29070), 1,
      anon_sym_RPAREN,
    STATE(19992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753196] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29072), 1,
      anon_sym_with,
    STATE(19993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753210] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29074), 1,
      anon_sym_DOT,
    STATE(19994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753224] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29076), 1,
      anon_sym_in,
    STATE(19995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753238] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29078), 1,
      anon_sym_with,
    STATE(19996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753252] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29080), 1,
      anon_sym_DOT,
    STATE(19997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753266] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29082), 1,
      anon_sym_DOT_DOT,
    STATE(19998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753280] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29084), 1,
      anon_sym_DOT_DOT,
    STATE(19999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753294] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29086), 1,
      anon_sym_DOT_DOT,
    STATE(20000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753308] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29088), 1,
      anon_sym_DASH_GT,
    STATE(20001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753322] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17538), 1,
      anon_sym_GT,
    STATE(20002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753336] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29090), 1,
      anon_sym_RPAREN,
    STATE(20003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753350] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29092), 1,
      anon_sym_RBRACK,
    STATE(20004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753364] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29094), 1,
      anon_sym_RPAREN,
    STATE(20005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753378] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29096), 1,
      anon_sym_RBRACK,
    STATE(20006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753392] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29098), 1,
      anon_sym_RBRACE,
    STATE(20007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753406] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29100), 1,
      anon_sym_RPAREN,
    STATE(20008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753420] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17445), 1,
      anon_sym_GT,
    STATE(20009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753434] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29102), 1,
      anon_sym_DOT_DOT,
    STATE(20010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753448] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29104), 1,
      anon_sym_DOT_DOT,
    STATE(20011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753462] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29106), 1,
      anon_sym_DOT_DOT,
    STATE(20012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753476] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29108), 1,
      anon_sym_DOT,
    STATE(20013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753490] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29110), 1,
      anon_sym_RBRACK,
    STATE(20014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753504] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29112), 1,
      anon_sym_DOT_DOT,
    STATE(20015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753518] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29114), 1,
      anon_sym_DOT_DOT,
    STATE(20016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753532] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29116), 1,
      anon_sym_DOT_DOT,
    STATE(20017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753546] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29118), 1,
      anon_sym_RBRACE,
    STATE(20018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753560] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29120), 1,
      sym__lowercase_identifier,
    STATE(20019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753574] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29122), 1,
      anon_sym_DOT_DOT,
    STATE(20020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753588] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29124), 1,
      anon_sym_DOT_DOT,
    STATE(20021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753602] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29126), 1,
      anon_sym_DOT_DOT,
    STATE(20022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753616] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29128), 1,
      anon_sym_RPAREN,
    STATE(20023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753630] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29130), 1,
      anon_sym_end,
    STATE(20024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753644] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29132), 1,
      anon_sym_DOT_DOT,
    STATE(20025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753658] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29134), 1,
      anon_sym_DOT_DOT,
    STATE(20026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753672] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29136), 1,
      anon_sym_DOT_DOT,
    STATE(20027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753686] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29138), 1,
      anon_sym_RPAREN,
    STATE(20028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753700] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29140), 1,
      anon_sym_RBRACE,
    STATE(20029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753714] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29142), 1,
      anon_sym_DOT_DOT,
    STATE(20030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753728] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29144), 1,
      anon_sym_DOT_DOT,
    STATE(20031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753742] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29146), 1,
      anon_sym_DOT_DOT,
    STATE(20032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753756] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29148), 1,
      anon_sym_end,
    STATE(20033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753770] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29150), 1,
      anon_sym_RBRACK,
    STATE(20034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753784] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29152), 1,
      anon_sym_DOT_DOT,
    STATE(20035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753798] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29154), 1,
      anon_sym_DOT_DOT,
    STATE(20036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753812] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29156), 1,
      anon_sym_DOT_DOT,
    STATE(20037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753826] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16355), 1,
      anon_sym_SQUOTE2,
    STATE(20038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753840] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29158), 1,
      anon_sym_RBRACE,
    STATE(20039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753854] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29160), 1,
      anon_sym_DOT_DOT,
    STATE(20040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753868] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29162), 1,
      anon_sym_DOT_DOT,
    STATE(20041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753882] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29164), 1,
      anon_sym_DOT_DOT,
    STATE(20042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753896] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29166), 1,
      anon_sym_RPAREN,
    STATE(20043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753910] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29168), 1,
      anon_sym_with,
    STATE(20044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753924] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29170), 1,
      anon_sym_DOT_DOT,
    STATE(20045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753938] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29172), 1,
      anon_sym_DOT_DOT,
    STATE(20046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753952] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29174), 1,
      anon_sym_DOT_DOT,
    STATE(20047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753966] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29176), 1,
      anon_sym_RPAREN,
    STATE(20048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753980] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29178), 1,
      anon_sym_DOT,
    STATE(20049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753994] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29180), 1,
      anon_sym_DOT_DOT,
    STATE(20050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754008] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29182), 1,
      anon_sym_DOT_DOT,
    STATE(20051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754022] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29184), 1,
      anon_sym_DOT_DOT,
    STATE(20052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754036] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29186), 1,
      anon_sym_in,
    STATE(20053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754050] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29188), 1,
      anon_sym_RPAREN,
    STATE(20054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754064] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29190), 1,
      anon_sym_DOT_DOT,
    STATE(20055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754078] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29192), 1,
      anon_sym_DOT_DOT,
    STATE(20056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754092] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29194), 1,
      anon_sym_DOT_DOT,
    STATE(20057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754106] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29196), 1,
      anon_sym_with,
    STATE(20058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754120] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29198), 1,
      anon_sym_GT,
    STATE(20059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754134] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29200), 1,
      anon_sym_DOT_DOT,
    STATE(20060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754148] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29202), 1,
      anon_sym_DOT_DOT,
    STATE(20061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754162] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29204), 1,
      anon_sym_DOT_DOT,
    STATE(20062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754176] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29206), 1,
      anon_sym_with,
    STATE(20063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754190] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29208), 1,
      anon_sym_RPAREN,
    STATE(20064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754204] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29210), 1,
      anon_sym_DOT_DOT,
    STATE(20065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754218] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29212), 1,
      anon_sym_DOT_DOT,
    STATE(20066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754232] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29214), 1,
      anon_sym_DOT_DOT,
    STATE(20067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754246] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16598), 1,
      anon_sym_RPAREN,
    STATE(20068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754260] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29216), 1,
      anon_sym_DASH_GT,
    STATE(20069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754274] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29218), 1,
      anon_sym_DOT_DOT,
    STATE(20070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754288] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29220), 1,
      anon_sym_DOT_DOT,
    STATE(20071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754302] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29222), 1,
      anon_sym_DOT_DOT,
    STATE(20072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754316] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29224), 1,
      anon_sym_DOT,
    STATE(20073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754330] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29226), 1,
      anon_sym_with,
    STATE(20074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754344] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29228), 1,
      anon_sym_DOT,
    STATE(20075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754358] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29230), 1,
      anon_sym_LT_DASH,
    STATE(20076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754372] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16577), 1,
      anon_sym_RPAREN,
    STATE(20077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754386] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29232), 1,
      anon_sym_RBRACK,
    STATE(20078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754400] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29234), 1,
      anon_sym_DASH_GT,
    STATE(20079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754414] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29236), 1,
      anon_sym_RBRACE,
    STATE(20080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754428] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29238), 1,
      anon_sym_in,
    STATE(20081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754442] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5121), 1,
      anon_sym_end,
    STATE(20082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754456] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29240), 1,
      aux_sym_number_token1,
    STATE(20083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754470] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29242), 1,
      anon_sym_in,
    STATE(20084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754484] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29244), 1,
      anon_sym_RBRACE,
    STATE(20085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754498] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20682), 1,
      anon_sym_GT_RBRACE,
    STATE(20086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754512] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29246), 1,
      anon_sym_DASH_GT,
    STATE(20087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754526] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29248), 1,
      anon_sym_in,
    STATE(20088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754540] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1537), 1,
      anon_sym_COLON_COLON,
    STATE(20089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754554] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29250), 1,
      anon_sym_DOT,
    STATE(20090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754568] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29252), 1,
      anon_sym_DASH_GT,
    STATE(20091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754582] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29254), 1,
      anon_sym_in,
    STATE(20092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754596] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29256), 1,
      anon_sym_DASH_GT,
    STATE(20093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754610] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29258), 1,
      anon_sym_LT_DASH,
    STATE(20094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754624] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29260), 1,
      anon_sym_RBRACK,
    STATE(20095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754638] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29262), 1,
      anon_sym_RBRACE,
    STATE(20096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754652] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29264), 1,
      anon_sym_RPAREN,
    STATE(20097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754666] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29266), 1,
      anon_sym_LT_DASH,
    STATE(20098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754680] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29268), 1,
      anon_sym_DASH_GT,
    STATE(20099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754694] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29270), 1,
      sym_indexing_operator,
    STATE(20100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754708] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29272), 1,
      anon_sym_PLUS_EQ,
    STATE(20101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754722] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18122), 1,
      anon_sym_RPAREN,
    STATE(20102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754736] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29274), 1,
      anon_sym_in,
    STATE(20103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754750] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29276), 1,
      anon_sym_of,
    STATE(20104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754764] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29278), 1,
      anon_sym_in,
    STATE(20105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754778] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29280), 1,
      anon_sym_EQ,
    STATE(20106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754792] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29282), 1,
      anon_sym_PLUS_EQ,
    STATE(20107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754806] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29284), 1,
      anon_sym_in,
    STATE(20108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754820] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29286), 1,
      anon_sym_with,
    STATE(20109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754834] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29288), 1,
      anon_sym_DASH_GT,
    STATE(20110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754848] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29290), 1,
      anon_sym_in,
    STATE(20111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754862] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29292), 1,
      sym__lowercase_identifier,
    STATE(20112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754876] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29294), 1,
      sym__lowercase_identifier,
    STATE(20113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754890] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29296), 1,
      anon_sym_with,
    STATE(20114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754904] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29298), 1,
      anon_sym_in,
    STATE(20115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754918] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5097), 1,
      anon_sym_end,
    STATE(20116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754932] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20074), 1,
      anon_sym_end,
    STATE(20117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754946] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29300), 1,
      aux_sym_number_token1,
    STATE(20118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754960] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29302), 1,
      anon_sym_in,
    STATE(20119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754974] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29304), 1,
      anon_sym_in,
    STATE(20120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754988] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29306), 1,
      sym_indexing_operator,
    STATE(20121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755002] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29308), 1,
      anon_sym_PLUS_EQ,
    STATE(20122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755016] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29310), 1,
      anon_sym_RPAREN,
    STATE(20123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755030] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29312), 1,
      anon_sym_PLUS_EQ,
    STATE(20124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755044] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29314), 1,
      anon_sym_in,
    STATE(20125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755058] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29316), 1,
      anon_sym_in,
    STATE(20126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755072] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29318), 1,
      anon_sym_RPAREN,
    STATE(20127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755086] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3135), 1,
      anon_sym_RPAREN,
    STATE(20128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755100] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29320), 1,
      sym__lowercase_identifier,
    STATE(20129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755114] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29322), 1,
      anon_sym_RPAREN,
    STATE(20130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755128] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29324), 1,
      anon_sym_RPAREN,
    STATE(20131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755142] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29326), 1,
      anon_sym_RPAREN,
    STATE(20132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755156] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29328), 1,
      anon_sym_DASH_GT,
    STATE(20133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755170] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29330), 1,
      anon_sym_in,
    STATE(20134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755184] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29332), 1,
      anon_sym_RBRACE,
    STATE(20135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755198] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29334), 1,
      sym_indexing_operator,
    STATE(20136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755212] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29336), 1,
      anon_sym_PLUS_EQ,
    STATE(20137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755226] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29338), 1,
      anon_sym_RPAREN,
    STATE(20138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755240] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29340), 1,
      anon_sym_PLUS_EQ,
    STATE(20139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755254] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29342), 1,
      anon_sym_RBRACK,
    STATE(20140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755268] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29344), 1,
      anon_sym_DOT,
    STATE(20141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755282] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6739), 1,
      anon_sym_RPAREN,
    STATE(20142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755296] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29346), 1,
      sym__lowercase_identifier,
    STATE(20143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755310] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29348), 1,
      anon_sym_RBRACE,
    STATE(20144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755324] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29350), 1,
      anon_sym_in,
    STATE(20145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755338] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29352), 1,
      anon_sym_RPAREN,
    STATE(20146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755352] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17550), 1,
      anon_sym_GT,
    STATE(20147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755366] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29354), 1,
      anon_sym_in,
    STATE(20148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755380] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29356), 1,
      anon_sym_RPAREN,
    STATE(20149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755394] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29358), 1,
      sym_indexing_operator,
    STATE(20150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755408] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29360), 1,
      anon_sym_RPAREN,
    STATE(20151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755422] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29362), 1,
      anon_sym_in,
    STATE(20152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755436] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29364), 1,
      anon_sym_RBRACK,
    STATE(20153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755450] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29366), 1,
      sym__lowercase_identifier,
    STATE(20154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755464] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29368), 1,
      anon_sym_RPAREN,
    STATE(20155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755478] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29368), 1,
      anon_sym_RBRACK,
    STATE(20156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755492] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29368), 1,
      anon_sym_RBRACE,
    STATE(20157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755506] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29370), 1,
      anon_sym_RBRACE,
    STATE(20158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755520] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29372), 1,
      anon_sym_DASH_GT,
    STATE(20159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755534] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29374), 1,
      sym_indexing_operator,
    STATE(20160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755548] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29376), 1,
      anon_sym_DASH_GT,
    STATE(20161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755562] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29378), 1,
      anon_sym_RBRACE,
    STATE(20162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755576] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29380), 1,
      sym_indexing_operator,
    STATE(20163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755590] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29382), 1,
      anon_sym_RPAREN,
    STATE(20164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755604] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29384), 1,
      anon_sym_LT_DASH,
    STATE(20165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755618] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29386), 1,
      sym_indexing_operator,
    STATE(20166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755632] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3141), 1,
      anon_sym_RPAREN,
    STATE(20167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755646] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29388), 1,
      anon_sym_in,
    STATE(20168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755660] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29390), 1,
      sym_indexing_operator,
    STATE(20169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755674] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29392), 1,
      sym_indexing_operator,
    STATE(20170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755688] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29394), 1,
      sym_indexing_operator,
    STATE(20171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755702] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29396), 1,
      sym_indexing_operator,
    STATE(20172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755716] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29398), 1,
      sym_indexing_operator,
    STATE(20173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755730] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29400), 1,
      sym_indexing_operator,
    STATE(20174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755744] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29402), 1,
      sym_indexing_operator,
    STATE(20175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755758] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29404), 1,
      sym_indexing_operator,
    STATE(20176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755772] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29406), 1,
      sym_indexing_operator,
    STATE(20177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755786] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29408), 1,
      sym_indexing_operator,
    STATE(20178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755800] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29410), 1,
      sym_indexing_operator,
    STATE(20179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755814] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29412), 1,
      sym_indexing_operator,
    STATE(20180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755828] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29414), 1,
      sym_indexing_operator,
    STATE(20181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755842] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29416), 1,
      sym_indexing_operator,
    STATE(20182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755856] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29418), 1,
      sym_indexing_operator,
    STATE(20183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755870] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29420), 1,
      sym_indexing_operator,
    STATE(20184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755884] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29422), 1,
      sym_indexing_operator,
    STATE(20185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755898] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29424), 1,
      sym_indexing_operator,
    STATE(20186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755912] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29426), 1,
      sym_indexing_operator,
    STATE(20187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755926] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29428), 1,
      sym_indexing_operator,
    STATE(20188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755940] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29430), 1,
      sym_indexing_operator,
    STATE(20189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755954] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29432), 1,
      sym_indexing_operator,
    STATE(20190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755968] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29434), 1,
      sym_indexing_operator,
    STATE(20191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755982] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29436), 1,
      sym_indexing_operator,
    STATE(20192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755996] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29438), 1,
      sym_indexing_operator,
    STATE(20193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756010] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29440), 1,
      sym_indexing_operator,
    STATE(20194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756024] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29442), 1,
      sym_indexing_operator,
    STATE(20195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756038] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29444), 1,
      sym_indexing_operator,
    STATE(20196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756052] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29446), 1,
      sym_indexing_operator,
    STATE(20197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756066] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29448), 1,
      sym_indexing_operator,
    STATE(20198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756080] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29450), 1,
      sym_indexing_operator,
    STATE(20199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756094] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29452), 1,
      sym_indexing_operator,
    STATE(20200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756108] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29454), 1,
      sym_indexing_operator,
    STATE(20201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756122] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29456), 1,
      sym_indexing_operator,
    STATE(20202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756136] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29458), 1,
      sym_indexing_operator,
    STATE(20203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756150] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29460), 1,
      sym_indexing_operator,
    STATE(20204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756164] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29462), 1,
      sym_indexing_operator,
    STATE(20205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756178] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29464), 1,
      sym_indexing_operator,
    STATE(20206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756192] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29466), 1,
      sym_indexing_operator,
    STATE(20207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756206] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29468), 1,
      sym_indexing_operator,
    STATE(20208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756220] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29470), 1,
      sym_indexing_operator,
    STATE(20209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756234] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29472), 1,
      sym_indexing_operator,
    STATE(20210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756248] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29474), 1,
      sym_indexing_operator,
    STATE(20211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756262] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29476), 1,
      sym_indexing_operator,
    STATE(20212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756276] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29478), 1,
      sym_indexing_operator,
    STATE(20213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756290] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29480), 1,
      sym_indexing_operator,
    STATE(20214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756304] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29482), 1,
      sym_indexing_operator,
    STATE(20215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756318] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29484), 1,
      sym_indexing_operator,
    STATE(20216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756332] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29486), 1,
      anon_sym_type,
    STATE(20217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756346] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29488), 1,
      anon_sym_DASH_GT,
    STATE(20218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756360] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29490), 1,
      anon_sym_EQ,
    STATE(20219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756374] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29492), 1,
      anon_sym_RPAREN,
    STATE(20220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756388] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29494), 1,
      anon_sym_EQ,
    STATE(20221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756402] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29496), 1,
      anon_sym_RPAREN,
    STATE(20222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756416] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29498), 1,
      sym__lowercase_identifier,
    STATE(20223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756430] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29500), 1,
      anon_sym_LT_DASH,
    STATE(20224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756444] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29502), 1,
      anon_sym_in,
    STATE(20225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756458] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6749), 1,
      anon_sym_end,
    STATE(20226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756472] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20527), 1,
      anon_sym_GT_RBRACE,
    STATE(20227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756486] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29504), 1,
      aux_sym_number_token1,
    STATE(20228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756500] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17644), 1,
      anon_sym_RPAREN,
    STATE(20229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756514] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29506), 1,
      anon_sym_RBRACK,
    STATE(20230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756528] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6729), 1,
      anon_sym_end,
    STATE(20231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756542] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29508), 1,
      anon_sym_EQ,
    STATE(20232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756556] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29510), 1,
      anon_sym_EQ,
    STATE(20233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756570] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29512), 1,
      anon_sym_RBRACE,
    STATE(20234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756584] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29514), 1,
      anon_sym_in,
    STATE(20235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756598] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29516), 1,
      anon_sym_in,
    STATE(20236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756612] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29518), 1,
      anon_sym_in,
    STATE(20237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756626] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29520), 1,
      anon_sym_in,
    STATE(20238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756640] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29522), 1,
      anon_sym_RPAREN,
    STATE(20239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756654] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29524), 1,
      anon_sym_EQ,
    STATE(20240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756668] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29526), 1,
      anon_sym_EQ,
    STATE(20241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756682] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29528), 1,
      aux_sym_number_token1,
    STATE(20242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756696] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29530), 1,
      anon_sym_RPAREN,
    STATE(20243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756710] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29532), 1,
      sym__lowercase_identifier,
    STATE(20244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756724] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29534), 1,
      anon_sym_LT_DASH,
    STATE(20245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756738] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29536), 1,
      anon_sym_in,
    STATE(20246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756752] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19399), 1,
      anon_sym_end,
    STATE(20247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756766] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29538), 1,
      anon_sym_DASH_GT,
    STATE(20248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756780] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29540), 1,
      anon_sym_RPAREN,
    STATE(20249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756794] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29542), 1,
      anon_sym_PLUS_EQ,
    STATE(20250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756808] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29544), 1,
      anon_sym_RPAREN,
    STATE(20251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756822] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29546), 1,
      anon_sym_RBRACE,
    STATE(20252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756836] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29548), 1,
      anon_sym_RPAREN,
    STATE(20253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756850] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29550), 1,
      anon_sym_RBRACK,
    STATE(20254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756864] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29552), 1,
      anon_sym_RBRACE,
    STATE(20255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756878] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22702), 1,
      anon_sym_GT_RBRACE,
    STATE(20256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756892] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29554), 1,
      anon_sym_RPAREN,
    STATE(20257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756906] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29556), 1,
      anon_sym_DASH_GT,
    STATE(20258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756920] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29558), 1,
      anon_sym_RPAREN,
    STATE(20259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756934] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20131), 1,
      anon_sym_end,
    STATE(20260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756948] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29560), 1,
      anon_sym_SQUOTE2,
    STATE(20261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756962] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29562), 1,
      anon_sym_RBRACK,
    STATE(20262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756976] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29564), 1,
      sym__lowercase_identifier,
    STATE(20263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756990] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17798), 1,
      anon_sym_RPAREN,
    STATE(20264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757004] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29566), 1,
      anon_sym_DQUOTE,
    STATE(20265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757018] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29568), 1,
      anon_sym_RBRACE,
    STATE(20266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757032] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29570), 1,
      anon_sym_in,
    STATE(20267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757046] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22720), 1,
      anon_sym_GT_RBRACE,
    STATE(20268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757060] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29572), 1,
      anon_sym_RPAREN,
    STATE(20269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757074] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29574), 1,
      anon_sym_in,
    STATE(20270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757088] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20148), 1,
      anon_sym_end,
    STATE(20271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757102] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29576), 1,
      anon_sym_SQUOTE2,
    STATE(20272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757116] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29578), 1,
      anon_sym_DQUOTE,
    STATE(20273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757130] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29580), 1,
      anon_sym_RPAREN,
    STATE(20274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757144] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29582), 1,
      sym__lowercase_identifier,
    STATE(20275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757158] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29584), 1,
      sym__lowercase_identifier,
    STATE(20276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757172] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29586), 1,
      anon_sym_RPAREN,
    STATE(20277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757186] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29588), 1,
      anon_sym_RPAREN,
    STATE(20278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757200] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29590), 1,
      anon_sym_RBRACE,
    STATE(20279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757214] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29592), 1,
      anon_sym_DASH_GT,
    STATE(20280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757228] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29594), 1,
      anon_sym_RBRACE,
    STATE(20281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757242] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29596), 1,
      anon_sym_in,
    STATE(20282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757256] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29598), 1,
      anon_sym_RPAREN,
    STATE(20283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757270] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29600), 1,
      anon_sym_SQUOTE2,
    STATE(20284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757284] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29602), 1,
      anon_sym_RBRACE,
    STATE(20285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757298] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29604), 1,
      anon_sym_RPAREN,
    STATE(20286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757312] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29606), 1,
      anon_sym_RPAREN,
    STATE(20287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757326] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29608), 1,
      anon_sym_RBRACE,
    STATE(20288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757340] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29606), 1,
      anon_sym_RBRACK,
    STATE(20289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757354] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29610), 1,
      anon_sym_in,
    STATE(20290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757368] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11568), 1,
      anon_sym_GT,
    STATE(20291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757382] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29612), 1,
      anon_sym_DQUOTE,
    STATE(20292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757396] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29614), 1,
      anon_sym_in,
    STATE(20293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757410] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12842), 1,
      anon_sym_DASH_GT,
    STATE(20294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757424] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29606), 1,
      anon_sym_RBRACE,
    STATE(20295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757438] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29616), 1,
      anon_sym_DASH_GT,
    STATE(20296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757452] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8759), 1,
      anon_sym_DASH_GT,
    STATE(20297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757466] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29618), 1,
      anon_sym_RPAREN,
    STATE(20298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757480] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29620), 1,
      anon_sym_RBRACE,
    STATE(20299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757494] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29622), 1,
      anon_sym_DASH_GT,
    STATE(20300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757508] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29624), 1,
      anon_sym_DASH_GT,
    STATE(20301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757522] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8733), 1,
      anon_sym_DASH_GT,
    STATE(20302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757536] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29626), 1,
      anon_sym_RPAREN,
    STATE(20303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757550] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29628), 1,
      anon_sym_in,
    STATE(20304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757564] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29630), 1,
      anon_sym_SQUOTE2,
    STATE(20305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757578] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3201), 1,
      anon_sym_RPAREN,
    STATE(20306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757592] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29632), 1,
      sym__lowercase_identifier,
    STATE(20307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757606] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17318), 1,
      anon_sym_GT,
    STATE(20308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757620] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29634), 1,
      anon_sym_RBRACK,
    STATE(20309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757634] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29636), 1,
      sym__lowercase_identifier,
    STATE(20310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757648] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24898), 1,
      anon_sym_RBRACE,
    STATE(20311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757662] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29638), 1,
      anon_sym_RPAREN,
    STATE(20312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757676] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29640), 1,
      anon_sym_RBRACK,
    STATE(20313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757690] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8701), 1,
      anon_sym_DASH_GT,
    STATE(20314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757704] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29642), 1,
      anon_sym_end,
    STATE(20315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757718] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29644), 1,
      anon_sym_RBRACE,
    STATE(20316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757732] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29646), 1,
      sym__lowercase_identifier,
    STATE(20317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757746] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6701), 1,
      anon_sym_end,
    STATE(20318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757760] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29648), 1,
      anon_sym_in,
    STATE(20319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757774] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20411), 1,
      anon_sym_GT_RBRACE,
    STATE(20320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757788] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16626), 1,
      anon_sym_RPAREN,
    STATE(20321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757802] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29650), 1,
      anon_sym_in,
    STATE(20322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757816] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29652), 1,
      anon_sym_DASH_GT,
    STATE(20323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757830] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19301), 1,
      anon_sym_end,
    STATE(20324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757844] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21006), 1,
      anon_sym_GT_RBRACE,
    STATE(20325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757858] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29654), 1,
      anon_sym_RBRACE,
    STATE(20326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757872] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29656), 1,
      anon_sym_in,
    STATE(20327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757886] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29658), 1,
      anon_sym_SQUOTE2,
    STATE(20328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757900] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29660), 1,
      anon_sym_DQUOTE,
    STATE(20329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757914] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29662), 1,
      anon_sym_end,
    STATE(20330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757928] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29664), 1,
      anon_sym_in,
    STATE(20331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757942] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29666), 1,
      anon_sym_DASH_GT,
    STATE(20332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757956] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19403), 1,
      anon_sym_end,
    STATE(20333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757970] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29668), 1,
      anon_sym_RPAREN,
    STATE(20334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757984] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11590), 1,
      anon_sym_GT,
    STATE(20335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757998] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29670), 1,
      anon_sym_EQ,
    STATE(20336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758012] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29672), 1,
      anon_sym_DASH_GT,
    STATE(20337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758026] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12920), 1,
      anon_sym_DASH_GT,
    STATE(20338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758040] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29674), 1,
      anon_sym_SQUOTE2,
    STATE(20339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758054] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29676), 1,
      anon_sym_RPAREN,
    STATE(20340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758068] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29678), 1,
      anon_sym_RPAREN,
    STATE(20341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758082] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29680), 1,
      anon_sym_GT,
    STATE(20342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758096] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29682), 1,
      anon_sym_RPAREN,
    STATE(20343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758110] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29684), 1,
      anon_sym_with,
    STATE(20344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758124] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29686), 1,
      anon_sym_DQUOTE,
    STATE(20345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758138] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2513), 1,
      anon_sym_end,
    STATE(20346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758152] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16441), 1,
      anon_sym_RPAREN,
    STATE(20347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758166] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17463), 1,
      anon_sym_GT,
    STATE(20348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758180] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3197), 1,
      anon_sym_RPAREN,
    STATE(20349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758194] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29688), 1,
      anon_sym_end,
    STATE(20350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758208] = 1,
    ACTIONS(29690), 1,
      ts_builtin_sym_end,
  [758212] = 1,
    ACTIONS(29692), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2895)] = 0,
  [SMALL_STATE(2896)] = 75,
  [SMALL_STATE(2897)] = 210,
  [SMALL_STATE(2898)] = 345,
  [SMALL_STATE(2899)] = 480,
  [SMALL_STATE(2900)] = 557,
  [SMALL_STATE(2901)] = 632,
  [SMALL_STATE(2902)] = 767,
  [SMALL_STATE(2903)] = 902,
  [SMALL_STATE(2904)] = 1037,
  [SMALL_STATE(2905)] = 1112,
  [SMALL_STATE(2906)] = 1187,
  [SMALL_STATE(2907)] = 1262,
  [SMALL_STATE(2908)] = 1397,
  [SMALL_STATE(2909)] = 1472,
  [SMALL_STATE(2910)] = 1547,
  [SMALL_STATE(2911)] = 1682,
  [SMALL_STATE(2912)] = 1757,
  [SMALL_STATE(2913)] = 1892,
  [SMALL_STATE(2914)] = 2027,
  [SMALL_STATE(2915)] = 2104,
  [SMALL_STATE(2916)] = 2181,
  [SMALL_STATE(2917)] = 2316,
  [SMALL_STATE(2918)] = 2451,
  [SMALL_STATE(2919)] = 2526,
  [SMALL_STATE(2920)] = 2601,
  [SMALL_STATE(2921)] = 2676,
  [SMALL_STATE(2922)] = 2811,
  [SMALL_STATE(2923)] = 2886,
  [SMALL_STATE(2924)] = 2961,
  [SMALL_STATE(2925)] = 3036,
  [SMALL_STATE(2926)] = 3171,
  [SMALL_STATE(2927)] = 3246,
  [SMALL_STATE(2928)] = 3381,
  [SMALL_STATE(2929)] = 3516,
  [SMALL_STATE(2930)] = 3651,
  [SMALL_STATE(2931)] = 3774,
  [SMALL_STATE(2932)] = 3849,
  [SMALL_STATE(2933)] = 3924,
  [SMALL_STATE(2934)] = 3999,
  [SMALL_STATE(2935)] = 4134,
  [SMALL_STATE(2936)] = 4211,
  [SMALL_STATE(2937)] = 4346,
  [SMALL_STATE(2938)] = 4420,
  [SMALL_STATE(2939)] = 4494,
  [SMALL_STATE(2940)] = 4626,
  [SMALL_STATE(2941)] = 4758,
  [SMALL_STATE(2942)] = 4890,
  [SMALL_STATE(2943)] = 5022,
  [SMALL_STATE(2944)] = 5154,
  [SMALL_STATE(2945)] = 5286,
  [SMALL_STATE(2946)] = 5416,
  [SMALL_STATE(2947)] = 5490,
  [SMALL_STATE(2948)] = 5622,
  [SMALL_STATE(2949)] = 5696,
  [SMALL_STATE(2950)] = 5770,
  [SMALL_STATE(2951)] = 5902,
  [SMALL_STATE(2952)] = 6034,
  [SMALL_STATE(2953)] = 6166,
  [SMALL_STATE(2954)] = 6298,
  [SMALL_STATE(2955)] = 6372,
  [SMALL_STATE(2956)] = 6504,
  [SMALL_STATE(2957)] = 6636,
  [SMALL_STATE(2958)] = 6768,
  [SMALL_STATE(2959)] = 6900,
  [SMALL_STATE(2960)] = 7030,
  [SMALL_STATE(2961)] = 7162,
  [SMALL_STATE(2962)] = 7294,
  [SMALL_STATE(2963)] = 7426,
  [SMALL_STATE(2964)] = 7558,
  [SMALL_STATE(2965)] = 7690,
  [SMALL_STATE(2966)] = 7822,
  [SMALL_STATE(2967)] = 7954,
  [SMALL_STATE(2968)] = 8086,
  [SMALL_STATE(2969)] = 8218,
  [SMALL_STATE(2970)] = 8348,
  [SMALL_STATE(2971)] = 8422,
  [SMALL_STATE(2972)] = 8554,
  [SMALL_STATE(2973)] = 8686,
  [SMALL_STATE(2974)] = 8818,
  [SMALL_STATE(2975)] = 8950,
  [SMALL_STATE(2976)] = 9082,
  [SMALL_STATE(2977)] = 9214,
  [SMALL_STATE(2978)] = 9346,
  [SMALL_STATE(2979)] = 9476,
  [SMALL_STATE(2980)] = 9608,
  [SMALL_STATE(2981)] = 9740,
  [SMALL_STATE(2982)] = 9872,
  [SMALL_STATE(2983)] = 10004,
  [SMALL_STATE(2984)] = 10136,
  [SMALL_STATE(2985)] = 10266,
  [SMALL_STATE(2986)] = 10398,
  [SMALL_STATE(2987)] = 10530,
  [SMALL_STATE(2988)] = 10662,
  [SMALL_STATE(2989)] = 10794,
  [SMALL_STATE(2990)] = 10926,
  [SMALL_STATE(2991)] = 11058,
  [SMALL_STATE(2992)] = 11188,
  [SMALL_STATE(2993)] = 11262,
  [SMALL_STATE(2994)] = 11394,
  [SMALL_STATE(2995)] = 11526,
  [SMALL_STATE(2996)] = 11600,
  [SMALL_STATE(2997)] = 11674,
  [SMALL_STATE(2998)] = 11806,
  [SMALL_STATE(2999)] = 11880,
  [SMALL_STATE(3000)] = 12012,
  [SMALL_STATE(3001)] = 12142,
  [SMALL_STATE(3002)] = 12216,
  [SMALL_STATE(3003)] = 12348,
  [SMALL_STATE(3004)] = 12480,
  [SMALL_STATE(3005)] = 12556,
  [SMALL_STATE(3006)] = 12630,
  [SMALL_STATE(3007)] = 12706,
  [SMALL_STATE(3008)] = 12838,
  [SMALL_STATE(3009)] = 12968,
  [SMALL_STATE(3010)] = 13100,
  [SMALL_STATE(3011)] = 13230,
  [SMALL_STATE(3012)] = 13362,
  [SMALL_STATE(3013)] = 13494,
  [SMALL_STATE(3014)] = 13626,
  [SMALL_STATE(3015)] = 13758,
  [SMALL_STATE(3016)] = 13890,
  [SMALL_STATE(3017)] = 14022,
  [SMALL_STATE(3018)] = 14154,
  [SMALL_STATE(3019)] = 14286,
  [SMALL_STATE(3020)] = 14416,
  [SMALL_STATE(3021)] = 14546,
  [SMALL_STATE(3022)] = 14620,
  [SMALL_STATE(3023)] = 14752,
  [SMALL_STATE(3024)] = 14884,
  [SMALL_STATE(3025)] = 14958,
  [SMALL_STATE(3026)] = 15090,
  [SMALL_STATE(3027)] = 15164,
  [SMALL_STATE(3028)] = 15296,
  [SMALL_STATE(3029)] = 15428,
  [SMALL_STATE(3030)] = 15560,
  [SMALL_STATE(3031)] = 15690,
  [SMALL_STATE(3032)] = 15764,
  [SMALL_STATE(3033)] = 15838,
  [SMALL_STATE(3034)] = 15912,
  [SMALL_STATE(3035)] = 15986,
  [SMALL_STATE(3036)] = 16118,
  [SMALL_STATE(3037)] = 16192,
  [SMALL_STATE(3038)] = 16322,
  [SMALL_STATE(3039)] = 16396,
  [SMALL_STATE(3040)] = 16470,
  [SMALL_STATE(3041)] = 16544,
  [SMALL_STATE(3042)] = 16618,
  [SMALL_STATE(3043)] = 16692,
  [SMALL_STATE(3044)] = 16766,
  [SMALL_STATE(3045)] = 16898,
  [SMALL_STATE(3046)] = 17028,
  [SMALL_STATE(3047)] = 17160,
  [SMALL_STATE(3048)] = 17234,
  [SMALL_STATE(3049)] = 17310,
  [SMALL_STATE(3050)] = 17442,
  [SMALL_STATE(3051)] = 17516,
  [SMALL_STATE(3052)] = 17590,
  [SMALL_STATE(3053)] = 17664,
  [SMALL_STATE(3054)] = 17738,
  [SMALL_STATE(3055)] = 17870,
  [SMALL_STATE(3056)] = 18000,
  [SMALL_STATE(3057)] = 18074,
  [SMALL_STATE(3058)] = 18148,
  [SMALL_STATE(3059)] = 18222,
  [SMALL_STATE(3060)] = 18296,
  [SMALL_STATE(3061)] = 18370,
  [SMALL_STATE(3062)] = 18444,
  [SMALL_STATE(3063)] = 18518,
  [SMALL_STATE(3064)] = 18650,
  [SMALL_STATE(3065)] = 18780,
  [SMALL_STATE(3066)] = 18854,
  [SMALL_STATE(3067)] = 18928,
  [SMALL_STATE(3068)] = 19002,
  [SMALL_STATE(3069)] = 19076,
  [SMALL_STATE(3070)] = 19152,
  [SMALL_STATE(3071)] = 19284,
  [SMALL_STATE(3072)] = 19360,
  [SMALL_STATE(3073)] = 19434,
  [SMALL_STATE(3074)] = 19508,
  [SMALL_STATE(3075)] = 19638,
  [SMALL_STATE(3076)] = 19712,
  [SMALL_STATE(3077)] = 19786,
  [SMALL_STATE(3078)] = 19860,
  [SMALL_STATE(3079)] = 19992,
  [SMALL_STATE(3080)] = 20124,
  [SMALL_STATE(3081)] = 20256,
  [SMALL_STATE(3082)] = 20330,
  [SMALL_STATE(3083)] = 20462,
  [SMALL_STATE(3084)] = 20592,
  [SMALL_STATE(3085)] = 20668,
  [SMALL_STATE(3086)] = 20744,
  [SMALL_STATE(3087)] = 20818,
  [SMALL_STATE(3088)] = 20898,
  [SMALL_STATE(3089)] = 21030,
  [SMALL_STATE(3090)] = 21160,
  [SMALL_STATE(3091)] = 21234,
  [SMALL_STATE(3092)] = 21314,
  [SMALL_STATE(3093)] = 21388,
  [SMALL_STATE(3094)] = 21518,
  [SMALL_STATE(3095)] = 21592,
  [SMALL_STATE(3096)] = 21666,
  [SMALL_STATE(3097)] = 21740,
  [SMALL_STATE(3098)] = 21870,
  [SMALL_STATE(3099)] = 22002,
  [SMALL_STATE(3100)] = 22134,
  [SMALL_STATE(3101)] = 22208,
  [SMALL_STATE(3102)] = 22340,
  [SMALL_STATE(3103)] = 22470,
  [SMALL_STATE(3104)] = 22602,
  [SMALL_STATE(3105)] = 22734,
  [SMALL_STATE(3106)] = 22864,
  [SMALL_STATE(3107)] = 22938,
  [SMALL_STATE(3108)] = 23012,
  [SMALL_STATE(3109)] = 23144,
  [SMALL_STATE(3110)] = 23276,
  [SMALL_STATE(3111)] = 23406,
  [SMALL_STATE(3112)] = 23480,
  [SMALL_STATE(3113)] = 23612,
  [SMALL_STATE(3114)] = 23742,
  [SMALL_STATE(3115)] = 23816,
  [SMALL_STATE(3116)] = 23890,
  [SMALL_STATE(3117)] = 24020,
  [SMALL_STATE(3118)] = 24094,
  [SMALL_STATE(3119)] = 24168,
  [SMALL_STATE(3120)] = 24242,
  [SMALL_STATE(3121)] = 24316,
  [SMALL_STATE(3122)] = 24448,
  [SMALL_STATE(3123)] = 24580,
  [SMALL_STATE(3124)] = 24710,
  [SMALL_STATE(3125)] = 24842,
  [SMALL_STATE(3126)] = 24974,
  [SMALL_STATE(3127)] = 25106,
  [SMALL_STATE(3128)] = 25236,
  [SMALL_STATE(3129)] = 25310,
  [SMALL_STATE(3130)] = 25384,
  [SMALL_STATE(3131)] = 25514,
  [SMALL_STATE(3132)] = 25646,
  [SMALL_STATE(3133)] = 25720,
  [SMALL_STATE(3134)] = 25852,
  [SMALL_STATE(3135)] = 25982,
  [SMALL_STATE(3136)] = 26056,
  [SMALL_STATE(3137)] = 26186,
  [SMALL_STATE(3138)] = 26260,
  [SMALL_STATE(3139)] = 26392,
  [SMALL_STATE(3140)] = 26524,
  [SMALL_STATE(3141)] = 26654,
  [SMALL_STATE(3142)] = 26786,
  [SMALL_STATE(3143)] = 26916,
  [SMALL_STATE(3144)] = 26990,
  [SMALL_STATE(3145)] = 27064,
  [SMALL_STATE(3146)] = 27138,
  [SMALL_STATE(3147)] = 27270,
  [SMALL_STATE(3148)] = 27400,
  [SMALL_STATE(3149)] = 27474,
  [SMALL_STATE(3150)] = 27548,
  [SMALL_STATE(3151)] = 27622,
  [SMALL_STATE(3152)] = 27696,
  [SMALL_STATE(3153)] = 27828,
  [SMALL_STATE(3154)] = 27958,
  [SMALL_STATE(3155)] = 28032,
  [SMALL_STATE(3156)] = 28106,
  [SMALL_STATE(3157)] = 28180,
  [SMALL_STATE(3158)] = 28254,
  [SMALL_STATE(3159)] = 28328,
  [SMALL_STATE(3160)] = 28408,
  [SMALL_STATE(3161)] = 28540,
  [SMALL_STATE(3162)] = 28670,
  [SMALL_STATE(3163)] = 28802,
  [SMALL_STATE(3164)] = 28876,
  [SMALL_STATE(3165)] = 28950,
  [SMALL_STATE(3166)] = 29024,
  [SMALL_STATE(3167)] = 29098,
  [SMALL_STATE(3168)] = 29172,
  [SMALL_STATE(3169)] = 29246,
  [SMALL_STATE(3170)] = 29320,
  [SMALL_STATE(3171)] = 29450,
  [SMALL_STATE(3172)] = 29582,
  [SMALL_STATE(3173)] = 29656,
  [SMALL_STATE(3174)] = 29732,
  [SMALL_STATE(3175)] = 29864,
  [SMALL_STATE(3176)] = 29938,
  [SMALL_STATE(3177)] = 30012,
  [SMALL_STATE(3178)] = 30086,
  [SMALL_STATE(3179)] = 30218,
  [SMALL_STATE(3180)] = 30348,
  [SMALL_STATE(3181)] = 30422,
  [SMALL_STATE(3182)] = 30496,
  [SMALL_STATE(3183)] = 30570,
  [SMALL_STATE(3184)] = 30644,
  [SMALL_STATE(3185)] = 30718,
  [SMALL_STATE(3186)] = 30792,
  [SMALL_STATE(3187)] = 30866,
  [SMALL_STATE(3188)] = 30940,
  [SMALL_STATE(3189)] = 31014,
  [SMALL_STATE(3190)] = 31144,
  [SMALL_STATE(3191)] = 31218,
  [SMALL_STATE(3192)] = 31292,
  [SMALL_STATE(3193)] = 31366,
  [SMALL_STATE(3194)] = 31440,
  [SMALL_STATE(3195)] = 31520,
  [SMALL_STATE(3196)] = 31594,
  [SMALL_STATE(3197)] = 31726,
  [SMALL_STATE(3198)] = 31802,
  [SMALL_STATE(3199)] = 31934,
  [SMALL_STATE(3200)] = 32064,
  [SMALL_STATE(3201)] = 32138,
  [SMALL_STATE(3202)] = 32212,
  [SMALL_STATE(3203)] = 32286,
  [SMALL_STATE(3204)] = 32360,
  [SMALL_STATE(3205)] = 32434,
  [SMALL_STATE(3206)] = 32510,
  [SMALL_STATE(3207)] = 32642,
  [SMALL_STATE(3208)] = 32774,
  [SMALL_STATE(3209)] = 32904,
  [SMALL_STATE(3210)] = 32978,
  [SMALL_STATE(3211)] = 33052,
  [SMALL_STATE(3212)] = 33184,
  [SMALL_STATE(3213)] = 33314,
  [SMALL_STATE(3214)] = 33446,
  [SMALL_STATE(3215)] = 33578,
  [SMALL_STATE(3216)] = 33710,
  [SMALL_STATE(3217)] = 33784,
  [SMALL_STATE(3218)] = 33858,
  [SMALL_STATE(3219)] = 33988,
  [SMALL_STATE(3220)] = 34062,
  [SMALL_STATE(3221)] = 34136,
  [SMALL_STATE(3222)] = 34210,
  [SMALL_STATE(3223)] = 34284,
  [SMALL_STATE(3224)] = 34358,
  [SMALL_STATE(3225)] = 34432,
  [SMALL_STATE(3226)] = 34506,
  [SMALL_STATE(3227)] = 34580,
  [SMALL_STATE(3228)] = 34654,
  [SMALL_STATE(3229)] = 34728,
  [SMALL_STATE(3230)] = 34860,
  [SMALL_STATE(3231)] = 34934,
  [SMALL_STATE(3232)] = 35066,
  [SMALL_STATE(3233)] = 35140,
  [SMALL_STATE(3234)] = 35214,
  [SMALL_STATE(3235)] = 35346,
  [SMALL_STATE(3236)] = 35420,
  [SMALL_STATE(3237)] = 35494,
  [SMALL_STATE(3238)] = 35568,
  [SMALL_STATE(3239)] = 35642,
  [SMALL_STATE(3240)] = 35716,
  [SMALL_STATE(3241)] = 35790,
  [SMALL_STATE(3242)] = 35864,
  [SMALL_STATE(3243)] = 35938,
  [SMALL_STATE(3244)] = 36070,
  [SMALL_STATE(3245)] = 36202,
  [SMALL_STATE(3246)] = 36276,
  [SMALL_STATE(3247)] = 36350,
  [SMALL_STATE(3248)] = 36426,
  [SMALL_STATE(3249)] = 36500,
  [SMALL_STATE(3250)] = 36574,
  [SMALL_STATE(3251)] = 36648,
  [SMALL_STATE(3252)] = 36780,
  [SMALL_STATE(3253)] = 36854,
  [SMALL_STATE(3254)] = 36928,
  [SMALL_STATE(3255)] = 37002,
  [SMALL_STATE(3256)] = 37076,
  [SMALL_STATE(3257)] = 37152,
  [SMALL_STATE(3258)] = 37226,
  [SMALL_STATE(3259)] = 37300,
  [SMALL_STATE(3260)] = 37374,
  [SMALL_STATE(3261)] = 37448,
  [SMALL_STATE(3262)] = 37522,
  [SMALL_STATE(3263)] = 37596,
  [SMALL_STATE(3264)] = 37670,
  [SMALL_STATE(3265)] = 37744,
  [SMALL_STATE(3266)] = 37818,
  [SMALL_STATE(3267)] = 37892,
  [SMALL_STATE(3268)] = 37966,
  [SMALL_STATE(3269)] = 38042,
  [SMALL_STATE(3270)] = 38116,
  [SMALL_STATE(3271)] = 38190,
  [SMALL_STATE(3272)] = 38264,
  [SMALL_STATE(3273)] = 38338,
  [SMALL_STATE(3274)] = 38412,
  [SMALL_STATE(3275)] = 38486,
  [SMALL_STATE(3276)] = 38560,
  [SMALL_STATE(3277)] = 38636,
  [SMALL_STATE(3278)] = 38710,
  [SMALL_STATE(3279)] = 38784,
  [SMALL_STATE(3280)] = 38858,
  [SMALL_STATE(3281)] = 38932,
  [SMALL_STATE(3282)] = 39006,
  [SMALL_STATE(3283)] = 39080,
  [SMALL_STATE(3284)] = 39153,
  [SMALL_STATE(3285)] = 39282,
  [SMALL_STATE(3286)] = 39411,
  [SMALL_STATE(3287)] = 39540,
  [SMALL_STATE(3288)] = 39613,
  [SMALL_STATE(3289)] = 39742,
  [SMALL_STATE(3290)] = 39871,
  [SMALL_STATE(3291)] = 40000,
  [SMALL_STATE(3292)] = 40129,
  [SMALL_STATE(3293)] = 40258,
  [SMALL_STATE(3294)] = 40331,
  [SMALL_STATE(3295)] = 40404,
  [SMALL_STATE(3296)] = 40477,
  [SMALL_STATE(3297)] = 40550,
  [SMALL_STATE(3298)] = 40623,
  [SMALL_STATE(3299)] = 40696,
  [SMALL_STATE(3300)] = 40769,
  [SMALL_STATE(3301)] = 40848,
  [SMALL_STATE(3302)] = 40977,
  [SMALL_STATE(3303)] = 41050,
  [SMALL_STATE(3304)] = 41179,
  [SMALL_STATE(3305)] = 41308,
  [SMALL_STATE(3306)] = 41383,
  [SMALL_STATE(3307)] = 41456,
  [SMALL_STATE(3308)] = 41529,
  [SMALL_STATE(3309)] = 41602,
  [SMALL_STATE(3310)] = 41677,
  [SMALL_STATE(3311)] = 41750,
  [SMALL_STATE(3312)] = 41823,
  [SMALL_STATE(3313)] = 41896,
  [SMALL_STATE(3314)] = 41969,
  [SMALL_STATE(3315)] = 42042,
  [SMALL_STATE(3316)] = 42115,
  [SMALL_STATE(3317)] = 42188,
  [SMALL_STATE(3318)] = 42261,
  [SMALL_STATE(3319)] = 42334,
  [SMALL_STATE(3320)] = 42407,
  [SMALL_STATE(3321)] = 42480,
  [SMALL_STATE(3322)] = 42553,
  [SMALL_STATE(3323)] = 42626,
  [SMALL_STATE(3324)] = 42699,
  [SMALL_STATE(3325)] = 42772,
  [SMALL_STATE(3326)] = 42847,
  [SMALL_STATE(3327)] = 42922,
  [SMALL_STATE(3328)] = 42995,
  [SMALL_STATE(3329)] = 43068,
  [SMALL_STATE(3330)] = 43141,
  [SMALL_STATE(3331)] = 43214,
  [SMALL_STATE(3332)] = 43343,
  [SMALL_STATE(3333)] = 43416,
  [SMALL_STATE(3334)] = 43489,
  [SMALL_STATE(3335)] = 43562,
  [SMALL_STATE(3336)] = 43635,
  [SMALL_STATE(3337)] = 43764,
  [SMALL_STATE(3338)] = 43837,
  [SMALL_STATE(3339)] = 43910,
  [SMALL_STATE(3340)] = 43983,
  [SMALL_STATE(3341)] = 44056,
  [SMALL_STATE(3342)] = 44131,
  [SMALL_STATE(3343)] = 44260,
  [SMALL_STATE(3344)] = 44333,
  [SMALL_STATE(3345)] = 44406,
  [SMALL_STATE(3346)] = 44479,
  [SMALL_STATE(3347)] = 44552,
  [SMALL_STATE(3348)] = 44625,
  [SMALL_STATE(3349)] = 44698,
  [SMALL_STATE(3350)] = 44771,
  [SMALL_STATE(3351)] = 44900,
  [SMALL_STATE(3352)] = 44973,
  [SMALL_STATE(3353)] = 45046,
  [SMALL_STATE(3354)] = 45119,
  [SMALL_STATE(3355)] = 45192,
  [SMALL_STATE(3356)] = 45265,
  [SMALL_STATE(3357)] = 45338,
  [SMALL_STATE(3358)] = 45411,
  [SMALL_STATE(3359)] = 45486,
  [SMALL_STATE(3360)] = 45561,
  [SMALL_STATE(3361)] = 45690,
  [SMALL_STATE(3362)] = 45763,
  [SMALL_STATE(3363)] = 45836,
  [SMALL_STATE(3364)] = 45909,
  [SMALL_STATE(3365)] = 45982,
  [SMALL_STATE(3366)] = 46055,
  [SMALL_STATE(3367)] = 46128,
  [SMALL_STATE(3368)] = 46201,
  [SMALL_STATE(3369)] = 46274,
  [SMALL_STATE(3370)] = 46347,
  [SMALL_STATE(3371)] = 46420,
  [SMALL_STATE(3372)] = 46493,
  [SMALL_STATE(3373)] = 46566,
  [SMALL_STATE(3374)] = 46639,
  [SMALL_STATE(3375)] = 46712,
  [SMALL_STATE(3376)] = 46785,
  [SMALL_STATE(3377)] = 46858,
  [SMALL_STATE(3378)] = 46937,
  [SMALL_STATE(3379)] = 47010,
  [SMALL_STATE(3380)] = 47083,
  [SMALL_STATE(3381)] = 47156,
  [SMALL_STATE(3382)] = 47229,
  [SMALL_STATE(3383)] = 47302,
  [SMALL_STATE(3384)] = 47375,
  [SMALL_STATE(3385)] = 47504,
  [SMALL_STATE(3386)] = 47577,
  [SMALL_STATE(3387)] = 47650,
  [SMALL_STATE(3388)] = 47723,
  [SMALL_STATE(3389)] = 47796,
  [SMALL_STATE(3390)] = 47871,
  [SMALL_STATE(3391)] = 47944,
  [SMALL_STATE(3392)] = 48073,
  [SMALL_STATE(3393)] = 48146,
  [SMALL_STATE(3394)] = 48219,
  [SMALL_STATE(3395)] = 48292,
  [SMALL_STATE(3396)] = 48365,
  [SMALL_STATE(3397)] = 48438,
  [SMALL_STATE(3398)] = 48511,
  [SMALL_STATE(3399)] = 48584,
  [SMALL_STATE(3400)] = 48657,
  [SMALL_STATE(3401)] = 48730,
  [SMALL_STATE(3402)] = 48803,
  [SMALL_STATE(3403)] = 48876,
  [SMALL_STATE(3404)] = 48949,
  [SMALL_STATE(3405)] = 49022,
  [SMALL_STATE(3406)] = 49095,
  [SMALL_STATE(3407)] = 49168,
  [SMALL_STATE(3408)] = 49241,
  [SMALL_STATE(3409)] = 49314,
  [SMALL_STATE(3410)] = 49387,
  [SMALL_STATE(3411)] = 49460,
  [SMALL_STATE(3412)] = 49533,
  [SMALL_STATE(3413)] = 49606,
  [SMALL_STATE(3414)] = 49679,
  [SMALL_STATE(3415)] = 49752,
  [SMALL_STATE(3416)] = 49825,
  [SMALL_STATE(3417)] = 49898,
  [SMALL_STATE(3418)] = 49971,
  [SMALL_STATE(3419)] = 50044,
  [SMALL_STATE(3420)] = 50117,
  [SMALL_STATE(3421)] = 50190,
  [SMALL_STATE(3422)] = 50269,
  [SMALL_STATE(3423)] = 50342,
  [SMALL_STATE(3424)] = 50415,
  [SMALL_STATE(3425)] = 50544,
  [SMALL_STATE(3426)] = 50675,
  [SMALL_STATE(3427)] = 50806,
  [SMALL_STATE(3428)] = 50879,
  [SMALL_STATE(3429)] = 50952,
  [SMALL_STATE(3430)] = 51025,
  [SMALL_STATE(3431)] = 51098,
  [SMALL_STATE(3432)] = 51171,
  [SMALL_STATE(3433)] = 51244,
  [SMALL_STATE(3434)] = 51317,
  [SMALL_STATE(3435)] = 51446,
  [SMALL_STATE(3436)] = 51525,
  [SMALL_STATE(3437)] = 51598,
  [SMALL_STATE(3438)] = 51671,
  [SMALL_STATE(3439)] = 51800,
  [SMALL_STATE(3440)] = 51873,
  [SMALL_STATE(3441)] = 51946,
  [SMALL_STATE(3442)] = 52019,
  [SMALL_STATE(3443)] = 52092,
  [SMALL_STATE(3444)] = 52165,
  [SMALL_STATE(3445)] = 52238,
  [SMALL_STATE(3446)] = 52311,
  [SMALL_STATE(3447)] = 52384,
  [SMALL_STATE(3448)] = 52457,
  [SMALL_STATE(3449)] = 52530,
  [SMALL_STATE(3450)] = 52603,
  [SMALL_STATE(3451)] = 52676,
  [SMALL_STATE(3452)] = 52749,
  [SMALL_STATE(3453)] = 52880,
  [SMALL_STATE(3454)] = 52953,
  [SMALL_STATE(3455)] = 53084,
  [SMALL_STATE(3456)] = 53213,
  [SMALL_STATE(3457)] = 53286,
  [SMALL_STATE(3458)] = 53359,
  [SMALL_STATE(3459)] = 53432,
  [SMALL_STATE(3460)] = 53561,
  [SMALL_STATE(3461)] = 53690,
  [SMALL_STATE(3462)] = 53763,
  [SMALL_STATE(3463)] = 53892,
  [SMALL_STATE(3464)] = 53965,
  [SMALL_STATE(3465)] = 54038,
  [SMALL_STATE(3466)] = 54111,
  [SMALL_STATE(3467)] = 54184,
  [SMALL_STATE(3468)] = 54257,
  [SMALL_STATE(3469)] = 54330,
  [SMALL_STATE(3470)] = 54403,
  [SMALL_STATE(3471)] = 54476,
  [SMALL_STATE(3472)] = 54549,
  [SMALL_STATE(3473)] = 54678,
  [SMALL_STATE(3474)] = 54751,
  [SMALL_STATE(3475)] = 54824,
  [SMALL_STATE(3476)] = 54897,
  [SMALL_STATE(3477)] = 54970,
  [SMALL_STATE(3478)] = 55043,
  [SMALL_STATE(3479)] = 55116,
  [SMALL_STATE(3480)] = 55189,
  [SMALL_STATE(3481)] = 55262,
  [SMALL_STATE(3482)] = 55341,
  [SMALL_STATE(3483)] = 55414,
  [SMALL_STATE(3484)] = 55487,
  [SMALL_STATE(3485)] = 55560,
  [SMALL_STATE(3486)] = 55633,
  [SMALL_STATE(3487)] = 55706,
  [SMALL_STATE(3488)] = 55779,
  [SMALL_STATE(3489)] = 55852,
  [SMALL_STATE(3490)] = 55927,
  [SMALL_STATE(3491)] = 56000,
  [SMALL_STATE(3492)] = 56073,
  [SMALL_STATE(3493)] = 56146,
  [SMALL_STATE(3494)] = 56219,
  [SMALL_STATE(3495)] = 56292,
  [SMALL_STATE(3496)] = 56365,
  [SMALL_STATE(3497)] = 56438,
  [SMALL_STATE(3498)] = 56511,
  [SMALL_STATE(3499)] = 56584,
  [SMALL_STATE(3500)] = 56657,
  [SMALL_STATE(3501)] = 56730,
  [SMALL_STATE(3502)] = 56803,
  [SMALL_STATE(3503)] = 56876,
  [SMALL_STATE(3504)] = 56949,
  [SMALL_STATE(3505)] = 57022,
  [SMALL_STATE(3506)] = 57101,
  [SMALL_STATE(3507)] = 57174,
  [SMALL_STATE(3508)] = 57247,
  [SMALL_STATE(3509)] = 57320,
  [SMALL_STATE(3510)] = 57393,
  [SMALL_STATE(3511)] = 57466,
  [SMALL_STATE(3512)] = 57539,
  [SMALL_STATE(3513)] = 57612,
  [SMALL_STATE(3514)] = 57685,
  [SMALL_STATE(3515)] = 57758,
  [SMALL_STATE(3516)] = 57831,
  [SMALL_STATE(3517)] = 57904,
  [SMALL_STATE(3518)] = 57977,
  [SMALL_STATE(3519)] = 58050,
  [SMALL_STATE(3520)] = 58123,
  [SMALL_STATE(3521)] = 58196,
  [SMALL_STATE(3522)] = 58269,
  [SMALL_STATE(3523)] = 58342,
  [SMALL_STATE(3524)] = 58415,
  [SMALL_STATE(3525)] = 58488,
  [SMALL_STATE(3526)] = 58561,
  [SMALL_STATE(3527)] = 58702,
  [SMALL_STATE(3528)] = 58831,
  [SMALL_STATE(3529)] = 58910,
  [SMALL_STATE(3530)] = 58983,
  [SMALL_STATE(3531)] = 59112,
  [SMALL_STATE(3532)] = 59185,
  [SMALL_STATE(3533)] = 59258,
  [SMALL_STATE(3534)] = 59399,
  [SMALL_STATE(3535)] = 59528,
  [SMALL_STATE(3536)] = 59601,
  [SMALL_STATE(3537)] = 59674,
  [SMALL_STATE(3538)] = 59747,
  [SMALL_STATE(3539)] = 59876,
  [SMALL_STATE(3540)] = 59949,
  [SMALL_STATE(3541)] = 60090,
  [SMALL_STATE(3542)] = 60219,
  [SMALL_STATE(3543)] = 60292,
  [SMALL_STATE(3544)] = 60367,
  [SMALL_STATE(3545)] = 60496,
  [SMALL_STATE(3546)] = 60569,
  [SMALL_STATE(3547)] = 60710,
  [SMALL_STATE(3548)] = 60839,
  [SMALL_STATE(3549)] = 60912,
  [SMALL_STATE(3550)] = 60985,
  [SMALL_STATE(3551)] = 61114,
  [SMALL_STATE(3552)] = 61187,
  [SMALL_STATE(3553)] = 61260,
  [SMALL_STATE(3554)] = 61401,
  [SMALL_STATE(3555)] = 61530,
  [SMALL_STATE(3556)] = 61603,
  [SMALL_STATE(3557)] = 61676,
  [SMALL_STATE(3558)] = 61749,
  [SMALL_STATE(3559)] = 61822,
  [SMALL_STATE(3560)] = 61951,
  [SMALL_STATE(3561)] = 62024,
  [SMALL_STATE(3562)] = 62097,
  [SMALL_STATE(3563)] = 62226,
  [SMALL_STATE(3564)] = 62299,
  [SMALL_STATE(3565)] = 62372,
  [SMALL_STATE(3566)] = 62445,
  [SMALL_STATE(3567)] = 62574,
  [SMALL_STATE(3568)] = 62647,
  [SMALL_STATE(3569)] = 62720,
  [SMALL_STATE(3570)] = 62849,
  [SMALL_STATE(3571)] = 62922,
  [SMALL_STATE(3572)] = 62995,
  [SMALL_STATE(3573)] = 63074,
  [SMALL_STATE(3574)] = 63203,
  [SMALL_STATE(3575)] = 63332,
  [SMALL_STATE(3576)] = 63405,
  [SMALL_STATE(3577)] = 63478,
  [SMALL_STATE(3578)] = 63551,
  [SMALL_STATE(3579)] = 63680,
  [SMALL_STATE(3580)] = 63753,
  [SMALL_STATE(3581)] = 63826,
  [SMALL_STATE(3582)] = 63955,
  [SMALL_STATE(3583)] = 64084,
  [SMALL_STATE(3584)] = 64157,
  [SMALL_STATE(3585)] = 64230,
  [SMALL_STATE(3586)] = 64359,
  [SMALL_STATE(3587)] = 64432,
  [SMALL_STATE(3588)] = 64505,
  [SMALL_STATE(3589)] = 64634,
  [SMALL_STATE(3590)] = 64763,
  [SMALL_STATE(3591)] = 64892,
  [SMALL_STATE(3592)] = 65021,
  [SMALL_STATE(3593)] = 65094,
  [SMALL_STATE(3594)] = 65223,
  [SMALL_STATE(3595)] = 65352,
  [SMALL_STATE(3596)] = 65481,
  [SMALL_STATE(3597)] = 65610,
  [SMALL_STATE(3598)] = 65683,
  [SMALL_STATE(3599)] = 65756,
  [SMALL_STATE(3600)] = 65831,
  [SMALL_STATE(3601)] = 65960,
  [SMALL_STATE(3602)] = 66033,
  [SMALL_STATE(3603)] = 66106,
  [SMALL_STATE(3604)] = 66235,
  [SMALL_STATE(3605)] = 66308,
  [SMALL_STATE(3606)] = 66381,
  [SMALL_STATE(3607)] = 66454,
  [SMALL_STATE(3608)] = 66583,
  [SMALL_STATE(3609)] = 66712,
  [SMALL_STATE(3610)] = 66785,
  [SMALL_STATE(3611)] = 66858,
  [SMALL_STATE(3612)] = 66931,
  [SMALL_STATE(3613)] = 67060,
  [SMALL_STATE(3614)] = 67133,
  [SMALL_STATE(3615)] = 67206,
  [SMALL_STATE(3616)] = 67335,
  [SMALL_STATE(3617)] = 67410,
  [SMALL_STATE(3618)] = 67483,
  [SMALL_STATE(3619)] = 67556,
  [SMALL_STATE(3620)] = 67685,
  [SMALL_STATE(3621)] = 67758,
  [SMALL_STATE(3622)] = 67887,
  [SMALL_STATE(3623)] = 67960,
  [SMALL_STATE(3624)] = 68033,
  [SMALL_STATE(3625)] = 68106,
  [SMALL_STATE(3626)] = 68235,
  [SMALL_STATE(3627)] = 68308,
  [SMALL_STATE(3628)] = 68381,
  [SMALL_STATE(3629)] = 68510,
  [SMALL_STATE(3630)] = 68583,
  [SMALL_STATE(3631)] = 68656,
  [SMALL_STATE(3632)] = 68729,
  [SMALL_STATE(3633)] = 68858,
  [SMALL_STATE(3634)] = 68987,
  [SMALL_STATE(3635)] = 69060,
  [SMALL_STATE(3636)] = 69189,
  [SMALL_STATE(3637)] = 69262,
  [SMALL_STATE(3638)] = 69391,
  [SMALL_STATE(3639)] = 69464,
  [SMALL_STATE(3640)] = 69593,
  [SMALL_STATE(3641)] = 69722,
  [SMALL_STATE(3642)] = 69795,
  [SMALL_STATE(3643)] = 69924,
  [SMALL_STATE(3644)] = 70053,
  [SMALL_STATE(3645)] = 70182,
  [SMALL_STATE(3646)] = 70311,
  [SMALL_STATE(3647)] = 70384,
  [SMALL_STATE(3648)] = 70513,
  [SMALL_STATE(3649)] = 70642,
  [SMALL_STATE(3650)] = 70715,
  [SMALL_STATE(3651)] = 70788,
  [SMALL_STATE(3652)] = 70917,
  [SMALL_STATE(3653)] = 71046,
  [SMALL_STATE(3654)] = 71175,
  [SMALL_STATE(3655)] = 71304,
  [SMALL_STATE(3656)] = 71433,
  [SMALL_STATE(3657)] = 71562,
  [SMALL_STATE(3658)] = 71691,
  [SMALL_STATE(3659)] = 71820,
  [SMALL_STATE(3660)] = 71949,
  [SMALL_STATE(3661)] = 72078,
  [SMALL_STATE(3662)] = 72207,
  [SMALL_STATE(3663)] = 72336,
  [SMALL_STATE(3664)] = 72465,
  [SMALL_STATE(3665)] = 72594,
  [SMALL_STATE(3666)] = 72723,
  [SMALL_STATE(3667)] = 72852,
  [SMALL_STATE(3668)] = 72981,
  [SMALL_STATE(3669)] = 73110,
  [SMALL_STATE(3670)] = 73239,
  [SMALL_STATE(3671)] = 73368,
  [SMALL_STATE(3672)] = 73441,
  [SMALL_STATE(3673)] = 73514,
  [SMALL_STATE(3674)] = 73643,
  [SMALL_STATE(3675)] = 73718,
  [SMALL_STATE(3676)] = 73791,
  [SMALL_STATE(3677)] = 73920,
  [SMALL_STATE(3678)] = 73993,
  [SMALL_STATE(3679)] = 74066,
  [SMALL_STATE(3680)] = 74139,
  [SMALL_STATE(3681)] = 74268,
  [SMALL_STATE(3682)] = 74341,
  [SMALL_STATE(3683)] = 74414,
  [SMALL_STATE(3684)] = 74543,
  [SMALL_STATE(3685)] = 74616,
  [SMALL_STATE(3686)] = 74691,
  [SMALL_STATE(3687)] = 74764,
  [SMALL_STATE(3688)] = 74893,
  [SMALL_STATE(3689)] = 74966,
  [SMALL_STATE(3690)] = 75039,
  [SMALL_STATE(3691)] = 75168,
  [SMALL_STATE(3692)] = 75241,
  [SMALL_STATE(3693)] = 75314,
  [SMALL_STATE(3694)] = 75443,
  [SMALL_STATE(3695)] = 75572,
  [SMALL_STATE(3696)] = 75647,
  [SMALL_STATE(3697)] = 75776,
  [SMALL_STATE(3698)] = 75849,
  [SMALL_STATE(3699)] = 75978,
  [SMALL_STATE(3700)] = 76107,
  [SMALL_STATE(3701)] = 76236,
  [SMALL_STATE(3702)] = 76309,
  [SMALL_STATE(3703)] = 76438,
  [SMALL_STATE(3704)] = 76567,
  [SMALL_STATE(3705)] = 76708,
  [SMALL_STATE(3706)] = 76837,
  [SMALL_STATE(3707)] = 76910,
  [SMALL_STATE(3708)] = 76983,
  [SMALL_STATE(3709)] = 77058,
  [SMALL_STATE(3710)] = 77187,
  [SMALL_STATE(3711)] = 77260,
  [SMALL_STATE(3712)] = 77333,
  [SMALL_STATE(3713)] = 77462,
  [SMALL_STATE(3714)] = 77535,
  [SMALL_STATE(3715)] = 77608,
  [SMALL_STATE(3716)] = 77737,
  [SMALL_STATE(3717)] = 77861,
  [SMALL_STATE(3718)] = 77985,
  [SMALL_STATE(3719)] = 78109,
  [SMALL_STATE(3720)] = 78233,
  [SMALL_STATE(3721)] = 78305,
  [SMALL_STATE(3722)] = 78429,
  [SMALL_STATE(3723)] = 78553,
  [SMALL_STATE(3724)] = 78625,
  [SMALL_STATE(3725)] = 78697,
  [SMALL_STATE(3726)] = 78769,
  [SMALL_STATE(3727)] = 78841,
  [SMALL_STATE(3728)] = 78965,
  [SMALL_STATE(3729)] = 79037,
  [SMALL_STATE(3730)] = 79109,
  [SMALL_STATE(3731)] = 79181,
  [SMALL_STATE(3732)] = 79305,
  [SMALL_STATE(3733)] = 79377,
  [SMALL_STATE(3734)] = 79449,
  [SMALL_STATE(3735)] = 79521,
  [SMALL_STATE(3736)] = 79593,
  [SMALL_STATE(3737)] = 79665,
  [SMALL_STATE(3738)] = 79789,
  [SMALL_STATE(3739)] = 79913,
  [SMALL_STATE(3740)] = 79985,
  [SMALL_STATE(3741)] = 80057,
  [SMALL_STATE(3742)] = 80129,
  [SMALL_STATE(3743)] = 80201,
  [SMALL_STATE(3744)] = 80325,
  [SMALL_STATE(3745)] = 80397,
  [SMALL_STATE(3746)] = 80521,
  [SMALL_STATE(3747)] = 80593,
  [SMALL_STATE(3748)] = 80665,
  [SMALL_STATE(3749)] = 80789,
  [SMALL_STATE(3750)] = 80913,
  [SMALL_STATE(3751)] = 80987,
  [SMALL_STATE(3752)] = 81111,
  [SMALL_STATE(3753)] = 81235,
  [SMALL_STATE(3754)] = 81307,
  [SMALL_STATE(3755)] = 81431,
  [SMALL_STATE(3756)] = 81503,
  [SMALL_STATE(3757)] = 81627,
  [SMALL_STATE(3758)] = 81751,
  [SMALL_STATE(3759)] = 81823,
  [SMALL_STATE(3760)] = 81895,
  [SMALL_STATE(3761)] = 81967,
  [SMALL_STATE(3762)] = 82039,
  [SMALL_STATE(3763)] = 82111,
  [SMALL_STATE(3764)] = 82189,
  [SMALL_STATE(3765)] = 82261,
  [SMALL_STATE(3766)] = 82333,
  [SMALL_STATE(3767)] = 82405,
  [SMALL_STATE(3768)] = 82477,
  [SMALL_STATE(3769)] = 82549,
  [SMALL_STATE(3770)] = 82621,
  [SMALL_STATE(3771)] = 82745,
  [SMALL_STATE(3772)] = 82817,
  [SMALL_STATE(3773)] = 82891,
  [SMALL_STATE(3774)] = 82963,
  [SMALL_STATE(3775)] = 83035,
  [SMALL_STATE(3776)] = 83107,
  [SMALL_STATE(3777)] = 83179,
  [SMALL_STATE(3778)] = 83303,
  [SMALL_STATE(3779)] = 83375,
  [SMALL_STATE(3780)] = 83447,
  [SMALL_STATE(3781)] = 83519,
  [SMALL_STATE(3782)] = 83591,
  [SMALL_STATE(3783)] = 83663,
  [SMALL_STATE(3784)] = 83735,
  [SMALL_STATE(3785)] = 83807,
  [SMALL_STATE(3786)] = 83879,
  [SMALL_STATE(3787)] = 83951,
  [SMALL_STATE(3788)] = 84023,
  [SMALL_STATE(3789)] = 84095,
  [SMALL_STATE(3790)] = 84173,
  [SMALL_STATE(3791)] = 84297,
  [SMALL_STATE(3792)] = 84421,
  [SMALL_STATE(3793)] = 84493,
  [SMALL_STATE(3794)] = 84565,
  [SMALL_STATE(3795)] = 84637,
  [SMALL_STATE(3796)] = 84709,
  [SMALL_STATE(3797)] = 84781,
  [SMALL_STATE(3798)] = 84905,
  [SMALL_STATE(3799)] = 84977,
  [SMALL_STATE(3800)] = 85101,
  [SMALL_STATE(3801)] = 85173,
  [SMALL_STATE(3802)] = 85245,
  [SMALL_STATE(3803)] = 85317,
  [SMALL_STATE(3804)] = 85389,
  [SMALL_STATE(3805)] = 85461,
  [SMALL_STATE(3806)] = 85533,
  [SMALL_STATE(3807)] = 85605,
  [SMALL_STATE(3808)] = 85677,
  [SMALL_STATE(3809)] = 85749,
  [SMALL_STATE(3810)] = 85821,
  [SMALL_STATE(3811)] = 85893,
  [SMALL_STATE(3812)] = 85965,
  [SMALL_STATE(3813)] = 86037,
  [SMALL_STATE(3814)] = 86109,
  [SMALL_STATE(3815)] = 86181,
  [SMALL_STATE(3816)] = 86253,
  [SMALL_STATE(3817)] = 86327,
  [SMALL_STATE(3818)] = 86451,
  [SMALL_STATE(3819)] = 86575,
  [SMALL_STATE(3820)] = 86699,
  [SMALL_STATE(3821)] = 86773,
  [SMALL_STATE(3822)] = 86847,
  [SMALL_STATE(3823)] = 86971,
  [SMALL_STATE(3824)] = 87045,
  [SMALL_STATE(3825)] = 87169,
  [SMALL_STATE(3826)] = 87243,
  [SMALL_STATE(3827)] = 87315,
  [SMALL_STATE(3828)] = 87387,
  [SMALL_STATE(3829)] = 87511,
  [SMALL_STATE(3830)] = 87635,
  [SMALL_STATE(3831)] = 87759,
  [SMALL_STATE(3832)] = 87831,
  [SMALL_STATE(3833)] = 87903,
  [SMALL_STATE(3834)] = 87975,
  [SMALL_STATE(3835)] = 88049,
  [SMALL_STATE(3836)] = 88121,
  [SMALL_STATE(3837)] = 88193,
  [SMALL_STATE(3838)] = 88265,
  [SMALL_STATE(3839)] = 88389,
  [SMALL_STATE(3840)] = 88513,
  [SMALL_STATE(3841)] = 88585,
  [SMALL_STATE(3842)] = 88657,
  [SMALL_STATE(3843)] = 88729,
  [SMALL_STATE(3844)] = 88801,
  [SMALL_STATE(3845)] = 88873,
  [SMALL_STATE(3846)] = 88945,
  [SMALL_STATE(3847)] = 89017,
  [SMALL_STATE(3848)] = 89089,
  [SMALL_STATE(3849)] = 89161,
  [SMALL_STATE(3850)] = 89235,
  [SMALL_STATE(3851)] = 89359,
  [SMALL_STATE(3852)] = 89431,
  [SMALL_STATE(3853)] = 89503,
  [SMALL_STATE(3854)] = 89575,
  [SMALL_STATE(3855)] = 89647,
  [SMALL_STATE(3856)] = 89719,
  [SMALL_STATE(3857)] = 89791,
  [SMALL_STATE(3858)] = 89863,
  [SMALL_STATE(3859)] = 89987,
  [SMALL_STATE(3860)] = 90111,
  [SMALL_STATE(3861)] = 90235,
  [SMALL_STATE(3862)] = 90307,
  [SMALL_STATE(3863)] = 90381,
  [SMALL_STATE(3864)] = 90453,
  [SMALL_STATE(3865)] = 90525,
  [SMALL_STATE(3866)] = 90597,
  [SMALL_STATE(3867)] = 90669,
  [SMALL_STATE(3868)] = 90741,
  [SMALL_STATE(3869)] = 90813,
  [SMALL_STATE(3870)] = 90885,
  [SMALL_STATE(3871)] = 90957,
  [SMALL_STATE(3872)] = 91029,
  [SMALL_STATE(3873)] = 91101,
  [SMALL_STATE(3874)] = 91173,
  [SMALL_STATE(3875)] = 91245,
  [SMALL_STATE(3876)] = 91317,
  [SMALL_STATE(3877)] = 91389,
  [SMALL_STATE(3878)] = 91461,
  [SMALL_STATE(3879)] = 91533,
  [SMALL_STATE(3880)] = 91605,
  [SMALL_STATE(3881)] = 91677,
  [SMALL_STATE(3882)] = 91749,
  [SMALL_STATE(3883)] = 91821,
  [SMALL_STATE(3884)] = 91893,
  [SMALL_STATE(3885)] = 91965,
  [SMALL_STATE(3886)] = 92037,
  [SMALL_STATE(3887)] = 92109,
  [SMALL_STATE(3888)] = 92181,
  [SMALL_STATE(3889)] = 92253,
  [SMALL_STATE(3890)] = 92325,
  [SMALL_STATE(3891)] = 92397,
  [SMALL_STATE(3892)] = 92475,
  [SMALL_STATE(3893)] = 92599,
  [SMALL_STATE(3894)] = 92671,
  [SMALL_STATE(3895)] = 92749,
  [SMALL_STATE(3896)] = 92821,
  [SMALL_STATE(3897)] = 92945,
  [SMALL_STATE(3898)] = 93069,
  [SMALL_STATE(3899)] = 93193,
  [SMALL_STATE(3900)] = 93317,
  [SMALL_STATE(3901)] = 93441,
  [SMALL_STATE(3902)] = 93513,
  [SMALL_STATE(3903)] = 93585,
  [SMALL_STATE(3904)] = 93657,
  [SMALL_STATE(3905)] = 93729,
  [SMALL_STATE(3906)] = 93803,
  [SMALL_STATE(3907)] = 93875,
  [SMALL_STATE(3908)] = 93947,
  [SMALL_STATE(3909)] = 94071,
  [SMALL_STATE(3910)] = 94143,
  [SMALL_STATE(3911)] = 94215,
  [SMALL_STATE(3912)] = 94287,
  [SMALL_STATE(3913)] = 94359,
  [SMALL_STATE(3914)] = 94431,
  [SMALL_STATE(3915)] = 94503,
  [SMALL_STATE(3916)] = 94577,
  [SMALL_STATE(3917)] = 94649,
  [SMALL_STATE(3918)] = 94721,
  [SMALL_STATE(3919)] = 94793,
  [SMALL_STATE(3920)] = 94865,
  [SMALL_STATE(3921)] = 94937,
  [SMALL_STATE(3922)] = 95009,
  [SMALL_STATE(3923)] = 95081,
  [SMALL_STATE(3924)] = 95153,
  [SMALL_STATE(3925)] = 95225,
  [SMALL_STATE(3926)] = 95297,
  [SMALL_STATE(3927)] = 95369,
  [SMALL_STATE(3928)] = 95441,
  [SMALL_STATE(3929)] = 95565,
  [SMALL_STATE(3930)] = 95689,
  [SMALL_STATE(3931)] = 95813,
  [SMALL_STATE(3932)] = 95937,
  [SMALL_STATE(3933)] = 96009,
  [SMALL_STATE(3934)] = 96081,
  [SMALL_STATE(3935)] = 96202,
  [SMALL_STATE(3936)] = 96323,
  [SMALL_STATE(3937)] = 96394,
  [SMALL_STATE(3938)] = 96465,
  [SMALL_STATE(3939)] = 96536,
  [SMALL_STATE(3940)] = 96657,
  [SMALL_STATE(3941)] = 96778,
  [SMALL_STATE(3942)] = 96849,
  [SMALL_STATE(3943)] = 96920,
  [SMALL_STATE(3944)] = 97041,
  [SMALL_STATE(3945)] = 97112,
  [SMALL_STATE(3946)] = 97183,
  [SMALL_STATE(3947)] = 97254,
  [SMALL_STATE(3948)] = 97325,
  [SMALL_STATE(3949)] = 97396,
  [SMALL_STATE(3950)] = 97467,
  [SMALL_STATE(3951)] = 97588,
  [SMALL_STATE(3952)] = 97659,
  [SMALL_STATE(3953)] = 97730,
  [SMALL_STATE(3954)] = 97801,
  [SMALL_STATE(3955)] = 97872,
  [SMALL_STATE(3956)] = 97943,
  [SMALL_STATE(3957)] = 98020,
  [SMALL_STATE(3958)] = 98141,
  [SMALL_STATE(3959)] = 98262,
  [SMALL_STATE(3960)] = 98335,
  [SMALL_STATE(3961)] = 98408,
  [SMALL_STATE(3962)] = 98479,
  [SMALL_STATE(3963)] = 98550,
  [SMALL_STATE(3964)] = 98621,
  [SMALL_STATE(3965)] = 98742,
  [SMALL_STATE(3966)] = 98863,
  [SMALL_STATE(3967)] = 98936,
  [SMALL_STATE(3968)] = 99007,
  [SMALL_STATE(3969)] = 99078,
  [SMALL_STATE(3970)] = 99149,
  [SMALL_STATE(3971)] = 99226,
  [SMALL_STATE(3972)] = 99297,
  [SMALL_STATE(3973)] = 99368,
  [SMALL_STATE(3974)] = 99439,
  [SMALL_STATE(3975)] = 99510,
  [SMALL_STATE(3976)] = 99583,
  [SMALL_STATE(3977)] = 99704,
  [SMALL_STATE(3978)] = 99775,
  [SMALL_STATE(3979)] = 99846,
  [SMALL_STATE(3980)] = 99967,
  [SMALL_STATE(3981)] = 100038,
  [SMALL_STATE(3982)] = 100111,
  [SMALL_STATE(3983)] = 100232,
  [SMALL_STATE(3984)] = 100353,
  [SMALL_STATE(3985)] = 100424,
  [SMALL_STATE(3986)] = 100495,
  [SMALL_STATE(3987)] = 100566,
  [SMALL_STATE(3988)] = 100687,
  [SMALL_STATE(3989)] = 100758,
  [SMALL_STATE(3990)] = 100829,
  [SMALL_STATE(3991)] = 100964,
  [SMALL_STATE(3992)] = 101035,
  [SMALL_STATE(3993)] = 101106,
  [SMALL_STATE(3994)] = 101177,
  [SMALL_STATE(3995)] = 101248,
  [SMALL_STATE(3996)] = 101369,
  [SMALL_STATE(3997)] = 101440,
  [SMALL_STATE(3998)] = 101511,
  [SMALL_STATE(3999)] = 101582,
  [SMALL_STATE(4000)] = 101653,
  [SMALL_STATE(4001)] = 101774,
  [SMALL_STATE(4002)] = 101845,
  [SMALL_STATE(4003)] = 101916,
  [SMALL_STATE(4004)] = 101987,
  [SMALL_STATE(4005)] = 102058,
  [SMALL_STATE(4006)] = 102129,
  [SMALL_STATE(4007)] = 102200,
  [SMALL_STATE(4008)] = 102271,
  [SMALL_STATE(4009)] = 102392,
  [SMALL_STATE(4010)] = 102463,
  [SMALL_STATE(4011)] = 102584,
  [SMALL_STATE(4012)] = 102705,
  [SMALL_STATE(4013)] = 102776,
  [SMALL_STATE(4014)] = 102847,
  [SMALL_STATE(4015)] = 102920,
  [SMALL_STATE(4016)] = 102991,
  [SMALL_STATE(4017)] = 103062,
  [SMALL_STATE(4018)] = 103133,
  [SMALL_STATE(4019)] = 103204,
  [SMALL_STATE(4020)] = 103275,
  [SMALL_STATE(4021)] = 103346,
  [SMALL_STATE(4022)] = 103467,
  [SMALL_STATE(4023)] = 103538,
  [SMALL_STATE(4024)] = 103609,
  [SMALL_STATE(4025)] = 103682,
  [SMALL_STATE(4026)] = 103753,
  [SMALL_STATE(4027)] = 103824,
  [SMALL_STATE(4028)] = 103895,
  [SMALL_STATE(4029)] = 104030,
  [SMALL_STATE(4030)] = 104101,
  [SMALL_STATE(4031)] = 104172,
  [SMALL_STATE(4032)] = 104243,
  [SMALL_STATE(4033)] = 104314,
  [SMALL_STATE(4034)] = 104385,
  [SMALL_STATE(4035)] = 104456,
  [SMALL_STATE(4036)] = 104527,
  [SMALL_STATE(4037)] = 104598,
  [SMALL_STATE(4038)] = 104669,
  [SMALL_STATE(4039)] = 104790,
  [SMALL_STATE(4040)] = 104861,
  [SMALL_STATE(4041)] = 104932,
  [SMALL_STATE(4042)] = 105003,
  [SMALL_STATE(4043)] = 105124,
  [SMALL_STATE(4044)] = 105195,
  [SMALL_STATE(4045)] = 105266,
  [SMALL_STATE(4046)] = 105337,
  [SMALL_STATE(4047)] = 105458,
  [SMALL_STATE(4048)] = 105579,
  [SMALL_STATE(4049)] = 105700,
  [SMALL_STATE(4050)] = 105771,
  [SMALL_STATE(4051)] = 105892,
  [SMALL_STATE(4052)] = 105963,
  [SMALL_STATE(4053)] = 106034,
  [SMALL_STATE(4054)] = 106155,
  [SMALL_STATE(4055)] = 106276,
  [SMALL_STATE(4056)] = 106347,
  [SMALL_STATE(4057)] = 106418,
  [SMALL_STATE(4058)] = 106489,
  [SMALL_STATE(4059)] = 106560,
  [SMALL_STATE(4060)] = 106631,
  [SMALL_STATE(4061)] = 106702,
  [SMALL_STATE(4062)] = 106773,
  [SMALL_STATE(4063)] = 106844,
  [SMALL_STATE(4064)] = 106915,
  [SMALL_STATE(4065)] = 106986,
  [SMALL_STATE(4066)] = 107057,
  [SMALL_STATE(4067)] = 107178,
  [SMALL_STATE(4068)] = 107249,
  [SMALL_STATE(4069)] = 107320,
  [SMALL_STATE(4070)] = 107391,
  [SMALL_STATE(4071)] = 107462,
  [SMALL_STATE(4072)] = 107533,
  [SMALL_STATE(4073)] = 107604,
  [SMALL_STATE(4074)] = 107675,
  [SMALL_STATE(4075)] = 107746,
  [SMALL_STATE(4076)] = 107817,
  [SMALL_STATE(4077)] = 107890,
  [SMALL_STATE(4078)] = 107961,
  [SMALL_STATE(4079)] = 108032,
  [SMALL_STATE(4080)] = 108103,
  [SMALL_STATE(4081)] = 108174,
  [SMALL_STATE(4082)] = 108245,
  [SMALL_STATE(4083)] = 108316,
  [SMALL_STATE(4084)] = 108387,
  [SMALL_STATE(4085)] = 108458,
  [SMALL_STATE(4086)] = 108529,
  [SMALL_STATE(4087)] = 108650,
  [SMALL_STATE(4088)] = 108721,
  [SMALL_STATE(4089)] = 108794,
  [SMALL_STATE(4090)] = 108865,
  [SMALL_STATE(4091)] = 108936,
  [SMALL_STATE(4092)] = 109007,
  [SMALL_STATE(4093)] = 109078,
  [SMALL_STATE(4094)] = 109149,
  [SMALL_STATE(4095)] = 109226,
  [SMALL_STATE(4096)] = 109297,
  [SMALL_STATE(4097)] = 109368,
  [SMALL_STATE(4098)] = 109439,
  [SMALL_STATE(4099)] = 109510,
  [SMALL_STATE(4100)] = 109581,
  [SMALL_STATE(4101)] = 109652,
  [SMALL_STATE(4102)] = 109723,
  [SMALL_STATE(4103)] = 109844,
  [SMALL_STATE(4104)] = 109915,
  [SMALL_STATE(4105)] = 109986,
  [SMALL_STATE(4106)] = 110057,
  [SMALL_STATE(4107)] = 110178,
  [SMALL_STATE(4108)] = 110251,
  [SMALL_STATE(4109)] = 110322,
  [SMALL_STATE(4110)] = 110443,
  [SMALL_STATE(4111)] = 110564,
  [SMALL_STATE(4112)] = 110635,
  [SMALL_STATE(4113)] = 110706,
  [SMALL_STATE(4114)] = 110827,
  [SMALL_STATE(4115)] = 110898,
  [SMALL_STATE(4116)] = 110969,
  [SMALL_STATE(4117)] = 111046,
  [SMALL_STATE(4118)] = 111167,
  [SMALL_STATE(4119)] = 111238,
  [SMALL_STATE(4120)] = 111309,
  [SMALL_STATE(4121)] = 111380,
  [SMALL_STATE(4122)] = 111453,
  [SMALL_STATE(4123)] = 111524,
  [SMALL_STATE(4124)] = 111595,
  [SMALL_STATE(4125)] = 111666,
  [SMALL_STATE(4126)] = 111737,
  [SMALL_STATE(4127)] = 111858,
  [SMALL_STATE(4128)] = 111929,
  [SMALL_STATE(4129)] = 112000,
  [SMALL_STATE(4130)] = 112071,
  [SMALL_STATE(4131)] = 112142,
  [SMALL_STATE(4132)] = 112263,
  [SMALL_STATE(4133)] = 112334,
  [SMALL_STATE(4134)] = 112407,
  [SMALL_STATE(4135)] = 112478,
  [SMALL_STATE(4136)] = 112551,
  [SMALL_STATE(4137)] = 112622,
  [SMALL_STATE(4138)] = 112693,
  [SMALL_STATE(4139)] = 112764,
  [SMALL_STATE(4140)] = 112835,
  [SMALL_STATE(4141)] = 112906,
  [SMALL_STATE(4142)] = 112977,
  [SMALL_STATE(4143)] = 113098,
  [SMALL_STATE(4144)] = 113171,
  [SMALL_STATE(4145)] = 113292,
  [SMALL_STATE(4146)] = 113363,
  [SMALL_STATE(4147)] = 113484,
  [SMALL_STATE(4148)] = 113555,
  [SMALL_STATE(4149)] = 113626,
  [SMALL_STATE(4150)] = 113747,
  [SMALL_STATE(4151)] = 113818,
  [SMALL_STATE(4152)] = 113889,
  [SMALL_STATE(4153)] = 113960,
  [SMALL_STATE(4154)] = 114030,
  [SMALL_STATE(4155)] = 114100,
  [SMALL_STATE(4156)] = 114170,
  [SMALL_STATE(4157)] = 114240,
  [SMALL_STATE(4158)] = 114358,
  [SMALL_STATE(4159)] = 114428,
  [SMALL_STATE(4160)] = 114498,
  [SMALL_STATE(4161)] = 114568,
  [SMALL_STATE(4162)] = 114638,
  [SMALL_STATE(4163)] = 114708,
  [SMALL_STATE(4164)] = 114778,
  [SMALL_STATE(4165)] = 114848,
  [SMALL_STATE(4166)] = 114966,
  [SMALL_STATE(4167)] = 115084,
  [SMALL_STATE(4168)] = 115202,
  [SMALL_STATE(4169)] = 115320,
  [SMALL_STATE(4170)] = 115438,
  [SMALL_STATE(4171)] = 115508,
  [SMALL_STATE(4172)] = 115578,
  [SMALL_STATE(4173)] = 115696,
  [SMALL_STATE(4174)] = 115766,
  [SMALL_STATE(4175)] = 115884,
  [SMALL_STATE(4176)] = 115954,
  [SMALL_STATE(4177)] = 116072,
  [SMALL_STATE(4178)] = 116142,
  [SMALL_STATE(4179)] = 116260,
  [SMALL_STATE(4180)] = 116378,
  [SMALL_STATE(4181)] = 116496,
  [SMALL_STATE(4182)] = 116614,
  [SMALL_STATE(4183)] = 116732,
  [SMALL_STATE(4184)] = 116802,
  [SMALL_STATE(4185)] = 116920,
  [SMALL_STATE(4186)] = 117038,
  [SMALL_STATE(4187)] = 117156,
  [SMALL_STATE(4188)] = 117274,
  [SMALL_STATE(4189)] = 117344,
  [SMALL_STATE(4190)] = 117414,
  [SMALL_STATE(4191)] = 117484,
  [SMALL_STATE(4192)] = 117554,
  [SMALL_STATE(4193)] = 117672,
  [SMALL_STATE(4194)] = 117742,
  [SMALL_STATE(4195)] = 117860,
  [SMALL_STATE(4196)] = 117978,
  [SMALL_STATE(4197)] = 118048,
  [SMALL_STATE(4198)] = 118118,
  [SMALL_STATE(4199)] = 118190,
  [SMALL_STATE(4200)] = 118260,
  [SMALL_STATE(4201)] = 118330,
  [SMALL_STATE(4202)] = 118448,
  [SMALL_STATE(4203)] = 118566,
  [SMALL_STATE(4204)] = 118684,
  [SMALL_STATE(4205)] = 118754,
  [SMALL_STATE(4206)] = 118824,
  [SMALL_STATE(4207)] = 118942,
  [SMALL_STATE(4208)] = 119012,
  [SMALL_STATE(4209)] = 119082,
  [SMALL_STATE(4210)] = 119152,
  [SMALL_STATE(4211)] = 119270,
  [SMALL_STATE(4212)] = 119340,
  [SMALL_STATE(4213)] = 119458,
  [SMALL_STATE(4214)] = 119528,
  [SMALL_STATE(4215)] = 119598,
  [SMALL_STATE(4216)] = 119716,
  [SMALL_STATE(4217)] = 119834,
  [SMALL_STATE(4218)] = 119904,
  [SMALL_STATE(4219)] = 120022,
  [SMALL_STATE(4220)] = 120140,
  [SMALL_STATE(4221)] = 120258,
  [SMALL_STATE(4222)] = 120376,
  [SMALL_STATE(4223)] = 120446,
  [SMALL_STATE(4224)] = 120516,
  [SMALL_STATE(4225)] = 120586,
  [SMALL_STATE(4226)] = 120704,
  [SMALL_STATE(4227)] = 120822,
  [SMALL_STATE(4228)] = 120892,
  [SMALL_STATE(4229)] = 120962,
  [SMALL_STATE(4230)] = 121080,
  [SMALL_STATE(4231)] = 121150,
  [SMALL_STATE(4232)] = 121220,
  [SMALL_STATE(4233)] = 121338,
  [SMALL_STATE(4234)] = 121408,
  [SMALL_STATE(4235)] = 121526,
  [SMALL_STATE(4236)] = 121644,
  [SMALL_STATE(4237)] = 121714,
  [SMALL_STATE(4238)] = 121832,
  [SMALL_STATE(4239)] = 121902,
  [SMALL_STATE(4240)] = 121972,
  [SMALL_STATE(4241)] = 122044,
  [SMALL_STATE(4242)] = 122114,
  [SMALL_STATE(4243)] = 122184,
  [SMALL_STATE(4244)] = 122302,
  [SMALL_STATE(4245)] = 122420,
  [SMALL_STATE(4246)] = 122490,
  [SMALL_STATE(4247)] = 122566,
  [SMALL_STATE(4248)] = 122684,
  [SMALL_STATE(4249)] = 122802,
  [SMALL_STATE(4250)] = 122920,
  [SMALL_STATE(4251)] = 123038,
  [SMALL_STATE(4252)] = 123156,
  [SMALL_STATE(4253)] = 123226,
  [SMALL_STATE(4254)] = 123344,
  [SMALL_STATE(4255)] = 123462,
  [SMALL_STATE(4256)] = 123532,
  [SMALL_STATE(4257)] = 123604,
  [SMALL_STATE(4258)] = 123722,
  [SMALL_STATE(4259)] = 123792,
  [SMALL_STATE(4260)] = 123862,
  [SMALL_STATE(4261)] = 123932,
  [SMALL_STATE(4262)] = 124050,
  [SMALL_STATE(4263)] = 124168,
  [SMALL_STATE(4264)] = 124286,
  [SMALL_STATE(4265)] = 124404,
  [SMALL_STATE(4266)] = 124474,
  [SMALL_STATE(4267)] = 124592,
  [SMALL_STATE(4268)] = 124710,
  [SMALL_STATE(4269)] = 124828,
  [SMALL_STATE(4270)] = 124946,
  [SMALL_STATE(4271)] = 125064,
  [SMALL_STATE(4272)] = 125182,
  [SMALL_STATE(4273)] = 125300,
  [SMALL_STATE(4274)] = 125370,
  [SMALL_STATE(4275)] = 125440,
  [SMALL_STATE(4276)] = 125558,
  [SMALL_STATE(4277)] = 125676,
  [SMALL_STATE(4278)] = 125746,
  [SMALL_STATE(4279)] = 125864,
  [SMALL_STATE(4280)] = 125934,
  [SMALL_STATE(4281)] = 126004,
  [SMALL_STATE(4282)] = 126074,
  [SMALL_STATE(4283)] = 126144,
  [SMALL_STATE(4284)] = 126214,
  [SMALL_STATE(4285)] = 126284,
  [SMALL_STATE(4286)] = 126354,
  [SMALL_STATE(4287)] = 126424,
  [SMALL_STATE(4288)] = 126542,
  [SMALL_STATE(4289)] = 126612,
  [SMALL_STATE(4290)] = 126682,
  [SMALL_STATE(4291)] = 126800,
  [SMALL_STATE(4292)] = 126870,
  [SMALL_STATE(4293)] = 126940,
  [SMALL_STATE(4294)] = 127058,
  [SMALL_STATE(4295)] = 127176,
  [SMALL_STATE(4296)] = 127246,
  [SMALL_STATE(4297)] = 127364,
  [SMALL_STATE(4298)] = 127434,
  [SMALL_STATE(4299)] = 127552,
  [SMALL_STATE(4300)] = 127622,
  [SMALL_STATE(4301)] = 127692,
  [SMALL_STATE(4302)] = 127810,
  [SMALL_STATE(4303)] = 127882,
  [SMALL_STATE(4304)] = 127952,
  [SMALL_STATE(4305)] = 128022,
  [SMALL_STATE(4306)] = 128092,
  [SMALL_STATE(4307)] = 128210,
  [SMALL_STATE(4308)] = 128286,
  [SMALL_STATE(4309)] = 128356,
  [SMALL_STATE(4310)] = 128426,
  [SMALL_STATE(4311)] = 128496,
  [SMALL_STATE(4312)] = 128566,
  [SMALL_STATE(4313)] = 128636,
  [SMALL_STATE(4314)] = 128706,
  [SMALL_STATE(4315)] = 128776,
  [SMALL_STATE(4316)] = 128846,
  [SMALL_STATE(4317)] = 128916,
  [SMALL_STATE(4318)] = 128986,
  [SMALL_STATE(4319)] = 129056,
  [SMALL_STATE(4320)] = 129126,
  [SMALL_STATE(4321)] = 129196,
  [SMALL_STATE(4322)] = 129266,
  [SMALL_STATE(4323)] = 129384,
  [SMALL_STATE(4324)] = 129502,
  [SMALL_STATE(4325)] = 129620,
  [SMALL_STATE(4326)] = 129690,
  [SMALL_STATE(4327)] = 129760,
  [SMALL_STATE(4328)] = 129878,
  [SMALL_STATE(4329)] = 129948,
  [SMALL_STATE(4330)] = 130020,
  [SMALL_STATE(4331)] = 130090,
  [SMALL_STATE(4332)] = 130160,
  [SMALL_STATE(4333)] = 130230,
  [SMALL_STATE(4334)] = 130348,
  [SMALL_STATE(4335)] = 130466,
  [SMALL_STATE(4336)] = 130584,
  [SMALL_STATE(4337)] = 130702,
  [SMALL_STATE(4338)] = 130774,
  [SMALL_STATE(4339)] = 130844,
  [SMALL_STATE(4340)] = 130914,
  [SMALL_STATE(4341)] = 130984,
  [SMALL_STATE(4342)] = 131102,
  [SMALL_STATE(4343)] = 131220,
  [SMALL_STATE(4344)] = 131338,
  [SMALL_STATE(4345)] = 131456,
  [SMALL_STATE(4346)] = 131574,
  [SMALL_STATE(4347)] = 131692,
  [SMALL_STATE(4348)] = 131810,
  [SMALL_STATE(4349)] = 131928,
  [SMALL_STATE(4350)] = 132046,
  [SMALL_STATE(4351)] = 132164,
  [SMALL_STATE(4352)] = 132282,
  [SMALL_STATE(4353)] = 132400,
  [SMALL_STATE(4354)] = 132518,
  [SMALL_STATE(4355)] = 132588,
  [SMALL_STATE(4356)] = 132658,
  [SMALL_STATE(4357)] = 132776,
  [SMALL_STATE(4358)] = 132894,
  [SMALL_STATE(4359)] = 133012,
  [SMALL_STATE(4360)] = 133082,
  [SMALL_STATE(4361)] = 133200,
  [SMALL_STATE(4362)] = 133270,
  [SMALL_STATE(4363)] = 133388,
  [SMALL_STATE(4364)] = 133458,
  [SMALL_STATE(4365)] = 133576,
  [SMALL_STATE(4366)] = 133646,
  [SMALL_STATE(4367)] = 133716,
  [SMALL_STATE(4368)] = 133834,
  [SMALL_STATE(4369)] = 133904,
  [SMALL_STATE(4370)] = 133974,
  [SMALL_STATE(4371)] = 134092,
  [SMALL_STATE(4372)] = 134162,
  [SMALL_STATE(4373)] = 134232,
  [SMALL_STATE(4374)] = 134308,
  [SMALL_STATE(4375)] = 134378,
  [SMALL_STATE(4376)] = 134496,
  [SMALL_STATE(4377)] = 134614,
  [SMALL_STATE(4378)] = 134684,
  [SMALL_STATE(4379)] = 134802,
  [SMALL_STATE(4380)] = 134920,
  [SMALL_STATE(4381)] = 135038,
  [SMALL_STATE(4382)] = 135156,
  [SMALL_STATE(4383)] = 135226,
  [SMALL_STATE(4384)] = 135296,
  [SMALL_STATE(4385)] = 135414,
  [SMALL_STATE(4386)] = 135486,
  [SMALL_STATE(4387)] = 135556,
  [SMALL_STATE(4388)] = 135626,
  [SMALL_STATE(4389)] = 135744,
  [SMALL_STATE(4390)] = 135814,
  [SMALL_STATE(4391)] = 135932,
  [SMALL_STATE(4392)] = 136002,
  [SMALL_STATE(4393)] = 136074,
  [SMALL_STATE(4394)] = 136192,
  [SMALL_STATE(4395)] = 136262,
  [SMALL_STATE(4396)] = 136380,
  [SMALL_STATE(4397)] = 136456,
  [SMALL_STATE(4398)] = 136526,
  [SMALL_STATE(4399)] = 136596,
  [SMALL_STATE(4400)] = 136666,
  [SMALL_STATE(4401)] = 136784,
  [SMALL_STATE(4402)] = 136902,
  [SMALL_STATE(4403)] = 136972,
  [SMALL_STATE(4404)] = 137042,
  [SMALL_STATE(4405)] = 137112,
  [SMALL_STATE(4406)] = 137230,
  [SMALL_STATE(4407)] = 137348,
  [SMALL_STATE(4408)] = 137466,
  [SMALL_STATE(4409)] = 137536,
  [SMALL_STATE(4410)] = 137654,
  [SMALL_STATE(4411)] = 137724,
  [SMALL_STATE(4412)] = 137842,
  [SMALL_STATE(4413)] = 137912,
  [SMALL_STATE(4414)] = 137982,
  [SMALL_STATE(4415)] = 138100,
  [SMALL_STATE(4416)] = 138170,
  [SMALL_STATE(4417)] = 138240,
  [SMALL_STATE(4418)] = 138310,
  [SMALL_STATE(4419)] = 138428,
  [SMALL_STATE(4420)] = 138546,
  [SMALL_STATE(4421)] = 138664,
  [SMALL_STATE(4422)] = 138782,
  [SMALL_STATE(4423)] = 138900,
  [SMALL_STATE(4424)] = 139018,
  [SMALL_STATE(4425)] = 139136,
  [SMALL_STATE(4426)] = 139206,
  [SMALL_STATE(4427)] = 139276,
  [SMALL_STATE(4428)] = 139346,
  [SMALL_STATE(4429)] = 139416,
  [SMALL_STATE(4430)] = 139534,
  [SMALL_STATE(4431)] = 139604,
  [SMALL_STATE(4432)] = 139722,
  [SMALL_STATE(4433)] = 139792,
  [SMALL_STATE(4434)] = 139862,
  [SMALL_STATE(4435)] = 139980,
  [SMALL_STATE(4436)] = 140098,
  [SMALL_STATE(4437)] = 140168,
  [SMALL_STATE(4438)] = 140286,
  [SMALL_STATE(4439)] = 140356,
  [SMALL_STATE(4440)] = 140485,
  [SMALL_STATE(4441)] = 140554,
  [SMALL_STATE(4442)] = 140683,
  [SMALL_STATE(4443)] = 140812,
  [SMALL_STATE(4444)] = 140941,
  [SMALL_STATE(4445)] = 141010,
  [SMALL_STATE(4446)] = 141139,
  [SMALL_STATE(4447)] = 141268,
  [SMALL_STATE(4448)] = 141397,
  [SMALL_STATE(4449)] = 141468,
  [SMALL_STATE(4450)] = 141597,
  [SMALL_STATE(4451)] = 141726,
  [SMALL_STATE(4452)] = 141855,
  [SMALL_STATE(4453)] = 141984,
  [SMALL_STATE(4454)] = 142113,
  [SMALL_STATE(4455)] = 142242,
  [SMALL_STATE(4456)] = 142371,
  [SMALL_STATE(4457)] = 142500,
  [SMALL_STATE(4458)] = 142629,
  [SMALL_STATE(4459)] = 142758,
  [SMALL_STATE(4460)] = 142887,
  [SMALL_STATE(4461)] = 142956,
  [SMALL_STATE(4462)] = 143085,
  [SMALL_STATE(4463)] = 143214,
  [SMALL_STATE(4464)] = 143343,
  [SMALL_STATE(4465)] = 143472,
  [SMALL_STATE(4466)] = 143601,
  [SMALL_STATE(4467)] = 143730,
  [SMALL_STATE(4468)] = 143859,
  [SMALL_STATE(4469)] = 143988,
  [SMALL_STATE(4470)] = 144117,
  [SMALL_STATE(4471)] = 144188,
  [SMALL_STATE(4472)] = 144317,
  [SMALL_STATE(4473)] = 144446,
  [SMALL_STATE(4474)] = 144515,
  [SMALL_STATE(4475)] = 144644,
  [SMALL_STATE(4476)] = 144773,
  [SMALL_STATE(4477)] = 144902,
  [SMALL_STATE(4478)] = 145031,
  [SMALL_STATE(4479)] = 145160,
  [SMALL_STATE(4480)] = 145289,
  [SMALL_STATE(4481)] = 145418,
  [SMALL_STATE(4482)] = 145547,
  [SMALL_STATE(4483)] = 145676,
  [SMALL_STATE(4484)] = 145805,
  [SMALL_STATE(4485)] = 145934,
  [SMALL_STATE(4486)] = 146063,
  [SMALL_STATE(4487)] = 146192,
  [SMALL_STATE(4488)] = 146321,
  [SMALL_STATE(4489)] = 146450,
  [SMALL_STATE(4490)] = 146579,
  [SMALL_STATE(4491)] = 146708,
  [SMALL_STATE(4492)] = 146837,
  [SMALL_STATE(4493)] = 146966,
  [SMALL_STATE(4494)] = 147095,
  [SMALL_STATE(4495)] = 147224,
  [SMALL_STATE(4496)] = 147353,
  [SMALL_STATE(4497)] = 147482,
  [SMALL_STATE(4498)] = 147611,
  [SMALL_STATE(4499)] = 147740,
  [SMALL_STATE(4500)] = 147869,
  [SMALL_STATE(4501)] = 147998,
  [SMALL_STATE(4502)] = 148127,
  [SMALL_STATE(4503)] = 148256,
  [SMALL_STATE(4504)] = 148385,
  [SMALL_STATE(4505)] = 148514,
  [SMALL_STATE(4506)] = 148643,
  [SMALL_STATE(4507)] = 148772,
  [SMALL_STATE(4508)] = 148901,
  [SMALL_STATE(4509)] = 149027,
  [SMALL_STATE(4510)] = 149153,
  [SMALL_STATE(4511)] = 149279,
  [SMALL_STATE(4512)] = 149405,
  [SMALL_STATE(4513)] = 149531,
  [SMALL_STATE(4514)] = 149657,
  [SMALL_STATE(4515)] = 149783,
  [SMALL_STATE(4516)] = 149909,
  [SMALL_STATE(4517)] = 150035,
  [SMALL_STATE(4518)] = 150161,
  [SMALL_STATE(4519)] = 150287,
  [SMALL_STATE(4520)] = 150413,
  [SMALL_STATE(4521)] = 150481,
  [SMALL_STATE(4522)] = 150607,
  [SMALL_STATE(4523)] = 150733,
  [SMALL_STATE(4524)] = 150859,
  [SMALL_STATE(4525)] = 150985,
  [SMALL_STATE(4526)] = 151055,
  [SMALL_STATE(4527)] = 151123,
  [SMALL_STATE(4528)] = 151249,
  [SMALL_STATE(4529)] = 151375,
  [SMALL_STATE(4530)] = 151443,
  [SMALL_STATE(4531)] = 151569,
  [SMALL_STATE(4532)] = 151695,
  [SMALL_STATE(4533)] = 151821,
  [SMALL_STATE(4534)] = 151889,
  [SMALL_STATE(4535)] = 152015,
  [SMALL_STATE(4536)] = 152141,
  [SMALL_STATE(4537)] = 152267,
  [SMALL_STATE(4538)] = 152393,
  [SMALL_STATE(4539)] = 152519,
  [SMALL_STATE(4540)] = 152645,
  [SMALL_STATE(4541)] = 152771,
  [SMALL_STATE(4542)] = 152897,
  [SMALL_STATE(4543)] = 153023,
  [SMALL_STATE(4544)] = 153149,
  [SMALL_STATE(4545)] = 153275,
  [SMALL_STATE(4546)] = 153345,
  [SMALL_STATE(4547)] = 153471,
  [SMALL_STATE(4548)] = 153597,
  [SMALL_STATE(4549)] = 153723,
  [SMALL_STATE(4550)] = 153849,
  [SMALL_STATE(4551)] = 153975,
  [SMALL_STATE(4552)] = 154101,
  [SMALL_STATE(4553)] = 154227,
  [SMALL_STATE(4554)] = 154353,
  [SMALL_STATE(4555)] = 154479,
  [SMALL_STATE(4556)] = 154605,
  [SMALL_STATE(4557)] = 154731,
  [SMALL_STATE(4558)] = 154857,
  [SMALL_STATE(4559)] = 154983,
  [SMALL_STATE(4560)] = 155109,
  [SMALL_STATE(4561)] = 155235,
  [SMALL_STATE(4562)] = 155361,
  [SMALL_STATE(4563)] = 155487,
  [SMALL_STATE(4564)] = 155613,
  [SMALL_STATE(4565)] = 155739,
  [SMALL_STATE(4566)] = 155865,
  [SMALL_STATE(4567)] = 155991,
  [SMALL_STATE(4568)] = 156117,
  [SMALL_STATE(4569)] = 156243,
  [SMALL_STATE(4570)] = 156369,
  [SMALL_STATE(4571)] = 156495,
  [SMALL_STATE(4572)] = 156621,
  [SMALL_STATE(4573)] = 156747,
  [SMALL_STATE(4574)] = 156873,
  [SMALL_STATE(4575)] = 156999,
  [SMALL_STATE(4576)] = 157125,
  [SMALL_STATE(4577)] = 157248,
  [SMALL_STATE(4578)] = 157371,
  [SMALL_STATE(4579)] = 157494,
  [SMALL_STATE(4580)] = 157561,
  [SMALL_STATE(4581)] = 157684,
  [SMALL_STATE(4582)] = 157807,
  [SMALL_STATE(4583)] = 157930,
  [SMALL_STATE(4584)] = 158053,
  [SMALL_STATE(4585)] = 158176,
  [SMALL_STATE(4586)] = 158299,
  [SMALL_STATE(4587)] = 158366,
  [SMALL_STATE(4588)] = 158433,
  [SMALL_STATE(4589)] = 158556,
  [SMALL_STATE(4590)] = 158679,
  [SMALL_STATE(4591)] = 158802,
  [SMALL_STATE(4592)] = 158925,
  [SMALL_STATE(4593)] = 159048,
  [SMALL_STATE(4594)] = 159171,
  [SMALL_STATE(4595)] = 159294,
  [SMALL_STATE(4596)] = 159417,
  [SMALL_STATE(4597)] = 159540,
  [SMALL_STATE(4598)] = 159663,
  [SMALL_STATE(4599)] = 159786,
  [SMALL_STATE(4600)] = 159907,
  [SMALL_STATE(4601)] = 160022,
  [SMALL_STATE(4602)] = 160143,
  [SMALL_STATE(4603)] = 160264,
  [SMALL_STATE(4604)] = 160385,
  [SMALL_STATE(4605)] = 160508,
  [SMALL_STATE(4606)] = 160631,
  [SMALL_STATE(4607)] = 160754,
  [SMALL_STATE(4608)] = 160877,
  [SMALL_STATE(4609)] = 161000,
  [SMALL_STATE(4610)] = 161123,
  [SMALL_STATE(4611)] = 161246,
  [SMALL_STATE(4612)] = 161369,
  [SMALL_STATE(4613)] = 161490,
  [SMALL_STATE(4614)] = 161557,
  [SMALL_STATE(4615)] = 161680,
  [SMALL_STATE(4616)] = 161803,
  [SMALL_STATE(4617)] = 161926,
  [SMALL_STATE(4618)] = 162049,
  [SMALL_STATE(4619)] = 162172,
  [SMALL_STATE(4620)] = 162295,
  [SMALL_STATE(4621)] = 162418,
  [SMALL_STATE(4622)] = 162541,
  [SMALL_STATE(4623)] = 162659,
  [SMALL_STATE(4624)] = 162777,
  [SMALL_STATE(4625)] = 162895,
  [SMALL_STATE(4626)] = 162961,
  [SMALL_STATE(4627)] = 163079,
  [SMALL_STATE(4628)] = 163197,
  [SMALL_STATE(4629)] = 163263,
  [SMALL_STATE(4630)] = 163381,
  [SMALL_STATE(4631)] = 163499,
  [SMALL_STATE(4632)] = 163617,
  [SMALL_STATE(4633)] = 163735,
  [SMALL_STATE(4634)] = 163853,
  [SMALL_STATE(4635)] = 163971,
  [SMALL_STATE(4636)] = 164089,
  [SMALL_STATE(4637)] = 164207,
  [SMALL_STATE(4638)] = 164325,
  [SMALL_STATE(4639)] = 164443,
  [SMALL_STATE(4640)] = 164561,
  [SMALL_STATE(4641)] = 164679,
  [SMALL_STATE(4642)] = 164797,
  [SMALL_STATE(4643)] = 164915,
  [SMALL_STATE(4644)] = 165033,
  [SMALL_STATE(4645)] = 165151,
  [SMALL_STATE(4646)] = 165269,
  [SMALL_STATE(4647)] = 165387,
  [SMALL_STATE(4648)] = 165505,
  [SMALL_STATE(4649)] = 165573,
  [SMALL_STATE(4650)] = 165691,
  [SMALL_STATE(4651)] = 165809,
  [SMALL_STATE(4652)] = 165927,
  [SMALL_STATE(4653)] = 166045,
  [SMALL_STATE(4654)] = 166163,
  [SMALL_STATE(4655)] = 166281,
  [SMALL_STATE(4656)] = 166399,
  [SMALL_STATE(4657)] = 166517,
  [SMALL_STATE(4658)] = 166635,
  [SMALL_STATE(4659)] = 166753,
  [SMALL_STATE(4660)] = 166871,
  [SMALL_STATE(4661)] = 166989,
  [SMALL_STATE(4662)] = 167107,
  [SMALL_STATE(4663)] = 167225,
  [SMALL_STATE(4664)] = 167343,
  [SMALL_STATE(4665)] = 167461,
  [SMALL_STATE(4666)] = 167579,
  [SMALL_STATE(4667)] = 167697,
  [SMALL_STATE(4668)] = 167815,
  [SMALL_STATE(4669)] = 167933,
  [SMALL_STATE(4670)] = 168051,
  [SMALL_STATE(4671)] = 168169,
  [SMALL_STATE(4672)] = 168287,
  [SMALL_STATE(4673)] = 168405,
  [SMALL_STATE(4674)] = 168523,
  [SMALL_STATE(4675)] = 168593,
  [SMALL_STATE(4676)] = 168711,
  [SMALL_STATE(4677)] = 168829,
  [SMALL_STATE(4678)] = 168947,
  [SMALL_STATE(4679)] = 169065,
  [SMALL_STATE(4680)] = 169183,
  [SMALL_STATE(4681)] = 169301,
  [SMALL_STATE(4682)] = 169419,
  [SMALL_STATE(4683)] = 169537,
  [SMALL_STATE(4684)] = 169655,
  [SMALL_STATE(4685)] = 169773,
  [SMALL_STATE(4686)] = 169891,
  [SMALL_STATE(4687)] = 170009,
  [SMALL_STATE(4688)] = 170127,
  [SMALL_STATE(4689)] = 170245,
  [SMALL_STATE(4690)] = 170363,
  [SMALL_STATE(4691)] = 170481,
  [SMALL_STATE(4692)] = 170599,
  [SMALL_STATE(4693)] = 170717,
  [SMALL_STATE(4694)] = 170785,
  [SMALL_STATE(4695)] = 170903,
  [SMALL_STATE(4696)] = 171021,
  [SMALL_STATE(4697)] = 171139,
  [SMALL_STATE(4698)] = 171257,
  [SMALL_STATE(4699)] = 171375,
  [SMALL_STATE(4700)] = 171493,
  [SMALL_STATE(4701)] = 171611,
  [SMALL_STATE(4702)] = 171729,
  [SMALL_STATE(4703)] = 171847,
  [SMALL_STATE(4704)] = 171965,
  [SMALL_STATE(4705)] = 172083,
  [SMALL_STATE(4706)] = 172201,
  [SMALL_STATE(4707)] = 172319,
  [SMALL_STATE(4708)] = 172437,
  [SMALL_STATE(4709)] = 172503,
  [SMALL_STATE(4710)] = 172621,
  [SMALL_STATE(4711)] = 172739,
  [SMALL_STATE(4712)] = 172857,
  [SMALL_STATE(4713)] = 172975,
  [SMALL_STATE(4714)] = 173093,
  [SMALL_STATE(4715)] = 173159,
  [SMALL_STATE(4716)] = 173225,
  [SMALL_STATE(4717)] = 173291,
  [SMALL_STATE(4718)] = 173357,
  [SMALL_STATE(4719)] = 173423,
  [SMALL_STATE(4720)] = 173493,
  [SMALL_STATE(4721)] = 173611,
  [SMALL_STATE(4722)] = 173679,
  [SMALL_STATE(4723)] = 173797,
  [SMALL_STATE(4724)] = 173863,
  [SMALL_STATE(4725)] = 173981,
  [SMALL_STATE(4726)] = 174099,
  [SMALL_STATE(4727)] = 174217,
  [SMALL_STATE(4728)] = 174335,
  [SMALL_STATE(4729)] = 174450,
  [SMALL_STATE(4730)] = 174515,
  [SMALL_STATE(4731)] = 174580,
  [SMALL_STATE(4732)] = 174645,
  [SMALL_STATE(4733)] = 174710,
  [SMALL_STATE(4734)] = 174775,
  [SMALL_STATE(4735)] = 174840,
  [SMALL_STATE(4736)] = 174905,
  [SMALL_STATE(4737)] = 174970,
  [SMALL_STATE(4738)] = 175035,
  [SMALL_STATE(4739)] = 175102,
  [SMALL_STATE(4740)] = 175167,
  [SMALL_STATE(4741)] = 175232,
  [SMALL_STATE(4742)] = 175297,
  [SMALL_STATE(4743)] = 175362,
  [SMALL_STATE(4744)] = 175427,
  [SMALL_STATE(4745)] = 175492,
  [SMALL_STATE(4746)] = 175607,
  [SMALL_STATE(4747)] = 175672,
  [SMALL_STATE(4748)] = 175737,
  [SMALL_STATE(4749)] = 175802,
  [SMALL_STATE(4750)] = 175867,
  [SMALL_STATE(4751)] = 175932,
  [SMALL_STATE(4752)] = 175997,
  [SMALL_STATE(4753)] = 176062,
  [SMALL_STATE(4754)] = 176129,
  [SMALL_STATE(4755)] = 176194,
  [SMALL_STATE(4756)] = 176259,
  [SMALL_STATE(4757)] = 176324,
  [SMALL_STATE(4758)] = 176389,
  [SMALL_STATE(4759)] = 176454,
  [SMALL_STATE(4760)] = 176519,
  [SMALL_STATE(4761)] = 176584,
  [SMALL_STATE(4762)] = 176655,
  [SMALL_STATE(4763)] = 176720,
  [SMALL_STATE(4764)] = 176785,
  [SMALL_STATE(4765)] = 176850,
  [SMALL_STATE(4766)] = 176915,
  [SMALL_STATE(4767)] = 176980,
  [SMALL_STATE(4768)] = 177045,
  [SMALL_STATE(4769)] = 177110,
  [SMALL_STATE(4770)] = 177225,
  [SMALL_STATE(4771)] = 177292,
  [SMALL_STATE(4772)] = 177363,
  [SMALL_STATE(4773)] = 177478,
  [SMALL_STATE(4774)] = 177593,
  [SMALL_STATE(4775)] = 177658,
  [SMALL_STATE(4776)] = 177723,
  [SMALL_STATE(4777)] = 177790,
  [SMALL_STATE(4778)] = 177855,
  [SMALL_STATE(4779)] = 177920,
  [SMALL_STATE(4780)] = 177985,
  [SMALL_STATE(4781)] = 178050,
  [SMALL_STATE(4782)] = 178115,
  [SMALL_STATE(4783)] = 178180,
  [SMALL_STATE(4784)] = 178295,
  [SMALL_STATE(4785)] = 178360,
  [SMALL_STATE(4786)] = 178427,
  [SMALL_STATE(4787)] = 178492,
  [SMALL_STATE(4788)] = 178557,
  [SMALL_STATE(4789)] = 178622,
  [SMALL_STATE(4790)] = 178687,
  [SMALL_STATE(4791)] = 178752,
  [SMALL_STATE(4792)] = 178867,
  [SMALL_STATE(4793)] = 178932,
  [SMALL_STATE(4794)] = 178997,
  [SMALL_STATE(4795)] = 179112,
  [SMALL_STATE(4796)] = 179177,
  [SMALL_STATE(4797)] = 179292,
  [SMALL_STATE(4798)] = 179407,
  [SMALL_STATE(4799)] = 179522,
  [SMALL_STATE(4800)] = 179637,
  [SMALL_STATE(4801)] = 179752,
  [SMALL_STATE(4802)] = 179867,
  [SMALL_STATE(4803)] = 179982,
  [SMALL_STATE(4804)] = 180097,
  [SMALL_STATE(4805)] = 180212,
  [SMALL_STATE(4806)] = 180327,
  [SMALL_STATE(4807)] = 180442,
  [SMALL_STATE(4808)] = 180557,
  [SMALL_STATE(4809)] = 180672,
  [SMALL_STATE(4810)] = 180787,
  [SMALL_STATE(4811)] = 180902,
  [SMALL_STATE(4812)] = 181017,
  [SMALL_STATE(4813)] = 181132,
  [SMALL_STATE(4814)] = 181247,
  [SMALL_STATE(4815)] = 181362,
  [SMALL_STATE(4816)] = 181477,
  [SMALL_STATE(4817)] = 181592,
  [SMALL_STATE(4818)] = 181657,
  [SMALL_STATE(4819)] = 181722,
  [SMALL_STATE(4820)] = 181787,
  [SMALL_STATE(4821)] = 181852,
  [SMALL_STATE(4822)] = 181967,
  [SMALL_STATE(4823)] = 182082,
  [SMALL_STATE(4824)] = 182197,
  [SMALL_STATE(4825)] = 182312,
  [SMALL_STATE(4826)] = 182427,
  [SMALL_STATE(4827)] = 182542,
  [SMALL_STATE(4828)] = 182657,
  [SMALL_STATE(4829)] = 182722,
  [SMALL_STATE(4830)] = 182837,
  [SMALL_STATE(4831)] = 182952,
  [SMALL_STATE(4832)] = 183067,
  [SMALL_STATE(4833)] = 183182,
  [SMALL_STATE(4834)] = 183247,
  [SMALL_STATE(4835)] = 183362,
  [SMALL_STATE(4836)] = 183477,
  [SMALL_STATE(4837)] = 183544,
  [SMALL_STATE(4838)] = 183659,
  [SMALL_STATE(4839)] = 183774,
  [SMALL_STATE(4840)] = 183889,
  [SMALL_STATE(4841)] = 184004,
  [SMALL_STATE(4842)] = 184069,
  [SMALL_STATE(4843)] = 184134,
  [SMALL_STATE(4844)] = 184199,
  [SMALL_STATE(4845)] = 184264,
  [SMALL_STATE(4846)] = 184329,
  [SMALL_STATE(4847)] = 184394,
  [SMALL_STATE(4848)] = 184459,
  [SMALL_STATE(4849)] = 184524,
  [SMALL_STATE(4850)] = 184589,
  [SMALL_STATE(4851)] = 184654,
  [SMALL_STATE(4852)] = 184719,
  [SMALL_STATE(4853)] = 184784,
  [SMALL_STATE(4854)] = 184849,
  [SMALL_STATE(4855)] = 184914,
  [SMALL_STATE(4856)] = 184979,
  [SMALL_STATE(4857)] = 185044,
  [SMALL_STATE(4858)] = 185109,
  [SMALL_STATE(4859)] = 185174,
  [SMALL_STATE(4860)] = 185238,
  [SMALL_STATE(4861)] = 185302,
  [SMALL_STATE(4862)] = 185366,
  [SMALL_STATE(4863)] = 185432,
  [SMALL_STATE(4864)] = 185496,
  [SMALL_STATE(4865)] = 185560,
  [SMALL_STATE(4866)] = 185624,
  [SMALL_STATE(4867)] = 185688,
  [SMALL_STATE(4868)] = 185752,
  [SMALL_STATE(4869)] = 185864,
  [SMALL_STATE(4870)] = 185928,
  [SMALL_STATE(4871)] = 185992,
  [SMALL_STATE(4872)] = 186056,
  [SMALL_STATE(4873)] = 186120,
  [SMALL_STATE(4874)] = 186232,
  [SMALL_STATE(4875)] = 186344,
  [SMALL_STATE(4876)] = 186410,
  [SMALL_STATE(4877)] = 186474,
  [SMALL_STATE(4878)] = 186538,
  [SMALL_STATE(4879)] = 186608,
  [SMALL_STATE(4880)] = 186674,
  [SMALL_STATE(4881)] = 186740,
  [SMALL_STATE(4882)] = 186804,
  [SMALL_STATE(4883)] = 186868,
  [SMALL_STATE(4884)] = 186938,
  [SMALL_STATE(4885)] = 187002,
  [SMALL_STATE(4886)] = 187066,
  [SMALL_STATE(4887)] = 187130,
  [SMALL_STATE(4888)] = 187194,
  [SMALL_STATE(4889)] = 187258,
  [SMALL_STATE(4890)] = 187322,
  [SMALL_STATE(4891)] = 187386,
  [SMALL_STATE(4892)] = 187450,
  [SMALL_STATE(4893)] = 187514,
  [SMALL_STATE(4894)] = 187578,
  [SMALL_STATE(4895)] = 187642,
  [SMALL_STATE(4896)] = 187706,
  [SMALL_STATE(4897)] = 187770,
  [SMALL_STATE(4898)] = 187834,
  [SMALL_STATE(4899)] = 187946,
  [SMALL_STATE(4900)] = 188010,
  [SMALL_STATE(4901)] = 188074,
  [SMALL_STATE(4902)] = 188138,
  [SMALL_STATE(4903)] = 188202,
  [SMALL_STATE(4904)] = 188266,
  [SMALL_STATE(4905)] = 188330,
  [SMALL_STATE(4906)] = 188394,
  [SMALL_STATE(4907)] = 188458,
  [SMALL_STATE(4908)] = 188522,
  [SMALL_STATE(4909)] = 188586,
  [SMALL_STATE(4910)] = 188698,
  [SMALL_STATE(4911)] = 188762,
  [SMALL_STATE(4912)] = 188826,
  [SMALL_STATE(4913)] = 188890,
  [SMALL_STATE(4914)] = 188954,
  [SMALL_STATE(4915)] = 189018,
  [SMALL_STATE(4916)] = 189082,
  [SMALL_STATE(4917)] = 189146,
  [SMALL_STATE(4918)] = 189210,
  [SMALL_STATE(4919)] = 189274,
  [SMALL_STATE(4920)] = 189338,
  [SMALL_STATE(4921)] = 189402,
  [SMALL_STATE(4922)] = 189466,
  [SMALL_STATE(4923)] = 189530,
  [SMALL_STATE(4924)] = 189594,
  [SMALL_STATE(4925)] = 189658,
  [SMALL_STATE(4926)] = 189722,
  [SMALL_STATE(4927)] = 189786,
  [SMALL_STATE(4928)] = 189850,
  [SMALL_STATE(4929)] = 189914,
  [SMALL_STATE(4930)] = 189978,
  [SMALL_STATE(4931)] = 190042,
  [SMALL_STATE(4932)] = 190106,
  [SMALL_STATE(4933)] = 190170,
  [SMALL_STATE(4934)] = 190234,
  [SMALL_STATE(4935)] = 190298,
  [SMALL_STATE(4936)] = 190362,
  [SMALL_STATE(4937)] = 190426,
  [SMALL_STATE(4938)] = 190492,
  [SMALL_STATE(4939)] = 190556,
  [SMALL_STATE(4940)] = 190620,
  [SMALL_STATE(4941)] = 190684,
  [SMALL_STATE(4942)] = 190748,
  [SMALL_STATE(4943)] = 190812,
  [SMALL_STATE(4944)] = 190876,
  [SMALL_STATE(4945)] = 190940,
  [SMALL_STATE(4946)] = 191052,
  [SMALL_STATE(4947)] = 191116,
  [SMALL_STATE(4948)] = 191180,
  [SMALL_STATE(4949)] = 191243,
  [SMALL_STATE(4950)] = 191354,
  [SMALL_STATE(4951)] = 191463,
  [SMALL_STATE(4952)] = 191526,
  [SMALL_STATE(4953)] = 191589,
  [SMALL_STATE(4954)] = 191652,
  [SMALL_STATE(4955)] = 191715,
  [SMALL_STATE(4956)] = 191778,
  [SMALL_STATE(4957)] = 191889,
  [SMALL_STATE(4958)] = 191998,
  [SMALL_STATE(4959)] = 192061,
  [SMALL_STATE(4960)] = 192124,
  [SMALL_STATE(4961)] = 192187,
  [SMALL_STATE(4962)] = 192250,
  [SMALL_STATE(4963)] = 192313,
  [SMALL_STATE(4964)] = 192376,
  [SMALL_STATE(4965)] = 192485,
  [SMALL_STATE(4966)] = 192548,
  [SMALL_STATE(4967)] = 192613,
  [SMALL_STATE(4968)] = 192678,
  [SMALL_STATE(4969)] = 192741,
  [SMALL_STATE(4970)] = 192850,
  [SMALL_STATE(4971)] = 192959,
  [SMALL_STATE(4972)] = 193022,
  [SMALL_STATE(4973)] = 193085,
  [SMALL_STATE(4974)] = 193194,
  [SMALL_STATE(4975)] = 193259,
  [SMALL_STATE(4976)] = 193368,
  [SMALL_STATE(4977)] = 193431,
  [SMALL_STATE(4978)] = 193540,
  [SMALL_STATE(4979)] = 193649,
  [SMALL_STATE(4980)] = 193758,
  [SMALL_STATE(4981)] = 193867,
  [SMALL_STATE(4982)] = 193976,
  [SMALL_STATE(4983)] = 194085,
  [SMALL_STATE(4984)] = 194194,
  [SMALL_STATE(4985)] = 194303,
  [SMALL_STATE(4986)] = 194412,
  [SMALL_STATE(4987)] = 194521,
  [SMALL_STATE(4988)] = 194584,
  [SMALL_STATE(4989)] = 194693,
  [SMALL_STATE(4990)] = 194802,
  [SMALL_STATE(4991)] = 194911,
  [SMALL_STATE(4992)] = 194974,
  [SMALL_STATE(4993)] = 195083,
  [SMALL_STATE(4994)] = 195146,
  [SMALL_STATE(4995)] = 195255,
  [SMALL_STATE(4996)] = 195320,
  [SMALL_STATE(4997)] = 195429,
  [SMALL_STATE(4998)] = 195538,
  [SMALL_STATE(4999)] = 195647,
  [SMALL_STATE(5000)] = 195756,
  [SMALL_STATE(5001)] = 195865,
  [SMALL_STATE(5002)] = 195974,
  [SMALL_STATE(5003)] = 196037,
  [SMALL_STATE(5004)] = 196146,
  [SMALL_STATE(5005)] = 196255,
  [SMALL_STATE(5006)] = 196364,
  [SMALL_STATE(5007)] = 196473,
  [SMALL_STATE(5008)] = 196582,
  [SMALL_STATE(5009)] = 196645,
  [SMALL_STATE(5010)] = 196754,
  [SMALL_STATE(5011)] = 196817,
  [SMALL_STATE(5012)] = 196926,
  [SMALL_STATE(5013)] = 197035,
  [SMALL_STATE(5014)] = 197098,
  [SMALL_STATE(5015)] = 197207,
  [SMALL_STATE(5016)] = 197272,
  [SMALL_STATE(5017)] = 197335,
  [SMALL_STATE(5018)] = 197444,
  [SMALL_STATE(5019)] = 197507,
  [SMALL_STATE(5020)] = 197616,
  [SMALL_STATE(5021)] = 197679,
  [SMALL_STATE(5022)] = 197742,
  [SMALL_STATE(5023)] = 197805,
  [SMALL_STATE(5024)] = 197868,
  [SMALL_STATE(5025)] = 197931,
  [SMALL_STATE(5026)] = 197994,
  [SMALL_STATE(5027)] = 198103,
  [SMALL_STATE(5028)] = 198212,
  [SMALL_STATE(5029)] = 198275,
  [SMALL_STATE(5030)] = 198338,
  [SMALL_STATE(5031)] = 198447,
  [SMALL_STATE(5032)] = 198556,
  [SMALL_STATE(5033)] = 198619,
  [SMALL_STATE(5034)] = 198682,
  [SMALL_STATE(5035)] = 198745,
  [SMALL_STATE(5036)] = 198808,
  [SMALL_STATE(5037)] = 198871,
  [SMALL_STATE(5038)] = 198934,
  [SMALL_STATE(5039)] = 199043,
  [SMALL_STATE(5040)] = 199106,
  [SMALL_STATE(5041)] = 199169,
  [SMALL_STATE(5042)] = 199232,
  [SMALL_STATE(5043)] = 199341,
  [SMALL_STATE(5044)] = 199404,
  [SMALL_STATE(5045)] = 199513,
  [SMALL_STATE(5046)] = 199622,
  [SMALL_STATE(5047)] = 199685,
  [SMALL_STATE(5048)] = 199748,
  [SMALL_STATE(5049)] = 199813,
  [SMALL_STATE(5050)] = 199876,
  [SMALL_STATE(5051)] = 199939,
  [SMALL_STATE(5052)] = 200048,
  [SMALL_STATE(5053)] = 200111,
  [SMALL_STATE(5054)] = 200174,
  [SMALL_STATE(5055)] = 200237,
  [SMALL_STATE(5056)] = 200300,
  [SMALL_STATE(5057)] = 200363,
  [SMALL_STATE(5058)] = 200426,
  [SMALL_STATE(5059)] = 200535,
  [SMALL_STATE(5060)] = 200598,
  [SMALL_STATE(5061)] = 200661,
  [SMALL_STATE(5062)] = 200724,
  [SMALL_STATE(5063)] = 200787,
  [SMALL_STATE(5064)] = 200850,
  [SMALL_STATE(5065)] = 200913,
  [SMALL_STATE(5066)] = 201022,
  [SMALL_STATE(5067)] = 201085,
  [SMALL_STATE(5068)] = 201148,
  [SMALL_STATE(5069)] = 201211,
  [SMALL_STATE(5070)] = 201274,
  [SMALL_STATE(5071)] = 201339,
  [SMALL_STATE(5072)] = 201448,
  [SMALL_STATE(5073)] = 201511,
  [SMALL_STATE(5074)] = 201574,
  [SMALL_STATE(5075)] = 201637,
  [SMALL_STATE(5076)] = 201700,
  [SMALL_STATE(5077)] = 201765,
  [SMALL_STATE(5078)] = 201828,
  [SMALL_STATE(5079)] = 201937,
  [SMALL_STATE(5080)] = 202048,
  [SMALL_STATE(5081)] = 202111,
  [SMALL_STATE(5082)] = 202174,
  [SMALL_STATE(5083)] = 202237,
  [SMALL_STATE(5084)] = 202306,
  [SMALL_STATE(5085)] = 202369,
  [SMALL_STATE(5086)] = 202438,
  [SMALL_STATE(5087)] = 202501,
  [SMALL_STATE(5088)] = 202564,
  [SMALL_STATE(5089)] = 202627,
  [SMALL_STATE(5090)] = 202690,
  [SMALL_STATE(5091)] = 202753,
  [SMALL_STATE(5092)] = 202816,
  [SMALL_STATE(5093)] = 202879,
  [SMALL_STATE(5094)] = 202942,
  [SMALL_STATE(5095)] = 203005,
  [SMALL_STATE(5096)] = 203068,
  [SMALL_STATE(5097)] = 203131,
  [SMALL_STATE(5098)] = 203196,
  [SMALL_STATE(5099)] = 203259,
  [SMALL_STATE(5100)] = 203321,
  [SMALL_STATE(5101)] = 203383,
  [SMALL_STATE(5102)] = 203445,
  [SMALL_STATE(5103)] = 203507,
  [SMALL_STATE(5104)] = 203569,
  [SMALL_STATE(5105)] = 203633,
  [SMALL_STATE(5106)] = 203695,
  [SMALL_STATE(5107)] = 203757,
  [SMALL_STATE(5108)] = 203819,
  [SMALL_STATE(5109)] = 203881,
  [SMALL_STATE(5110)] = 203945,
  [SMALL_STATE(5111)] = 204007,
  [SMALL_STATE(5112)] = 204069,
  [SMALL_STATE(5113)] = 204131,
  [SMALL_STATE(5114)] = 204193,
  [SMALL_STATE(5115)] = 204255,
  [SMALL_STATE(5116)] = 204317,
  [SMALL_STATE(5117)] = 204379,
  [SMALL_STATE(5118)] = 204443,
  [SMALL_STATE(5119)] = 204505,
  [SMALL_STATE(5120)] = 204567,
  [SMALL_STATE(5121)] = 204629,
  [SMALL_STATE(5122)] = 204691,
  [SMALL_STATE(5123)] = 204753,
  [SMALL_STATE(5124)] = 204815,
  [SMALL_STATE(5125)] = 204877,
  [SMALL_STATE(5126)] = 204939,
  [SMALL_STATE(5127)] = 205001,
  [SMALL_STATE(5128)] = 205063,
  [SMALL_STATE(5129)] = 205125,
  [SMALL_STATE(5130)] = 205187,
  [SMALL_STATE(5131)] = 205249,
  [SMALL_STATE(5132)] = 205311,
  [SMALL_STATE(5133)] = 205375,
  [SMALL_STATE(5134)] = 205437,
  [SMALL_STATE(5135)] = 205499,
  [SMALL_STATE(5136)] = 205563,
  [SMALL_STATE(5137)] = 205625,
  [SMALL_STATE(5138)] = 205687,
  [SMALL_STATE(5139)] = 205749,
  [SMALL_STATE(5140)] = 205811,
  [SMALL_STATE(5141)] = 205873,
  [SMALL_STATE(5142)] = 205935,
  [SMALL_STATE(5143)] = 205997,
  [SMALL_STATE(5144)] = 206059,
  [SMALL_STATE(5145)] = 206121,
  [SMALL_STATE(5146)] = 206183,
  [SMALL_STATE(5147)] = 206245,
  [SMALL_STATE(5148)] = 206307,
  [SMALL_STATE(5149)] = 206369,
  [SMALL_STATE(5150)] = 206431,
  [SMALL_STATE(5151)] = 206495,
  [SMALL_STATE(5152)] = 206557,
  [SMALL_STATE(5153)] = 206619,
  [SMALL_STATE(5154)] = 206681,
  [SMALL_STATE(5155)] = 206745,
  [SMALL_STATE(5156)] = 206807,
  [SMALL_STATE(5157)] = 206869,
  [SMALL_STATE(5158)] = 206931,
  [SMALL_STATE(5159)] = 206993,
  [SMALL_STATE(5160)] = 207055,
  [SMALL_STATE(5161)] = 207117,
  [SMALL_STATE(5162)] = 207179,
  [SMALL_STATE(5163)] = 207243,
  [SMALL_STATE(5164)] = 207305,
  [SMALL_STATE(5165)] = 207373,
  [SMALL_STATE(5166)] = 207435,
  [SMALL_STATE(5167)] = 207497,
  [SMALL_STATE(5168)] = 207561,
  [SMALL_STATE(5169)] = 207623,
  [SMALL_STATE(5170)] = 207685,
  [SMALL_STATE(5171)] = 207747,
  [SMALL_STATE(5172)] = 207809,
  [SMALL_STATE(5173)] = 207871,
  [SMALL_STATE(5174)] = 207933,
  [SMALL_STATE(5175)] = 207995,
  [SMALL_STATE(5176)] = 208057,
  [SMALL_STATE(5177)] = 208119,
  [SMALL_STATE(5178)] = 208181,
  [SMALL_STATE(5179)] = 208243,
  [SMALL_STATE(5180)] = 208305,
  [SMALL_STATE(5181)] = 208373,
  [SMALL_STATE(5182)] = 208435,
  [SMALL_STATE(5183)] = 208497,
  [SMALL_STATE(5184)] = 208559,
  [SMALL_STATE(5185)] = 208621,
  [SMALL_STATE(5186)] = 208683,
  [SMALL_STATE(5187)] = 208745,
  [SMALL_STATE(5188)] = 208807,
  [SMALL_STATE(5189)] = 208869,
  [SMALL_STATE(5190)] = 208931,
  [SMALL_STATE(5191)] = 208993,
  [SMALL_STATE(5192)] = 209055,
  [SMALL_STATE(5193)] = 209117,
  [SMALL_STATE(5194)] = 209179,
  [SMALL_STATE(5195)] = 209241,
  [SMALL_STATE(5196)] = 209303,
  [SMALL_STATE(5197)] = 209365,
  [SMALL_STATE(5198)] = 209427,
  [SMALL_STATE(5199)] = 209489,
  [SMALL_STATE(5200)] = 209551,
  [SMALL_STATE(5201)] = 209613,
  [SMALL_STATE(5202)] = 209675,
  [SMALL_STATE(5203)] = 209737,
  [SMALL_STATE(5204)] = 209799,
  [SMALL_STATE(5205)] = 209861,
  [SMALL_STATE(5206)] = 209923,
  [SMALL_STATE(5207)] = 209985,
  [SMALL_STATE(5208)] = 210053,
  [SMALL_STATE(5209)] = 210115,
  [SMALL_STATE(5210)] = 210177,
  [SMALL_STATE(5211)] = 210239,
  [SMALL_STATE(5212)] = 210301,
  [SMALL_STATE(5213)] = 210363,
  [SMALL_STATE(5214)] = 210425,
  [SMALL_STATE(5215)] = 210487,
  [SMALL_STATE(5216)] = 210549,
  [SMALL_STATE(5217)] = 210611,
  [SMALL_STATE(5218)] = 210673,
  [SMALL_STATE(5219)] = 210735,
  [SMALL_STATE(5220)] = 210797,
  [SMALL_STATE(5221)] = 210859,
  [SMALL_STATE(5222)] = 210921,
  [SMALL_STATE(5223)] = 210983,
  [SMALL_STATE(5224)] = 211045,
  [SMALL_STATE(5225)] = 211107,
  [SMALL_STATE(5226)] = 211169,
  [SMALL_STATE(5227)] = 211231,
  [SMALL_STATE(5228)] = 211293,
  [SMALL_STATE(5229)] = 211355,
  [SMALL_STATE(5230)] = 211417,
  [SMALL_STATE(5231)] = 211479,
  [SMALL_STATE(5232)] = 211543,
  [SMALL_STATE(5233)] = 211605,
  [SMALL_STATE(5234)] = 211667,
  [SMALL_STATE(5235)] = 211729,
  [SMALL_STATE(5236)] = 211791,
  [SMALL_STATE(5237)] = 211855,
  [SMALL_STATE(5238)] = 211917,
  [SMALL_STATE(5239)] = 211979,
  [SMALL_STATE(5240)] = 212041,
  [SMALL_STATE(5241)] = 212105,
  [SMALL_STATE(5242)] = 212167,
  [SMALL_STATE(5243)] = 212229,
  [SMALL_STATE(5244)] = 212291,
  [SMALL_STATE(5245)] = 212353,
  [SMALL_STATE(5246)] = 212415,
  [SMALL_STATE(5247)] = 212477,
  [SMALL_STATE(5248)] = 212539,
  [SMALL_STATE(5249)] = 212601,
  [SMALL_STATE(5250)] = 212663,
  [SMALL_STATE(5251)] = 212725,
  [SMALL_STATE(5252)] = 212787,
  [SMALL_STATE(5253)] = 212849,
  [SMALL_STATE(5254)] = 212911,
  [SMALL_STATE(5255)] = 212973,
  [SMALL_STATE(5256)] = 213035,
  [SMALL_STATE(5257)] = 213103,
  [SMALL_STATE(5258)] = 213167,
  [SMALL_STATE(5259)] = 213229,
  [SMALL_STATE(5260)] = 213291,
  [SMALL_STATE(5261)] = 213353,
  [SMALL_STATE(5262)] = 213415,
  [SMALL_STATE(5263)] = 213479,
  [SMALL_STATE(5264)] = 213541,
  [SMALL_STATE(5265)] = 213602,
  [SMALL_STATE(5266)] = 213663,
  [SMALL_STATE(5267)] = 213724,
  [SMALL_STATE(5268)] = 213785,
  [SMALL_STATE(5269)] = 213846,
  [SMALL_STATE(5270)] = 213907,
  [SMALL_STATE(5271)] = 213968,
  [SMALL_STATE(5272)] = 214029,
  [SMALL_STATE(5273)] = 214090,
  [SMALL_STATE(5274)] = 214151,
  [SMALL_STATE(5275)] = 214212,
  [SMALL_STATE(5276)] = 214273,
  [SMALL_STATE(5277)] = 214334,
  [SMALL_STATE(5278)] = 214395,
  [SMALL_STATE(5279)] = 214456,
  [SMALL_STATE(5280)] = 214519,
  [SMALL_STATE(5281)] = 214580,
  [SMALL_STATE(5282)] = 214643,
  [SMALL_STATE(5283)] = 214704,
  [SMALL_STATE(5284)] = 214765,
  [SMALL_STATE(5285)] = 214826,
  [SMALL_STATE(5286)] = 214887,
  [SMALL_STATE(5287)] = 214948,
  [SMALL_STATE(5288)] = 215011,
  [SMALL_STATE(5289)] = 215072,
  [SMALL_STATE(5290)] = 215133,
  [SMALL_STATE(5291)] = 215194,
  [SMALL_STATE(5292)] = 215255,
  [SMALL_STATE(5293)] = 215318,
  [SMALL_STATE(5294)] = 215379,
  [SMALL_STATE(5295)] = 215440,
  [SMALL_STATE(5296)] = 215501,
  [SMALL_STATE(5297)] = 215562,
  [SMALL_STATE(5298)] = 215623,
  [SMALL_STATE(5299)] = 215684,
  [SMALL_STATE(5300)] = 215745,
  [SMALL_STATE(5301)] = 215806,
  [SMALL_STATE(5302)] = 215867,
  [SMALL_STATE(5303)] = 215928,
  [SMALL_STATE(5304)] = 215991,
  [SMALL_STATE(5305)] = 216052,
  [SMALL_STATE(5306)] = 216113,
  [SMALL_STATE(5307)] = 216174,
  [SMALL_STATE(5308)] = 216235,
  [SMALL_STATE(5309)] = 216298,
  [SMALL_STATE(5310)] = 216359,
  [SMALL_STATE(5311)] = 216420,
  [SMALL_STATE(5312)] = 216481,
  [SMALL_STATE(5313)] = 216542,
  [SMALL_STATE(5314)] = 216603,
  [SMALL_STATE(5315)] = 216664,
  [SMALL_STATE(5316)] = 216725,
  [SMALL_STATE(5317)] = 216786,
  [SMALL_STATE(5318)] = 216847,
  [SMALL_STATE(5319)] = 216908,
  [SMALL_STATE(5320)] = 216969,
  [SMALL_STATE(5321)] = 217032,
  [SMALL_STATE(5322)] = 217095,
  [SMALL_STATE(5323)] = 217156,
  [SMALL_STATE(5324)] = 217217,
  [SMALL_STATE(5325)] = 217278,
  [SMALL_STATE(5326)] = 217345,
  [SMALL_STATE(5327)] = 217408,
  [SMALL_STATE(5328)] = 217469,
  [SMALL_STATE(5329)] = 217530,
  [SMALL_STATE(5330)] = 217591,
  [SMALL_STATE(5331)] = 217652,
  [SMALL_STATE(5332)] = 217713,
  [SMALL_STATE(5333)] = 217774,
  [SMALL_STATE(5334)] = 217835,
  [SMALL_STATE(5335)] = 217896,
  [SMALL_STATE(5336)] = 217957,
  [SMALL_STATE(5337)] = 218020,
  [SMALL_STATE(5338)] = 218087,
  [SMALL_STATE(5339)] = 218148,
  [SMALL_STATE(5340)] = 218209,
  [SMALL_STATE(5341)] = 218270,
  [SMALL_STATE(5342)] = 218331,
  [SMALL_STATE(5343)] = 218392,
  [SMALL_STATE(5344)] = 218453,
  [SMALL_STATE(5345)] = 218514,
  [SMALL_STATE(5346)] = 218575,
  [SMALL_STATE(5347)] = 218636,
  [SMALL_STATE(5348)] = 218697,
  [SMALL_STATE(5349)] = 218758,
  [SMALL_STATE(5350)] = 218819,
  [SMALL_STATE(5351)] = 218880,
  [SMALL_STATE(5352)] = 218941,
  [SMALL_STATE(5353)] = 219002,
  [SMALL_STATE(5354)] = 219063,
  [SMALL_STATE(5355)] = 219124,
  [SMALL_STATE(5356)] = 219185,
  [SMALL_STATE(5357)] = 219246,
  [SMALL_STATE(5358)] = 219307,
  [SMALL_STATE(5359)] = 219368,
  [SMALL_STATE(5360)] = 219429,
  [SMALL_STATE(5361)] = 219490,
  [SMALL_STATE(5362)] = 219551,
  [SMALL_STATE(5363)] = 219612,
  [SMALL_STATE(5364)] = 219673,
  [SMALL_STATE(5365)] = 219734,
  [SMALL_STATE(5366)] = 219795,
  [SMALL_STATE(5367)] = 219856,
  [SMALL_STATE(5368)] = 219917,
  [SMALL_STATE(5369)] = 219978,
  [SMALL_STATE(5370)] = 220039,
  [SMALL_STATE(5371)] = 220100,
  [SMALL_STATE(5372)] = 220163,
  [SMALL_STATE(5373)] = 220224,
  [SMALL_STATE(5374)] = 220285,
  [SMALL_STATE(5375)] = 220346,
  [SMALL_STATE(5376)] = 220407,
  [SMALL_STATE(5377)] = 220468,
  [SMALL_STATE(5378)] = 220528,
  [SMALL_STATE(5379)] = 220588,
  [SMALL_STATE(5380)] = 220648,
  [SMALL_STATE(5381)] = 220708,
  [SMALL_STATE(5382)] = 220768,
  [SMALL_STATE(5383)] = 220828,
  [SMALL_STATE(5384)] = 220888,
  [SMALL_STATE(5385)] = 220948,
  [SMALL_STATE(5386)] = 221008,
  [SMALL_STATE(5387)] = 221068,
  [SMALL_STATE(5388)] = 221128,
  [SMALL_STATE(5389)] = 221188,
  [SMALL_STATE(5390)] = 221250,
  [SMALL_STATE(5391)] = 221310,
  [SMALL_STATE(5392)] = 221370,
  [SMALL_STATE(5393)] = 221430,
  [SMALL_STATE(5394)] = 221490,
  [SMALL_STATE(5395)] = 221550,
  [SMALL_STATE(5396)] = 221610,
  [SMALL_STATE(5397)] = 221670,
  [SMALL_STATE(5398)] = 221730,
  [SMALL_STATE(5399)] = 221790,
  [SMALL_STATE(5400)] = 221850,
  [SMALL_STATE(5401)] = 221910,
  [SMALL_STATE(5402)] = 221970,
  [SMALL_STATE(5403)] = 222030,
  [SMALL_STATE(5404)] = 222090,
  [SMALL_STATE(5405)] = 222150,
  [SMALL_STATE(5406)] = 222210,
  [SMALL_STATE(5407)] = 222270,
  [SMALL_STATE(5408)] = 222330,
  [SMALL_STATE(5409)] = 222390,
  [SMALL_STATE(5410)] = 222450,
  [SMALL_STATE(5411)] = 222510,
  [SMALL_STATE(5412)] = 222570,
  [SMALL_STATE(5413)] = 222632,
  [SMALL_STATE(5414)] = 222696,
  [SMALL_STATE(5415)] = 222756,
  [SMALL_STATE(5416)] = 222816,
  [SMALL_STATE(5417)] = 222876,
  [SMALL_STATE(5418)] = 222936,
  [SMALL_STATE(5419)] = 222996,
  [SMALL_STATE(5420)] = 223056,
  [SMALL_STATE(5421)] = 223116,
  [SMALL_STATE(5422)] = 223178,
  [SMALL_STATE(5423)] = 223238,
  [SMALL_STATE(5424)] = 223298,
  [SMALL_STATE(5425)] = 223358,
  [SMALL_STATE(5426)] = 223418,
  [SMALL_STATE(5427)] = 223478,
  [SMALL_STATE(5428)] = 223538,
  [SMALL_STATE(5429)] = 223598,
  [SMALL_STATE(5430)] = 223658,
  [SMALL_STATE(5431)] = 223718,
  [SMALL_STATE(5432)] = 223778,
  [SMALL_STATE(5433)] = 223840,
  [SMALL_STATE(5434)] = 223900,
  [SMALL_STATE(5435)] = 223960,
  [SMALL_STATE(5436)] = 224020,
  [SMALL_STATE(5437)] = 224080,
  [SMALL_STATE(5438)] = 224140,
  [SMALL_STATE(5439)] = 224200,
  [SMALL_STATE(5440)] = 224260,
  [SMALL_STATE(5441)] = 224320,
  [SMALL_STATE(5442)] = 224380,
  [SMALL_STATE(5443)] = 224440,
  [SMALL_STATE(5444)] = 224500,
  [SMALL_STATE(5445)] = 224560,
  [SMALL_STATE(5446)] = 224620,
  [SMALL_STATE(5447)] = 224680,
  [SMALL_STATE(5448)] = 224740,
  [SMALL_STATE(5449)] = 224802,
  [SMALL_STATE(5450)] = 224862,
  [SMALL_STATE(5451)] = 224922,
  [SMALL_STATE(5452)] = 224982,
  [SMALL_STATE(5453)] = 225042,
  [SMALL_STATE(5454)] = 225102,
  [SMALL_STATE(5455)] = 225162,
  [SMALL_STATE(5456)] = 225222,
  [SMALL_STATE(5457)] = 225282,
  [SMALL_STATE(5458)] = 225342,
  [SMALL_STATE(5459)] = 225402,
  [SMALL_STATE(5460)] = 225462,
  [SMALL_STATE(5461)] = 225522,
  [SMALL_STATE(5462)] = 225582,
  [SMALL_STATE(5463)] = 225642,
  [SMALL_STATE(5464)] = 225702,
  [SMALL_STATE(5465)] = 225762,
  [SMALL_STATE(5466)] = 225822,
  [SMALL_STATE(5467)] = 225882,
  [SMALL_STATE(5468)] = 225942,
  [SMALL_STATE(5469)] = 226002,
  [SMALL_STATE(5470)] = 226062,
  [SMALL_STATE(5471)] = 226122,
  [SMALL_STATE(5472)] = 226182,
  [SMALL_STATE(5473)] = 226242,
  [SMALL_STATE(5474)] = 226302,
  [SMALL_STATE(5475)] = 226362,
  [SMALL_STATE(5476)] = 226422,
  [SMALL_STATE(5477)] = 226482,
  [SMALL_STATE(5478)] = 226542,
  [SMALL_STATE(5479)] = 226602,
  [SMALL_STATE(5480)] = 226664,
  [SMALL_STATE(5481)] = 226724,
  [SMALL_STATE(5482)] = 226786,
  [SMALL_STATE(5483)] = 226846,
  [SMALL_STATE(5484)] = 226906,
  [SMALL_STATE(5485)] = 226966,
  [SMALL_STATE(5486)] = 227026,
  [SMALL_STATE(5487)] = 227086,
  [SMALL_STATE(5488)] = 227146,
  [SMALL_STATE(5489)] = 227206,
  [SMALL_STATE(5490)] = 227266,
  [SMALL_STATE(5491)] = 227328,
  [SMALL_STATE(5492)] = 227392,
  [SMALL_STATE(5493)] = 227452,
  [SMALL_STATE(5494)] = 227512,
  [SMALL_STATE(5495)] = 227574,
  [SMALL_STATE(5496)] = 227634,
  [SMALL_STATE(5497)] = 227694,
  [SMALL_STATE(5498)] = 227754,
  [SMALL_STATE(5499)] = 227814,
  [SMALL_STATE(5500)] = 227874,
  [SMALL_STATE(5501)] = 227934,
  [SMALL_STATE(5502)] = 227994,
  [SMALL_STATE(5503)] = 228054,
  [SMALL_STATE(5504)] = 228114,
  [SMALL_STATE(5505)] = 228174,
  [SMALL_STATE(5506)] = 228234,
  [SMALL_STATE(5507)] = 228296,
  [SMALL_STATE(5508)] = 228356,
  [SMALL_STATE(5509)] = 228416,
  [SMALL_STATE(5510)] = 228476,
  [SMALL_STATE(5511)] = 228536,
  [SMALL_STATE(5512)] = 228596,
  [SMALL_STATE(5513)] = 228656,
  [SMALL_STATE(5514)] = 228716,
  [SMALL_STATE(5515)] = 228776,
  [SMALL_STATE(5516)] = 228836,
  [SMALL_STATE(5517)] = 228896,
  [SMALL_STATE(5518)] = 228956,
  [SMALL_STATE(5519)] = 229016,
  [SMALL_STATE(5520)] = 229076,
  [SMALL_STATE(5521)] = 229135,
  [SMALL_STATE(5522)] = 229194,
  [SMALL_STATE(5523)] = 229253,
  [SMALL_STATE(5524)] = 229314,
  [SMALL_STATE(5525)] = 229373,
  [SMALL_STATE(5526)] = 229432,
  [SMALL_STATE(5527)] = 229491,
  [SMALL_STATE(5528)] = 229550,
  [SMALL_STATE(5529)] = 229609,
  [SMALL_STATE(5530)] = 229668,
  [SMALL_STATE(5531)] = 229727,
  [SMALL_STATE(5532)] = 229792,
  [SMALL_STATE(5533)] = 229851,
  [SMALL_STATE(5534)] = 229910,
  [SMALL_STATE(5535)] = 229969,
  [SMALL_STATE(5536)] = 230028,
  [SMALL_STATE(5537)] = 230087,
  [SMALL_STATE(5538)] = 230146,
  [SMALL_STATE(5539)] = 230205,
  [SMALL_STATE(5540)] = 230264,
  [SMALL_STATE(5541)] = 230323,
  [SMALL_STATE(5542)] = 230382,
  [SMALL_STATE(5543)] = 230441,
  [SMALL_STATE(5544)] = 230500,
  [SMALL_STATE(5545)] = 230559,
  [SMALL_STATE(5546)] = 230618,
  [SMALL_STATE(5547)] = 230677,
  [SMALL_STATE(5548)] = 230736,
  [SMALL_STATE(5549)] = 230795,
  [SMALL_STATE(5550)] = 230854,
  [SMALL_STATE(5551)] = 230913,
  [SMALL_STATE(5552)] = 230972,
  [SMALL_STATE(5553)] = 231031,
  [SMALL_STATE(5554)] = 231090,
  [SMALL_STATE(5555)] = 231149,
  [SMALL_STATE(5556)] = 231210,
  [SMALL_STATE(5557)] = 231269,
  [SMALL_STATE(5558)] = 231328,
  [SMALL_STATE(5559)] = 231387,
  [SMALL_STATE(5560)] = 231446,
  [SMALL_STATE(5561)] = 231505,
  [SMALL_STATE(5562)] = 231564,
  [SMALL_STATE(5563)] = 231623,
  [SMALL_STATE(5564)] = 231682,
  [SMALL_STATE(5565)] = 231741,
  [SMALL_STATE(5566)] = 231800,
  [SMALL_STATE(5567)] = 231859,
  [SMALL_STATE(5568)] = 231918,
  [SMALL_STATE(5569)] = 231977,
  [SMALL_STATE(5570)] = 232038,
  [SMALL_STATE(5571)] = 232101,
  [SMALL_STATE(5572)] = 232162,
  [SMALL_STATE(5573)] = 232221,
  [SMALL_STATE(5574)] = 232280,
  [SMALL_STATE(5575)] = 232339,
  [SMALL_STATE(5576)] = 232398,
  [SMALL_STATE(5577)] = 232457,
  [SMALL_STATE(5578)] = 232516,
  [SMALL_STATE(5579)] = 232575,
  [SMALL_STATE(5580)] = 232634,
  [SMALL_STATE(5581)] = 232693,
  [SMALL_STATE(5582)] = 232752,
  [SMALL_STATE(5583)] = 232811,
  [SMALL_STATE(5584)] = 232872,
  [SMALL_STATE(5585)] = 232931,
  [SMALL_STATE(5586)] = 232990,
  [SMALL_STATE(5587)] = 233055,
  [SMALL_STATE(5588)] = 233114,
  [SMALL_STATE(5589)] = 233173,
  [SMALL_STATE(5590)] = 233232,
  [SMALL_STATE(5591)] = 233291,
  [SMALL_STATE(5592)] = 233350,
  [SMALL_STATE(5593)] = 233409,
  [SMALL_STATE(5594)] = 233468,
  [SMALL_STATE(5595)] = 233529,
  [SMALL_STATE(5596)] = 233588,
  [SMALL_STATE(5597)] = 233647,
  [SMALL_STATE(5598)] = 233706,
  [SMALL_STATE(5599)] = 233765,
  [SMALL_STATE(5600)] = 233824,
  [SMALL_STATE(5601)] = 233883,
  [SMALL_STATE(5602)] = 233942,
  [SMALL_STATE(5603)] = 234003,
  [SMALL_STATE(5604)] = 234062,
  [SMALL_STATE(5605)] = 234121,
  [SMALL_STATE(5606)] = 234180,
  [SMALL_STATE(5607)] = 234239,
  [SMALL_STATE(5608)] = 234298,
  [SMALL_STATE(5609)] = 234357,
  [SMALL_STATE(5610)] = 234416,
  [SMALL_STATE(5611)] = 234475,
  [SMALL_STATE(5612)] = 234534,
  [SMALL_STATE(5613)] = 234593,
  [SMALL_STATE(5614)] = 234652,
  [SMALL_STATE(5615)] = 234711,
  [SMALL_STATE(5616)] = 234770,
  [SMALL_STATE(5617)] = 234831,
  [SMALL_STATE(5618)] = 234894,
  [SMALL_STATE(5619)] = 234953,
  [SMALL_STATE(5620)] = 235014,
  [SMALL_STATE(5621)] = 235073,
  [SMALL_STATE(5622)] = 235132,
  [SMALL_STATE(5623)] = 235191,
  [SMALL_STATE(5624)] = 235250,
  [SMALL_STATE(5625)] = 235309,
  [SMALL_STATE(5626)] = 235368,
  [SMALL_STATE(5627)] = 235427,
  [SMALL_STATE(5628)] = 235486,
  [SMALL_STATE(5629)] = 235545,
  [SMALL_STATE(5630)] = 235604,
  [SMALL_STATE(5631)] = 235663,
  [SMALL_STATE(5632)] = 235722,
  [SMALL_STATE(5633)] = 235781,
  [SMALL_STATE(5634)] = 235840,
  [SMALL_STATE(5635)] = 235899,
  [SMALL_STATE(5636)] = 235958,
  [SMALL_STATE(5637)] = 236017,
  [SMALL_STATE(5638)] = 236076,
  [SMALL_STATE(5639)] = 236135,
  [SMALL_STATE(5640)] = 236194,
  [SMALL_STATE(5641)] = 236253,
  [SMALL_STATE(5642)] = 236312,
  [SMALL_STATE(5643)] = 236371,
  [SMALL_STATE(5644)] = 236430,
  [SMALL_STATE(5645)] = 236489,
  [SMALL_STATE(5646)] = 236548,
  [SMALL_STATE(5647)] = 236609,
  [SMALL_STATE(5648)] = 236668,
  [SMALL_STATE(5649)] = 236727,
  [SMALL_STATE(5650)] = 236786,
  [SMALL_STATE(5651)] = 236845,
  [SMALL_STATE(5652)] = 236904,
  [SMALL_STATE(5653)] = 236963,
  [SMALL_STATE(5654)] = 237022,
  [SMALL_STATE(5655)] = 237081,
  [SMALL_STATE(5656)] = 237140,
  [SMALL_STATE(5657)] = 237199,
  [SMALL_STATE(5658)] = 237258,
  [SMALL_STATE(5659)] = 237317,
  [SMALL_STATE(5660)] = 237376,
  [SMALL_STATE(5661)] = 237435,
  [SMALL_STATE(5662)] = 237494,
  [SMALL_STATE(5663)] = 237553,
  [SMALL_STATE(5664)] = 237612,
  [SMALL_STATE(5665)] = 237671,
  [SMALL_STATE(5666)] = 237730,
  [SMALL_STATE(5667)] = 237789,
  [SMALL_STATE(5668)] = 237848,
  [SMALL_STATE(5669)] = 237907,
  [SMALL_STATE(5670)] = 237966,
  [SMALL_STATE(5671)] = 238025,
  [SMALL_STATE(5672)] = 238084,
  [SMALL_STATE(5673)] = 238143,
  [SMALL_STATE(5674)] = 238202,
  [SMALL_STATE(5675)] = 238261,
  [SMALL_STATE(5676)] = 238320,
  [SMALL_STATE(5677)] = 238379,
  [SMALL_STATE(5678)] = 238438,
  [SMALL_STATE(5679)] = 238497,
  [SMALL_STATE(5680)] = 238556,
  [SMALL_STATE(5681)] = 238615,
  [SMALL_STATE(5682)] = 238674,
  [SMALL_STATE(5683)] = 238733,
  [SMALL_STATE(5684)] = 238792,
  [SMALL_STATE(5685)] = 238851,
  [SMALL_STATE(5686)] = 238910,
  [SMALL_STATE(5687)] = 238969,
  [SMALL_STATE(5688)] = 239028,
  [SMALL_STATE(5689)] = 239087,
  [SMALL_STATE(5690)] = 239146,
  [SMALL_STATE(5691)] = 239205,
  [SMALL_STATE(5692)] = 239264,
  [SMALL_STATE(5693)] = 239323,
  [SMALL_STATE(5694)] = 239382,
  [SMALL_STATE(5695)] = 239441,
  [SMALL_STATE(5696)] = 239500,
  [SMALL_STATE(5697)] = 239559,
  [SMALL_STATE(5698)] = 239620,
  [SMALL_STATE(5699)] = 239679,
  [SMALL_STATE(5700)] = 239738,
  [SMALL_STATE(5701)] = 239797,
  [SMALL_STATE(5702)] = 239856,
  [SMALL_STATE(5703)] = 239915,
  [SMALL_STATE(5704)] = 239974,
  [SMALL_STATE(5705)] = 240033,
  [SMALL_STATE(5706)] = 240092,
  [SMALL_STATE(5707)] = 240151,
  [SMALL_STATE(5708)] = 240209,
  [SMALL_STATE(5709)] = 240307,
  [SMALL_STATE(5710)] = 240365,
  [SMALL_STATE(5711)] = 240425,
  [SMALL_STATE(5712)] = 240483,
  [SMALL_STATE(5713)] = 240541,
  [SMALL_STATE(5714)] = 240599,
  [SMALL_STATE(5715)] = 240697,
  [SMALL_STATE(5716)] = 240755,
  [SMALL_STATE(5717)] = 240819,
  [SMALL_STATE(5718)] = 240877,
  [SMALL_STATE(5719)] = 240935,
  [SMALL_STATE(5720)] = 241033,
  [SMALL_STATE(5721)] = 241093,
  [SMALL_STATE(5722)] = 241151,
  [SMALL_STATE(5723)] = 241211,
  [SMALL_STATE(5724)] = 241269,
  [SMALL_STATE(5725)] = 241327,
  [SMALL_STATE(5726)] = 241385,
  [SMALL_STATE(5727)] = 241449,
  [SMALL_STATE(5728)] = 241507,
  [SMALL_STATE(5729)] = 241565,
  [SMALL_STATE(5730)] = 241623,
  [SMALL_STATE(5731)] = 241681,
  [SMALL_STATE(5732)] = 241739,
  [SMALL_STATE(5733)] = 241797,
  [SMALL_STATE(5734)] = 241855,
  [SMALL_STATE(5735)] = 241913,
  [SMALL_STATE(5736)] = 241971,
  [SMALL_STATE(5737)] = 242029,
  [SMALL_STATE(5738)] = 242087,
  [SMALL_STATE(5739)] = 242145,
  [SMALL_STATE(5740)] = 242203,
  [SMALL_STATE(5741)] = 242261,
  [SMALL_STATE(5742)] = 242359,
  [SMALL_STATE(5743)] = 242417,
  [SMALL_STATE(5744)] = 242475,
  [SMALL_STATE(5745)] = 242535,
  [SMALL_STATE(5746)] = 242593,
  [SMALL_STATE(5747)] = 242651,
  [SMALL_STATE(5748)] = 242709,
  [SMALL_STATE(5749)] = 242767,
  [SMALL_STATE(5750)] = 242865,
  [SMALL_STATE(5751)] = 242923,
  [SMALL_STATE(5752)] = 242983,
  [SMALL_STATE(5753)] = 243081,
  [SMALL_STATE(5754)] = 243139,
  [SMALL_STATE(5755)] = 243197,
  [SMALL_STATE(5756)] = 243255,
  [SMALL_STATE(5757)] = 243313,
  [SMALL_STATE(5758)] = 243371,
  [SMALL_STATE(5759)] = 243429,
  [SMALL_STATE(5760)] = 243487,
  [SMALL_STATE(5761)] = 243545,
  [SMALL_STATE(5762)] = 243603,
  [SMALL_STATE(5763)] = 243661,
  [SMALL_STATE(5764)] = 243719,
  [SMALL_STATE(5765)] = 243777,
  [SMALL_STATE(5766)] = 243835,
  [SMALL_STATE(5767)] = 243893,
  [SMALL_STATE(5768)] = 243953,
  [SMALL_STATE(5769)] = 244011,
  [SMALL_STATE(5770)] = 244069,
  [SMALL_STATE(5771)] = 244127,
  [SMALL_STATE(5772)] = 244185,
  [SMALL_STATE(5773)] = 244243,
  [SMALL_STATE(5774)] = 244301,
  [SMALL_STATE(5775)] = 244359,
  [SMALL_STATE(5776)] = 244417,
  [SMALL_STATE(5777)] = 244515,
  [SMALL_STATE(5778)] = 244573,
  [SMALL_STATE(5779)] = 244631,
  [SMALL_STATE(5780)] = 244689,
  [SMALL_STATE(5781)] = 244747,
  [SMALL_STATE(5782)] = 244845,
  [SMALL_STATE(5783)] = 244903,
  [SMALL_STATE(5784)] = 244961,
  [SMALL_STATE(5785)] = 245019,
  [SMALL_STATE(5786)] = 245077,
  [SMALL_STATE(5787)] = 245135,
  [SMALL_STATE(5788)] = 245193,
  [SMALL_STATE(5789)] = 245251,
  [SMALL_STATE(5790)] = 245309,
  [SMALL_STATE(5791)] = 245367,
  [SMALL_STATE(5792)] = 245425,
  [SMALL_STATE(5793)] = 245483,
  [SMALL_STATE(5794)] = 245541,
  [SMALL_STATE(5795)] = 245599,
  [SMALL_STATE(5796)] = 245657,
  [SMALL_STATE(5797)] = 245715,
  [SMALL_STATE(5798)] = 245773,
  [SMALL_STATE(5799)] = 245871,
  [SMALL_STATE(5800)] = 245929,
  [SMALL_STATE(5801)] = 245987,
  [SMALL_STATE(5802)] = 246045,
  [SMALL_STATE(5803)] = 246102,
  [SMALL_STATE(5804)] = 246159,
  [SMALL_STATE(5805)] = 246216,
  [SMALL_STATE(5806)] = 246273,
  [SMALL_STATE(5807)] = 246330,
  [SMALL_STATE(5808)] = 246387,
  [SMALL_STATE(5809)] = 246444,
  [SMALL_STATE(5810)] = 246501,
  [SMALL_STATE(5811)] = 246564,
  [SMALL_STATE(5812)] = 246621,
  [SMALL_STATE(5813)] = 246678,
  [SMALL_STATE(5814)] = 246735,
  [SMALL_STATE(5815)] = 246792,
  [SMALL_STATE(5816)] = 246849,
  [SMALL_STATE(5817)] = 246906,
  [SMALL_STATE(5818)] = 246963,
  [SMALL_STATE(5819)] = 247020,
  [SMALL_STATE(5820)] = 247077,
  [SMALL_STATE(5821)] = 247134,
  [SMALL_STATE(5822)] = 247193,
  [SMALL_STATE(5823)] = 247250,
  [SMALL_STATE(5824)] = 247307,
  [SMALL_STATE(5825)] = 247364,
  [SMALL_STATE(5826)] = 247421,
  [SMALL_STATE(5827)] = 247478,
  [SMALL_STATE(5828)] = 247535,
  [SMALL_STATE(5829)] = 247592,
  [SMALL_STATE(5830)] = 247649,
  [SMALL_STATE(5831)] = 247706,
  [SMALL_STATE(5832)] = 247763,
  [SMALL_STATE(5833)] = 247820,
  [SMALL_STATE(5834)] = 247877,
  [SMALL_STATE(5835)] = 247934,
  [SMALL_STATE(5836)] = 247991,
  [SMALL_STATE(5837)] = 248048,
  [SMALL_STATE(5838)] = 248105,
  [SMALL_STATE(5839)] = 248162,
  [SMALL_STATE(5840)] = 248219,
  [SMALL_STATE(5841)] = 248276,
  [SMALL_STATE(5842)] = 248333,
  [SMALL_STATE(5843)] = 248390,
  [SMALL_STATE(5844)] = 248447,
  [SMALL_STATE(5845)] = 248504,
  [SMALL_STATE(5846)] = 248563,
  [SMALL_STATE(5847)] = 248620,
  [SMALL_STATE(5848)] = 248683,
  [SMALL_STATE(5849)] = 248740,
  [SMALL_STATE(5850)] = 248797,
  [SMALL_STATE(5851)] = 248854,
  [SMALL_STATE(5852)] = 248911,
  [SMALL_STATE(5853)] = 248970,
  [SMALL_STATE(5854)] = 249029,
  [SMALL_STATE(5855)] = 249086,
  [SMALL_STATE(5856)] = 249143,
  [SMALL_STATE(5857)] = 249200,
  [SMALL_STATE(5858)] = 249257,
  [SMALL_STATE(5859)] = 249314,
  [SMALL_STATE(5860)] = 249371,
  [SMALL_STATE(5861)] = 249430,
  [SMALL_STATE(5862)] = 249487,
  [SMALL_STATE(5863)] = 249544,
  [SMALL_STATE(5864)] = 249601,
  [SMALL_STATE(5865)] = 249658,
  [SMALL_STATE(5866)] = 249715,
  [SMALL_STATE(5867)] = 249772,
  [SMALL_STATE(5868)] = 249829,
  [SMALL_STATE(5869)] = 249886,
  [SMALL_STATE(5870)] = 249943,
  [SMALL_STATE(5871)] = 250000,
  [SMALL_STATE(5872)] = 250057,
  [SMALL_STATE(5873)] = 250114,
  [SMALL_STATE(5874)] = 250171,
  [SMALL_STATE(5875)] = 250228,
  [SMALL_STATE(5876)] = 250285,
  [SMALL_STATE(5877)] = 250342,
  [SMALL_STATE(5878)] = 250399,
  [SMALL_STATE(5879)] = 250456,
  [SMALL_STATE(5880)] = 250513,
  [SMALL_STATE(5881)] = 250570,
  [SMALL_STATE(5882)] = 250627,
  [SMALL_STATE(5883)] = 250684,
  [SMALL_STATE(5884)] = 250741,
  [SMALL_STATE(5885)] = 250798,
  [SMALL_STATE(5886)] = 250855,
  [SMALL_STATE(5887)] = 250912,
  [SMALL_STATE(5888)] = 250969,
  [SMALL_STATE(5889)] = 251026,
  [SMALL_STATE(5890)] = 251083,
  [SMALL_STATE(5891)] = 251140,
  [SMALL_STATE(5892)] = 251197,
  [SMALL_STATE(5893)] = 251254,
  [SMALL_STATE(5894)] = 251311,
  [SMALL_STATE(5895)] = 251368,
  [SMALL_STATE(5896)] = 251425,
  [SMALL_STATE(5897)] = 251482,
  [SMALL_STATE(5898)] = 251539,
  [SMALL_STATE(5899)] = 251596,
  [SMALL_STATE(5900)] = 251653,
  [SMALL_STATE(5901)] = 251710,
  [SMALL_STATE(5902)] = 251767,
  [SMALL_STATE(5903)] = 251824,
  [SMALL_STATE(5904)] = 251881,
  [SMALL_STATE(5905)] = 251938,
  [SMALL_STATE(5906)] = 251995,
  [SMALL_STATE(5907)] = 252052,
  [SMALL_STATE(5908)] = 252109,
  [SMALL_STATE(5909)] = 252168,
  [SMALL_STATE(5910)] = 252227,
  [SMALL_STATE(5911)] = 252286,
  [SMALL_STATE(5912)] = 252345,
  [SMALL_STATE(5913)] = 252402,
  [SMALL_STATE(5914)] = 252459,
  [SMALL_STATE(5915)] = 252516,
  [SMALL_STATE(5916)] = 252573,
  [SMALL_STATE(5917)] = 252630,
  [SMALL_STATE(5918)] = 252687,
  [SMALL_STATE(5919)] = 252744,
  [SMALL_STATE(5920)] = 252801,
  [SMALL_STATE(5921)] = 252860,
  [SMALL_STATE(5922)] = 252917,
  [SMALL_STATE(5923)] = 252974,
  [SMALL_STATE(5924)] = 253031,
  [SMALL_STATE(5925)] = 253088,
  [SMALL_STATE(5926)] = 253145,
  [SMALL_STATE(5927)] = 253202,
  [SMALL_STATE(5928)] = 253259,
  [SMALL_STATE(5929)] = 253316,
  [SMALL_STATE(5930)] = 253373,
  [SMALL_STATE(5931)] = 253430,
  [SMALL_STATE(5932)] = 253493,
  [SMALL_STATE(5933)] = 253550,
  [SMALL_STATE(5934)] = 253607,
  [SMALL_STATE(5935)] = 253664,
  [SMALL_STATE(5936)] = 253721,
  [SMALL_STATE(5937)] = 253778,
  [SMALL_STATE(5938)] = 253835,
  [SMALL_STATE(5939)] = 253892,
  [SMALL_STATE(5940)] = 253949,
  [SMALL_STATE(5941)] = 254006,
  [SMALL_STATE(5942)] = 254063,
  [SMALL_STATE(5943)] = 254122,
  [SMALL_STATE(5944)] = 254179,
  [SMALL_STATE(5945)] = 254236,
  [SMALL_STATE(5946)] = 254293,
  [SMALL_STATE(5947)] = 254350,
  [SMALL_STATE(5948)] = 254407,
  [SMALL_STATE(5949)] = 254464,
  [SMALL_STATE(5950)] = 254521,
  [SMALL_STATE(5951)] = 254578,
  [SMALL_STATE(5952)] = 254635,
  [SMALL_STATE(5953)] = 254698,
  [SMALL_STATE(5954)] = 254755,
  [SMALL_STATE(5955)] = 254812,
  [SMALL_STATE(5956)] = 254869,
  [SMALL_STATE(5957)] = 254928,
  [SMALL_STATE(5958)] = 254985,
  [SMALL_STATE(5959)] = 255042,
  [SMALL_STATE(5960)] = 255099,
  [SMALL_STATE(5961)] = 255156,
  [SMALL_STATE(5962)] = 255213,
  [SMALL_STATE(5963)] = 255272,
  [SMALL_STATE(5964)] = 255329,
  [SMALL_STATE(5965)] = 255386,
  [SMALL_STATE(5966)] = 255443,
  [SMALL_STATE(5967)] = 255500,
  [SMALL_STATE(5968)] = 255557,
  [SMALL_STATE(5969)] = 255614,
  [SMALL_STATE(5970)] = 255671,
  [SMALL_STATE(5971)] = 255728,
  [SMALL_STATE(5972)] = 255785,
  [SMALL_STATE(5973)] = 255842,
  [SMALL_STATE(5974)] = 255899,
  [SMALL_STATE(5975)] = 255956,
  [SMALL_STATE(5976)] = 256015,
  [SMALL_STATE(5977)] = 256072,
  [SMALL_STATE(5978)] = 256129,
  [SMALL_STATE(5979)] = 256192,
  [SMALL_STATE(5980)] = 256249,
  [SMALL_STATE(5981)] = 256306,
  [SMALL_STATE(5982)] = 256363,
  [SMALL_STATE(5983)] = 256420,
  [SMALL_STATE(5984)] = 256477,
  [SMALL_STATE(5985)] = 256534,
  [SMALL_STATE(5986)] = 256591,
  [SMALL_STATE(5987)] = 256648,
  [SMALL_STATE(5988)] = 256705,
  [SMALL_STATE(5989)] = 256762,
  [SMALL_STATE(5990)] = 256819,
  [SMALL_STATE(5991)] = 256878,
  [SMALL_STATE(5992)] = 256935,
  [SMALL_STATE(5993)] = 256992,
  [SMALL_STATE(5994)] = 257049,
  [SMALL_STATE(5995)] = 257106,
  [SMALL_STATE(5996)] = 257165,
  [SMALL_STATE(5997)] = 257222,
  [SMALL_STATE(5998)] = 257279,
  [SMALL_STATE(5999)] = 257336,
  [SMALL_STATE(6000)] = 257393,
  [SMALL_STATE(6001)] = 257450,
  [SMALL_STATE(6002)] = 257507,
  [SMALL_STATE(6003)] = 257564,
  [SMALL_STATE(6004)] = 257621,
  [SMALL_STATE(6005)] = 257678,
  [SMALL_STATE(6006)] = 257735,
  [SMALL_STATE(6007)] = 257792,
  [SMALL_STATE(6008)] = 257849,
  [SMALL_STATE(6009)] = 257906,
  [SMALL_STATE(6010)] = 257963,
  [SMALL_STATE(6011)] = 258020,
  [SMALL_STATE(6012)] = 258077,
  [SMALL_STATE(6013)] = 258134,
  [SMALL_STATE(6014)] = 258191,
  [SMALL_STATE(6015)] = 258248,
  [SMALL_STATE(6016)] = 258305,
  [SMALL_STATE(6017)] = 258362,
  [SMALL_STATE(6018)] = 258419,
  [SMALL_STATE(6019)] = 258476,
  [SMALL_STATE(6020)] = 258533,
  [SMALL_STATE(6021)] = 258590,
  [SMALL_STATE(6022)] = 258647,
  [SMALL_STATE(6023)] = 258704,
  [SMALL_STATE(6024)] = 258761,
  [SMALL_STATE(6025)] = 258818,
  [SMALL_STATE(6026)] = 258875,
  [SMALL_STATE(6027)] = 258932,
  [SMALL_STATE(6028)] = 258989,
  [SMALL_STATE(6029)] = 259046,
  [SMALL_STATE(6030)] = 259103,
  [SMALL_STATE(6031)] = 259160,
  [SMALL_STATE(6032)] = 259219,
  [SMALL_STATE(6033)] = 259276,
  [SMALL_STATE(6034)] = 259333,
  [SMALL_STATE(6035)] = 259390,
  [SMALL_STATE(6036)] = 259449,
  [SMALL_STATE(6037)] = 259506,
  [SMALL_STATE(6038)] = 259563,
  [SMALL_STATE(6039)] = 259620,
  [SMALL_STATE(6040)] = 259677,
  [SMALL_STATE(6041)] = 259734,
  [SMALL_STATE(6042)] = 259791,
  [SMALL_STATE(6043)] = 259854,
  [SMALL_STATE(6044)] = 259911,
  [SMALL_STATE(6045)] = 259968,
  [SMALL_STATE(6046)] = 260025,
  [SMALL_STATE(6047)] = 260082,
  [SMALL_STATE(6048)] = 260139,
  [SMALL_STATE(6049)] = 260196,
  [SMALL_STATE(6050)] = 260253,
  [SMALL_STATE(6051)] = 260310,
  [SMALL_STATE(6052)] = 260367,
  [SMALL_STATE(6053)] = 260424,
  [SMALL_STATE(6054)] = 260481,
  [SMALL_STATE(6055)] = 260538,
  [SMALL_STATE(6056)] = 260597,
  [SMALL_STATE(6057)] = 260654,
  [SMALL_STATE(6058)] = 260711,
  [SMALL_STATE(6059)] = 260768,
  [SMALL_STATE(6060)] = 260825,
  [SMALL_STATE(6061)] = 260882,
  [SMALL_STATE(6062)] = 260939,
  [SMALL_STATE(6063)] = 260998,
  [SMALL_STATE(6064)] = 261055,
  [SMALL_STATE(6065)] = 261112,
  [SMALL_STATE(6066)] = 261169,
  [SMALL_STATE(6067)] = 261226,
  [SMALL_STATE(6068)] = 261283,
  [SMALL_STATE(6069)] = 261340,
  [SMALL_STATE(6070)] = 261397,
  [SMALL_STATE(6071)] = 261454,
  [SMALL_STATE(6072)] = 261511,
  [SMALL_STATE(6073)] = 261568,
  [SMALL_STATE(6074)] = 261625,
  [SMALL_STATE(6075)] = 261682,
  [SMALL_STATE(6076)] = 261739,
  [SMALL_STATE(6077)] = 261796,
  [SMALL_STATE(6078)] = 261853,
  [SMALL_STATE(6079)] = 261910,
  [SMALL_STATE(6080)] = 261969,
  [SMALL_STATE(6081)] = 262026,
  [SMALL_STATE(6082)] = 262083,
  [SMALL_STATE(6083)] = 262140,
  [SMALL_STATE(6084)] = 262197,
  [SMALL_STATE(6085)] = 262254,
  [SMALL_STATE(6086)] = 262311,
  [SMALL_STATE(6087)] = 262368,
  [SMALL_STATE(6088)] = 262425,
  [SMALL_STATE(6089)] = 262482,
  [SMALL_STATE(6090)] = 262539,
  [SMALL_STATE(6091)] = 262596,
  [SMALL_STATE(6092)] = 262653,
  [SMALL_STATE(6093)] = 262710,
  [SMALL_STATE(6094)] = 262767,
  [SMALL_STATE(6095)] = 262826,
  [SMALL_STATE(6096)] = 262885,
  [SMALL_STATE(6097)] = 262942,
  [SMALL_STATE(6098)] = 262999,
  [SMALL_STATE(6099)] = 263056,
  [SMALL_STATE(6100)] = 263113,
  [SMALL_STATE(6101)] = 263170,
  [SMALL_STATE(6102)] = 263227,
  [SMALL_STATE(6103)] = 263284,
  [SMALL_STATE(6104)] = 263341,
  [SMALL_STATE(6105)] = 263398,
  [SMALL_STATE(6106)] = 263455,
  [SMALL_STATE(6107)] = 263512,
  [SMALL_STATE(6108)] = 263569,
  [SMALL_STATE(6109)] = 263625,
  [SMALL_STATE(6110)] = 263687,
  [SMALL_STATE(6111)] = 263743,
  [SMALL_STATE(6112)] = 263799,
  [SMALL_STATE(6113)] = 263855,
  [SMALL_STATE(6114)] = 263913,
  [SMALL_STATE(6115)] = 263975,
  [SMALL_STATE(6116)] = 264033,
  [SMALL_STATE(6117)] = 264091,
  [SMALL_STATE(6118)] = 264149,
  [SMALL_STATE(6119)] = 264207,
  [SMALL_STATE(6120)] = 264263,
  [SMALL_STATE(6121)] = 264319,
  [SMALL_STATE(6122)] = 264375,
  [SMALL_STATE(6123)] = 264431,
  [SMALL_STATE(6124)] = 264487,
  [SMALL_STATE(6125)] = 264595,
  [SMALL_STATE(6126)] = 264651,
  [SMALL_STATE(6127)] = 264707,
  [SMALL_STATE(6128)] = 264763,
  [SMALL_STATE(6129)] = 264819,
  [SMALL_STATE(6130)] = 264875,
  [SMALL_STATE(6131)] = 264931,
  [SMALL_STATE(6132)] = 264987,
  [SMALL_STATE(6133)] = 265043,
  [SMALL_STATE(6134)] = 265099,
  [SMALL_STATE(6135)] = 265155,
  [SMALL_STATE(6136)] = 265211,
  [SMALL_STATE(6137)] = 265267,
  [SMALL_STATE(6138)] = 265323,
  [SMALL_STATE(6139)] = 265379,
  [SMALL_STATE(6140)] = 265435,
  [SMALL_STATE(6141)] = 265491,
  [SMALL_STATE(6142)] = 265549,
  [SMALL_STATE(6143)] = 265605,
  [SMALL_STATE(6144)] = 265661,
  [SMALL_STATE(6145)] = 265717,
  [SMALL_STATE(6146)] = 265773,
  [SMALL_STATE(6147)] = 265829,
  [SMALL_STATE(6148)] = 265885,
  [SMALL_STATE(6149)] = 265943,
  [SMALL_STATE(6150)] = 265999,
  [SMALL_STATE(6151)] = 266055,
  [SMALL_STATE(6152)] = 266111,
  [SMALL_STATE(6153)] = 266167,
  [SMALL_STATE(6154)] = 266223,
  [SMALL_STATE(6155)] = 266279,
  [SMALL_STATE(6156)] = 266337,
  [SMALL_STATE(6157)] = 266395,
  [SMALL_STATE(6158)] = 266451,
  [SMALL_STATE(6159)] = 266507,
  [SMALL_STATE(6160)] = 266563,
  [SMALL_STATE(6161)] = 266619,
  [SMALL_STATE(6162)] = 266681,
  [SMALL_STATE(6163)] = 266737,
  [SMALL_STATE(6164)] = 266793,
  [SMALL_STATE(6165)] = 266849,
  [SMALL_STATE(6166)] = 266905,
  [SMALL_STATE(6167)] = 266961,
  [SMALL_STATE(6168)] = 267017,
  [SMALL_STATE(6169)] = 267073,
  [SMALL_STATE(6170)] = 267129,
  [SMALL_STATE(6171)] = 267185,
  [SMALL_STATE(6172)] = 267241,
  [SMALL_STATE(6173)] = 267297,
  [SMALL_STATE(6174)] = 267353,
  [SMALL_STATE(6175)] = 267409,
  [SMALL_STATE(6176)] = 267465,
  [SMALL_STATE(6177)] = 267521,
  [SMALL_STATE(6178)] = 267577,
  [SMALL_STATE(6179)] = 267633,
  [SMALL_STATE(6180)] = 267689,
  [SMALL_STATE(6181)] = 267745,
  [SMALL_STATE(6182)] = 267801,
  [SMALL_STATE(6183)] = 267857,
  [SMALL_STATE(6184)] = 267913,
  [SMALL_STATE(6185)] = 267969,
  [SMALL_STATE(6186)] = 268025,
  [SMALL_STATE(6187)] = 268081,
  [SMALL_STATE(6188)] = 268137,
  [SMALL_STATE(6189)] = 268193,
  [SMALL_STATE(6190)] = 268249,
  [SMALL_STATE(6191)] = 268307,
  [SMALL_STATE(6192)] = 268363,
  [SMALL_STATE(6193)] = 268419,
  [SMALL_STATE(6194)] = 268475,
  [SMALL_STATE(6195)] = 268531,
  [SMALL_STATE(6196)] = 268587,
  [SMALL_STATE(6197)] = 268643,
  [SMALL_STATE(6198)] = 268699,
  [SMALL_STATE(6199)] = 268755,
  [SMALL_STATE(6200)] = 268811,
  [SMALL_STATE(6201)] = 268867,
  [SMALL_STATE(6202)] = 268923,
  [SMALL_STATE(6203)] = 268979,
  [SMALL_STATE(6204)] = 269035,
  [SMALL_STATE(6205)] = 269091,
  [SMALL_STATE(6206)] = 269147,
  [SMALL_STATE(6207)] = 269203,
  [SMALL_STATE(6208)] = 269265,
  [SMALL_STATE(6209)] = 269321,
  [SMALL_STATE(6210)] = 269377,
  [SMALL_STATE(6211)] = 269433,
  [SMALL_STATE(6212)] = 269489,
  [SMALL_STATE(6213)] = 269545,
  [SMALL_STATE(6214)] = 269601,
  [SMALL_STATE(6215)] = 269657,
  [SMALL_STATE(6216)] = 269713,
  [SMALL_STATE(6217)] = 269769,
  [SMALL_STATE(6218)] = 269825,
  [SMALL_STATE(6219)] = 269881,
  [SMALL_STATE(6220)] = 269937,
  [SMALL_STATE(6221)] = 269993,
  [SMALL_STATE(6222)] = 270049,
  [SMALL_STATE(6223)] = 270105,
  [SMALL_STATE(6224)] = 270161,
  [SMALL_STATE(6225)] = 270217,
  [SMALL_STATE(6226)] = 270273,
  [SMALL_STATE(6227)] = 270329,
  [SMALL_STATE(6228)] = 270385,
  [SMALL_STATE(6229)] = 270441,
  [SMALL_STATE(6230)] = 270497,
  [SMALL_STATE(6231)] = 270553,
  [SMALL_STATE(6232)] = 270609,
  [SMALL_STATE(6233)] = 270665,
  [SMALL_STATE(6234)] = 270721,
  [SMALL_STATE(6235)] = 270777,
  [SMALL_STATE(6236)] = 270833,
  [SMALL_STATE(6237)] = 270889,
  [SMALL_STATE(6238)] = 270945,
  [SMALL_STATE(6239)] = 271001,
  [SMALL_STATE(6240)] = 271057,
  [SMALL_STATE(6241)] = 271113,
  [SMALL_STATE(6242)] = 271169,
  [SMALL_STATE(6243)] = 271225,
  [SMALL_STATE(6244)] = 271281,
  [SMALL_STATE(6245)] = 271339,
  [SMALL_STATE(6246)] = 271395,
  [SMALL_STATE(6247)] = 271451,
  [SMALL_STATE(6248)] = 271507,
  [SMALL_STATE(6249)] = 271563,
  [SMALL_STATE(6250)] = 271619,
  [SMALL_STATE(6251)] = 271675,
  [SMALL_STATE(6252)] = 271737,
  [SMALL_STATE(6253)] = 271793,
  [SMALL_STATE(6254)] = 271849,
  [SMALL_STATE(6255)] = 271905,
  [SMALL_STATE(6256)] = 271961,
  [SMALL_STATE(6257)] = 272017,
  [SMALL_STATE(6258)] = 272073,
  [SMALL_STATE(6259)] = 272129,
  [SMALL_STATE(6260)] = 272185,
  [SMALL_STATE(6261)] = 272241,
  [SMALL_STATE(6262)] = 272297,
  [SMALL_STATE(6263)] = 272353,
  [SMALL_STATE(6264)] = 272409,
  [SMALL_STATE(6265)] = 272465,
  [SMALL_STATE(6266)] = 272521,
  [SMALL_STATE(6267)] = 272579,
  [SMALL_STATE(6268)] = 272635,
  [SMALL_STATE(6269)] = 272691,
  [SMALL_STATE(6270)] = 272747,
  [SMALL_STATE(6271)] = 272803,
  [SMALL_STATE(6272)] = 272859,
  [SMALL_STATE(6273)] = 272915,
  [SMALL_STATE(6274)] = 272971,
  [SMALL_STATE(6275)] = 273027,
  [SMALL_STATE(6276)] = 273083,
  [SMALL_STATE(6277)] = 273139,
  [SMALL_STATE(6278)] = 273195,
  [SMALL_STATE(6279)] = 273251,
  [SMALL_STATE(6280)] = 273307,
  [SMALL_STATE(6281)] = 273363,
  [SMALL_STATE(6282)] = 273421,
  [SMALL_STATE(6283)] = 273477,
  [SMALL_STATE(6284)] = 273533,
  [SMALL_STATE(6285)] = 273589,
  [SMALL_STATE(6286)] = 273645,
  [SMALL_STATE(6287)] = 273701,
  [SMALL_STATE(6288)] = 273757,
  [SMALL_STATE(6289)] = 273813,
  [SMALL_STATE(6290)] = 273869,
  [SMALL_STATE(6291)] = 273925,
  [SMALL_STATE(6292)] = 273981,
  [SMALL_STATE(6293)] = 274037,
  [SMALL_STATE(6294)] = 274093,
  [SMALL_STATE(6295)] = 274149,
  [SMALL_STATE(6296)] = 274205,
  [SMALL_STATE(6297)] = 274261,
  [SMALL_STATE(6298)] = 274317,
  [SMALL_STATE(6299)] = 274373,
  [SMALL_STATE(6300)] = 274429,
  [SMALL_STATE(6301)] = 274487,
  [SMALL_STATE(6302)] = 274543,
  [SMALL_STATE(6303)] = 274599,
  [SMALL_STATE(6304)] = 274655,
  [SMALL_STATE(6305)] = 274711,
  [SMALL_STATE(6306)] = 274767,
  [SMALL_STATE(6307)] = 274825,
  [SMALL_STATE(6308)] = 274881,
  [SMALL_STATE(6309)] = 274937,
  [SMALL_STATE(6310)] = 274993,
  [SMALL_STATE(6311)] = 275049,
  [SMALL_STATE(6312)] = 275105,
  [SMALL_STATE(6313)] = 275161,
  [SMALL_STATE(6314)] = 275217,
  [SMALL_STATE(6315)] = 275273,
  [SMALL_STATE(6316)] = 275329,
  [SMALL_STATE(6317)] = 275385,
  [SMALL_STATE(6318)] = 275441,
  [SMALL_STATE(6319)] = 275497,
  [SMALL_STATE(6320)] = 275555,
  [SMALL_STATE(6321)] = 275613,
  [SMALL_STATE(6322)] = 275671,
  [SMALL_STATE(6323)] = 275727,
  [SMALL_STATE(6324)] = 275783,
  [SMALL_STATE(6325)] = 275839,
  [SMALL_STATE(6326)] = 275895,
  [SMALL_STATE(6327)] = 275951,
  [SMALL_STATE(6328)] = 276007,
  [SMALL_STATE(6329)] = 276063,
  [SMALL_STATE(6330)] = 276119,
  [SMALL_STATE(6331)] = 276175,
  [SMALL_STATE(6332)] = 276231,
  [SMALL_STATE(6333)] = 276287,
  [SMALL_STATE(6334)] = 276343,
  [SMALL_STATE(6335)] = 276399,
  [SMALL_STATE(6336)] = 276455,
  [SMALL_STATE(6337)] = 276511,
  [SMALL_STATE(6338)] = 276567,
  [SMALL_STATE(6339)] = 276623,
  [SMALL_STATE(6340)] = 276679,
  [SMALL_STATE(6341)] = 276735,
  [SMALL_STATE(6342)] = 276791,
  [SMALL_STATE(6343)] = 276847,
  [SMALL_STATE(6344)] = 276903,
  [SMALL_STATE(6345)] = 276959,
  [SMALL_STATE(6346)] = 277015,
  [SMALL_STATE(6347)] = 277071,
  [SMALL_STATE(6348)] = 277127,
  [SMALL_STATE(6349)] = 277183,
  [SMALL_STATE(6350)] = 277239,
  [SMALL_STATE(6351)] = 277295,
  [SMALL_STATE(6352)] = 277351,
  [SMALL_STATE(6353)] = 277407,
  [SMALL_STATE(6354)] = 277463,
  [SMALL_STATE(6355)] = 277519,
  [SMALL_STATE(6356)] = 277575,
  [SMALL_STATE(6357)] = 277631,
  [SMALL_STATE(6358)] = 277687,
  [SMALL_STATE(6359)] = 277743,
  [SMALL_STATE(6360)] = 277799,
  [SMALL_STATE(6361)] = 277855,
  [SMALL_STATE(6362)] = 277911,
  [SMALL_STATE(6363)] = 277969,
  [SMALL_STATE(6364)] = 278025,
  [SMALL_STATE(6365)] = 278081,
  [SMALL_STATE(6366)] = 278137,
  [SMALL_STATE(6367)] = 278193,
  [SMALL_STATE(6368)] = 278255,
  [SMALL_STATE(6369)] = 278311,
  [SMALL_STATE(6370)] = 278367,
  [SMALL_STATE(6371)] = 278423,
  [SMALL_STATE(6372)] = 278479,
  [SMALL_STATE(6373)] = 278535,
  [SMALL_STATE(6374)] = 278591,
  [SMALL_STATE(6375)] = 278649,
  [SMALL_STATE(6376)] = 278705,
  [SMALL_STATE(6377)] = 278761,
  [SMALL_STATE(6378)] = 278823,
  [SMALL_STATE(6379)] = 278879,
  [SMALL_STATE(6380)] = 278935,
  [SMALL_STATE(6381)] = 278991,
  [SMALL_STATE(6382)] = 279047,
  [SMALL_STATE(6383)] = 279103,
  [SMALL_STATE(6384)] = 279159,
  [SMALL_STATE(6385)] = 279215,
  [SMALL_STATE(6386)] = 279271,
  [SMALL_STATE(6387)] = 279327,
  [SMALL_STATE(6388)] = 279383,
  [SMALL_STATE(6389)] = 279441,
  [SMALL_STATE(6390)] = 279497,
  [SMALL_STATE(6391)] = 279553,
  [SMALL_STATE(6392)] = 279609,
  [SMALL_STATE(6393)] = 279665,
  [SMALL_STATE(6394)] = 279721,
  [SMALL_STATE(6395)] = 279777,
  [SMALL_STATE(6396)] = 279833,
  [SMALL_STATE(6397)] = 279889,
  [SMALL_STATE(6398)] = 279945,
  [SMALL_STATE(6399)] = 280001,
  [SMALL_STATE(6400)] = 280063,
  [SMALL_STATE(6401)] = 280119,
  [SMALL_STATE(6402)] = 280175,
  [SMALL_STATE(6403)] = 280231,
  [SMALL_STATE(6404)] = 280287,
  [SMALL_STATE(6405)] = 280343,
  [SMALL_STATE(6406)] = 280399,
  [SMALL_STATE(6407)] = 280455,
  [SMALL_STATE(6408)] = 280511,
  [SMALL_STATE(6409)] = 280567,
  [SMALL_STATE(6410)] = 280623,
  [SMALL_STATE(6411)] = 280679,
  [SMALL_STATE(6412)] = 280735,
  [SMALL_STATE(6413)] = 280791,
  [SMALL_STATE(6414)] = 280847,
  [SMALL_STATE(6415)] = 280903,
  [SMALL_STATE(6416)] = 280959,
  [SMALL_STATE(6417)] = 281015,
  [SMALL_STATE(6418)] = 281071,
  [SMALL_STATE(6419)] = 281127,
  [SMALL_STATE(6420)] = 281183,
  [SMALL_STATE(6421)] = 281239,
  [SMALL_STATE(6422)] = 281295,
  [SMALL_STATE(6423)] = 281351,
  [SMALL_STATE(6424)] = 281407,
  [SMALL_STATE(6425)] = 281463,
  [SMALL_STATE(6426)] = 281519,
  [SMALL_STATE(6427)] = 281581,
  [SMALL_STATE(6428)] = 281639,
  [SMALL_STATE(6429)] = 281695,
  [SMALL_STATE(6430)] = 281751,
  [SMALL_STATE(6431)] = 281807,
  [SMALL_STATE(6432)] = 281863,
  [SMALL_STATE(6433)] = 281919,
  [SMALL_STATE(6434)] = 281975,
  [SMALL_STATE(6435)] = 282031,
  [SMALL_STATE(6436)] = 282087,
  [SMALL_STATE(6437)] = 282143,
  [SMALL_STATE(6438)] = 282201,
  [SMALL_STATE(6439)] = 282309,
  [SMALL_STATE(6440)] = 282371,
  [SMALL_STATE(6441)] = 282427,
  [SMALL_STATE(6442)] = 282483,
  [SMALL_STATE(6443)] = 282539,
  [SMALL_STATE(6444)] = 282647,
  [SMALL_STATE(6445)] = 282703,
  [SMALL_STATE(6446)] = 282761,
  [SMALL_STATE(6447)] = 282817,
  [SMALL_STATE(6448)] = 282873,
  [SMALL_STATE(6449)] = 282929,
  [SMALL_STATE(6450)] = 282985,
  [SMALL_STATE(6451)] = 283041,
  [SMALL_STATE(6452)] = 283097,
  [SMALL_STATE(6453)] = 283153,
  [SMALL_STATE(6454)] = 283209,
  [SMALL_STATE(6455)] = 283265,
  [SMALL_STATE(6456)] = 283321,
  [SMALL_STATE(6457)] = 283377,
  [SMALL_STATE(6458)] = 283433,
  [SMALL_STATE(6459)] = 283489,
  [SMALL_STATE(6460)] = 283545,
  [SMALL_STATE(6461)] = 283601,
  [SMALL_STATE(6462)] = 283657,
  [SMALL_STATE(6463)] = 283713,
  [SMALL_STATE(6464)] = 283769,
  [SMALL_STATE(6465)] = 283827,
  [SMALL_STATE(6466)] = 283883,
  [SMALL_STATE(6467)] = 283941,
  [SMALL_STATE(6468)] = 283997,
  [SMALL_STATE(6469)] = 284053,
  [SMALL_STATE(6470)] = 284109,
  [SMALL_STATE(6471)] = 284165,
  [SMALL_STATE(6472)] = 284221,
  [SMALL_STATE(6473)] = 284277,
  [SMALL_STATE(6474)] = 284333,
  [SMALL_STATE(6475)] = 284395,
  [SMALL_STATE(6476)] = 284451,
  [SMALL_STATE(6477)] = 284507,
  [SMALL_STATE(6478)] = 284563,
  [SMALL_STATE(6479)] = 284619,
  [SMALL_STATE(6480)] = 284675,
  [SMALL_STATE(6481)] = 284731,
  [SMALL_STATE(6482)] = 284787,
  [SMALL_STATE(6483)] = 284843,
  [SMALL_STATE(6484)] = 284899,
  [SMALL_STATE(6485)] = 284955,
  [SMALL_STATE(6486)] = 285011,
  [SMALL_STATE(6487)] = 285069,
  [SMALL_STATE(6488)] = 285125,
  [SMALL_STATE(6489)] = 285181,
  [SMALL_STATE(6490)] = 285237,
  [SMALL_STATE(6491)] = 285293,
  [SMALL_STATE(6492)] = 285349,
  [SMALL_STATE(6493)] = 285405,
  [SMALL_STATE(6494)] = 285461,
  [SMALL_STATE(6495)] = 285517,
  [SMALL_STATE(6496)] = 285573,
  [SMALL_STATE(6497)] = 285629,
  [SMALL_STATE(6498)] = 285685,
  [SMALL_STATE(6499)] = 285741,
  [SMALL_STATE(6500)] = 285797,
  [SMALL_STATE(6501)] = 285853,
  [SMALL_STATE(6502)] = 285909,
  [SMALL_STATE(6503)] = 285967,
  [SMALL_STATE(6504)] = 286023,
  [SMALL_STATE(6505)] = 286079,
  [SMALL_STATE(6506)] = 286135,
  [SMALL_STATE(6507)] = 286191,
  [SMALL_STATE(6508)] = 286247,
  [SMALL_STATE(6509)] = 286303,
  [SMALL_STATE(6510)] = 286359,
  [SMALL_STATE(6511)] = 286415,
  [SMALL_STATE(6512)] = 286473,
  [SMALL_STATE(6513)] = 286529,
  [SMALL_STATE(6514)] = 286585,
  [SMALL_STATE(6515)] = 286641,
  [SMALL_STATE(6516)] = 286697,
  [SMALL_STATE(6517)] = 286753,
  [SMALL_STATE(6518)] = 286811,
  [SMALL_STATE(6519)] = 286867,
  [SMALL_STATE(6520)] = 286923,
  [SMALL_STATE(6521)] = 286979,
  [SMALL_STATE(6522)] = 287035,
  [SMALL_STATE(6523)] = 287091,
  [SMALL_STATE(6524)] = 287147,
  [SMALL_STATE(6525)] = 287203,
  [SMALL_STATE(6526)] = 287311,
  [SMALL_STATE(6527)] = 287367,
  [SMALL_STATE(6528)] = 287423,
  [SMALL_STATE(6529)] = 287479,
  [SMALL_STATE(6530)] = 287537,
  [SMALL_STATE(6531)] = 287593,
  [SMALL_STATE(6532)] = 287701,
  [SMALL_STATE(6533)] = 287757,
  [SMALL_STATE(6534)] = 287813,
  [SMALL_STATE(6535)] = 287869,
  [SMALL_STATE(6536)] = 287925,
  [SMALL_STATE(6537)] = 287981,
  [SMALL_STATE(6538)] = 288037,
  [SMALL_STATE(6539)] = 288093,
  [SMALL_STATE(6540)] = 288149,
  [SMALL_STATE(6541)] = 288205,
  [SMALL_STATE(6542)] = 288261,
  [SMALL_STATE(6543)] = 288317,
  [SMALL_STATE(6544)] = 288373,
  [SMALL_STATE(6545)] = 288429,
  [SMALL_STATE(6546)] = 288485,
  [SMALL_STATE(6547)] = 288543,
  [SMALL_STATE(6548)] = 288651,
  [SMALL_STATE(6549)] = 288707,
  [SMALL_STATE(6550)] = 288763,
  [SMALL_STATE(6551)] = 288819,
  [SMALL_STATE(6552)] = 288875,
  [SMALL_STATE(6553)] = 288931,
  [SMALL_STATE(6554)] = 288987,
  [SMALL_STATE(6555)] = 289043,
  [SMALL_STATE(6556)] = 289099,
  [SMALL_STATE(6557)] = 289155,
  [SMALL_STATE(6558)] = 289211,
  [SMALL_STATE(6559)] = 289267,
  [SMALL_STATE(6560)] = 289323,
  [SMALL_STATE(6561)] = 289379,
  [SMALL_STATE(6562)] = 289435,
  [SMALL_STATE(6563)] = 289491,
  [SMALL_STATE(6564)] = 289547,
  [SMALL_STATE(6565)] = 289603,
  [SMALL_STATE(6566)] = 289659,
  [SMALL_STATE(6567)] = 289715,
  [SMALL_STATE(6568)] = 289771,
  [SMALL_STATE(6569)] = 289827,
  [SMALL_STATE(6570)] = 289883,
  [SMALL_STATE(6571)] = 289939,
  [SMALL_STATE(6572)] = 289995,
  [SMALL_STATE(6573)] = 290051,
  [SMALL_STATE(6574)] = 290107,
  [SMALL_STATE(6575)] = 290163,
  [SMALL_STATE(6576)] = 290219,
  [SMALL_STATE(6577)] = 290275,
  [SMALL_STATE(6578)] = 290331,
  [SMALL_STATE(6579)] = 290439,
  [SMALL_STATE(6580)] = 290495,
  [SMALL_STATE(6581)] = 290551,
  [SMALL_STATE(6582)] = 290607,
  [SMALL_STATE(6583)] = 290663,
  [SMALL_STATE(6584)] = 290719,
  [SMALL_STATE(6585)] = 290775,
  [SMALL_STATE(6586)] = 290837,
  [SMALL_STATE(6587)] = 290893,
  [SMALL_STATE(6588)] = 290949,
  [SMALL_STATE(6589)] = 291005,
  [SMALL_STATE(6590)] = 291061,
  [SMALL_STATE(6591)] = 291117,
  [SMALL_STATE(6592)] = 291225,
  [SMALL_STATE(6593)] = 291281,
  [SMALL_STATE(6594)] = 291337,
  [SMALL_STATE(6595)] = 291393,
  [SMALL_STATE(6596)] = 291449,
  [SMALL_STATE(6597)] = 291505,
  [SMALL_STATE(6598)] = 291561,
  [SMALL_STATE(6599)] = 291617,
  [SMALL_STATE(6600)] = 291673,
  [SMALL_STATE(6601)] = 291731,
  [SMALL_STATE(6602)] = 291787,
  [SMALL_STATE(6603)] = 291843,
  [SMALL_STATE(6604)] = 291899,
  [SMALL_STATE(6605)] = 291957,
  [SMALL_STATE(6606)] = 292013,
  [SMALL_STATE(6607)] = 292069,
  [SMALL_STATE(6608)] = 292125,
  [SMALL_STATE(6609)] = 292181,
  [SMALL_STATE(6610)] = 292237,
  [SMALL_STATE(6611)] = 292293,
  [SMALL_STATE(6612)] = 292348,
  [SMALL_STATE(6613)] = 292403,
  [SMALL_STATE(6614)] = 292458,
  [SMALL_STATE(6615)] = 292513,
  [SMALL_STATE(6616)] = 292568,
  [SMALL_STATE(6617)] = 292623,
  [SMALL_STATE(6618)] = 292678,
  [SMALL_STATE(6619)] = 292733,
  [SMALL_STATE(6620)] = 292788,
  [SMALL_STATE(6621)] = 292843,
  [SMALL_STATE(6622)] = 292898,
  [SMALL_STATE(6623)] = 292955,
  [SMALL_STATE(6624)] = 293012,
  [SMALL_STATE(6625)] = 293067,
  [SMALL_STATE(6626)] = 293122,
  [SMALL_STATE(6627)] = 293177,
  [SMALL_STATE(6628)] = 293232,
  [SMALL_STATE(6629)] = 293287,
  [SMALL_STATE(6630)] = 293342,
  [SMALL_STATE(6631)] = 293397,
  [SMALL_STATE(6632)] = 293452,
  [SMALL_STATE(6633)] = 293507,
  [SMALL_STATE(6634)] = 293562,
  [SMALL_STATE(6635)] = 293617,
  [SMALL_STATE(6636)] = 293672,
  [SMALL_STATE(6637)] = 293727,
  [SMALL_STATE(6638)] = 293782,
  [SMALL_STATE(6639)] = 293837,
  [SMALL_STATE(6640)] = 293892,
  [SMALL_STATE(6641)] = 293947,
  [SMALL_STATE(6642)] = 294004,
  [SMALL_STATE(6643)] = 294059,
  [SMALL_STATE(6644)] = 294116,
  [SMALL_STATE(6645)] = 294177,
  [SMALL_STATE(6646)] = 294232,
  [SMALL_STATE(6647)] = 294287,
  [SMALL_STATE(6648)] = 294348,
  [SMALL_STATE(6649)] = 294403,
  [SMALL_STATE(6650)] = 294458,
  [SMALL_STATE(6651)] = 294513,
  [SMALL_STATE(6652)] = 294568,
  [SMALL_STATE(6653)] = 294625,
  [SMALL_STATE(6654)] = 294680,
  [SMALL_STATE(6655)] = 294785,
  [SMALL_STATE(6656)] = 294840,
  [SMALL_STATE(6657)] = 294895,
  [SMALL_STATE(6658)] = 294950,
  [SMALL_STATE(6659)] = 295005,
  [SMALL_STATE(6660)] = 295060,
  [SMALL_STATE(6661)] = 295115,
  [SMALL_STATE(6662)] = 295170,
  [SMALL_STATE(6663)] = 295225,
  [SMALL_STATE(6664)] = 295280,
  [SMALL_STATE(6665)] = 295335,
  [SMALL_STATE(6666)] = 295390,
  [SMALL_STATE(6667)] = 295445,
  [SMALL_STATE(6668)] = 295500,
  [SMALL_STATE(6669)] = 295555,
  [SMALL_STATE(6670)] = 295610,
  [SMALL_STATE(6671)] = 295665,
  [SMALL_STATE(6672)] = 295720,
  [SMALL_STATE(6673)] = 295777,
  [SMALL_STATE(6674)] = 295832,
  [SMALL_STATE(6675)] = 295887,
  [SMALL_STATE(6676)] = 295942,
  [SMALL_STATE(6677)] = 295997,
  [SMALL_STATE(6678)] = 296052,
  [SMALL_STATE(6679)] = 296107,
  [SMALL_STATE(6680)] = 296162,
  [SMALL_STATE(6681)] = 296217,
  [SMALL_STATE(6682)] = 296272,
  [SMALL_STATE(6683)] = 296327,
  [SMALL_STATE(6684)] = 296382,
  [SMALL_STATE(6685)] = 296437,
  [SMALL_STATE(6686)] = 296492,
  [SMALL_STATE(6687)] = 296547,
  [SMALL_STATE(6688)] = 296602,
  [SMALL_STATE(6689)] = 296657,
  [SMALL_STATE(6690)] = 296712,
  [SMALL_STATE(6691)] = 296767,
  [SMALL_STATE(6692)] = 296822,
  [SMALL_STATE(6693)] = 296877,
  [SMALL_STATE(6694)] = 296932,
  [SMALL_STATE(6695)] = 296987,
  [SMALL_STATE(6696)] = 297042,
  [SMALL_STATE(6697)] = 297103,
  [SMALL_STATE(6698)] = 297158,
  [SMALL_STATE(6699)] = 297213,
  [SMALL_STATE(6700)] = 297268,
  [SMALL_STATE(6701)] = 297323,
  [SMALL_STATE(6702)] = 297378,
  [SMALL_STATE(6703)] = 297433,
  [SMALL_STATE(6704)] = 297488,
  [SMALL_STATE(6705)] = 297543,
  [SMALL_STATE(6706)] = 297600,
  [SMALL_STATE(6707)] = 297655,
  [SMALL_STATE(6708)] = 297710,
  [SMALL_STATE(6709)] = 297765,
  [SMALL_STATE(6710)] = 297822,
  [SMALL_STATE(6711)] = 297877,
  [SMALL_STATE(6712)] = 297932,
  [SMALL_STATE(6713)] = 297987,
  [SMALL_STATE(6714)] = 298042,
  [SMALL_STATE(6715)] = 298097,
  [SMALL_STATE(6716)] = 298152,
  [SMALL_STATE(6717)] = 298209,
  [SMALL_STATE(6718)] = 298264,
  [SMALL_STATE(6719)] = 298319,
  [SMALL_STATE(6720)] = 298374,
  [SMALL_STATE(6721)] = 298429,
  [SMALL_STATE(6722)] = 298484,
  [SMALL_STATE(6723)] = 298539,
  [SMALL_STATE(6724)] = 298594,
  [SMALL_STATE(6725)] = 298649,
  [SMALL_STATE(6726)] = 298704,
  [SMALL_STATE(6727)] = 298759,
  [SMALL_STATE(6728)] = 298814,
  [SMALL_STATE(6729)] = 298869,
  [SMALL_STATE(6730)] = 298924,
  [SMALL_STATE(6731)] = 298979,
  [SMALL_STATE(6732)] = 299034,
  [SMALL_STATE(6733)] = 299089,
  [SMALL_STATE(6734)] = 299144,
  [SMALL_STATE(6735)] = 299199,
  [SMALL_STATE(6736)] = 299254,
  [SMALL_STATE(6737)] = 299309,
  [SMALL_STATE(6738)] = 299364,
  [SMALL_STATE(6739)] = 299419,
  [SMALL_STATE(6740)] = 299476,
  [SMALL_STATE(6741)] = 299531,
  [SMALL_STATE(6742)] = 299586,
  [SMALL_STATE(6743)] = 299641,
  [SMALL_STATE(6744)] = 299696,
  [SMALL_STATE(6745)] = 299751,
  [SMALL_STATE(6746)] = 299806,
  [SMALL_STATE(6747)] = 299861,
  [SMALL_STATE(6748)] = 299966,
  [SMALL_STATE(6749)] = 300021,
  [SMALL_STATE(6750)] = 300076,
  [SMALL_STATE(6751)] = 300131,
  [SMALL_STATE(6752)] = 300186,
  [SMALL_STATE(6753)] = 300241,
  [SMALL_STATE(6754)] = 300296,
  [SMALL_STATE(6755)] = 300351,
  [SMALL_STATE(6756)] = 300412,
  [SMALL_STATE(6757)] = 300467,
  [SMALL_STATE(6758)] = 300522,
  [SMALL_STATE(6759)] = 300577,
  [SMALL_STATE(6760)] = 300632,
  [SMALL_STATE(6761)] = 300687,
  [SMALL_STATE(6762)] = 300792,
  [SMALL_STATE(6763)] = 300847,
  [SMALL_STATE(6764)] = 300902,
  [SMALL_STATE(6765)] = 300957,
  [SMALL_STATE(6766)] = 301012,
  [SMALL_STATE(6767)] = 301067,
  [SMALL_STATE(6768)] = 301122,
  [SMALL_STATE(6769)] = 301177,
  [SMALL_STATE(6770)] = 301232,
  [SMALL_STATE(6771)] = 301287,
  [SMALL_STATE(6772)] = 301342,
  [SMALL_STATE(6773)] = 301397,
  [SMALL_STATE(6774)] = 301452,
  [SMALL_STATE(6775)] = 301507,
  [SMALL_STATE(6776)] = 301562,
  [SMALL_STATE(6777)] = 301617,
  [SMALL_STATE(6778)] = 301672,
  [SMALL_STATE(6779)] = 301727,
  [SMALL_STATE(6780)] = 301782,
  [SMALL_STATE(6781)] = 301837,
  [SMALL_STATE(6782)] = 301892,
  [SMALL_STATE(6783)] = 301947,
  [SMALL_STATE(6784)] = 302002,
  [SMALL_STATE(6785)] = 302057,
  [SMALL_STATE(6786)] = 302112,
  [SMALL_STATE(6787)] = 302167,
  [SMALL_STATE(6788)] = 302222,
  [SMALL_STATE(6789)] = 302277,
  [SMALL_STATE(6790)] = 302332,
  [SMALL_STATE(6791)] = 302387,
  [SMALL_STATE(6792)] = 302442,
  [SMALL_STATE(6793)] = 302497,
  [SMALL_STATE(6794)] = 302552,
  [SMALL_STATE(6795)] = 302607,
  [SMALL_STATE(6796)] = 302662,
  [SMALL_STATE(6797)] = 302717,
  [SMALL_STATE(6798)] = 302772,
  [SMALL_STATE(6799)] = 302827,
  [SMALL_STATE(6800)] = 302882,
  [SMALL_STATE(6801)] = 302937,
  [SMALL_STATE(6802)] = 302992,
  [SMALL_STATE(6803)] = 303047,
  [SMALL_STATE(6804)] = 303102,
  [SMALL_STATE(6805)] = 303157,
  [SMALL_STATE(6806)] = 303212,
  [SMALL_STATE(6807)] = 303267,
  [SMALL_STATE(6808)] = 303324,
  [SMALL_STATE(6809)] = 303379,
  [SMALL_STATE(6810)] = 303434,
  [SMALL_STATE(6811)] = 303489,
  [SMALL_STATE(6812)] = 303544,
  [SMALL_STATE(6813)] = 303599,
  [SMALL_STATE(6814)] = 303654,
  [SMALL_STATE(6815)] = 303709,
  [SMALL_STATE(6816)] = 303764,
  [SMALL_STATE(6817)] = 303819,
  [SMALL_STATE(6818)] = 303876,
  [SMALL_STATE(6819)] = 303931,
  [SMALL_STATE(6820)] = 303986,
  [SMALL_STATE(6821)] = 304041,
  [SMALL_STATE(6822)] = 304096,
  [SMALL_STATE(6823)] = 304151,
  [SMALL_STATE(6824)] = 304206,
  [SMALL_STATE(6825)] = 304261,
  [SMALL_STATE(6826)] = 304316,
  [SMALL_STATE(6827)] = 304371,
  [SMALL_STATE(6828)] = 304426,
  [SMALL_STATE(6829)] = 304481,
  [SMALL_STATE(6830)] = 304536,
  [SMALL_STATE(6831)] = 304591,
  [SMALL_STATE(6832)] = 304646,
  [SMALL_STATE(6833)] = 304701,
  [SMALL_STATE(6834)] = 304756,
  [SMALL_STATE(6835)] = 304811,
  [SMALL_STATE(6836)] = 304866,
  [SMALL_STATE(6837)] = 304921,
  [SMALL_STATE(6838)] = 304976,
  [SMALL_STATE(6839)] = 305031,
  [SMALL_STATE(6840)] = 305086,
  [SMALL_STATE(6841)] = 305141,
  [SMALL_STATE(6842)] = 305196,
  [SMALL_STATE(6843)] = 305251,
  [SMALL_STATE(6844)] = 305306,
  [SMALL_STATE(6845)] = 305363,
  [SMALL_STATE(6846)] = 305418,
  [SMALL_STATE(6847)] = 305473,
  [SMALL_STATE(6848)] = 305528,
  [SMALL_STATE(6849)] = 305583,
  [SMALL_STATE(6850)] = 305638,
  [SMALL_STATE(6851)] = 305695,
  [SMALL_STATE(6852)] = 305750,
  [SMALL_STATE(6853)] = 305807,
  [SMALL_STATE(6854)] = 305862,
  [SMALL_STATE(6855)] = 305917,
  [SMALL_STATE(6856)] = 305972,
  [SMALL_STATE(6857)] = 306027,
  [SMALL_STATE(6858)] = 306082,
  [SMALL_STATE(6859)] = 306139,
  [SMALL_STATE(6860)] = 306194,
  [SMALL_STATE(6861)] = 306249,
  [SMALL_STATE(6862)] = 306306,
  [SMALL_STATE(6863)] = 306361,
  [SMALL_STATE(6864)] = 306416,
  [SMALL_STATE(6865)] = 306471,
  [SMALL_STATE(6866)] = 306526,
  [SMALL_STATE(6867)] = 306581,
  [SMALL_STATE(6868)] = 306636,
  [SMALL_STATE(6869)] = 306691,
  [SMALL_STATE(6870)] = 306746,
  [SMALL_STATE(6871)] = 306801,
  [SMALL_STATE(6872)] = 306856,
  [SMALL_STATE(6873)] = 306911,
  [SMALL_STATE(6874)] = 306966,
  [SMALL_STATE(6875)] = 307021,
  [SMALL_STATE(6876)] = 307076,
  [SMALL_STATE(6877)] = 307131,
  [SMALL_STATE(6878)] = 307186,
  [SMALL_STATE(6879)] = 307241,
  [SMALL_STATE(6880)] = 307296,
  [SMALL_STATE(6881)] = 307351,
  [SMALL_STATE(6882)] = 307406,
  [SMALL_STATE(6883)] = 307461,
  [SMALL_STATE(6884)] = 307516,
  [SMALL_STATE(6885)] = 307571,
  [SMALL_STATE(6886)] = 307626,
  [SMALL_STATE(6887)] = 307681,
  [SMALL_STATE(6888)] = 307736,
  [SMALL_STATE(6889)] = 307791,
  [SMALL_STATE(6890)] = 307848,
  [SMALL_STATE(6891)] = 307903,
  [SMALL_STATE(6892)] = 307958,
  [SMALL_STATE(6893)] = 308013,
  [SMALL_STATE(6894)] = 308068,
  [SMALL_STATE(6895)] = 308123,
  [SMALL_STATE(6896)] = 308178,
  [SMALL_STATE(6897)] = 308233,
  [SMALL_STATE(6898)] = 308288,
  [SMALL_STATE(6899)] = 308343,
  [SMALL_STATE(6900)] = 308398,
  [SMALL_STATE(6901)] = 308453,
  [SMALL_STATE(6902)] = 308508,
  [SMALL_STATE(6903)] = 308563,
  [SMALL_STATE(6904)] = 308624,
  [SMALL_STATE(6905)] = 308681,
  [SMALL_STATE(6906)] = 308736,
  [SMALL_STATE(6907)] = 308791,
  [SMALL_STATE(6908)] = 308846,
  [SMALL_STATE(6909)] = 308901,
  [SMALL_STATE(6910)] = 308956,
  [SMALL_STATE(6911)] = 309017,
  [SMALL_STATE(6912)] = 309072,
  [SMALL_STATE(6913)] = 309127,
  [SMALL_STATE(6914)] = 309182,
  [SMALL_STATE(6915)] = 309237,
  [SMALL_STATE(6916)] = 309292,
  [SMALL_STATE(6917)] = 309347,
  [SMALL_STATE(6918)] = 309402,
  [SMALL_STATE(6919)] = 309457,
  [SMALL_STATE(6920)] = 309512,
  [SMALL_STATE(6921)] = 309567,
  [SMALL_STATE(6922)] = 309622,
  [SMALL_STATE(6923)] = 309677,
  [SMALL_STATE(6924)] = 309732,
  [SMALL_STATE(6925)] = 309787,
  [SMALL_STATE(6926)] = 309842,
  [SMALL_STATE(6927)] = 309897,
  [SMALL_STATE(6928)] = 309952,
  [SMALL_STATE(6929)] = 310007,
  [SMALL_STATE(6930)] = 310062,
  [SMALL_STATE(6931)] = 310117,
  [SMALL_STATE(6932)] = 310172,
  [SMALL_STATE(6933)] = 310227,
  [SMALL_STATE(6934)] = 310282,
  [SMALL_STATE(6935)] = 310337,
  [SMALL_STATE(6936)] = 310392,
  [SMALL_STATE(6937)] = 310447,
  [SMALL_STATE(6938)] = 310504,
  [SMALL_STATE(6939)] = 310559,
  [SMALL_STATE(6940)] = 310614,
  [SMALL_STATE(6941)] = 310669,
  [SMALL_STATE(6942)] = 310724,
  [SMALL_STATE(6943)] = 310779,
  [SMALL_STATE(6944)] = 310834,
  [SMALL_STATE(6945)] = 310891,
  [SMALL_STATE(6946)] = 310946,
  [SMALL_STATE(6947)] = 311001,
  [SMALL_STATE(6948)] = 311056,
  [SMALL_STATE(6949)] = 311113,
  [SMALL_STATE(6950)] = 311168,
  [SMALL_STATE(6951)] = 311223,
  [SMALL_STATE(6952)] = 311278,
  [SMALL_STATE(6953)] = 311333,
  [SMALL_STATE(6954)] = 311388,
  [SMALL_STATE(6955)] = 311443,
  [SMALL_STATE(6956)] = 311498,
  [SMALL_STATE(6957)] = 311553,
  [SMALL_STATE(6958)] = 311608,
  [SMALL_STATE(6959)] = 311663,
  [SMALL_STATE(6960)] = 311718,
  [SMALL_STATE(6961)] = 311773,
  [SMALL_STATE(6962)] = 311828,
  [SMALL_STATE(6963)] = 311883,
  [SMALL_STATE(6964)] = 311938,
  [SMALL_STATE(6965)] = 311993,
  [SMALL_STATE(6966)] = 312048,
  [SMALL_STATE(6967)] = 312103,
  [SMALL_STATE(6968)] = 312158,
  [SMALL_STATE(6969)] = 312213,
  [SMALL_STATE(6970)] = 312270,
  [SMALL_STATE(6971)] = 312325,
  [SMALL_STATE(6972)] = 312380,
  [SMALL_STATE(6973)] = 312435,
  [SMALL_STATE(6974)] = 312490,
  [SMALL_STATE(6975)] = 312545,
  [SMALL_STATE(6976)] = 312600,
  [SMALL_STATE(6977)] = 312655,
  [SMALL_STATE(6978)] = 312710,
  [SMALL_STATE(6979)] = 312765,
  [SMALL_STATE(6980)] = 312820,
  [SMALL_STATE(6981)] = 312875,
  [SMALL_STATE(6982)] = 312930,
  [SMALL_STATE(6983)] = 312985,
  [SMALL_STATE(6984)] = 313040,
  [SMALL_STATE(6985)] = 313095,
  [SMALL_STATE(6986)] = 313150,
  [SMALL_STATE(6987)] = 313205,
  [SMALL_STATE(6988)] = 313260,
  [SMALL_STATE(6989)] = 313315,
  [SMALL_STATE(6990)] = 313370,
  [SMALL_STATE(6991)] = 313425,
  [SMALL_STATE(6992)] = 313480,
  [SMALL_STATE(6993)] = 313535,
  [SMALL_STATE(6994)] = 313590,
  [SMALL_STATE(6995)] = 313647,
  [SMALL_STATE(6996)] = 313702,
  [SMALL_STATE(6997)] = 313757,
  [SMALL_STATE(6998)] = 313812,
  [SMALL_STATE(6999)] = 313867,
  [SMALL_STATE(7000)] = 313922,
  [SMALL_STATE(7001)] = 313983,
  [SMALL_STATE(7002)] = 314038,
  [SMALL_STATE(7003)] = 314093,
  [SMALL_STATE(7004)] = 314148,
  [SMALL_STATE(7005)] = 314203,
  [SMALL_STATE(7006)] = 314258,
  [SMALL_STATE(7007)] = 314313,
  [SMALL_STATE(7008)] = 314374,
  [SMALL_STATE(7009)] = 314429,
  [SMALL_STATE(7010)] = 314484,
  [SMALL_STATE(7011)] = 314539,
  [SMALL_STATE(7012)] = 314594,
  [SMALL_STATE(7013)] = 314649,
  [SMALL_STATE(7014)] = 314706,
  [SMALL_STATE(7015)] = 314761,
  [SMALL_STATE(7016)] = 314816,
  [SMALL_STATE(7017)] = 314871,
  [SMALL_STATE(7018)] = 314926,
  [SMALL_STATE(7019)] = 314981,
  [SMALL_STATE(7020)] = 315086,
  [SMALL_STATE(7021)] = 315141,
  [SMALL_STATE(7022)] = 315196,
  [SMALL_STATE(7023)] = 315251,
  [SMALL_STATE(7024)] = 315306,
  [SMALL_STATE(7025)] = 315361,
  [SMALL_STATE(7026)] = 315416,
  [SMALL_STATE(7027)] = 315471,
  [SMALL_STATE(7028)] = 315526,
  [SMALL_STATE(7029)] = 315587,
  [SMALL_STATE(7030)] = 315642,
  [SMALL_STATE(7031)] = 315697,
  [SMALL_STATE(7032)] = 315802,
  [SMALL_STATE(7033)] = 315857,
  [SMALL_STATE(7034)] = 315912,
  [SMALL_STATE(7035)] = 315973,
  [SMALL_STATE(7036)] = 316028,
  [SMALL_STATE(7037)] = 316133,
  [SMALL_STATE(7038)] = 316188,
  [SMALL_STATE(7039)] = 316243,
  [SMALL_STATE(7040)] = 316298,
  [SMALL_STATE(7041)] = 316355,
  [SMALL_STATE(7042)] = 316410,
  [SMALL_STATE(7043)] = 316465,
  [SMALL_STATE(7044)] = 316520,
  [SMALL_STATE(7045)] = 316575,
  [SMALL_STATE(7046)] = 316636,
  [SMALL_STATE(7047)] = 316691,
  [SMALL_STATE(7048)] = 316746,
  [SMALL_STATE(7049)] = 316801,
  [SMALL_STATE(7050)] = 316856,
  [SMALL_STATE(7051)] = 316911,
  [SMALL_STATE(7052)] = 316966,
  [SMALL_STATE(7053)] = 317021,
  [SMALL_STATE(7054)] = 317076,
  [SMALL_STATE(7055)] = 317131,
  [SMALL_STATE(7056)] = 317186,
  [SMALL_STATE(7057)] = 317241,
  [SMALL_STATE(7058)] = 317296,
  [SMALL_STATE(7059)] = 317351,
  [SMALL_STATE(7060)] = 317406,
  [SMALL_STATE(7061)] = 317461,
  [SMALL_STATE(7062)] = 317516,
  [SMALL_STATE(7063)] = 317571,
  [SMALL_STATE(7064)] = 317626,
  [SMALL_STATE(7065)] = 317681,
  [SMALL_STATE(7066)] = 317736,
  [SMALL_STATE(7067)] = 317791,
  [SMALL_STATE(7068)] = 317846,
  [SMALL_STATE(7069)] = 317901,
  [SMALL_STATE(7070)] = 317956,
  [SMALL_STATE(7071)] = 318011,
  [SMALL_STATE(7072)] = 318066,
  [SMALL_STATE(7073)] = 318121,
  [SMALL_STATE(7074)] = 318176,
  [SMALL_STATE(7075)] = 318231,
  [SMALL_STATE(7076)] = 318292,
  [SMALL_STATE(7077)] = 318347,
  [SMALL_STATE(7078)] = 318402,
  [SMALL_STATE(7079)] = 318457,
  [SMALL_STATE(7080)] = 318512,
  [SMALL_STATE(7081)] = 318567,
  [SMALL_STATE(7082)] = 318622,
  [SMALL_STATE(7083)] = 318677,
  [SMALL_STATE(7084)] = 318732,
  [SMALL_STATE(7085)] = 318789,
  [SMALL_STATE(7086)] = 318844,
  [SMALL_STATE(7087)] = 318899,
  [SMALL_STATE(7088)] = 318954,
  [SMALL_STATE(7089)] = 319009,
  [SMALL_STATE(7090)] = 319064,
  [SMALL_STATE(7091)] = 319125,
  [SMALL_STATE(7092)] = 319180,
  [SMALL_STATE(7093)] = 319235,
  [SMALL_STATE(7094)] = 319290,
  [SMALL_STATE(7095)] = 319345,
  [SMALL_STATE(7096)] = 319400,
  [SMALL_STATE(7097)] = 319455,
  [SMALL_STATE(7098)] = 319510,
  [SMALL_STATE(7099)] = 319565,
  [SMALL_STATE(7100)] = 319620,
  [SMALL_STATE(7101)] = 319675,
  [SMALL_STATE(7102)] = 319730,
  [SMALL_STATE(7103)] = 319785,
  [SMALL_STATE(7104)] = 319840,
  [SMALL_STATE(7105)] = 319895,
  [SMALL_STATE(7106)] = 319950,
  [SMALL_STATE(7107)] = 320005,
  [SMALL_STATE(7108)] = 320060,
  [SMALL_STATE(7109)] = 320115,
  [SMALL_STATE(7110)] = 320170,
  [SMALL_STATE(7111)] = 320227,
  [SMALL_STATE(7112)] = 320282,
  [SMALL_STATE(7113)] = 320337,
  [SMALL_STATE(7114)] = 320392,
  [SMALL_STATE(7115)] = 320447,
  [SMALL_STATE(7116)] = 320502,
  [SMALL_STATE(7117)] = 320557,
  [SMALL_STATE(7118)] = 320618,
  [SMALL_STATE(7119)] = 320673,
  [SMALL_STATE(7120)] = 320728,
  [SMALL_STATE(7121)] = 320785,
  [SMALL_STATE(7122)] = 320840,
  [SMALL_STATE(7123)] = 320895,
  [SMALL_STATE(7124)] = 321000,
  [SMALL_STATE(7125)] = 321055,
  [SMALL_STATE(7126)] = 321110,
  [SMALL_STATE(7127)] = 321165,
  [SMALL_STATE(7128)] = 321220,
  [SMALL_STATE(7129)] = 321275,
  [SMALL_STATE(7130)] = 321330,
  [SMALL_STATE(7131)] = 321385,
  [SMALL_STATE(7132)] = 321440,
  [SMALL_STATE(7133)] = 321495,
  [SMALL_STATE(7134)] = 321550,
  [SMALL_STATE(7135)] = 321605,
  [SMALL_STATE(7136)] = 321710,
  [SMALL_STATE(7137)] = 321765,
  [SMALL_STATE(7138)] = 321820,
  [SMALL_STATE(7139)] = 321875,
  [SMALL_STATE(7140)] = 321930,
  [SMALL_STATE(7141)] = 321985,
  [SMALL_STATE(7142)] = 322040,
  [SMALL_STATE(7143)] = 322095,
  [SMALL_STATE(7144)] = 322150,
  [SMALL_STATE(7145)] = 322205,
  [SMALL_STATE(7146)] = 322260,
  [SMALL_STATE(7147)] = 322315,
  [SMALL_STATE(7148)] = 322370,
  [SMALL_STATE(7149)] = 322425,
  [SMALL_STATE(7150)] = 322480,
  [SMALL_STATE(7151)] = 322535,
  [SMALL_STATE(7152)] = 322590,
  [SMALL_STATE(7153)] = 322645,
  [SMALL_STATE(7154)] = 322700,
  [SMALL_STATE(7155)] = 322755,
  [SMALL_STATE(7156)] = 322812,
  [SMALL_STATE(7157)] = 322867,
  [SMALL_STATE(7158)] = 322921,
  [SMALL_STATE(7159)] = 322975,
  [SMALL_STATE(7160)] = 323029,
  [SMALL_STATE(7161)] = 323083,
  [SMALL_STATE(7162)] = 323137,
  [SMALL_STATE(7163)] = 323191,
  [SMALL_STATE(7164)] = 323245,
  [SMALL_STATE(7165)] = 323299,
  [SMALL_STATE(7166)] = 323353,
  [SMALL_STATE(7167)] = 323407,
  [SMALL_STATE(7168)] = 323463,
  [SMALL_STATE(7169)] = 323517,
  [SMALL_STATE(7170)] = 323571,
  [SMALL_STATE(7171)] = 323627,
  [SMALL_STATE(7172)] = 323681,
  [SMALL_STATE(7173)] = 323737,
  [SMALL_STATE(7174)] = 323791,
  [SMALL_STATE(7175)] = 323845,
  [SMALL_STATE(7176)] = 323899,
  [SMALL_STATE(7177)] = 323953,
  [SMALL_STATE(7178)] = 324007,
  [SMALL_STATE(7179)] = 324061,
  [SMALL_STATE(7180)] = 324115,
  [SMALL_STATE(7181)] = 324169,
  [SMALL_STATE(7182)] = 324223,
  [SMALL_STATE(7183)] = 324277,
  [SMALL_STATE(7184)] = 324331,
  [SMALL_STATE(7185)] = 324385,
  [SMALL_STATE(7186)] = 324439,
  [SMALL_STATE(7187)] = 324493,
  [SMALL_STATE(7188)] = 324547,
  [SMALL_STATE(7189)] = 324601,
  [SMALL_STATE(7190)] = 324655,
  [SMALL_STATE(7191)] = 324709,
  [SMALL_STATE(7192)] = 324763,
  [SMALL_STATE(7193)] = 324817,
  [SMALL_STATE(7194)] = 324871,
  [SMALL_STATE(7195)] = 324925,
  [SMALL_STATE(7196)] = 324979,
  [SMALL_STATE(7197)] = 325033,
  [SMALL_STATE(7198)] = 325087,
  [SMALL_STATE(7199)] = 325143,
  [SMALL_STATE(7200)] = 325199,
  [SMALL_STATE(7201)] = 325255,
  [SMALL_STATE(7202)] = 325309,
  [SMALL_STATE(7203)] = 325365,
  [SMALL_STATE(7204)] = 325419,
  [SMALL_STATE(7205)] = 325475,
  [SMALL_STATE(7206)] = 325529,
  [SMALL_STATE(7207)] = 325585,
  [SMALL_STATE(7208)] = 325639,
  [SMALL_STATE(7209)] = 325693,
  [SMALL_STATE(7210)] = 325747,
  [SMALL_STATE(7211)] = 325801,
  [SMALL_STATE(7212)] = 325855,
  [SMALL_STATE(7213)] = 325909,
  [SMALL_STATE(7214)] = 325963,
  [SMALL_STATE(7215)] = 326017,
  [SMALL_STATE(7216)] = 326071,
  [SMALL_STATE(7217)] = 326125,
  [SMALL_STATE(7218)] = 326179,
  [SMALL_STATE(7219)] = 326233,
  [SMALL_STATE(7220)] = 326287,
  [SMALL_STATE(7221)] = 326341,
  [SMALL_STATE(7222)] = 326395,
  [SMALL_STATE(7223)] = 326449,
  [SMALL_STATE(7224)] = 326503,
  [SMALL_STATE(7225)] = 326557,
  [SMALL_STATE(7226)] = 326613,
  [SMALL_STATE(7227)] = 326669,
  [SMALL_STATE(7228)] = 326729,
  [SMALL_STATE(7229)] = 326789,
  [SMALL_STATE(7230)] = 326845,
  [SMALL_STATE(7231)] = 326899,
  [SMALL_STATE(7232)] = 326953,
  [SMALL_STATE(7233)] = 327009,
  [SMALL_STATE(7234)] = 327063,
  [SMALL_STATE(7235)] = 327117,
  [SMALL_STATE(7236)] = 327177,
  [SMALL_STATE(7237)] = 327237,
  [SMALL_STATE(7238)] = 327291,
  [SMALL_STATE(7239)] = 327345,
  [SMALL_STATE(7240)] = 327399,
  [SMALL_STATE(7241)] = 327453,
  [SMALL_STATE(7242)] = 327507,
  [SMALL_STATE(7243)] = 327561,
  [SMALL_STATE(7244)] = 327615,
  [SMALL_STATE(7245)] = 327669,
  [SMALL_STATE(7246)] = 327723,
  [SMALL_STATE(7247)] = 327777,
  [SMALL_STATE(7248)] = 327831,
  [SMALL_STATE(7249)] = 327885,
  [SMALL_STATE(7250)] = 327939,
  [SMALL_STATE(7251)] = 327993,
  [SMALL_STATE(7252)] = 328047,
  [SMALL_STATE(7253)] = 328101,
  [SMALL_STATE(7254)] = 328155,
  [SMALL_STATE(7255)] = 328209,
  [SMALL_STATE(7256)] = 328263,
  [SMALL_STATE(7257)] = 328317,
  [SMALL_STATE(7258)] = 328371,
  [SMALL_STATE(7259)] = 328425,
  [SMALL_STATE(7260)] = 328479,
  [SMALL_STATE(7261)] = 328533,
  [SMALL_STATE(7262)] = 328587,
  [SMALL_STATE(7263)] = 328641,
  [SMALL_STATE(7264)] = 328697,
  [SMALL_STATE(7265)] = 328751,
  [SMALL_STATE(7266)] = 328805,
  [SMALL_STATE(7267)] = 328859,
  [SMALL_STATE(7268)] = 328913,
  [SMALL_STATE(7269)] = 328967,
  [SMALL_STATE(7270)] = 329021,
  [SMALL_STATE(7271)] = 329075,
  [SMALL_STATE(7272)] = 329129,
  [SMALL_STATE(7273)] = 329183,
  [SMALL_STATE(7274)] = 329237,
  [SMALL_STATE(7275)] = 329291,
  [SMALL_STATE(7276)] = 329345,
  [SMALL_STATE(7277)] = 329399,
  [SMALL_STATE(7278)] = 329453,
  [SMALL_STATE(7279)] = 329507,
  [SMALL_STATE(7280)] = 329561,
  [SMALL_STATE(7281)] = 329615,
  [SMALL_STATE(7282)] = 329669,
  [SMALL_STATE(7283)] = 329723,
  [SMALL_STATE(7284)] = 329777,
  [SMALL_STATE(7285)] = 329831,
  [SMALL_STATE(7286)] = 329885,
  [SMALL_STATE(7287)] = 329939,
  [SMALL_STATE(7288)] = 329993,
  [SMALL_STATE(7289)] = 330047,
  [SMALL_STATE(7290)] = 330101,
  [SMALL_STATE(7291)] = 330155,
  [SMALL_STATE(7292)] = 330209,
  [SMALL_STATE(7293)] = 330263,
  [SMALL_STATE(7294)] = 330317,
  [SMALL_STATE(7295)] = 330371,
  [SMALL_STATE(7296)] = 330425,
  [SMALL_STATE(7297)] = 330479,
  [SMALL_STATE(7298)] = 330533,
  [SMALL_STATE(7299)] = 330587,
  [SMALL_STATE(7300)] = 330641,
  [SMALL_STATE(7301)] = 330695,
  [SMALL_STATE(7302)] = 330749,
  [SMALL_STATE(7303)] = 330803,
  [SMALL_STATE(7304)] = 330857,
  [SMALL_STATE(7305)] = 330911,
  [SMALL_STATE(7306)] = 330965,
  [SMALL_STATE(7307)] = 331019,
  [SMALL_STATE(7308)] = 331073,
  [SMALL_STATE(7309)] = 331127,
  [SMALL_STATE(7310)] = 331181,
  [SMALL_STATE(7311)] = 331235,
  [SMALL_STATE(7312)] = 331289,
  [SMALL_STATE(7313)] = 331343,
  [SMALL_STATE(7314)] = 331397,
  [SMALL_STATE(7315)] = 331451,
  [SMALL_STATE(7316)] = 331505,
  [SMALL_STATE(7317)] = 331559,
  [SMALL_STATE(7318)] = 331613,
  [SMALL_STATE(7319)] = 331667,
  [SMALL_STATE(7320)] = 331721,
  [SMALL_STATE(7321)] = 331775,
  [SMALL_STATE(7322)] = 331829,
  [SMALL_STATE(7323)] = 331883,
  [SMALL_STATE(7324)] = 331937,
  [SMALL_STATE(7325)] = 331991,
  [SMALL_STATE(7326)] = 332045,
  [SMALL_STATE(7327)] = 332099,
  [SMALL_STATE(7328)] = 332153,
  [SMALL_STATE(7329)] = 332207,
  [SMALL_STATE(7330)] = 332261,
  [SMALL_STATE(7331)] = 332315,
  [SMALL_STATE(7332)] = 332369,
  [SMALL_STATE(7333)] = 332423,
  [SMALL_STATE(7334)] = 332477,
  [SMALL_STATE(7335)] = 332531,
  [SMALL_STATE(7336)] = 332585,
  [SMALL_STATE(7337)] = 332639,
  [SMALL_STATE(7338)] = 332693,
  [SMALL_STATE(7339)] = 332747,
  [SMALL_STATE(7340)] = 332803,
  [SMALL_STATE(7341)] = 332857,
  [SMALL_STATE(7342)] = 332911,
  [SMALL_STATE(7343)] = 332965,
  [SMALL_STATE(7344)] = 333019,
  [SMALL_STATE(7345)] = 333073,
  [SMALL_STATE(7346)] = 333126,
  [SMALL_STATE(7347)] = 333179,
  [SMALL_STATE(7348)] = 333232,
  [SMALL_STATE(7349)] = 333285,
  [SMALL_STATE(7350)] = 333338,
  [SMALL_STATE(7351)] = 333391,
  [SMALL_STATE(7352)] = 333444,
  [SMALL_STATE(7353)] = 333497,
  [SMALL_STATE(7354)] = 333550,
  [SMALL_STATE(7355)] = 333605,
  [SMALL_STATE(7356)] = 333658,
  [SMALL_STATE(7357)] = 333711,
  [SMALL_STATE(7358)] = 333764,
  [SMALL_STATE(7359)] = 333817,
  [SMALL_STATE(7360)] = 333870,
  [SMALL_STATE(7361)] = 333923,
  [SMALL_STATE(7362)] = 333976,
  [SMALL_STATE(7363)] = 334031,
  [SMALL_STATE(7364)] = 334084,
  [SMALL_STATE(7365)] = 334137,
  [SMALL_STATE(7366)] = 334190,
  [SMALL_STATE(7367)] = 334243,
  [SMALL_STATE(7368)] = 334296,
  [SMALL_STATE(7369)] = 334349,
  [SMALL_STATE(7370)] = 334402,
  [SMALL_STATE(7371)] = 334455,
  [SMALL_STATE(7372)] = 334508,
  [SMALL_STATE(7373)] = 334561,
  [SMALL_STATE(7374)] = 334614,
  [SMALL_STATE(7375)] = 334667,
  [SMALL_STATE(7376)] = 334720,
  [SMALL_STATE(7377)] = 334775,
  [SMALL_STATE(7378)] = 334830,
  [SMALL_STATE(7379)] = 334883,
  [SMALL_STATE(7380)] = 334936,
  [SMALL_STATE(7381)] = 334989,
  [SMALL_STATE(7382)] = 335042,
  [SMALL_STATE(7383)] = 335095,
  [SMALL_STATE(7384)] = 335148,
  [SMALL_STATE(7385)] = 335203,
  [SMALL_STATE(7386)] = 335256,
  [SMALL_STATE(7387)] = 335309,
  [SMALL_STATE(7388)] = 335362,
  [SMALL_STATE(7389)] = 335415,
  [SMALL_STATE(7390)] = 335468,
  [SMALL_STATE(7391)] = 335521,
  [SMALL_STATE(7392)] = 335574,
  [SMALL_STATE(7393)] = 335627,
  [SMALL_STATE(7394)] = 335680,
  [SMALL_STATE(7395)] = 335735,
  [SMALL_STATE(7396)] = 335788,
  [SMALL_STATE(7397)] = 335841,
  [SMALL_STATE(7398)] = 335894,
  [SMALL_STATE(7399)] = 335947,
  [SMALL_STATE(7400)] = 336000,
  [SMALL_STATE(7401)] = 336053,
  [SMALL_STATE(7402)] = 336106,
  [SMALL_STATE(7403)] = 336159,
  [SMALL_STATE(7404)] = 336212,
  [SMALL_STATE(7405)] = 336265,
  [SMALL_STATE(7406)] = 336318,
  [SMALL_STATE(7407)] = 336371,
  [SMALL_STATE(7408)] = 336424,
  [SMALL_STATE(7409)] = 336477,
  [SMALL_STATE(7410)] = 336530,
  [SMALL_STATE(7411)] = 336583,
  [SMALL_STATE(7412)] = 336636,
  [SMALL_STATE(7413)] = 336689,
  [SMALL_STATE(7414)] = 336742,
  [SMALL_STATE(7415)] = 336795,
  [SMALL_STATE(7416)] = 336848,
  [SMALL_STATE(7417)] = 336901,
  [SMALL_STATE(7418)] = 336954,
  [SMALL_STATE(7419)] = 337007,
  [SMALL_STATE(7420)] = 337060,
  [SMALL_STATE(7421)] = 337113,
  [SMALL_STATE(7422)] = 337166,
  [SMALL_STATE(7423)] = 337219,
  [SMALL_STATE(7424)] = 337272,
  [SMALL_STATE(7425)] = 337325,
  [SMALL_STATE(7426)] = 337378,
  [SMALL_STATE(7427)] = 337431,
  [SMALL_STATE(7428)] = 337484,
  [SMALL_STATE(7429)] = 337537,
  [SMALL_STATE(7430)] = 337592,
  [SMALL_STATE(7431)] = 337645,
  [SMALL_STATE(7432)] = 337698,
  [SMALL_STATE(7433)] = 337751,
  [SMALL_STATE(7434)] = 337804,
  [SMALL_STATE(7435)] = 337857,
  [SMALL_STATE(7436)] = 337910,
  [SMALL_STATE(7437)] = 337963,
  [SMALL_STATE(7438)] = 338016,
  [SMALL_STATE(7439)] = 338069,
  [SMALL_STATE(7440)] = 338122,
  [SMALL_STATE(7441)] = 338175,
  [SMALL_STATE(7442)] = 338228,
  [SMALL_STATE(7443)] = 338281,
  [SMALL_STATE(7444)] = 338334,
  [SMALL_STATE(7445)] = 338387,
  [SMALL_STATE(7446)] = 338440,
  [SMALL_STATE(7447)] = 338493,
  [SMALL_STATE(7448)] = 338546,
  [SMALL_STATE(7449)] = 338599,
  [SMALL_STATE(7450)] = 338652,
  [SMALL_STATE(7451)] = 338711,
  [SMALL_STATE(7452)] = 338770,
  [SMALL_STATE(7453)] = 338823,
  [SMALL_STATE(7454)] = 338876,
  [SMALL_STATE(7455)] = 338929,
  [SMALL_STATE(7456)] = 338982,
  [SMALL_STATE(7457)] = 339035,
  [SMALL_STATE(7458)] = 339088,
  [SMALL_STATE(7459)] = 339141,
  [SMALL_STATE(7460)] = 339194,
  [SMALL_STATE(7461)] = 339247,
  [SMALL_STATE(7462)] = 339300,
  [SMALL_STATE(7463)] = 339353,
  [SMALL_STATE(7464)] = 339406,
  [SMALL_STATE(7465)] = 339459,
  [SMALL_STATE(7466)] = 339512,
  [SMALL_STATE(7467)] = 339567,
  [SMALL_STATE(7468)] = 339620,
  [SMALL_STATE(7469)] = 339673,
  [SMALL_STATE(7470)] = 339726,
  [SMALL_STATE(7471)] = 339779,
  [SMALL_STATE(7472)] = 339832,
  [SMALL_STATE(7473)] = 339885,
  [SMALL_STATE(7474)] = 339944,
  [SMALL_STATE(7475)] = 339997,
  [SMALL_STATE(7476)] = 340050,
  [SMALL_STATE(7477)] = 340103,
  [SMALL_STATE(7478)] = 340162,
  [SMALL_STATE(7479)] = 340215,
  [SMALL_STATE(7480)] = 340268,
  [SMALL_STATE(7481)] = 340321,
  [SMALL_STATE(7482)] = 340374,
  [SMALL_STATE(7483)] = 340427,
  [SMALL_STATE(7484)] = 340480,
  [SMALL_STATE(7485)] = 340533,
  [SMALL_STATE(7486)] = 340586,
  [SMALL_STATE(7487)] = 340639,
  [SMALL_STATE(7488)] = 340692,
  [SMALL_STATE(7489)] = 340745,
  [SMALL_STATE(7490)] = 340798,
  [SMALL_STATE(7491)] = 340851,
  [SMALL_STATE(7492)] = 340904,
  [SMALL_STATE(7493)] = 340957,
  [SMALL_STATE(7494)] = 341010,
  [SMALL_STATE(7495)] = 341063,
  [SMALL_STATE(7496)] = 341116,
  [SMALL_STATE(7497)] = 341169,
  [SMALL_STATE(7498)] = 341222,
  [SMALL_STATE(7499)] = 341275,
  [SMALL_STATE(7500)] = 341328,
  [SMALL_STATE(7501)] = 341381,
  [SMALL_STATE(7502)] = 341434,
  [SMALL_STATE(7503)] = 341487,
  [SMALL_STATE(7504)] = 341540,
  [SMALL_STATE(7505)] = 341593,
  [SMALL_STATE(7506)] = 341646,
  [SMALL_STATE(7507)] = 341699,
  [SMALL_STATE(7508)] = 341752,
  [SMALL_STATE(7509)] = 341805,
  [SMALL_STATE(7510)] = 341858,
  [SMALL_STATE(7511)] = 341911,
  [SMALL_STATE(7512)] = 341964,
  [SMALL_STATE(7513)] = 342017,
  [SMALL_STATE(7514)] = 342070,
  [SMALL_STATE(7515)] = 342123,
  [SMALL_STATE(7516)] = 342176,
  [SMALL_STATE(7517)] = 342235,
  [SMALL_STATE(7518)] = 342294,
  [SMALL_STATE(7519)] = 342347,
  [SMALL_STATE(7520)] = 342400,
  [SMALL_STATE(7521)] = 342453,
  [SMALL_STATE(7522)] = 342506,
  [SMALL_STATE(7523)] = 342559,
  [SMALL_STATE(7524)] = 342612,
  [SMALL_STATE(7525)] = 342665,
  [SMALL_STATE(7526)] = 342718,
  [SMALL_STATE(7527)] = 342771,
  [SMALL_STATE(7528)] = 342824,
  [SMALL_STATE(7529)] = 342877,
  [SMALL_STATE(7530)] = 342930,
  [SMALL_STATE(7531)] = 342983,
  [SMALL_STATE(7532)] = 343036,
  [SMALL_STATE(7533)] = 343089,
  [SMALL_STATE(7534)] = 343142,
  [SMALL_STATE(7535)] = 343195,
  [SMALL_STATE(7536)] = 343248,
  [SMALL_STATE(7537)] = 343301,
  [SMALL_STATE(7538)] = 343354,
  [SMALL_STATE(7539)] = 343407,
  [SMALL_STATE(7540)] = 343460,
  [SMALL_STATE(7541)] = 343515,
  [SMALL_STATE(7542)] = 343568,
  [SMALL_STATE(7543)] = 343621,
  [SMALL_STATE(7544)] = 343674,
  [SMALL_STATE(7545)] = 343727,
  [SMALL_STATE(7546)] = 343780,
  [SMALL_STATE(7547)] = 343833,
  [SMALL_STATE(7548)] = 343886,
  [SMALL_STATE(7549)] = 343939,
  [SMALL_STATE(7550)] = 343992,
  [SMALL_STATE(7551)] = 344045,
  [SMALL_STATE(7552)] = 344098,
  [SMALL_STATE(7553)] = 344151,
  [SMALL_STATE(7554)] = 344204,
  [SMALL_STATE(7555)] = 344257,
  [SMALL_STATE(7556)] = 344310,
  [SMALL_STATE(7557)] = 344363,
  [SMALL_STATE(7558)] = 344416,
  [SMALL_STATE(7559)] = 344469,
  [SMALL_STATE(7560)] = 344522,
  [SMALL_STATE(7561)] = 344575,
  [SMALL_STATE(7562)] = 344628,
  [SMALL_STATE(7563)] = 344681,
  [SMALL_STATE(7564)] = 344734,
  [SMALL_STATE(7565)] = 344787,
  [SMALL_STATE(7566)] = 344840,
  [SMALL_STATE(7567)] = 344893,
  [SMALL_STATE(7568)] = 344946,
  [SMALL_STATE(7569)] = 344999,
  [SMALL_STATE(7570)] = 345054,
  [SMALL_STATE(7571)] = 345107,
  [SMALL_STATE(7572)] = 345160,
  [SMALL_STATE(7573)] = 345213,
  [SMALL_STATE(7574)] = 345266,
  [SMALL_STATE(7575)] = 345319,
  [SMALL_STATE(7576)] = 345372,
  [SMALL_STATE(7577)] = 345425,
  [SMALL_STATE(7578)] = 345478,
  [SMALL_STATE(7579)] = 345531,
  [SMALL_STATE(7580)] = 345584,
  [SMALL_STATE(7581)] = 345637,
  [SMALL_STATE(7582)] = 345690,
  [SMALL_STATE(7583)] = 345743,
  [SMALL_STATE(7584)] = 345796,
  [SMALL_STATE(7585)] = 345849,
  [SMALL_STATE(7586)] = 345902,
  [SMALL_STATE(7587)] = 345961,
  [SMALL_STATE(7588)] = 346020,
  [SMALL_STATE(7589)] = 346075,
  [SMALL_STATE(7590)] = 346128,
  [SMALL_STATE(7591)] = 346181,
  [SMALL_STATE(7592)] = 346234,
  [SMALL_STATE(7593)] = 346287,
  [SMALL_STATE(7594)] = 346387,
  [SMALL_STATE(7595)] = 346487,
  [SMALL_STATE(7596)] = 346587,
  [SMALL_STATE(7597)] = 346639,
  [SMALL_STATE(7598)] = 346691,
  [SMALL_STATE(7599)] = 346791,
  [SMALL_STATE(7600)] = 346891,
  [SMALL_STATE(7601)] = 346943,
  [SMALL_STATE(7602)] = 346995,
  [SMALL_STATE(7603)] = 347095,
  [SMALL_STATE(7604)] = 347147,
  [SMALL_STATE(7605)] = 347247,
  [SMALL_STATE(7606)] = 347347,
  [SMALL_STATE(7607)] = 347401,
  [SMALL_STATE(7608)] = 347453,
  [SMALL_STATE(7609)] = 347553,
  [SMALL_STATE(7610)] = 347653,
  [SMALL_STATE(7611)] = 347705,
  [SMALL_STATE(7612)] = 347757,
  [SMALL_STATE(7613)] = 347811,
  [SMALL_STATE(7614)] = 347863,
  [SMALL_STATE(7615)] = 347963,
  [SMALL_STATE(7616)] = 348063,
  [SMALL_STATE(7617)] = 348115,
  [SMALL_STATE(7618)] = 348167,
  [SMALL_STATE(7619)] = 348267,
  [SMALL_STATE(7620)] = 348367,
  [SMALL_STATE(7621)] = 348467,
  [SMALL_STATE(7622)] = 348519,
  [SMALL_STATE(7623)] = 348571,
  [SMALL_STATE(7624)] = 348671,
  [SMALL_STATE(7625)] = 348771,
  [SMALL_STATE(7626)] = 348871,
  [SMALL_STATE(7627)] = 348971,
  [SMALL_STATE(7628)] = 349023,
  [SMALL_STATE(7629)] = 349075,
  [SMALL_STATE(7630)] = 349127,
  [SMALL_STATE(7631)] = 349181,
  [SMALL_STATE(7632)] = 349233,
  [SMALL_STATE(7633)] = 349285,
  [SMALL_STATE(7634)] = 349385,
  [SMALL_STATE(7635)] = 349485,
  [SMALL_STATE(7636)] = 349539,
  [SMALL_STATE(7637)] = 349639,
  [SMALL_STATE(7638)] = 349739,
  [SMALL_STATE(7639)] = 349791,
  [SMALL_STATE(7640)] = 349845,
  [SMALL_STATE(7641)] = 349897,
  [SMALL_STATE(7642)] = 349997,
  [SMALL_STATE(7643)] = 350097,
  [SMALL_STATE(7644)] = 350197,
  [SMALL_STATE(7645)] = 350249,
  [SMALL_STATE(7646)] = 350349,
  [SMALL_STATE(7647)] = 350401,
  [SMALL_STATE(7648)] = 350455,
  [SMALL_STATE(7649)] = 350507,
  [SMALL_STATE(7650)] = 350559,
  [SMALL_STATE(7651)] = 350610,
  [SMALL_STATE(7652)] = 350661,
  [SMALL_STATE(7653)] = 350712,
  [SMALL_STATE(7654)] = 350763,
  [SMALL_STATE(7655)] = 350814,
  [SMALL_STATE(7656)] = 350865,
  [SMALL_STATE(7657)] = 350916,
  [SMALL_STATE(7658)] = 350967,
  [SMALL_STATE(7659)] = 351020,
  [SMALL_STATE(7660)] = 351071,
  [SMALL_STATE(7661)] = 351122,
  [SMALL_STATE(7662)] = 351173,
  [SMALL_STATE(7663)] = 351270,
  [SMALL_STATE(7664)] = 351321,
  [SMALL_STATE(7665)] = 351372,
  [SMALL_STATE(7666)] = 351423,
  [SMALL_STATE(7667)] = 351474,
  [SMALL_STATE(7668)] = 351525,
  [SMALL_STATE(7669)] = 351576,
  [SMALL_STATE(7670)] = 351655,
  [SMALL_STATE(7671)] = 351748,
  [SMALL_STATE(7672)] = 351847,
  [SMALL_STATE(7673)] = 351946,
  [SMALL_STATE(7674)] = 352003,
  [SMALL_STATE(7675)] = 352100,
  [SMALL_STATE(7676)] = 352151,
  [SMALL_STATE(7677)] = 352202,
  [SMALL_STATE(7678)] = 352253,
  [SMALL_STATE(7679)] = 352304,
  [SMALL_STATE(7680)] = 352355,
  [SMALL_STATE(7681)] = 352406,
  [SMALL_STATE(7682)] = 352457,
  [SMALL_STATE(7683)] = 352508,
  [SMALL_STATE(7684)] = 352559,
  [SMALL_STATE(7685)] = 352610,
  [SMALL_STATE(7686)] = 352703,
  [SMALL_STATE(7687)] = 352756,
  [SMALL_STATE(7688)] = 352807,
  [SMALL_STATE(7689)] = 352858,
  [SMALL_STATE(7690)] = 352909,
  [SMALL_STATE(7691)] = 353002,
  [SMALL_STATE(7692)] = 353099,
  [SMALL_STATE(7693)] = 353150,
  [SMALL_STATE(7694)] = 353201,
  [SMALL_STATE(7695)] = 353252,
  [SMALL_STATE(7696)] = 353309,
  [SMALL_STATE(7697)] = 353360,
  [SMALL_STATE(7698)] = 353411,
  [SMALL_STATE(7699)] = 353462,
  [SMALL_STATE(7700)] = 353513,
  [SMALL_STATE(7701)] = 353564,
  [SMALL_STATE(7702)] = 353657,
  [SMALL_STATE(7703)] = 353708,
  [SMALL_STATE(7704)] = 353759,
  [SMALL_STATE(7705)] = 353810,
  [SMALL_STATE(7706)] = 353861,
  [SMALL_STATE(7707)] = 353912,
  [SMALL_STATE(7708)] = 353963,
  [SMALL_STATE(7709)] = 354014,
  [SMALL_STATE(7710)] = 354065,
  [SMALL_STATE(7711)] = 354116,
  [SMALL_STATE(7712)] = 354167,
  [SMALL_STATE(7713)] = 354218,
  [SMALL_STATE(7714)] = 354269,
  [SMALL_STATE(7715)] = 354320,
  [SMALL_STATE(7716)] = 354371,
  [SMALL_STATE(7717)] = 354422,
  [SMALL_STATE(7718)] = 354473,
  [SMALL_STATE(7719)] = 354570,
  [SMALL_STATE(7720)] = 354667,
  [SMALL_STATE(7721)] = 354746,
  [SMALL_STATE(7722)] = 354797,
  [SMALL_STATE(7723)] = 354894,
  [SMALL_STATE(7724)] = 354991,
  [SMALL_STATE(7725)] = 355042,
  [SMALL_STATE(7726)] = 355093,
  [SMALL_STATE(7727)] = 355190,
  [SMALL_STATE(7728)] = 355241,
  [SMALL_STATE(7729)] = 355292,
  [SMALL_STATE(7730)] = 355343,
  [SMALL_STATE(7731)] = 355394,
  [SMALL_STATE(7732)] = 355445,
  [SMALL_STATE(7733)] = 355538,
  [SMALL_STATE(7734)] = 355589,
  [SMALL_STATE(7735)] = 355640,
  [SMALL_STATE(7736)] = 355691,
  [SMALL_STATE(7737)] = 355742,
  [SMALL_STATE(7738)] = 355793,
  [SMALL_STATE(7739)] = 355844,
  [SMALL_STATE(7740)] = 355895,
  [SMALL_STATE(7741)] = 355946,
  [SMALL_STATE(7742)] = 355997,
  [SMALL_STATE(7743)] = 356048,
  [SMALL_STATE(7744)] = 356099,
  [SMALL_STATE(7745)] = 356150,
  [SMALL_STATE(7746)] = 356201,
  [SMALL_STATE(7747)] = 356298,
  [SMALL_STATE(7748)] = 356395,
  [SMALL_STATE(7749)] = 356446,
  [SMALL_STATE(7750)] = 356497,
  [SMALL_STATE(7751)] = 356548,
  [SMALL_STATE(7752)] = 356599,
  [SMALL_STATE(7753)] = 356696,
  [SMALL_STATE(7754)] = 356793,
  [SMALL_STATE(7755)] = 356890,
  [SMALL_STATE(7756)] = 356941,
  [SMALL_STATE(7757)] = 357038,
  [SMALL_STATE(7758)] = 357135,
  [SMALL_STATE(7759)] = 357186,
  [SMALL_STATE(7760)] = 357237,
  [SMALL_STATE(7761)] = 357288,
  [SMALL_STATE(7762)] = 357339,
  [SMALL_STATE(7763)] = 357390,
  [SMALL_STATE(7764)] = 357441,
  [SMALL_STATE(7765)] = 357538,
  [SMALL_STATE(7766)] = 357635,
  [SMALL_STATE(7767)] = 357732,
  [SMALL_STATE(7768)] = 357829,
  [SMALL_STATE(7769)] = 357926,
  [SMALL_STATE(7770)] = 358023,
  [SMALL_STATE(7771)] = 358074,
  [SMALL_STATE(7772)] = 358167,
  [SMALL_STATE(7773)] = 358260,
  [SMALL_STATE(7774)] = 358311,
  [SMALL_STATE(7775)] = 358362,
  [SMALL_STATE(7776)] = 358413,
  [SMALL_STATE(7777)] = 358510,
  [SMALL_STATE(7778)] = 358607,
  [SMALL_STATE(7779)] = 358700,
  [SMALL_STATE(7780)] = 358751,
  [SMALL_STATE(7781)] = 358802,
  [SMALL_STATE(7782)] = 358853,
  [SMALL_STATE(7783)] = 358904,
  [SMALL_STATE(7784)] = 359001,
  [SMALL_STATE(7785)] = 359098,
  [SMALL_STATE(7786)] = 359195,
  [SMALL_STATE(7787)] = 359292,
  [SMALL_STATE(7788)] = 359389,
  [SMALL_STATE(7789)] = 359486,
  [SMALL_STATE(7790)] = 359537,
  [SMALL_STATE(7791)] = 359634,
  [SMALL_STATE(7792)] = 359731,
  [SMALL_STATE(7793)] = 359782,
  [SMALL_STATE(7794)] = 359879,
  [SMALL_STATE(7795)] = 359930,
  [SMALL_STATE(7796)] = 360027,
  [SMALL_STATE(7797)] = 360124,
  [SMALL_STATE(7798)] = 360175,
  [SMALL_STATE(7799)] = 360226,
  [SMALL_STATE(7800)] = 360277,
  [SMALL_STATE(7801)] = 360328,
  [SMALL_STATE(7802)] = 360379,
  [SMALL_STATE(7803)] = 360430,
  [SMALL_STATE(7804)] = 360481,
  [SMALL_STATE(7805)] = 360578,
  [SMALL_STATE(7806)] = 360675,
  [SMALL_STATE(7807)] = 360726,
  [SMALL_STATE(7808)] = 360823,
  [SMALL_STATE(7809)] = 360920,
  [SMALL_STATE(7810)] = 361019,
  [SMALL_STATE(7811)] = 361112,
  [SMALL_STATE(7812)] = 361205,
  [SMALL_STATE(7813)] = 361298,
  [SMALL_STATE(7814)] = 361349,
  [SMALL_STATE(7815)] = 361446,
  [SMALL_STATE(7816)] = 361543,
  [SMALL_STATE(7817)] = 361594,
  [SMALL_STATE(7818)] = 361645,
  [SMALL_STATE(7819)] = 361696,
  [SMALL_STATE(7820)] = 361747,
  [SMALL_STATE(7821)] = 361798,
  [SMALL_STATE(7822)] = 361891,
  [SMALL_STATE(7823)] = 361942,
  [SMALL_STATE(7824)] = 362039,
  [SMALL_STATE(7825)] = 362136,
  [SMALL_STATE(7826)] = 362187,
  [SMALL_STATE(7827)] = 362238,
  [SMALL_STATE(7828)] = 362289,
  [SMALL_STATE(7829)] = 362340,
  [SMALL_STATE(7830)] = 362393,
  [SMALL_STATE(7831)] = 362444,
  [SMALL_STATE(7832)] = 362495,
  [SMALL_STATE(7833)] = 362592,
  [SMALL_STATE(7834)] = 362689,
  [SMALL_STATE(7835)] = 362740,
  [SMALL_STATE(7836)] = 362837,
  [SMALL_STATE(7837)] = 362934,
  [SMALL_STATE(7838)] = 362985,
  [SMALL_STATE(7839)] = 363036,
  [SMALL_STATE(7840)] = 363087,
  [SMALL_STATE(7841)] = 363138,
  [SMALL_STATE(7842)] = 363235,
  [SMALL_STATE(7843)] = 363332,
  [SMALL_STATE(7844)] = 363383,
  [SMALL_STATE(7845)] = 363434,
  [SMALL_STATE(7846)] = 363485,
  [SMALL_STATE(7847)] = 363536,
  [SMALL_STATE(7848)] = 363587,
  [SMALL_STATE(7849)] = 363684,
  [SMALL_STATE(7850)] = 363781,
  [SMALL_STATE(7851)] = 363832,
  [SMALL_STATE(7852)] = 363883,
  [SMALL_STATE(7853)] = 363934,
  [SMALL_STATE(7854)] = 363985,
  [SMALL_STATE(7855)] = 364036,
  [SMALL_STATE(7856)] = 364087,
  [SMALL_STATE(7857)] = 364138,
  [SMALL_STATE(7858)] = 364235,
  [SMALL_STATE(7859)] = 364332,
  [SMALL_STATE(7860)] = 364383,
  [SMALL_STATE(7861)] = 364434,
  [SMALL_STATE(7862)] = 364485,
  [SMALL_STATE(7863)] = 364536,
  [SMALL_STATE(7864)] = 364587,
  [SMALL_STATE(7865)] = 364638,
  [SMALL_STATE(7866)] = 364689,
  [SMALL_STATE(7867)] = 364740,
  [SMALL_STATE(7868)] = 364837,
  [SMALL_STATE(7869)] = 364888,
  [SMALL_STATE(7870)] = 364939,
  [SMALL_STATE(7871)] = 364990,
  [SMALL_STATE(7872)] = 365041,
  [SMALL_STATE(7873)] = 365092,
  [SMALL_STATE(7874)] = 365143,
  [SMALL_STATE(7875)] = 365194,
  [SMALL_STATE(7876)] = 365245,
  [SMALL_STATE(7877)] = 365296,
  [SMALL_STATE(7878)] = 365395,
  [SMALL_STATE(7879)] = 365492,
  [SMALL_STATE(7880)] = 365585,
  [SMALL_STATE(7881)] = 365636,
  [SMALL_STATE(7882)] = 365687,
  [SMALL_STATE(7883)] = 365738,
  [SMALL_STATE(7884)] = 365789,
  [SMALL_STATE(7885)] = 365882,
  [SMALL_STATE(7886)] = 365933,
  [SMALL_STATE(7887)] = 365984,
  [SMALL_STATE(7888)] = 366035,
  [SMALL_STATE(7889)] = 366086,
  [SMALL_STATE(7890)] = 366179,
  [SMALL_STATE(7891)] = 366276,
  [SMALL_STATE(7892)] = 366373,
  [SMALL_STATE(7893)] = 366424,
  [SMALL_STATE(7894)] = 366475,
  [SMALL_STATE(7895)] = 366572,
  [SMALL_STATE(7896)] = 366623,
  [SMALL_STATE(7897)] = 366674,
  [SMALL_STATE(7898)] = 366725,
  [SMALL_STATE(7899)] = 366776,
  [SMALL_STATE(7900)] = 366873,
  [SMALL_STATE(7901)] = 366924,
  [SMALL_STATE(7902)] = 366975,
  [SMALL_STATE(7903)] = 367072,
  [SMALL_STATE(7904)] = 367123,
  [SMALL_STATE(7905)] = 367174,
  [SMALL_STATE(7906)] = 367225,
  [SMALL_STATE(7907)] = 367318,
  [SMALL_STATE(7908)] = 367415,
  [SMALL_STATE(7909)] = 367466,
  [SMALL_STATE(7910)] = 367517,
  [SMALL_STATE(7911)] = 367614,
  [SMALL_STATE(7912)] = 367665,
  [SMALL_STATE(7913)] = 367716,
  [SMALL_STATE(7914)] = 367767,
  [SMALL_STATE(7915)] = 367860,
  [SMALL_STATE(7916)] = 367957,
  [SMALL_STATE(7917)] = 368050,
  [SMALL_STATE(7918)] = 368101,
  [SMALL_STATE(7919)] = 368198,
  [SMALL_STATE(7920)] = 368249,
  [SMALL_STATE(7921)] = 368304,
  [SMALL_STATE(7922)] = 368355,
  [SMALL_STATE(7923)] = 368406,
  [SMALL_STATE(7924)] = 368457,
  [SMALL_STATE(7925)] = 368508,
  [SMALL_STATE(7926)] = 368563,
  [SMALL_STATE(7927)] = 368614,
  [SMALL_STATE(7928)] = 368665,
  [SMALL_STATE(7929)] = 368716,
  [SMALL_STATE(7930)] = 368813,
  [SMALL_STATE(7931)] = 368864,
  [SMALL_STATE(7932)] = 368915,
  [SMALL_STATE(7933)] = 368966,
  [SMALL_STATE(7934)] = 369017,
  [SMALL_STATE(7935)] = 369068,
  [SMALL_STATE(7936)] = 369119,
  [SMALL_STATE(7937)] = 369170,
  [SMALL_STATE(7938)] = 369223,
  [SMALL_STATE(7939)] = 369320,
  [SMALL_STATE(7940)] = 369417,
  [SMALL_STATE(7941)] = 369468,
  [SMALL_STATE(7942)] = 369519,
  [SMALL_STATE(7943)] = 369570,
  [SMALL_STATE(7944)] = 369621,
  [SMALL_STATE(7945)] = 369718,
  [SMALL_STATE(7946)] = 369769,
  [SMALL_STATE(7947)] = 369868,
  [SMALL_STATE(7948)] = 369919,
  [SMALL_STATE(7949)] = 369970,
  [SMALL_STATE(7950)] = 370021,
  [SMALL_STATE(7951)] = 370072,
  [SMALL_STATE(7952)] = 370123,
  [SMALL_STATE(7953)] = 370216,
  [SMALL_STATE(7954)] = 370309,
  [SMALL_STATE(7955)] = 370360,
  [SMALL_STATE(7956)] = 370411,
  [SMALL_STATE(7957)] = 370462,
  [SMALL_STATE(7958)] = 370513,
  [SMALL_STATE(7959)] = 370610,
  [SMALL_STATE(7960)] = 370661,
  [SMALL_STATE(7961)] = 370712,
  [SMALL_STATE(7962)] = 370763,
  [SMALL_STATE(7963)] = 370814,
  [SMALL_STATE(7964)] = 370865,
  [SMALL_STATE(7965)] = 370916,
  [SMALL_STATE(7966)] = 370967,
  [SMALL_STATE(7967)] = 371064,
  [SMALL_STATE(7968)] = 371115,
  [SMALL_STATE(7969)] = 371166,
  [SMALL_STATE(7970)] = 371217,
  [SMALL_STATE(7971)] = 371268,
  [SMALL_STATE(7972)] = 371319,
  [SMALL_STATE(7973)] = 371416,
  [SMALL_STATE(7974)] = 371467,
  [SMALL_STATE(7975)] = 371518,
  [SMALL_STATE(7976)] = 371617,
  [SMALL_STATE(7977)] = 371668,
  [SMALL_STATE(7978)] = 371765,
  [SMALL_STATE(7979)] = 371819,
  [SMALL_STATE(7980)] = 371879,
  [SMALL_STATE(7981)] = 371933,
  [SMALL_STATE(7982)] = 371987,
  [SMALL_STATE(7983)] = 372049,
  [SMALL_STATE(7984)] = 372111,
  [SMALL_STATE(7985)] = 372177,
  [SMALL_STATE(7986)] = 372245,
  [SMALL_STATE(7987)] = 372317,
  [SMALL_STATE(7988)] = 372373,
  [SMALL_STATE(7989)] = 372445,
  [SMALL_STATE(7990)] = 372499,
  [SMALL_STATE(7991)] = 372571,
  [SMALL_STATE(7992)] = 372625,
  [SMALL_STATE(7993)] = 372679,
  [SMALL_STATE(7994)] = 372731,
  [SMALL_STATE(7995)] = 372783,
  [SMALL_STATE(7996)] = 372837,
  [SMALL_STATE(7997)] = 372931,
  [SMALL_STATE(7998)] = 373025,
  [SMALL_STATE(7999)] = 373119,
  [SMALL_STATE(8000)] = 373173,
  [SMALL_STATE(8001)] = 373227,
  [SMALL_STATE(8002)] = 373277,
  [SMALL_STATE(8003)] = 373327,
  [SMALL_STATE(8004)] = 373377,
  [SMALL_STATE(8005)] = 373427,
  [SMALL_STATE(8006)] = 373521,
  [SMALL_STATE(8007)] = 373615,
  [SMALL_STATE(8008)] = 373709,
  [SMALL_STATE(8009)] = 373761,
  [SMALL_STATE(8010)] = 373811,
  [SMALL_STATE(8011)] = 373861,
  [SMALL_STATE(8012)] = 373955,
  [SMALL_STATE(8013)] = 374049,
  [SMALL_STATE(8014)] = 374099,
  [SMALL_STATE(8015)] = 374149,
  [SMALL_STATE(8016)] = 374199,
  [SMALL_STATE(8017)] = 374293,
  [SMALL_STATE(8018)] = 374347,
  [SMALL_STATE(8019)] = 374401,
  [SMALL_STATE(8020)] = 374453,
  [SMALL_STATE(8021)] = 374503,
  [SMALL_STATE(8022)] = 374597,
  [SMALL_STATE(8023)] = 374691,
  [SMALL_STATE(8024)] = 374785,
  [SMALL_STATE(8025)] = 374879,
  [SMALL_STATE(8026)] = 374933,
  [SMALL_STATE(8027)] = 374987,
  [SMALL_STATE(8028)] = 375081,
  [SMALL_STATE(8029)] = 375175,
  [SMALL_STATE(8030)] = 375269,
  [SMALL_STATE(8031)] = 375363,
  [SMALL_STATE(8032)] = 375457,
  [SMALL_STATE(8033)] = 375551,
  [SMALL_STATE(8034)] = 375601,
  [SMALL_STATE(8035)] = 375655,
  [SMALL_STATE(8036)] = 375749,
  [SMALL_STATE(8037)] = 375843,
  [SMALL_STATE(8038)] = 375937,
  [SMALL_STATE(8039)] = 376031,
  [SMALL_STATE(8040)] = 376125,
  [SMALL_STATE(8041)] = 376219,
  [SMALL_STATE(8042)] = 376313,
  [SMALL_STATE(8043)] = 376367,
  [SMALL_STATE(8044)] = 376461,
  [SMALL_STATE(8045)] = 376555,
  [SMALL_STATE(8046)] = 376605,
  [SMALL_STATE(8047)] = 376699,
  [SMALL_STATE(8048)] = 376771,
  [SMALL_STATE(8049)] = 376821,
  [SMALL_STATE(8050)] = 376915,
  [SMALL_STATE(8051)] = 377009,
  [SMALL_STATE(8052)] = 377103,
  [SMALL_STATE(8053)] = 377157,
  [SMALL_STATE(8054)] = 377207,
  [SMALL_STATE(8055)] = 377301,
  [SMALL_STATE(8056)] = 377395,
  [SMALL_STATE(8057)] = 377445,
  [SMALL_STATE(8058)] = 377539,
  [SMALL_STATE(8059)] = 377633,
  [SMALL_STATE(8060)] = 377727,
  [SMALL_STATE(8061)] = 377777,
  [SMALL_STATE(8062)] = 377871,
  [SMALL_STATE(8063)] = 377965,
  [SMALL_STATE(8064)] = 378059,
  [SMALL_STATE(8065)] = 378153,
  [SMALL_STATE(8066)] = 378247,
  [SMALL_STATE(8067)] = 378341,
  [SMALL_STATE(8068)] = 378435,
  [SMALL_STATE(8069)] = 378529,
  [SMALL_STATE(8070)] = 378623,
  [SMALL_STATE(8071)] = 378717,
  [SMALL_STATE(8072)] = 378811,
  [SMALL_STATE(8073)] = 378905,
  [SMALL_STATE(8074)] = 378999,
  [SMALL_STATE(8075)] = 379049,
  [SMALL_STATE(8076)] = 379143,
  [SMALL_STATE(8077)] = 379237,
  [SMALL_STATE(8078)] = 379331,
  [SMALL_STATE(8079)] = 379381,
  [SMALL_STATE(8080)] = 379475,
  [SMALL_STATE(8081)] = 379569,
  [SMALL_STATE(8082)] = 379663,
  [SMALL_STATE(8083)] = 379757,
  [SMALL_STATE(8084)] = 379851,
  [SMALL_STATE(8085)] = 379925,
  [SMALL_STATE(8086)] = 379975,
  [SMALL_STATE(8087)] = 380043,
  [SMALL_STATE(8088)] = 380103,
  [SMALL_STATE(8089)] = 380153,
  [SMALL_STATE(8090)] = 380207,
  [SMALL_STATE(8091)] = 380261,
  [SMALL_STATE(8092)] = 380323,
  [SMALL_STATE(8093)] = 380385,
  [SMALL_STATE(8094)] = 380451,
  [SMALL_STATE(8095)] = 380519,
  [SMALL_STATE(8096)] = 380591,
  [SMALL_STATE(8097)] = 380641,
  [SMALL_STATE(8098)] = 380697,
  [SMALL_STATE(8099)] = 380769,
  [SMALL_STATE(8100)] = 380823,
  [SMALL_STATE(8101)] = 380895,
  [SMALL_STATE(8102)] = 380945,
  [SMALL_STATE(8103)] = 381017,
  [SMALL_STATE(8104)] = 381091,
  [SMALL_STATE(8105)] = 381143,
  [SMALL_STATE(8106)] = 381197,
  [SMALL_STATE(8107)] = 381247,
  [SMALL_STATE(8108)] = 381297,
  [SMALL_STATE(8109)] = 381349,
  [SMALL_STATE(8110)] = 381443,
  [SMALL_STATE(8111)] = 381537,
  [SMALL_STATE(8112)] = 381631,
  [SMALL_STATE(8113)] = 381725,
  [SMALL_STATE(8114)] = 381819,
  [SMALL_STATE(8115)] = 381869,
  [SMALL_STATE(8116)] = 381919,
  [SMALL_STATE(8117)] = 381969,
  [SMALL_STATE(8118)] = 382019,
  [SMALL_STATE(8119)] = 382069,
  [SMALL_STATE(8120)] = 382119,
  [SMALL_STATE(8121)] = 382169,
  [SMALL_STATE(8122)] = 382219,
  [SMALL_STATE(8123)] = 382269,
  [SMALL_STATE(8124)] = 382319,
  [SMALL_STATE(8125)] = 382369,
  [SMALL_STATE(8126)] = 382419,
  [SMALL_STATE(8127)] = 382469,
  [SMALL_STATE(8128)] = 382519,
  [SMALL_STATE(8129)] = 382569,
  [SMALL_STATE(8130)] = 382619,
  [SMALL_STATE(8131)] = 382669,
  [SMALL_STATE(8132)] = 382719,
  [SMALL_STATE(8133)] = 382769,
  [SMALL_STATE(8134)] = 382819,
  [SMALL_STATE(8135)] = 382869,
  [SMALL_STATE(8136)] = 382919,
  [SMALL_STATE(8137)] = 382969,
  [SMALL_STATE(8138)] = 383019,
  [SMALL_STATE(8139)] = 383071,
  [SMALL_STATE(8140)] = 383165,
  [SMALL_STATE(8141)] = 383259,
  [SMALL_STATE(8142)] = 383353,
  [SMALL_STATE(8143)] = 383447,
  [SMALL_STATE(8144)] = 383497,
  [SMALL_STATE(8145)] = 383547,
  [SMALL_STATE(8146)] = 383597,
  [SMALL_STATE(8147)] = 383647,
  [SMALL_STATE(8148)] = 383697,
  [SMALL_STATE(8149)] = 383791,
  [SMALL_STATE(8150)] = 383885,
  [SMALL_STATE(8151)] = 383935,
  [SMALL_STATE(8152)] = 383985,
  [SMALL_STATE(8153)] = 384035,
  [SMALL_STATE(8154)] = 384129,
  [SMALL_STATE(8155)] = 384179,
  [SMALL_STATE(8156)] = 384229,
  [SMALL_STATE(8157)] = 384279,
  [SMALL_STATE(8158)] = 384329,
  [SMALL_STATE(8159)] = 384379,
  [SMALL_STATE(8160)] = 384429,
  [SMALL_STATE(8161)] = 384497,
  [SMALL_STATE(8162)] = 384550,
  [SMALL_STATE(8163)] = 384617,
  [SMALL_STATE(8164)] = 384688,
  [SMALL_STATE(8165)] = 384743,
  [SMALL_STATE(8166)] = 384796,
  [SMALL_STATE(8167)] = 384849,
  [SMALL_STATE(8168)] = 384920,
  [SMALL_STATE(8169)] = 384973,
  [SMALL_STATE(8170)] = 385064,
  [SMALL_STATE(8171)] = 385117,
  [SMALL_STATE(8172)] = 385188,
  [SMALL_STATE(8173)] = 385259,
  [SMALL_STATE(8174)] = 385312,
  [SMALL_STATE(8175)] = 385365,
  [SMALL_STATE(8176)] = 385416,
  [SMALL_STATE(8177)] = 385477,
  [SMALL_STATE(8178)] = 385538,
  [SMALL_STATE(8179)] = 385589,
  [SMALL_STATE(8180)] = 385680,
  [SMALL_STATE(8181)] = 385733,
  [SMALL_STATE(8182)] = 385786,
  [SMALL_STATE(8183)] = 385851,
  [SMALL_STATE(8184)] = 385918,
  [SMALL_STATE(8185)] = 385989,
  [SMALL_STATE(8186)] = 386042,
  [SMALL_STATE(8187)] = 386115,
  [SMALL_STATE(8188)] = 386188,
  [SMALL_STATE(8189)] = 386243,
  [SMALL_STATE(8190)] = 386314,
  [SMALL_STATE(8191)] = 386381,
  [SMALL_STATE(8192)] = 386472,
  [SMALL_STATE(8193)] = 386531,
  [SMALL_STATE(8194)] = 386584,
  [SMALL_STATE(8195)] = 386633,
  [SMALL_STATE(8196)] = 386686,
  [SMALL_STATE(8197)] = 386747,
  [SMALL_STATE(8198)] = 386808,
  [SMALL_STATE(8199)] = 386881,
  [SMALL_STATE(8200)] = 386946,
  [SMALL_STATE(8201)] = 387013,
  [SMALL_STATE(8202)] = 387084,
  [SMALL_STATE(8203)] = 387139,
  [SMALL_STATE(8204)] = 387212,
  [SMALL_STATE(8205)] = 387283,
  [SMALL_STATE(8206)] = 387336,
  [SMALL_STATE(8207)] = 387407,
  [SMALL_STATE(8208)] = 387474,
  [SMALL_STATE(8209)] = 387527,
  [SMALL_STATE(8210)] = 387578,
  [SMALL_STATE(8211)] = 387631,
  [SMALL_STATE(8212)] = 387684,
  [SMALL_STATE(8213)] = 387737,
  [SMALL_STATE(8214)] = 387788,
  [SMALL_STATE(8215)] = 387841,
  [SMALL_STATE(8216)] = 387890,
  [SMALL_STATE(8217)] = 387943,
  [SMALL_STATE(8218)] = 387994,
  [SMALL_STATE(8219)] = 388047,
  [SMALL_STATE(8220)] = 388118,
  [SMALL_STATE(8221)] = 388171,
  [SMALL_STATE(8222)] = 388222,
  [SMALL_STATE(8223)] = 388313,
  [SMALL_STATE(8224)] = 388366,
  [SMALL_STATE(8225)] = 388437,
  [SMALL_STATE(8226)] = 388488,
  [SMALL_STATE(8227)] = 388547,
  [SMALL_STATE(8228)] = 388600,
  [SMALL_STATE(8229)] = 388653,
  [SMALL_STATE(8230)] = 388706,
  [SMALL_STATE(8231)] = 388773,
  [SMALL_STATE(8232)] = 388832,
  [SMALL_STATE(8233)] = 388885,
  [SMALL_STATE(8234)] = 388934,
  [SMALL_STATE(8235)] = 388987,
  [SMALL_STATE(8236)] = 389048,
  [SMALL_STATE(8237)] = 389109,
  [SMALL_STATE(8238)] = 389174,
  [SMALL_STATE(8239)] = 389241,
  [SMALL_STATE(8240)] = 389312,
  [SMALL_STATE(8241)] = 389367,
  [SMALL_STATE(8242)] = 389438,
  [SMALL_STATE(8243)] = 389491,
  [SMALL_STATE(8244)] = 389542,
  [SMALL_STATE(8245)] = 389613,
  [SMALL_STATE(8246)] = 389664,
  [SMALL_STATE(8247)] = 389717,
  [SMALL_STATE(8248)] = 389776,
  [SMALL_STATE(8249)] = 389829,
  [SMALL_STATE(8250)] = 389882,
  [SMALL_STATE(8251)] = 389943,
  [SMALL_STATE(8252)] = 390004,
  [SMALL_STATE(8253)] = 390069,
  [SMALL_STATE(8254)] = 390122,
  [SMALL_STATE(8255)] = 390189,
  [SMALL_STATE(8256)] = 390241,
  [SMALL_STATE(8257)] = 390311,
  [SMALL_STATE(8258)] = 390359,
  [SMALL_STATE(8259)] = 390411,
  [SMALL_STATE(8260)] = 390493,
  [SMALL_STATE(8261)] = 390543,
  [SMALL_STATE(8262)] = 390593,
  [SMALL_STATE(8263)] = 390641,
  [SMALL_STATE(8264)] = 390689,
  [SMALL_STATE(8265)] = 390739,
  [SMALL_STATE(8266)] = 390791,
  [SMALL_STATE(8267)] = 390843,
  [SMALL_STATE(8268)] = 390895,
  [SMALL_STATE(8269)] = 390947,
  [SMALL_STATE(8270)] = 391013,
  [SMALL_STATE(8271)] = 391071,
  [SMALL_STATE(8272)] = 391143,
  [SMALL_STATE(8273)] = 391195,
  [SMALL_STATE(8274)] = 391247,
  [SMALL_STATE(8275)] = 391331,
  [SMALL_STATE(8276)] = 391391,
  [SMALL_STATE(8277)] = 391451,
  [SMALL_STATE(8278)] = 391521,
  [SMALL_STATE(8279)] = 391585,
  [SMALL_STATE(8280)] = 391651,
  [SMALL_STATE(8281)] = 391721,
  [SMALL_STATE(8282)] = 391775,
  [SMALL_STATE(8283)] = 391859,
  [SMALL_STATE(8284)] = 391929,
  [SMALL_STATE(8285)] = 391999,
  [SMALL_STATE(8286)] = 392083,
  [SMALL_STATE(8287)] = 392155,
  [SMALL_STATE(8288)] = 392207,
  [SMALL_STATE(8289)] = 392257,
  [SMALL_STATE(8290)] = 392307,
  [SMALL_STATE(8291)] = 392355,
  [SMALL_STATE(8292)] = 392405,
  [SMALL_STATE(8293)] = 392453,
  [SMALL_STATE(8294)] = 392537,
  [SMALL_STATE(8295)] = 392621,
  [SMALL_STATE(8296)] = 392671,
  [SMALL_STATE(8297)] = 392719,
  [SMALL_STATE(8298)] = 392803,
  [SMALL_STATE(8299)] = 392885,
  [SMALL_STATE(8300)] = 392933,
  [SMALL_STATE(8301)] = 393005,
  [SMALL_STATE(8302)] = 393089,
  [SMALL_STATE(8303)] = 393155,
  [SMALL_STATE(8304)] = 393213,
  [SMALL_STATE(8305)] = 393263,
  [SMALL_STATE(8306)] = 393315,
  [SMALL_STATE(8307)] = 393367,
  [SMALL_STATE(8308)] = 393427,
  [SMALL_STATE(8309)] = 393499,
  [SMALL_STATE(8310)] = 393559,
  [SMALL_STATE(8311)] = 393623,
  [SMALL_STATE(8312)] = 393689,
  [SMALL_STATE(8313)] = 393759,
  [SMALL_STATE(8314)] = 393811,
  [SMALL_STATE(8315)] = 393865,
  [SMALL_STATE(8316)] = 393949,
  [SMALL_STATE(8317)] = 394034,
  [SMALL_STATE(8318)] = 394099,
  [SMALL_STATE(8319)] = 394168,
  [SMALL_STATE(8320)] = 394253,
  [SMALL_STATE(8321)] = 394338,
  [SMALL_STATE(8322)] = 394389,
  [SMALL_STATE(8323)] = 394438,
  [SMALL_STATE(8324)] = 394523,
  [SMALL_STATE(8325)] = 394608,
  [SMALL_STATE(8326)] = 394665,
  [SMALL_STATE(8327)] = 394750,
  [SMALL_STATE(8328)] = 394835,
  [SMALL_STATE(8329)] = 394886,
  [SMALL_STATE(8330)] = 394955,
  [SMALL_STATE(8331)] = 395040,
  [SMALL_STATE(8332)] = 395097,
  [SMALL_STATE(8333)] = 395182,
  [SMALL_STATE(8334)] = 395267,
  [SMALL_STATE(8335)] = 395320,
  [SMALL_STATE(8336)] = 395405,
  [SMALL_STATE(8337)] = 395490,
  [SMALL_STATE(8338)] = 395575,
  [SMALL_STATE(8339)] = 395660,
  [SMALL_STATE(8340)] = 395745,
  [SMALL_STATE(8341)] = 395794,
  [SMALL_STATE(8342)] = 395865,
  [SMALL_STATE(8343)] = 395950,
  [SMALL_STATE(8344)] = 396035,
  [SMALL_STATE(8345)] = 396120,
  [SMALL_STATE(8346)] = 396167,
  [SMALL_STATE(8347)] = 396236,
  [SMALL_STATE(8348)] = 396321,
  [SMALL_STATE(8349)] = 396372,
  [SMALL_STATE(8350)] = 396457,
  [SMALL_STATE(8351)] = 396526,
  [SMALL_STATE(8352)] = 396611,
  [SMALL_STATE(8353)] = 396696,
  [SMALL_STATE(8354)] = 396767,
  [SMALL_STATE(8355)] = 396852,
  [SMALL_STATE(8356)] = 396937,
  [SMALL_STATE(8357)] = 396988,
  [SMALL_STATE(8358)] = 397073,
  [SMALL_STATE(8359)] = 397124,
  [SMALL_STATE(8360)] = 397209,
  [SMALL_STATE(8361)] = 397294,
  [SMALL_STATE(8362)] = 397365,
  [SMALL_STATE(8363)] = 397450,
  [SMALL_STATE(8364)] = 397515,
  [SMALL_STATE(8365)] = 397564,
  [SMALL_STATE(8366)] = 397649,
  [SMALL_STATE(8367)] = 397706,
  [SMALL_STATE(8368)] = 397753,
  [SMALL_STATE(8369)] = 397800,
  [SMALL_STATE(8370)] = 397849,
  [SMALL_STATE(8371)] = 397934,
  [SMALL_STATE(8372)] = 397985,
  [SMALL_STATE(8373)] = 398070,
  [SMALL_STATE(8374)] = 398117,
  [SMALL_STATE(8375)] = 398202,
  [SMALL_STATE(8376)] = 398287,
  [SMALL_STATE(8377)] = 398372,
  [SMALL_STATE(8378)] = 398441,
  [SMALL_STATE(8379)] = 398526,
  [SMALL_STATE(8380)] = 398585,
  [SMALL_STATE(8381)] = 398634,
  [SMALL_STATE(8382)] = 398719,
  [SMALL_STATE(8383)] = 398766,
  [SMALL_STATE(8384)] = 398831,
  [SMALL_STATE(8385)] = 398880,
  [SMALL_STATE(8386)] = 398965,
  [SMALL_STATE(8387)] = 399016,
  [SMALL_STATE(8388)] = 399067,
  [SMALL_STATE(8389)] = 399116,
  [SMALL_STATE(8390)] = 399173,
  [SMALL_STATE(8391)] = 399242,
  [SMALL_STATE(8392)] = 399289,
  [SMALL_STATE(8393)] = 399340,
  [SMALL_STATE(8394)] = 399411,
  [SMALL_STATE(8395)] = 399462,
  [SMALL_STATE(8396)] = 399547,
  [SMALL_STATE(8397)] = 399596,
  [SMALL_STATE(8398)] = 399647,
  [SMALL_STATE(8399)] = 399732,
  [SMALL_STATE(8400)] = 399817,
  [SMALL_STATE(8401)] = 399902,
  [SMALL_STATE(8402)] = 399953,
  [SMALL_STATE(8403)] = 400038,
  [SMALL_STATE(8404)] = 400089,
  [SMALL_STATE(8405)] = 400174,
  [SMALL_STATE(8406)] = 400259,
  [SMALL_STATE(8407)] = 400318,
  [SMALL_STATE(8408)] = 400377,
  [SMALL_STATE(8409)] = 400440,
  [SMALL_STATE(8410)] = 400525,
  [SMALL_STATE(8411)] = 400610,
  [SMALL_STATE(8412)] = 400695,
  [SMALL_STATE(8413)] = 400760,
  [SMALL_STATE(8414)] = 400829,
  [SMALL_STATE(8415)] = 400914,
  [SMALL_STATE(8416)] = 400967,
  [SMALL_STATE(8417)] = 401018,
  [SMALL_STATE(8418)] = 401069,
  [SMALL_STATE(8419)] = 401154,
  [SMALL_STATE(8420)] = 401205,
  [SMALL_STATE(8421)] = 401290,
  [SMALL_STATE(8422)] = 401341,
  [SMALL_STATE(8423)] = 401388,
  [SMALL_STATE(8424)] = 401439,
  [SMALL_STATE(8425)] = 401508,
  [SMALL_STATE(8426)] = 401559,
  [SMALL_STATE(8427)] = 401644,
  [SMALL_STATE(8428)] = 401729,
  [SMALL_STATE(8429)] = 401814,
  [SMALL_STATE(8430)] = 401899,
  [SMALL_STATE(8431)] = 401962,
  [SMALL_STATE(8432)] = 402013,
  [SMALL_STATE(8433)] = 402098,
  [SMALL_STATE(8434)] = 402157,
  [SMALL_STATE(8435)] = 402242,
  [SMALL_STATE(8436)] = 402291,
  [SMALL_STATE(8437)] = 402338,
  [SMALL_STATE(8438)] = 402423,
  [SMALL_STATE(8439)] = 402479,
  [SMALL_STATE(8440)] = 402525,
  [SMALL_STATE(8441)] = 402571,
  [SMALL_STATE(8442)] = 402617,
  [SMALL_STATE(8443)] = 402663,
  [SMALL_STATE(8444)] = 402711,
  [SMALL_STATE(8445)] = 402793,
  [SMALL_STATE(8446)] = 402839,
  [SMALL_STATE(8447)] = 402921,
  [SMALL_STATE(8448)] = 402971,
  [SMALL_STATE(8449)] = 403019,
  [SMALL_STATE(8450)] = 403065,
  [SMALL_STATE(8451)] = 403111,
  [SMALL_STATE(8452)] = 403193,
  [SMALL_STATE(8453)] = 403239,
  [SMALL_STATE(8454)] = 403321,
  [SMALL_STATE(8455)] = 403403,
  [SMALL_STATE(8456)] = 403485,
  [SMALL_STATE(8457)] = 403531,
  [SMALL_STATE(8458)] = 403577,
  [SMALL_STATE(8459)] = 403647,
  [SMALL_STATE(8460)] = 403693,
  [SMALL_STATE(8461)] = 403739,
  [SMALL_STATE(8462)] = 403785,
  [SMALL_STATE(8463)] = 403831,
  [SMALL_STATE(8464)] = 403877,
  [SMALL_STATE(8465)] = 403923,
  [SMALL_STATE(8466)] = 403969,
  [SMALL_STATE(8467)] = 404015,
  [SMALL_STATE(8468)] = 404061,
  [SMALL_STATE(8469)] = 404107,
  [SMALL_STATE(8470)] = 404189,
  [SMALL_STATE(8471)] = 404271,
  [SMALL_STATE(8472)] = 404317,
  [SMALL_STATE(8473)] = 404363,
  [SMALL_STATE(8474)] = 404409,
  [SMALL_STATE(8475)] = 404455,
  [SMALL_STATE(8476)] = 404537,
  [SMALL_STATE(8477)] = 404583,
  [SMALL_STATE(8478)] = 404629,
  [SMALL_STATE(8479)] = 404711,
  [SMALL_STATE(8480)] = 404793,
  [SMALL_STATE(8481)] = 404875,
  [SMALL_STATE(8482)] = 404939,
  [SMALL_STATE(8483)] = 404989,
  [SMALL_STATE(8484)] = 405039,
  [SMALL_STATE(8485)] = 405097,
  [SMALL_STATE(8486)] = 405155,
  [SMALL_STATE(8487)] = 405217,
  [SMALL_STATE(8488)] = 405281,
  [SMALL_STATE(8489)] = 405349,
  [SMALL_STATE(8490)] = 405401,
  [SMALL_STATE(8491)] = 405469,
  [SMALL_STATE(8492)] = 405551,
  [SMALL_STATE(8493)] = 405597,
  [SMALL_STATE(8494)] = 405643,
  [SMALL_STATE(8495)] = 405689,
  [SMALL_STATE(8496)] = 405757,
  [SMALL_STATE(8497)] = 405803,
  [SMALL_STATE(8498)] = 405885,
  [SMALL_STATE(8499)] = 405967,
  [SMALL_STATE(8500)] = 406049,
  [SMALL_STATE(8501)] = 406095,
  [SMALL_STATE(8502)] = 406177,
  [SMALL_STATE(8503)] = 406259,
  [SMALL_STATE(8504)] = 406341,
  [SMALL_STATE(8505)] = 406423,
  [SMALL_STATE(8506)] = 406473,
  [SMALL_STATE(8507)] = 406523,
  [SMALL_STATE(8508)] = 406605,
  [SMALL_STATE(8509)] = 406687,
  [SMALL_STATE(8510)] = 406769,
  [SMALL_STATE(8511)] = 406851,
  [SMALL_STATE(8512)] = 406933,
  [SMALL_STATE(8513)] = 406979,
  [SMALL_STATE(8514)] = 407025,
  [SMALL_STATE(8515)] = 407075,
  [SMALL_STATE(8516)] = 407157,
  [SMALL_STATE(8517)] = 407207,
  [SMALL_STATE(8518)] = 407289,
  [SMALL_STATE(8519)] = 407353,
  [SMALL_STATE(8520)] = 407435,
  [SMALL_STATE(8521)] = 407517,
  [SMALL_STATE(8522)] = 407573,
  [SMALL_STATE(8523)] = 407623,
  [SMALL_STATE(8524)] = 407673,
  [SMALL_STATE(8525)] = 407731,
  [SMALL_STATE(8526)] = 407789,
  [SMALL_STATE(8527)] = 407851,
  [SMALL_STATE(8528)] = 407915,
  [SMALL_STATE(8529)] = 407983,
  [SMALL_STATE(8530)] = 408035,
  [SMALL_STATE(8531)] = 408103,
  [SMALL_STATE(8532)] = 408149,
  [SMALL_STATE(8533)] = 408219,
  [SMALL_STATE(8534)] = 408267,
  [SMALL_STATE(8535)] = 408349,
  [SMALL_STATE(8536)] = 408431,
  [SMALL_STATE(8537)] = 408513,
  [SMALL_STATE(8538)] = 408595,
  [SMALL_STATE(8539)] = 408677,
  [SMALL_STATE(8540)] = 408759,
  [SMALL_STATE(8541)] = 408841,
  [SMALL_STATE(8542)] = 408923,
  [SMALL_STATE(8543)] = 409005,
  [SMALL_STATE(8544)] = 409087,
  [SMALL_STATE(8545)] = 409169,
  [SMALL_STATE(8546)] = 409215,
  [SMALL_STATE(8547)] = 409297,
  [SMALL_STATE(8548)] = 409379,
  [SMALL_STATE(8549)] = 409425,
  [SMALL_STATE(8550)] = 409507,
  [SMALL_STATE(8551)] = 409553,
  [SMALL_STATE(8552)] = 409599,
  [SMALL_STATE(8553)] = 409681,
  [SMALL_STATE(8554)] = 409731,
  [SMALL_STATE(8555)] = 409813,
  [SMALL_STATE(8556)] = 409895,
  [SMALL_STATE(8557)] = 409977,
  [SMALL_STATE(8558)] = 410023,
  [SMALL_STATE(8559)] = 410105,
  [SMALL_STATE(8560)] = 410187,
  [SMALL_STATE(8561)] = 410269,
  [SMALL_STATE(8562)] = 410351,
  [SMALL_STATE(8563)] = 410401,
  [SMALL_STATE(8564)] = 410483,
  [SMALL_STATE(8565)] = 410565,
  [SMALL_STATE(8566)] = 410611,
  [SMALL_STATE(8567)] = 410693,
  [SMALL_STATE(8568)] = 410775,
  [SMALL_STATE(8569)] = 410857,
  [SMALL_STATE(8570)] = 410939,
  [SMALL_STATE(8571)] = 410985,
  [SMALL_STATE(8572)] = 411067,
  [SMALL_STATE(8573)] = 411113,
  [SMALL_STATE(8574)] = 411159,
  [SMALL_STATE(8575)] = 411241,
  [SMALL_STATE(8576)] = 411323,
  [SMALL_STATE(8577)] = 411405,
  [SMALL_STATE(8578)] = 411487,
  [SMALL_STATE(8579)] = 411537,
  [SMALL_STATE(8580)] = 411619,
  [SMALL_STATE(8581)] = 411667,
  [SMALL_STATE(8582)] = 411713,
  [SMALL_STATE(8583)] = 411759,
  [SMALL_STATE(8584)] = 411841,
  [SMALL_STATE(8585)] = 411923,
  [SMALL_STATE(8586)] = 412005,
  [SMALL_STATE(8587)] = 412087,
  [SMALL_STATE(8588)] = 412133,
  [SMALL_STATE(8589)] = 412179,
  [SMALL_STATE(8590)] = 412261,
  [SMALL_STATE(8591)] = 412343,
  [SMALL_STATE(8592)] = 412389,
  [SMALL_STATE(8593)] = 412471,
  [SMALL_STATE(8594)] = 412553,
  [SMALL_STATE(8595)] = 412635,
  [SMALL_STATE(8596)] = 412717,
  [SMALL_STATE(8597)] = 412799,
  [SMALL_STATE(8598)] = 412881,
  [SMALL_STATE(8599)] = 412963,
  [SMALL_STATE(8600)] = 413045,
  [SMALL_STATE(8601)] = 413127,
  [SMALL_STATE(8602)] = 413209,
  [SMALL_STATE(8603)] = 413291,
  [SMALL_STATE(8604)] = 413373,
  [SMALL_STATE(8605)] = 413455,
  [SMALL_STATE(8606)] = 413501,
  [SMALL_STATE(8607)] = 413583,
  [SMALL_STATE(8608)] = 413665,
  [SMALL_STATE(8609)] = 413747,
  [SMALL_STATE(8610)] = 413829,
  [SMALL_STATE(8611)] = 413911,
  [SMALL_STATE(8612)] = 413993,
  [SMALL_STATE(8613)] = 414075,
  [SMALL_STATE(8614)] = 414157,
  [SMALL_STATE(8615)] = 414239,
  [SMALL_STATE(8616)] = 414321,
  [SMALL_STATE(8617)] = 414403,
  [SMALL_STATE(8618)] = 414485,
  [SMALL_STATE(8619)] = 414567,
  [SMALL_STATE(8620)] = 414649,
  [SMALL_STATE(8621)] = 414731,
  [SMALL_STATE(8622)] = 414813,
  [SMALL_STATE(8623)] = 414895,
  [SMALL_STATE(8624)] = 414977,
  [SMALL_STATE(8625)] = 415059,
  [SMALL_STATE(8626)] = 415141,
  [SMALL_STATE(8627)] = 415223,
  [SMALL_STATE(8628)] = 415305,
  [SMALL_STATE(8629)] = 415387,
  [SMALL_STATE(8630)] = 415469,
  [SMALL_STATE(8631)] = 415551,
  [SMALL_STATE(8632)] = 415633,
  [SMALL_STATE(8633)] = 415715,
  [SMALL_STATE(8634)] = 415797,
  [SMALL_STATE(8635)] = 415879,
  [SMALL_STATE(8636)] = 415961,
  [SMALL_STATE(8637)] = 416043,
  [SMALL_STATE(8638)] = 416089,
  [SMALL_STATE(8639)] = 416135,
  [SMALL_STATE(8640)] = 416217,
  [SMALL_STATE(8641)] = 416299,
  [SMALL_STATE(8642)] = 416345,
  [SMALL_STATE(8643)] = 416427,
  [SMALL_STATE(8644)] = 416473,
  [SMALL_STATE(8645)] = 416555,
  [SMALL_STATE(8646)] = 416637,
  [SMALL_STATE(8647)] = 416683,
  [SMALL_STATE(8648)] = 416751,
  [SMALL_STATE(8649)] = 416797,
  [SMALL_STATE(8650)] = 416879,
  [SMALL_STATE(8651)] = 416961,
  [SMALL_STATE(8652)] = 417043,
  [SMALL_STATE(8653)] = 417125,
  [SMALL_STATE(8654)] = 417207,
  [SMALL_STATE(8655)] = 417289,
  [SMALL_STATE(8656)] = 417371,
  [SMALL_STATE(8657)] = 417453,
  [SMALL_STATE(8658)] = 417535,
  [SMALL_STATE(8659)] = 417617,
  [SMALL_STATE(8660)] = 417699,
  [SMALL_STATE(8661)] = 417745,
  [SMALL_STATE(8662)] = 417827,
  [SMALL_STATE(8663)] = 417909,
  [SMALL_STATE(8664)] = 417957,
  [SMALL_STATE(8665)] = 418039,
  [SMALL_STATE(8666)] = 418085,
  [SMALL_STATE(8667)] = 418167,
  [SMALL_STATE(8668)] = 418249,
  [SMALL_STATE(8669)] = 418295,
  [SMALL_STATE(8670)] = 418377,
  [SMALL_STATE(8671)] = 418423,
  [SMALL_STATE(8672)] = 418505,
  [SMALL_STATE(8673)] = 418587,
  [SMALL_STATE(8674)] = 418669,
  [SMALL_STATE(8675)] = 418751,
  [SMALL_STATE(8676)] = 418833,
  [SMALL_STATE(8677)] = 418879,
  [SMALL_STATE(8678)] = 418961,
  [SMALL_STATE(8679)] = 419043,
  [SMALL_STATE(8680)] = 419089,
  [SMALL_STATE(8681)] = 419171,
  [SMALL_STATE(8682)] = 419253,
  [SMALL_STATE(8683)] = 419335,
  [SMALL_STATE(8684)] = 419381,
  [SMALL_STATE(8685)] = 419463,
  [SMALL_STATE(8686)] = 419545,
  [SMALL_STATE(8687)] = 419627,
  [SMALL_STATE(8688)] = 419709,
  [SMALL_STATE(8689)] = 419791,
  [SMALL_STATE(8690)] = 419873,
  [SMALL_STATE(8691)] = 419955,
  [SMALL_STATE(8692)] = 420037,
  [SMALL_STATE(8693)] = 420119,
  [SMALL_STATE(8694)] = 420201,
  [SMALL_STATE(8695)] = 420283,
  [SMALL_STATE(8696)] = 420365,
  [SMALL_STATE(8697)] = 420447,
  [SMALL_STATE(8698)] = 420529,
  [SMALL_STATE(8699)] = 420611,
  [SMALL_STATE(8700)] = 420693,
  [SMALL_STATE(8701)] = 420775,
  [SMALL_STATE(8702)] = 420857,
  [SMALL_STATE(8703)] = 420939,
  [SMALL_STATE(8704)] = 421021,
  [SMALL_STATE(8705)] = 421103,
  [SMALL_STATE(8706)] = 421185,
  [SMALL_STATE(8707)] = 421267,
  [SMALL_STATE(8708)] = 421349,
  [SMALL_STATE(8709)] = 421431,
  [SMALL_STATE(8710)] = 421513,
  [SMALL_STATE(8711)] = 421559,
  [SMALL_STATE(8712)] = 421605,
  [SMALL_STATE(8713)] = 421651,
  [SMALL_STATE(8714)] = 421697,
  [SMALL_STATE(8715)] = 421779,
  [SMALL_STATE(8716)] = 421861,
  [SMALL_STATE(8717)] = 421943,
  [SMALL_STATE(8718)] = 422025,
  [SMALL_STATE(8719)] = 422107,
  [SMALL_STATE(8720)] = 422153,
  [SMALL_STATE(8721)] = 422199,
  [SMALL_STATE(8722)] = 422281,
  [SMALL_STATE(8723)] = 422363,
  [SMALL_STATE(8724)] = 422445,
  [SMALL_STATE(8725)] = 422491,
  [SMALL_STATE(8726)] = 422573,
  [SMALL_STATE(8727)] = 422655,
  [SMALL_STATE(8728)] = 422737,
  [SMALL_STATE(8729)] = 422783,
  [SMALL_STATE(8730)] = 422865,
  [SMALL_STATE(8731)] = 422911,
  [SMALL_STATE(8732)] = 422957,
  [SMALL_STATE(8733)] = 423003,
  [SMALL_STATE(8734)] = 423049,
  [SMALL_STATE(8735)] = 423095,
  [SMALL_STATE(8736)] = 423141,
  [SMALL_STATE(8737)] = 423187,
  [SMALL_STATE(8738)] = 423233,
  [SMALL_STATE(8739)] = 423315,
  [SMALL_STATE(8740)] = 423397,
  [SMALL_STATE(8741)] = 423446,
  [SMALL_STATE(8742)] = 423491,
  [SMALL_STATE(8743)] = 423536,
  [SMALL_STATE(8744)] = 423581,
  [SMALL_STATE(8745)] = 423658,
  [SMALL_STATE(8746)] = 423705,
  [SMALL_STATE(8747)] = 423750,
  [SMALL_STATE(8748)] = 423795,
  [SMALL_STATE(8749)] = 423840,
  [SMALL_STATE(8750)] = 423885,
  [SMALL_STATE(8751)] = 423962,
  [SMALL_STATE(8752)] = 424007,
  [SMALL_STATE(8753)] = 424052,
  [SMALL_STATE(8754)] = 424097,
  [SMALL_STATE(8755)] = 424158,
  [SMALL_STATE(8756)] = 424203,
  [SMALL_STATE(8757)] = 424248,
  [SMALL_STATE(8758)] = 424317,
  [SMALL_STATE(8759)] = 424362,
  [SMALL_STATE(8760)] = 424407,
  [SMALL_STATE(8761)] = 424452,
  [SMALL_STATE(8762)] = 424499,
  [SMALL_STATE(8763)] = 424544,
  [SMALL_STATE(8764)] = 424589,
  [SMALL_STATE(8765)] = 424634,
  [SMALL_STATE(8766)] = 424679,
  [SMALL_STATE(8767)] = 424726,
  [SMALL_STATE(8768)] = 424771,
  [SMALL_STATE(8769)] = 424816,
  [SMALL_STATE(8770)] = 424861,
  [SMALL_STATE(8771)] = 424908,
  [SMALL_STATE(8772)] = 424969,
  [SMALL_STATE(8773)] = 425014,
  [SMALL_STATE(8774)] = 425059,
  [SMALL_STATE(8775)] = 425104,
  [SMALL_STATE(8776)] = 425151,
  [SMALL_STATE(8777)] = 425196,
  [SMALL_STATE(8778)] = 425241,
  [SMALL_STATE(8779)] = 425286,
  [SMALL_STATE(8780)] = 425331,
  [SMALL_STATE(8781)] = 425376,
  [SMALL_STATE(8782)] = 425421,
  [SMALL_STATE(8783)] = 425466,
  [SMALL_STATE(8784)] = 425535,
  [SMALL_STATE(8785)] = 425580,
  [SMALL_STATE(8786)] = 425625,
  [SMALL_STATE(8787)] = 425670,
  [SMALL_STATE(8788)] = 425715,
  [SMALL_STATE(8789)] = 425760,
  [SMALL_STATE(8790)] = 425805,
  [SMALL_STATE(8791)] = 425866,
  [SMALL_STATE(8792)] = 425911,
  [SMALL_STATE(8793)] = 425956,
  [SMALL_STATE(8794)] = 426001,
  [SMALL_STATE(8795)] = 426046,
  [SMALL_STATE(8796)] = 426091,
  [SMALL_STATE(8797)] = 426136,
  [SMALL_STATE(8798)] = 426181,
  [SMALL_STATE(8799)] = 426226,
  [SMALL_STATE(8800)] = 426271,
  [SMALL_STATE(8801)] = 426316,
  [SMALL_STATE(8802)] = 426361,
  [SMALL_STATE(8803)] = 426406,
  [SMALL_STATE(8804)] = 426450,
  [SMALL_STATE(8805)] = 426522,
  [SMALL_STATE(8806)] = 426566,
  [SMALL_STATE(8807)] = 426610,
  [SMALL_STATE(8808)] = 426654,
  [SMALL_STATE(8809)] = 426698,
  [SMALL_STATE(8810)] = 426742,
  [SMALL_STATE(8811)] = 426786,
  [SMALL_STATE(8812)] = 426830,
  [SMALL_STATE(8813)] = 426874,
  [SMALL_STATE(8814)] = 426918,
  [SMALL_STATE(8815)] = 426962,
  [SMALL_STATE(8816)] = 427016,
  [SMALL_STATE(8817)] = 427070,
  [SMALL_STATE(8818)] = 427114,
  [SMALL_STATE(8819)] = 427158,
  [SMALL_STATE(8820)] = 427232,
  [SMALL_STATE(8821)] = 427276,
  [SMALL_STATE(8822)] = 427330,
  [SMALL_STATE(8823)] = 427404,
  [SMALL_STATE(8824)] = 427458,
  [SMALL_STATE(8825)] = 427530,
  [SMALL_STATE(8826)] = 427584,
  [SMALL_STATE(8827)] = 427638,
  [SMALL_STATE(8828)] = 427681,
  [SMALL_STATE(8829)] = 427758,
  [SMALL_STATE(8830)] = 427835,
  [SMALL_STATE(8831)] = 427912,
  [SMALL_STATE(8832)] = 427989,
  [SMALL_STATE(8833)] = 428066,
  [SMALL_STATE(8834)] = 428143,
  [SMALL_STATE(8835)] = 428220,
  [SMALL_STATE(8836)] = 428297,
  [SMALL_STATE(8837)] = 428374,
  [SMALL_STATE(8838)] = 428433,
  [SMALL_STATE(8839)] = 428492,
  [SMALL_STATE(8840)] = 428569,
  [SMALL_STATE(8841)] = 428646,
  [SMALL_STATE(8842)] = 428717,
  [SMALL_STATE(8843)] = 428794,
  [SMALL_STATE(8844)] = 428871,
  [SMALL_STATE(8845)] = 428948,
  [SMALL_STATE(8846)] = 429007,
  [SMALL_STATE(8847)] = 429084,
  [SMALL_STATE(8848)] = 429161,
  [SMALL_STATE(8849)] = 429238,
  [SMALL_STATE(8850)] = 429315,
  [SMALL_STATE(8851)] = 429386,
  [SMALL_STATE(8852)] = 429431,
  [SMALL_STATE(8853)] = 429508,
  [SMALL_STATE(8854)] = 429585,
  [SMALL_STATE(8855)] = 429644,
  [SMALL_STATE(8856)] = 429687,
  [SMALL_STATE(8857)] = 429740,
  [SMALL_STATE(8858)] = 429811,
  [SMALL_STATE(8859)] = 429888,
  [SMALL_STATE(8860)] = 429959,
  [SMALL_STATE(8861)] = 430036,
  [SMALL_STATE(8862)] = 430089,
  [SMALL_STATE(8863)] = 430148,
  [SMALL_STATE(8864)] = 430225,
  [SMALL_STATE(8865)] = 430302,
  [SMALL_STATE(8866)] = 430379,
  [SMALL_STATE(8867)] = 430456,
  [SMALL_STATE(8868)] = 430533,
  [SMALL_STATE(8869)] = 430578,
  [SMALL_STATE(8870)] = 430655,
  [SMALL_STATE(8871)] = 430732,
  [SMALL_STATE(8872)] = 430809,
  [SMALL_STATE(8873)] = 430886,
  [SMALL_STATE(8874)] = 430963,
  [SMALL_STATE(8875)] = 431040,
  [SMALL_STATE(8876)] = 431117,
  [SMALL_STATE(8877)] = 431194,
  [SMALL_STATE(8878)] = 431271,
  [SMALL_STATE(8879)] = 431348,
  [SMALL_STATE(8880)] = 431425,
  [SMALL_STATE(8881)] = 431502,
  [SMALL_STATE(8882)] = 431544,
  [SMALL_STATE(8883)] = 431586,
  [SMALL_STATE(8884)] = 431628,
  [SMALL_STATE(8885)] = 431670,
  [SMALL_STATE(8886)] = 431712,
  [SMALL_STATE(8887)] = 431784,
  [SMALL_STATE(8888)] = 431856,
  [SMALL_STATE(8889)] = 431898,
  [SMALL_STATE(8890)] = 431940,
  [SMALL_STATE(8891)] = 432012,
  [SMALL_STATE(8892)] = 432054,
  [SMALL_STATE(8893)] = 432126,
  [SMALL_STATE(8894)] = 432168,
  [SMALL_STATE(8895)] = 432240,
  [SMALL_STATE(8896)] = 432312,
  [SMALL_STATE(8897)] = 432384,
  [SMALL_STATE(8898)] = 432456,
  [SMALL_STATE(8899)] = 432498,
  [SMALL_STATE(8900)] = 432540,
  [SMALL_STATE(8901)] = 432582,
  [SMALL_STATE(8902)] = 432654,
  [SMALL_STATE(8903)] = 432696,
  [SMALL_STATE(8904)] = 432768,
  [SMALL_STATE(8905)] = 432840,
  [SMALL_STATE(8906)] = 432882,
  [SMALL_STATE(8907)] = 432954,
  [SMALL_STATE(8908)] = 433026,
  [SMALL_STATE(8909)] = 433098,
  [SMALL_STATE(8910)] = 433170,
  [SMALL_STATE(8911)] = 433242,
  [SMALL_STATE(8912)] = 433314,
  [SMALL_STATE(8913)] = 433386,
  [SMALL_STATE(8914)] = 433458,
  [SMALL_STATE(8915)] = 433530,
  [SMALL_STATE(8916)] = 433572,
  [SMALL_STATE(8917)] = 433614,
  [SMALL_STATE(8918)] = 433686,
  [SMALL_STATE(8919)] = 433758,
  [SMALL_STATE(8920)] = 433830,
  [SMALL_STATE(8921)] = 433902,
  [SMALL_STATE(8922)] = 433974,
  [SMALL_STATE(8923)] = 434046,
  [SMALL_STATE(8924)] = 434088,
  [SMALL_STATE(8925)] = 434130,
  [SMALL_STATE(8926)] = 434202,
  [SMALL_STATE(8927)] = 434274,
  [SMALL_STATE(8928)] = 434346,
  [SMALL_STATE(8929)] = 434418,
  [SMALL_STATE(8930)] = 434460,
  [SMALL_STATE(8931)] = 434532,
  [SMALL_STATE(8932)] = 434604,
  [SMALL_STATE(8933)] = 434676,
  [SMALL_STATE(8934)] = 434718,
  [SMALL_STATE(8935)] = 434790,
  [SMALL_STATE(8936)] = 434842,
  [SMALL_STATE(8937)] = 434914,
  [SMALL_STATE(8938)] = 434986,
  [SMALL_STATE(8939)] = 435058,
  [SMALL_STATE(8940)] = 435130,
  [SMALL_STATE(8941)] = 435182,
  [SMALL_STATE(8942)] = 435228,
  [SMALL_STATE(8943)] = 435300,
  [SMALL_STATE(8944)] = 435344,
  [SMALL_STATE(8945)] = 435416,
  [SMALL_STATE(8946)] = 435488,
  [SMALL_STATE(8947)] = 435560,
  [SMALL_STATE(8948)] = 435602,
  [SMALL_STATE(8949)] = 435644,
  [SMALL_STATE(8950)] = 435696,
  [SMALL_STATE(8951)] = 435768,
  [SMALL_STATE(8952)] = 435810,
  [SMALL_STATE(8953)] = 435882,
  [SMALL_STATE(8954)] = 435924,
  [SMALL_STATE(8955)] = 435966,
  [SMALL_STATE(8956)] = 436038,
  [SMALL_STATE(8957)] = 436080,
  [SMALL_STATE(8958)] = 436152,
  [SMALL_STATE(8959)] = 436224,
  [SMALL_STATE(8960)] = 436266,
  [SMALL_STATE(8961)] = 436338,
  [SMALL_STATE(8962)] = 436410,
  [SMALL_STATE(8963)] = 436482,
  [SMALL_STATE(8964)] = 436554,
  [SMALL_STATE(8965)] = 436596,
  [SMALL_STATE(8966)] = 436668,
  [SMALL_STATE(8967)] = 436740,
  [SMALL_STATE(8968)] = 436792,
  [SMALL_STATE(8969)] = 436864,
  [SMALL_STATE(8970)] = 436936,
  [SMALL_STATE(8971)] = 437008,
  [SMALL_STATE(8972)] = 437080,
  [SMALL_STATE(8973)] = 437152,
  [SMALL_STATE(8974)] = 437224,
  [SMALL_STATE(8975)] = 437266,
  [SMALL_STATE(8976)] = 437308,
  [SMALL_STATE(8977)] = 437350,
  [SMALL_STATE(8978)] = 437422,
  [SMALL_STATE(8979)] = 437466,
  [SMALL_STATE(8980)] = 437538,
  [SMALL_STATE(8981)] = 437590,
  [SMALL_STATE(8982)] = 437662,
  [SMALL_STATE(8983)] = 437734,
  [SMALL_STATE(8984)] = 437776,
  [SMALL_STATE(8985)] = 437848,
  [SMALL_STATE(8986)] = 437890,
  [SMALL_STATE(8987)] = 437962,
  [SMALL_STATE(8988)] = 438004,
  [SMALL_STATE(8989)] = 438076,
  [SMALL_STATE(8990)] = 438118,
  [SMALL_STATE(8991)] = 438170,
  [SMALL_STATE(8992)] = 438212,
  [SMALL_STATE(8993)] = 438284,
  [SMALL_STATE(8994)] = 438356,
  [SMALL_STATE(8995)] = 438428,
  [SMALL_STATE(8996)] = 438470,
  [SMALL_STATE(8997)] = 438542,
  [SMALL_STATE(8998)] = 438584,
  [SMALL_STATE(8999)] = 438626,
  [SMALL_STATE(9000)] = 438698,
  [SMALL_STATE(9001)] = 438770,
  [SMALL_STATE(9002)] = 438812,
  [SMALL_STATE(9003)] = 438854,
  [SMALL_STATE(9004)] = 438896,
  [SMALL_STATE(9005)] = 438938,
  [SMALL_STATE(9006)] = 439010,
  [SMALL_STATE(9007)] = 439082,
  [SMALL_STATE(9008)] = 439154,
  [SMALL_STATE(9009)] = 439196,
  [SMALL_STATE(9010)] = 439238,
  [SMALL_STATE(9011)] = 439280,
  [SMALL_STATE(9012)] = 439322,
  [SMALL_STATE(9013)] = 439364,
  [SMALL_STATE(9014)] = 439406,
  [SMALL_STATE(9015)] = 439448,
  [SMALL_STATE(9016)] = 439500,
  [SMALL_STATE(9017)] = 439542,
  [SMALL_STATE(9018)] = 439584,
  [SMALL_STATE(9019)] = 439656,
  [SMALL_STATE(9020)] = 439728,
  [SMALL_STATE(9021)] = 439770,
  [SMALL_STATE(9022)] = 439812,
  [SMALL_STATE(9023)] = 439854,
  [SMALL_STATE(9024)] = 439896,
  [SMALL_STATE(9025)] = 439968,
  [SMALL_STATE(9026)] = 440010,
  [SMALL_STATE(9027)] = 440082,
  [SMALL_STATE(9028)] = 440154,
  [SMALL_STATE(9029)] = 440226,
  [SMALL_STATE(9030)] = 440298,
  [SMALL_STATE(9031)] = 440346,
  [SMALL_STATE(9032)] = 440388,
  [SMALL_STATE(9033)] = 440456,
  [SMALL_STATE(9034)] = 440528,
  [SMALL_STATE(9035)] = 440600,
  [SMALL_STATE(9036)] = 440652,
  [SMALL_STATE(9037)] = 440724,
  [SMALL_STATE(9038)] = 440766,
  [SMALL_STATE(9039)] = 440838,
  [SMALL_STATE(9040)] = 440910,
  [SMALL_STATE(9041)] = 440952,
  [SMALL_STATE(9042)] = 440994,
  [SMALL_STATE(9043)] = 441036,
  [SMALL_STATE(9044)] = 441078,
  [SMALL_STATE(9045)] = 441150,
  [SMALL_STATE(9046)] = 441192,
  [SMALL_STATE(9047)] = 441264,
  [SMALL_STATE(9048)] = 441336,
  [SMALL_STATE(9049)] = 441378,
  [SMALL_STATE(9050)] = 441420,
  [SMALL_STATE(9051)] = 441462,
  [SMALL_STATE(9052)] = 441534,
  [SMALL_STATE(9053)] = 441606,
  [SMALL_STATE(9054)] = 441648,
  [SMALL_STATE(9055)] = 441690,
  [SMALL_STATE(9056)] = 441762,
  [SMALL_STATE(9057)] = 441804,
  [SMALL_STATE(9058)] = 441876,
  [SMALL_STATE(9059)] = 441918,
  [SMALL_STATE(9060)] = 441960,
  [SMALL_STATE(9061)] = 442018,
  [SMALL_STATE(9062)] = 442076,
  [SMALL_STATE(9063)] = 442148,
  [SMALL_STATE(9064)] = 442220,
  [SMALL_STATE(9065)] = 442262,
  [SMALL_STATE(9066)] = 442304,
  [SMALL_STATE(9067)] = 442346,
  [SMALL_STATE(9068)] = 442418,
  [SMALL_STATE(9069)] = 442490,
  [SMALL_STATE(9070)] = 442562,
  [SMALL_STATE(9071)] = 442604,
  [SMALL_STATE(9072)] = 442676,
  [SMALL_STATE(9073)] = 442718,
  [SMALL_STATE(9074)] = 442760,
  [SMALL_STATE(9075)] = 442802,
  [SMALL_STATE(9076)] = 442844,
  [SMALL_STATE(9077)] = 442886,
  [SMALL_STATE(9078)] = 442928,
  [SMALL_STATE(9079)] = 442970,
  [SMALL_STATE(9080)] = 443042,
  [SMALL_STATE(9081)] = 443084,
  [SMALL_STATE(9082)] = 443126,
  [SMALL_STATE(9083)] = 443168,
  [SMALL_STATE(9084)] = 443240,
  [SMALL_STATE(9085)] = 443298,
  [SMALL_STATE(9086)] = 443356,
  [SMALL_STATE(9087)] = 443398,
  [SMALL_STATE(9088)] = 443440,
  [SMALL_STATE(9089)] = 443512,
  [SMALL_STATE(9090)] = 443554,
  [SMALL_STATE(9091)] = 443596,
  [SMALL_STATE(9092)] = 443638,
  [SMALL_STATE(9093)] = 443710,
  [SMALL_STATE(9094)] = 443782,
  [SMALL_STATE(9095)] = 443826,
  [SMALL_STATE(9096)] = 443898,
  [SMALL_STATE(9097)] = 443956,
  [SMALL_STATE(9098)] = 444028,
  [SMALL_STATE(9099)] = 444076,
  [SMALL_STATE(9100)] = 444148,
  [SMALL_STATE(9101)] = 444220,
  [SMALL_STATE(9102)] = 444278,
  [SMALL_STATE(9103)] = 444336,
  [SMALL_STATE(9104)] = 444378,
  [SMALL_STATE(9105)] = 444450,
  [SMALL_STATE(9106)] = 444492,
  [SMALL_STATE(9107)] = 444534,
  [SMALL_STATE(9108)] = 444576,
  [SMALL_STATE(9109)] = 444634,
  [SMALL_STATE(9110)] = 444676,
  [SMALL_STATE(9111)] = 444718,
  [SMALL_STATE(9112)] = 444760,
  [SMALL_STATE(9113)] = 444832,
  [SMALL_STATE(9114)] = 444904,
  [SMALL_STATE(9115)] = 444976,
  [SMALL_STATE(9116)] = 445028,
  [SMALL_STATE(9117)] = 445086,
  [SMALL_STATE(9118)] = 445128,
  [SMALL_STATE(9119)] = 445170,
  [SMALL_STATE(9120)] = 445212,
  [SMALL_STATE(9121)] = 445254,
  [SMALL_STATE(9122)] = 445296,
  [SMALL_STATE(9123)] = 445338,
  [SMALL_STATE(9124)] = 445380,
  [SMALL_STATE(9125)] = 445452,
  [SMALL_STATE(9126)] = 445494,
  [SMALL_STATE(9127)] = 445538,
  [SMALL_STATE(9128)] = 445580,
  [SMALL_STATE(9129)] = 445652,
  [SMALL_STATE(9130)] = 445694,
  [SMALL_STATE(9131)] = 445766,
  [SMALL_STATE(9132)] = 445838,
  [SMALL_STATE(9133)] = 445910,
  [SMALL_STATE(9134)] = 445982,
  [SMALL_STATE(9135)] = 446024,
  [SMALL_STATE(9136)] = 446096,
  [SMALL_STATE(9137)] = 446168,
  [SMALL_STATE(9138)] = 446210,
  [SMALL_STATE(9139)] = 446252,
  [SMALL_STATE(9140)] = 446324,
  [SMALL_STATE(9141)] = 446366,
  [SMALL_STATE(9142)] = 446438,
  [SMALL_STATE(9143)] = 446480,
  [SMALL_STATE(9144)] = 446522,
  [SMALL_STATE(9145)] = 446564,
  [SMALL_STATE(9146)] = 446606,
  [SMALL_STATE(9147)] = 446678,
  [SMALL_STATE(9148)] = 446720,
  [SMALL_STATE(9149)] = 446792,
  [SMALL_STATE(9150)] = 446864,
  [SMALL_STATE(9151)] = 446906,
  [SMALL_STATE(9152)] = 446948,
  [SMALL_STATE(9153)] = 447020,
  [SMALL_STATE(9154)] = 447092,
  [SMALL_STATE(9155)] = 447164,
  [SMALL_STATE(9156)] = 447206,
  [SMALL_STATE(9157)] = 447248,
  [SMALL_STATE(9158)] = 447290,
  [SMALL_STATE(9159)] = 447342,
  [SMALL_STATE(9160)] = 447414,
  [SMALL_STATE(9161)] = 447456,
  [SMALL_STATE(9162)] = 447524,
  [SMALL_STATE(9163)] = 447566,
  [SMALL_STATE(9164)] = 447638,
  [SMALL_STATE(9165)] = 447680,
  [SMALL_STATE(9166)] = 447752,
  [SMALL_STATE(9167)] = 447824,
  [SMALL_STATE(9168)] = 447896,
  [SMALL_STATE(9169)] = 447968,
  [SMALL_STATE(9170)] = 448040,
  [SMALL_STATE(9171)] = 448082,
  [SMALL_STATE(9172)] = 448154,
  [SMALL_STATE(9173)] = 448226,
  [SMALL_STATE(9174)] = 448298,
  [SMALL_STATE(9175)] = 448340,
  [SMALL_STATE(9176)] = 448382,
  [SMALL_STATE(9177)] = 448426,
  [SMALL_STATE(9178)] = 448468,
  [SMALL_STATE(9179)] = 448510,
  [SMALL_STATE(9180)] = 448568,
  [SMALL_STATE(9181)] = 448610,
  [SMALL_STATE(9182)] = 448652,
  [SMALL_STATE(9183)] = 448710,
  [SMALL_STATE(9184)] = 448782,
  [SMALL_STATE(9185)] = 448854,
  [SMALL_STATE(9186)] = 448896,
  [SMALL_STATE(9187)] = 448938,
  [SMALL_STATE(9188)] = 449010,
  [SMALL_STATE(9189)] = 449052,
  [SMALL_STATE(9190)] = 449094,
  [SMALL_STATE(9191)] = 449136,
  [SMALL_STATE(9192)] = 449208,
  [SMALL_STATE(9193)] = 449250,
  [SMALL_STATE(9194)] = 449322,
  [SMALL_STATE(9195)] = 449364,
  [SMALL_STATE(9196)] = 449436,
  [SMALL_STATE(9197)] = 449508,
  [SMALL_STATE(9198)] = 449566,
  [SMALL_STATE(9199)] = 449638,
  [SMALL_STATE(9200)] = 449695,
  [SMALL_STATE(9201)] = 449736,
  [SMALL_STATE(9202)] = 449777,
  [SMALL_STATE(9203)] = 449818,
  [SMALL_STATE(9204)] = 449859,
  [SMALL_STATE(9205)] = 449904,
  [SMALL_STATE(9206)] = 449945,
  [SMALL_STATE(9207)] = 449988,
  [SMALL_STATE(9208)] = 450033,
  [SMALL_STATE(9209)] = 450086,
  [SMALL_STATE(9210)] = 450127,
  [SMALL_STATE(9211)] = 450168,
  [SMALL_STATE(9212)] = 450209,
  [SMALL_STATE(9213)] = 450278,
  [SMALL_STATE(9214)] = 450319,
  [SMALL_STATE(9215)] = 450360,
  [SMALL_STATE(9216)] = 450401,
  [SMALL_STATE(9217)] = 450470,
  [SMALL_STATE(9218)] = 450523,
  [SMALL_STATE(9219)] = 450564,
  [SMALL_STATE(9220)] = 450621,
  [SMALL_STATE(9221)] = 450664,
  [SMALL_STATE(9222)] = 450705,
  [SMALL_STATE(9223)] = 450746,
  [SMALL_STATE(9224)] = 450801,
  [SMALL_STATE(9225)] = 450842,
  [SMALL_STATE(9226)] = 450883,
  [SMALL_STATE(9227)] = 450926,
  [SMALL_STATE(9228)] = 450967,
  [SMALL_STATE(9229)] = 451022,
  [SMALL_STATE(9230)] = 451073,
  [SMALL_STATE(9231)] = 451114,
  [SMALL_STATE(9232)] = 451157,
  [SMALL_STATE(9233)] = 451212,
  [SMALL_STATE(9234)] = 451253,
  [SMALL_STATE(9235)] = 451294,
  [SMALL_STATE(9236)] = 451353,
  [SMALL_STATE(9237)] = 451394,
  [SMALL_STATE(9238)] = 451435,
  [SMALL_STATE(9239)] = 451496,
  [SMALL_STATE(9240)] = 451541,
  [SMALL_STATE(9241)] = 451582,
  [SMALL_STATE(9242)] = 451623,
  [SMALL_STATE(9243)] = 451684,
  [SMALL_STATE(9244)] = 451725,
  [SMALL_STATE(9245)] = 451788,
  [SMALL_STATE(9246)] = 451857,
  [SMALL_STATE(9247)] = 451898,
  [SMALL_STATE(9248)] = 451967,
  [SMALL_STATE(9249)] = 452008,
  [SMALL_STATE(9250)] = 452065,
  [SMALL_STATE(9251)] = 452106,
  [SMALL_STATE(9252)] = 452161,
  [SMALL_STATE(9253)] = 452202,
  [SMALL_STATE(9254)] = 452247,
  [SMALL_STATE(9255)] = 452288,
  [SMALL_STATE(9256)] = 452329,
  [SMALL_STATE(9257)] = 452398,
  [SMALL_STATE(9258)] = 452439,
  [SMALL_STATE(9259)] = 452498,
  [SMALL_STATE(9260)] = 452539,
  [SMALL_STATE(9261)] = 452584,
  [SMALL_STATE(9262)] = 452641,
  [SMALL_STATE(9263)] = 452682,
  [SMALL_STATE(9264)] = 452743,
  [SMALL_STATE(9265)] = 452788,
  [SMALL_STATE(9266)] = 452831,
  [SMALL_STATE(9267)] = 452874,
  [SMALL_STATE(9268)] = 452915,
  [SMALL_STATE(9269)] = 452958,
  [SMALL_STATE(9270)] = 453029,
  [SMALL_STATE(9271)] = 453080,
  [SMALL_STATE(9272)] = 453149,
  [SMALL_STATE(9273)] = 453190,
  [SMALL_STATE(9274)] = 453231,
  [SMALL_STATE(9275)] = 453272,
  [SMALL_STATE(9276)] = 453313,
  [SMALL_STATE(9277)] = 453354,
  [SMALL_STATE(9278)] = 453405,
  [SMALL_STATE(9279)] = 453446,
  [SMALL_STATE(9280)] = 453491,
  [SMALL_STATE(9281)] = 453560,
  [SMALL_STATE(9282)] = 453605,
  [SMALL_STATE(9283)] = 453646,
  [SMALL_STATE(9284)] = 453703,
  [SMALL_STATE(9285)] = 453744,
  [SMALL_STATE(9286)] = 453785,
  [SMALL_STATE(9287)] = 453826,
  [SMALL_STATE(9288)] = 453873,
  [SMALL_STATE(9289)] = 453914,
  [SMALL_STATE(9290)] = 453957,
  [SMALL_STATE(9291)] = 453998,
  [SMALL_STATE(9292)] = 454061,
  [SMALL_STATE(9293)] = 454102,
  [SMALL_STATE(9294)] = 454143,
  [SMALL_STATE(9295)] = 454206,
  [SMALL_STATE(9296)] = 454247,
  [SMALL_STATE(9297)] = 454292,
  [SMALL_STATE(9298)] = 454333,
  [SMALL_STATE(9299)] = 454374,
  [SMALL_STATE(9300)] = 454415,
  [SMALL_STATE(9301)] = 454456,
  [SMALL_STATE(9302)] = 454501,
  [SMALL_STATE(9303)] = 454542,
  [SMALL_STATE(9304)] = 454583,
  [SMALL_STATE(9305)] = 454640,
  [SMALL_STATE(9306)] = 454681,
  [SMALL_STATE(9307)] = 454736,
  [SMALL_STATE(9308)] = 454793,
  [SMALL_STATE(9309)] = 454858,
  [SMALL_STATE(9310)] = 454915,
  [SMALL_STATE(9311)] = 454976,
  [SMALL_STATE(9312)] = 455017,
  [SMALL_STATE(9313)] = 455058,
  [SMALL_STATE(9314)] = 455099,
  [SMALL_STATE(9315)] = 455156,
  [SMALL_STATE(9316)] = 455215,
  [SMALL_STATE(9317)] = 455256,
  [SMALL_STATE(9318)] = 455299,
  [SMALL_STATE(9319)] = 455340,
  [SMALL_STATE(9320)] = 455381,
  [SMALL_STATE(9321)] = 455438,
  [SMALL_STATE(9322)] = 455479,
  [SMALL_STATE(9323)] = 455520,
  [SMALL_STATE(9324)] = 455561,
  [SMALL_STATE(9325)] = 455602,
  [SMALL_STATE(9326)] = 455659,
  [SMALL_STATE(9327)] = 455716,
  [SMALL_STATE(9328)] = 455757,
  [SMALL_STATE(9329)] = 455798,
  [SMALL_STATE(9330)] = 455839,
  [SMALL_STATE(9331)] = 455880,
  [SMALL_STATE(9332)] = 455921,
  [SMALL_STATE(9333)] = 455962,
  [SMALL_STATE(9334)] = 456019,
  [SMALL_STATE(9335)] = 456060,
  [SMALL_STATE(9336)] = 456101,
  [SMALL_STATE(9337)] = 456142,
  [SMALL_STATE(9338)] = 456183,
  [SMALL_STATE(9339)] = 456242,
  [SMALL_STATE(9340)] = 456311,
  [SMALL_STATE(9341)] = 456356,
  [SMALL_STATE(9342)] = 456397,
  [SMALL_STATE(9343)] = 456466,
  [SMALL_STATE(9344)] = 456535,
  [SMALL_STATE(9345)] = 456576,
  [SMALL_STATE(9346)] = 456617,
  [SMALL_STATE(9347)] = 456658,
  [SMALL_STATE(9348)] = 456721,
  [SMALL_STATE(9349)] = 456780,
  [SMALL_STATE(9350)] = 456839,
  [SMALL_STATE(9351)] = 456880,
  [SMALL_STATE(9352)] = 456942,
  [SMALL_STATE(9353)] = 456992,
  [SMALL_STATE(9354)] = 457032,
  [SMALL_STATE(9355)] = 457072,
  [SMALL_STATE(9356)] = 457112,
  [SMALL_STATE(9357)] = 457180,
  [SMALL_STATE(9358)] = 457222,
  [SMALL_STATE(9359)] = 457288,
  [SMALL_STATE(9360)] = 457356,
  [SMALL_STATE(9361)] = 457400,
  [SMALL_STATE(9362)] = 457444,
  [SMALL_STATE(9363)] = 457488,
  [SMALL_STATE(9364)] = 457532,
  [SMALL_STATE(9365)] = 457574,
  [SMALL_STATE(9366)] = 457614,
  [SMALL_STATE(9367)] = 457682,
  [SMALL_STATE(9368)] = 457750,
  [SMALL_STATE(9369)] = 457794,
  [SMALL_STATE(9370)] = 457834,
  [SMALL_STATE(9371)] = 457874,
  [SMALL_STATE(9372)] = 457914,
  [SMALL_STATE(9373)] = 457954,
  [SMALL_STATE(9374)] = 458016,
  [SMALL_STATE(9375)] = 458058,
  [SMALL_STATE(9376)] = 458098,
  [SMALL_STATE(9377)] = 458138,
  [SMALL_STATE(9378)] = 458178,
  [SMALL_STATE(9379)] = 458218,
  [SMALL_STATE(9380)] = 458258,
  [SMALL_STATE(9381)] = 458298,
  [SMALL_STATE(9382)] = 458366,
  [SMALL_STATE(9383)] = 458406,
  [SMALL_STATE(9384)] = 458446,
  [SMALL_STATE(9385)] = 458514,
  [SMALL_STATE(9386)] = 458582,
  [SMALL_STATE(9387)] = 458622,
  [SMALL_STATE(9388)] = 458662,
  [SMALL_STATE(9389)] = 458702,
  [SMALL_STATE(9390)] = 458742,
  [SMALL_STATE(9391)] = 458810,
  [SMALL_STATE(9392)] = 458852,
  [SMALL_STATE(9393)] = 458920,
  [SMALL_STATE(9394)] = 458960,
  [SMALL_STATE(9395)] = 459016,
  [SMALL_STATE(9396)] = 459072,
  [SMALL_STATE(9397)] = 459140,
  [SMALL_STATE(9398)] = 459208,
  [SMALL_STATE(9399)] = 459276,
  [SMALL_STATE(9400)] = 459344,
  [SMALL_STATE(9401)] = 459412,
  [SMALL_STATE(9402)] = 459452,
  [SMALL_STATE(9403)] = 459508,
  [SMALL_STATE(9404)] = 459548,
  [SMALL_STATE(9405)] = 459588,
  [SMALL_STATE(9406)] = 459628,
  [SMALL_STATE(9407)] = 459668,
  [SMALL_STATE(9408)] = 459708,
  [SMALL_STATE(9409)] = 459776,
  [SMALL_STATE(9410)] = 459832,
  [SMALL_STATE(9411)] = 459888,
  [SMALL_STATE(9412)] = 459956,
  [SMALL_STATE(9413)] = 459996,
  [SMALL_STATE(9414)] = 460036,
  [SMALL_STATE(9415)] = 460076,
  [SMALL_STATE(9416)] = 460144,
  [SMALL_STATE(9417)] = 460184,
  [SMALL_STATE(9418)] = 460252,
  [SMALL_STATE(9419)] = 460308,
  [SMALL_STATE(9420)] = 460348,
  [SMALL_STATE(9421)] = 460404,
  [SMALL_STATE(9422)] = 460460,
  [SMALL_STATE(9423)] = 460500,
  [SMALL_STATE(9424)] = 460544,
  [SMALL_STATE(9425)] = 460584,
  [SMALL_STATE(9426)] = 460624,
  [SMALL_STATE(9427)] = 460664,
  [SMALL_STATE(9428)] = 460704,
  [SMALL_STATE(9429)] = 460744,
  [SMALL_STATE(9430)] = 460794,
  [SMALL_STATE(9431)] = 460834,
  [SMALL_STATE(9432)] = 460890,
  [SMALL_STATE(9433)] = 460936,
  [SMALL_STATE(9434)] = 460976,
  [SMALL_STATE(9435)] = 461026,
  [SMALL_STATE(9436)] = 461094,
  [SMALL_STATE(9437)] = 461134,
  [SMALL_STATE(9438)] = 461174,
  [SMALL_STATE(9439)] = 461214,
  [SMALL_STATE(9440)] = 461254,
  [SMALL_STATE(9441)] = 461294,
  [SMALL_STATE(9442)] = 461334,
  [SMALL_STATE(9443)] = 461402,
  [SMALL_STATE(9444)] = 461470,
  [SMALL_STATE(9445)] = 461538,
  [SMALL_STATE(9446)] = 461578,
  [SMALL_STATE(9447)] = 461646,
  [SMALL_STATE(9448)] = 461714,
  [SMALL_STATE(9449)] = 461782,
  [SMALL_STATE(9450)] = 461838,
  [SMALL_STATE(9451)] = 461884,
  [SMALL_STATE(9452)] = 461952,
  [SMALL_STATE(9453)] = 462008,
  [SMALL_STATE(9454)] = 462076,
  [SMALL_STATE(9455)] = 462144,
  [SMALL_STATE(9456)] = 462184,
  [SMALL_STATE(9457)] = 462224,
  [SMALL_STATE(9458)] = 462264,
  [SMALL_STATE(9459)] = 462304,
  [SMALL_STATE(9460)] = 462344,
  [SMALL_STATE(9461)] = 462384,
  [SMALL_STATE(9462)] = 462424,
  [SMALL_STATE(9463)] = 462480,
  [SMALL_STATE(9464)] = 462520,
  [SMALL_STATE(9465)] = 462588,
  [SMALL_STATE(9466)] = 462656,
  [SMALL_STATE(9467)] = 462724,
  [SMALL_STATE(9468)] = 462792,
  [SMALL_STATE(9469)] = 462832,
  [SMALL_STATE(9470)] = 462872,
  [SMALL_STATE(9471)] = 462912,
  [SMALL_STATE(9472)] = 462980,
  [SMALL_STATE(9473)] = 463048,
  [SMALL_STATE(9474)] = 463116,
  [SMALL_STATE(9475)] = 463184,
  [SMALL_STATE(9476)] = 463252,
  [SMALL_STATE(9477)] = 463292,
  [SMALL_STATE(9478)] = 463360,
  [SMALL_STATE(9479)] = 463428,
  [SMALL_STATE(9480)] = 463496,
  [SMALL_STATE(9481)] = 463536,
  [SMALL_STATE(9482)] = 463604,
  [SMALL_STATE(9483)] = 463644,
  [SMALL_STATE(9484)] = 463712,
  [SMALL_STATE(9485)] = 463752,
  [SMALL_STATE(9486)] = 463820,
  [SMALL_STATE(9487)] = 463870,
  [SMALL_STATE(9488)] = 463938,
  [SMALL_STATE(9489)] = 464006,
  [SMALL_STATE(9490)] = 464074,
  [SMALL_STATE(9491)] = 464114,
  [SMALL_STATE(9492)] = 464182,
  [SMALL_STATE(9493)] = 464250,
  [SMALL_STATE(9494)] = 464318,
  [SMALL_STATE(9495)] = 464386,
  [SMALL_STATE(9496)] = 464454,
  [SMALL_STATE(9497)] = 464522,
  [SMALL_STATE(9498)] = 464590,
  [SMALL_STATE(9499)] = 464630,
  [SMALL_STATE(9500)] = 464672,
  [SMALL_STATE(9501)] = 464736,
  [SMALL_STATE(9502)] = 464776,
  [SMALL_STATE(9503)] = 464844,
  [SMALL_STATE(9504)] = 464912,
  [SMALL_STATE(9505)] = 464980,
  [SMALL_STATE(9506)] = 465048,
  [SMALL_STATE(9507)] = 465116,
  [SMALL_STATE(9508)] = 465156,
  [SMALL_STATE(9509)] = 465196,
  [SMALL_STATE(9510)] = 465264,
  [SMALL_STATE(9511)] = 465304,
  [SMALL_STATE(9512)] = 465354,
  [SMALL_STATE(9513)] = 465394,
  [SMALL_STATE(9514)] = 465434,
  [SMALL_STATE(9515)] = 465484,
  [SMALL_STATE(9516)] = 465552,
  [SMALL_STATE(9517)] = 465602,
  [SMALL_STATE(9518)] = 465670,
  [SMALL_STATE(9519)] = 465710,
  [SMALL_STATE(9520)] = 465778,
  [SMALL_STATE(9521)] = 465818,
  [SMALL_STATE(9522)] = 465886,
  [SMALL_STATE(9523)] = 465954,
  [SMALL_STATE(9524)] = 465994,
  [SMALL_STATE(9525)] = 466036,
  [SMALL_STATE(9526)] = 466076,
  [SMALL_STATE(9527)] = 466144,
  [SMALL_STATE(9528)] = 466212,
  [SMALL_STATE(9529)] = 466254,
  [SMALL_STATE(9530)] = 466294,
  [SMALL_STATE(9531)] = 466362,
  [SMALL_STATE(9532)] = 466402,
  [SMALL_STATE(9533)] = 466470,
  [SMALL_STATE(9534)] = 466510,
  [SMALL_STATE(9535)] = 466578,
  [SMALL_STATE(9536)] = 466618,
  [SMALL_STATE(9537)] = 466658,
  [SMALL_STATE(9538)] = 466726,
  [SMALL_STATE(9539)] = 466766,
  [SMALL_STATE(9540)] = 466834,
  [SMALL_STATE(9541)] = 466902,
  [SMALL_STATE(9542)] = 466970,
  [SMALL_STATE(9543)] = 467016,
  [SMALL_STATE(9544)] = 467084,
  [SMALL_STATE(9545)] = 467124,
  [SMALL_STATE(9546)] = 467164,
  [SMALL_STATE(9547)] = 467232,
  [SMALL_STATE(9548)] = 467272,
  [SMALL_STATE(9549)] = 467312,
  [SMALL_STATE(9550)] = 467352,
  [SMALL_STATE(9551)] = 467398,
  [SMALL_STATE(9552)] = 467438,
  [SMALL_STATE(9553)] = 467506,
  [SMALL_STATE(9554)] = 467574,
  [SMALL_STATE(9555)] = 467614,
  [SMALL_STATE(9556)] = 467654,
  [SMALL_STATE(9557)] = 467722,
  [SMALL_STATE(9558)] = 467776,
  [SMALL_STATE(9559)] = 467818,
  [SMALL_STATE(9560)] = 467862,
  [SMALL_STATE(9561)] = 467930,
  [SMALL_STATE(9562)] = 467998,
  [SMALL_STATE(9563)] = 468038,
  [SMALL_STATE(9564)] = 468078,
  [SMALL_STATE(9565)] = 468118,
  [SMALL_STATE(9566)] = 468158,
  [SMALL_STATE(9567)] = 468210,
  [SMALL_STATE(9568)] = 468250,
  [SMALL_STATE(9569)] = 468290,
  [SMALL_STATE(9570)] = 468330,
  [SMALL_STATE(9571)] = 468370,
  [SMALL_STATE(9572)] = 468410,
  [SMALL_STATE(9573)] = 468450,
  [SMALL_STATE(9574)] = 468514,
  [SMALL_STATE(9575)] = 468554,
  [SMALL_STATE(9576)] = 468594,
  [SMALL_STATE(9577)] = 468634,
  [SMALL_STATE(9578)] = 468702,
  [SMALL_STATE(9579)] = 468742,
  [SMALL_STATE(9580)] = 468782,
  [SMALL_STATE(9581)] = 468822,
  [SMALL_STATE(9582)] = 468862,
  [SMALL_STATE(9583)] = 468902,
  [SMALL_STATE(9584)] = 468944,
  [SMALL_STATE(9585)] = 468984,
  [SMALL_STATE(9586)] = 469024,
  [SMALL_STATE(9587)] = 469064,
  [SMALL_STATE(9588)] = 469104,
  [SMALL_STATE(9589)] = 469144,
  [SMALL_STATE(9590)] = 469184,
  [SMALL_STATE(9591)] = 469224,
  [SMALL_STATE(9592)] = 469264,
  [SMALL_STATE(9593)] = 469304,
  [SMALL_STATE(9594)] = 469344,
  [SMALL_STATE(9595)] = 469384,
  [SMALL_STATE(9596)] = 469424,
  [SMALL_STATE(9597)] = 469464,
  [SMALL_STATE(9598)] = 469504,
  [SMALL_STATE(9599)] = 469544,
  [SMALL_STATE(9600)] = 469584,
  [SMALL_STATE(9601)] = 469624,
  [SMALL_STATE(9602)] = 469664,
  [SMALL_STATE(9603)] = 469704,
  [SMALL_STATE(9604)] = 469744,
  [SMALL_STATE(9605)] = 469784,
  [SMALL_STATE(9606)] = 469824,
  [SMALL_STATE(9607)] = 469864,
  [SMALL_STATE(9608)] = 469904,
  [SMALL_STATE(9609)] = 469944,
  [SMALL_STATE(9610)] = 469984,
  [SMALL_STATE(9611)] = 470024,
  [SMALL_STATE(9612)] = 470082,
  [SMALL_STATE(9613)] = 470122,
  [SMALL_STATE(9614)] = 470190,
  [SMALL_STATE(9615)] = 470248,
  [SMALL_STATE(9616)] = 470298,
  [SMALL_STATE(9617)] = 470338,
  [SMALL_STATE(9618)] = 470382,
  [SMALL_STATE(9619)] = 470432,
  [SMALL_STATE(9620)] = 470472,
  [SMALL_STATE(9621)] = 470516,
  [SMALL_STATE(9622)] = 470568,
  [SMALL_STATE(9623)] = 470620,
  [SMALL_STATE(9624)] = 470676,
  [SMALL_STATE(9625)] = 470734,
  [SMALL_STATE(9626)] = 470774,
  [SMALL_STATE(9627)] = 470814,
  [SMALL_STATE(9628)] = 470876,
  [SMALL_STATE(9629)] = 470920,
  [SMALL_STATE(9630)] = 470960,
  [SMALL_STATE(9631)] = 471000,
  [SMALL_STATE(9632)] = 471040,
  [SMALL_STATE(9633)] = 471080,
  [SMALL_STATE(9634)] = 471120,
  [SMALL_STATE(9635)] = 471160,
  [SMALL_STATE(9636)] = 471200,
  [SMALL_STATE(9637)] = 471246,
  [SMALL_STATE(9638)] = 471308,
  [SMALL_STATE(9639)] = 471362,
  [SMALL_STATE(9640)] = 471406,
  [SMALL_STATE(9641)] = 471474,
  [SMALL_STATE(9642)] = 471536,
  [SMALL_STATE(9643)] = 471576,
  [SMALL_STATE(9644)] = 471620,
  [SMALL_STATE(9645)] = 471672,
  [SMALL_STATE(9646)] = 471724,
  [SMALL_STATE(9647)] = 471768,
  [SMALL_STATE(9648)] = 471824,
  [SMALL_STATE(9649)] = 471882,
  [SMALL_STATE(9650)] = 471944,
  [SMALL_STATE(9651)] = 471984,
  [SMALL_STATE(9652)] = 472030,
  [SMALL_STATE(9653)] = 472080,
  [SMALL_STATE(9654)] = 472148,
  [SMALL_STATE(9655)] = 472216,
  [SMALL_STATE(9656)] = 472256,
  [SMALL_STATE(9657)] = 472318,
  [SMALL_STATE(9658)] = 472358,
  [SMALL_STATE(9659)] = 472398,
  [SMALL_STATE(9660)] = 472438,
  [SMALL_STATE(9661)] = 472478,
  [SMALL_STATE(9662)] = 472530,
  [SMALL_STATE(9663)] = 472593,
  [SMALL_STATE(9664)] = 472632,
  [SMALL_STATE(9665)] = 472695,
  [SMALL_STATE(9666)] = 472758,
  [SMALL_STATE(9667)] = 472797,
  [SMALL_STATE(9668)] = 472860,
  [SMALL_STATE(9669)] = 472923,
  [SMALL_STATE(9670)] = 472972,
  [SMALL_STATE(9671)] = 473011,
  [SMALL_STATE(9672)] = 473074,
  [SMALL_STATE(9673)] = 473137,
  [SMALL_STATE(9674)] = 473176,
  [SMALL_STATE(9675)] = 473239,
  [SMALL_STATE(9676)] = 473302,
  [SMALL_STATE(9677)] = 473341,
  [SMALL_STATE(9678)] = 473404,
  [SMALL_STATE(9679)] = 473467,
  [SMALL_STATE(9680)] = 473530,
  [SMALL_STATE(9681)] = 473569,
  [SMALL_STATE(9682)] = 473632,
  [SMALL_STATE(9683)] = 473671,
  [SMALL_STATE(9684)] = 473710,
  [SMALL_STATE(9685)] = 473749,
  [SMALL_STATE(9686)] = 473788,
  [SMALL_STATE(9687)] = 473827,
  [SMALL_STATE(9688)] = 473890,
  [SMALL_STATE(9689)] = 473953,
  [SMALL_STATE(9690)] = 474016,
  [SMALL_STATE(9691)] = 474079,
  [SMALL_STATE(9692)] = 474118,
  [SMALL_STATE(9693)] = 474173,
  [SMALL_STATE(9694)] = 474228,
  [SMALL_STATE(9695)] = 474267,
  [SMALL_STATE(9696)] = 474306,
  [SMALL_STATE(9697)] = 474345,
  [SMALL_STATE(9698)] = 474384,
  [SMALL_STATE(9699)] = 474425,
  [SMALL_STATE(9700)] = 474464,
  [SMALL_STATE(9701)] = 474527,
  [SMALL_STATE(9702)] = 474582,
  [SMALL_STATE(9703)] = 474621,
  [SMALL_STATE(9704)] = 474684,
  [SMALL_STATE(9705)] = 474747,
  [SMALL_STATE(9706)] = 474796,
  [SMALL_STATE(9707)] = 474859,
  [SMALL_STATE(9708)] = 474922,
  [SMALL_STATE(9709)] = 474985,
  [SMALL_STATE(9710)] = 475048,
  [SMALL_STATE(9711)] = 475111,
  [SMALL_STATE(9712)] = 475174,
  [SMALL_STATE(9713)] = 475237,
  [SMALL_STATE(9714)] = 475300,
  [SMALL_STATE(9715)] = 475363,
  [SMALL_STATE(9716)] = 475418,
  [SMALL_STATE(9717)] = 475473,
  [SMALL_STATE(9718)] = 475526,
  [SMALL_STATE(9719)] = 475589,
  [SMALL_STATE(9720)] = 475628,
  [SMALL_STATE(9721)] = 475691,
  [SMALL_STATE(9722)] = 475746,
  [SMALL_STATE(9723)] = 475795,
  [SMALL_STATE(9724)] = 475850,
  [SMALL_STATE(9725)] = 475889,
  [SMALL_STATE(9726)] = 475952,
  [SMALL_STATE(9727)] = 475991,
  [SMALL_STATE(9728)] = 476048,
  [SMALL_STATE(9729)] = 476111,
  [SMALL_STATE(9730)] = 476174,
  [SMALL_STATE(9731)] = 476237,
  [SMALL_STATE(9732)] = 476276,
  [SMALL_STATE(9733)] = 476339,
  [SMALL_STATE(9734)] = 476378,
  [SMALL_STATE(9735)] = 476417,
  [SMALL_STATE(9736)] = 476456,
  [SMALL_STATE(9737)] = 476495,
  [SMALL_STATE(9738)] = 476534,
  [SMALL_STATE(9739)] = 476573,
  [SMALL_STATE(9740)] = 476612,
  [SMALL_STATE(9741)] = 476651,
  [SMALL_STATE(9742)] = 476690,
  [SMALL_STATE(9743)] = 476729,
  [SMALL_STATE(9744)] = 476792,
  [SMALL_STATE(9745)] = 476855,
  [SMALL_STATE(9746)] = 476910,
  [SMALL_STATE(9747)] = 476949,
  [SMALL_STATE(9748)] = 477012,
  [SMALL_STATE(9749)] = 477051,
  [SMALL_STATE(9750)] = 477092,
  [SMALL_STATE(9751)] = 477155,
  [SMALL_STATE(9752)] = 477194,
  [SMALL_STATE(9753)] = 477233,
  [SMALL_STATE(9754)] = 477272,
  [SMALL_STATE(9755)] = 477311,
  [SMALL_STATE(9756)] = 477350,
  [SMALL_STATE(9757)] = 477413,
  [SMALL_STATE(9758)] = 477476,
  [SMALL_STATE(9759)] = 477539,
  [SMALL_STATE(9760)] = 477602,
  [SMALL_STATE(9761)] = 477641,
  [SMALL_STATE(9762)] = 477704,
  [SMALL_STATE(9763)] = 477767,
  [SMALL_STATE(9764)] = 477830,
  [SMALL_STATE(9765)] = 477885,
  [SMALL_STATE(9766)] = 477924,
  [SMALL_STATE(9767)] = 477987,
  [SMALL_STATE(9768)] = 478050,
  [SMALL_STATE(9769)] = 478113,
  [SMALL_STATE(9770)] = 478176,
  [SMALL_STATE(9771)] = 478239,
  [SMALL_STATE(9772)] = 478302,
  [SMALL_STATE(9773)] = 478341,
  [SMALL_STATE(9774)] = 478380,
  [SMALL_STATE(9775)] = 478443,
  [SMALL_STATE(9776)] = 478482,
  [SMALL_STATE(9777)] = 478545,
  [SMALL_STATE(9778)] = 478584,
  [SMALL_STATE(9779)] = 478647,
  [SMALL_STATE(9780)] = 478686,
  [SMALL_STATE(9781)] = 478749,
  [SMALL_STATE(9782)] = 478788,
  [SMALL_STATE(9783)] = 478827,
  [SMALL_STATE(9784)] = 478890,
  [SMALL_STATE(9785)] = 478945,
  [SMALL_STATE(9786)] = 479000,
  [SMALL_STATE(9787)] = 479057,
  [SMALL_STATE(9788)] = 479120,
  [SMALL_STATE(9789)] = 479159,
  [SMALL_STATE(9790)] = 479198,
  [SMALL_STATE(9791)] = 479237,
  [SMALL_STATE(9792)] = 479286,
  [SMALL_STATE(9793)] = 479349,
  [SMALL_STATE(9794)] = 479392,
  [SMALL_STATE(9795)] = 479431,
  [SMALL_STATE(9796)] = 479470,
  [SMALL_STATE(9797)] = 479525,
  [SMALL_STATE(9798)] = 479568,
  [SMALL_STATE(9799)] = 479619,
  [SMALL_STATE(9800)] = 479670,
  [SMALL_STATE(9801)] = 479719,
  [SMALL_STATE(9802)] = 479768,
  [SMALL_STATE(9803)] = 479817,
  [SMALL_STATE(9804)] = 479856,
  [SMALL_STATE(9805)] = 479895,
  [SMALL_STATE(9806)] = 479950,
  [SMALL_STATE(9807)] = 480005,
  [SMALL_STATE(9808)] = 480060,
  [SMALL_STATE(9809)] = 480109,
  [SMALL_STATE(9810)] = 480148,
  [SMALL_STATE(9811)] = 480197,
  [SMALL_STATE(9812)] = 480246,
  [SMALL_STATE(9813)] = 480291,
  [SMALL_STATE(9814)] = 480354,
  [SMALL_STATE(9815)] = 480417,
  [SMALL_STATE(9816)] = 480458,
  [SMALL_STATE(9817)] = 480507,
  [SMALL_STATE(9818)] = 480546,
  [SMALL_STATE(9819)] = 480585,
  [SMALL_STATE(9820)] = 480640,
  [SMALL_STATE(9821)] = 480697,
  [SMALL_STATE(9822)] = 480736,
  [SMALL_STATE(9823)] = 480799,
  [SMALL_STATE(9824)] = 480850,
  [SMALL_STATE(9825)] = 480913,
  [SMALL_STATE(9826)] = 480970,
  [SMALL_STATE(9827)] = 481031,
  [SMALL_STATE(9828)] = 481080,
  [SMALL_STATE(9829)] = 481143,
  [SMALL_STATE(9830)] = 481206,
  [SMALL_STATE(9831)] = 481269,
  [SMALL_STATE(9832)] = 481332,
  [SMALL_STATE(9833)] = 481371,
  [SMALL_STATE(9834)] = 481410,
  [SMALL_STATE(9835)] = 481473,
  [SMALL_STATE(9836)] = 481536,
  [SMALL_STATE(9837)] = 481575,
  [SMALL_STATE(9838)] = 481638,
  [SMALL_STATE(9839)] = 481701,
  [SMALL_STATE(9840)] = 481764,
  [SMALL_STATE(9841)] = 481827,
  [SMALL_STATE(9842)] = 481890,
  [SMALL_STATE(9843)] = 481953,
  [SMALL_STATE(9844)] = 481998,
  [SMALL_STATE(9845)] = 482059,
  [SMALL_STATE(9846)] = 482122,
  [SMALL_STATE(9847)] = 482161,
  [SMALL_STATE(9848)] = 482224,
  [SMALL_STATE(9849)] = 482287,
  [SMALL_STATE(9850)] = 482326,
  [SMALL_STATE(9851)] = 482389,
  [SMALL_STATE(9852)] = 482428,
  [SMALL_STATE(9853)] = 482467,
  [SMALL_STATE(9854)] = 482530,
  [SMALL_STATE(9855)] = 482593,
  [SMALL_STATE(9856)] = 482656,
  [SMALL_STATE(9857)] = 482719,
  [SMALL_STATE(9858)] = 482760,
  [SMALL_STATE(9859)] = 482799,
  [SMALL_STATE(9860)] = 482850,
  [SMALL_STATE(9861)] = 482893,
  [SMALL_STATE(9862)] = 482956,
  [SMALL_STATE(9863)] = 482999,
  [SMALL_STATE(9864)] = 483062,
  [SMALL_STATE(9865)] = 483117,
  [SMALL_STATE(9866)] = 483156,
  [SMALL_STATE(9867)] = 483195,
  [SMALL_STATE(9868)] = 483258,
  [SMALL_STATE(9869)] = 483321,
  [SMALL_STATE(9870)] = 483374,
  [SMALL_STATE(9871)] = 483437,
  [SMALL_STATE(9872)] = 483500,
  [SMALL_STATE(9873)] = 483539,
  [SMALL_STATE(9874)] = 483580,
  [SMALL_STATE(9875)] = 483625,
  [SMALL_STATE(9876)] = 483664,
  [SMALL_STATE(9877)] = 483705,
  [SMALL_STATE(9878)] = 483760,
  [SMALL_STATE(9879)] = 483823,
  [SMALL_STATE(9880)] = 483886,
  [SMALL_STATE(9881)] = 483925,
  [SMALL_STATE(9882)] = 483980,
  [SMALL_STATE(9883)] = 484035,
  [SMALL_STATE(9884)] = 484090,
  [SMALL_STATE(9885)] = 484129,
  [SMALL_STATE(9886)] = 484184,
  [SMALL_STATE(9887)] = 484247,
  [SMALL_STATE(9888)] = 484310,
  [SMALL_STATE(9889)] = 484373,
  [SMALL_STATE(9890)] = 484436,
  [SMALL_STATE(9891)] = 484475,
  [SMALL_STATE(9892)] = 484538,
  [SMALL_STATE(9893)] = 484577,
  [SMALL_STATE(9894)] = 484640,
  [SMALL_STATE(9895)] = 484679,
  [SMALL_STATE(9896)] = 484742,
  [SMALL_STATE(9897)] = 484805,
  [SMALL_STATE(9898)] = 484868,
  [SMALL_STATE(9899)] = 484907,
  [SMALL_STATE(9900)] = 484970,
  [SMALL_STATE(9901)] = 485025,
  [SMALL_STATE(9902)] = 485064,
  [SMALL_STATE(9903)] = 485127,
  [SMALL_STATE(9904)] = 485190,
  [SMALL_STATE(9905)] = 485229,
  [SMALL_STATE(9906)] = 485278,
  [SMALL_STATE(9907)] = 485341,
  [SMALL_STATE(9908)] = 485390,
  [SMALL_STATE(9909)] = 485429,
  [SMALL_STATE(9910)] = 485492,
  [SMALL_STATE(9911)] = 485555,
  [SMALL_STATE(9912)] = 485594,
  [SMALL_STATE(9913)] = 485657,
  [SMALL_STATE(9914)] = 485718,
  [SMALL_STATE(9915)] = 485757,
  [SMALL_STATE(9916)] = 485820,
  [SMALL_STATE(9917)] = 485859,
  [SMALL_STATE(9918)] = 485916,
  [SMALL_STATE(9919)] = 485957,
  [SMALL_STATE(9920)] = 486020,
  [SMALL_STATE(9921)] = 486083,
  [SMALL_STATE(9922)] = 486122,
  [SMALL_STATE(9923)] = 486177,
  [SMALL_STATE(9924)] = 486218,
  [SMALL_STATE(9925)] = 486257,
  [SMALL_STATE(9926)] = 486306,
  [SMALL_STATE(9927)] = 486345,
  [SMALL_STATE(9928)] = 486384,
  [SMALL_STATE(9929)] = 486433,
  [SMALL_STATE(9930)] = 486488,
  [SMALL_STATE(9931)] = 486527,
  [SMALL_STATE(9932)] = 486572,
  [SMALL_STATE(9933)] = 486617,
  [SMALL_STATE(9934)] = 486662,
  [SMALL_STATE(9935)] = 486707,
  [SMALL_STATE(9936)] = 486752,
  [SMALL_STATE(9937)] = 486797,
  [SMALL_STATE(9938)] = 486842,
  [SMALL_STATE(9939)] = 486887,
  [SMALL_STATE(9940)] = 486942,
  [SMALL_STATE(9941)] = 486997,
  [SMALL_STATE(9942)] = 487036,
  [SMALL_STATE(9943)] = 487091,
  [SMALL_STATE(9944)] = 487146,
  [SMALL_STATE(9945)] = 487203,
  [SMALL_STATE(9946)] = 487245,
  [SMALL_STATE(9947)] = 487283,
  [SMALL_STATE(9948)] = 487321,
  [SMALL_STATE(9949)] = 487361,
  [SMALL_STATE(9950)] = 487403,
  [SMALL_STATE(9951)] = 487441,
  [SMALL_STATE(9952)] = 487479,
  [SMALL_STATE(9953)] = 487517,
  [SMALL_STATE(9954)] = 487555,
  [SMALL_STATE(9955)] = 487621,
  [SMALL_STATE(9956)] = 487659,
  [SMALL_STATE(9957)] = 487697,
  [SMALL_STATE(9958)] = 487735,
  [SMALL_STATE(9959)] = 487773,
  [SMALL_STATE(9960)] = 487839,
  [SMALL_STATE(9961)] = 487877,
  [SMALL_STATE(9962)] = 487943,
  [SMALL_STATE(9963)] = 487985,
  [SMALL_STATE(9964)] = 488023,
  [SMALL_STATE(9965)] = 488061,
  [SMALL_STATE(9966)] = 488099,
  [SMALL_STATE(9967)] = 488137,
  [SMALL_STATE(9968)] = 488203,
  [SMALL_STATE(9969)] = 488255,
  [SMALL_STATE(9970)] = 488293,
  [SMALL_STATE(9971)] = 488359,
  [SMALL_STATE(9972)] = 488421,
  [SMALL_STATE(9973)] = 488473,
  [SMALL_STATE(9974)] = 488521,
  [SMALL_STATE(9975)] = 488587,
  [SMALL_STATE(9976)] = 488625,
  [SMALL_STATE(9977)] = 488667,
  [SMALL_STATE(9978)] = 488705,
  [SMALL_STATE(9979)] = 488753,
  [SMALL_STATE(9980)] = 488791,
  [SMALL_STATE(9981)] = 488829,
  [SMALL_STATE(9982)] = 488867,
  [SMALL_STATE(9983)] = 488905,
  [SMALL_STATE(9984)] = 488943,
  [SMALL_STATE(9985)] = 488985,
  [SMALL_STATE(9986)] = 489033,
  [SMALL_STATE(9987)] = 489071,
  [SMALL_STATE(9988)] = 489109,
  [SMALL_STATE(9989)] = 489149,
  [SMALL_STATE(9990)] = 489197,
  [SMALL_STATE(9991)] = 489247,
  [SMALL_STATE(9992)] = 489285,
  [SMALL_STATE(9993)] = 489327,
  [SMALL_STATE(9994)] = 489383,
  [SMALL_STATE(9995)] = 489431,
  [SMALL_STATE(9996)] = 489473,
  [SMALL_STATE(9997)] = 489515,
  [SMALL_STATE(9998)] = 489565,
  [SMALL_STATE(9999)] = 489615,
  [SMALL_STATE(10000)] = 489669,
  [SMALL_STATE(10001)] = 489721,
  [SMALL_STATE(10002)] = 489777,
  [SMALL_STATE(10003)] = 489837,
  [SMALL_STATE(10004)] = 489881,
  [SMALL_STATE(10005)] = 489941,
  [SMALL_STATE(10006)] = 490001,
  [SMALL_STATE(10007)] = 490039,
  [SMALL_STATE(10008)] = 490077,
  [SMALL_STATE(10009)] = 490115,
  [SMALL_STATE(10010)] = 490153,
  [SMALL_STATE(10011)] = 490191,
  [SMALL_STATE(10012)] = 490257,
  [SMALL_STATE(10013)] = 490305,
  [SMALL_STATE(10014)] = 490371,
  [SMALL_STATE(10015)] = 490409,
  [SMALL_STATE(10016)] = 490447,
  [SMALL_STATE(10017)] = 490485,
  [SMALL_STATE(10018)] = 490523,
  [SMALL_STATE(10019)] = 490561,
  [SMALL_STATE(10020)] = 490627,
  [SMALL_STATE(10021)] = 490665,
  [SMALL_STATE(10022)] = 490703,
  [SMALL_STATE(10023)] = 490741,
  [SMALL_STATE(10024)] = 490779,
  [SMALL_STATE(10025)] = 490817,
  [SMALL_STATE(10026)] = 490855,
  [SMALL_STATE(10027)] = 490893,
  [SMALL_STATE(10028)] = 490931,
  [SMALL_STATE(10029)] = 490971,
  [SMALL_STATE(10030)] = 491037,
  [SMALL_STATE(10031)] = 491075,
  [SMALL_STATE(10032)] = 491135,
  [SMALL_STATE(10033)] = 491177,
  [SMALL_STATE(10034)] = 491215,
  [SMALL_STATE(10035)] = 491257,
  [SMALL_STATE(10036)] = 491323,
  [SMALL_STATE(10037)] = 491365,
  [SMALL_STATE(10038)] = 491403,
  [SMALL_STATE(10039)] = 491445,
  [SMALL_STATE(10040)] = 491487,
  [SMALL_STATE(10041)] = 491553,
  [SMALL_STATE(10042)] = 491591,
  [SMALL_STATE(10043)] = 491629,
  [SMALL_STATE(10044)] = 491679,
  [SMALL_STATE(10045)] = 491721,
  [SMALL_STATE(10046)] = 491759,
  [SMALL_STATE(10047)] = 491799,
  [SMALL_STATE(10048)] = 491837,
  [SMALL_STATE(10049)] = 491885,
  [SMALL_STATE(10050)] = 491923,
  [SMALL_STATE(10051)] = 491975,
  [SMALL_STATE(10052)] = 492023,
  [SMALL_STATE(10053)] = 492061,
  [SMALL_STATE(10054)] = 492113,
  [SMALL_STATE(10055)] = 492161,
  [SMALL_STATE(10056)] = 492199,
  [SMALL_STATE(10057)] = 492237,
  [SMALL_STATE(10058)] = 492275,
  [SMALL_STATE(10059)] = 492317,
  [SMALL_STATE(10060)] = 492355,
  [SMALL_STATE(10061)] = 492405,
  [SMALL_STATE(10062)] = 492447,
  [SMALL_STATE(10063)] = 492487,
  [SMALL_STATE(10064)] = 492525,
  [SMALL_STATE(10065)] = 492563,
  [SMALL_STATE(10066)] = 492601,
  [SMALL_STATE(10067)] = 492639,
  [SMALL_STATE(10068)] = 492677,
  [SMALL_STATE(10069)] = 492715,
  [SMALL_STATE(10070)] = 492753,
  [SMALL_STATE(10071)] = 492791,
  [SMALL_STATE(10072)] = 492829,
  [SMALL_STATE(10073)] = 492867,
  [SMALL_STATE(10074)] = 492905,
  [SMALL_STATE(10075)] = 492971,
  [SMALL_STATE(10076)] = 493009,
  [SMALL_STATE(10077)] = 493059,
  [SMALL_STATE(10078)] = 493105,
  [SMALL_STATE(10079)] = 493153,
  [SMALL_STATE(10080)] = 493219,
  [SMALL_STATE(10081)] = 493257,
  [SMALL_STATE(10082)] = 493295,
  [SMALL_STATE(10083)] = 493333,
  [SMALL_STATE(10084)] = 493399,
  [SMALL_STATE(10085)] = 493441,
  [SMALL_STATE(10086)] = 493507,
  [SMALL_STATE(10087)] = 493545,
  [SMALL_STATE(10088)] = 493583,
  [SMALL_STATE(10089)] = 493621,
  [SMALL_STATE(10090)] = 493659,
  [SMALL_STATE(10091)] = 493697,
  [SMALL_STATE(10092)] = 493735,
  [SMALL_STATE(10093)] = 493773,
  [SMALL_STATE(10094)] = 493825,
  [SMALL_STATE(10095)] = 493863,
  [SMALL_STATE(10096)] = 493915,
  [SMALL_STATE(10097)] = 493953,
  [SMALL_STATE(10098)] = 493995,
  [SMALL_STATE(10099)] = 494037,
  [SMALL_STATE(10100)] = 494075,
  [SMALL_STATE(10101)] = 494113,
  [SMALL_STATE(10102)] = 494179,
  [SMALL_STATE(10103)] = 494217,
  [SMALL_STATE(10104)] = 494283,
  [SMALL_STATE(10105)] = 494321,
  [SMALL_STATE(10106)] = 494373,
  [SMALL_STATE(10107)] = 494411,
  [SMALL_STATE(10108)] = 494477,
  [SMALL_STATE(10109)] = 494515,
  [SMALL_STATE(10110)] = 494553,
  [SMALL_STATE(10111)] = 494591,
  [SMALL_STATE(10112)] = 494631,
  [SMALL_STATE(10113)] = 494669,
  [SMALL_STATE(10114)] = 494707,
  [SMALL_STATE(10115)] = 494745,
  [SMALL_STATE(10116)] = 494783,
  [SMALL_STATE(10117)] = 494821,
  [SMALL_STATE(10118)] = 494863,
  [SMALL_STATE(10119)] = 494929,
  [SMALL_STATE(10120)] = 494969,
  [SMALL_STATE(10121)] = 495007,
  [SMALL_STATE(10122)] = 495045,
  [SMALL_STATE(10123)] = 495083,
  [SMALL_STATE(10124)] = 495121,
  [SMALL_STATE(10125)] = 495159,
  [SMALL_STATE(10126)] = 495201,
  [SMALL_STATE(10127)] = 495239,
  [SMALL_STATE(10128)] = 495281,
  [SMALL_STATE(10129)] = 495319,
  [SMALL_STATE(10130)] = 495357,
  [SMALL_STATE(10131)] = 495405,
  [SMALL_STATE(10132)] = 495453,
  [SMALL_STATE(10133)] = 495519,
  [SMALL_STATE(10134)] = 495557,
  [SMALL_STATE(10135)] = 495595,
  [SMALL_STATE(10136)] = 495643,
  [SMALL_STATE(10137)] = 495685,
  [SMALL_STATE(10138)] = 495751,
  [SMALL_STATE(10139)] = 495817,
  [SMALL_STATE(10140)] = 495863,
  [SMALL_STATE(10141)] = 495903,
  [SMALL_STATE(10142)] = 495941,
  [SMALL_STATE(10143)] = 495979,
  [SMALL_STATE(10144)] = 496017,
  [SMALL_STATE(10145)] = 496065,
  [SMALL_STATE(10146)] = 496113,
  [SMALL_STATE(10147)] = 496151,
  [SMALL_STATE(10148)] = 496189,
  [SMALL_STATE(10149)] = 496237,
  [SMALL_STATE(10150)] = 496279,
  [SMALL_STATE(10151)] = 496327,
  [SMALL_STATE(10152)] = 496375,
  [SMALL_STATE(10153)] = 496441,
  [SMALL_STATE(10154)] = 496489,
  [SMALL_STATE(10155)] = 496527,
  [SMALL_STATE(10156)] = 496565,
  [SMALL_STATE(10157)] = 496631,
  [SMALL_STATE(10158)] = 496669,
  [SMALL_STATE(10159)] = 496707,
  [SMALL_STATE(10160)] = 496745,
  [SMALL_STATE(10161)] = 496783,
  [SMALL_STATE(10162)] = 496821,
  [SMALL_STATE(10163)] = 496861,
  [SMALL_STATE(10164)] = 496899,
  [SMALL_STATE(10165)] = 496937,
  [SMALL_STATE(10166)] = 496979,
  [SMALL_STATE(10167)] = 497045,
  [SMALL_STATE(10168)] = 497083,
  [SMALL_STATE(10169)] = 497121,
  [SMALL_STATE(10170)] = 497161,
  [SMALL_STATE(10171)] = 497227,
  [SMALL_STATE(10172)] = 497268,
  [SMALL_STATE(10173)] = 497321,
  [SMALL_STATE(10174)] = 497360,
  [SMALL_STATE(10175)] = 497409,
  [SMALL_STATE(10176)] = 497458,
  [SMALL_STATE(10177)] = 497521,
  [SMALL_STATE(10178)] = 497576,
  [SMALL_STATE(10179)] = 497639,
  [SMALL_STATE(10180)] = 497702,
  [SMALL_STATE(10181)] = 497743,
  [SMALL_STATE(10182)] = 497784,
  [SMALL_STATE(10183)] = 497821,
  [SMALL_STATE(10184)] = 497880,
  [SMALL_STATE(10185)] = 497939,
  [SMALL_STATE(10186)] = 498002,
  [SMALL_STATE(10187)] = 498051,
  [SMALL_STATE(10188)] = 498092,
  [SMALL_STATE(10189)] = 498155,
  [SMALL_STATE(10190)] = 498192,
  [SMALL_STATE(10191)] = 498229,
  [SMALL_STATE(10192)] = 498292,
  [SMALL_STATE(10193)] = 498355,
  [SMALL_STATE(10194)] = 498418,
  [SMALL_STATE(10195)] = 498465,
  [SMALL_STATE(10196)] = 498512,
  [SMALL_STATE(10197)] = 498553,
  [SMALL_STATE(10198)] = 498594,
  [SMALL_STATE(10199)] = 498635,
  [SMALL_STATE(10200)] = 498678,
  [SMALL_STATE(10201)] = 498721,
  [SMALL_STATE(10202)] = 498764,
  [SMALL_STATE(10203)] = 498807,
  [SMALL_STATE(10204)] = 498854,
  [SMALL_STATE(10205)] = 498897,
  [SMALL_STATE(10206)] = 498946,
  [SMALL_STATE(10207)] = 498993,
  [SMALL_STATE(10208)] = 499040,
  [SMALL_STATE(10209)] = 499083,
  [SMALL_STATE(10210)] = 499146,
  [SMALL_STATE(10211)] = 499199,
  [SMALL_STATE(10212)] = 499248,
  [SMALL_STATE(10213)] = 499311,
  [SMALL_STATE(10214)] = 499358,
  [SMALL_STATE(10215)] = 499421,
  [SMALL_STATE(10216)] = 499470,
  [SMALL_STATE(10217)] = 499513,
  [SMALL_STATE(10218)] = 499576,
  [SMALL_STATE(10219)] = 499619,
  [SMALL_STATE(10220)] = 499668,
  [SMALL_STATE(10221)] = 499705,
  [SMALL_STATE(10222)] = 499758,
  [SMALL_STATE(10223)] = 499795,
  [SMALL_STATE(10224)] = 499838,
  [SMALL_STATE(10225)] = 499901,
  [SMALL_STATE(10226)] = 499938,
  [SMALL_STATE(10227)] = 499977,
  [SMALL_STATE(10228)] = 500030,
  [SMALL_STATE(10229)] = 500077,
  [SMALL_STATE(10230)] = 500114,
  [SMALL_STATE(10231)] = 500177,
  [SMALL_STATE(10232)] = 500240,
  [SMALL_STATE(10233)] = 500289,
  [SMALL_STATE(10234)] = 500328,
  [SMALL_STATE(10235)] = 500365,
  [SMALL_STATE(10236)] = 500408,
  [SMALL_STATE(10237)] = 500451,
  [SMALL_STATE(10238)] = 500506,
  [SMALL_STATE(10239)] = 500553,
  [SMALL_STATE(10240)] = 500590,
  [SMALL_STATE(10241)] = 500627,
  [SMALL_STATE(10242)] = 500690,
  [SMALL_STATE(10243)] = 500733,
  [SMALL_STATE(10244)] = 500786,
  [SMALL_STATE(10245)] = 500833,
  [SMALL_STATE(10246)] = 500870,
  [SMALL_STATE(10247)] = 500913,
  [SMALL_STATE(10248)] = 500976,
  [SMALL_STATE(10249)] = 501023,
  [SMALL_STATE(10250)] = 501070,
  [SMALL_STATE(10251)] = 501117,
  [SMALL_STATE(10252)] = 501166,
  [SMALL_STATE(10253)] = 501215,
  [SMALL_STATE(10254)] = 501252,
  [SMALL_STATE(10255)] = 501311,
  [SMALL_STATE(10256)] = 501374,
  [SMALL_STATE(10257)] = 501427,
  [SMALL_STATE(10258)] = 501464,
  [SMALL_STATE(10259)] = 501527,
  [SMALL_STATE(10260)] = 501590,
  [SMALL_STATE(10261)] = 501633,
  [SMALL_STATE(10262)] = 501670,
  [SMALL_STATE(10263)] = 501719,
  [SMALL_STATE(10264)] = 501782,
  [SMALL_STATE(10265)] = 501819,
  [SMALL_STATE(10266)] = 501882,
  [SMALL_STATE(10267)] = 501919,
  [SMALL_STATE(10268)] = 501958,
  [SMALL_STATE(10269)] = 502021,
  [SMALL_STATE(10270)] = 502058,
  [SMALL_STATE(10271)] = 502101,
  [SMALL_STATE(10272)] = 502154,
  [SMALL_STATE(10273)] = 502191,
  [SMALL_STATE(10274)] = 502230,
  [SMALL_STATE(10275)] = 502279,
  [SMALL_STATE(10276)] = 502342,
  [SMALL_STATE(10277)] = 502385,
  [SMALL_STATE(10278)] = 502428,
  [SMALL_STATE(10279)] = 502465,
  [SMALL_STATE(10280)] = 502512,
  [SMALL_STATE(10281)] = 502567,
  [SMALL_STATE(10282)] = 502610,
  [SMALL_STATE(10283)] = 502647,
  [SMALL_STATE(10284)] = 502690,
  [SMALL_STATE(10285)] = 502739,
  [SMALL_STATE(10286)] = 502798,
  [SMALL_STATE(10287)] = 502847,
  [SMALL_STATE(10288)] = 502888,
  [SMALL_STATE(10289)] = 502927,
  [SMALL_STATE(10290)] = 502990,
  [SMALL_STATE(10291)] = 503027,
  [SMALL_STATE(10292)] = 503086,
  [SMALL_STATE(10293)] = 503133,
  [SMALL_STATE(10294)] = 503170,
  [SMALL_STATE(10295)] = 503229,
  [SMALL_STATE(10296)] = 503266,
  [SMALL_STATE(10297)] = 503303,
  [SMALL_STATE(10298)] = 503340,
  [SMALL_STATE(10299)] = 503377,
  [SMALL_STATE(10300)] = 503440,
  [SMALL_STATE(10301)] = 503477,
  [SMALL_STATE(10302)] = 503540,
  [SMALL_STATE(10303)] = 503583,
  [SMALL_STATE(10304)] = 503622,
  [SMALL_STATE(10305)] = 503685,
  [SMALL_STATE(10306)] = 503722,
  [SMALL_STATE(10307)] = 503785,
  [SMALL_STATE(10308)] = 503832,
  [SMALL_STATE(10309)] = 503875,
  [SMALL_STATE(10310)] = 503922,
  [SMALL_STATE(10311)] = 503971,
  [SMALL_STATE(10312)] = 504020,
  [SMALL_STATE(10313)] = 504083,
  [SMALL_STATE(10314)] = 504124,
  [SMALL_STATE(10315)] = 504171,
  [SMALL_STATE(10316)] = 504208,
  [SMALL_STATE(10317)] = 504257,
  [SMALL_STATE(10318)] = 504294,
  [SMALL_STATE(10319)] = 504341,
  [SMALL_STATE(10320)] = 504402,
  [SMALL_STATE(10321)] = 504465,
  [SMALL_STATE(10322)] = 504518,
  [SMALL_STATE(10323)] = 504567,
  [SMALL_STATE(10324)] = 504630,
  [SMALL_STATE(10325)] = 504669,
  [SMALL_STATE(10326)] = 504732,
  [SMALL_STATE(10327)] = 504769,
  [SMALL_STATE(10328)] = 504818,
  [SMALL_STATE(10329)] = 504867,
  [SMALL_STATE(10330)] = 504916,
  [SMALL_STATE(10331)] = 504979,
  [SMALL_STATE(10332)] = 505016,
  [SMALL_STATE(10333)] = 505065,
  [SMALL_STATE(10334)] = 505120,
  [SMALL_STATE(10335)] = 505167,
  [SMALL_STATE(10336)] = 505216,
  [SMALL_STATE(10337)] = 505253,
  [SMALL_STATE(10338)] = 505294,
  [SMALL_STATE(10339)] = 505343,
  [SMALL_STATE(10340)] = 505384,
  [SMALL_STATE(10341)] = 505431,
  [SMALL_STATE(10342)] = 505468,
  [SMALL_STATE(10343)] = 505521,
  [SMALL_STATE(10344)] = 505570,
  [SMALL_STATE(10345)] = 505619,
  [SMALL_STATE(10346)] = 505682,
  [SMALL_STATE(10347)] = 505731,
  [SMALL_STATE(10348)] = 505780,
  [SMALL_STATE(10349)] = 505839,
  [SMALL_STATE(10350)] = 505878,
  [SMALL_STATE(10351)] = 505915,
  [SMALL_STATE(10352)] = 505956,
  [SMALL_STATE(10353)] = 506005,
  [SMALL_STATE(10354)] = 506046,
  [SMALL_STATE(10355)] = 506099,
  [SMALL_STATE(10356)] = 506148,
  [SMALL_STATE(10357)] = 506201,
  [SMALL_STATE(10358)] = 506242,
  [SMALL_STATE(10359)] = 506291,
  [SMALL_STATE(10360)] = 506340,
  [SMALL_STATE(10361)] = 506389,
  [SMALL_STATE(10362)] = 506438,
  [SMALL_STATE(10363)] = 506501,
  [SMALL_STATE(10364)] = 506550,
  [SMALL_STATE(10365)] = 506599,
  [SMALL_STATE(10366)] = 506640,
  [SMALL_STATE(10367)] = 506689,
  [SMALL_STATE(10368)] = 506752,
  [SMALL_STATE(10369)] = 506815,
  [SMALL_STATE(10370)] = 506854,
  [SMALL_STATE(10371)] = 506907,
  [SMALL_STATE(10372)] = 506954,
  [SMALL_STATE(10373)] = 506991,
  [SMALL_STATE(10374)] = 507032,
  [SMALL_STATE(10375)] = 507095,
  [SMALL_STATE(10376)] = 507142,
  [SMALL_STATE(10377)] = 507205,
  [SMALL_STATE(10378)] = 507242,
  [SMALL_STATE(10379)] = 507279,
  [SMALL_STATE(10380)] = 507320,
  [SMALL_STATE(10381)] = 507357,
  [SMALL_STATE(10382)] = 507394,
  [SMALL_STATE(10383)] = 507431,
  [SMALL_STATE(10384)] = 507494,
  [SMALL_STATE(10385)] = 507537,
  [SMALL_STATE(10386)] = 507580,
  [SMALL_STATE(10387)] = 507623,
  [SMALL_STATE(10388)] = 507666,
  [SMALL_STATE(10389)] = 507729,
  [SMALL_STATE(10390)] = 507778,
  [SMALL_STATE(10391)] = 507821,
  [SMALL_STATE(10392)] = 507864,
  [SMALL_STATE(10393)] = 507907,
  [SMALL_STATE(10394)] = 507950,
  [SMALL_STATE(10395)] = 507987,
  [SMALL_STATE(10396)] = 508028,
  [SMALL_STATE(10397)] = 508065,
  [SMALL_STATE(10398)] = 508102,
  [SMALL_STATE(10399)] = 508149,
  [SMALL_STATE(10400)] = 508212,
  [SMALL_STATE(10401)] = 508275,
  [SMALL_STATE(10402)] = 508316,
  [SMALL_STATE(10403)] = 508355,
  [SMALL_STATE(10404)] = 508392,
  [SMALL_STATE(10405)] = 508439,
  [SMALL_STATE(10406)] = 508476,
  [SMALL_STATE(10407)] = 508513,
  [SMALL_STATE(10408)] = 508550,
  [SMALL_STATE(10409)] = 508603,
  [SMALL_STATE(10410)] = 508642,
  [SMALL_STATE(10411)] = 508683,
  [SMALL_STATE(10412)] = 508736,
  [SMALL_STATE(10413)] = 508797,
  [SMALL_STATE(10414)] = 508839,
  [SMALL_STATE(10415)] = 508881,
  [SMALL_STATE(10416)] = 508917,
  [SMALL_STATE(10417)] = 508957,
  [SMALL_STATE(10418)] = 508993,
  [SMALL_STATE(10419)] = 509029,
  [SMALL_STATE(10420)] = 509065,
  [SMALL_STATE(10421)] = 509103,
  [SMALL_STATE(10422)] = 509163,
  [SMALL_STATE(10423)] = 509199,
  [SMALL_STATE(10424)] = 509235,
  [SMALL_STATE(10425)] = 509271,
  [SMALL_STATE(10426)] = 509307,
  [SMALL_STATE(10427)] = 509343,
  [SMALL_STATE(10428)] = 509379,
  [SMALL_STATE(10429)] = 509415,
  [SMALL_STATE(10430)] = 509451,
  [SMALL_STATE(10431)] = 509487,
  [SMALL_STATE(10432)] = 509525,
  [SMALL_STATE(10433)] = 509561,
  [SMALL_STATE(10434)] = 509597,
  [SMALL_STATE(10435)] = 509633,
  [SMALL_STATE(10436)] = 509669,
  [SMALL_STATE(10437)] = 509729,
  [SMALL_STATE(10438)] = 509789,
  [SMALL_STATE(10439)] = 509825,
  [SMALL_STATE(10440)] = 509861,
  [SMALL_STATE(10441)] = 509897,
  [SMALL_STATE(10442)] = 509933,
  [SMALL_STATE(10443)] = 509969,
  [SMALL_STATE(10444)] = 510005,
  [SMALL_STATE(10445)] = 510041,
  [SMALL_STATE(10446)] = 510077,
  [SMALL_STATE(10447)] = 510113,
  [SMALL_STATE(10448)] = 510149,
  [SMALL_STATE(10449)] = 510185,
  [SMALL_STATE(10450)] = 510221,
  [SMALL_STATE(10451)] = 510257,
  [SMALL_STATE(10452)] = 510317,
  [SMALL_STATE(10453)] = 510353,
  [SMALL_STATE(10454)] = 510413,
  [SMALL_STATE(10455)] = 510449,
  [SMALL_STATE(10456)] = 510485,
  [SMALL_STATE(10457)] = 510521,
  [SMALL_STATE(10458)] = 510557,
  [SMALL_STATE(10459)] = 510593,
  [SMALL_STATE(10460)] = 510629,
  [SMALL_STATE(10461)] = 510665,
  [SMALL_STATE(10462)] = 510705,
  [SMALL_STATE(10463)] = 510741,
  [SMALL_STATE(10464)] = 510795,
  [SMALL_STATE(10465)] = 510837,
  [SMALL_STATE(10466)] = 510883,
  [SMALL_STATE(10467)] = 510923,
  [SMALL_STATE(10468)] = 510963,
  [SMALL_STATE(10469)] = 511011,
  [SMALL_STATE(10470)] = 511059,
  [SMALL_STATE(10471)] = 511111,
  [SMALL_STATE(10472)] = 511165,
  [SMALL_STATE(10473)] = 511223,
  [SMALL_STATE(10474)] = 511265,
  [SMALL_STATE(10475)] = 511323,
  [SMALL_STATE(10476)] = 511383,
  [SMALL_STATE(10477)] = 511443,
  [SMALL_STATE(10478)] = 511479,
  [SMALL_STATE(10479)] = 511515,
  [SMALL_STATE(10480)] = 511561,
  [SMALL_STATE(10481)] = 511607,
  [SMALL_STATE(10482)] = 511667,
  [SMALL_STATE(10483)] = 511713,
  [SMALL_STATE(10484)] = 511759,
  [SMALL_STATE(10485)] = 511805,
  [SMALL_STATE(10486)] = 511851,
  [SMALL_STATE(10487)] = 511891,
  [SMALL_STATE(10488)] = 511933,
  [SMALL_STATE(10489)] = 511975,
  [SMALL_STATE(10490)] = 512017,
  [SMALL_STATE(10491)] = 512057,
  [SMALL_STATE(10492)] = 512095,
  [SMALL_STATE(10493)] = 512137,
  [SMALL_STATE(10494)] = 512197,
  [SMALL_STATE(10495)] = 512233,
  [SMALL_STATE(10496)] = 512269,
  [SMALL_STATE(10497)] = 512305,
  [SMALL_STATE(10498)] = 512341,
  [SMALL_STATE(10499)] = 512377,
  [SMALL_STATE(10500)] = 512437,
  [SMALL_STATE(10501)] = 512473,
  [SMALL_STATE(10502)] = 512509,
  [SMALL_STATE(10503)] = 512549,
  [SMALL_STATE(10504)] = 512585,
  [SMALL_STATE(10505)] = 512645,
  [SMALL_STATE(10506)] = 512687,
  [SMALL_STATE(10507)] = 512729,
  [SMALL_STATE(10508)] = 512771,
  [SMALL_STATE(10509)] = 512813,
  [SMALL_STATE(10510)] = 512849,
  [SMALL_STATE(10511)] = 512885,
  [SMALL_STATE(10512)] = 512921,
  [SMALL_STATE(10513)] = 512957,
  [SMALL_STATE(10514)] = 513017,
  [SMALL_STATE(10515)] = 513053,
  [SMALL_STATE(10516)] = 513113,
  [SMALL_STATE(10517)] = 513155,
  [SMALL_STATE(10518)] = 513197,
  [SMALL_STATE(10519)] = 513233,
  [SMALL_STATE(10520)] = 513275,
  [SMALL_STATE(10521)] = 513311,
  [SMALL_STATE(10522)] = 513353,
  [SMALL_STATE(10523)] = 513389,
  [SMALL_STATE(10524)] = 513429,
  [SMALL_STATE(10525)] = 513465,
  [SMALL_STATE(10526)] = 513501,
  [SMALL_STATE(10527)] = 513537,
  [SMALL_STATE(10528)] = 513579,
  [SMALL_STATE(10529)] = 513625,
  [SMALL_STATE(10530)] = 513661,
  [SMALL_STATE(10531)] = 513707,
  [SMALL_STATE(10532)] = 513747,
  [SMALL_STATE(10533)] = 513807,
  [SMALL_STATE(10534)] = 513843,
  [SMALL_STATE(10535)] = 513885,
  [SMALL_STATE(10536)] = 513945,
  [SMALL_STATE(10537)] = 513987,
  [SMALL_STATE(10538)] = 514027,
  [SMALL_STATE(10539)] = 514063,
  [SMALL_STATE(10540)] = 514099,
  [SMALL_STATE(10541)] = 514141,
  [SMALL_STATE(10542)] = 514183,
  [SMALL_STATE(10543)] = 514225,
  [SMALL_STATE(10544)] = 514267,
  [SMALL_STATE(10545)] = 514327,
  [SMALL_STATE(10546)] = 514363,
  [SMALL_STATE(10547)] = 514405,
  [SMALL_STATE(10548)] = 514465,
  [SMALL_STATE(10549)] = 514501,
  [SMALL_STATE(10550)] = 514537,
  [SMALL_STATE(10551)] = 514573,
  [SMALL_STATE(10552)] = 514615,
  [SMALL_STATE(10553)] = 514657,
  [SMALL_STATE(10554)] = 514693,
  [SMALL_STATE(10555)] = 514729,
  [SMALL_STATE(10556)] = 514765,
  [SMALL_STATE(10557)] = 514825,
  [SMALL_STATE(10558)] = 514867,
  [SMALL_STATE(10559)] = 514925,
  [SMALL_STATE(10560)] = 514961,
  [SMALL_STATE(10561)] = 514997,
  [SMALL_STATE(10562)] = 515057,
  [SMALL_STATE(10563)] = 515099,
  [SMALL_STATE(10564)] = 515139,
  [SMALL_STATE(10565)] = 515177,
  [SMALL_STATE(10566)] = 515227,
  [SMALL_STATE(10567)] = 515263,
  [SMALL_STATE(10568)] = 515299,
  [SMALL_STATE(10569)] = 515335,
  [SMALL_STATE(10570)] = 515395,
  [SMALL_STATE(10571)] = 515437,
  [SMALL_STATE(10572)] = 515479,
  [SMALL_STATE(10573)] = 515515,
  [SMALL_STATE(10574)] = 515575,
  [SMALL_STATE(10575)] = 515617,
  [SMALL_STATE(10576)] = 515659,
  [SMALL_STATE(10577)] = 515695,
  [SMALL_STATE(10578)] = 515737,
  [SMALL_STATE(10579)] = 515775,
  [SMALL_STATE(10580)] = 515811,
  [SMALL_STATE(10581)] = 515871,
  [SMALL_STATE(10582)] = 515911,
  [SMALL_STATE(10583)] = 515971,
  [SMALL_STATE(10584)] = 516031,
  [SMALL_STATE(10585)] = 516091,
  [SMALL_STATE(10586)] = 516129,
  [SMALL_STATE(10587)] = 516189,
  [SMALL_STATE(10588)] = 516231,
  [SMALL_STATE(10589)] = 516273,
  [SMALL_STATE(10590)] = 516315,
  [SMALL_STATE(10591)] = 516351,
  [SMALL_STATE(10592)] = 516411,
  [SMALL_STATE(10593)] = 516471,
  [SMALL_STATE(10594)] = 516513,
  [SMALL_STATE(10595)] = 516555,
  [SMALL_STATE(10596)] = 516597,
  [SMALL_STATE(10597)] = 516637,
  [SMALL_STATE(10598)] = 516697,
  [SMALL_STATE(10599)] = 516743,
  [SMALL_STATE(10600)] = 516779,
  [SMALL_STATE(10601)] = 516821,
  [SMALL_STATE(10602)] = 516861,
  [SMALL_STATE(10603)] = 516897,
  [SMALL_STATE(10604)] = 516937,
  [SMALL_STATE(10605)] = 516997,
  [SMALL_STATE(10606)] = 517033,
  [SMALL_STATE(10607)] = 517075,
  [SMALL_STATE(10608)] = 517117,
  [SMALL_STATE(10609)] = 517157,
  [SMALL_STATE(10610)] = 517199,
  [SMALL_STATE(10611)] = 517235,
  [SMALL_STATE(10612)] = 517295,
  [SMALL_STATE(10613)] = 517331,
  [SMALL_STATE(10614)] = 517367,
  [SMALL_STATE(10615)] = 517409,
  [SMALL_STATE(10616)] = 517445,
  [SMALL_STATE(10617)] = 517487,
  [SMALL_STATE(10618)] = 517547,
  [SMALL_STATE(10619)] = 517607,
  [SMALL_STATE(10620)] = 517643,
  [SMALL_STATE(10621)] = 517685,
  [SMALL_STATE(10622)] = 517721,
  [SMALL_STATE(10623)] = 517781,
  [SMALL_STATE(10624)] = 517823,
  [SMALL_STATE(10625)] = 517865,
  [SMALL_STATE(10626)] = 517925,
  [SMALL_STATE(10627)] = 517985,
  [SMALL_STATE(10628)] = 518045,
  [SMALL_STATE(10629)] = 518081,
  [SMALL_STATE(10630)] = 518141,
  [SMALL_STATE(10631)] = 518177,
  [SMALL_STATE(10632)] = 518227,
  [SMALL_STATE(10633)] = 518273,
  [SMALL_STATE(10634)] = 518319,
  [SMALL_STATE(10635)] = 518365,
  [SMALL_STATE(10636)] = 518407,
  [SMALL_STATE(10637)] = 518453,
  [SMALL_STATE(10638)] = 518499,
  [SMALL_STATE(10639)] = 518545,
  [SMALL_STATE(10640)] = 518581,
  [SMALL_STATE(10641)] = 518617,
  [SMALL_STATE(10642)] = 518653,
  [SMALL_STATE(10643)] = 518689,
  [SMALL_STATE(10644)] = 518725,
  [SMALL_STATE(10645)] = 518785,
  [SMALL_STATE(10646)] = 518821,
  [SMALL_STATE(10647)] = 518859,
  [SMALL_STATE(10648)] = 518901,
  [SMALL_STATE(10649)] = 518943,
  [SMALL_STATE(10650)] = 518985,
  [SMALL_STATE(10651)] = 519027,
  [SMALL_STATE(10652)] = 519073,
  [SMALL_STATE(10653)] = 519119,
  [SMALL_STATE(10654)] = 519161,
  [SMALL_STATE(10655)] = 519203,
  [SMALL_STATE(10656)] = 519245,
  [SMALL_STATE(10657)] = 519287,
  [SMALL_STATE(10658)] = 519329,
  [SMALL_STATE(10659)] = 519371,
  [SMALL_STATE(10660)] = 519407,
  [SMALL_STATE(10661)] = 519443,
  [SMALL_STATE(10662)] = 519485,
  [SMALL_STATE(10663)] = 519527,
  [SMALL_STATE(10664)] = 519567,
  [SMALL_STATE(10665)] = 519603,
  [SMALL_STATE(10666)] = 519645,
  [SMALL_STATE(10667)] = 519687,
  [SMALL_STATE(10668)] = 519723,
  [SMALL_STATE(10669)] = 519765,
  [SMALL_STATE(10670)] = 519807,
  [SMALL_STATE(10671)] = 519849,
  [SMALL_STATE(10672)] = 519885,
  [SMALL_STATE(10673)] = 519921,
  [SMALL_STATE(10674)] = 519957,
  [SMALL_STATE(10675)] = 520017,
  [SMALL_STATE(10676)] = 520053,
  [SMALL_STATE(10677)] = 520113,
  [SMALL_STATE(10678)] = 520149,
  [SMALL_STATE(10679)] = 520185,
  [SMALL_STATE(10680)] = 520227,
  [SMALL_STATE(10681)] = 520287,
  [SMALL_STATE(10682)] = 520329,
  [SMALL_STATE(10683)] = 520377,
  [SMALL_STATE(10684)] = 520437,
  [SMALL_STATE(10685)] = 520483,
  [SMALL_STATE(10686)] = 520525,
  [SMALL_STATE(10687)] = 520585,
  [SMALL_STATE(10688)] = 520633,
  [SMALL_STATE(10689)] = 520675,
  [SMALL_STATE(10690)] = 520735,
  [SMALL_STATE(10691)] = 520777,
  [SMALL_STATE(10692)] = 520813,
  [SMALL_STATE(10693)] = 520855,
  [SMALL_STATE(10694)] = 520897,
  [SMALL_STATE(10695)] = 520939,
  [SMALL_STATE(10696)] = 520975,
  [SMALL_STATE(10697)] = 521017,
  [SMALL_STATE(10698)] = 521065,
  [SMALL_STATE(10699)] = 521107,
  [SMALL_STATE(10700)] = 521155,
  [SMALL_STATE(10701)] = 521197,
  [SMALL_STATE(10702)] = 521239,
  [SMALL_STATE(10703)] = 521281,
  [SMALL_STATE(10704)] = 521317,
  [SMALL_STATE(10705)] = 521359,
  [SMALL_STATE(10706)] = 521401,
  [SMALL_STATE(10707)] = 521443,
  [SMALL_STATE(10708)] = 521485,
  [SMALL_STATE(10709)] = 521527,
  [SMALL_STATE(10710)] = 521569,
  [SMALL_STATE(10711)] = 521611,
  [SMALL_STATE(10712)] = 521647,
  [SMALL_STATE(10713)] = 521689,
  [SMALL_STATE(10714)] = 521725,
  [SMALL_STATE(10715)] = 521761,
  [SMALL_STATE(10716)] = 521797,
  [SMALL_STATE(10717)] = 521835,
  [SMALL_STATE(10718)] = 521871,
  [SMALL_STATE(10719)] = 521913,
  [SMALL_STATE(10720)] = 521955,
  [SMALL_STATE(10721)] = 522001,
  [SMALL_STATE(10722)] = 522047,
  [SMALL_STATE(10723)] = 522089,
  [SMALL_STATE(10724)] = 522131,
  [SMALL_STATE(10725)] = 522173,
  [SMALL_STATE(10726)] = 522219,
  [SMALL_STATE(10727)] = 522255,
  [SMALL_STATE(10728)] = 522291,
  [SMALL_STATE(10729)] = 522337,
  [SMALL_STATE(10730)] = 522383,
  [SMALL_STATE(10731)] = 522419,
  [SMALL_STATE(10732)] = 522455,
  [SMALL_STATE(10733)] = 522491,
  [SMALL_STATE(10734)] = 522527,
  [SMALL_STATE(10735)] = 522573,
  [SMALL_STATE(10736)] = 522613,
  [SMALL_STATE(10737)] = 522651,
  [SMALL_STATE(10738)] = 522711,
  [SMALL_STATE(10739)] = 522751,
  [SMALL_STATE(10740)] = 522787,
  [SMALL_STATE(10741)] = 522823,
  [SMALL_STATE(10742)] = 522859,
  [SMALL_STATE(10743)] = 522895,
  [SMALL_STATE(10744)] = 522931,
  [SMALL_STATE(10745)] = 522967,
  [SMALL_STATE(10746)] = 523003,
  [SMALL_STATE(10747)] = 523039,
  [SMALL_STATE(10748)] = 523081,
  [SMALL_STATE(10749)] = 523117,
  [SMALL_STATE(10750)] = 523153,
  [SMALL_STATE(10751)] = 523189,
  [SMALL_STATE(10752)] = 523225,
  [SMALL_STATE(10753)] = 523261,
  [SMALL_STATE(10754)] = 523297,
  [SMALL_STATE(10755)] = 523333,
  [SMALL_STATE(10756)] = 523369,
  [SMALL_STATE(10757)] = 523405,
  [SMALL_STATE(10758)] = 523441,
  [SMALL_STATE(10759)] = 523477,
  [SMALL_STATE(10760)] = 523517,
  [SMALL_STATE(10761)] = 523553,
  [SMALL_STATE(10762)] = 523593,
  [SMALL_STATE(10763)] = 523633,
  [SMALL_STATE(10764)] = 523673,
  [SMALL_STATE(10765)] = 523713,
  [SMALL_STATE(10766)] = 523753,
  [SMALL_STATE(10767)] = 523793,
  [SMALL_STATE(10768)] = 523833,
  [SMALL_STATE(10769)] = 523893,
  [SMALL_STATE(10770)] = 523953,
  [SMALL_STATE(10771)] = 524013,
  [SMALL_STATE(10772)] = 524073,
  [SMALL_STATE(10773)] = 524133,
  [SMALL_STATE(10774)] = 524193,
  [SMALL_STATE(10775)] = 524253,
  [SMALL_STATE(10776)] = 524313,
  [SMALL_STATE(10777)] = 524373,
  [SMALL_STATE(10778)] = 524433,
  [SMALL_STATE(10779)] = 524493,
  [SMALL_STATE(10780)] = 524553,
  [SMALL_STATE(10781)] = 524613,
  [SMALL_STATE(10782)] = 524673,
  [SMALL_STATE(10783)] = 524733,
  [SMALL_STATE(10784)] = 524793,
  [SMALL_STATE(10785)] = 524853,
  [SMALL_STATE(10786)] = 524913,
  [SMALL_STATE(10787)] = 524973,
  [SMALL_STATE(10788)] = 525033,
  [SMALL_STATE(10789)] = 525093,
  [SMALL_STATE(10790)] = 525153,
  [SMALL_STATE(10791)] = 525195,
  [SMALL_STATE(10792)] = 525230,
  [SMALL_STATE(10793)] = 525273,
  [SMALL_STATE(10794)] = 525308,
  [SMALL_STATE(10795)] = 525343,
  [SMALL_STATE(10796)] = 525378,
  [SMALL_STATE(10797)] = 525413,
  [SMALL_STATE(10798)] = 525448,
  [SMALL_STATE(10799)] = 525483,
  [SMALL_STATE(10800)] = 525518,
  [SMALL_STATE(10801)] = 525559,
  [SMALL_STATE(10802)] = 525594,
  [SMALL_STATE(10803)] = 525635,
  [SMALL_STATE(10804)] = 525676,
  [SMALL_STATE(10805)] = 525733,
  [SMALL_STATE(10806)] = 525768,
  [SMALL_STATE(10807)] = 525811,
  [SMALL_STATE(10808)] = 525846,
  [SMALL_STATE(10809)] = 525889,
  [SMALL_STATE(10810)] = 525932,
  [SMALL_STATE(10811)] = 525967,
  [SMALL_STATE(10812)] = 526002,
  [SMALL_STATE(10813)] = 526045,
  [SMALL_STATE(10814)] = 526102,
  [SMALL_STATE(10815)] = 526159,
  [SMALL_STATE(10816)] = 526202,
  [SMALL_STATE(10817)] = 526245,
  [SMALL_STATE(10818)] = 526302,
  [SMALL_STATE(10819)] = 526345,
  [SMALL_STATE(10820)] = 526388,
  [SMALL_STATE(10821)] = 526423,
  [SMALL_STATE(10822)] = 526458,
  [SMALL_STATE(10823)] = 526493,
  [SMALL_STATE(10824)] = 526528,
  [SMALL_STATE(10825)] = 526585,
  [SMALL_STATE(10826)] = 526628,
  [SMALL_STATE(10827)] = 526663,
  [SMALL_STATE(10828)] = 526698,
  [SMALL_STATE(10829)] = 526737,
  [SMALL_STATE(10830)] = 526780,
  [SMALL_STATE(10831)] = 526823,
  [SMALL_STATE(10832)] = 526864,
  [SMALL_STATE(10833)] = 526907,
  [SMALL_STATE(10834)] = 526964,
  [SMALL_STATE(10835)] = 527021,
  [SMALL_STATE(10836)] = 527064,
  [SMALL_STATE(10837)] = 527099,
  [SMALL_STATE(10838)] = 527138,
  [SMALL_STATE(10839)] = 527173,
  [SMALL_STATE(10840)] = 527208,
  [SMALL_STATE(10841)] = 527265,
  [SMALL_STATE(10842)] = 527322,
  [SMALL_STATE(10843)] = 527365,
  [SMALL_STATE(10844)] = 527422,
  [SMALL_STATE(10845)] = 527463,
  [SMALL_STATE(10846)] = 527504,
  [SMALL_STATE(10847)] = 527541,
  [SMALL_STATE(10848)] = 527580,
  [SMALL_STATE(10849)] = 527615,
  [SMALL_STATE(10850)] = 527650,
  [SMALL_STATE(10851)] = 527685,
  [SMALL_STATE(10852)] = 527720,
  [SMALL_STATE(10853)] = 527755,
  [SMALL_STATE(10854)] = 527790,
  [SMALL_STATE(10855)] = 527831,
  [SMALL_STATE(10856)] = 527888,
  [SMALL_STATE(10857)] = 527945,
  [SMALL_STATE(10858)] = 527998,
  [SMALL_STATE(10859)] = 528043,
  [SMALL_STATE(10860)] = 528078,
  [SMALL_STATE(10861)] = 528117,
  [SMALL_STATE(10862)] = 528174,
  [SMALL_STATE(10863)] = 528213,
  [SMALL_STATE(10864)] = 528260,
  [SMALL_STATE(10865)] = 528307,
  [SMALL_STATE(10866)] = 528352,
  [SMALL_STATE(10867)] = 528403,
  [SMALL_STATE(10868)] = 528460,
  [SMALL_STATE(10869)] = 528513,
  [SMALL_STATE(10870)] = 528570,
  [SMALL_STATE(10871)] = 528611,
  [SMALL_STATE(10872)] = 528656,
  [SMALL_STATE(10873)] = 528701,
  [SMALL_STATE(10874)] = 528758,
  [SMALL_STATE(10875)] = 528803,
  [SMALL_STATE(10876)] = 528860,
  [SMALL_STATE(10877)] = 528899,
  [SMALL_STATE(10878)] = 528944,
  [SMALL_STATE(10879)] = 528989,
  [SMALL_STATE(10880)] = 529034,
  [SMALL_STATE(10881)] = 529079,
  [SMALL_STATE(10882)] = 529116,
  [SMALL_STATE(10883)] = 529161,
  [SMALL_STATE(10884)] = 529206,
  [SMALL_STATE(10885)] = 529251,
  [SMALL_STATE(10886)] = 529296,
  [SMALL_STATE(10887)] = 529335,
  [SMALL_STATE(10888)] = 529380,
  [SMALL_STATE(10889)] = 529425,
  [SMALL_STATE(10890)] = 529470,
  [SMALL_STATE(10891)] = 529515,
  [SMALL_STATE(10892)] = 529554,
  [SMALL_STATE(10893)] = 529591,
  [SMALL_STATE(10894)] = 529648,
  [SMALL_STATE(10895)] = 529705,
  [SMALL_STATE(10896)] = 529744,
  [SMALL_STATE(10897)] = 529781,
  [SMALL_STATE(10898)] = 529818,
  [SMALL_STATE(10899)] = 529853,
  [SMALL_STATE(10900)] = 529898,
  [SMALL_STATE(10901)] = 529943,
  [SMALL_STATE(10902)] = 530000,
  [SMALL_STATE(10903)] = 530045,
  [SMALL_STATE(10904)] = 530080,
  [SMALL_STATE(10905)] = 530125,
  [SMALL_STATE(10906)] = 530164,
  [SMALL_STATE(10907)] = 530209,
  [SMALL_STATE(10908)] = 530254,
  [SMALL_STATE(10909)] = 530299,
  [SMALL_STATE(10910)] = 530344,
  [SMALL_STATE(10911)] = 530381,
  [SMALL_STATE(10912)] = 530426,
  [SMALL_STATE(10913)] = 530471,
  [SMALL_STATE(10914)] = 530516,
  [SMALL_STATE(10915)] = 530561,
  [SMALL_STATE(10916)] = 530606,
  [SMALL_STATE(10917)] = 530651,
  [SMALL_STATE(10918)] = 530696,
  [SMALL_STATE(10919)] = 530741,
  [SMALL_STATE(10920)] = 530776,
  [SMALL_STATE(10921)] = 530811,
  [SMALL_STATE(10922)] = 530868,
  [SMALL_STATE(10923)] = 530925,
  [SMALL_STATE(10924)] = 530968,
  [SMALL_STATE(10925)] = 531009,
  [SMALL_STATE(10926)] = 531048,
  [SMALL_STATE(10927)] = 531105,
  [SMALL_STATE(10928)] = 531140,
  [SMALL_STATE(10929)] = 531175,
  [SMALL_STATE(10930)] = 531218,
  [SMALL_STATE(10931)] = 531275,
  [SMALL_STATE(10932)] = 531332,
  [SMALL_STATE(10933)] = 531389,
  [SMALL_STATE(10934)] = 531446,
  [SMALL_STATE(10935)] = 531487,
  [SMALL_STATE(10936)] = 531526,
  [SMALL_STATE(10937)] = 531563,
  [SMALL_STATE(10938)] = 531620,
  [SMALL_STATE(10939)] = 531655,
  [SMALL_STATE(10940)] = 531690,
  [SMALL_STATE(10941)] = 531747,
  [SMALL_STATE(10942)] = 531786,
  [SMALL_STATE(10943)] = 531825,
  [SMALL_STATE(10944)] = 531862,
  [SMALL_STATE(10945)] = 531919,
  [SMALL_STATE(10946)] = 531960,
  [SMALL_STATE(10947)] = 532001,
  [SMALL_STATE(10948)] = 532042,
  [SMALL_STATE(10949)] = 532077,
  [SMALL_STATE(10950)] = 532112,
  [SMALL_STATE(10951)] = 532157,
  [SMALL_STATE(10952)] = 532214,
  [SMALL_STATE(10953)] = 532249,
  [SMALL_STATE(10954)] = 532306,
  [SMALL_STATE(10955)] = 532341,
  [SMALL_STATE(10956)] = 532382,
  [SMALL_STATE(10957)] = 532439,
  [SMALL_STATE(10958)] = 532480,
  [SMALL_STATE(10959)] = 532537,
  [SMALL_STATE(10960)] = 532572,
  [SMALL_STATE(10961)] = 532613,
  [SMALL_STATE(10962)] = 532670,
  [SMALL_STATE(10963)] = 532729,
  [SMALL_STATE(10964)] = 532770,
  [SMALL_STATE(10965)] = 532805,
  [SMALL_STATE(10966)] = 532846,
  [SMALL_STATE(10967)] = 532887,
  [SMALL_STATE(10968)] = 532944,
  [SMALL_STATE(10969)] = 533001,
  [SMALL_STATE(10970)] = 533058,
  [SMALL_STATE(10971)] = 533093,
  [SMALL_STATE(10972)] = 533128,
  [SMALL_STATE(10973)] = 533163,
  [SMALL_STATE(10974)] = 533198,
  [SMALL_STATE(10975)] = 533233,
  [SMALL_STATE(10976)] = 533274,
  [SMALL_STATE(10977)] = 533309,
  [SMALL_STATE(10978)] = 533352,
  [SMALL_STATE(10979)] = 533387,
  [SMALL_STATE(10980)] = 533444,
  [SMALL_STATE(10981)] = 533483,
  [SMALL_STATE(10982)] = 533518,
  [SMALL_STATE(10983)] = 533575,
  [SMALL_STATE(10984)] = 533614,
  [SMALL_STATE(10985)] = 533657,
  [SMALL_STATE(10986)] = 533696,
  [SMALL_STATE(10987)] = 533735,
  [SMALL_STATE(10988)] = 533774,
  [SMALL_STATE(10989)] = 533809,
  [SMALL_STATE(10990)] = 533844,
  [SMALL_STATE(10991)] = 533887,
  [SMALL_STATE(10992)] = 533924,
  [SMALL_STATE(10993)] = 533959,
  [SMALL_STATE(10994)] = 534004,
  [SMALL_STATE(10995)] = 534061,
  [SMALL_STATE(10996)] = 534118,
  [SMALL_STATE(10997)] = 534153,
  [SMALL_STATE(10998)] = 534192,
  [SMALL_STATE(10999)] = 534233,
  [SMALL_STATE(11000)] = 534272,
  [SMALL_STATE(11001)] = 534317,
  [SMALL_STATE(11002)] = 534362,
  [SMALL_STATE(11003)] = 534407,
  [SMALL_STATE(11004)] = 534464,
  [SMALL_STATE(11005)] = 534503,
  [SMALL_STATE(11006)] = 534542,
  [SMALL_STATE(11007)] = 534577,
  [SMALL_STATE(11008)] = 534634,
  [SMALL_STATE(11009)] = 534691,
  [SMALL_STATE(11010)] = 534730,
  [SMALL_STATE(11011)] = 534769,
  [SMALL_STATE(11012)] = 534806,
  [SMALL_STATE(11013)] = 534849,
  [SMALL_STATE(11014)] = 534884,
  [SMALL_STATE(11015)] = 534929,
  [SMALL_STATE(11016)] = 534974,
  [SMALL_STATE(11017)] = 535019,
  [SMALL_STATE(11018)] = 535058,
  [SMALL_STATE(11019)] = 535115,
  [SMALL_STATE(11020)] = 535156,
  [SMALL_STATE(11021)] = 535213,
  [SMALL_STATE(11022)] = 535256,
  [SMALL_STATE(11023)] = 535291,
  [SMALL_STATE(11024)] = 535348,
  [SMALL_STATE(11025)] = 535405,
  [SMALL_STATE(11026)] = 535440,
  [SMALL_STATE(11027)] = 535475,
  [SMALL_STATE(11028)] = 535510,
  [SMALL_STATE(11029)] = 535551,
  [SMALL_STATE(11030)] = 535592,
  [SMALL_STATE(11031)] = 535627,
  [SMALL_STATE(11032)] = 535668,
  [SMALL_STATE(11033)] = 535707,
  [SMALL_STATE(11034)] = 535752,
  [SMALL_STATE(11035)] = 535809,
  [SMALL_STATE(11036)] = 535850,
  [SMALL_STATE(11037)] = 535893,
  [SMALL_STATE(11038)] = 535934,
  [SMALL_STATE(11039)] = 535969,
  [SMALL_STATE(11040)] = 536004,
  [SMALL_STATE(11041)] = 536043,
  [SMALL_STATE(11042)] = 536100,
  [SMALL_STATE(11043)] = 536141,
  [SMALL_STATE(11044)] = 536176,
  [SMALL_STATE(11045)] = 536219,
  [SMALL_STATE(11046)] = 536254,
  [SMALL_STATE(11047)] = 536308,
  [SMALL_STATE(11048)] = 536362,
  [SMALL_STATE(11049)] = 536416,
  [SMALL_STATE(11050)] = 536470,
  [SMALL_STATE(11051)] = 536524,
  [SMALL_STATE(11052)] = 536578,
  [SMALL_STATE(11053)] = 536632,
  [SMALL_STATE(11054)] = 536686,
  [SMALL_STATE(11055)] = 536740,
  [SMALL_STATE(11056)] = 536794,
  [SMALL_STATE(11057)] = 536848,
  [SMALL_STATE(11058)] = 536902,
  [SMALL_STATE(11059)] = 536956,
  [SMALL_STATE(11060)] = 537010,
  [SMALL_STATE(11061)] = 537050,
  [SMALL_STATE(11062)] = 537104,
  [SMALL_STATE(11063)] = 537142,
  [SMALL_STATE(11064)] = 537178,
  [SMALL_STATE(11065)] = 537232,
  [SMALL_STATE(11066)] = 537286,
  [SMALL_STATE(11067)] = 537340,
  [SMALL_STATE(11068)] = 537392,
  [SMALL_STATE(11069)] = 537436,
  [SMALL_STATE(11070)] = 537490,
  [SMALL_STATE(11071)] = 537544,
  [SMALL_STATE(11072)] = 537598,
  [SMALL_STATE(11073)] = 537652,
  [SMALL_STATE(11074)] = 537706,
  [SMALL_STATE(11075)] = 537760,
  [SMALL_STATE(11076)] = 537800,
  [SMALL_STATE(11077)] = 537854,
  [SMALL_STATE(11078)] = 537908,
  [SMALL_STATE(11079)] = 537962,
  [SMALL_STATE(11080)] = 538016,
  [SMALL_STATE(11081)] = 538070,
  [SMALL_STATE(11082)] = 538124,
  [SMALL_STATE(11083)] = 538178,
  [SMALL_STATE(11084)] = 538232,
  [SMALL_STATE(11085)] = 538286,
  [SMALL_STATE(11086)] = 538340,
  [SMALL_STATE(11087)] = 538394,
  [SMALL_STATE(11088)] = 538448,
  [SMALL_STATE(11089)] = 538502,
  [SMALL_STATE(11090)] = 538542,
  [SMALL_STATE(11091)] = 538596,
  [SMALL_STATE(11092)] = 538650,
  [SMALL_STATE(11093)] = 538704,
  [SMALL_STATE(11094)] = 538758,
  [SMALL_STATE(11095)] = 538812,
  [SMALL_STATE(11096)] = 538866,
  [SMALL_STATE(11097)] = 538920,
  [SMALL_STATE(11098)] = 538974,
  [SMALL_STATE(11099)] = 539028,
  [SMALL_STATE(11100)] = 539082,
  [SMALL_STATE(11101)] = 539136,
  [SMALL_STATE(11102)] = 539190,
  [SMALL_STATE(11103)] = 539230,
  [SMALL_STATE(11104)] = 539270,
  [SMALL_STATE(11105)] = 539310,
  [SMALL_STATE(11106)] = 539344,
  [SMALL_STATE(11107)] = 539384,
  [SMALL_STATE(11108)] = 539438,
  [SMALL_STATE(11109)] = 539492,
  [SMALL_STATE(11110)] = 539532,
  [SMALL_STATE(11111)] = 539570,
  [SMALL_STATE(11112)] = 539610,
  [SMALL_STATE(11113)] = 539664,
  [SMALL_STATE(11114)] = 539702,
  [SMALL_STATE(11115)] = 539738,
  [SMALL_STATE(11116)] = 539792,
  [SMALL_STATE(11117)] = 539832,
  [SMALL_STATE(11118)] = 539886,
  [SMALL_STATE(11119)] = 539940,
  [SMALL_STATE(11120)] = 539978,
  [SMALL_STATE(11121)] = 540032,
  [SMALL_STATE(11122)] = 540086,
  [SMALL_STATE(11123)] = 540140,
  [SMALL_STATE(11124)] = 540194,
  [SMALL_STATE(11125)] = 540248,
  [SMALL_STATE(11126)] = 540302,
  [SMALL_STATE(11127)] = 540356,
  [SMALL_STATE(11128)] = 540390,
  [SMALL_STATE(11129)] = 540428,
  [SMALL_STATE(11130)] = 540466,
  [SMALL_STATE(11131)] = 540506,
  [SMALL_STATE(11132)] = 540550,
  [SMALL_STATE(11133)] = 540594,
  [SMALL_STATE(11134)] = 540648,
  [SMALL_STATE(11135)] = 540688,
  [SMALL_STATE(11136)] = 540728,
  [SMALL_STATE(11137)] = 540782,
  [SMALL_STATE(11138)] = 540822,
  [SMALL_STATE(11139)] = 540876,
  [SMALL_STATE(11140)] = 540930,
  [SMALL_STATE(11141)] = 540984,
  [SMALL_STATE(11142)] = 541038,
  [SMALL_STATE(11143)] = 541092,
  [SMALL_STATE(11144)] = 541144,
  [SMALL_STATE(11145)] = 541188,
  [SMALL_STATE(11146)] = 541226,
  [SMALL_STATE(11147)] = 541264,
  [SMALL_STATE(11148)] = 541310,
  [SMALL_STATE(11149)] = 541356,
  [SMALL_STATE(11150)] = 541410,
  [SMALL_STATE(11151)] = 541460,
  [SMALL_STATE(11152)] = 541494,
  [SMALL_STATE(11153)] = 541548,
  [SMALL_STATE(11154)] = 541600,
  [SMALL_STATE(11155)] = 541654,
  [SMALL_STATE(11156)] = 541710,
  [SMALL_STATE(11157)] = 541750,
  [SMALL_STATE(11158)] = 541804,
  [SMALL_STATE(11159)] = 541860,
  [SMALL_STATE(11160)] = 541914,
  [SMALL_STATE(11161)] = 541968,
  [SMALL_STATE(11162)] = 542022,
  [SMALL_STATE(11163)] = 542076,
  [SMALL_STATE(11164)] = 542130,
  [SMALL_STATE(11165)] = 542184,
  [SMALL_STATE(11166)] = 542240,
  [SMALL_STATE(11167)] = 542294,
  [SMALL_STATE(11168)] = 542338,
  [SMALL_STATE(11169)] = 542392,
  [SMALL_STATE(11170)] = 542446,
  [SMALL_STATE(11171)] = 542500,
  [SMALL_STATE(11172)] = 542538,
  [SMALL_STATE(11173)] = 542592,
  [SMALL_STATE(11174)] = 542646,
  [SMALL_STATE(11175)] = 542700,
  [SMALL_STATE(11176)] = 542754,
  [SMALL_STATE(11177)] = 542808,
  [SMALL_STATE(11178)] = 542862,
  [SMALL_STATE(11179)] = 542916,
  [SMALL_STATE(11180)] = 542970,
  [SMALL_STATE(11181)] = 543024,
  [SMALL_STATE(11182)] = 543078,
  [SMALL_STATE(11183)] = 543132,
  [SMALL_STATE(11184)] = 543186,
  [SMALL_STATE(11185)] = 543240,
  [SMALL_STATE(11186)] = 543280,
  [SMALL_STATE(11187)] = 543334,
  [SMALL_STATE(11188)] = 543388,
  [SMALL_STATE(11189)] = 543442,
  [SMALL_STATE(11190)] = 543486,
  [SMALL_STATE(11191)] = 543540,
  [SMALL_STATE(11192)] = 543594,
  [SMALL_STATE(11193)] = 543648,
  [SMALL_STATE(11194)] = 543702,
  [SMALL_STATE(11195)] = 543756,
  [SMALL_STATE(11196)] = 543810,
  [SMALL_STATE(11197)] = 543864,
  [SMALL_STATE(11198)] = 543918,
  [SMALL_STATE(11199)] = 543972,
  [SMALL_STATE(11200)] = 544026,
  [SMALL_STATE(11201)] = 544080,
  [SMALL_STATE(11202)] = 544124,
  [SMALL_STATE(11203)] = 544178,
  [SMALL_STATE(11204)] = 544232,
  [SMALL_STATE(11205)] = 544286,
  [SMALL_STATE(11206)] = 544340,
  [SMALL_STATE(11207)] = 544394,
  [SMALL_STATE(11208)] = 544448,
  [SMALL_STATE(11209)] = 544502,
  [SMALL_STATE(11210)] = 544556,
  [SMALL_STATE(11211)] = 544600,
  [SMALL_STATE(11212)] = 544640,
  [SMALL_STATE(11213)] = 544694,
  [SMALL_STATE(11214)] = 544748,
  [SMALL_STATE(11215)] = 544802,
  [SMALL_STATE(11216)] = 544856,
  [SMALL_STATE(11217)] = 544910,
  [SMALL_STATE(11218)] = 544964,
  [SMALL_STATE(11219)] = 545004,
  [SMALL_STATE(11220)] = 545058,
  [SMALL_STATE(11221)] = 545112,
  [SMALL_STATE(11222)] = 545166,
  [SMALL_STATE(11223)] = 545206,
  [SMALL_STATE(11224)] = 545260,
  [SMALL_STATE(11225)] = 545314,
  [SMALL_STATE(11226)] = 545368,
  [SMALL_STATE(11227)] = 545422,
  [SMALL_STATE(11228)] = 545476,
  [SMALL_STATE(11229)] = 545514,
  [SMALL_STATE(11230)] = 545568,
  [SMALL_STATE(11231)] = 545622,
  [SMALL_STATE(11232)] = 545676,
  [SMALL_STATE(11233)] = 545730,
  [SMALL_STATE(11234)] = 545784,
  [SMALL_STATE(11235)] = 545838,
  [SMALL_STATE(11236)] = 545892,
  [SMALL_STATE(11237)] = 545930,
  [SMALL_STATE(11238)] = 545984,
  [SMALL_STATE(11239)] = 546038,
  [SMALL_STATE(11240)] = 546092,
  [SMALL_STATE(11241)] = 546146,
  [SMALL_STATE(11242)] = 546192,
  [SMALL_STATE(11243)] = 546246,
  [SMALL_STATE(11244)] = 546290,
  [SMALL_STATE(11245)] = 546330,
  [SMALL_STATE(11246)] = 546384,
  [SMALL_STATE(11247)] = 546438,
  [SMALL_STATE(11248)] = 546492,
  [SMALL_STATE(11249)] = 546546,
  [SMALL_STATE(11250)] = 546600,
  [SMALL_STATE(11251)] = 546654,
  [SMALL_STATE(11252)] = 546708,
  [SMALL_STATE(11253)] = 546762,
  [SMALL_STATE(11254)] = 546816,
  [SMALL_STATE(11255)] = 546870,
  [SMALL_STATE(11256)] = 546924,
  [SMALL_STATE(11257)] = 546978,
  [SMALL_STATE(11258)] = 547032,
  [SMALL_STATE(11259)] = 547086,
  [SMALL_STATE(11260)] = 547140,
  [SMALL_STATE(11261)] = 547180,
  [SMALL_STATE(11262)] = 547234,
  [SMALL_STATE(11263)] = 547288,
  [SMALL_STATE(11264)] = 547342,
  [SMALL_STATE(11265)] = 547396,
  [SMALL_STATE(11266)] = 547450,
  [SMALL_STATE(11267)] = 547504,
  [SMALL_STATE(11268)] = 547558,
  [SMALL_STATE(11269)] = 547612,
  [SMALL_STATE(11270)] = 547666,
  [SMALL_STATE(11271)] = 547720,
  [SMALL_STATE(11272)] = 547774,
  [SMALL_STATE(11273)] = 547828,
  [SMALL_STATE(11274)] = 547886,
  [SMALL_STATE(11275)] = 547922,
  [SMALL_STATE(11276)] = 547976,
  [SMALL_STATE(11277)] = 548030,
  [SMALL_STATE(11278)] = 548084,
  [SMALL_STATE(11279)] = 548138,
  [SMALL_STATE(11280)] = 548192,
  [SMALL_STATE(11281)] = 548246,
  [SMALL_STATE(11282)] = 548300,
  [SMALL_STATE(11283)] = 548354,
  [SMALL_STATE(11284)] = 548408,
  [SMALL_STATE(11285)] = 548462,
  [SMALL_STATE(11286)] = 548516,
  [SMALL_STATE(11287)] = 548570,
  [SMALL_STATE(11288)] = 548624,
  [SMALL_STATE(11289)] = 548678,
  [SMALL_STATE(11290)] = 548732,
  [SMALL_STATE(11291)] = 548786,
  [SMALL_STATE(11292)] = 548840,
  [SMALL_STATE(11293)] = 548894,
  [SMALL_STATE(11294)] = 548948,
  [SMALL_STATE(11295)] = 549002,
  [SMALL_STATE(11296)] = 549056,
  [SMALL_STATE(11297)] = 549110,
  [SMALL_STATE(11298)] = 549164,
  [SMALL_STATE(11299)] = 549218,
  [SMALL_STATE(11300)] = 549272,
  [SMALL_STATE(11301)] = 549326,
  [SMALL_STATE(11302)] = 549380,
  [SMALL_STATE(11303)] = 549434,
  [SMALL_STATE(11304)] = 549488,
  [SMALL_STATE(11305)] = 549542,
  [SMALL_STATE(11306)] = 549596,
  [SMALL_STATE(11307)] = 549650,
  [SMALL_STATE(11308)] = 549704,
  [SMALL_STATE(11309)] = 549758,
  [SMALL_STATE(11310)] = 549812,
  [SMALL_STATE(11311)] = 549866,
  [SMALL_STATE(11312)] = 549920,
  [SMALL_STATE(11313)] = 549974,
  [SMALL_STATE(11314)] = 550028,
  [SMALL_STATE(11315)] = 550082,
  [SMALL_STATE(11316)] = 550136,
  [SMALL_STATE(11317)] = 550190,
  [SMALL_STATE(11318)] = 550244,
  [SMALL_STATE(11319)] = 550298,
  [SMALL_STATE(11320)] = 550352,
  [SMALL_STATE(11321)] = 550406,
  [SMALL_STATE(11322)] = 550460,
  [SMALL_STATE(11323)] = 550514,
  [SMALL_STATE(11324)] = 550550,
  [SMALL_STATE(11325)] = 550604,
  [SMALL_STATE(11326)] = 550658,
  [SMALL_STATE(11327)] = 550712,
  [SMALL_STATE(11328)] = 550766,
  [SMALL_STATE(11329)] = 550820,
  [SMALL_STATE(11330)] = 550856,
  [SMALL_STATE(11331)] = 550910,
  [SMALL_STATE(11332)] = 550964,
  [SMALL_STATE(11333)] = 551002,
  [SMALL_STATE(11334)] = 551056,
  [SMALL_STATE(11335)] = 551110,
  [SMALL_STATE(11336)] = 551164,
  [SMALL_STATE(11337)] = 551218,
  [SMALL_STATE(11338)] = 551272,
  [SMALL_STATE(11339)] = 551326,
  [SMALL_STATE(11340)] = 551380,
  [SMALL_STATE(11341)] = 551434,
  [SMALL_STATE(11342)] = 551488,
  [SMALL_STATE(11343)] = 551528,
  [SMALL_STATE(11344)] = 551580,
  [SMALL_STATE(11345)] = 551634,
  [SMALL_STATE(11346)] = 551678,
  [SMALL_STATE(11347)] = 551716,
  [SMALL_STATE(11348)] = 551754,
  [SMALL_STATE(11349)] = 551800,
  [SMALL_STATE(11350)] = 551846,
  [SMALL_STATE(11351)] = 551896,
  [SMALL_STATE(11352)] = 551950,
  [SMALL_STATE(11353)] = 552002,
  [SMALL_STATE(11354)] = 552056,
  [SMALL_STATE(11355)] = 552112,
  [SMALL_STATE(11356)] = 552152,
  [SMALL_STATE(11357)] = 552208,
  [SMALL_STATE(11358)] = 552262,
  [SMALL_STATE(11359)] = 552300,
  [SMALL_STATE(11360)] = 552354,
  [SMALL_STATE(11361)] = 552408,
  [SMALL_STATE(11362)] = 552452,
  [SMALL_STATE(11363)] = 552506,
  [SMALL_STATE(11364)] = 552562,
  [SMALL_STATE(11365)] = 552616,
  [SMALL_STATE(11366)] = 552670,
  [SMALL_STATE(11367)] = 552724,
  [SMALL_STATE(11368)] = 552778,
  [SMALL_STATE(11369)] = 552832,
  [SMALL_STATE(11370)] = 552872,
  [SMALL_STATE(11371)] = 552926,
  [SMALL_STATE(11372)] = 552980,
  [SMALL_STATE(11373)] = 553034,
  [SMALL_STATE(11374)] = 553070,
  [SMALL_STATE(11375)] = 553124,
  [SMALL_STATE(11376)] = 553178,
  [SMALL_STATE(11377)] = 553232,
  [SMALL_STATE(11378)] = 553286,
  [SMALL_STATE(11379)] = 553340,
  [SMALL_STATE(11380)] = 553378,
  [SMALL_STATE(11381)] = 553432,
  [SMALL_STATE(11382)] = 553470,
  [SMALL_STATE(11383)] = 553508,
  [SMALL_STATE(11384)] = 553562,
  [SMALL_STATE(11385)] = 553600,
  [SMALL_STATE(11386)] = 553636,
  [SMALL_STATE(11387)] = 553690,
  [SMALL_STATE(11388)] = 553744,
  [SMALL_STATE(11389)] = 553798,
  [SMALL_STATE(11390)] = 553852,
  [SMALL_STATE(11391)] = 553896,
  [SMALL_STATE(11392)] = 553950,
  [SMALL_STATE(11393)] = 554004,
  [SMALL_STATE(11394)] = 554058,
  [SMALL_STATE(11395)] = 554112,
  [SMALL_STATE(11396)] = 554166,
  [SMALL_STATE(11397)] = 554202,
  [SMALL_STATE(11398)] = 554256,
  [SMALL_STATE(11399)] = 554310,
  [SMALL_STATE(11400)] = 554364,
  [SMALL_STATE(11401)] = 554418,
  [SMALL_STATE(11402)] = 554472,
  [SMALL_STATE(11403)] = 554506,
  [SMALL_STATE(11404)] = 554560,
  [SMALL_STATE(11405)] = 554614,
  [SMALL_STATE(11406)] = 554668,
  [SMALL_STATE(11407)] = 554722,
  [SMALL_STATE(11408)] = 554776,
  [SMALL_STATE(11409)] = 554830,
  [SMALL_STATE(11410)] = 554884,
  [SMALL_STATE(11411)] = 554938,
  [SMALL_STATE(11412)] = 554992,
  [SMALL_STATE(11413)] = 555046,
  [SMALL_STATE(11414)] = 555090,
  [SMALL_STATE(11415)] = 555144,
  [SMALL_STATE(11416)] = 555198,
  [SMALL_STATE(11417)] = 555252,
  [SMALL_STATE(11418)] = 555306,
  [SMALL_STATE(11419)] = 555360,
  [SMALL_STATE(11420)] = 555414,
  [SMALL_STATE(11421)] = 555470,
  [SMALL_STATE(11422)] = 555524,
  [SMALL_STATE(11423)] = 555578,
  [SMALL_STATE(11424)] = 555632,
  [SMALL_STATE(11425)] = 555686,
  [SMALL_STATE(11426)] = 555740,
  [SMALL_STATE(11427)] = 555794,
  [SMALL_STATE(11428)] = 555848,
  [SMALL_STATE(11429)] = 555902,
  [SMALL_STATE(11430)] = 555956,
  [SMALL_STATE(11431)] = 556010,
  [SMALL_STATE(11432)] = 556064,
  [SMALL_STATE(11433)] = 556118,
  [SMALL_STATE(11434)] = 556172,
  [SMALL_STATE(11435)] = 556226,
  [SMALL_STATE(11436)] = 556280,
  [SMALL_STATE(11437)] = 556334,
  [SMALL_STATE(11438)] = 556374,
  [SMALL_STATE(11439)] = 556428,
  [SMALL_STATE(11440)] = 556482,
  [SMALL_STATE(11441)] = 556536,
  [SMALL_STATE(11442)] = 556590,
  [SMALL_STATE(11443)] = 556644,
  [SMALL_STATE(11444)] = 556698,
  [SMALL_STATE(11445)] = 556752,
  [SMALL_STATE(11446)] = 556806,
  [SMALL_STATE(11447)] = 556844,
  [SMALL_STATE(11448)] = 556882,
  [SMALL_STATE(11449)] = 556918,
  [SMALL_STATE(11450)] = 556972,
  [SMALL_STATE(11451)] = 557026,
  [SMALL_STATE(11452)] = 557080,
  [SMALL_STATE(11453)] = 557134,
  [SMALL_STATE(11454)] = 557188,
  [SMALL_STATE(11455)] = 557242,
  [SMALL_STATE(11456)] = 557296,
  [SMALL_STATE(11457)] = 557350,
  [SMALL_STATE(11458)] = 557404,
  [SMALL_STATE(11459)] = 557458,
  [SMALL_STATE(11460)] = 557512,
  [SMALL_STATE(11461)] = 557548,
  [SMALL_STATE(11462)] = 557586,
  [SMALL_STATE(11463)] = 557640,
  [SMALL_STATE(11464)] = 557694,
  [SMALL_STATE(11465)] = 557748,
  [SMALL_STATE(11466)] = 557802,
  [SMALL_STATE(11467)] = 557856,
  [SMALL_STATE(11468)] = 557910,
  [SMALL_STATE(11469)] = 557964,
  [SMALL_STATE(11470)] = 558018,
  [SMALL_STATE(11471)] = 558072,
  [SMALL_STATE(11472)] = 558110,
  [SMALL_STATE(11473)] = 558164,
  [SMALL_STATE(11474)] = 558218,
  [SMALL_STATE(11475)] = 558272,
  [SMALL_STATE(11476)] = 558326,
  [SMALL_STATE(11477)] = 558380,
  [SMALL_STATE(11478)] = 558434,
  [SMALL_STATE(11479)] = 558488,
  [SMALL_STATE(11480)] = 558542,
  [SMALL_STATE(11481)] = 558596,
  [SMALL_STATE(11482)] = 558650,
  [SMALL_STATE(11483)] = 558704,
  [SMALL_STATE(11484)] = 558738,
  [SMALL_STATE(11485)] = 558792,
  [SMALL_STATE(11486)] = 558846,
  [SMALL_STATE(11487)] = 558900,
  [SMALL_STATE(11488)] = 558954,
  [SMALL_STATE(11489)] = 559008,
  [SMALL_STATE(11490)] = 559062,
  [SMALL_STATE(11491)] = 559116,
  [SMALL_STATE(11492)] = 559170,
  [SMALL_STATE(11493)] = 559224,
  [SMALL_STATE(11494)] = 559278,
  [SMALL_STATE(11495)] = 559332,
  [SMALL_STATE(11496)] = 559386,
  [SMALL_STATE(11497)] = 559440,
  [SMALL_STATE(11498)] = 559494,
  [SMALL_STATE(11499)] = 559548,
  [SMALL_STATE(11500)] = 559588,
  [SMALL_STATE(11501)] = 559642,
  [SMALL_STATE(11502)] = 559696,
  [SMALL_STATE(11503)] = 559750,
  [SMALL_STATE(11504)] = 559804,
  [SMALL_STATE(11505)] = 559858,
  [SMALL_STATE(11506)] = 559912,
  [SMALL_STATE(11507)] = 559966,
  [SMALL_STATE(11508)] = 560000,
  [SMALL_STATE(11509)] = 560038,
  [SMALL_STATE(11510)] = 560092,
  [SMALL_STATE(11511)] = 560130,
  [SMALL_STATE(11512)] = 560170,
  [SMALL_STATE(11513)] = 560224,
  [SMALL_STATE(11514)] = 560282,
  [SMALL_STATE(11515)] = 560318,
  [SMALL_STATE(11516)] = 560372,
  [SMALL_STATE(11517)] = 560426,
  [SMALL_STATE(11518)] = 560480,
  [SMALL_STATE(11519)] = 560538,
  [SMALL_STATE(11520)] = 560592,
  [SMALL_STATE(11521)] = 560646,
  [SMALL_STATE(11522)] = 560700,
  [SMALL_STATE(11523)] = 560754,
  [SMALL_STATE(11524)] = 560808,
  [SMALL_STATE(11525)] = 560862,
  [SMALL_STATE(11526)] = 560916,
  [SMALL_STATE(11527)] = 560970,
  [SMALL_STATE(11528)] = 561010,
  [SMALL_STATE(11529)] = 561048,
  [SMALL_STATE(11530)] = 561092,
  [SMALL_STATE(11531)] = 561130,
  [SMALL_STATE(11532)] = 561168,
  [SMALL_STATE(11533)] = 561206,
  [SMALL_STATE(11534)] = 561244,
  [SMALL_STATE(11535)] = 561298,
  [SMALL_STATE(11536)] = 561336,
  [SMALL_STATE(11537)] = 561374,
  [SMALL_STATE(11538)] = 561412,
  [SMALL_STATE(11539)] = 561466,
  [SMALL_STATE(11540)] = 561502,
  [SMALL_STATE(11541)] = 561556,
  [SMALL_STATE(11542)] = 561610,
  [SMALL_STATE(11543)] = 561664,
  [SMALL_STATE(11544)] = 561718,
  [SMALL_STATE(11545)] = 561772,
  [SMALL_STATE(11546)] = 561810,
  [SMALL_STATE(11547)] = 561848,
  [SMALL_STATE(11548)] = 561886,
  [SMALL_STATE(11549)] = 561924,
  [SMALL_STATE(11550)] = 561962,
  [SMALL_STATE(11551)] = 562000,
  [SMALL_STATE(11552)] = 562038,
  [SMALL_STATE(11553)] = 562092,
  [SMALL_STATE(11554)] = 562146,
  [SMALL_STATE(11555)] = 562200,
  [SMALL_STATE(11556)] = 562254,
  [SMALL_STATE(11557)] = 562308,
  [SMALL_STATE(11558)] = 562362,
  [SMALL_STATE(11559)] = 562416,
  [SMALL_STATE(11560)] = 562470,
  [SMALL_STATE(11561)] = 562524,
  [SMALL_STATE(11562)] = 562578,
  [SMALL_STATE(11563)] = 562632,
  [SMALL_STATE(11564)] = 562686,
  [SMALL_STATE(11565)] = 562740,
  [SMALL_STATE(11566)] = 562780,
  [SMALL_STATE(11567)] = 562820,
  [SMALL_STATE(11568)] = 562874,
  [SMALL_STATE(11569)] = 562928,
  [SMALL_STATE(11570)] = 562982,
  [SMALL_STATE(11571)] = 563033,
  [SMALL_STATE(11572)] = 563084,
  [SMALL_STATE(11573)] = 563127,
  [SMALL_STATE(11574)] = 563160,
  [SMALL_STATE(11575)] = 563199,
  [SMALL_STATE(11576)] = 563236,
  [SMALL_STATE(11577)] = 563293,
  [SMALL_STATE(11578)] = 563330,
  [SMALL_STATE(11579)] = 563375,
  [SMALL_STATE(11580)] = 563420,
  [SMALL_STATE(11581)] = 563457,
  [SMALL_STATE(11582)] = 563506,
  [SMALL_STATE(11583)] = 563557,
  [SMALL_STATE(11584)] = 563612,
  [SMALL_STATE(11585)] = 563651,
  [SMALL_STATE(11586)] = 563706,
  [SMALL_STATE(11587)] = 563743,
  [SMALL_STATE(11588)] = 563776,
  [SMALL_STATE(11589)] = 563831,
  [SMALL_STATE(11590)] = 563864,
  [SMALL_STATE(11591)] = 563899,
  [SMALL_STATE(11592)] = 563936,
  [SMALL_STATE(11593)] = 563969,
  [SMALL_STATE(11594)] = 564026,
  [SMALL_STATE(11595)] = 564061,
  [SMALL_STATE(11596)] = 564100,
  [SMALL_STATE(11597)] = 564139,
  [SMALL_STATE(11598)] = 564178,
  [SMALL_STATE(11599)] = 564229,
  [SMALL_STATE(11600)] = 564286,
  [SMALL_STATE(11601)] = 564323,
  [SMALL_STATE(11602)] = 564360,
  [SMALL_STATE(11603)] = 564403,
  [SMALL_STATE(11604)] = 564454,
  [SMALL_STATE(11605)] = 564487,
  [SMALL_STATE(11606)] = 564524,
  [SMALL_STATE(11607)] = 564561,
  [SMALL_STATE(11608)] = 564594,
  [SMALL_STATE(11609)] = 564637,
  [SMALL_STATE(11610)] = 564674,
  [SMALL_STATE(11611)] = 564709,
  [SMALL_STATE(11612)] = 564748,
  [SMALL_STATE(11613)] = 564787,
  [SMALL_STATE(11614)] = 564838,
  [SMALL_STATE(11615)] = 564877,
  [SMALL_STATE(11616)] = 564910,
  [SMALL_STATE(11617)] = 564947,
  [SMALL_STATE(11618)] = 564980,
  [SMALL_STATE(11619)] = 565013,
  [SMALL_STATE(11620)] = 565050,
  [SMALL_STATE(11621)] = 565087,
  [SMALL_STATE(11622)] = 565124,
  [SMALL_STATE(11623)] = 565167,
  [SMALL_STATE(11624)] = 565204,
  [SMALL_STATE(11625)] = 565241,
  [SMALL_STATE(11626)] = 565276,
  [SMALL_STATE(11627)] = 565313,
  [SMALL_STATE(11628)] = 565348,
  [SMALL_STATE(11629)] = 565403,
  [SMALL_STATE(11630)] = 565436,
  [SMALL_STATE(11631)] = 565473,
  [SMALL_STATE(11632)] = 565508,
  [SMALL_STATE(11633)] = 565549,
  [SMALL_STATE(11634)] = 565592,
  [SMALL_STATE(11635)] = 565627,
  [SMALL_STATE(11636)] = 565666,
  [SMALL_STATE(11637)] = 565705,
  [SMALL_STATE(11638)] = 565738,
  [SMALL_STATE(11639)] = 565777,
  [SMALL_STATE(11640)] = 565828,
  [SMALL_STATE(11641)] = 565869,
  [SMALL_STATE(11642)] = 565902,
  [SMALL_STATE(11643)] = 565953,
  [SMALL_STATE(11644)] = 565992,
  [SMALL_STATE(11645)] = 566025,
  [SMALL_STATE(11646)] = 566058,
  [SMALL_STATE(11647)] = 566091,
  [SMALL_STATE(11648)] = 566130,
  [SMALL_STATE(11649)] = 566163,
  [SMALL_STATE(11650)] = 566196,
  [SMALL_STATE(11651)] = 566229,
  [SMALL_STATE(11652)] = 566262,
  [SMALL_STATE(11653)] = 566301,
  [SMALL_STATE(11654)] = 566340,
  [SMALL_STATE(11655)] = 566379,
  [SMALL_STATE(11656)] = 566412,
  [SMALL_STATE(11657)] = 566449,
  [SMALL_STATE(11658)] = 566482,
  [SMALL_STATE(11659)] = 566521,
  [SMALL_STATE(11660)] = 566572,
  [SMALL_STATE(11661)] = 566615,
  [SMALL_STATE(11662)] = 566654,
  [SMALL_STATE(11663)] = 566691,
  [SMALL_STATE(11664)] = 566728,
  [SMALL_STATE(11665)] = 566773,
  [SMALL_STATE(11666)] = 566818,
  [SMALL_STATE(11667)] = 566867,
  [SMALL_STATE(11668)] = 566918,
  [SMALL_STATE(11669)] = 566973,
  [SMALL_STATE(11670)] = 567012,
  [SMALL_STATE(11671)] = 567067,
  [SMALL_STATE(11672)] = 567110,
  [SMALL_STATE(11673)] = 567163,
  [SMALL_STATE(11674)] = 567202,
  [SMALL_STATE(11675)] = 567241,
  [SMALL_STATE(11676)] = 567280,
  [SMALL_STATE(11677)] = 567317,
  [SMALL_STATE(11678)] = 567352,
  [SMALL_STATE(11679)] = 567385,
  [SMALL_STATE(11680)] = 567424,
  [SMALL_STATE(11681)] = 567457,
  [SMALL_STATE(11682)] = 567512,
  [SMALL_STATE(11683)] = 567545,
  [SMALL_STATE(11684)] = 567578,
  [SMALL_STATE(11685)] = 567611,
  [SMALL_STATE(11686)] = 567654,
  [SMALL_STATE(11687)] = 567687,
  [SMALL_STATE(11688)] = 567726,
  [SMALL_STATE(11689)] = 567759,
  [SMALL_STATE(11690)] = 567798,
  [SMALL_STATE(11691)] = 567831,
  [SMALL_STATE(11692)] = 567864,
  [SMALL_STATE(11693)] = 567903,
  [SMALL_STATE(11694)] = 567936,
  [SMALL_STATE(11695)] = 567987,
  [SMALL_STATE(11696)] = 568026,
  [SMALL_STATE(11697)] = 568065,
  [SMALL_STATE(11698)] = 568104,
  [SMALL_STATE(11699)] = 568143,
  [SMALL_STATE(11700)] = 568180,
  [SMALL_STATE(11701)] = 568213,
  [SMALL_STATE(11702)] = 568252,
  [SMALL_STATE(11703)] = 568291,
  [SMALL_STATE(11704)] = 568328,
  [SMALL_STATE(11705)] = 568367,
  [SMALL_STATE(11706)] = 568406,
  [SMALL_STATE(11707)] = 568443,
  [SMALL_STATE(11708)] = 568480,
  [SMALL_STATE(11709)] = 568517,
  [SMALL_STATE(11710)] = 568554,
  [SMALL_STATE(11711)] = 568591,
  [SMALL_STATE(11712)] = 568624,
  [SMALL_STATE(11713)] = 568657,
  [SMALL_STATE(11714)] = 568698,
  [SMALL_STATE(11715)] = 568739,
  [SMALL_STATE(11716)] = 568780,
  [SMALL_STATE(11717)] = 568821,
  [SMALL_STATE(11718)] = 568860,
  [SMALL_STATE(11719)] = 568901,
  [SMALL_STATE(11720)] = 568942,
  [SMALL_STATE(11721)] = 568975,
  [SMALL_STATE(11722)] = 569012,
  [SMALL_STATE(11723)] = 569047,
  [SMALL_STATE(11724)] = 569098,
  [SMALL_STATE(11725)] = 569141,
  [SMALL_STATE(11726)] = 569184,
  [SMALL_STATE(11727)] = 569223,
  [SMALL_STATE(11728)] = 569262,
  [SMALL_STATE(11729)] = 569301,
  [SMALL_STATE(11730)] = 569352,
  [SMALL_STATE(11731)] = 569394,
  [SMALL_STATE(11732)] = 569430,
  [SMALL_STATE(11733)] = 569478,
  [SMALL_STATE(11734)] = 569514,
  [SMALL_STATE(11735)] = 569556,
  [SMALL_STATE(11736)] = 569598,
  [SMALL_STATE(11737)] = 569634,
  [SMALL_STATE(11738)] = 569670,
  [SMALL_STATE(11739)] = 569704,
  [SMALL_STATE(11740)] = 569740,
  [SMALL_STATE(11741)] = 569776,
  [SMALL_STATE(11742)] = 569812,
  [SMALL_STATE(11743)] = 569866,
  [SMALL_STATE(11744)] = 569926,
  [SMALL_STATE(11745)] = 569962,
  [SMALL_STATE(11746)] = 570010,
  [SMALL_STATE(11747)] = 570046,
  [SMALL_STATE(11748)] = 570082,
  [SMALL_STATE(11749)] = 570130,
  [SMALL_STATE(11750)] = 570166,
  [SMALL_STATE(11751)] = 570202,
  [SMALL_STATE(11752)] = 570238,
  [SMALL_STATE(11753)] = 570274,
  [SMALL_STATE(11754)] = 570308,
  [SMALL_STATE(11755)] = 570356,
  [SMALL_STATE(11756)] = 570390,
  [SMALL_STATE(11757)] = 570426,
  [SMALL_STATE(11758)] = 570462,
  [SMALL_STATE(11759)] = 570516,
  [SMALL_STATE(11760)] = 570564,
  [SMALL_STATE(11761)] = 570600,
  [SMALL_STATE(11762)] = 570634,
  [SMALL_STATE(11763)] = 570670,
  [SMALL_STATE(11764)] = 570720,
  [SMALL_STATE(11765)] = 570756,
  [SMALL_STATE(11766)] = 570790,
  [SMALL_STATE(11767)] = 570826,
  [SMALL_STATE(11768)] = 570882,
  [SMALL_STATE(11769)] = 570930,
  [SMALL_STATE(11770)] = 570978,
  [SMALL_STATE(11771)] = 571026,
  [SMALL_STATE(11772)] = 571062,
  [SMALL_STATE(11773)] = 571096,
  [SMALL_STATE(11774)] = 571132,
  [SMALL_STATE(11775)] = 571168,
  [SMALL_STATE(11776)] = 571206,
  [SMALL_STATE(11777)] = 571242,
  [SMALL_STATE(11778)] = 571290,
  [SMALL_STATE(11779)] = 571322,
  [SMALL_STATE(11780)] = 571364,
  [SMALL_STATE(11781)] = 571400,
  [SMALL_STATE(11782)] = 571448,
  [SMALL_STATE(11783)] = 571490,
  [SMALL_STATE(11784)] = 571538,
  [SMALL_STATE(11785)] = 571574,
  [SMALL_STATE(11786)] = 571610,
  [SMALL_STATE(11787)] = 571646,
  [SMALL_STATE(11788)] = 571682,
  [SMALL_STATE(11789)] = 571718,
  [SMALL_STATE(11790)] = 571752,
  [SMALL_STATE(11791)] = 571800,
  [SMALL_STATE(11792)] = 571838,
  [SMALL_STATE(11793)] = 571898,
  [SMALL_STATE(11794)] = 571946,
  [SMALL_STATE(11795)] = 571978,
  [SMALL_STATE(11796)] = 572026,
  [SMALL_STATE(11797)] = 572074,
  [SMALL_STATE(11798)] = 572128,
  [SMALL_STATE(11799)] = 572164,
  [SMALL_STATE(11800)] = 572198,
  [SMALL_STATE(11801)] = 572234,
  [SMALL_STATE(11802)] = 572282,
  [SMALL_STATE(11803)] = 572316,
  [SMALL_STATE(11804)] = 572352,
  [SMALL_STATE(11805)] = 572388,
  [SMALL_STATE(11806)] = 572436,
  [SMALL_STATE(11807)] = 572478,
  [SMALL_STATE(11808)] = 572526,
  [SMALL_STATE(11809)] = 572562,
  [SMALL_STATE(11810)] = 572604,
  [SMALL_STATE(11811)] = 572642,
  [SMALL_STATE(11812)] = 572696,
  [SMALL_STATE(11813)] = 572732,
  [SMALL_STATE(11814)] = 572768,
  [SMALL_STATE(11815)] = 572804,
  [SMALL_STATE(11816)] = 572840,
  [SMALL_STATE(11817)] = 572888,
  [SMALL_STATE(11818)] = 572924,
  [SMALL_STATE(11819)] = 572962,
  [SMALL_STATE(11820)] = 572996,
  [SMALL_STATE(11821)] = 573044,
  [SMALL_STATE(11822)] = 573080,
  [SMALL_STATE(11823)] = 573116,
  [SMALL_STATE(11824)] = 573152,
  [SMALL_STATE(11825)] = 573200,
  [SMALL_STATE(11826)] = 573236,
  [SMALL_STATE(11827)] = 573274,
  [SMALL_STATE(11828)] = 573324,
  [SMALL_STATE(11829)] = 573374,
  [SMALL_STATE(11830)] = 573422,
  [SMALL_STATE(11831)] = 573470,
  [SMALL_STATE(11832)] = 573520,
  [SMALL_STATE(11833)] = 573552,
  [SMALL_STATE(11834)] = 573600,
  [SMALL_STATE(11835)] = 573648,
  [SMALL_STATE(11836)] = 573708,
  [SMALL_STATE(11837)] = 573744,
  [SMALL_STATE(11838)] = 573786,
  [SMALL_STATE(11839)] = 573822,
  [SMALL_STATE(11840)] = 573866,
  [SMALL_STATE(11841)] = 573914,
  [SMALL_STATE(11842)] = 573958,
  [SMALL_STATE(11843)] = 574006,
  [SMALL_STATE(11844)] = 574042,
  [SMALL_STATE(11845)] = 574078,
  [SMALL_STATE(11846)] = 574114,
  [SMALL_STATE(11847)] = 574164,
  [SMALL_STATE(11848)] = 574218,
  [SMALL_STATE(11849)] = 574254,
  [SMALL_STATE(11850)] = 574304,
  [SMALL_STATE(11851)] = 574342,
  [SMALL_STATE(11852)] = 574396,
  [SMALL_STATE(11853)] = 574450,
  [SMALL_STATE(11854)] = 574504,
  [SMALL_STATE(11855)] = 574540,
  [SMALL_STATE(11856)] = 574576,
  [SMALL_STATE(11857)] = 574612,
  [SMALL_STATE(11858)] = 574648,
  [SMALL_STATE(11859)] = 574684,
  [SMALL_STATE(11860)] = 574718,
  [SMALL_STATE(11861)] = 574760,
  [SMALL_STATE(11862)] = 574808,
  [SMALL_STATE(11863)] = 574840,
  [SMALL_STATE(11864)] = 574876,
  [SMALL_STATE(11865)] = 574912,
  [SMALL_STATE(11866)] = 574948,
  [SMALL_STATE(11867)] = 574992,
  [SMALL_STATE(11868)] = 575040,
  [SMALL_STATE(11869)] = 575072,
  [SMALL_STATE(11870)] = 575108,
  [SMALL_STATE(11871)] = 575156,
  [SMALL_STATE(11872)] = 575190,
  [SMALL_STATE(11873)] = 575224,
  [SMALL_STATE(11874)] = 575274,
  [SMALL_STATE(11875)] = 575306,
  [SMALL_STATE(11876)] = 575348,
  [SMALL_STATE(11877)] = 575384,
  [SMALL_STATE(11878)] = 575420,
  [SMALL_STATE(11879)] = 575464,
  [SMALL_STATE(11880)] = 575514,
  [SMALL_STATE(11881)] = 575562,
  [SMALL_STATE(11882)] = 575598,
  [SMALL_STATE(11883)] = 575646,
  [SMALL_STATE(11884)] = 575688,
  [SMALL_STATE(11885)] = 575736,
  [SMALL_STATE(11886)] = 575784,
  [SMALL_STATE(11887)] = 575820,
  [SMALL_STATE(11888)] = 575868,
  [SMALL_STATE(11889)] = 575904,
  [SMALL_STATE(11890)] = 575948,
  [SMALL_STATE(11891)] = 575984,
  [SMALL_STATE(11892)] = 576028,
  [SMALL_STATE(11893)] = 576076,
  [SMALL_STATE(11894)] = 576124,
  [SMALL_STATE(11895)] = 576160,
  [SMALL_STATE(11896)] = 576194,
  [SMALL_STATE(11897)] = 576238,
  [SMALL_STATE(11898)] = 576286,
  [SMALL_STATE(11899)] = 576336,
  [SMALL_STATE(11900)] = 576372,
  [SMALL_STATE(11901)] = 576426,
  [SMALL_STATE(11902)] = 576474,
  [SMALL_STATE(11903)] = 576528,
  [SMALL_STATE(11904)] = 576578,
  [SMALL_STATE(11905)] = 576632,
  [SMALL_STATE(11906)] = 576688,
  [SMALL_STATE(11907)] = 576742,
  [SMALL_STATE(11908)] = 576790,
  [SMALL_STATE(11909)] = 576838,
  [SMALL_STATE(11910)] = 576876,
  [SMALL_STATE(11911)] = 576908,
  [SMALL_STATE(11912)] = 576956,
  [SMALL_STATE(11913)] = 576990,
  [SMALL_STATE(11914)] = 577044,
  [SMALL_STATE(11915)] = 577080,
  [SMALL_STATE(11916)] = 577112,
  [SMALL_STATE(11917)] = 577148,
  [SMALL_STATE(11918)] = 577202,
  [SMALL_STATE(11919)] = 577238,
  [SMALL_STATE(11920)] = 577286,
  [SMALL_STATE(11921)] = 577322,
  [SMALL_STATE(11922)] = 577376,
  [SMALL_STATE(11923)] = 577420,
  [SMALL_STATE(11924)] = 577456,
  [SMALL_STATE(11925)] = 577492,
  [SMALL_STATE(11926)] = 577528,
  [SMALL_STATE(11927)] = 577576,
  [SMALL_STATE(11928)] = 577612,
  [SMALL_STATE(11929)] = 577656,
  [SMALL_STATE(11930)] = 577694,
  [SMALL_STATE(11931)] = 577744,
  [SMALL_STATE(11932)] = 577792,
  [SMALL_STATE(11933)] = 577842,
  [SMALL_STATE(11934)] = 577890,
  [SMALL_STATE(11935)] = 577924,
  [SMALL_STATE(11936)] = 577958,
  [SMALL_STATE(11937)] = 578012,
  [SMALL_STATE(11938)] = 578050,
  [SMALL_STATE(11939)] = 578098,
  [SMALL_STATE(11940)] = 578152,
  [SMALL_STATE(11941)] = 578200,
  [SMALL_STATE(11942)] = 578248,
  [SMALL_STATE(11943)] = 578304,
  [SMALL_STATE(11944)] = 578358,
  [SMALL_STATE(11945)] = 578402,
  [SMALL_STATE(11946)] = 578450,
  [SMALL_STATE(11947)] = 578498,
  [SMALL_STATE(11948)] = 578554,
  [SMALL_STATE(11949)] = 578590,
  [SMALL_STATE(11950)] = 578638,
  [SMALL_STATE(11951)] = 578672,
  [SMALL_STATE(11952)] = 578704,
  [SMALL_STATE(11953)] = 578758,
  [SMALL_STATE(11954)] = 578806,
  [SMALL_STATE(11955)] = 578854,
  [SMALL_STATE(11956)] = 578890,
  [SMALL_STATE(11957)] = 578938,
  [SMALL_STATE(11958)] = 578974,
  [SMALL_STATE(11959)] = 579034,
  [SMALL_STATE(11960)] = 579068,
  [SMALL_STATE(11961)] = 579102,
  [SMALL_STATE(11962)] = 579138,
  [SMALL_STATE(11963)] = 579194,
  [SMALL_STATE(11964)] = 579244,
  [SMALL_STATE(11965)] = 579292,
  [SMALL_STATE(11966)] = 579346,
  [SMALL_STATE(11967)] = 579382,
  [SMALL_STATE(11968)] = 579436,
  [SMALL_STATE(11969)] = 579472,
  [SMALL_STATE(11970)] = 579526,
  [SMALL_STATE(11971)] = 579574,
  [SMALL_STATE(11972)] = 579622,
  [SMALL_STATE(11973)] = 579658,
  [SMALL_STATE(11974)] = 579694,
  [SMALL_STATE(11975)] = 579730,
  [SMALL_STATE(11976)] = 579766,
  [SMALL_STATE(11977)] = 579802,
  [SMALL_STATE(11978)] = 579838,
  [SMALL_STATE(11979)] = 579872,
  [SMALL_STATE(11980)] = 579910,
  [SMALL_STATE(11981)] = 579946,
  [SMALL_STATE(11982)] = 580004,
  [SMALL_STATE(11983)] = 580040,
  [SMALL_STATE(11984)] = 580076,
  [SMALL_STATE(11985)] = 580112,
  [SMALL_STATE(11986)] = 580160,
  [SMALL_STATE(11987)] = 580208,
  [SMALL_STATE(11988)] = 580256,
  [SMALL_STATE(11989)] = 580292,
  [SMALL_STATE(11990)] = 580340,
  [SMALL_STATE(11991)] = 580388,
  [SMALL_STATE(11992)] = 580422,
  [SMALL_STATE(11993)] = 580458,
  [SMALL_STATE(11994)] = 580512,
  [SMALL_STATE(11995)] = 580548,
  [SMALL_STATE(11996)] = 580584,
  [SMALL_STATE(11997)] = 580620,
  [SMALL_STATE(11998)] = 580676,
  [SMALL_STATE(11999)] = 580724,
  [SMALL_STATE(12000)] = 580778,
  [SMALL_STATE(12001)] = 580826,
  [SMALL_STATE(12002)] = 580860,
  [SMALL_STATE(12003)] = 580896,
  [SMALL_STATE(12004)] = 580954,
  [SMALL_STATE(12005)] = 580990,
  [SMALL_STATE(12006)] = 581038,
  [SMALL_STATE(12007)] = 581088,
  [SMALL_STATE(12008)] = 581130,
  [SMALL_STATE(12009)] = 581162,
  [SMALL_STATE(12010)] = 581198,
  [SMALL_STATE(12011)] = 581234,
  [SMALL_STATE(12012)] = 581270,
  [SMALL_STATE(12013)] = 581314,
  [SMALL_STATE(12014)] = 581358,
  [SMALL_STATE(12015)] = 581406,
  [SMALL_STATE(12016)] = 581456,
  [SMALL_STATE(12017)] = 581510,
  [SMALL_STATE(12018)] = 581548,
  [SMALL_STATE(12019)] = 581602,
  [SMALL_STATE(12020)] = 581636,
  [SMALL_STATE(12021)] = 581690,
  [SMALL_STATE(12022)] = 581738,
  [SMALL_STATE(12023)] = 581788,
  [SMALL_STATE(12024)] = 581830,
  [SMALL_STATE(12025)] = 581866,
  [SMALL_STATE(12026)] = 581902,
  [SMALL_STATE(12027)] = 581946,
  [SMALL_STATE(12028)] = 581990,
  [SMALL_STATE(12029)] = 582026,
  [SMALL_STATE(12030)] = 582060,
  [SMALL_STATE(12031)] = 582116,
  [SMALL_STATE(12032)] = 582164,
  [SMALL_STATE(12033)] = 582200,
  [SMALL_STATE(12034)] = 582250,
  [SMALL_STATE(12035)] = 582298,
  [SMALL_STATE(12036)] = 582334,
  [SMALL_STATE(12037)] = 582370,
  [SMALL_STATE(12038)] = 582404,
  [SMALL_STATE(12039)] = 582440,
  [SMALL_STATE(12040)] = 582476,
  [SMALL_STATE(12041)] = 582524,
  [SMALL_STATE(12042)] = 582560,
  [SMALL_STATE(12043)] = 582596,
  [SMALL_STATE(12044)] = 582634,
  [SMALL_STATE(12045)] = 582668,
  [SMALL_STATE(12046)] = 582704,
  [SMALL_STATE(12047)] = 582740,
  [SMALL_STATE(12048)] = 582776,
  [SMALL_STATE(12049)] = 582814,
  [SMALL_STATE(12050)] = 582857,
  [SMALL_STATE(12051)] = 582912,
  [SMALL_STATE(12052)] = 582945,
  [SMALL_STATE(12053)] = 582980,
  [SMALL_STATE(12054)] = 583035,
  [SMALL_STATE(12055)] = 583068,
  [SMALL_STATE(12056)] = 583101,
  [SMALL_STATE(12057)] = 583136,
  [SMALL_STATE(12058)] = 583187,
  [SMALL_STATE(12059)] = 583222,
  [SMALL_STATE(12060)] = 583263,
  [SMALL_STATE(12061)] = 583298,
  [SMALL_STATE(12062)] = 583333,
  [SMALL_STATE(12063)] = 583388,
  [SMALL_STATE(12064)] = 583443,
  [SMALL_STATE(12065)] = 583476,
  [SMALL_STATE(12066)] = 583531,
  [SMALL_STATE(12067)] = 583584,
  [SMALL_STATE(12068)] = 583633,
  [SMALL_STATE(12069)] = 583674,
  [SMALL_STATE(12070)] = 583727,
  [SMALL_STATE(12071)] = 583762,
  [SMALL_STATE(12072)] = 583817,
  [SMALL_STATE(12073)] = 583852,
  [SMALL_STATE(12074)] = 583895,
  [SMALL_STATE(12075)] = 583930,
  [SMALL_STATE(12076)] = 583985,
  [SMALL_STATE(12077)] = 584038,
  [SMALL_STATE(12078)] = 584079,
  [SMALL_STATE(12079)] = 584128,
  [SMALL_STATE(12080)] = 584171,
  [SMALL_STATE(12081)] = 584212,
  [SMALL_STATE(12082)] = 584259,
  [SMALL_STATE(12083)] = 584308,
  [SMALL_STATE(12084)] = 584349,
  [SMALL_STATE(12085)] = 584396,
  [SMALL_STATE(12086)] = 584437,
  [SMALL_STATE(12087)] = 584478,
  [SMALL_STATE(12088)] = 584519,
  [SMALL_STATE(12089)] = 584572,
  [SMALL_STATE(12090)] = 584607,
  [SMALL_STATE(12091)] = 584642,
  [SMALL_STATE(12092)] = 584677,
  [SMALL_STATE(12093)] = 584712,
  [SMALL_STATE(12094)] = 584765,
  [SMALL_STATE(12095)] = 584802,
  [SMALL_STATE(12096)] = 584857,
  [SMALL_STATE(12097)] = 584890,
  [SMALL_STATE(12098)] = 584943,
  [SMALL_STATE(12099)] = 584998,
  [SMALL_STATE(12100)] = 585039,
  [SMALL_STATE(12101)] = 585088,
  [SMALL_STATE(12102)] = 585129,
  [SMALL_STATE(12103)] = 585184,
  [SMALL_STATE(12104)] = 585217,
  [SMALL_STATE(12105)] = 585272,
  [SMALL_STATE(12106)] = 585307,
  [SMALL_STATE(12107)] = 585338,
  [SMALL_STATE(12108)] = 585393,
  [SMALL_STATE(12109)] = 585448,
  [SMALL_STATE(12110)] = 585483,
  [SMALL_STATE(12111)] = 585524,
  [SMALL_STATE(12112)] = 585579,
  [SMALL_STATE(12113)] = 585620,
  [SMALL_STATE(12114)] = 585675,
  [SMALL_STATE(12115)] = 585716,
  [SMALL_STATE(12116)] = 585751,
  [SMALL_STATE(12117)] = 585786,
  [SMALL_STATE(12118)] = 585829,
  [SMALL_STATE(12119)] = 585872,
  [SMALL_STATE(12120)] = 585919,
  [SMALL_STATE(12121)] = 585950,
  [SMALL_STATE(12122)] = 585985,
  [SMALL_STATE(12123)] = 586020,
  [SMALL_STATE(12124)] = 586075,
  [SMALL_STATE(12125)] = 586130,
  [SMALL_STATE(12126)] = 586185,
  [SMALL_STATE(12127)] = 586240,
  [SMALL_STATE(12128)] = 586271,
  [SMALL_STATE(12129)] = 586324,
  [SMALL_STATE(12130)] = 586365,
  [SMALL_STATE(12131)] = 586412,
  [SMALL_STATE(12132)] = 586453,
  [SMALL_STATE(12133)] = 586508,
  [SMALL_STATE(12134)] = 586543,
  [SMALL_STATE(12135)] = 586598,
  [SMALL_STATE(12136)] = 586653,
  [SMALL_STATE(12137)] = 586694,
  [SMALL_STATE(12138)] = 586729,
  [SMALL_STATE(12139)] = 586784,
  [SMALL_STATE(12140)] = 586839,
  [SMALL_STATE(12141)] = 586882,
  [SMALL_STATE(12142)] = 586919,
  [SMALL_STATE(12143)] = 586962,
  [SMALL_STATE(12144)] = 586993,
  [SMALL_STATE(12145)] = 587040,
  [SMALL_STATE(12146)] = 587087,
  [SMALL_STATE(12147)] = 587134,
  [SMALL_STATE(12148)] = 587185,
  [SMALL_STATE(12149)] = 587222,
  [SMALL_STATE(12150)] = 587273,
  [SMALL_STATE(12151)] = 587312,
  [SMALL_STATE(12152)] = 587363,
  [SMALL_STATE(12153)] = 587418,
  [SMALL_STATE(12154)] = 587453,
  [SMALL_STATE(12155)] = 587494,
  [SMALL_STATE(12156)] = 587545,
  [SMALL_STATE(12157)] = 587586,
  [SMALL_STATE(12158)] = 587641,
  [SMALL_STATE(12159)] = 587696,
  [SMALL_STATE(12160)] = 587749,
  [SMALL_STATE(12161)] = 587786,
  [SMALL_STATE(12162)] = 587821,
  [SMALL_STATE(12163)] = 587854,
  [SMALL_STATE(12164)] = 587909,
  [SMALL_STATE(12165)] = 587960,
  [SMALL_STATE(12166)] = 588001,
  [SMALL_STATE(12167)] = 588042,
  [SMALL_STATE(12168)] = 588095,
  [SMALL_STATE(12169)] = 588136,
  [SMALL_STATE(12170)] = 588169,
  [SMALL_STATE(12171)] = 588210,
  [SMALL_STATE(12172)] = 588251,
  [SMALL_STATE(12173)] = 588282,
  [SMALL_STATE(12174)] = 588337,
  [SMALL_STATE(12175)] = 588378,
  [SMALL_STATE(12176)] = 588411,
  [SMALL_STATE(12177)] = 588446,
  [SMALL_STATE(12178)] = 588487,
  [SMALL_STATE(12179)] = 588528,
  [SMALL_STATE(12180)] = 588569,
  [SMALL_STATE(12181)] = 588624,
  [SMALL_STATE(12182)] = 588679,
  [SMALL_STATE(12183)] = 588730,
  [SMALL_STATE(12184)] = 588785,
  [SMALL_STATE(12185)] = 588820,
  [SMALL_STATE(12186)] = 588861,
  [SMALL_STATE(12187)] = 588916,
  [SMALL_STATE(12188)] = 588971,
  [SMALL_STATE(12189)] = 589012,
  [SMALL_STATE(12190)] = 589047,
  [SMALL_STATE(12191)] = 589102,
  [SMALL_STATE(12192)] = 589143,
  [SMALL_STATE(12193)] = 589174,
  [SMALL_STATE(12194)] = 589215,
  [SMALL_STATE(12195)] = 589250,
  [SMALL_STATE(12196)] = 589291,
  [SMALL_STATE(12197)] = 589346,
  [SMALL_STATE(12198)] = 589387,
  [SMALL_STATE(12199)] = 589442,
  [SMALL_STATE(12200)] = 589483,
  [SMALL_STATE(12201)] = 589524,
  [SMALL_STATE(12202)] = 589571,
  [SMALL_STATE(12203)] = 589612,
  [SMALL_STATE(12204)] = 589667,
  [SMALL_STATE(12205)] = 589718,
  [SMALL_STATE(12206)] = 589773,
  [SMALL_STATE(12207)] = 589814,
  [SMALL_STATE(12208)] = 589869,
  [SMALL_STATE(12209)] = 589910,
  [SMALL_STATE(12210)] = 589963,
  [SMALL_STATE(12211)] = 589994,
  [SMALL_STATE(12212)] = 590029,
  [SMALL_STATE(12213)] = 590064,
  [SMALL_STATE(12214)] = 590107,
  [SMALL_STATE(12215)] = 590150,
  [SMALL_STATE(12216)] = 590181,
  [SMALL_STATE(12217)] = 590212,
  [SMALL_STATE(12218)] = 590259,
  [SMALL_STATE(12219)] = 590306,
  [SMALL_STATE(12220)] = 590357,
  [SMALL_STATE(12221)] = 590404,
  [SMALL_STATE(12222)] = 590445,
  [SMALL_STATE(12223)] = 590482,
  [SMALL_STATE(12224)] = 590533,
  [SMALL_STATE(12225)] = 590588,
  [SMALL_STATE(12226)] = 590629,
  [SMALL_STATE(12227)] = 590670,
  [SMALL_STATE(12228)] = 590709,
  [SMALL_STATE(12229)] = 590764,
  [SMALL_STATE(12230)] = 590819,
  [SMALL_STATE(12231)] = 590874,
  [SMALL_STATE(12232)] = 590909,
  [SMALL_STATE(12233)] = 590944,
  [SMALL_STATE(12234)] = 590979,
  [SMALL_STATE(12235)] = 591014,
  [SMALL_STATE(12236)] = 591055,
  [SMALL_STATE(12237)] = 591086,
  [SMALL_STATE(12238)] = 591121,
  [SMALL_STATE(12239)] = 591176,
  [SMALL_STATE(12240)] = 591231,
  [SMALL_STATE(12241)] = 591274,
  [SMALL_STATE(12242)] = 591307,
  [SMALL_STATE(12243)] = 591338,
  [SMALL_STATE(12244)] = 591393,
  [SMALL_STATE(12245)] = 591424,
  [SMALL_STATE(12246)] = 591467,
  [SMALL_STATE(12247)] = 591518,
  [SMALL_STATE(12248)] = 591569,
  [SMALL_STATE(12249)] = 591612,
  [SMALL_STATE(12250)] = 591645,
  [SMALL_STATE(12251)] = 591686,
  [SMALL_STATE(12252)] = 591719,
  [SMALL_STATE(12253)] = 591754,
  [SMALL_STATE(12254)] = 591789,
  [SMALL_STATE(12255)] = 591824,
  [SMALL_STATE(12256)] = 591859,
  [SMALL_STATE(12257)] = 591894,
  [SMALL_STATE(12258)] = 591947,
  [SMALL_STATE(12259)] = 591982,
  [SMALL_STATE(12260)] = 592025,
  [SMALL_STATE(12261)] = 592056,
  [SMALL_STATE(12262)] = 592111,
  [SMALL_STATE(12263)] = 592146,
  [SMALL_STATE(12264)] = 592199,
  [SMALL_STATE(12265)] = 592254,
  [SMALL_STATE(12266)] = 592301,
  [SMALL_STATE(12267)] = 592336,
  [SMALL_STATE(12268)] = 592367,
  [SMALL_STATE(12269)] = 592408,
  [SMALL_STATE(12270)] = 592463,
  [SMALL_STATE(12271)] = 592496,
  [SMALL_STATE(12272)] = 592551,
  [SMALL_STATE(12273)] = 592592,
  [SMALL_STATE(12274)] = 592639,
  [SMALL_STATE(12275)] = 592686,
  [SMALL_STATE(12276)] = 592719,
  [SMALL_STATE(12277)] = 592770,
  [SMALL_STATE(12278)] = 592807,
  [SMALL_STATE(12279)] = 592858,
  [SMALL_STATE(12280)] = 592913,
  [SMALL_STATE(12281)] = 592968,
  [SMALL_STATE(12282)] = 593023,
  [SMALL_STATE(12283)] = 593078,
  [SMALL_STATE(12284)] = 593119,
  [SMALL_STATE(12285)] = 593160,
  [SMALL_STATE(12286)] = 593215,
  [SMALL_STATE(12287)] = 593270,
  [SMALL_STATE(12288)] = 593301,
  [SMALL_STATE(12289)] = 593334,
  [SMALL_STATE(12290)] = 593383,
  [SMALL_STATE(12291)] = 593418,
  [SMALL_STATE(12292)] = 593461,
  [SMALL_STATE(12293)] = 593502,
  [SMALL_STATE(12294)] = 593537,
  [SMALL_STATE(12295)] = 593578,
  [SMALL_STATE(12296)] = 593633,
  [SMALL_STATE(12297)] = 593674,
  [SMALL_STATE(12298)] = 593729,
  [SMALL_STATE(12299)] = 593778,
  [SMALL_STATE(12300)] = 593833,
  [SMALL_STATE(12301)] = 593874,
  [SMALL_STATE(12302)] = 593929,
  [SMALL_STATE(12303)] = 593970,
  [SMALL_STATE(12304)] = 594011,
  [SMALL_STATE(12305)] = 594046,
  [SMALL_STATE(12306)] = 594081,
  [SMALL_STATE(12307)] = 594136,
  [SMALL_STATE(12308)] = 594179,
  [SMALL_STATE(12309)] = 594234,
  [SMALL_STATE(12310)] = 594269,
  [SMALL_STATE(12311)] = 594324,
  [SMALL_STATE(12312)] = 594367,
  [SMALL_STATE(12313)] = 594414,
  [SMALL_STATE(12314)] = 594463,
  [SMALL_STATE(12315)] = 594518,
  [SMALL_STATE(12316)] = 594571,
  [SMALL_STATE(12317)] = 594612,
  [SMALL_STATE(12318)] = 594649,
  [SMALL_STATE(12319)] = 594704,
  [SMALL_STATE(12320)] = 594757,
  [SMALL_STATE(12321)] = 594812,
  [SMALL_STATE(12322)] = 594843,
  [SMALL_STATE(12323)] = 594878,
  [SMALL_STATE(12324)] = 594921,
  [SMALL_STATE(12325)] = 594954,
  [SMALL_STATE(12326)] = 594997,
  [SMALL_STATE(12327)] = 595038,
  [SMALL_STATE(12328)] = 595079,
  [SMALL_STATE(12329)] = 595112,
  [SMALL_STATE(12330)] = 595159,
  [SMALL_STATE(12331)] = 595214,
  [SMALL_STATE(12332)] = 595257,
  [SMALL_STATE(12333)] = 595310,
  [SMALL_STATE(12334)] = 595365,
  [SMALL_STATE(12335)] = 595400,
  [SMALL_STATE(12336)] = 595441,
  [SMALL_STATE(12337)] = 595496,
  [SMALL_STATE(12338)] = 595551,
  [SMALL_STATE(12339)] = 595606,
  [SMALL_STATE(12340)] = 595647,
  [SMALL_STATE(12341)] = 595678,
  [SMALL_STATE(12342)] = 595713,
  [SMALL_STATE(12343)] = 595768,
  [SMALL_STATE(12344)] = 595799,
  [SMALL_STATE(12345)] = 595854,
  [SMALL_STATE(12346)] = 595889,
  [SMALL_STATE(12347)] = 595930,
  [SMALL_STATE(12348)] = 595979,
  [SMALL_STATE(12349)] = 596034,
  [SMALL_STATE(12350)] = 596069,
  [SMALL_STATE(12351)] = 596124,
  [SMALL_STATE(12352)] = 596179,
  [SMALL_STATE(12353)] = 596234,
  [SMALL_STATE(12354)] = 596285,
  [SMALL_STATE(12355)] = 596340,
  [SMALL_STATE(12356)] = 596373,
  [SMALL_STATE(12357)] = 596408,
  [SMALL_STATE(12358)] = 596439,
  [SMALL_STATE(12359)] = 596494,
  [SMALL_STATE(12360)] = 596527,
  [SMALL_STATE(12361)] = 596568,
  [SMALL_STATE(12362)] = 596609,
  [SMALL_STATE(12363)] = 596644,
  [SMALL_STATE(12364)] = 596699,
  [SMALL_STATE(12365)] = 596754,
  [SMALL_STATE(12366)] = 596789,
  [SMALL_STATE(12367)] = 596824,
  [SMALL_STATE(12368)] = 596857,
  [SMALL_STATE(12369)] = 596906,
  [SMALL_STATE(12370)] = 596947,
  [SMALL_STATE(12371)] = 596978,
  [SMALL_STATE(12372)] = 597013,
  [SMALL_STATE(12373)] = 597048,
  [SMALL_STATE(12374)] = 597083,
  [SMALL_STATE(12375)] = 597126,
  [SMALL_STATE(12376)] = 597161,
  [SMALL_STATE(12377)] = 597204,
  [SMALL_STATE(12378)] = 597251,
  [SMALL_STATE(12379)] = 597292,
  [SMALL_STATE(12380)] = 597345,
  [SMALL_STATE(12381)] = 597400,
  [SMALL_STATE(12382)] = 597449,
  [SMALL_STATE(12383)] = 597502,
  [SMALL_STATE(12384)] = 597539,
  [SMALL_STATE(12385)] = 597592,
  [SMALL_STATE(12386)] = 597647,
  [SMALL_STATE(12387)] = 597682,
  [SMALL_STATE(12388)] = 597717,
  [SMALL_STATE(12389)] = 597752,
  [SMALL_STATE(12390)] = 597787,
  [SMALL_STATE(12391)] = 597822,
  [SMALL_STATE(12392)] = 597855,
  [SMALL_STATE(12393)] = 597890,
  [SMALL_STATE(12394)] = 597923,
  [SMALL_STATE(12395)] = 597976,
  [SMALL_STATE(12396)] = 598029,
  [SMALL_STATE(12397)] = 598070,
  [SMALL_STATE(12398)] = 598107,
  [SMALL_STATE(12399)] = 598162,
  [SMALL_STATE(12400)] = 598213,
  [SMALL_STATE(12401)] = 598254,
  [SMALL_STATE(12402)] = 598309,
  [SMALL_STATE(12403)] = 598364,
  [SMALL_STATE(12404)] = 598419,
  [SMALL_STATE(12405)] = 598472,
  [SMALL_STATE(12406)] = 598507,
  [SMALL_STATE(12407)] = 598562,
  [SMALL_STATE(12408)] = 598593,
  [SMALL_STATE(12409)] = 598646,
  [SMALL_STATE(12410)] = 598701,
  [SMALL_STATE(12411)] = 598734,
  [SMALL_STATE(12412)] = 598775,
  [SMALL_STATE(12413)] = 598824,
  [SMALL_STATE(12414)] = 598865,
  [SMALL_STATE(12415)] = 598900,
  [SMALL_STATE(12416)] = 598931,
  [SMALL_STATE(12417)] = 598962,
  [SMALL_STATE(12418)] = 598997,
  [SMALL_STATE(12419)] = 599040,
  [SMALL_STATE(12420)] = 599083,
  [SMALL_STATE(12421)] = 599130,
  [SMALL_STATE(12422)] = 599179,
  [SMALL_STATE(12423)] = 599232,
  [SMALL_STATE(12424)] = 599269,
  [SMALL_STATE(12425)] = 599300,
  [SMALL_STATE(12426)] = 599333,
  [SMALL_STATE(12427)] = 599363,
  [SMALL_STATE(12428)] = 599395,
  [SMALL_STATE(12429)] = 599427,
  [SMALL_STATE(12430)] = 599461,
  [SMALL_STATE(12431)] = 599501,
  [SMALL_STATE(12432)] = 599537,
  [SMALL_STATE(12433)] = 599579,
  [SMALL_STATE(12434)] = 599625,
  [SMALL_STATE(12435)] = 599655,
  [SMALL_STATE(12436)] = 599703,
  [SMALL_STATE(12437)] = 599751,
  [SMALL_STATE(12438)] = 599799,
  [SMALL_STATE(12439)] = 599829,
  [SMALL_STATE(12440)] = 599875,
  [SMALL_STATE(12441)] = 599925,
  [SMALL_STATE(12442)] = 599957,
  [SMALL_STATE(12443)] = 600007,
  [SMALL_STATE(12444)] = 600057,
  [SMALL_STATE(12445)] = 600087,
  [SMALL_STATE(12446)] = 600135,
  [SMALL_STATE(12447)] = 600165,
  [SMALL_STATE(12448)] = 600215,
  [SMALL_STATE(12449)] = 600251,
  [SMALL_STATE(12450)] = 600301,
  [SMALL_STATE(12451)] = 600331,
  [SMALL_STATE(12452)] = 600383,
  [SMALL_STATE(12453)] = 600429,
  [SMALL_STATE(12454)] = 600483,
  [SMALL_STATE(12455)] = 600513,
  [SMALL_STATE(12456)] = 600563,
  [SMALL_STATE(12457)] = 600595,
  [SMALL_STATE(12458)] = 600625,
  [SMALL_STATE(12459)] = 600655,
  [SMALL_STATE(12460)] = 600685,
  [SMALL_STATE(12461)] = 600717,
  [SMALL_STATE(12462)] = 600747,
  [SMALL_STATE(12463)] = 600795,
  [SMALL_STATE(12464)] = 600841,
  [SMALL_STATE(12465)] = 600873,
  [SMALL_STATE(12466)] = 600921,
  [SMALL_STATE(12467)] = 600971,
  [SMALL_STATE(12468)] = 601021,
  [SMALL_STATE(12469)] = 601051,
  [SMALL_STATE(12470)] = 601103,
  [SMALL_STATE(12471)] = 601135,
  [SMALL_STATE(12472)] = 601167,
  [SMALL_STATE(12473)] = 601213,
  [SMALL_STATE(12474)] = 601243,
  [SMALL_STATE(12475)] = 601275,
  [SMALL_STATE(12476)] = 601327,
  [SMALL_STATE(12477)] = 601357,
  [SMALL_STATE(12478)] = 601387,
  [SMALL_STATE(12479)] = 601435,
  [SMALL_STATE(12480)] = 601481,
  [SMALL_STATE(12481)] = 601511,
  [SMALL_STATE(12482)] = 601541,
  [SMALL_STATE(12483)] = 601589,
  [SMALL_STATE(12484)] = 601619,
  [SMALL_STATE(12485)] = 601651,
  [SMALL_STATE(12486)] = 601681,
  [SMALL_STATE(12487)] = 601721,
  [SMALL_STATE(12488)] = 601753,
  [SMALL_STATE(12489)] = 601805,
  [SMALL_STATE(12490)] = 601837,
  [SMALL_STATE(12491)] = 601883,
  [SMALL_STATE(12492)] = 601935,
  [SMALL_STATE(12493)] = 601967,
  [SMALL_STATE(12494)] = 602013,
  [SMALL_STATE(12495)] = 602043,
  [SMALL_STATE(12496)] = 602073,
  [SMALL_STATE(12497)] = 602121,
  [SMALL_STATE(12498)] = 602169,
  [SMALL_STATE(12499)] = 602209,
  [SMALL_STATE(12500)] = 602255,
  [SMALL_STATE(12501)] = 602309,
  [SMALL_STATE(12502)] = 602341,
  [SMALL_STATE(12503)] = 602375,
  [SMALL_STATE(12504)] = 602417,
  [SMALL_STATE(12505)] = 602471,
  [SMALL_STATE(12506)] = 602501,
  [SMALL_STATE(12507)] = 602533,
  [SMALL_STATE(12508)] = 602565,
  [SMALL_STATE(12509)] = 602613,
  [SMALL_STATE(12510)] = 602661,
  [SMALL_STATE(12511)] = 602701,
  [SMALL_STATE(12512)] = 602731,
  [SMALL_STATE(12513)] = 602779,
  [SMALL_STATE(12514)] = 602809,
  [SMALL_STATE(12515)] = 602857,
  [SMALL_STATE(12516)] = 602887,
  [SMALL_STATE(12517)] = 602917,
  [SMALL_STATE(12518)] = 602947,
  [SMALL_STATE(12519)] = 602977,
  [SMALL_STATE(12520)] = 603007,
  [SMALL_STATE(12521)] = 603037,
  [SMALL_STATE(12522)] = 603085,
  [SMALL_STATE(12523)] = 603133,
  [SMALL_STATE(12524)] = 603181,
  [SMALL_STATE(12525)] = 603211,
  [SMALL_STATE(12526)] = 603243,
  [SMALL_STATE(12527)] = 603285,
  [SMALL_STATE(12528)] = 603331,
  [SMALL_STATE(12529)] = 603379,
  [SMALL_STATE(12530)] = 603409,
  [SMALL_STATE(12531)] = 603439,
  [SMALL_STATE(12532)] = 603471,
  [SMALL_STATE(12533)] = 603501,
  [SMALL_STATE(12534)] = 603531,
  [SMALL_STATE(12535)] = 603561,
  [SMALL_STATE(12536)] = 603607,
  [SMALL_STATE(12537)] = 603653,
  [SMALL_STATE(12538)] = 603683,
  [SMALL_STATE(12539)] = 603715,
  [SMALL_STATE(12540)] = 603763,
  [SMALL_STATE(12541)] = 603793,
  [SMALL_STATE(12542)] = 603823,
  [SMALL_STATE(12543)] = 603863,
  [SMALL_STATE(12544)] = 603897,
  [SMALL_STATE(12545)] = 603943,
  [SMALL_STATE(12546)] = 603973,
  [SMALL_STATE(12547)] = 604003,
  [SMALL_STATE(12548)] = 604051,
  [SMALL_STATE(12549)] = 604081,
  [SMALL_STATE(12550)] = 604129,
  [SMALL_STATE(12551)] = 604163,
  [SMALL_STATE(12552)] = 604205,
  [SMALL_STATE(12553)] = 604247,
  [SMALL_STATE(12554)] = 604293,
  [SMALL_STATE(12555)] = 604343,
  [SMALL_STATE(12556)] = 604389,
  [SMALL_STATE(12557)] = 604439,
  [SMALL_STATE(12558)] = 604475,
  [SMALL_STATE(12559)] = 604505,
  [SMALL_STATE(12560)] = 604545,
  [SMALL_STATE(12561)] = 604595,
  [SMALL_STATE(12562)] = 604627,
  [SMALL_STATE(12563)] = 604675,
  [SMALL_STATE(12564)] = 604705,
  [SMALL_STATE(12565)] = 604757,
  [SMALL_STATE(12566)] = 604787,
  [SMALL_STATE(12567)] = 604835,
  [SMALL_STATE(12568)] = 604867,
  [SMALL_STATE(12569)] = 604915,
  [SMALL_STATE(12570)] = 604967,
  [SMALL_STATE(12571)] = 605019,
  [SMALL_STATE(12572)] = 605065,
  [SMALL_STATE(12573)] = 605097,
  [SMALL_STATE(12574)] = 605129,
  [SMALL_STATE(12575)] = 605175,
  [SMALL_STATE(12576)] = 605229,
  [SMALL_STATE(12577)] = 605269,
  [SMALL_STATE(12578)] = 605317,
  [SMALL_STATE(12579)] = 605365,
  [SMALL_STATE(12580)] = 605405,
  [SMALL_STATE(12581)] = 605445,
  [SMALL_STATE(12582)] = 605477,
  [SMALL_STATE(12583)] = 605525,
  [SMALL_STATE(12584)] = 605555,
  [SMALL_STATE(12585)] = 605585,
  [SMALL_STATE(12586)] = 605615,
  [SMALL_STATE(12587)] = 605645,
  [SMALL_STATE(12588)] = 605679,
  [SMALL_STATE(12589)] = 605709,
  [SMALL_STATE(12590)] = 605757,
  [SMALL_STATE(12591)] = 605787,
  [SMALL_STATE(12592)] = 605835,
  [SMALL_STATE(12593)] = 605883,
  [SMALL_STATE(12594)] = 605913,
  [SMALL_STATE(12595)] = 605963,
  [SMALL_STATE(12596)] = 605993,
  [SMALL_STATE(12597)] = 606041,
  [SMALL_STATE(12598)] = 606071,
  [SMALL_STATE(12599)] = 606117,
  [SMALL_STATE(12600)] = 606147,
  [SMALL_STATE(12601)] = 606195,
  [SMALL_STATE(12602)] = 606247,
  [SMALL_STATE(12603)] = 606287,
  [SMALL_STATE(12604)] = 606321,
  [SMALL_STATE(12605)] = 606355,
  [SMALL_STATE(12606)] = 606385,
  [SMALL_STATE(12607)] = 606427,
  [SMALL_STATE(12608)] = 606469,
  [SMALL_STATE(12609)] = 606499,
  [SMALL_STATE(12610)] = 606545,
  [SMALL_STATE(12611)] = 606591,
  [SMALL_STATE(12612)] = 606641,
  [SMALL_STATE(12613)] = 606677,
  [SMALL_STATE(12614)] = 606711,
  [SMALL_STATE(12615)] = 606761,
  [SMALL_STATE(12616)] = 606791,
  [SMALL_STATE(12617)] = 606821,
  [SMALL_STATE(12618)] = 606851,
  [SMALL_STATE(12619)] = 606899,
  [SMALL_STATE(12620)] = 606935,
  [SMALL_STATE(12621)] = 606965,
  [SMALL_STATE(12622)] = 607003,
  [SMALL_STATE(12623)] = 607043,
  [SMALL_STATE(12624)] = 607095,
  [SMALL_STATE(12625)] = 607125,
  [SMALL_STATE(12626)] = 607157,
  [SMALL_STATE(12627)] = 607199,
  [SMALL_STATE(12628)] = 607247,
  [SMALL_STATE(12629)] = 607295,
  [SMALL_STATE(12630)] = 607343,
  [SMALL_STATE(12631)] = 607391,
  [SMALL_STATE(12632)] = 607441,
  [SMALL_STATE(12633)] = 607471,
  [SMALL_STATE(12634)] = 607501,
  [SMALL_STATE(12635)] = 607549,
  [SMALL_STATE(12636)] = 607595,
  [SMALL_STATE(12637)] = 607643,
  [SMALL_STATE(12638)] = 607673,
  [SMALL_STATE(12639)] = 607723,
  [SMALL_STATE(12640)] = 607773,
  [SMALL_STATE(12641)] = 607821,
  [SMALL_STATE(12642)] = 607869,
  [SMALL_STATE(12643)] = 607917,
  [SMALL_STATE(12644)] = 607947,
  [SMALL_STATE(12645)] = 607977,
  [SMALL_STATE(12646)] = 608025,
  [SMALL_STATE(12647)] = 608065,
  [SMALL_STATE(12648)] = 608097,
  [SMALL_STATE(12649)] = 608129,
  [SMALL_STATE(12650)] = 608159,
  [SMALL_STATE(12651)] = 608191,
  [SMALL_STATE(12652)] = 608223,
  [SMALL_STATE(12653)] = 608255,
  [SMALL_STATE(12654)] = 608287,
  [SMALL_STATE(12655)] = 608317,
  [SMALL_STATE(12656)] = 608349,
  [SMALL_STATE(12657)] = 608381,
  [SMALL_STATE(12658)] = 608421,
  [SMALL_STATE(12659)] = 608469,
  [SMALL_STATE(12660)] = 608501,
  [SMALL_STATE(12661)] = 608533,
  [SMALL_STATE(12662)] = 608565,
  [SMALL_STATE(12663)] = 608597,
  [SMALL_STATE(12664)] = 608626,
  [SMALL_STATE(12665)] = 608677,
  [SMALL_STATE(12666)] = 608720,
  [SMALL_STATE(12667)] = 608757,
  [SMALL_STATE(12668)] = 608794,
  [SMALL_STATE(12669)] = 608831,
  [SMALL_STATE(12670)] = 608862,
  [SMALL_STATE(12671)] = 608891,
  [SMALL_STATE(12672)] = 608942,
  [SMALL_STATE(12673)] = 608975,
  [SMALL_STATE(12674)] = 609026,
  [SMALL_STATE(12675)] = 609077,
  [SMALL_STATE(12676)] = 609120,
  [SMALL_STATE(12677)] = 609171,
  [SMALL_STATE(12678)] = 609222,
  [SMALL_STATE(12679)] = 609273,
  [SMALL_STATE(12680)] = 609300,
  [SMALL_STATE(12681)] = 609351,
  [SMALL_STATE(12682)] = 609402,
  [SMALL_STATE(12683)] = 609433,
  [SMALL_STATE(12684)] = 609462,
  [SMALL_STATE(12685)] = 609491,
  [SMALL_STATE(12686)] = 609520,
  [SMALL_STATE(12687)] = 609547,
  [SMALL_STATE(12688)] = 609584,
  [SMALL_STATE(12689)] = 609621,
  [SMALL_STATE(12690)] = 609664,
  [SMALL_STATE(12691)] = 609715,
  [SMALL_STATE(12692)] = 609742,
  [SMALL_STATE(12693)] = 609769,
  [SMALL_STATE(12694)] = 609806,
  [SMALL_STATE(12695)] = 609857,
  [SMALL_STATE(12696)] = 609908,
  [SMALL_STATE(12697)] = 609937,
  [SMALL_STATE(12698)] = 609965,
  [SMALL_STATE(12699)] = 609993,
  [SMALL_STATE(12700)] = 610023,
  [SMALL_STATE(12701)] = 610051,
  [SMALL_STATE(12702)] = 610079,
  [SMALL_STATE(12703)] = 610107,
  [SMALL_STATE(12704)] = 610145,
  [SMALL_STATE(12705)] = 610173,
  [SMALL_STATE(12706)] = 610205,
  [SMALL_STATE(12707)] = 610233,
  [SMALL_STATE(12708)] = 610269,
  [SMALL_STATE(12709)] = 610311,
  [SMALL_STATE(12710)] = 610339,
  [SMALL_STATE(12711)] = 610387,
  [SMALL_STATE(12712)] = 610433,
  [SMALL_STATE(12713)] = 610461,
  [SMALL_STATE(12714)] = 610489,
  [SMALL_STATE(12715)] = 610517,
  [SMALL_STATE(12716)] = 610555,
  [SMALL_STATE(12717)] = 610603,
  [SMALL_STATE(12718)] = 610631,
  [SMALL_STATE(12719)] = 610659,
  [SMALL_STATE(12720)] = 610687,
  [SMALL_STATE(12721)] = 610715,
  [SMALL_STATE(12722)] = 610757,
  [SMALL_STATE(12723)] = 610785,
  [SMALL_STATE(12724)] = 610831,
  [SMALL_STATE(12725)] = 610859,
  [SMALL_STATE(12726)] = 610887,
  [SMALL_STATE(12727)] = 610917,
  [SMALL_STATE(12728)] = 610951,
  [SMALL_STATE(12729)] = 610983,
  [SMALL_STATE(12730)] = 611029,
  [SMALL_STATE(12731)] = 611057,
  [SMALL_STATE(12732)] = 611091,
  [SMALL_STATE(12733)] = 611125,
  [SMALL_STATE(12734)] = 611153,
  [SMALL_STATE(12735)] = 611181,
  [SMALL_STATE(12736)] = 611215,
  [SMALL_STATE(12737)] = 611249,
  [SMALL_STATE(12738)] = 611277,
  [SMALL_STATE(12739)] = 611311,
  [SMALL_STATE(12740)] = 611343,
  [SMALL_STATE(12741)] = 611371,
  [SMALL_STATE(12742)] = 611413,
  [SMALL_STATE(12743)] = 611439,
  [SMALL_STATE(12744)] = 611487,
  [SMALL_STATE(12745)] = 611535,
  [SMALL_STATE(12746)] = 611563,
  [SMALL_STATE(12747)] = 611595,
  [SMALL_STATE(12748)] = 611643,
  [SMALL_STATE(12749)] = 611681,
  [SMALL_STATE(12750)] = 611709,
  [SMALL_STATE(12751)] = 611743,
  [SMALL_STATE(12752)] = 611789,
  [SMALL_STATE(12753)] = 611835,
  [SMALL_STATE(12754)] = 611863,
  [SMALL_STATE(12755)] = 611891,
  [SMALL_STATE(12756)] = 611939,
  [SMALL_STATE(12757)] = 611969,
  [SMALL_STATE(12758)] = 611997,
  [SMALL_STATE(12759)] = 612025,
  [SMALL_STATE(12760)] = 612053,
  [SMALL_STATE(12761)] = 612099,
  [SMALL_STATE(12762)] = 612133,
  [SMALL_STATE(12763)] = 612165,
  [SMALL_STATE(12764)] = 612193,
  [SMALL_STATE(12765)] = 612221,
  [SMALL_STATE(12766)] = 612249,
  [SMALL_STATE(12767)] = 612277,
  [SMALL_STATE(12768)] = 612323,
  [SMALL_STATE(12769)] = 612351,
  [SMALL_STATE(12770)] = 612379,
  [SMALL_STATE(12771)] = 612407,
  [SMALL_STATE(12772)] = 612435,
  [SMALL_STATE(12773)] = 612481,
  [SMALL_STATE(12774)] = 612512,
  [SMALL_STATE(12775)] = 612551,
  [SMALL_STATE(12776)] = 612582,
  [SMALL_STATE(12777)] = 612621,
  [SMALL_STATE(12778)] = 612652,
  [SMALL_STATE(12779)] = 612691,
  [SMALL_STATE(12780)] = 612734,
  [SMALL_STATE(12781)] = 612771,
  [SMALL_STATE(12782)] = 612810,
  [SMALL_STATE(12783)] = 612835,
  [SMALL_STATE(12784)] = 612874,
  [SMALL_STATE(12785)] = 612913,
  [SMALL_STATE(12786)] = 612944,
  [SMALL_STATE(12787)] = 612983,
  [SMALL_STATE(12788)] = 613014,
  [SMALL_STATE(12789)] = 613041,
  [SMALL_STATE(12790)] = 613070,
  [SMALL_STATE(12791)] = 613097,
  [SMALL_STATE(12792)] = 613124,
  [SMALL_STATE(12793)] = 613155,
  [SMALL_STATE(12794)] = 613186,
  [SMALL_STATE(12795)] = 613225,
  [SMALL_STATE(12796)] = 613264,
  [SMALL_STATE(12797)] = 613303,
  [SMALL_STATE(12798)] = 613334,
  [SMALL_STATE(12799)] = 613365,
  [SMALL_STATE(12800)] = 613404,
  [SMALL_STATE(12801)] = 613435,
  [SMALL_STATE(12802)] = 613478,
  [SMALL_STATE(12803)] = 613509,
  [SMALL_STATE(12804)] = 613536,
  [SMALL_STATE(12805)] = 613575,
  [SMALL_STATE(12806)] = 613602,
  [SMALL_STATE(12807)] = 613641,
  [SMALL_STATE(12808)] = 613668,
  [SMALL_STATE(12809)] = 613707,
  [SMALL_STATE(12810)] = 613738,
  [SMALL_STATE(12811)] = 613777,
  [SMALL_STATE(12812)] = 613804,
  [SMALL_STATE(12813)] = 613843,
  [SMALL_STATE(12814)] = 613874,
  [SMALL_STATE(12815)] = 613913,
  [SMALL_STATE(12816)] = 613944,
  [SMALL_STATE(12817)] = 613987,
  [SMALL_STATE(12818)] = 614018,
  [SMALL_STATE(12819)] = 614045,
  [SMALL_STATE(12820)] = 614076,
  [SMALL_STATE(12821)] = 614115,
  [SMALL_STATE(12822)] = 614154,
  [SMALL_STATE(12823)] = 614185,
  [SMALL_STATE(12824)] = 614216,
  [SMALL_STATE(12825)] = 614255,
  [SMALL_STATE(12826)] = 614286,
  [SMALL_STATE(12827)] = 614315,
  [SMALL_STATE(12828)] = 614354,
  [SMALL_STATE(12829)] = 614397,
  [SMALL_STATE(12830)] = 614424,
  [SMALL_STATE(12831)] = 614455,
  [SMALL_STATE(12832)] = 614486,
  [SMALL_STATE(12833)] = 614517,
  [SMALL_STATE(12834)] = 614544,
  [SMALL_STATE(12835)] = 614583,
  [SMALL_STATE(12836)] = 614614,
  [SMALL_STATE(12837)] = 614653,
  [SMALL_STATE(12838)] = 614692,
  [SMALL_STATE(12839)] = 614721,
  [SMALL_STATE(12840)] = 614748,
  [SMALL_STATE(12841)] = 614787,
  [SMALL_STATE(12842)] = 614826,
  [SMALL_STATE(12843)] = 614865,
  [SMALL_STATE(12844)] = 614892,
  [SMALL_STATE(12845)] = 614931,
  [SMALL_STATE(12846)] = 614970,
  [SMALL_STATE(12847)] = 615013,
  [SMALL_STATE(12848)] = 615044,
  [SMALL_STATE(12849)] = 615071,
  [SMALL_STATE(12850)] = 615114,
  [SMALL_STATE(12851)] = 615153,
  [SMALL_STATE(12852)] = 615184,
  [SMALL_STATE(12853)] = 615215,
  [SMALL_STATE(12854)] = 615254,
  [SMALL_STATE(12855)] = 615285,
  [SMALL_STATE(12856)] = 615324,
  [SMALL_STATE(12857)] = 615363,
  [SMALL_STATE(12858)] = 615390,
  [SMALL_STATE(12859)] = 615429,
  [SMALL_STATE(12860)] = 615460,
  [SMALL_STATE(12861)] = 615499,
  [SMALL_STATE(12862)] = 615530,
  [SMALL_STATE(12863)] = 615569,
  [SMALL_STATE(12864)] = 615608,
  [SMALL_STATE(12865)] = 615639,
  [SMALL_STATE(12866)] = 615682,
  [SMALL_STATE(12867)] = 615709,
  [SMALL_STATE(12868)] = 615736,
  [SMALL_STATE(12869)] = 615763,
  [SMALL_STATE(12870)] = 615794,
  [SMALL_STATE(12871)] = 615833,
  [SMALL_STATE(12872)] = 615864,
  [SMALL_STATE(12873)] = 615903,
  [SMALL_STATE(12874)] = 615934,
  [SMALL_STATE(12875)] = 615961,
  [SMALL_STATE(12876)] = 615988,
  [SMALL_STATE(12877)] = 616019,
  [SMALL_STATE(12878)] = 616050,
  [SMALL_STATE(12879)] = 616081,
  [SMALL_STATE(12880)] = 616112,
  [SMALL_STATE(12881)] = 616143,
  [SMALL_STATE(12882)] = 616174,
  [SMALL_STATE(12883)] = 616205,
  [SMALL_STATE(12884)] = 616236,
  [SMALL_STATE(12885)] = 616275,
  [SMALL_STATE(12886)] = 616306,
  [SMALL_STATE(12887)] = 616333,
  [SMALL_STATE(12888)] = 616364,
  [SMALL_STATE(12889)] = 616395,
  [SMALL_STATE(12890)] = 616434,
  [SMALL_STATE(12891)] = 616461,
  [SMALL_STATE(12892)] = 616492,
  [SMALL_STATE(12893)] = 616531,
  [SMALL_STATE(12894)] = 616562,
  [SMALL_STATE(12895)] = 616601,
  [SMALL_STATE(12896)] = 616640,
  [SMALL_STATE(12897)] = 616671,
  [SMALL_STATE(12898)] = 616710,
  [SMALL_STATE(12899)] = 616749,
  [SMALL_STATE(12900)] = 616788,
  [SMALL_STATE(12901)] = 616831,
  [SMALL_STATE(12902)] = 616870,
  [SMALL_STATE(12903)] = 616901,
  [SMALL_STATE(12904)] = 616940,
  [SMALL_STATE(12905)] = 616979,
  [SMALL_STATE(12906)] = 617010,
  [SMALL_STATE(12907)] = 617037,
  [SMALL_STATE(12908)] = 617080,
  [SMALL_STATE(12909)] = 617107,
  [SMALL_STATE(12910)] = 617134,
  [SMALL_STATE(12911)] = 617161,
  [SMALL_STATE(12912)] = 617188,
  [SMALL_STATE(12913)] = 617215,
  [SMALL_STATE(12914)] = 617254,
  [SMALL_STATE(12915)] = 617281,
  [SMALL_STATE(12916)] = 617320,
  [SMALL_STATE(12917)] = 617351,
  [SMALL_STATE(12918)] = 617390,
  [SMALL_STATE(12919)] = 617417,
  [SMALL_STATE(12920)] = 617448,
  [SMALL_STATE(12921)] = 617485,
  [SMALL_STATE(12922)] = 617524,
  [SMALL_STATE(12923)] = 617563,
  [SMALL_STATE(12924)] = 617594,
  [SMALL_STATE(12925)] = 617625,
  [SMALL_STATE(12926)] = 617656,
  [SMALL_STATE(12927)] = 617687,
  [SMALL_STATE(12928)] = 617726,
  [SMALL_STATE(12929)] = 617757,
  [SMALL_STATE(12930)] = 617796,
  [SMALL_STATE(12931)] = 617835,
  [SMALL_STATE(12932)] = 617864,
  [SMALL_STATE(12933)] = 617901,
  [SMALL_STATE(12934)] = 617926,
  [SMALL_STATE(12935)] = 617957,
  [SMALL_STATE(12936)] = 617996,
  [SMALL_STATE(12937)] = 618035,
  [SMALL_STATE(12938)] = 618074,
  [SMALL_STATE(12939)] = 618113,
  [SMALL_STATE(12940)] = 618144,
  [SMALL_STATE(12941)] = 618183,
  [SMALL_STATE(12942)] = 618222,
  [SMALL_STATE(12943)] = 618253,
  [SMALL_STATE(12944)] = 618292,
  [SMALL_STATE(12945)] = 618319,
  [SMALL_STATE(12946)] = 618358,
  [SMALL_STATE(12947)] = 618389,
  [SMALL_STATE(12948)] = 618428,
  [SMALL_STATE(12949)] = 618459,
  [SMALL_STATE(12950)] = 618498,
  [SMALL_STATE(12951)] = 618529,
  [SMALL_STATE(12952)] = 618556,
  [SMALL_STATE(12953)] = 618587,
  [SMALL_STATE(12954)] = 618618,
  [SMALL_STATE(12955)] = 618649,
  [SMALL_STATE(12956)] = 618688,
  [SMALL_STATE(12957)] = 618715,
  [SMALL_STATE(12958)] = 618746,
  [SMALL_STATE(12959)] = 618785,
  [SMALL_STATE(12960)] = 618816,
  [SMALL_STATE(12961)] = 618855,
  [SMALL_STATE(12962)] = 618882,
  [SMALL_STATE(12963)] = 618921,
  [SMALL_STATE(12964)] = 618960,
  [SMALL_STATE(12965)] = 618991,
  [SMALL_STATE(12966)] = 619030,
  [SMALL_STATE(12967)] = 619061,
  [SMALL_STATE(12968)] = 619100,
  [SMALL_STATE(12969)] = 619127,
  [SMALL_STATE(12970)] = 619158,
  [SMALL_STATE(12971)] = 619197,
  [SMALL_STATE(12972)] = 619224,
  [SMALL_STATE(12973)] = 619263,
  [SMALL_STATE(12974)] = 619294,
  [SMALL_STATE(12975)] = 619321,
  [SMALL_STATE(12976)] = 619360,
  [SMALL_STATE(12977)] = 619391,
  [SMALL_STATE(12978)] = 619422,
  [SMALL_STATE(12979)] = 619449,
  [SMALL_STATE(12980)] = 619488,
  [SMALL_STATE(12981)] = 619515,
  [SMALL_STATE(12982)] = 619554,
  [SMALL_STATE(12983)] = 619581,
  [SMALL_STATE(12984)] = 619620,
  [SMALL_STATE(12985)] = 619659,
  [SMALL_STATE(12986)] = 619690,
  [SMALL_STATE(12987)] = 619729,
  [SMALL_STATE(12988)] = 619760,
  [SMALL_STATE(12989)] = 619799,
  [SMALL_STATE(12990)] = 619830,
  [SMALL_STATE(12991)] = 619861,
  [SMALL_STATE(12992)] = 619892,
  [SMALL_STATE(12993)] = 619931,
  [SMALL_STATE(12994)] = 619970,
  [SMALL_STATE(12995)] = 620001,
  [SMALL_STATE(12996)] = 620032,
  [SMALL_STATE(12997)] = 620075,
  [SMALL_STATE(12998)] = 620101,
  [SMALL_STATE(12999)] = 620127,
  [SMALL_STATE(13000)] = 620153,
  [SMALL_STATE(13001)] = 620179,
  [SMALL_STATE(13002)] = 620205,
  [SMALL_STATE(13003)] = 620235,
  [SMALL_STATE(13004)] = 620261,
  [SMALL_STATE(13005)] = 620291,
  [SMALL_STATE(13006)] = 620317,
  [SMALL_STATE(13007)] = 620347,
  [SMALL_STATE(13008)] = 620377,
  [SMALL_STATE(13009)] = 620407,
  [SMALL_STATE(13010)] = 620437,
  [SMALL_STATE(13011)] = 620467,
  [SMALL_STATE(13012)] = 620493,
  [SMALL_STATE(13013)] = 620519,
  [SMALL_STATE(13014)] = 620545,
  [SMALL_STATE(13015)] = 620575,
  [SMALL_STATE(13016)] = 620601,
  [SMALL_STATE(13017)] = 620627,
  [SMALL_STATE(13018)] = 620655,
  [SMALL_STATE(13019)] = 620681,
  [SMALL_STATE(13020)] = 620707,
  [SMALL_STATE(13021)] = 620733,
  [SMALL_STATE(13022)] = 620759,
  [SMALL_STATE(13023)] = 620789,
  [SMALL_STATE(13024)] = 620819,
  [SMALL_STATE(13025)] = 620845,
  [SMALL_STATE(13026)] = 620873,
  [SMALL_STATE(13027)] = 620907,
  [SMALL_STATE(13028)] = 620933,
  [SMALL_STATE(13029)] = 620959,
  [SMALL_STATE(13030)] = 620989,
  [SMALL_STATE(13031)] = 621015,
  [SMALL_STATE(13032)] = 621041,
  [SMALL_STATE(13033)] = 621067,
  [SMALL_STATE(13034)] = 621093,
  [SMALL_STATE(13035)] = 621119,
  [SMALL_STATE(13036)] = 621145,
  [SMALL_STATE(13037)] = 621171,
  [SMALL_STATE(13038)] = 621195,
  [SMALL_STATE(13039)] = 621221,
  [SMALL_STATE(13040)] = 621251,
  [SMALL_STATE(13041)] = 621277,
  [SMALL_STATE(13042)] = 621303,
  [SMALL_STATE(13043)] = 621329,
  [SMALL_STATE(13044)] = 621355,
  [SMALL_STATE(13045)] = 621385,
  [SMALL_STATE(13046)] = 621411,
  [SMALL_STATE(13047)] = 621435,
  [SMALL_STATE(13048)] = 621461,
  [SMALL_STATE(13049)] = 621485,
  [SMALL_STATE(13050)] = 621511,
  [SMALL_STATE(13051)] = 621537,
  [SMALL_STATE(13052)] = 621567,
  [SMALL_STATE(13053)] = 621590,
  [SMALL_STATE(13054)] = 621615,
  [SMALL_STATE(13055)] = 621644,
  [SMALL_STATE(13056)] = 621673,
  [SMALL_STATE(13057)] = 621700,
  [SMALL_STATE(13058)] = 621739,
  [SMALL_STATE(13059)] = 621764,
  [SMALL_STATE(13060)] = 621789,
  [SMALL_STATE(13061)] = 621814,
  [SMALL_STATE(13062)] = 621853,
  [SMALL_STATE(13063)] = 621878,
  [SMALL_STATE(13064)] = 621903,
  [SMALL_STATE(13065)] = 621926,
  [SMALL_STATE(13066)] = 621949,
  [SMALL_STATE(13067)] = 621976,
  [SMALL_STATE(13068)] = 622001,
  [SMALL_STATE(13069)] = 622026,
  [SMALL_STATE(13070)] = 622051,
  [SMALL_STATE(13071)] = 622076,
  [SMALL_STATE(13072)] = 622101,
  [SMALL_STATE(13073)] = 622142,
  [SMALL_STATE(13074)] = 622165,
  [SMALL_STATE(13075)] = 622190,
  [SMALL_STATE(13076)] = 622231,
  [SMALL_STATE(13077)] = 622256,
  [SMALL_STATE(13078)] = 622295,
  [SMALL_STATE(13079)] = 622324,
  [SMALL_STATE(13080)] = 622349,
  [SMALL_STATE(13081)] = 622374,
  [SMALL_STATE(13082)] = 622403,
  [SMALL_STATE(13083)] = 622428,
  [SMALL_STATE(13084)] = 622453,
  [SMALL_STATE(13085)] = 622492,
  [SMALL_STATE(13086)] = 622525,
  [SMALL_STATE(13087)] = 622548,
  [SMALL_STATE(13088)] = 622575,
  [SMALL_STATE(13089)] = 622598,
  [SMALL_STATE(13090)] = 622621,
  [SMALL_STATE(13091)] = 622660,
  [SMALL_STATE(13092)] = 622685,
  [SMALL_STATE(13093)] = 622726,
  [SMALL_STATE(13094)] = 622751,
  [SMALL_STATE(13095)] = 622792,
  [SMALL_STATE(13096)] = 622817,
  [SMALL_STATE(13097)] = 622842,
  [SMALL_STATE(13098)] = 622881,
  [SMALL_STATE(13099)] = 622910,
  [SMALL_STATE(13100)] = 622933,
  [SMALL_STATE(13101)] = 622956,
  [SMALL_STATE(13102)] = 622981,
  [SMALL_STATE(13103)] = 623006,
  [SMALL_STATE(13104)] = 623029,
  [SMALL_STATE(13105)] = 623052,
  [SMALL_STATE(13106)] = 623091,
  [SMALL_STATE(13107)] = 623114,
  [SMALL_STATE(13108)] = 623153,
  [SMALL_STATE(13109)] = 623178,
  [SMALL_STATE(13110)] = 623211,
  [SMALL_STATE(13111)] = 623236,
  [SMALL_STATE(13112)] = 623277,
  [SMALL_STATE(13113)] = 623302,
  [SMALL_STATE(13114)] = 623343,
  [SMALL_STATE(13115)] = 623368,
  [SMALL_STATE(13116)] = 623393,
  [SMALL_STATE(13117)] = 623416,
  [SMALL_STATE(13118)] = 623443,
  [SMALL_STATE(13119)] = 623473,
  [SMALL_STATE(13120)] = 623507,
  [SMALL_STATE(13121)] = 623541,
  [SMALL_STATE(13122)] = 623563,
  [SMALL_STATE(13123)] = 623601,
  [SMALL_STATE(13124)] = 623637,
  [SMALL_STATE(13125)] = 623675,
  [SMALL_STATE(13126)] = 623713,
  [SMALL_STATE(13127)] = 623751,
  [SMALL_STATE(13128)] = 623789,
  [SMALL_STATE(13129)] = 623823,
  [SMALL_STATE(13130)] = 623857,
  [SMALL_STATE(13131)] = 623895,
  [SMALL_STATE(13132)] = 623933,
  [SMALL_STATE(13133)] = 623971,
  [SMALL_STATE(13134)] = 624005,
  [SMALL_STATE(13135)] = 624043,
  [SMALL_STATE(13136)] = 624077,
  [SMALL_STATE(13137)] = 624101,
  [SMALL_STATE(13138)] = 624139,
  [SMALL_STATE(13139)] = 624161,
  [SMALL_STATE(13140)] = 624199,
  [SMALL_STATE(13141)] = 624237,
  [SMALL_STATE(13142)] = 624261,
  [SMALL_STATE(13143)] = 624285,
  [SMALL_STATE(13144)] = 624309,
  [SMALL_STATE(13145)] = 624333,
  [SMALL_STATE(13146)] = 624371,
  [SMALL_STATE(13147)] = 624395,
  [SMALL_STATE(13148)] = 624433,
  [SMALL_STATE(13149)] = 624471,
  [SMALL_STATE(13150)] = 624509,
  [SMALL_STATE(13151)] = 624543,
  [SMALL_STATE(13152)] = 624581,
  [SMALL_STATE(13153)] = 624615,
  [SMALL_STATE(13154)] = 624653,
  [SMALL_STATE(13155)] = 624691,
  [SMALL_STATE(13156)] = 624729,
  [SMALL_STATE(13157)] = 624767,
  [SMALL_STATE(13158)] = 624805,
  [SMALL_STATE(13159)] = 624843,
  [SMALL_STATE(13160)] = 624871,
  [SMALL_STATE(13161)] = 624909,
  [SMALL_STATE(13162)] = 624943,
  [SMALL_STATE(13163)] = 624981,
  [SMALL_STATE(13164)] = 625003,
  [SMALL_STATE(13165)] = 625027,
  [SMALL_STATE(13166)] = 625057,
  [SMALL_STATE(13167)] = 625095,
  [SMALL_STATE(13168)] = 625119,
  [SMALL_STATE(13169)] = 625143,
  [SMALL_STATE(13170)] = 625177,
  [SMALL_STATE(13171)] = 625201,
  [SMALL_STATE(13172)] = 625225,
  [SMALL_STATE(13173)] = 625255,
  [SMALL_STATE(13174)] = 625285,
  [SMALL_STATE(13175)] = 625323,
  [SMALL_STATE(13176)] = 625357,
  [SMALL_STATE(13177)] = 625391,
  [SMALL_STATE(13178)] = 625415,
  [SMALL_STATE(13179)] = 625437,
  [SMALL_STATE(13180)] = 625459,
  [SMALL_STATE(13181)] = 625483,
  [SMALL_STATE(13182)] = 625507,
  [SMALL_STATE(13183)] = 625531,
  [SMALL_STATE(13184)] = 625555,
  [SMALL_STATE(13185)] = 625579,
  [SMALL_STATE(13186)] = 625603,
  [SMALL_STATE(13187)] = 625627,
  [SMALL_STATE(13188)] = 625653,
  [SMALL_STATE(13189)] = 625691,
  [SMALL_STATE(13190)] = 625725,
  [SMALL_STATE(13191)] = 625755,
  [SMALL_STATE(13192)] = 625793,
  [SMALL_STATE(13193)] = 625829,
  [SMALL_STATE(13194)] = 625859,
  [SMALL_STATE(13195)] = 625897,
  [SMALL_STATE(13196)] = 625931,
  [SMALL_STATE(13197)] = 625955,
  [SMALL_STATE(13198)] = 625979,
  [SMALL_STATE(13199)] = 626003,
  [SMALL_STATE(13200)] = 626027,
  [SMALL_STATE(13201)] = 626057,
  [SMALL_STATE(13202)] = 626095,
  [SMALL_STATE(13203)] = 626119,
  [SMALL_STATE(13204)] = 626153,
  [SMALL_STATE(13205)] = 626187,
  [SMALL_STATE(13206)] = 626213,
  [SMALL_STATE(13207)] = 626243,
  [SMALL_STATE(13208)] = 626265,
  [SMALL_STATE(13209)] = 626303,
  [SMALL_STATE(13210)] = 626339,
  [SMALL_STATE(13211)] = 626369,
  [SMALL_STATE(13212)] = 626399,
  [SMALL_STATE(13213)] = 626429,
  [SMALL_STATE(13214)] = 626467,
  [SMALL_STATE(13215)] = 626491,
  [SMALL_STATE(13216)] = 626515,
  [SMALL_STATE(13217)] = 626539,
  [SMALL_STATE(13218)] = 626563,
  [SMALL_STATE(13219)] = 626593,
  [SMALL_STATE(13220)] = 626617,
  [SMALL_STATE(13221)] = 626647,
  [SMALL_STATE(13222)] = 626673,
  [SMALL_STATE(13223)] = 626707,
  [SMALL_STATE(13224)] = 626737,
  [SMALL_STATE(13225)] = 626767,
  [SMALL_STATE(13226)] = 626805,
  [SMALL_STATE(13227)] = 626835,
  [SMALL_STATE(13228)] = 626861,
  [SMALL_STATE(13229)] = 626885,
  [SMALL_STATE(13230)] = 626915,
  [SMALL_STATE(13231)] = 626945,
  [SMALL_STATE(13232)] = 626975,
  [SMALL_STATE(13233)] = 626999,
  [SMALL_STATE(13234)] = 627029,
  [SMALL_STATE(13235)] = 627059,
  [SMALL_STATE(13236)] = 627097,
  [SMALL_STATE(13237)] = 627135,
  [SMALL_STATE(13238)] = 627165,
  [SMALL_STATE(13239)] = 627195,
  [SMALL_STATE(13240)] = 627225,
  [SMALL_STATE(13241)] = 627247,
  [SMALL_STATE(13242)] = 627277,
  [SMALL_STATE(13243)] = 627307,
  [SMALL_STATE(13244)] = 627337,
  [SMALL_STATE(13245)] = 627359,
  [SMALL_STATE(13246)] = 627389,
  [SMALL_STATE(13247)] = 627419,
  [SMALL_STATE(13248)] = 627457,
  [SMALL_STATE(13249)] = 627495,
  [SMALL_STATE(13250)] = 627525,
  [SMALL_STATE(13251)] = 627555,
  [SMALL_STATE(13252)] = 627585,
  [SMALL_STATE(13253)] = 627619,
  [SMALL_STATE(13254)] = 627649,
  [SMALL_STATE(13255)] = 627683,
  [SMALL_STATE(13256)] = 627713,
  [SMALL_STATE(13257)] = 627743,
  [SMALL_STATE(13258)] = 627773,
  [SMALL_STATE(13259)] = 627803,
  [SMALL_STATE(13260)] = 627833,
  [SMALL_STATE(13261)] = 627863,
  [SMALL_STATE(13262)] = 627901,
  [SMALL_STATE(13263)] = 627931,
  [SMALL_STATE(13264)] = 627961,
  [SMALL_STATE(13265)] = 627991,
  [SMALL_STATE(13266)] = 628021,
  [SMALL_STATE(13267)] = 628051,
  [SMALL_STATE(13268)] = 628081,
  [SMALL_STATE(13269)] = 628111,
  [SMALL_STATE(13270)] = 628141,
  [SMALL_STATE(13271)] = 628171,
  [SMALL_STATE(13272)] = 628201,
  [SMALL_STATE(13273)] = 628231,
  [SMALL_STATE(13274)] = 628261,
  [SMALL_STATE(13275)] = 628291,
  [SMALL_STATE(13276)] = 628321,
  [SMALL_STATE(13277)] = 628351,
  [SMALL_STATE(13278)] = 628381,
  [SMALL_STATE(13279)] = 628411,
  [SMALL_STATE(13280)] = 628441,
  [SMALL_STATE(13281)] = 628477,
  [SMALL_STATE(13282)] = 628513,
  [SMALL_STATE(13283)] = 628549,
  [SMALL_STATE(13284)] = 628585,
  [SMALL_STATE(13285)] = 628623,
  [SMALL_STATE(13286)] = 628659,
  [SMALL_STATE(13287)] = 628695,
  [SMALL_STATE(13288)] = 628731,
  [SMALL_STATE(13289)] = 628767,
  [SMALL_STATE(13290)] = 628803,
  [SMALL_STATE(13291)] = 628829,
  [SMALL_STATE(13292)] = 628867,
  [SMALL_STATE(13293)] = 628905,
  [SMALL_STATE(13294)] = 628941,
  [SMALL_STATE(13295)] = 628979,
  [SMALL_STATE(13296)] = 629017,
  [SMALL_STATE(13297)] = 629052,
  [SMALL_STATE(13298)] = 629085,
  [SMALL_STATE(13299)] = 629120,
  [SMALL_STATE(13300)] = 629153,
  [SMALL_STATE(13301)] = 629188,
  [SMALL_STATE(13302)] = 629221,
  [SMALL_STATE(13303)] = 629254,
  [SMALL_STATE(13304)] = 629279,
  [SMALL_STATE(13305)] = 629304,
  [SMALL_STATE(13306)] = 629339,
  [SMALL_STATE(13307)] = 629372,
  [SMALL_STATE(13308)] = 629407,
  [SMALL_STATE(13309)] = 629442,
  [SMALL_STATE(13310)] = 629475,
  [SMALL_STATE(13311)] = 629510,
  [SMALL_STATE(13312)] = 629543,
  [SMALL_STATE(13313)] = 629570,
  [SMALL_STATE(13314)] = 629597,
  [SMALL_STATE(13315)] = 629620,
  [SMALL_STATE(13316)] = 629647,
  [SMALL_STATE(13317)] = 629682,
  [SMALL_STATE(13318)] = 629715,
  [SMALL_STATE(13319)] = 629750,
  [SMALL_STATE(13320)] = 629775,
  [SMALL_STATE(13321)] = 629808,
  [SMALL_STATE(13322)] = 629843,
  [SMALL_STATE(13323)] = 629876,
  [SMALL_STATE(13324)] = 629911,
  [SMALL_STATE(13325)] = 629944,
  [SMALL_STATE(13326)] = 629977,
  [SMALL_STATE(13327)] = 630012,
  [SMALL_STATE(13328)] = 630045,
  [SMALL_STATE(13329)] = 630080,
  [SMALL_STATE(13330)] = 630115,
  [SMALL_STATE(13331)] = 630150,
  [SMALL_STATE(13332)] = 630183,
  [SMALL_STATE(13333)] = 630218,
  [SMALL_STATE(13334)] = 630251,
  [SMALL_STATE(13335)] = 630286,
  [SMALL_STATE(13336)] = 630309,
  [SMALL_STATE(13337)] = 630336,
  [SMALL_STATE(13338)] = 630371,
  [SMALL_STATE(13339)] = 630396,
  [SMALL_STATE(13340)] = 630431,
  [SMALL_STATE(13341)] = 630464,
  [SMALL_STATE(13342)] = 630499,
  [SMALL_STATE(13343)] = 630532,
  [SMALL_STATE(13344)] = 630565,
  [SMALL_STATE(13345)] = 630598,
  [SMALL_STATE(13346)] = 630619,
  [SMALL_STATE(13347)] = 630644,
  [SMALL_STATE(13348)] = 630677,
  [SMALL_STATE(13349)] = 630712,
  [SMALL_STATE(13350)] = 630745,
  [SMALL_STATE(13351)] = 630780,
  [SMALL_STATE(13352)] = 630813,
  [SMALL_STATE(13353)] = 630834,
  [SMALL_STATE(13354)] = 630869,
  [SMALL_STATE(13355)] = 630894,
  [SMALL_STATE(13356)] = 630929,
  [SMALL_STATE(13357)] = 630962,
  [SMALL_STATE(13358)] = 630983,
  [SMALL_STATE(13359)] = 631010,
  [SMALL_STATE(13360)] = 631033,
  [SMALL_STATE(13361)] = 631068,
  [SMALL_STATE(13362)] = 631101,
  [SMALL_STATE(13363)] = 631124,
  [SMALL_STATE(13364)] = 631159,
  [SMALL_STATE(13365)] = 631192,
  [SMALL_STATE(13366)] = 631227,
  [SMALL_STATE(13367)] = 631260,
  [SMALL_STATE(13368)] = 631295,
  [SMALL_STATE(13369)] = 631330,
  [SMALL_STATE(13370)] = 631363,
  [SMALL_STATE(13371)] = 631396,
  [SMALL_STATE(13372)] = 631429,
  [SMALL_STATE(13373)] = 631461,
  [SMALL_STATE(13374)] = 631493,
  [SMALL_STATE(13375)] = 631515,
  [SMALL_STATE(13376)] = 631539,
  [SMALL_STATE(13377)] = 631563,
  [SMALL_STATE(13378)] = 631595,
  [SMALL_STATE(13379)] = 631627,
  [SMALL_STATE(13380)] = 631659,
  [SMALL_STATE(13381)] = 631689,
  [SMALL_STATE(13382)] = 631721,
  [SMALL_STATE(13383)] = 631753,
  [SMALL_STATE(13384)] = 631785,
  [SMALL_STATE(13385)] = 631817,
  [SMALL_STATE(13386)] = 631849,
  [SMALL_STATE(13387)] = 631881,
  [SMALL_STATE(13388)] = 631913,
  [SMALL_STATE(13389)] = 631945,
  [SMALL_STATE(13390)] = 631977,
  [SMALL_STATE(13391)] = 632009,
  [SMALL_STATE(13392)] = 632041,
  [SMALL_STATE(13393)] = 632073,
  [SMALL_STATE(13394)] = 632105,
  [SMALL_STATE(13395)] = 632137,
  [SMALL_STATE(13396)] = 632169,
  [SMALL_STATE(13397)] = 632201,
  [SMALL_STATE(13398)] = 632223,
  [SMALL_STATE(13399)] = 632253,
  [SMALL_STATE(13400)] = 632285,
  [SMALL_STATE(13401)] = 632317,
  [SMALL_STATE(13402)] = 632349,
  [SMALL_STATE(13403)] = 632381,
  [SMALL_STATE(13404)] = 632413,
  [SMALL_STATE(13405)] = 632445,
  [SMALL_STATE(13406)] = 632477,
  [SMALL_STATE(13407)] = 632509,
  [SMALL_STATE(13408)] = 632541,
  [SMALL_STATE(13409)] = 632573,
  [SMALL_STATE(13410)] = 632605,
  [SMALL_STATE(13411)] = 632637,
  [SMALL_STATE(13412)] = 632657,
  [SMALL_STATE(13413)] = 632689,
  [SMALL_STATE(13414)] = 632721,
  [SMALL_STATE(13415)] = 632753,
  [SMALL_STATE(13416)] = 632785,
  [SMALL_STATE(13417)] = 632817,
  [SMALL_STATE(13418)] = 632847,
  [SMALL_STATE(13419)] = 632877,
  [SMALL_STATE(13420)] = 632909,
  [SMALL_STATE(13421)] = 632941,
  [SMALL_STATE(13422)] = 632973,
  [SMALL_STATE(13423)] = 633005,
  [SMALL_STATE(13424)] = 633037,
  [SMALL_STATE(13425)] = 633069,
  [SMALL_STATE(13426)] = 633101,
  [SMALL_STATE(13427)] = 633133,
  [SMALL_STATE(13428)] = 633153,
  [SMALL_STATE(13429)] = 633185,
  [SMALL_STATE(13430)] = 633207,
  [SMALL_STATE(13431)] = 633239,
  [SMALL_STATE(13432)] = 633271,
  [SMALL_STATE(13433)] = 633303,
  [SMALL_STATE(13434)] = 633325,
  [SMALL_STATE(13435)] = 633349,
  [SMALL_STATE(13436)] = 633381,
  [SMALL_STATE(13437)] = 633413,
  [SMALL_STATE(13438)] = 633433,
  [SMALL_STATE(13439)] = 633465,
  [SMALL_STATE(13440)] = 633495,
  [SMALL_STATE(13441)] = 633527,
  [SMALL_STATE(13442)] = 633559,
  [SMALL_STATE(13443)] = 633581,
  [SMALL_STATE(13444)] = 633603,
  [SMALL_STATE(13445)] = 633625,
  [SMALL_STATE(13446)] = 633657,
  [SMALL_STATE(13447)] = 633679,
  [SMALL_STATE(13448)] = 633711,
  [SMALL_STATE(13449)] = 633743,
  [SMALL_STATE(13450)] = 633775,
  [SMALL_STATE(13451)] = 633805,
  [SMALL_STATE(13452)] = 633827,
  [SMALL_STATE(13453)] = 633859,
  [SMALL_STATE(13454)] = 633891,
  [SMALL_STATE(13455)] = 633923,
  [SMALL_STATE(13456)] = 633955,
  [SMALL_STATE(13457)] = 633987,
  [SMALL_STATE(13458)] = 634017,
  [SMALL_STATE(13459)] = 634049,
  [SMALL_STATE(13460)] = 634081,
  [SMALL_STATE(13461)] = 634113,
  [SMALL_STATE(13462)] = 634135,
  [SMALL_STATE(13463)] = 634159,
  [SMALL_STATE(13464)] = 634181,
  [SMALL_STATE(13465)] = 634213,
  [SMALL_STATE(13466)] = 634235,
  [SMALL_STATE(13467)] = 634257,
  [SMALL_STATE(13468)] = 634289,
  [SMALL_STATE(13469)] = 634311,
  [SMALL_STATE(13470)] = 634343,
  [SMALL_STATE(13471)] = 634375,
  [SMALL_STATE(13472)] = 634407,
  [SMALL_STATE(13473)] = 634431,
  [SMALL_STATE(13474)] = 634463,
  [SMALL_STATE(13475)] = 634495,
  [SMALL_STATE(13476)] = 634525,
  [SMALL_STATE(13477)] = 634557,
  [SMALL_STATE(13478)] = 634577,
  [SMALL_STATE(13479)] = 634599,
  [SMALL_STATE(13480)] = 634623,
  [SMALL_STATE(13481)] = 634655,
  [SMALL_STATE(13482)] = 634687,
  [SMALL_STATE(13483)] = 634719,
  [SMALL_STATE(13484)] = 634751,
  [SMALL_STATE(13485)] = 634783,
  [SMALL_STATE(13486)] = 634815,
  [SMALL_STATE(13487)] = 634847,
  [SMALL_STATE(13488)] = 634879,
  [SMALL_STATE(13489)] = 634901,
  [SMALL_STATE(13490)] = 634931,
  [SMALL_STATE(13491)] = 634963,
  [SMALL_STATE(13492)] = 634995,
  [SMALL_STATE(13493)] = 635027,
  [SMALL_STATE(13494)] = 635047,
  [SMALL_STATE(13495)] = 635079,
  [SMALL_STATE(13496)] = 635111,
  [SMALL_STATE(13497)] = 635133,
  [SMALL_STATE(13498)] = 635165,
  [SMALL_STATE(13499)] = 635187,
  [SMALL_STATE(13500)] = 635209,
  [SMALL_STATE(13501)] = 635241,
  [SMALL_STATE(13502)] = 635273,
  [SMALL_STATE(13503)] = 635295,
  [SMALL_STATE(13504)] = 635327,
  [SMALL_STATE(13505)] = 635359,
  [SMALL_STATE(13506)] = 635381,
  [SMALL_STATE(13507)] = 635403,
  [SMALL_STATE(13508)] = 635435,
  [SMALL_STATE(13509)] = 635457,
  [SMALL_STATE(13510)] = 635489,
  [SMALL_STATE(13511)] = 635521,
  [SMALL_STATE(13512)] = 635553,
  [SMALL_STATE(13513)] = 635585,
  [SMALL_STATE(13514)] = 635617,
  [SMALL_STATE(13515)] = 635639,
  [SMALL_STATE(13516)] = 635671,
  [SMALL_STATE(13517)] = 635703,
  [SMALL_STATE(13518)] = 635727,
  [SMALL_STATE(13519)] = 635759,
  [SMALL_STATE(13520)] = 635791,
  [SMALL_STATE(13521)] = 635823,
  [SMALL_STATE(13522)] = 635855,
  [SMALL_STATE(13523)] = 635883,
  [SMALL_STATE(13524)] = 635915,
  [SMALL_STATE(13525)] = 635947,
  [SMALL_STATE(13526)] = 635979,
  [SMALL_STATE(13527)] = 636001,
  [SMALL_STATE(13528)] = 636033,
  [SMALL_STATE(13529)] = 636065,
  [SMALL_STATE(13530)] = 636097,
  [SMALL_STATE(13531)] = 636129,
  [SMALL_STATE(13532)] = 636161,
  [SMALL_STATE(13533)] = 636193,
  [SMALL_STATE(13534)] = 636215,
  [SMALL_STATE(13535)] = 636247,
  [SMALL_STATE(13536)] = 636279,
  [SMALL_STATE(13537)] = 636311,
  [SMALL_STATE(13538)] = 636343,
  [SMALL_STATE(13539)] = 636375,
  [SMALL_STATE(13540)] = 636405,
  [SMALL_STATE(13541)] = 636437,
  [SMALL_STATE(13542)] = 636469,
  [SMALL_STATE(13543)] = 636501,
  [SMALL_STATE(13544)] = 636533,
  [SMALL_STATE(13545)] = 636565,
  [SMALL_STATE(13546)] = 636597,
  [SMALL_STATE(13547)] = 636629,
  [SMALL_STATE(13548)] = 636661,
  [SMALL_STATE(13549)] = 636693,
  [SMALL_STATE(13550)] = 636725,
  [SMALL_STATE(13551)] = 636757,
  [SMALL_STATE(13552)] = 636789,
  [SMALL_STATE(13553)] = 636821,
  [SMALL_STATE(13554)] = 636853,
  [SMALL_STATE(13555)] = 636883,
  [SMALL_STATE(13556)] = 636915,
  [SMALL_STATE(13557)] = 636947,
  [SMALL_STATE(13558)] = 636979,
  [SMALL_STATE(13559)] = 637011,
  [SMALL_STATE(13560)] = 637043,
  [SMALL_STATE(13561)] = 637075,
  [SMALL_STATE(13562)] = 637107,
  [SMALL_STATE(13563)] = 637139,
  [SMALL_STATE(13564)] = 637161,
  [SMALL_STATE(13565)] = 637193,
  [SMALL_STATE(13566)] = 637225,
  [SMALL_STATE(13567)] = 637249,
  [SMALL_STATE(13568)] = 637271,
  [SMALL_STATE(13569)] = 637303,
  [SMALL_STATE(13570)] = 637325,
  [SMALL_STATE(13571)] = 637357,
  [SMALL_STATE(13572)] = 637389,
  [SMALL_STATE(13573)] = 637421,
  [SMALL_STATE(13574)] = 637453,
  [SMALL_STATE(13575)] = 637485,
  [SMALL_STATE(13576)] = 637507,
  [SMALL_STATE(13577)] = 637529,
  [SMALL_STATE(13578)] = 637561,
  [SMALL_STATE(13579)] = 637593,
  [SMALL_STATE(13580)] = 637625,
  [SMALL_STATE(13581)] = 637657,
  [SMALL_STATE(13582)] = 637679,
  [SMALL_STATE(13583)] = 637711,
  [SMALL_STATE(13584)] = 637735,
  [SMALL_STATE(13585)] = 637767,
  [SMALL_STATE(13586)] = 637789,
  [SMALL_STATE(13587)] = 637811,
  [SMALL_STATE(13588)] = 637833,
  [SMALL_STATE(13589)] = 637863,
  [SMALL_STATE(13590)] = 637885,
  [SMALL_STATE(13591)] = 637917,
  [SMALL_STATE(13592)] = 637937,
  [SMALL_STATE(13593)] = 637969,
  [SMALL_STATE(13594)] = 637989,
  [SMALL_STATE(13595)] = 638013,
  [SMALL_STATE(13596)] = 638035,
  [SMALL_STATE(13597)] = 638067,
  [SMALL_STATE(13598)] = 638099,
  [SMALL_STATE(13599)] = 638131,
  [SMALL_STATE(13600)] = 638163,
  [SMALL_STATE(13601)] = 638187,
  [SMALL_STATE(13602)] = 638219,
  [SMALL_STATE(13603)] = 638239,
  [SMALL_STATE(13604)] = 638271,
  [SMALL_STATE(13605)] = 638303,
  [SMALL_STATE(13606)] = 638335,
  [SMALL_STATE(13607)] = 638367,
  [SMALL_STATE(13608)] = 638389,
  [SMALL_STATE(13609)] = 638421,
  [SMALL_STATE(13610)] = 638453,
  [SMALL_STATE(13611)] = 638485,
  [SMALL_STATE(13612)] = 638515,
  [SMALL_STATE(13613)] = 638547,
  [SMALL_STATE(13614)] = 638579,
  [SMALL_STATE(13615)] = 638611,
  [SMALL_STATE(13616)] = 638643,
  [SMALL_STATE(13617)] = 638675,
  [SMALL_STATE(13618)] = 638707,
  [SMALL_STATE(13619)] = 638739,
  [SMALL_STATE(13620)] = 638771,
  [SMALL_STATE(13621)] = 638803,
  [SMALL_STATE(13622)] = 638833,
  [SMALL_STATE(13623)] = 638865,
  [SMALL_STATE(13624)] = 638897,
  [SMALL_STATE(13625)] = 638929,
  [SMALL_STATE(13626)] = 638957,
  [SMALL_STATE(13627)] = 638989,
  [SMALL_STATE(13628)] = 639021,
  [SMALL_STATE(13629)] = 639053,
  [SMALL_STATE(13630)] = 639085,
  [SMALL_STATE(13631)] = 639117,
  [SMALL_STATE(13632)] = 639145,
  [SMALL_STATE(13633)] = 639177,
  [SMALL_STATE(13634)] = 639209,
  [SMALL_STATE(13635)] = 639231,
  [SMALL_STATE(13636)] = 639255,
  [SMALL_STATE(13637)] = 639277,
  [SMALL_STATE(13638)] = 639309,
  [SMALL_STATE(13639)] = 639331,
  [SMALL_STATE(13640)] = 639363,
  [SMALL_STATE(13641)] = 639387,
  [SMALL_STATE(13642)] = 639417,
  [SMALL_STATE(13643)] = 639441,
  [SMALL_STATE(13644)] = 639471,
  [SMALL_STATE(13645)] = 639503,
  [SMALL_STATE(13646)] = 639535,
  [SMALL_STATE(13647)] = 639563,
  [SMALL_STATE(13648)] = 639595,
  [SMALL_STATE(13649)] = 639627,
  [SMALL_STATE(13650)] = 639657,
  [SMALL_STATE(13651)] = 639689,
  [SMALL_STATE(13652)] = 639721,
  [SMALL_STATE(13653)] = 639753,
  [SMALL_STATE(13654)] = 639783,
  [SMALL_STATE(13655)] = 639815,
  [SMALL_STATE(13656)] = 639845,
  [SMALL_STATE(13657)] = 639867,
  [SMALL_STATE(13658)] = 639897,
  [SMALL_STATE(13659)] = 639919,
  [SMALL_STATE(13660)] = 639941,
  [SMALL_STATE(13661)] = 639963,
  [SMALL_STATE(13662)] = 639993,
  [SMALL_STATE(13663)] = 640015,
  [SMALL_STATE(13664)] = 640047,
  [SMALL_STATE(13665)] = 640077,
  [SMALL_STATE(13666)] = 640107,
  [SMALL_STATE(13667)] = 640131,
  [SMALL_STATE(13668)] = 640161,
  [SMALL_STATE(13669)] = 640193,
  [SMALL_STATE(13670)] = 640221,
  [SMALL_STATE(13671)] = 640241,
  [SMALL_STATE(13672)] = 640271,
  [SMALL_STATE(13673)] = 640303,
  [SMALL_STATE(13674)] = 640325,
  [SMALL_STATE(13675)] = 640351,
  [SMALL_STATE(13676)] = 640383,
  [SMALL_STATE(13677)] = 640413,
  [SMALL_STATE(13678)] = 640443,
  [SMALL_STATE(13679)] = 640473,
  [SMALL_STATE(13680)] = 640505,
  [SMALL_STATE(13681)] = 640527,
  [SMALL_STATE(13682)] = 640547,
  [SMALL_STATE(13683)] = 640579,
  [SMALL_STATE(13684)] = 640611,
  [SMALL_STATE(13685)] = 640643,
  [SMALL_STATE(13686)] = 640675,
  [SMALL_STATE(13687)] = 640707,
  [SMALL_STATE(13688)] = 640729,
  [SMALL_STATE(13689)] = 640761,
  [SMALL_STATE(13690)] = 640793,
  [SMALL_STATE(13691)] = 640821,
  [SMALL_STATE(13692)] = 640853,
  [SMALL_STATE(13693)] = 640885,
  [SMALL_STATE(13694)] = 640917,
  [SMALL_STATE(13695)] = 640947,
  [SMALL_STATE(13696)] = 640979,
  [SMALL_STATE(13697)] = 641011,
  [SMALL_STATE(13698)] = 641043,
  [SMALL_STATE(13699)] = 641075,
  [SMALL_STATE(13700)] = 641107,
  [SMALL_STATE(13701)] = 641139,
  [SMALL_STATE(13702)] = 641171,
  [SMALL_STATE(13703)] = 641201,
  [SMALL_STATE(13704)] = 641231,
  [SMALL_STATE(13705)] = 641263,
  [SMALL_STATE(13706)] = 641284,
  [SMALL_STATE(13707)] = 641305,
  [SMALL_STATE(13708)] = 641326,
  [SMALL_STATE(13709)] = 641347,
  [SMALL_STATE(13710)] = 641368,
  [SMALL_STATE(13711)] = 641389,
  [SMALL_STATE(13712)] = 641418,
  [SMALL_STATE(13713)] = 641439,
  [SMALL_STATE(13714)] = 641468,
  [SMALL_STATE(13715)] = 641497,
  [SMALL_STATE(13716)] = 641526,
  [SMALL_STATE(13717)] = 641555,
  [SMALL_STATE(13718)] = 641576,
  [SMALL_STATE(13719)] = 641605,
  [SMALL_STATE(13720)] = 641626,
  [SMALL_STATE(13721)] = 641655,
  [SMALL_STATE(13722)] = 641684,
  [SMALL_STATE(13723)] = 641713,
  [SMALL_STATE(13724)] = 641742,
  [SMALL_STATE(13725)] = 641771,
  [SMALL_STATE(13726)] = 641800,
  [SMALL_STATE(13727)] = 641829,
  [SMALL_STATE(13728)] = 641858,
  [SMALL_STATE(13729)] = 641887,
  [SMALL_STATE(13730)] = 641916,
  [SMALL_STATE(13731)] = 641945,
  [SMALL_STATE(13732)] = 641974,
  [SMALL_STATE(13733)] = 642003,
  [SMALL_STATE(13734)] = 642032,
  [SMALL_STATE(13735)] = 642061,
  [SMALL_STATE(13736)] = 642090,
  [SMALL_STATE(13737)] = 642119,
  [SMALL_STATE(13738)] = 642148,
  [SMALL_STATE(13739)] = 642177,
  [SMALL_STATE(13740)] = 642206,
  [SMALL_STATE(13741)] = 642235,
  [SMALL_STATE(13742)] = 642264,
  [SMALL_STATE(13743)] = 642293,
  [SMALL_STATE(13744)] = 642322,
  [SMALL_STATE(13745)] = 642351,
  [SMALL_STATE(13746)] = 642380,
  [SMALL_STATE(13747)] = 642409,
  [SMALL_STATE(13748)] = 642438,
  [SMALL_STATE(13749)] = 642467,
  [SMALL_STATE(13750)] = 642488,
  [SMALL_STATE(13751)] = 642509,
  [SMALL_STATE(13752)] = 642538,
  [SMALL_STATE(13753)] = 642559,
  [SMALL_STATE(13754)] = 642588,
  [SMALL_STATE(13755)] = 642609,
  [SMALL_STATE(13756)] = 642638,
  [SMALL_STATE(13757)] = 642667,
  [SMALL_STATE(13758)] = 642696,
  [SMALL_STATE(13759)] = 642717,
  [SMALL_STATE(13760)] = 642738,
  [SMALL_STATE(13761)] = 642759,
  [SMALL_STATE(13762)] = 642788,
  [SMALL_STATE(13763)] = 642817,
  [SMALL_STATE(13764)] = 642838,
  [SMALL_STATE(13765)] = 642867,
  [SMALL_STATE(13766)] = 642896,
  [SMALL_STATE(13767)] = 642925,
  [SMALL_STATE(13768)] = 642954,
  [SMALL_STATE(13769)] = 642983,
  [SMALL_STATE(13770)] = 643012,
  [SMALL_STATE(13771)] = 643041,
  [SMALL_STATE(13772)] = 643070,
  [SMALL_STATE(13773)] = 643091,
  [SMALL_STATE(13774)] = 643112,
  [SMALL_STATE(13775)] = 643141,
  [SMALL_STATE(13776)] = 643170,
  [SMALL_STATE(13777)] = 643199,
  [SMALL_STATE(13778)] = 643220,
  [SMALL_STATE(13779)] = 643241,
  [SMALL_STATE(13780)] = 643262,
  [SMALL_STATE(13781)] = 643291,
  [SMALL_STATE(13782)] = 643320,
  [SMALL_STATE(13783)] = 643349,
  [SMALL_STATE(13784)] = 643378,
  [SMALL_STATE(13785)] = 643407,
  [SMALL_STATE(13786)] = 643436,
  [SMALL_STATE(13787)] = 643457,
  [SMALL_STATE(13788)] = 643486,
  [SMALL_STATE(13789)] = 643507,
  [SMALL_STATE(13790)] = 643536,
  [SMALL_STATE(13791)] = 643565,
  [SMALL_STATE(13792)] = 643594,
  [SMALL_STATE(13793)] = 643623,
  [SMALL_STATE(13794)] = 643652,
  [SMALL_STATE(13795)] = 643681,
  [SMALL_STATE(13796)] = 643710,
  [SMALL_STATE(13797)] = 643739,
  [SMALL_STATE(13798)] = 643768,
  [SMALL_STATE(13799)] = 643797,
  [SMALL_STATE(13800)] = 643826,
  [SMALL_STATE(13801)] = 643855,
  [SMALL_STATE(13802)] = 643882,
  [SMALL_STATE(13803)] = 643911,
  [SMALL_STATE(13804)] = 643932,
  [SMALL_STATE(13805)] = 643961,
  [SMALL_STATE(13806)] = 643988,
  [SMALL_STATE(13807)] = 644009,
  [SMALL_STATE(13808)] = 644038,
  [SMALL_STATE(13809)] = 644059,
  [SMALL_STATE(13810)] = 644080,
  [SMALL_STATE(13811)] = 644101,
  [SMALL_STATE(13812)] = 644130,
  [SMALL_STATE(13813)] = 644159,
  [SMALL_STATE(13814)] = 644180,
  [SMALL_STATE(13815)] = 644209,
  [SMALL_STATE(13816)] = 644238,
  [SMALL_STATE(13817)] = 644267,
  [SMALL_STATE(13818)] = 644296,
  [SMALL_STATE(13819)] = 644323,
  [SMALL_STATE(13820)] = 644352,
  [SMALL_STATE(13821)] = 644373,
  [SMALL_STATE(13822)] = 644402,
  [SMALL_STATE(13823)] = 644423,
  [SMALL_STATE(13824)] = 644450,
  [SMALL_STATE(13825)] = 644479,
  [SMALL_STATE(13826)] = 644508,
  [SMALL_STATE(13827)] = 644537,
  [SMALL_STATE(13828)] = 644566,
  [SMALL_STATE(13829)] = 644595,
  [SMALL_STATE(13830)] = 644622,
  [SMALL_STATE(13831)] = 644651,
  [SMALL_STATE(13832)] = 644672,
  [SMALL_STATE(13833)] = 644701,
  [SMALL_STATE(13834)] = 644728,
  [SMALL_STATE(13835)] = 644751,
  [SMALL_STATE(13836)] = 644776,
  [SMALL_STATE(13837)] = 644801,
  [SMALL_STATE(13838)] = 644824,
  [SMALL_STATE(13839)] = 644853,
  [SMALL_STATE(13840)] = 644874,
  [SMALL_STATE(13841)] = 644895,
  [SMALL_STATE(13842)] = 644916,
  [SMALL_STATE(13843)] = 644945,
  [SMALL_STATE(13844)] = 644966,
  [SMALL_STATE(13845)] = 644987,
  [SMALL_STATE(13846)] = 645010,
  [SMALL_STATE(13847)] = 645035,
  [SMALL_STATE(13848)] = 645058,
  [SMALL_STATE(13849)] = 645087,
  [SMALL_STATE(13850)] = 645116,
  [SMALL_STATE(13851)] = 645143,
  [SMALL_STATE(13852)] = 645164,
  [SMALL_STATE(13853)] = 645185,
  [SMALL_STATE(13854)] = 645206,
  [SMALL_STATE(13855)] = 645235,
  [SMALL_STATE(13856)] = 645256,
  [SMALL_STATE(13857)] = 645277,
  [SMALL_STATE(13858)] = 645298,
  [SMALL_STATE(13859)] = 645327,
  [SMALL_STATE(13860)] = 645356,
  [SMALL_STATE(13861)] = 645385,
  [SMALL_STATE(13862)] = 645414,
  [SMALL_STATE(13863)] = 645443,
  [SMALL_STATE(13864)] = 645472,
  [SMALL_STATE(13865)] = 645499,
  [SMALL_STATE(13866)] = 645520,
  [SMALL_STATE(13867)] = 645541,
  [SMALL_STATE(13868)] = 645562,
  [SMALL_STATE(13869)] = 645591,
  [SMALL_STATE(13870)] = 645620,
  [SMALL_STATE(13871)] = 645649,
  [SMALL_STATE(13872)] = 645678,
  [SMALL_STATE(13873)] = 645707,
  [SMALL_STATE(13874)] = 645728,
  [SMALL_STATE(13875)] = 645757,
  [SMALL_STATE(13876)] = 645784,
  [SMALL_STATE(13877)] = 645813,
  [SMALL_STATE(13878)] = 645842,
  [SMALL_STATE(13879)] = 645871,
  [SMALL_STATE(13880)] = 645894,
  [SMALL_STATE(13881)] = 645921,
  [SMALL_STATE(13882)] = 645948,
  [SMALL_STATE(13883)] = 645977,
  [SMALL_STATE(13884)] = 646006,
  [SMALL_STATE(13885)] = 646031,
  [SMALL_STATE(13886)] = 646054,
  [SMALL_STATE(13887)] = 646081,
  [SMALL_STATE(13888)] = 646102,
  [SMALL_STATE(13889)] = 646123,
  [SMALL_STATE(13890)] = 646152,
  [SMALL_STATE(13891)] = 646173,
  [SMALL_STATE(13892)] = 646202,
  [SMALL_STATE(13893)] = 646231,
  [SMALL_STATE(13894)] = 646252,
  [SMALL_STATE(13895)] = 646281,
  [SMALL_STATE(13896)] = 646310,
  [SMALL_STATE(13897)] = 646339,
  [SMALL_STATE(13898)] = 646368,
  [SMALL_STATE(13899)] = 646397,
  [SMALL_STATE(13900)] = 646418,
  [SMALL_STATE(13901)] = 646447,
  [SMALL_STATE(13902)] = 646476,
  [SMALL_STATE(13903)] = 646505,
  [SMALL_STATE(13904)] = 646534,
  [SMALL_STATE(13905)] = 646563,
  [SMALL_STATE(13906)] = 646592,
  [SMALL_STATE(13907)] = 646621,
  [SMALL_STATE(13908)] = 646650,
  [SMALL_STATE(13909)] = 646679,
  [SMALL_STATE(13910)] = 646708,
  [SMALL_STATE(13911)] = 646735,
  [SMALL_STATE(13912)] = 646762,
  [SMALL_STATE(13913)] = 646791,
  [SMALL_STATE(13914)] = 646820,
  [SMALL_STATE(13915)] = 646849,
  [SMALL_STATE(13916)] = 646878,
  [SMALL_STATE(13917)] = 646907,
  [SMALL_STATE(13918)] = 646936,
  [SMALL_STATE(13919)] = 646965,
  [SMALL_STATE(13920)] = 646994,
  [SMALL_STATE(13921)] = 647023,
  [SMALL_STATE(13922)] = 647052,
  [SMALL_STATE(13923)] = 647079,
  [SMALL_STATE(13924)] = 647106,
  [SMALL_STATE(13925)] = 647135,
  [SMALL_STATE(13926)] = 647164,
  [SMALL_STATE(13927)] = 647193,
  [SMALL_STATE(13928)] = 647222,
  [SMALL_STATE(13929)] = 647251,
  [SMALL_STATE(13930)] = 647280,
  [SMALL_STATE(13931)] = 647307,
  [SMALL_STATE(13932)] = 647334,
  [SMALL_STATE(13933)] = 647363,
  [SMALL_STATE(13934)] = 647390,
  [SMALL_STATE(13935)] = 647419,
  [SMALL_STATE(13936)] = 647448,
  [SMALL_STATE(13937)] = 647477,
  [SMALL_STATE(13938)] = 647506,
  [SMALL_STATE(13939)] = 647535,
  [SMALL_STATE(13940)] = 647564,
  [SMALL_STATE(13941)] = 647585,
  [SMALL_STATE(13942)] = 647614,
  [SMALL_STATE(13943)] = 647643,
  [SMALL_STATE(13944)] = 647670,
  [SMALL_STATE(13945)] = 647699,
  [SMALL_STATE(13946)] = 647728,
  [SMALL_STATE(13947)] = 647757,
  [SMALL_STATE(13948)] = 647786,
  [SMALL_STATE(13949)] = 647815,
  [SMALL_STATE(13950)] = 647844,
  [SMALL_STATE(13951)] = 647873,
  [SMALL_STATE(13952)] = 647902,
  [SMALL_STATE(13953)] = 647931,
  [SMALL_STATE(13954)] = 647960,
  [SMALL_STATE(13955)] = 647989,
  [SMALL_STATE(13956)] = 648018,
  [SMALL_STATE(13957)] = 648039,
  [SMALL_STATE(13958)] = 648068,
  [SMALL_STATE(13959)] = 648089,
  [SMALL_STATE(13960)] = 648110,
  [SMALL_STATE(13961)] = 648131,
  [SMALL_STATE(13962)] = 648160,
  [SMALL_STATE(13963)] = 648181,
  [SMALL_STATE(13964)] = 648210,
  [SMALL_STATE(13965)] = 648239,
  [SMALL_STATE(13966)] = 648260,
  [SMALL_STATE(13967)] = 648289,
  [SMALL_STATE(13968)] = 648310,
  [SMALL_STATE(13969)] = 648339,
  [SMALL_STATE(13970)] = 648368,
  [SMALL_STATE(13971)] = 648397,
  [SMALL_STATE(13972)] = 648426,
  [SMALL_STATE(13973)] = 648447,
  [SMALL_STATE(13974)] = 648468,
  [SMALL_STATE(13975)] = 648489,
  [SMALL_STATE(13976)] = 648518,
  [SMALL_STATE(13977)] = 648541,
  [SMALL_STATE(13978)] = 648570,
  [SMALL_STATE(13979)] = 648599,
  [SMALL_STATE(13980)] = 648628,
  [SMALL_STATE(13981)] = 648657,
  [SMALL_STATE(13982)] = 648686,
  [SMALL_STATE(13983)] = 648715,
  [SMALL_STATE(13984)] = 648744,
  [SMALL_STATE(13985)] = 648773,
  [SMALL_STATE(13986)] = 648794,
  [SMALL_STATE(13987)] = 648823,
  [SMALL_STATE(13988)] = 648852,
  [SMALL_STATE(13989)] = 648881,
  [SMALL_STATE(13990)] = 648910,
  [SMALL_STATE(13991)] = 648939,
  [SMALL_STATE(13992)] = 648968,
  [SMALL_STATE(13993)] = 648997,
  [SMALL_STATE(13994)] = 649026,
  [SMALL_STATE(13995)] = 649055,
  [SMALL_STATE(13996)] = 649084,
  [SMALL_STATE(13997)] = 649113,
  [SMALL_STATE(13998)] = 649136,
  [SMALL_STATE(13999)] = 649165,
  [SMALL_STATE(14000)] = 649188,
  [SMALL_STATE(14001)] = 649217,
  [SMALL_STATE(14002)] = 649246,
  [SMALL_STATE(14003)] = 649267,
  [SMALL_STATE(14004)] = 649294,
  [SMALL_STATE(14005)] = 649315,
  [SMALL_STATE(14006)] = 649336,
  [SMALL_STATE(14007)] = 649365,
  [SMALL_STATE(14008)] = 649394,
  [SMALL_STATE(14009)] = 649421,
  [SMALL_STATE(14010)] = 649442,
  [SMALL_STATE(14011)] = 649463,
  [SMALL_STATE(14012)] = 649484,
  [SMALL_STATE(14013)] = 649513,
  [SMALL_STATE(14014)] = 649534,
  [SMALL_STATE(14015)] = 649563,
  [SMALL_STATE(14016)] = 649592,
  [SMALL_STATE(14017)] = 649613,
  [SMALL_STATE(14018)] = 649640,
  [SMALL_STATE(14019)] = 649669,
  [SMALL_STATE(14020)] = 649696,
  [SMALL_STATE(14021)] = 649725,
  [SMALL_STATE(14022)] = 649754,
  [SMALL_STATE(14023)] = 649783,
  [SMALL_STATE(14024)] = 649804,
  [SMALL_STATE(14025)] = 649833,
  [SMALL_STATE(14026)] = 649862,
  [SMALL_STATE(14027)] = 649891,
  [SMALL_STATE(14028)] = 649920,
  [SMALL_STATE(14029)] = 649941,
  [SMALL_STATE(14030)] = 649962,
  [SMALL_STATE(14031)] = 649991,
  [SMALL_STATE(14032)] = 650020,
  [SMALL_STATE(14033)] = 650047,
  [SMALL_STATE(14034)] = 650076,
  [SMALL_STATE(14035)] = 650097,
  [SMALL_STATE(14036)] = 650124,
  [SMALL_STATE(14037)] = 650151,
  [SMALL_STATE(14038)] = 650180,
  [SMALL_STATE(14039)] = 650209,
  [SMALL_STATE(14040)] = 650235,
  [SMALL_STATE(14041)] = 650261,
  [SMALL_STATE(14042)] = 650287,
  [SMALL_STATE(14043)] = 650311,
  [SMALL_STATE(14044)] = 650337,
  [SMALL_STATE(14045)] = 650363,
  [SMALL_STATE(14046)] = 650389,
  [SMALL_STATE(14047)] = 650415,
  [SMALL_STATE(14048)] = 650441,
  [SMALL_STATE(14049)] = 650465,
  [SMALL_STATE(14050)] = 650491,
  [SMALL_STATE(14051)] = 650515,
  [SMALL_STATE(14052)] = 650541,
  [SMALL_STATE(14053)] = 650567,
  [SMALL_STATE(14054)] = 650593,
  [SMALL_STATE(14055)] = 650617,
  [SMALL_STATE(14056)] = 650643,
  [SMALL_STATE(14057)] = 650667,
  [SMALL_STATE(14058)] = 650693,
  [SMALL_STATE(14059)] = 650719,
  [SMALL_STATE(14060)] = 650743,
  [SMALL_STATE(14061)] = 650769,
  [SMALL_STATE(14062)] = 650795,
  [SMALL_STATE(14063)] = 650821,
  [SMALL_STATE(14064)] = 650847,
  [SMALL_STATE(14065)] = 650873,
  [SMALL_STATE(14066)] = 650899,
  [SMALL_STATE(14067)] = 650925,
  [SMALL_STATE(14068)] = 650951,
  [SMALL_STATE(14069)] = 650977,
  [SMALL_STATE(14070)] = 651003,
  [SMALL_STATE(14071)] = 651029,
  [SMALL_STATE(14072)] = 651055,
  [SMALL_STATE(14073)] = 651081,
  [SMALL_STATE(14074)] = 651107,
  [SMALL_STATE(14075)] = 651133,
  [SMALL_STATE(14076)] = 651157,
  [SMALL_STATE(14077)] = 651183,
  [SMALL_STATE(14078)] = 651209,
  [SMALL_STATE(14079)] = 651235,
  [SMALL_STATE(14080)] = 651259,
  [SMALL_STATE(14081)] = 651285,
  [SMALL_STATE(14082)] = 651309,
  [SMALL_STATE(14083)] = 651335,
  [SMALL_STATE(14084)] = 651361,
  [SMALL_STATE(14085)] = 651387,
  [SMALL_STATE(14086)] = 651413,
  [SMALL_STATE(14087)] = 651439,
  [SMALL_STATE(14088)] = 651465,
  [SMALL_STATE(14089)] = 651491,
  [SMALL_STATE(14090)] = 651517,
  [SMALL_STATE(14091)] = 651543,
  [SMALL_STATE(14092)] = 651569,
  [SMALL_STATE(14093)] = 651595,
  [SMALL_STATE(14094)] = 651621,
  [SMALL_STATE(14095)] = 651647,
  [SMALL_STATE(14096)] = 651673,
  [SMALL_STATE(14097)] = 651699,
  [SMALL_STATE(14098)] = 651725,
  [SMALL_STATE(14099)] = 651751,
  [SMALL_STATE(14100)] = 651777,
  [SMALL_STATE(14101)] = 651803,
  [SMALL_STATE(14102)] = 651829,
  [SMALL_STATE(14103)] = 651855,
  [SMALL_STATE(14104)] = 651877,
  [SMALL_STATE(14105)] = 651903,
  [SMALL_STATE(14106)] = 651929,
  [SMALL_STATE(14107)] = 651955,
  [SMALL_STATE(14108)] = 651981,
  [SMALL_STATE(14109)] = 652007,
  [SMALL_STATE(14110)] = 652033,
  [SMALL_STATE(14111)] = 652059,
  [SMALL_STATE(14112)] = 652085,
  [SMALL_STATE(14113)] = 652111,
  [SMALL_STATE(14114)] = 652133,
  [SMALL_STATE(14115)] = 652159,
  [SMALL_STATE(14116)] = 652185,
  [SMALL_STATE(14117)] = 652211,
  [SMALL_STATE(14118)] = 652237,
  [SMALL_STATE(14119)] = 652263,
  [SMALL_STATE(14120)] = 652289,
  [SMALL_STATE(14121)] = 652315,
  [SMALL_STATE(14122)] = 652341,
  [SMALL_STATE(14123)] = 652367,
  [SMALL_STATE(14124)] = 652393,
  [SMALL_STATE(14125)] = 652419,
  [SMALL_STATE(14126)] = 652445,
  [SMALL_STATE(14127)] = 652469,
  [SMALL_STATE(14128)] = 652491,
  [SMALL_STATE(14129)] = 652517,
  [SMALL_STATE(14130)] = 652543,
  [SMALL_STATE(14131)] = 652569,
  [SMALL_STATE(14132)] = 652595,
  [SMALL_STATE(14133)] = 652621,
  [SMALL_STATE(14134)] = 652647,
  [SMALL_STATE(14135)] = 652669,
  [SMALL_STATE(14136)] = 652695,
  [SMALL_STATE(14137)] = 652721,
  [SMALL_STATE(14138)] = 652747,
  [SMALL_STATE(14139)] = 652773,
  [SMALL_STATE(14140)] = 652799,
  [SMALL_STATE(14141)] = 652825,
  [SMALL_STATE(14142)] = 652849,
  [SMALL_STATE(14143)] = 652875,
  [SMALL_STATE(14144)] = 652897,
  [SMALL_STATE(14145)] = 652923,
  [SMALL_STATE(14146)] = 652949,
  [SMALL_STATE(14147)] = 652975,
  [SMALL_STATE(14148)] = 653001,
  [SMALL_STATE(14149)] = 653019,
  [SMALL_STATE(14150)] = 653045,
  [SMALL_STATE(14151)] = 653063,
  [SMALL_STATE(14152)] = 653089,
  [SMALL_STATE(14153)] = 653115,
  [SMALL_STATE(14154)] = 653141,
  [SMALL_STATE(14155)] = 653165,
  [SMALL_STATE(14156)] = 653191,
  [SMALL_STATE(14157)] = 653217,
  [SMALL_STATE(14158)] = 653243,
  [SMALL_STATE(14159)] = 653269,
  [SMALL_STATE(14160)] = 653291,
  [SMALL_STATE(14161)] = 653317,
  [SMALL_STATE(14162)] = 653343,
  [SMALL_STATE(14163)] = 653369,
  [SMALL_STATE(14164)] = 653395,
  [SMALL_STATE(14165)] = 653421,
  [SMALL_STATE(14166)] = 653447,
  [SMALL_STATE(14167)] = 653471,
  [SMALL_STATE(14168)] = 653497,
  [SMALL_STATE(14169)] = 653523,
  [SMALL_STATE(14170)] = 653549,
  [SMALL_STATE(14171)] = 653575,
  [SMALL_STATE(14172)] = 653601,
  [SMALL_STATE(14173)] = 653627,
  [SMALL_STATE(14174)] = 653653,
  [SMALL_STATE(14175)] = 653677,
  [SMALL_STATE(14176)] = 653703,
  [SMALL_STATE(14177)] = 653725,
  [SMALL_STATE(14178)] = 653751,
  [SMALL_STATE(14179)] = 653777,
  [SMALL_STATE(14180)] = 653803,
  [SMALL_STATE(14181)] = 653829,
  [SMALL_STATE(14182)] = 653847,
  [SMALL_STATE(14183)] = 653873,
  [SMALL_STATE(14184)] = 653897,
  [SMALL_STATE(14185)] = 653923,
  [SMALL_STATE(14186)] = 653945,
  [SMALL_STATE(14187)] = 653967,
  [SMALL_STATE(14188)] = 653989,
  [SMALL_STATE(14189)] = 654013,
  [SMALL_STATE(14190)] = 654039,
  [SMALL_STATE(14191)] = 654065,
  [SMALL_STATE(14192)] = 654089,
  [SMALL_STATE(14193)] = 654111,
  [SMALL_STATE(14194)] = 654133,
  [SMALL_STATE(14195)] = 654159,
  [SMALL_STATE(14196)] = 654185,
  [SMALL_STATE(14197)] = 654207,
  [SMALL_STATE(14198)] = 654233,
  [SMALL_STATE(14199)] = 654259,
  [SMALL_STATE(14200)] = 654281,
  [SMALL_STATE(14201)] = 654305,
  [SMALL_STATE(14202)] = 654325,
  [SMALL_STATE(14203)] = 654347,
  [SMALL_STATE(14204)] = 654369,
  [SMALL_STATE(14205)] = 654395,
  [SMALL_STATE(14206)] = 654417,
  [SMALL_STATE(14207)] = 654443,
  [SMALL_STATE(14208)] = 654469,
  [SMALL_STATE(14209)] = 654495,
  [SMALL_STATE(14210)] = 654521,
  [SMALL_STATE(14211)] = 654547,
  [SMALL_STATE(14212)] = 654569,
  [SMALL_STATE(14213)] = 654595,
  [SMALL_STATE(14214)] = 654621,
  [SMALL_STATE(14215)] = 654647,
  [SMALL_STATE(14216)] = 654673,
  [SMALL_STATE(14217)] = 654697,
  [SMALL_STATE(14218)] = 654723,
  [SMALL_STATE(14219)] = 654749,
  [SMALL_STATE(14220)] = 654775,
  [SMALL_STATE(14221)] = 654801,
  [SMALL_STATE(14222)] = 654827,
  [SMALL_STATE(14223)] = 654845,
  [SMALL_STATE(14224)] = 654871,
  [SMALL_STATE(14225)] = 654897,
  [SMALL_STATE(14226)] = 654923,
  [SMALL_STATE(14227)] = 654949,
  [SMALL_STATE(14228)] = 654975,
  [SMALL_STATE(14229)] = 655001,
  [SMALL_STATE(14230)] = 655027,
  [SMALL_STATE(14231)] = 655053,
  [SMALL_STATE(14232)] = 655079,
  [SMALL_STATE(14233)] = 655105,
  [SMALL_STATE(14234)] = 655131,
  [SMALL_STATE(14235)] = 655153,
  [SMALL_STATE(14236)] = 655179,
  [SMALL_STATE(14237)] = 655205,
  [SMALL_STATE(14238)] = 655223,
  [SMALL_STATE(14239)] = 655249,
  [SMALL_STATE(14240)] = 655275,
  [SMALL_STATE(14241)] = 655301,
  [SMALL_STATE(14242)] = 655327,
  [SMALL_STATE(14243)] = 655345,
  [SMALL_STATE(14244)] = 655371,
  [SMALL_STATE(14245)] = 655397,
  [SMALL_STATE(14246)] = 655423,
  [SMALL_STATE(14247)] = 655449,
  [SMALL_STATE(14248)] = 655467,
  [SMALL_STATE(14249)] = 655493,
  [SMALL_STATE(14250)] = 655515,
  [SMALL_STATE(14251)] = 655541,
  [SMALL_STATE(14252)] = 655567,
  [SMALL_STATE(14253)] = 655589,
  [SMALL_STATE(14254)] = 655615,
  [SMALL_STATE(14255)] = 655637,
  [SMALL_STATE(14256)] = 655659,
  [SMALL_STATE(14257)] = 655681,
  [SMALL_STATE(14258)] = 655707,
  [SMALL_STATE(14259)] = 655733,
  [SMALL_STATE(14260)] = 655759,
  [SMALL_STATE(14261)] = 655781,
  [SMALL_STATE(14262)] = 655807,
  [SMALL_STATE(14263)] = 655833,
  [SMALL_STATE(14264)] = 655859,
  [SMALL_STATE(14265)] = 655885,
  [SMALL_STATE(14266)] = 655911,
  [SMALL_STATE(14267)] = 655937,
  [SMALL_STATE(14268)] = 655963,
  [SMALL_STATE(14269)] = 655989,
  [SMALL_STATE(14270)] = 656015,
  [SMALL_STATE(14271)] = 656041,
  [SMALL_STATE(14272)] = 656067,
  [SMALL_STATE(14273)] = 656090,
  [SMALL_STATE(14274)] = 656113,
  [SMALL_STATE(14275)] = 656136,
  [SMALL_STATE(14276)] = 656159,
  [SMALL_STATE(14277)] = 656182,
  [SMALL_STATE(14278)] = 656205,
  [SMALL_STATE(14279)] = 656228,
  [SMALL_STATE(14280)] = 656251,
  [SMALL_STATE(14281)] = 656274,
  [SMALL_STATE(14282)] = 656297,
  [SMALL_STATE(14283)] = 656320,
  [SMALL_STATE(14284)] = 656343,
  [SMALL_STATE(14285)] = 656366,
  [SMALL_STATE(14286)] = 656389,
  [SMALL_STATE(14287)] = 656412,
  [SMALL_STATE(14288)] = 656435,
  [SMALL_STATE(14289)] = 656458,
  [SMALL_STATE(14290)] = 656479,
  [SMALL_STATE(14291)] = 656502,
  [SMALL_STATE(14292)] = 656525,
  [SMALL_STATE(14293)] = 656548,
  [SMALL_STATE(14294)] = 656571,
  [SMALL_STATE(14295)] = 656594,
  [SMALL_STATE(14296)] = 656617,
  [SMALL_STATE(14297)] = 656640,
  [SMALL_STATE(14298)] = 656663,
  [SMALL_STATE(14299)] = 656686,
  [SMALL_STATE(14300)] = 656709,
  [SMALL_STATE(14301)] = 656732,
  [SMALL_STATE(14302)] = 656755,
  [SMALL_STATE(14303)] = 656778,
  [SMALL_STATE(14304)] = 656799,
  [SMALL_STATE(14305)] = 656822,
  [SMALL_STATE(14306)] = 656843,
  [SMALL_STATE(14307)] = 656866,
  [SMALL_STATE(14308)] = 656889,
  [SMALL_STATE(14309)] = 656912,
  [SMALL_STATE(14310)] = 656935,
  [SMALL_STATE(14311)] = 656958,
  [SMALL_STATE(14312)] = 656981,
  [SMALL_STATE(14313)] = 657000,
  [SMALL_STATE(14314)] = 657023,
  [SMALL_STATE(14315)] = 657046,
  [SMALL_STATE(14316)] = 657069,
  [SMALL_STATE(14317)] = 657092,
  [SMALL_STATE(14318)] = 657115,
  [SMALL_STATE(14319)] = 657138,
  [SMALL_STATE(14320)] = 657161,
  [SMALL_STATE(14321)] = 657184,
  [SMALL_STATE(14322)] = 657207,
  [SMALL_STATE(14323)] = 657230,
  [SMALL_STATE(14324)] = 657253,
  [SMALL_STATE(14325)] = 657276,
  [SMALL_STATE(14326)] = 657299,
  [SMALL_STATE(14327)] = 657322,
  [SMALL_STATE(14328)] = 657345,
  [SMALL_STATE(14329)] = 657366,
  [SMALL_STATE(14330)] = 657389,
  [SMALL_STATE(14331)] = 657410,
  [SMALL_STATE(14332)] = 657433,
  [SMALL_STATE(14333)] = 657452,
  [SMALL_STATE(14334)] = 657475,
  [SMALL_STATE(14335)] = 657498,
  [SMALL_STATE(14336)] = 657521,
  [SMALL_STATE(14337)] = 657544,
  [SMALL_STATE(14338)] = 657567,
  [SMALL_STATE(14339)] = 657590,
  [SMALL_STATE(14340)] = 657613,
  [SMALL_STATE(14341)] = 657636,
  [SMALL_STATE(14342)] = 657659,
  [SMALL_STATE(14343)] = 657682,
  [SMALL_STATE(14344)] = 657705,
  [SMALL_STATE(14345)] = 657728,
  [SMALL_STATE(14346)] = 657751,
  [SMALL_STATE(14347)] = 657774,
  [SMALL_STATE(14348)] = 657797,
  [SMALL_STATE(14349)] = 657820,
  [SMALL_STATE(14350)] = 657843,
  [SMALL_STATE(14351)] = 657864,
  [SMALL_STATE(14352)] = 657887,
  [SMALL_STATE(14353)] = 657910,
  [SMALL_STATE(14354)] = 657933,
  [SMALL_STATE(14355)] = 657956,
  [SMALL_STATE(14356)] = 657979,
  [SMALL_STATE(14357)] = 658002,
  [SMALL_STATE(14358)] = 658025,
  [SMALL_STATE(14359)] = 658048,
  [SMALL_STATE(14360)] = 658071,
  [SMALL_STATE(14361)] = 658094,
  [SMALL_STATE(14362)] = 658117,
  [SMALL_STATE(14363)] = 658140,
  [SMALL_STATE(14364)] = 658163,
  [SMALL_STATE(14365)] = 658186,
  [SMALL_STATE(14366)] = 658209,
  [SMALL_STATE(14367)] = 658230,
  [SMALL_STATE(14368)] = 658251,
  [SMALL_STATE(14369)] = 658274,
  [SMALL_STATE(14370)] = 658295,
  [SMALL_STATE(14371)] = 658318,
  [SMALL_STATE(14372)] = 658341,
  [SMALL_STATE(14373)] = 658364,
  [SMALL_STATE(14374)] = 658387,
  [SMALL_STATE(14375)] = 658410,
  [SMALL_STATE(14376)] = 658433,
  [SMALL_STATE(14377)] = 658456,
  [SMALL_STATE(14378)] = 658479,
  [SMALL_STATE(14379)] = 658502,
  [SMALL_STATE(14380)] = 658525,
  [SMALL_STATE(14381)] = 658548,
  [SMALL_STATE(14382)] = 658571,
  [SMALL_STATE(14383)] = 658594,
  [SMALL_STATE(14384)] = 658615,
  [SMALL_STATE(14385)] = 658638,
  [SMALL_STATE(14386)] = 658661,
  [SMALL_STATE(14387)] = 658682,
  [SMALL_STATE(14388)] = 658705,
  [SMALL_STATE(14389)] = 658728,
  [SMALL_STATE(14390)] = 658751,
  [SMALL_STATE(14391)] = 658774,
  [SMALL_STATE(14392)] = 658797,
  [SMALL_STATE(14393)] = 658820,
  [SMALL_STATE(14394)] = 658843,
  [SMALL_STATE(14395)] = 658866,
  [SMALL_STATE(14396)] = 658889,
  [SMALL_STATE(14397)] = 658912,
  [SMALL_STATE(14398)] = 658935,
  [SMALL_STATE(14399)] = 658958,
  [SMALL_STATE(14400)] = 658981,
  [SMALL_STATE(14401)] = 659004,
  [SMALL_STATE(14402)] = 659027,
  [SMALL_STATE(14403)] = 659050,
  [SMALL_STATE(14404)] = 659073,
  [SMALL_STATE(14405)] = 659096,
  [SMALL_STATE(14406)] = 659119,
  [SMALL_STATE(14407)] = 659140,
  [SMALL_STATE(14408)] = 659163,
  [SMALL_STATE(14409)] = 659186,
  [SMALL_STATE(14410)] = 659209,
  [SMALL_STATE(14411)] = 659232,
  [SMALL_STATE(14412)] = 659255,
  [SMALL_STATE(14413)] = 659278,
  [SMALL_STATE(14414)] = 659301,
  [SMALL_STATE(14415)] = 659324,
  [SMALL_STATE(14416)] = 659347,
  [SMALL_STATE(14417)] = 659370,
  [SMALL_STATE(14418)] = 659393,
  [SMALL_STATE(14419)] = 659416,
  [SMALL_STATE(14420)] = 659437,
  [SMALL_STATE(14421)] = 659460,
  [SMALL_STATE(14422)] = 659483,
  [SMALL_STATE(14423)] = 659506,
  [SMALL_STATE(14424)] = 659529,
  [SMALL_STATE(14425)] = 659552,
  [SMALL_STATE(14426)] = 659575,
  [SMALL_STATE(14427)] = 659598,
  [SMALL_STATE(14428)] = 659621,
  [SMALL_STATE(14429)] = 659644,
  [SMALL_STATE(14430)] = 659667,
  [SMALL_STATE(14431)] = 659690,
  [SMALL_STATE(14432)] = 659713,
  [SMALL_STATE(14433)] = 659736,
  [SMALL_STATE(14434)] = 659759,
  [SMALL_STATE(14435)] = 659782,
  [SMALL_STATE(14436)] = 659805,
  [SMALL_STATE(14437)] = 659828,
  [SMALL_STATE(14438)] = 659851,
  [SMALL_STATE(14439)] = 659874,
  [SMALL_STATE(14440)] = 659897,
  [SMALL_STATE(14441)] = 659920,
  [SMALL_STATE(14442)] = 659943,
  [SMALL_STATE(14443)] = 659966,
  [SMALL_STATE(14444)] = 659989,
  [SMALL_STATE(14445)] = 660012,
  [SMALL_STATE(14446)] = 660035,
  [SMALL_STATE(14447)] = 660058,
  [SMALL_STATE(14448)] = 660081,
  [SMALL_STATE(14449)] = 660104,
  [SMALL_STATE(14450)] = 660127,
  [SMALL_STATE(14451)] = 660150,
  [SMALL_STATE(14452)] = 660173,
  [SMALL_STATE(14453)] = 660196,
  [SMALL_STATE(14454)] = 660219,
  [SMALL_STATE(14455)] = 660242,
  [SMALL_STATE(14456)] = 660265,
  [SMALL_STATE(14457)] = 660284,
  [SMALL_STATE(14458)] = 660307,
  [SMALL_STATE(14459)] = 660330,
  [SMALL_STATE(14460)] = 660353,
  [SMALL_STATE(14461)] = 660376,
  [SMALL_STATE(14462)] = 660399,
  [SMALL_STATE(14463)] = 660422,
  [SMALL_STATE(14464)] = 660445,
  [SMALL_STATE(14465)] = 660468,
  [SMALL_STATE(14466)] = 660491,
  [SMALL_STATE(14467)] = 660514,
  [SMALL_STATE(14468)] = 660537,
  [SMALL_STATE(14469)] = 660560,
  [SMALL_STATE(14470)] = 660583,
  [SMALL_STATE(14471)] = 660606,
  [SMALL_STATE(14472)] = 660629,
  [SMALL_STATE(14473)] = 660652,
  [SMALL_STATE(14474)] = 660675,
  [SMALL_STATE(14475)] = 660696,
  [SMALL_STATE(14476)] = 660719,
  [SMALL_STATE(14477)] = 660742,
  [SMALL_STATE(14478)] = 660765,
  [SMALL_STATE(14479)] = 660788,
  [SMALL_STATE(14480)] = 660811,
  [SMALL_STATE(14481)] = 660834,
  [SMALL_STATE(14482)] = 660857,
  [SMALL_STATE(14483)] = 660880,
  [SMALL_STATE(14484)] = 660903,
  [SMALL_STATE(14485)] = 660926,
  [SMALL_STATE(14486)] = 660949,
  [SMALL_STATE(14487)] = 660972,
  [SMALL_STATE(14488)] = 660993,
  [SMALL_STATE(14489)] = 661014,
  [SMALL_STATE(14490)] = 661037,
  [SMALL_STATE(14491)] = 661060,
  [SMALL_STATE(14492)] = 661083,
  [SMALL_STATE(14493)] = 661106,
  [SMALL_STATE(14494)] = 661129,
  [SMALL_STATE(14495)] = 661152,
  [SMALL_STATE(14496)] = 661175,
  [SMALL_STATE(14497)] = 661194,
  [SMALL_STATE(14498)] = 661215,
  [SMALL_STATE(14499)] = 661238,
  [SMALL_STATE(14500)] = 661261,
  [SMALL_STATE(14501)] = 661280,
  [SMALL_STATE(14502)] = 661303,
  [SMALL_STATE(14503)] = 661326,
  [SMALL_STATE(14504)] = 661349,
  [SMALL_STATE(14505)] = 661372,
  [SMALL_STATE(14506)] = 661395,
  [SMALL_STATE(14507)] = 661418,
  [SMALL_STATE(14508)] = 661441,
  [SMALL_STATE(14509)] = 661462,
  [SMALL_STATE(14510)] = 661485,
  [SMALL_STATE(14511)] = 661508,
  [SMALL_STATE(14512)] = 661531,
  [SMALL_STATE(14513)] = 661554,
  [SMALL_STATE(14514)] = 661577,
  [SMALL_STATE(14515)] = 661600,
  [SMALL_STATE(14516)] = 661623,
  [SMALL_STATE(14517)] = 661646,
  [SMALL_STATE(14518)] = 661669,
  [SMALL_STATE(14519)] = 661692,
  [SMALL_STATE(14520)] = 661715,
  [SMALL_STATE(14521)] = 661738,
  [SMALL_STATE(14522)] = 661759,
  [SMALL_STATE(14523)] = 661782,
  [SMALL_STATE(14524)] = 661805,
  [SMALL_STATE(14525)] = 661828,
  [SMALL_STATE(14526)] = 661851,
  [SMALL_STATE(14527)] = 661874,
  [SMALL_STATE(14528)] = 661897,
  [SMALL_STATE(14529)] = 661920,
  [SMALL_STATE(14530)] = 661943,
  [SMALL_STATE(14531)] = 661966,
  [SMALL_STATE(14532)] = 661989,
  [SMALL_STATE(14533)] = 662012,
  [SMALL_STATE(14534)] = 662035,
  [SMALL_STATE(14535)] = 662056,
  [SMALL_STATE(14536)] = 662079,
  [SMALL_STATE(14537)] = 662102,
  [SMALL_STATE(14538)] = 662125,
  [SMALL_STATE(14539)] = 662148,
  [SMALL_STATE(14540)] = 662171,
  [SMALL_STATE(14541)] = 662194,
  [SMALL_STATE(14542)] = 662217,
  [SMALL_STATE(14543)] = 662240,
  [SMALL_STATE(14544)] = 662261,
  [SMALL_STATE(14545)] = 662284,
  [SMALL_STATE(14546)] = 662307,
  [SMALL_STATE(14547)] = 662330,
  [SMALL_STATE(14548)] = 662353,
  [SMALL_STATE(14549)] = 662376,
  [SMALL_STATE(14550)] = 662399,
  [SMALL_STATE(14551)] = 662422,
  [SMALL_STATE(14552)] = 662445,
  [SMALL_STATE(14553)] = 662468,
  [SMALL_STATE(14554)] = 662491,
  [SMALL_STATE(14555)] = 662514,
  [SMALL_STATE(14556)] = 662537,
  [SMALL_STATE(14557)] = 662560,
  [SMALL_STATE(14558)] = 662583,
  [SMALL_STATE(14559)] = 662606,
  [SMALL_STATE(14560)] = 662629,
  [SMALL_STATE(14561)] = 662652,
  [SMALL_STATE(14562)] = 662675,
  [SMALL_STATE(14563)] = 662698,
  [SMALL_STATE(14564)] = 662721,
  [SMALL_STATE(14565)] = 662744,
  [SMALL_STATE(14566)] = 662767,
  [SMALL_STATE(14567)] = 662790,
  [SMALL_STATE(14568)] = 662813,
  [SMALL_STATE(14569)] = 662836,
  [SMALL_STATE(14570)] = 662859,
  [SMALL_STATE(14571)] = 662882,
  [SMALL_STATE(14572)] = 662905,
  [SMALL_STATE(14573)] = 662928,
  [SMALL_STATE(14574)] = 662951,
  [SMALL_STATE(14575)] = 662974,
  [SMALL_STATE(14576)] = 662997,
  [SMALL_STATE(14577)] = 663020,
  [SMALL_STATE(14578)] = 663043,
  [SMALL_STATE(14579)] = 663066,
  [SMALL_STATE(14580)] = 663089,
  [SMALL_STATE(14581)] = 663112,
  [SMALL_STATE(14582)] = 663135,
  [SMALL_STATE(14583)] = 663158,
  [SMALL_STATE(14584)] = 663181,
  [SMALL_STATE(14585)] = 663204,
  [SMALL_STATE(14586)] = 663227,
  [SMALL_STATE(14587)] = 663250,
  [SMALL_STATE(14588)] = 663273,
  [SMALL_STATE(14589)] = 663296,
  [SMALL_STATE(14590)] = 663319,
  [SMALL_STATE(14591)] = 663342,
  [SMALL_STATE(14592)] = 663365,
  [SMALL_STATE(14593)] = 663388,
  [SMALL_STATE(14594)] = 663411,
  [SMALL_STATE(14595)] = 663432,
  [SMALL_STATE(14596)] = 663455,
  [SMALL_STATE(14597)] = 663478,
  [SMALL_STATE(14598)] = 663501,
  [SMALL_STATE(14599)] = 663524,
  [SMALL_STATE(14600)] = 663547,
  [SMALL_STATE(14601)] = 663566,
  [SMALL_STATE(14602)] = 663589,
  [SMALL_STATE(14603)] = 663612,
  [SMALL_STATE(14604)] = 663635,
  [SMALL_STATE(14605)] = 663658,
  [SMALL_STATE(14606)] = 663681,
  [SMALL_STATE(14607)] = 663704,
  [SMALL_STATE(14608)] = 663727,
  [SMALL_STATE(14609)] = 663750,
  [SMALL_STATE(14610)] = 663773,
  [SMALL_STATE(14611)] = 663794,
  [SMALL_STATE(14612)] = 663817,
  [SMALL_STATE(14613)] = 663840,
  [SMALL_STATE(14614)] = 663863,
  [SMALL_STATE(14615)] = 663886,
  [SMALL_STATE(14616)] = 663909,
  [SMALL_STATE(14617)] = 663932,
  [SMALL_STATE(14618)] = 663955,
  [SMALL_STATE(14619)] = 663978,
  [SMALL_STATE(14620)] = 664001,
  [SMALL_STATE(14621)] = 664024,
  [SMALL_STATE(14622)] = 664047,
  [SMALL_STATE(14623)] = 664070,
  [SMALL_STATE(14624)] = 664093,
  [SMALL_STATE(14625)] = 664116,
  [SMALL_STATE(14626)] = 664139,
  [SMALL_STATE(14627)] = 664162,
  [SMALL_STATE(14628)] = 664185,
  [SMALL_STATE(14629)] = 664208,
  [SMALL_STATE(14630)] = 664231,
  [SMALL_STATE(14631)] = 664254,
  [SMALL_STATE(14632)] = 664277,
  [SMALL_STATE(14633)] = 664300,
  [SMALL_STATE(14634)] = 664323,
  [SMALL_STATE(14635)] = 664346,
  [SMALL_STATE(14636)] = 664369,
  [SMALL_STATE(14637)] = 664392,
  [SMALL_STATE(14638)] = 664415,
  [SMALL_STATE(14639)] = 664436,
  [SMALL_STATE(14640)] = 664459,
  [SMALL_STATE(14641)] = 664482,
  [SMALL_STATE(14642)] = 664505,
  [SMALL_STATE(14643)] = 664524,
  [SMALL_STATE(14644)] = 664547,
  [SMALL_STATE(14645)] = 664570,
  [SMALL_STATE(14646)] = 664593,
  [SMALL_STATE(14647)] = 664616,
  [SMALL_STATE(14648)] = 664639,
  [SMALL_STATE(14649)] = 664662,
  [SMALL_STATE(14650)] = 664685,
  [SMALL_STATE(14651)] = 664708,
  [SMALL_STATE(14652)] = 664731,
  [SMALL_STATE(14653)] = 664752,
  [SMALL_STATE(14654)] = 664775,
  [SMALL_STATE(14655)] = 664796,
  [SMALL_STATE(14656)] = 664819,
  [SMALL_STATE(14657)] = 664842,
  [SMALL_STATE(14658)] = 664865,
  [SMALL_STATE(14659)] = 664888,
  [SMALL_STATE(14660)] = 664909,
  [SMALL_STATE(14661)] = 664932,
  [SMALL_STATE(14662)] = 664955,
  [SMALL_STATE(14663)] = 664976,
  [SMALL_STATE(14664)] = 664999,
  [SMALL_STATE(14665)] = 665022,
  [SMALL_STATE(14666)] = 665045,
  [SMALL_STATE(14667)] = 665068,
  [SMALL_STATE(14668)] = 665091,
  [SMALL_STATE(14669)] = 665114,
  [SMALL_STATE(14670)] = 665137,
  [SMALL_STATE(14671)] = 665160,
  [SMALL_STATE(14672)] = 665183,
  [SMALL_STATE(14673)] = 665206,
  [SMALL_STATE(14674)] = 665229,
  [SMALL_STATE(14675)] = 665252,
  [SMALL_STATE(14676)] = 665275,
  [SMALL_STATE(14677)] = 665298,
  [SMALL_STATE(14678)] = 665321,
  [SMALL_STATE(14679)] = 665344,
  [SMALL_STATE(14680)] = 665367,
  [SMALL_STATE(14681)] = 665390,
  [SMALL_STATE(14682)] = 665413,
  [SMALL_STATE(14683)] = 665436,
  [SMALL_STATE(14684)] = 665457,
  [SMALL_STATE(14685)] = 665480,
  [SMALL_STATE(14686)] = 665503,
  [SMALL_STATE(14687)] = 665526,
  [SMALL_STATE(14688)] = 665549,
  [SMALL_STATE(14689)] = 665572,
  [SMALL_STATE(14690)] = 665595,
  [SMALL_STATE(14691)] = 665614,
  [SMALL_STATE(14692)] = 665637,
  [SMALL_STATE(14693)] = 665660,
  [SMALL_STATE(14694)] = 665683,
  [SMALL_STATE(14695)] = 665706,
  [SMALL_STATE(14696)] = 665729,
  [SMALL_STATE(14697)] = 665752,
  [SMALL_STATE(14698)] = 665775,
  [SMALL_STATE(14699)] = 665798,
  [SMALL_STATE(14700)] = 665821,
  [SMALL_STATE(14701)] = 665844,
  [SMALL_STATE(14702)] = 665867,
  [SMALL_STATE(14703)] = 665890,
  [SMALL_STATE(14704)] = 665913,
  [SMALL_STATE(14705)] = 665936,
  [SMALL_STATE(14706)] = 665959,
  [SMALL_STATE(14707)] = 665982,
  [SMALL_STATE(14708)] = 666005,
  [SMALL_STATE(14709)] = 666028,
  [SMALL_STATE(14710)] = 666051,
  [SMALL_STATE(14711)] = 666074,
  [SMALL_STATE(14712)] = 666097,
  [SMALL_STATE(14713)] = 666120,
  [SMALL_STATE(14714)] = 666141,
  [SMALL_STATE(14715)] = 666164,
  [SMALL_STATE(14716)] = 666187,
  [SMALL_STATE(14717)] = 666210,
  [SMALL_STATE(14718)] = 666233,
  [SMALL_STATE(14719)] = 666256,
  [SMALL_STATE(14720)] = 666279,
  [SMALL_STATE(14721)] = 666302,
  [SMALL_STATE(14722)] = 666325,
  [SMALL_STATE(14723)] = 666348,
  [SMALL_STATE(14724)] = 666371,
  [SMALL_STATE(14725)] = 666394,
  [SMALL_STATE(14726)] = 666417,
  [SMALL_STATE(14727)] = 666440,
  [SMALL_STATE(14728)] = 666463,
  [SMALL_STATE(14729)] = 666486,
  [SMALL_STATE(14730)] = 666509,
  [SMALL_STATE(14731)] = 666532,
  [SMALL_STATE(14732)] = 666555,
  [SMALL_STATE(14733)] = 666578,
  [SMALL_STATE(14734)] = 666601,
  [SMALL_STATE(14735)] = 666624,
  [SMALL_STATE(14736)] = 666647,
  [SMALL_STATE(14737)] = 666670,
  [SMALL_STATE(14738)] = 666693,
  [SMALL_STATE(14739)] = 666716,
  [SMALL_STATE(14740)] = 666739,
  [SMALL_STATE(14741)] = 666762,
  [SMALL_STATE(14742)] = 666785,
  [SMALL_STATE(14743)] = 666808,
  [SMALL_STATE(14744)] = 666831,
  [SMALL_STATE(14745)] = 666854,
  [SMALL_STATE(14746)] = 666877,
  [SMALL_STATE(14747)] = 666896,
  [SMALL_STATE(14748)] = 666919,
  [SMALL_STATE(14749)] = 666942,
  [SMALL_STATE(14750)] = 666965,
  [SMALL_STATE(14751)] = 666988,
  [SMALL_STATE(14752)] = 667011,
  [SMALL_STATE(14753)] = 667034,
  [SMALL_STATE(14754)] = 667057,
  [SMALL_STATE(14755)] = 667078,
  [SMALL_STATE(14756)] = 667101,
  [SMALL_STATE(14757)] = 667124,
  [SMALL_STATE(14758)] = 667147,
  [SMALL_STATE(14759)] = 667170,
  [SMALL_STATE(14760)] = 667193,
  [SMALL_STATE(14761)] = 667214,
  [SMALL_STATE(14762)] = 667237,
  [SMALL_STATE(14763)] = 667260,
  [SMALL_STATE(14764)] = 667283,
  [SMALL_STATE(14765)] = 667306,
  [SMALL_STATE(14766)] = 667329,
  [SMALL_STATE(14767)] = 667352,
  [SMALL_STATE(14768)] = 667375,
  [SMALL_STATE(14769)] = 667398,
  [SMALL_STATE(14770)] = 667421,
  [SMALL_STATE(14771)] = 667444,
  [SMALL_STATE(14772)] = 667467,
  [SMALL_STATE(14773)] = 667490,
  [SMALL_STATE(14774)] = 667513,
  [SMALL_STATE(14775)] = 667536,
  [SMALL_STATE(14776)] = 667559,
  [SMALL_STATE(14777)] = 667582,
  [SMALL_STATE(14778)] = 667605,
  [SMALL_STATE(14779)] = 667628,
  [SMALL_STATE(14780)] = 667651,
  [SMALL_STATE(14781)] = 667674,
  [SMALL_STATE(14782)] = 667697,
  [SMALL_STATE(14783)] = 667720,
  [SMALL_STATE(14784)] = 667743,
  [SMALL_STATE(14785)] = 667766,
  [SMALL_STATE(14786)] = 667789,
  [SMALL_STATE(14787)] = 667812,
  [SMALL_STATE(14788)] = 667835,
  [SMALL_STATE(14789)] = 667858,
  [SMALL_STATE(14790)] = 667881,
  [SMALL_STATE(14791)] = 667904,
  [SMALL_STATE(14792)] = 667927,
  [SMALL_STATE(14793)] = 667950,
  [SMALL_STATE(14794)] = 667973,
  [SMALL_STATE(14795)] = 667996,
  [SMALL_STATE(14796)] = 668019,
  [SMALL_STATE(14797)] = 668042,
  [SMALL_STATE(14798)] = 668065,
  [SMALL_STATE(14799)] = 668088,
  [SMALL_STATE(14800)] = 668111,
  [SMALL_STATE(14801)] = 668134,
  [SMALL_STATE(14802)] = 668157,
  [SMALL_STATE(14803)] = 668180,
  [SMALL_STATE(14804)] = 668203,
  [SMALL_STATE(14805)] = 668226,
  [SMALL_STATE(14806)] = 668249,
  [SMALL_STATE(14807)] = 668272,
  [SMALL_STATE(14808)] = 668295,
  [SMALL_STATE(14809)] = 668318,
  [SMALL_STATE(14810)] = 668341,
  [SMALL_STATE(14811)] = 668362,
  [SMALL_STATE(14812)] = 668385,
  [SMALL_STATE(14813)] = 668408,
  [SMALL_STATE(14814)] = 668431,
  [SMALL_STATE(14815)] = 668454,
  [SMALL_STATE(14816)] = 668477,
  [SMALL_STATE(14817)] = 668500,
  [SMALL_STATE(14818)] = 668523,
  [SMALL_STATE(14819)] = 668546,
  [SMALL_STATE(14820)] = 668569,
  [SMALL_STATE(14821)] = 668592,
  [SMALL_STATE(14822)] = 668615,
  [SMALL_STATE(14823)] = 668638,
  [SMALL_STATE(14824)] = 668661,
  [SMALL_STATE(14825)] = 668684,
  [SMALL_STATE(14826)] = 668707,
  [SMALL_STATE(14827)] = 668730,
  [SMALL_STATE(14828)] = 668753,
  [SMALL_STATE(14829)] = 668776,
  [SMALL_STATE(14830)] = 668799,
  [SMALL_STATE(14831)] = 668822,
  [SMALL_STATE(14832)] = 668845,
  [SMALL_STATE(14833)] = 668868,
  [SMALL_STATE(14834)] = 668891,
  [SMALL_STATE(14835)] = 668914,
  [SMALL_STATE(14836)] = 668937,
  [SMALL_STATE(14837)] = 668960,
  [SMALL_STATE(14838)] = 668983,
  [SMALL_STATE(14839)] = 669006,
  [SMALL_STATE(14840)] = 669027,
  [SMALL_STATE(14841)] = 669050,
  [SMALL_STATE(14842)] = 669073,
  [SMALL_STATE(14843)] = 669096,
  [SMALL_STATE(14844)] = 669119,
  [SMALL_STATE(14845)] = 669142,
  [SMALL_STATE(14846)] = 669165,
  [SMALL_STATE(14847)] = 669188,
  [SMALL_STATE(14848)] = 669211,
  [SMALL_STATE(14849)] = 669234,
  [SMALL_STATE(14850)] = 669257,
  [SMALL_STATE(14851)] = 669280,
  [SMALL_STATE(14852)] = 669303,
  [SMALL_STATE(14853)] = 669326,
  [SMALL_STATE(14854)] = 669349,
  [SMALL_STATE(14855)] = 669372,
  [SMALL_STATE(14856)] = 669395,
  [SMALL_STATE(14857)] = 669418,
  [SMALL_STATE(14858)] = 669441,
  [SMALL_STATE(14859)] = 669464,
  [SMALL_STATE(14860)] = 669487,
  [SMALL_STATE(14861)] = 669510,
  [SMALL_STATE(14862)] = 669533,
  [SMALL_STATE(14863)] = 669552,
  [SMALL_STATE(14864)] = 669575,
  [SMALL_STATE(14865)] = 669598,
  [SMALL_STATE(14866)] = 669619,
  [SMALL_STATE(14867)] = 669642,
  [SMALL_STATE(14868)] = 669665,
  [SMALL_STATE(14869)] = 669688,
  [SMALL_STATE(14870)] = 669711,
  [SMALL_STATE(14871)] = 669734,
  [SMALL_STATE(14872)] = 669757,
  [SMALL_STATE(14873)] = 669780,
  [SMALL_STATE(14874)] = 669803,
  [SMALL_STATE(14875)] = 669826,
  [SMALL_STATE(14876)] = 669849,
  [SMALL_STATE(14877)] = 669872,
  [SMALL_STATE(14878)] = 669895,
  [SMALL_STATE(14879)] = 669918,
  [SMALL_STATE(14880)] = 669941,
  [SMALL_STATE(14881)] = 669964,
  [SMALL_STATE(14882)] = 669987,
  [SMALL_STATE(14883)] = 670010,
  [SMALL_STATE(14884)] = 670033,
  [SMALL_STATE(14885)] = 670056,
  [SMALL_STATE(14886)] = 670079,
  [SMALL_STATE(14887)] = 670102,
  [SMALL_STATE(14888)] = 670125,
  [SMALL_STATE(14889)] = 670146,
  [SMALL_STATE(14890)] = 670169,
  [SMALL_STATE(14891)] = 670192,
  [SMALL_STATE(14892)] = 670215,
  [SMALL_STATE(14893)] = 670238,
  [SMALL_STATE(14894)] = 670261,
  [SMALL_STATE(14895)] = 670282,
  [SMALL_STATE(14896)] = 670305,
  [SMALL_STATE(14897)] = 670328,
  [SMALL_STATE(14898)] = 670351,
  [SMALL_STATE(14899)] = 670374,
  [SMALL_STATE(14900)] = 670393,
  [SMALL_STATE(14901)] = 670416,
  [SMALL_STATE(14902)] = 670439,
  [SMALL_STATE(14903)] = 670462,
  [SMALL_STATE(14904)] = 670485,
  [SMALL_STATE(14905)] = 670508,
  [SMALL_STATE(14906)] = 670531,
  [SMALL_STATE(14907)] = 670554,
  [SMALL_STATE(14908)] = 670577,
  [SMALL_STATE(14909)] = 670600,
  [SMALL_STATE(14910)] = 670623,
  [SMALL_STATE(14911)] = 670646,
  [SMALL_STATE(14912)] = 670669,
  [SMALL_STATE(14913)] = 670692,
  [SMALL_STATE(14914)] = 670711,
  [SMALL_STATE(14915)] = 670734,
  [SMALL_STATE(14916)] = 670757,
  [SMALL_STATE(14917)] = 670780,
  [SMALL_STATE(14918)] = 670803,
  [SMALL_STATE(14919)] = 670826,
  [SMALL_STATE(14920)] = 670849,
  [SMALL_STATE(14921)] = 670870,
  [SMALL_STATE(14922)] = 670893,
  [SMALL_STATE(14923)] = 670916,
  [SMALL_STATE(14924)] = 670939,
  [SMALL_STATE(14925)] = 670962,
  [SMALL_STATE(14926)] = 670985,
  [SMALL_STATE(14927)] = 671008,
  [SMALL_STATE(14928)] = 671031,
  [SMALL_STATE(14929)] = 671054,
  [SMALL_STATE(14930)] = 671075,
  [SMALL_STATE(14931)] = 671098,
  [SMALL_STATE(14932)] = 671121,
  [SMALL_STATE(14933)] = 671144,
  [SMALL_STATE(14934)] = 671167,
  [SMALL_STATE(14935)] = 671190,
  [SMALL_STATE(14936)] = 671211,
  [SMALL_STATE(14937)] = 671232,
  [SMALL_STATE(14938)] = 671255,
  [SMALL_STATE(14939)] = 671278,
  [SMALL_STATE(14940)] = 671301,
  [SMALL_STATE(14941)] = 671324,
  [SMALL_STATE(14942)] = 671347,
  [SMALL_STATE(14943)] = 671370,
  [SMALL_STATE(14944)] = 671391,
  [SMALL_STATE(14945)] = 671414,
  [SMALL_STATE(14946)] = 671435,
  [SMALL_STATE(14947)] = 671458,
  [SMALL_STATE(14948)] = 671479,
  [SMALL_STATE(14949)] = 671502,
  [SMALL_STATE(14950)] = 671525,
  [SMALL_STATE(14951)] = 671548,
  [SMALL_STATE(14952)] = 671571,
  [SMALL_STATE(14953)] = 671592,
  [SMALL_STATE(14954)] = 671615,
  [SMALL_STATE(14955)] = 671636,
  [SMALL_STATE(14956)] = 671659,
  [SMALL_STATE(14957)] = 671680,
  [SMALL_STATE(14958)] = 671703,
  [SMALL_STATE(14959)] = 671723,
  [SMALL_STATE(14960)] = 671743,
  [SMALL_STATE(14961)] = 671763,
  [SMALL_STATE(14962)] = 671783,
  [SMALL_STATE(14963)] = 671803,
  [SMALL_STATE(14964)] = 671823,
  [SMALL_STATE(14965)] = 671843,
  [SMALL_STATE(14966)] = 671863,
  [SMALL_STATE(14967)] = 671883,
  [SMALL_STATE(14968)] = 671903,
  [SMALL_STATE(14969)] = 671923,
  [SMALL_STATE(14970)] = 671943,
  [SMALL_STATE(14971)] = 671963,
  [SMALL_STATE(14972)] = 671983,
  [SMALL_STATE(14973)] = 672003,
  [SMALL_STATE(14974)] = 672023,
  [SMALL_STATE(14975)] = 672043,
  [SMALL_STATE(14976)] = 672063,
  [SMALL_STATE(14977)] = 672083,
  [SMALL_STATE(14978)] = 672103,
  [SMALL_STATE(14979)] = 672123,
  [SMALL_STATE(14980)] = 672143,
  [SMALL_STATE(14981)] = 672163,
  [SMALL_STATE(14982)] = 672183,
  [SMALL_STATE(14983)] = 672203,
  [SMALL_STATE(14984)] = 672223,
  [SMALL_STATE(14985)] = 672241,
  [SMALL_STATE(14986)] = 672261,
  [SMALL_STATE(14987)] = 672281,
  [SMALL_STATE(14988)] = 672301,
  [SMALL_STATE(14989)] = 672321,
  [SMALL_STATE(14990)] = 672339,
  [SMALL_STATE(14991)] = 672359,
  [SMALL_STATE(14992)] = 672379,
  [SMALL_STATE(14993)] = 672399,
  [SMALL_STATE(14994)] = 672419,
  [SMALL_STATE(14995)] = 672439,
  [SMALL_STATE(14996)] = 672459,
  [SMALL_STATE(14997)] = 672479,
  [SMALL_STATE(14998)] = 672499,
  [SMALL_STATE(14999)] = 672519,
  [SMALL_STATE(15000)] = 672539,
  [SMALL_STATE(15001)] = 672555,
  [SMALL_STATE(15002)] = 672575,
  [SMALL_STATE(15003)] = 672595,
  [SMALL_STATE(15004)] = 672615,
  [SMALL_STATE(15005)] = 672635,
  [SMALL_STATE(15006)] = 672655,
  [SMALL_STATE(15007)] = 672675,
  [SMALL_STATE(15008)] = 672695,
  [SMALL_STATE(15009)] = 672715,
  [SMALL_STATE(15010)] = 672735,
  [SMALL_STATE(15011)] = 672755,
  [SMALL_STATE(15012)] = 672775,
  [SMALL_STATE(15013)] = 672795,
  [SMALL_STATE(15014)] = 672815,
  [SMALL_STATE(15015)] = 672835,
  [SMALL_STATE(15016)] = 672855,
  [SMALL_STATE(15017)] = 672875,
  [SMALL_STATE(15018)] = 672895,
  [SMALL_STATE(15019)] = 672915,
  [SMALL_STATE(15020)] = 672933,
  [SMALL_STATE(15021)] = 672953,
  [SMALL_STATE(15022)] = 672973,
  [SMALL_STATE(15023)] = 672993,
  [SMALL_STATE(15024)] = 673013,
  [SMALL_STATE(15025)] = 673033,
  [SMALL_STATE(15026)] = 673053,
  [SMALL_STATE(15027)] = 673073,
  [SMALL_STATE(15028)] = 673093,
  [SMALL_STATE(15029)] = 673113,
  [SMALL_STATE(15030)] = 673133,
  [SMALL_STATE(15031)] = 673153,
  [SMALL_STATE(15032)] = 673173,
  [SMALL_STATE(15033)] = 673193,
  [SMALL_STATE(15034)] = 673213,
  [SMALL_STATE(15035)] = 673233,
  [SMALL_STATE(15036)] = 673253,
  [SMALL_STATE(15037)] = 673273,
  [SMALL_STATE(15038)] = 673293,
  [SMALL_STATE(15039)] = 673313,
  [SMALL_STATE(15040)] = 673333,
  [SMALL_STATE(15041)] = 673353,
  [SMALL_STATE(15042)] = 673373,
  [SMALL_STATE(15043)] = 673393,
  [SMALL_STATE(15044)] = 673413,
  [SMALL_STATE(15045)] = 673431,
  [SMALL_STATE(15046)] = 673451,
  [SMALL_STATE(15047)] = 673471,
  [SMALL_STATE(15048)] = 673491,
  [SMALL_STATE(15049)] = 673511,
  [SMALL_STATE(15050)] = 673529,
  [SMALL_STATE(15051)] = 673549,
  [SMALL_STATE(15052)] = 673569,
  [SMALL_STATE(15053)] = 673589,
  [SMALL_STATE(15054)] = 673609,
  [SMALL_STATE(15055)] = 673627,
  [SMALL_STATE(15056)] = 673647,
  [SMALL_STATE(15057)] = 673667,
  [SMALL_STATE(15058)] = 673687,
  [SMALL_STATE(15059)] = 673707,
  [SMALL_STATE(15060)] = 673727,
  [SMALL_STATE(15061)] = 673747,
  [SMALL_STATE(15062)] = 673767,
  [SMALL_STATE(15063)] = 673787,
  [SMALL_STATE(15064)] = 673807,
  [SMALL_STATE(15065)] = 673827,
  [SMALL_STATE(15066)] = 673847,
  [SMALL_STATE(15067)] = 673867,
  [SMALL_STATE(15068)] = 673885,
  [SMALL_STATE(15069)] = 673905,
  [SMALL_STATE(15070)] = 673925,
  [SMALL_STATE(15071)] = 673945,
  [SMALL_STATE(15072)] = 673965,
  [SMALL_STATE(15073)] = 673985,
  [SMALL_STATE(15074)] = 674005,
  [SMALL_STATE(15075)] = 674025,
  [SMALL_STATE(15076)] = 674045,
  [SMALL_STATE(15077)] = 674065,
  [SMALL_STATE(15078)] = 674085,
  [SMALL_STATE(15079)] = 674103,
  [SMALL_STATE(15080)] = 674123,
  [SMALL_STATE(15081)] = 674143,
  [SMALL_STATE(15082)] = 674163,
  [SMALL_STATE(15083)] = 674183,
  [SMALL_STATE(15084)] = 674203,
  [SMALL_STATE(15085)] = 674223,
  [SMALL_STATE(15086)] = 674243,
  [SMALL_STATE(15087)] = 674263,
  [SMALL_STATE(15088)] = 674283,
  [SMALL_STATE(15089)] = 674303,
  [SMALL_STATE(15090)] = 674323,
  [SMALL_STATE(15091)] = 674343,
  [SMALL_STATE(15092)] = 674361,
  [SMALL_STATE(15093)] = 674381,
  [SMALL_STATE(15094)] = 674401,
  [SMALL_STATE(15095)] = 674421,
  [SMALL_STATE(15096)] = 674439,
  [SMALL_STATE(15097)] = 674459,
  [SMALL_STATE(15098)] = 674477,
  [SMALL_STATE(15099)] = 674497,
  [SMALL_STATE(15100)] = 674517,
  [SMALL_STATE(15101)] = 674537,
  [SMALL_STATE(15102)] = 674557,
  [SMALL_STATE(15103)] = 674575,
  [SMALL_STATE(15104)] = 674595,
  [SMALL_STATE(15105)] = 674615,
  [SMALL_STATE(15106)] = 674635,
  [SMALL_STATE(15107)] = 674655,
  [SMALL_STATE(15108)] = 674675,
  [SMALL_STATE(15109)] = 674691,
  [SMALL_STATE(15110)] = 674711,
  [SMALL_STATE(15111)] = 674731,
  [SMALL_STATE(15112)] = 674751,
  [SMALL_STATE(15113)] = 674771,
  [SMALL_STATE(15114)] = 674791,
  [SMALL_STATE(15115)] = 674809,
  [SMALL_STATE(15116)] = 674829,
  [SMALL_STATE(15117)] = 674849,
  [SMALL_STATE(15118)] = 674869,
  [SMALL_STATE(15119)] = 674889,
  [SMALL_STATE(15120)] = 674909,
  [SMALL_STATE(15121)] = 674929,
  [SMALL_STATE(15122)] = 674949,
  [SMALL_STATE(15123)] = 674969,
  [SMALL_STATE(15124)] = 674989,
  [SMALL_STATE(15125)] = 675009,
  [SMALL_STATE(15126)] = 675029,
  [SMALL_STATE(15127)] = 675049,
  [SMALL_STATE(15128)] = 675069,
  [SMALL_STATE(15129)] = 675087,
  [SMALL_STATE(15130)] = 675107,
  [SMALL_STATE(15131)] = 675127,
  [SMALL_STATE(15132)] = 675147,
  [SMALL_STATE(15133)] = 675167,
  [SMALL_STATE(15134)] = 675187,
  [SMALL_STATE(15135)] = 675207,
  [SMALL_STATE(15136)] = 675227,
  [SMALL_STATE(15137)] = 675247,
  [SMALL_STATE(15138)] = 675267,
  [SMALL_STATE(15139)] = 675287,
  [SMALL_STATE(15140)] = 675305,
  [SMALL_STATE(15141)] = 675325,
  [SMALL_STATE(15142)] = 675345,
  [SMALL_STATE(15143)] = 675365,
  [SMALL_STATE(15144)] = 675385,
  [SMALL_STATE(15145)] = 675405,
  [SMALL_STATE(15146)] = 675425,
  [SMALL_STATE(15147)] = 675445,
  [SMALL_STATE(15148)] = 675465,
  [SMALL_STATE(15149)] = 675485,
  [SMALL_STATE(15150)] = 675505,
  [SMALL_STATE(15151)] = 675525,
  [SMALL_STATE(15152)] = 675545,
  [SMALL_STATE(15153)] = 675565,
  [SMALL_STATE(15154)] = 675585,
  [SMALL_STATE(15155)] = 675605,
  [SMALL_STATE(15156)] = 675625,
  [SMALL_STATE(15157)] = 675645,
  [SMALL_STATE(15158)] = 675663,
  [SMALL_STATE(15159)] = 675683,
  [SMALL_STATE(15160)] = 675703,
  [SMALL_STATE(15161)] = 675723,
  [SMALL_STATE(15162)] = 675743,
  [SMALL_STATE(15163)] = 675763,
  [SMALL_STATE(15164)] = 675783,
  [SMALL_STATE(15165)] = 675801,
  [SMALL_STATE(15166)] = 675821,
  [SMALL_STATE(15167)] = 675841,
  [SMALL_STATE(15168)] = 675861,
  [SMALL_STATE(15169)] = 675881,
  [SMALL_STATE(15170)] = 675901,
  [SMALL_STATE(15171)] = 675921,
  [SMALL_STATE(15172)] = 675941,
  [SMALL_STATE(15173)] = 675961,
  [SMALL_STATE(15174)] = 675981,
  [SMALL_STATE(15175)] = 676001,
  [SMALL_STATE(15176)] = 676021,
  [SMALL_STATE(15177)] = 676041,
  [SMALL_STATE(15178)] = 676061,
  [SMALL_STATE(15179)] = 676081,
  [SMALL_STATE(15180)] = 676101,
  [SMALL_STATE(15181)] = 676121,
  [SMALL_STATE(15182)] = 676141,
  [SMALL_STATE(15183)] = 676161,
  [SMALL_STATE(15184)] = 676181,
  [SMALL_STATE(15185)] = 676201,
  [SMALL_STATE(15186)] = 676221,
  [SMALL_STATE(15187)] = 676239,
  [SMALL_STATE(15188)] = 676259,
  [SMALL_STATE(15189)] = 676279,
  [SMALL_STATE(15190)] = 676299,
  [SMALL_STATE(15191)] = 676319,
  [SMALL_STATE(15192)] = 676339,
  [SMALL_STATE(15193)] = 676359,
  [SMALL_STATE(15194)] = 676377,
  [SMALL_STATE(15195)] = 676395,
  [SMALL_STATE(15196)] = 676415,
  [SMALL_STATE(15197)] = 676435,
  [SMALL_STATE(15198)] = 676455,
  [SMALL_STATE(15199)] = 676475,
  [SMALL_STATE(15200)] = 676493,
  [SMALL_STATE(15201)] = 676513,
  [SMALL_STATE(15202)] = 676533,
  [SMALL_STATE(15203)] = 676553,
  [SMALL_STATE(15204)] = 676573,
  [SMALL_STATE(15205)] = 676593,
  [SMALL_STATE(15206)] = 676613,
  [SMALL_STATE(15207)] = 676633,
  [SMALL_STATE(15208)] = 676653,
  [SMALL_STATE(15209)] = 676673,
  [SMALL_STATE(15210)] = 676693,
  [SMALL_STATE(15211)] = 676713,
  [SMALL_STATE(15212)] = 676733,
  [SMALL_STATE(15213)] = 676753,
  [SMALL_STATE(15214)] = 676773,
  [SMALL_STATE(15215)] = 676791,
  [SMALL_STATE(15216)] = 676811,
  [SMALL_STATE(15217)] = 676831,
  [SMALL_STATE(15218)] = 676849,
  [SMALL_STATE(15219)] = 676869,
  [SMALL_STATE(15220)] = 676889,
  [SMALL_STATE(15221)] = 676909,
  [SMALL_STATE(15222)] = 676927,
  [SMALL_STATE(15223)] = 676947,
  [SMALL_STATE(15224)] = 676967,
  [SMALL_STATE(15225)] = 676987,
  [SMALL_STATE(15226)] = 677007,
  [SMALL_STATE(15227)] = 677027,
  [SMALL_STATE(15228)] = 677047,
  [SMALL_STATE(15229)] = 677067,
  [SMALL_STATE(15230)] = 677087,
  [SMALL_STATE(15231)] = 677107,
  [SMALL_STATE(15232)] = 677127,
  [SMALL_STATE(15233)] = 677147,
  [SMALL_STATE(15234)] = 677167,
  [SMALL_STATE(15235)] = 677187,
  [SMALL_STATE(15236)] = 677207,
  [SMALL_STATE(15237)] = 677227,
  [SMALL_STATE(15238)] = 677247,
  [SMALL_STATE(15239)] = 677267,
  [SMALL_STATE(15240)] = 677287,
  [SMALL_STATE(15241)] = 677307,
  [SMALL_STATE(15242)] = 677327,
  [SMALL_STATE(15243)] = 677345,
  [SMALL_STATE(15244)] = 677365,
  [SMALL_STATE(15245)] = 677385,
  [SMALL_STATE(15246)] = 677405,
  [SMALL_STATE(15247)] = 677425,
  [SMALL_STATE(15248)] = 677445,
  [SMALL_STATE(15249)] = 677465,
  [SMALL_STATE(15250)] = 677485,
  [SMALL_STATE(15251)] = 677505,
  [SMALL_STATE(15252)] = 677525,
  [SMALL_STATE(15253)] = 677545,
  [SMALL_STATE(15254)] = 677565,
  [SMALL_STATE(15255)] = 677583,
  [SMALL_STATE(15256)] = 677603,
  [SMALL_STATE(15257)] = 677623,
  [SMALL_STATE(15258)] = 677643,
  [SMALL_STATE(15259)] = 677663,
  [SMALL_STATE(15260)] = 677683,
  [SMALL_STATE(15261)] = 677703,
  [SMALL_STATE(15262)] = 677723,
  [SMALL_STATE(15263)] = 677743,
  [SMALL_STATE(15264)] = 677761,
  [SMALL_STATE(15265)] = 677781,
  [SMALL_STATE(15266)] = 677801,
  [SMALL_STATE(15267)] = 677821,
  [SMALL_STATE(15268)] = 677841,
  [SMALL_STATE(15269)] = 677861,
  [SMALL_STATE(15270)] = 677881,
  [SMALL_STATE(15271)] = 677901,
  [SMALL_STATE(15272)] = 677921,
  [SMALL_STATE(15273)] = 677941,
  [SMALL_STATE(15274)] = 677961,
  [SMALL_STATE(15275)] = 677979,
  [SMALL_STATE(15276)] = 677999,
  [SMALL_STATE(15277)] = 678019,
  [SMALL_STATE(15278)] = 678039,
  [SMALL_STATE(15279)] = 678059,
  [SMALL_STATE(15280)] = 678079,
  [SMALL_STATE(15281)] = 678099,
  [SMALL_STATE(15282)] = 678119,
  [SMALL_STATE(15283)] = 678139,
  [SMALL_STATE(15284)] = 678159,
  [SMALL_STATE(15285)] = 678179,
  [SMALL_STATE(15286)] = 678195,
  [SMALL_STATE(15287)] = 678213,
  [SMALL_STATE(15288)] = 678233,
  [SMALL_STATE(15289)] = 678253,
  [SMALL_STATE(15290)] = 678273,
  [SMALL_STATE(15291)] = 678293,
  [SMALL_STATE(15292)] = 678313,
  [SMALL_STATE(15293)] = 678333,
  [SMALL_STATE(15294)] = 678351,
  [SMALL_STATE(15295)] = 678371,
  [SMALL_STATE(15296)] = 678391,
  [SMALL_STATE(15297)] = 678411,
  [SMALL_STATE(15298)] = 678431,
  [SMALL_STATE(15299)] = 678451,
  [SMALL_STATE(15300)] = 678471,
  [SMALL_STATE(15301)] = 678491,
  [SMALL_STATE(15302)] = 678511,
  [SMALL_STATE(15303)] = 678531,
  [SMALL_STATE(15304)] = 678551,
  [SMALL_STATE(15305)] = 678571,
  [SMALL_STATE(15306)] = 678591,
  [SMALL_STATE(15307)] = 678611,
  [SMALL_STATE(15308)] = 678631,
  [SMALL_STATE(15309)] = 678651,
  [SMALL_STATE(15310)] = 678671,
  [SMALL_STATE(15311)] = 678691,
  [SMALL_STATE(15312)] = 678709,
  [SMALL_STATE(15313)] = 678727,
  [SMALL_STATE(15314)] = 678747,
  [SMALL_STATE(15315)] = 678767,
  [SMALL_STATE(15316)] = 678787,
  [SMALL_STATE(15317)] = 678807,
  [SMALL_STATE(15318)] = 678827,
  [SMALL_STATE(15319)] = 678847,
  [SMALL_STATE(15320)] = 678867,
  [SMALL_STATE(15321)] = 678887,
  [SMALL_STATE(15322)] = 678907,
  [SMALL_STATE(15323)] = 678927,
  [SMALL_STATE(15324)] = 678947,
  [SMALL_STATE(15325)] = 678967,
  [SMALL_STATE(15326)] = 678987,
  [SMALL_STATE(15327)] = 679007,
  [SMALL_STATE(15328)] = 679027,
  [SMALL_STATE(15329)] = 679047,
  [SMALL_STATE(15330)] = 679067,
  [SMALL_STATE(15331)] = 679087,
  [SMALL_STATE(15332)] = 679107,
  [SMALL_STATE(15333)] = 679127,
  [SMALL_STATE(15334)] = 679147,
  [SMALL_STATE(15335)] = 679167,
  [SMALL_STATE(15336)] = 679187,
  [SMALL_STATE(15337)] = 679205,
  [SMALL_STATE(15338)] = 679225,
  [SMALL_STATE(15339)] = 679245,
  [SMALL_STATE(15340)] = 679265,
  [SMALL_STATE(15341)] = 679285,
  [SMALL_STATE(15342)] = 679305,
  [SMALL_STATE(15343)] = 679325,
  [SMALL_STATE(15344)] = 679345,
  [SMALL_STATE(15345)] = 679365,
  [SMALL_STATE(15346)] = 679385,
  [SMALL_STATE(15347)] = 679405,
  [SMALL_STATE(15348)] = 679425,
  [SMALL_STATE(15349)] = 679443,
  [SMALL_STATE(15350)] = 679463,
  [SMALL_STATE(15351)] = 679483,
  [SMALL_STATE(15352)] = 679503,
  [SMALL_STATE(15353)] = 679523,
  [SMALL_STATE(15354)] = 679543,
  [SMALL_STATE(15355)] = 679563,
  [SMALL_STATE(15356)] = 679583,
  [SMALL_STATE(15357)] = 679603,
  [SMALL_STATE(15358)] = 679621,
  [SMALL_STATE(15359)] = 679641,
  [SMALL_STATE(15360)] = 679661,
  [SMALL_STATE(15361)] = 679681,
  [SMALL_STATE(15362)] = 679701,
  [SMALL_STATE(15363)] = 679721,
  [SMALL_STATE(15364)] = 679741,
  [SMALL_STATE(15365)] = 679757,
  [SMALL_STATE(15366)] = 679777,
  [SMALL_STATE(15367)] = 679795,
  [SMALL_STATE(15368)] = 679815,
  [SMALL_STATE(15369)] = 679835,
  [SMALL_STATE(15370)] = 679855,
  [SMALL_STATE(15371)] = 679873,
  [SMALL_STATE(15372)] = 679893,
  [SMALL_STATE(15373)] = 679913,
  [SMALL_STATE(15374)] = 679933,
  [SMALL_STATE(15375)] = 679953,
  [SMALL_STATE(15376)] = 679973,
  [SMALL_STATE(15377)] = 679993,
  [SMALL_STATE(15378)] = 680013,
  [SMALL_STATE(15379)] = 680033,
  [SMALL_STATE(15380)] = 680053,
  [SMALL_STATE(15381)] = 680073,
  [SMALL_STATE(15382)] = 680091,
  [SMALL_STATE(15383)] = 680109,
  [SMALL_STATE(15384)] = 680129,
  [SMALL_STATE(15385)] = 680149,
  [SMALL_STATE(15386)] = 680169,
  [SMALL_STATE(15387)] = 680189,
  [SMALL_STATE(15388)] = 680209,
  [SMALL_STATE(15389)] = 680229,
  [SMALL_STATE(15390)] = 680249,
  [SMALL_STATE(15391)] = 680269,
  [SMALL_STATE(15392)] = 680289,
  [SMALL_STATE(15393)] = 680309,
  [SMALL_STATE(15394)] = 680329,
  [SMALL_STATE(15395)] = 680349,
  [SMALL_STATE(15396)] = 680369,
  [SMALL_STATE(15397)] = 680389,
  [SMALL_STATE(15398)] = 680409,
  [SMALL_STATE(15399)] = 680429,
  [SMALL_STATE(15400)] = 680447,
  [SMALL_STATE(15401)] = 680467,
  [SMALL_STATE(15402)] = 680487,
  [SMALL_STATE(15403)] = 680507,
  [SMALL_STATE(15404)] = 680525,
  [SMALL_STATE(15405)] = 680545,
  [SMALL_STATE(15406)] = 680565,
  [SMALL_STATE(15407)] = 680585,
  [SMALL_STATE(15408)] = 680605,
  [SMALL_STATE(15409)] = 680625,
  [SMALL_STATE(15410)] = 680643,
  [SMALL_STATE(15411)] = 680663,
  [SMALL_STATE(15412)] = 680683,
  [SMALL_STATE(15413)] = 680703,
  [SMALL_STATE(15414)] = 680723,
  [SMALL_STATE(15415)] = 680743,
  [SMALL_STATE(15416)] = 680761,
  [SMALL_STATE(15417)] = 680781,
  [SMALL_STATE(15418)] = 680801,
  [SMALL_STATE(15419)] = 680821,
  [SMALL_STATE(15420)] = 680839,
  [SMALL_STATE(15421)] = 680859,
  [SMALL_STATE(15422)] = 680879,
  [SMALL_STATE(15423)] = 680899,
  [SMALL_STATE(15424)] = 680919,
  [SMALL_STATE(15425)] = 680939,
  [SMALL_STATE(15426)] = 680959,
  [SMALL_STATE(15427)] = 680979,
  [SMALL_STATE(15428)] = 680999,
  [SMALL_STATE(15429)] = 681019,
  [SMALL_STATE(15430)] = 681039,
  [SMALL_STATE(15431)] = 681059,
  [SMALL_STATE(15432)] = 681079,
  [SMALL_STATE(15433)] = 681099,
  [SMALL_STATE(15434)] = 681119,
  [SMALL_STATE(15435)] = 681139,
  [SMALL_STATE(15436)] = 681159,
  [SMALL_STATE(15437)] = 681179,
  [SMALL_STATE(15438)] = 681199,
  [SMALL_STATE(15439)] = 681217,
  [SMALL_STATE(15440)] = 681237,
  [SMALL_STATE(15441)] = 681257,
  [SMALL_STATE(15442)] = 681277,
  [SMALL_STATE(15443)] = 681297,
  [SMALL_STATE(15444)] = 681317,
  [SMALL_STATE(15445)] = 681337,
  [SMALL_STATE(15446)] = 681357,
  [SMALL_STATE(15447)] = 681377,
  [SMALL_STATE(15448)] = 681397,
  [SMALL_STATE(15449)] = 681417,
  [SMALL_STATE(15450)] = 681437,
  [SMALL_STATE(15451)] = 681457,
  [SMALL_STATE(15452)] = 681477,
  [SMALL_STATE(15453)] = 681495,
  [SMALL_STATE(15454)] = 681513,
  [SMALL_STATE(15455)] = 681533,
  [SMALL_STATE(15456)] = 681553,
  [SMALL_STATE(15457)] = 681573,
  [SMALL_STATE(15458)] = 681593,
  [SMALL_STATE(15459)] = 681613,
  [SMALL_STATE(15460)] = 681633,
  [SMALL_STATE(15461)] = 681653,
  [SMALL_STATE(15462)] = 681673,
  [SMALL_STATE(15463)] = 681693,
  [SMALL_STATE(15464)] = 681713,
  [SMALL_STATE(15465)] = 681733,
  [SMALL_STATE(15466)] = 681753,
  [SMALL_STATE(15467)] = 681773,
  [SMALL_STATE(15468)] = 681793,
  [SMALL_STATE(15469)] = 681813,
  [SMALL_STATE(15470)] = 681831,
  [SMALL_STATE(15471)] = 681851,
  [SMALL_STATE(15472)] = 681871,
  [SMALL_STATE(15473)] = 681891,
  [SMALL_STATE(15474)] = 681911,
  [SMALL_STATE(15475)] = 681931,
  [SMALL_STATE(15476)] = 681951,
  [SMALL_STATE(15477)] = 681971,
  [SMALL_STATE(15478)] = 681991,
  [SMALL_STATE(15479)] = 682011,
  [SMALL_STATE(15480)] = 682031,
  [SMALL_STATE(15481)] = 682051,
  [SMALL_STATE(15482)] = 682071,
  [SMALL_STATE(15483)] = 682091,
  [SMALL_STATE(15484)] = 682111,
  [SMALL_STATE(15485)] = 682129,
  [SMALL_STATE(15486)] = 682149,
  [SMALL_STATE(15487)] = 682169,
  [SMALL_STATE(15488)] = 682189,
  [SMALL_STATE(15489)] = 682209,
  [SMALL_STATE(15490)] = 682229,
  [SMALL_STATE(15491)] = 682247,
  [SMALL_STATE(15492)] = 682267,
  [SMALL_STATE(15493)] = 682287,
  [SMALL_STATE(15494)] = 682307,
  [SMALL_STATE(15495)] = 682327,
  [SMALL_STATE(15496)] = 682347,
  [SMALL_STATE(15497)] = 682367,
  [SMALL_STATE(15498)] = 682387,
  [SMALL_STATE(15499)] = 682407,
  [SMALL_STATE(15500)] = 682427,
  [SMALL_STATE(15501)] = 682447,
  [SMALL_STATE(15502)] = 682465,
  [SMALL_STATE(15503)] = 682485,
  [SMALL_STATE(15504)] = 682505,
  [SMALL_STATE(15505)] = 682525,
  [SMALL_STATE(15506)] = 682545,
  [SMALL_STATE(15507)] = 682565,
  [SMALL_STATE(15508)] = 682585,
  [SMALL_STATE(15509)] = 682605,
  [SMALL_STATE(15510)] = 682625,
  [SMALL_STATE(15511)] = 682643,
  [SMALL_STATE(15512)] = 682663,
  [SMALL_STATE(15513)] = 682683,
  [SMALL_STATE(15514)] = 682703,
  [SMALL_STATE(15515)] = 682721,
  [SMALL_STATE(15516)] = 682741,
  [SMALL_STATE(15517)] = 682761,
  [SMALL_STATE(15518)] = 682781,
  [SMALL_STATE(15519)] = 682799,
  [SMALL_STATE(15520)] = 682819,
  [SMALL_STATE(15521)] = 682839,
  [SMALL_STATE(15522)] = 682859,
  [SMALL_STATE(15523)] = 682879,
  [SMALL_STATE(15524)] = 682899,
  [SMALL_STATE(15525)] = 682919,
  [SMALL_STATE(15526)] = 682939,
  [SMALL_STATE(15527)] = 682959,
  [SMALL_STATE(15528)] = 682979,
  [SMALL_STATE(15529)] = 682999,
  [SMALL_STATE(15530)] = 683019,
  [SMALL_STATE(15531)] = 683039,
  [SMALL_STATE(15532)] = 683059,
  [SMALL_STATE(15533)] = 683079,
  [SMALL_STATE(15534)] = 683099,
  [SMALL_STATE(15535)] = 683119,
  [SMALL_STATE(15536)] = 683137,
  [SMALL_STATE(15537)] = 683157,
  [SMALL_STATE(15538)] = 683177,
  [SMALL_STATE(15539)] = 683197,
  [SMALL_STATE(15540)] = 683217,
  [SMALL_STATE(15541)] = 683237,
  [SMALL_STATE(15542)] = 683257,
  [SMALL_STATE(15543)] = 683277,
  [SMALL_STATE(15544)] = 683297,
  [SMALL_STATE(15545)] = 683317,
  [SMALL_STATE(15546)] = 683337,
  [SMALL_STATE(15547)] = 683357,
  [SMALL_STATE(15548)] = 683377,
  [SMALL_STATE(15549)] = 683397,
  [SMALL_STATE(15550)] = 683417,
  [SMALL_STATE(15551)] = 683437,
  [SMALL_STATE(15552)] = 683457,
  [SMALL_STATE(15553)] = 683477,
  [SMALL_STATE(15554)] = 683497,
  [SMALL_STATE(15555)] = 683517,
  [SMALL_STATE(15556)] = 683535,
  [SMALL_STATE(15557)] = 683555,
  [SMALL_STATE(15558)] = 683575,
  [SMALL_STATE(15559)] = 683595,
  [SMALL_STATE(15560)] = 683615,
  [SMALL_STATE(15561)] = 683635,
  [SMALL_STATE(15562)] = 683653,
  [SMALL_STATE(15563)] = 683673,
  [SMALL_STATE(15564)] = 683693,
  [SMALL_STATE(15565)] = 683713,
  [SMALL_STATE(15566)] = 683733,
  [SMALL_STATE(15567)] = 683751,
  [SMALL_STATE(15568)] = 683771,
  [SMALL_STATE(15569)] = 683791,
  [SMALL_STATE(15570)] = 683811,
  [SMALL_STATE(15571)] = 683829,
  [SMALL_STATE(15572)] = 683849,
  [SMALL_STATE(15573)] = 683869,
  [SMALL_STATE(15574)] = 683889,
  [SMALL_STATE(15575)] = 683909,
  [SMALL_STATE(15576)] = 683929,
  [SMALL_STATE(15577)] = 683949,
  [SMALL_STATE(15578)] = 683969,
  [SMALL_STATE(15579)] = 683989,
  [SMALL_STATE(15580)] = 684009,
  [SMALL_STATE(15581)] = 684027,
  [SMALL_STATE(15582)] = 684047,
  [SMALL_STATE(15583)] = 684067,
  [SMALL_STATE(15584)] = 684087,
  [SMALL_STATE(15585)] = 684107,
  [SMALL_STATE(15586)] = 684127,
  [SMALL_STATE(15587)] = 684147,
  [SMALL_STATE(15588)] = 684167,
  [SMALL_STATE(15589)] = 684187,
  [SMALL_STATE(15590)] = 684207,
  [SMALL_STATE(15591)] = 684227,
  [SMALL_STATE(15592)] = 684247,
  [SMALL_STATE(15593)] = 684267,
  [SMALL_STATE(15594)] = 684287,
  [SMALL_STATE(15595)] = 684307,
  [SMALL_STATE(15596)] = 684327,
  [SMALL_STATE(15597)] = 684345,
  [SMALL_STATE(15598)] = 684365,
  [SMALL_STATE(15599)] = 684385,
  [SMALL_STATE(15600)] = 684405,
  [SMALL_STATE(15601)] = 684421,
  [SMALL_STATE(15602)] = 684441,
  [SMALL_STATE(15603)] = 684461,
  [SMALL_STATE(15604)] = 684481,
  [SMALL_STATE(15605)] = 684501,
  [SMALL_STATE(15606)] = 684521,
  [SMALL_STATE(15607)] = 684541,
  [SMALL_STATE(15608)] = 684561,
  [SMALL_STATE(15609)] = 684581,
  [SMALL_STATE(15610)] = 684601,
  [SMALL_STATE(15611)] = 684621,
  [SMALL_STATE(15612)] = 684639,
  [SMALL_STATE(15613)] = 684659,
  [SMALL_STATE(15614)] = 684679,
  [SMALL_STATE(15615)] = 684699,
  [SMALL_STATE(15616)] = 684719,
  [SMALL_STATE(15617)] = 684739,
  [SMALL_STATE(15618)] = 684759,
  [SMALL_STATE(15619)] = 684779,
  [SMALL_STATE(15620)] = 684799,
  [SMALL_STATE(15621)] = 684817,
  [SMALL_STATE(15622)] = 684837,
  [SMALL_STATE(15623)] = 684857,
  [SMALL_STATE(15624)] = 684877,
  [SMALL_STATE(15625)] = 684897,
  [SMALL_STATE(15626)] = 684917,
  [SMALL_STATE(15627)] = 684937,
  [SMALL_STATE(15628)] = 684957,
  [SMALL_STATE(15629)] = 684975,
  [SMALL_STATE(15630)] = 684995,
  [SMALL_STATE(15631)] = 685015,
  [SMALL_STATE(15632)] = 685035,
  [SMALL_STATE(15633)] = 685055,
  [SMALL_STATE(15634)] = 685075,
  [SMALL_STATE(15635)] = 685095,
  [SMALL_STATE(15636)] = 685115,
  [SMALL_STATE(15637)] = 685135,
  [SMALL_STATE(15638)] = 685153,
  [SMALL_STATE(15639)] = 685173,
  [SMALL_STATE(15640)] = 685193,
  [SMALL_STATE(15641)] = 685213,
  [SMALL_STATE(15642)] = 685231,
  [SMALL_STATE(15643)] = 685251,
  [SMALL_STATE(15644)] = 685271,
  [SMALL_STATE(15645)] = 685291,
  [SMALL_STATE(15646)] = 685311,
  [SMALL_STATE(15647)] = 685331,
  [SMALL_STATE(15648)] = 685349,
  [SMALL_STATE(15649)] = 685369,
  [SMALL_STATE(15650)] = 685389,
  [SMALL_STATE(15651)] = 685409,
  [SMALL_STATE(15652)] = 685429,
  [SMALL_STATE(15653)] = 685449,
  [SMALL_STATE(15654)] = 685469,
  [SMALL_STATE(15655)] = 685487,
  [SMALL_STATE(15656)] = 685507,
  [SMALL_STATE(15657)] = 685527,
  [SMALL_STATE(15658)] = 685547,
  [SMALL_STATE(15659)] = 685567,
  [SMALL_STATE(15660)] = 685585,
  [SMALL_STATE(15661)] = 685605,
  [SMALL_STATE(15662)] = 685625,
  [SMALL_STATE(15663)] = 685641,
  [SMALL_STATE(15664)] = 685661,
  [SMALL_STATE(15665)] = 685679,
  [SMALL_STATE(15666)] = 685699,
  [SMALL_STATE(15667)] = 685719,
  [SMALL_STATE(15668)] = 685737,
  [SMALL_STATE(15669)] = 685757,
  [SMALL_STATE(15670)] = 685777,
  [SMALL_STATE(15671)] = 685795,
  [SMALL_STATE(15672)] = 685815,
  [SMALL_STATE(15673)] = 685835,
  [SMALL_STATE(15674)] = 685853,
  [SMALL_STATE(15675)] = 685873,
  [SMALL_STATE(15676)] = 685893,
  [SMALL_STATE(15677)] = 685911,
  [SMALL_STATE(15678)] = 685931,
  [SMALL_STATE(15679)] = 685951,
  [SMALL_STATE(15680)] = 685969,
  [SMALL_STATE(15681)] = 685989,
  [SMALL_STATE(15682)] = 686009,
  [SMALL_STATE(15683)] = 686027,
  [SMALL_STATE(15684)] = 686047,
  [SMALL_STATE(15685)] = 686067,
  [SMALL_STATE(15686)] = 686085,
  [SMALL_STATE(15687)] = 686105,
  [SMALL_STATE(15688)] = 686125,
  [SMALL_STATE(15689)] = 686143,
  [SMALL_STATE(15690)] = 686163,
  [SMALL_STATE(15691)] = 686183,
  [SMALL_STATE(15692)] = 686201,
  [SMALL_STATE(15693)] = 686221,
  [SMALL_STATE(15694)] = 686241,
  [SMALL_STATE(15695)] = 686259,
  [SMALL_STATE(15696)] = 686279,
  [SMALL_STATE(15697)] = 686297,
  [SMALL_STATE(15698)] = 686317,
  [SMALL_STATE(15699)] = 686335,
  [SMALL_STATE(15700)] = 686355,
  [SMALL_STATE(15701)] = 686373,
  [SMALL_STATE(15702)] = 686393,
  [SMALL_STATE(15703)] = 686411,
  [SMALL_STATE(15704)] = 686431,
  [SMALL_STATE(15705)] = 686449,
  [SMALL_STATE(15706)] = 686469,
  [SMALL_STATE(15707)] = 686487,
  [SMALL_STATE(15708)] = 686507,
  [SMALL_STATE(15709)] = 686525,
  [SMALL_STATE(15710)] = 686545,
  [SMALL_STATE(15711)] = 686563,
  [SMALL_STATE(15712)] = 686583,
  [SMALL_STATE(15713)] = 686601,
  [SMALL_STATE(15714)] = 686621,
  [SMALL_STATE(15715)] = 686639,
  [SMALL_STATE(15716)] = 686659,
  [SMALL_STATE(15717)] = 686677,
  [SMALL_STATE(15718)] = 686697,
  [SMALL_STATE(15719)] = 686715,
  [SMALL_STATE(15720)] = 686735,
  [SMALL_STATE(15721)] = 686753,
  [SMALL_STATE(15722)] = 686773,
  [SMALL_STATE(15723)] = 686791,
  [SMALL_STATE(15724)] = 686811,
  [SMALL_STATE(15725)] = 686829,
  [SMALL_STATE(15726)] = 686849,
  [SMALL_STATE(15727)] = 686867,
  [SMALL_STATE(15728)] = 686887,
  [SMALL_STATE(15729)] = 686905,
  [SMALL_STATE(15730)] = 686925,
  [SMALL_STATE(15731)] = 686943,
  [SMALL_STATE(15732)] = 686963,
  [SMALL_STATE(15733)] = 686981,
  [SMALL_STATE(15734)] = 687001,
  [SMALL_STATE(15735)] = 687019,
  [SMALL_STATE(15736)] = 687039,
  [SMALL_STATE(15737)] = 687057,
  [SMALL_STATE(15738)] = 687077,
  [SMALL_STATE(15739)] = 687095,
  [SMALL_STATE(15740)] = 687115,
  [SMALL_STATE(15741)] = 687133,
  [SMALL_STATE(15742)] = 687153,
  [SMALL_STATE(15743)] = 687171,
  [SMALL_STATE(15744)] = 687191,
  [SMALL_STATE(15745)] = 687211,
  [SMALL_STATE(15746)] = 687231,
  [SMALL_STATE(15747)] = 687251,
  [SMALL_STATE(15748)] = 687271,
  [SMALL_STATE(15749)] = 687289,
  [SMALL_STATE(15750)] = 687309,
  [SMALL_STATE(15751)] = 687329,
  [SMALL_STATE(15752)] = 687349,
  [SMALL_STATE(15753)] = 687369,
  [SMALL_STATE(15754)] = 687389,
  [SMALL_STATE(15755)] = 687409,
  [SMALL_STATE(15756)] = 687429,
  [SMALL_STATE(15757)] = 687449,
  [SMALL_STATE(15758)] = 687469,
  [SMALL_STATE(15759)] = 687489,
  [SMALL_STATE(15760)] = 687509,
  [SMALL_STATE(15761)] = 687529,
  [SMALL_STATE(15762)] = 687549,
  [SMALL_STATE(15763)] = 687569,
  [SMALL_STATE(15764)] = 687589,
  [SMALL_STATE(15765)] = 687609,
  [SMALL_STATE(15766)] = 687629,
  [SMALL_STATE(15767)] = 687649,
  [SMALL_STATE(15768)] = 687669,
  [SMALL_STATE(15769)] = 687689,
  [SMALL_STATE(15770)] = 687709,
  [SMALL_STATE(15771)] = 687729,
  [SMALL_STATE(15772)] = 687749,
  [SMALL_STATE(15773)] = 687769,
  [SMALL_STATE(15774)] = 687789,
  [SMALL_STATE(15775)] = 687807,
  [SMALL_STATE(15776)] = 687827,
  [SMALL_STATE(15777)] = 687847,
  [SMALL_STATE(15778)] = 687865,
  [SMALL_STATE(15779)] = 687885,
  [SMALL_STATE(15780)] = 687905,
  [SMALL_STATE(15781)] = 687925,
  [SMALL_STATE(15782)] = 687945,
  [SMALL_STATE(15783)] = 687965,
  [SMALL_STATE(15784)] = 687985,
  [SMALL_STATE(15785)] = 688005,
  [SMALL_STATE(15786)] = 688025,
  [SMALL_STATE(15787)] = 688045,
  [SMALL_STATE(15788)] = 688065,
  [SMALL_STATE(15789)] = 688085,
  [SMALL_STATE(15790)] = 688105,
  [SMALL_STATE(15791)] = 688125,
  [SMALL_STATE(15792)] = 688145,
  [SMALL_STATE(15793)] = 688165,
  [SMALL_STATE(15794)] = 688185,
  [SMALL_STATE(15795)] = 688205,
  [SMALL_STATE(15796)] = 688223,
  [SMALL_STATE(15797)] = 688243,
  [SMALL_STATE(15798)] = 688263,
  [SMALL_STATE(15799)] = 688281,
  [SMALL_STATE(15800)] = 688301,
  [SMALL_STATE(15801)] = 688321,
  [SMALL_STATE(15802)] = 688341,
  [SMALL_STATE(15803)] = 688359,
  [SMALL_STATE(15804)] = 688379,
  [SMALL_STATE(15805)] = 688399,
  [SMALL_STATE(15806)] = 688419,
  [SMALL_STATE(15807)] = 688439,
  [SMALL_STATE(15808)] = 688459,
  [SMALL_STATE(15809)] = 688479,
  [SMALL_STATE(15810)] = 688499,
  [SMALL_STATE(15811)] = 688519,
  [SMALL_STATE(15812)] = 688539,
  [SMALL_STATE(15813)] = 688559,
  [SMALL_STATE(15814)] = 688579,
  [SMALL_STATE(15815)] = 688599,
  [SMALL_STATE(15816)] = 688619,
  [SMALL_STATE(15817)] = 688639,
  [SMALL_STATE(15818)] = 688659,
  [SMALL_STATE(15819)] = 688679,
  [SMALL_STATE(15820)] = 688699,
  [SMALL_STATE(15821)] = 688719,
  [SMALL_STATE(15822)] = 688739,
  [SMALL_STATE(15823)] = 688759,
  [SMALL_STATE(15824)] = 688779,
  [SMALL_STATE(15825)] = 688799,
  [SMALL_STATE(15826)] = 688819,
  [SMALL_STATE(15827)] = 688839,
  [SMALL_STATE(15828)] = 688859,
  [SMALL_STATE(15829)] = 688879,
  [SMALL_STATE(15830)] = 688899,
  [SMALL_STATE(15831)] = 688919,
  [SMALL_STATE(15832)] = 688939,
  [SMALL_STATE(15833)] = 688959,
  [SMALL_STATE(15834)] = 688979,
  [SMALL_STATE(15835)] = 688999,
  [SMALL_STATE(15836)] = 689019,
  [SMALL_STATE(15837)] = 689039,
  [SMALL_STATE(15838)] = 689059,
  [SMALL_STATE(15839)] = 689079,
  [SMALL_STATE(15840)] = 689099,
  [SMALL_STATE(15841)] = 689117,
  [SMALL_STATE(15842)] = 689137,
  [SMALL_STATE(15843)] = 689155,
  [SMALL_STATE(15844)] = 689175,
  [SMALL_STATE(15845)] = 689195,
  [SMALL_STATE(15846)] = 689215,
  [SMALL_STATE(15847)] = 689235,
  [SMALL_STATE(15848)] = 689255,
  [SMALL_STATE(15849)] = 689275,
  [SMALL_STATE(15850)] = 689295,
  [SMALL_STATE(15851)] = 689315,
  [SMALL_STATE(15852)] = 689335,
  [SMALL_STATE(15853)] = 689355,
  [SMALL_STATE(15854)] = 689375,
  [SMALL_STATE(15855)] = 689395,
  [SMALL_STATE(15856)] = 689415,
  [SMALL_STATE(15857)] = 689435,
  [SMALL_STATE(15858)] = 689455,
  [SMALL_STATE(15859)] = 689475,
  [SMALL_STATE(15860)] = 689495,
  [SMALL_STATE(15861)] = 689515,
  [SMALL_STATE(15862)] = 689533,
  [SMALL_STATE(15863)] = 689553,
  [SMALL_STATE(15864)] = 689571,
  [SMALL_STATE(15865)] = 689591,
  [SMALL_STATE(15866)] = 689611,
  [SMALL_STATE(15867)] = 689631,
  [SMALL_STATE(15868)] = 689651,
  [SMALL_STATE(15869)] = 689671,
  [SMALL_STATE(15870)] = 689691,
  [SMALL_STATE(15871)] = 689709,
  [SMALL_STATE(15872)] = 689729,
  [SMALL_STATE(15873)] = 689749,
  [SMALL_STATE(15874)] = 689769,
  [SMALL_STATE(15875)] = 689789,
  [SMALL_STATE(15876)] = 689809,
  [SMALL_STATE(15877)] = 689827,
  [SMALL_STATE(15878)] = 689845,
  [SMALL_STATE(15879)] = 689865,
  [SMALL_STATE(15880)] = 689885,
  [SMALL_STATE(15881)] = 689905,
  [SMALL_STATE(15882)] = 689925,
  [SMALL_STATE(15883)] = 689945,
  [SMALL_STATE(15884)] = 689965,
  [SMALL_STATE(15885)] = 689985,
  [SMALL_STATE(15886)] = 690005,
  [SMALL_STATE(15887)] = 690025,
  [SMALL_STATE(15888)] = 690045,
  [SMALL_STATE(15889)] = 690065,
  [SMALL_STATE(15890)] = 690083,
  [SMALL_STATE(15891)] = 690103,
  [SMALL_STATE(15892)] = 690123,
  [SMALL_STATE(15893)] = 690143,
  [SMALL_STATE(15894)] = 690163,
  [SMALL_STATE(15895)] = 690183,
  [SMALL_STATE(15896)] = 690201,
  [SMALL_STATE(15897)] = 690221,
  [SMALL_STATE(15898)] = 690241,
  [SMALL_STATE(15899)] = 690261,
  [SMALL_STATE(15900)] = 690281,
  [SMALL_STATE(15901)] = 690301,
  [SMALL_STATE(15902)] = 690321,
  [SMALL_STATE(15903)] = 690341,
  [SMALL_STATE(15904)] = 690361,
  [SMALL_STATE(15905)] = 690381,
  [SMALL_STATE(15906)] = 690401,
  [SMALL_STATE(15907)] = 690421,
  [SMALL_STATE(15908)] = 690441,
  [SMALL_STATE(15909)] = 690461,
  [SMALL_STATE(15910)] = 690481,
  [SMALL_STATE(15911)] = 690501,
  [SMALL_STATE(15912)] = 690521,
  [SMALL_STATE(15913)] = 690539,
  [SMALL_STATE(15914)] = 690559,
  [SMALL_STATE(15915)] = 690577,
  [SMALL_STATE(15916)] = 690597,
  [SMALL_STATE(15917)] = 690617,
  [SMALL_STATE(15918)] = 690637,
  [SMALL_STATE(15919)] = 690657,
  [SMALL_STATE(15920)] = 690677,
  [SMALL_STATE(15921)] = 690697,
  [SMALL_STATE(15922)] = 690717,
  [SMALL_STATE(15923)] = 690735,
  [SMALL_STATE(15924)] = 690755,
  [SMALL_STATE(15925)] = 690775,
  [SMALL_STATE(15926)] = 690795,
  [SMALL_STATE(15927)] = 690815,
  [SMALL_STATE(15928)] = 690835,
  [SMALL_STATE(15929)] = 690855,
  [SMALL_STATE(15930)] = 690875,
  [SMALL_STATE(15931)] = 690895,
  [SMALL_STATE(15932)] = 690915,
  [SMALL_STATE(15933)] = 690933,
  [SMALL_STATE(15934)] = 690953,
  [SMALL_STATE(15935)] = 690973,
  [SMALL_STATE(15936)] = 690993,
  [SMALL_STATE(15937)] = 691011,
  [SMALL_STATE(15938)] = 691031,
  [SMALL_STATE(15939)] = 691051,
  [SMALL_STATE(15940)] = 691071,
  [SMALL_STATE(15941)] = 691091,
  [SMALL_STATE(15942)] = 691111,
  [SMALL_STATE(15943)] = 691131,
  [SMALL_STATE(15944)] = 691149,
  [SMALL_STATE(15945)] = 691167,
  [SMALL_STATE(15946)] = 691187,
  [SMALL_STATE(15947)] = 691207,
  [SMALL_STATE(15948)] = 691227,
  [SMALL_STATE(15949)] = 691247,
  [SMALL_STATE(15950)] = 691265,
  [SMALL_STATE(15951)] = 691285,
  [SMALL_STATE(15952)] = 691305,
  [SMALL_STATE(15953)] = 691325,
  [SMALL_STATE(15954)] = 691345,
  [SMALL_STATE(15955)] = 691363,
  [SMALL_STATE(15956)] = 691383,
  [SMALL_STATE(15957)] = 691403,
  [SMALL_STATE(15958)] = 691421,
  [SMALL_STATE(15959)] = 691441,
  [SMALL_STATE(15960)] = 691461,
  [SMALL_STATE(15961)] = 691481,
  [SMALL_STATE(15962)] = 691501,
  [SMALL_STATE(15963)] = 691519,
  [SMALL_STATE(15964)] = 691539,
  [SMALL_STATE(15965)] = 691559,
  [SMALL_STATE(15966)] = 691577,
  [SMALL_STATE(15967)] = 691597,
  [SMALL_STATE(15968)] = 691617,
  [SMALL_STATE(15969)] = 691637,
  [SMALL_STATE(15970)] = 691657,
  [SMALL_STATE(15971)] = 691677,
  [SMALL_STATE(15972)] = 691695,
  [SMALL_STATE(15973)] = 691715,
  [SMALL_STATE(15974)] = 691735,
  [SMALL_STATE(15975)] = 691755,
  [SMALL_STATE(15976)] = 691775,
  [SMALL_STATE(15977)] = 691793,
  [SMALL_STATE(15978)] = 691813,
  [SMALL_STATE(15979)] = 691833,
  [SMALL_STATE(15980)] = 691853,
  [SMALL_STATE(15981)] = 691871,
  [SMALL_STATE(15982)] = 691891,
  [SMALL_STATE(15983)] = 691907,
  [SMALL_STATE(15984)] = 691927,
  [SMALL_STATE(15985)] = 691947,
  [SMALL_STATE(15986)] = 691967,
  [SMALL_STATE(15987)] = 691987,
  [SMALL_STATE(15988)] = 692005,
  [SMALL_STATE(15989)] = 692025,
  [SMALL_STATE(15990)] = 692043,
  [SMALL_STATE(15991)] = 692063,
  [SMALL_STATE(15992)] = 692081,
  [SMALL_STATE(15993)] = 692101,
  [SMALL_STATE(15994)] = 692121,
  [SMALL_STATE(15995)] = 692141,
  [SMALL_STATE(15996)] = 692161,
  [SMALL_STATE(15997)] = 692181,
  [SMALL_STATE(15998)] = 692199,
  [SMALL_STATE(15999)] = 692219,
  [SMALL_STATE(16000)] = 692239,
  [SMALL_STATE(16001)] = 692259,
  [SMALL_STATE(16002)] = 692279,
  [SMALL_STATE(16003)] = 692299,
  [SMALL_STATE(16004)] = 692319,
  [SMALL_STATE(16005)] = 692337,
  [SMALL_STATE(16006)] = 692357,
  [SMALL_STATE(16007)] = 692377,
  [SMALL_STATE(16008)] = 692397,
  [SMALL_STATE(16009)] = 692417,
  [SMALL_STATE(16010)] = 692437,
  [SMALL_STATE(16011)] = 692457,
  [SMALL_STATE(16012)] = 692477,
  [SMALL_STATE(16013)] = 692497,
  [SMALL_STATE(16014)] = 692515,
  [SMALL_STATE(16015)] = 692535,
  [SMALL_STATE(16016)] = 692555,
  [SMALL_STATE(16017)] = 692575,
  [SMALL_STATE(16018)] = 692595,
  [SMALL_STATE(16019)] = 692615,
  [SMALL_STATE(16020)] = 692633,
  [SMALL_STATE(16021)] = 692651,
  [SMALL_STATE(16022)] = 692669,
  [SMALL_STATE(16023)] = 692689,
  [SMALL_STATE(16024)] = 692709,
  [SMALL_STATE(16025)] = 692729,
  [SMALL_STATE(16026)] = 692749,
  [SMALL_STATE(16027)] = 692767,
  [SMALL_STATE(16028)] = 692787,
  [SMALL_STATE(16029)] = 692805,
  [SMALL_STATE(16030)] = 692825,
  [SMALL_STATE(16031)] = 692845,
  [SMALL_STATE(16032)] = 692865,
  [SMALL_STATE(16033)] = 692885,
  [SMALL_STATE(16034)] = 692905,
  [SMALL_STATE(16035)] = 692925,
  [SMALL_STATE(16036)] = 692945,
  [SMALL_STATE(16037)] = 692965,
  [SMALL_STATE(16038)] = 692985,
  [SMALL_STATE(16039)] = 693005,
  [SMALL_STATE(16040)] = 693023,
  [SMALL_STATE(16041)] = 693043,
  [SMALL_STATE(16042)] = 693063,
  [SMALL_STATE(16043)] = 693083,
  [SMALL_STATE(16044)] = 693103,
  [SMALL_STATE(16045)] = 693123,
  [SMALL_STATE(16046)] = 693143,
  [SMALL_STATE(16047)] = 693163,
  [SMALL_STATE(16048)] = 693181,
  [SMALL_STATE(16049)] = 693201,
  [SMALL_STATE(16050)] = 693219,
  [SMALL_STATE(16051)] = 693239,
  [SMALL_STATE(16052)] = 693259,
  [SMALL_STATE(16053)] = 693279,
  [SMALL_STATE(16054)] = 693299,
  [SMALL_STATE(16055)] = 693317,
  [SMALL_STATE(16056)] = 693335,
  [SMALL_STATE(16057)] = 693355,
  [SMALL_STATE(16058)] = 693375,
  [SMALL_STATE(16059)] = 693395,
  [SMALL_STATE(16060)] = 693415,
  [SMALL_STATE(16061)] = 693435,
  [SMALL_STATE(16062)] = 693455,
  [SMALL_STATE(16063)] = 693473,
  [SMALL_STATE(16064)] = 693493,
  [SMALL_STATE(16065)] = 693513,
  [SMALL_STATE(16066)] = 693533,
  [SMALL_STATE(16067)] = 693551,
  [SMALL_STATE(16068)] = 693571,
  [SMALL_STATE(16069)] = 693591,
  [SMALL_STATE(16070)] = 693609,
  [SMALL_STATE(16071)] = 693629,
  [SMALL_STATE(16072)] = 693649,
  [SMALL_STATE(16073)] = 693669,
  [SMALL_STATE(16074)] = 693689,
  [SMALL_STATE(16075)] = 693709,
  [SMALL_STATE(16076)] = 693729,
  [SMALL_STATE(16077)] = 693749,
  [SMALL_STATE(16078)] = 693767,
  [SMALL_STATE(16079)] = 693787,
  [SMALL_STATE(16080)] = 693807,
  [SMALL_STATE(16081)] = 693827,
  [SMALL_STATE(16082)] = 693847,
  [SMALL_STATE(16083)] = 693867,
  [SMALL_STATE(16084)] = 693887,
  [SMALL_STATE(16085)] = 693907,
  [SMALL_STATE(16086)] = 693925,
  [SMALL_STATE(16087)] = 693945,
  [SMALL_STATE(16088)] = 693965,
  [SMALL_STATE(16089)] = 693985,
  [SMALL_STATE(16090)] = 694005,
  [SMALL_STATE(16091)] = 694025,
  [SMALL_STATE(16092)] = 694045,
  [SMALL_STATE(16093)] = 694065,
  [SMALL_STATE(16094)] = 694085,
  [SMALL_STATE(16095)] = 694105,
  [SMALL_STATE(16096)] = 694123,
  [SMALL_STATE(16097)] = 694143,
  [SMALL_STATE(16098)] = 694163,
  [SMALL_STATE(16099)] = 694183,
  [SMALL_STATE(16100)] = 694203,
  [SMALL_STATE(16101)] = 694223,
  [SMALL_STATE(16102)] = 694243,
  [SMALL_STATE(16103)] = 694263,
  [SMALL_STATE(16104)] = 694281,
  [SMALL_STATE(16105)] = 694301,
  [SMALL_STATE(16106)] = 694321,
  [SMALL_STATE(16107)] = 694341,
  [SMALL_STATE(16108)] = 694361,
  [SMALL_STATE(16109)] = 694379,
  [SMALL_STATE(16110)] = 694399,
  [SMALL_STATE(16111)] = 694419,
  [SMALL_STATE(16112)] = 694437,
  [SMALL_STATE(16113)] = 694457,
  [SMALL_STATE(16114)] = 694477,
  [SMALL_STATE(16115)] = 694497,
  [SMALL_STATE(16116)] = 694515,
  [SMALL_STATE(16117)] = 694535,
  [SMALL_STATE(16118)] = 694555,
  [SMALL_STATE(16119)] = 694575,
  [SMALL_STATE(16120)] = 694595,
  [SMALL_STATE(16121)] = 694615,
  [SMALL_STATE(16122)] = 694635,
  [SMALL_STATE(16123)] = 694655,
  [SMALL_STATE(16124)] = 694673,
  [SMALL_STATE(16125)] = 694693,
  [SMALL_STATE(16126)] = 694713,
  [SMALL_STATE(16127)] = 694733,
  [SMALL_STATE(16128)] = 694753,
  [SMALL_STATE(16129)] = 694773,
  [SMALL_STATE(16130)] = 694791,
  [SMALL_STATE(16131)] = 694811,
  [SMALL_STATE(16132)] = 694831,
  [SMALL_STATE(16133)] = 694851,
  [SMALL_STATE(16134)] = 694871,
  [SMALL_STATE(16135)] = 694891,
  [SMALL_STATE(16136)] = 694911,
  [SMALL_STATE(16137)] = 694931,
  [SMALL_STATE(16138)] = 694951,
  [SMALL_STATE(16139)] = 694971,
  [SMALL_STATE(16140)] = 694989,
  [SMALL_STATE(16141)] = 695009,
  [SMALL_STATE(16142)] = 695029,
  [SMALL_STATE(16143)] = 695049,
  [SMALL_STATE(16144)] = 695069,
  [SMALL_STATE(16145)] = 695089,
  [SMALL_STATE(16146)] = 695109,
  [SMALL_STATE(16147)] = 695127,
  [SMALL_STATE(16148)] = 695147,
  [SMALL_STATE(16149)] = 695167,
  [SMALL_STATE(16150)] = 695187,
  [SMALL_STATE(16151)] = 695207,
  [SMALL_STATE(16152)] = 695227,
  [SMALL_STATE(16153)] = 695247,
  [SMALL_STATE(16154)] = 695267,
  [SMALL_STATE(16155)] = 695287,
  [SMALL_STATE(16156)] = 695305,
  [SMALL_STATE(16157)] = 695325,
  [SMALL_STATE(16158)] = 695345,
  [SMALL_STATE(16159)] = 695365,
  [SMALL_STATE(16160)] = 695385,
  [SMALL_STATE(16161)] = 695405,
  [SMALL_STATE(16162)] = 695423,
  [SMALL_STATE(16163)] = 695443,
  [SMALL_STATE(16164)] = 695463,
  [SMALL_STATE(16165)] = 695483,
  [SMALL_STATE(16166)] = 695503,
  [SMALL_STATE(16167)] = 695523,
  [SMALL_STATE(16168)] = 695543,
  [SMALL_STATE(16169)] = 695563,
  [SMALL_STATE(16170)] = 695581,
  [SMALL_STATE(16171)] = 695601,
  [SMALL_STATE(16172)] = 695621,
  [SMALL_STATE(16173)] = 695641,
  [SMALL_STATE(16174)] = 695661,
  [SMALL_STATE(16175)] = 695681,
  [SMALL_STATE(16176)] = 695701,
  [SMALL_STATE(16177)] = 695721,
  [SMALL_STATE(16178)] = 695739,
  [SMALL_STATE(16179)] = 695759,
  [SMALL_STATE(16180)] = 695775,
  [SMALL_STATE(16181)] = 695795,
  [SMALL_STATE(16182)] = 695815,
  [SMALL_STATE(16183)] = 695835,
  [SMALL_STATE(16184)] = 695855,
  [SMALL_STATE(16185)] = 695875,
  [SMALL_STATE(16186)] = 695895,
  [SMALL_STATE(16187)] = 695913,
  [SMALL_STATE(16188)] = 695933,
  [SMALL_STATE(16189)] = 695953,
  [SMALL_STATE(16190)] = 695973,
  [SMALL_STATE(16191)] = 695993,
  [SMALL_STATE(16192)] = 696013,
  [SMALL_STATE(16193)] = 696031,
  [SMALL_STATE(16194)] = 696051,
  [SMALL_STATE(16195)] = 696071,
  [SMALL_STATE(16196)] = 696091,
  [SMALL_STATE(16197)] = 696111,
  [SMALL_STATE(16198)] = 696129,
  [SMALL_STATE(16199)] = 696149,
  [SMALL_STATE(16200)] = 696169,
  [SMALL_STATE(16201)] = 696189,
  [SMALL_STATE(16202)] = 696207,
  [SMALL_STATE(16203)] = 696227,
  [SMALL_STATE(16204)] = 696247,
  [SMALL_STATE(16205)] = 696267,
  [SMALL_STATE(16206)] = 696287,
  [SMALL_STATE(16207)] = 696307,
  [SMALL_STATE(16208)] = 696327,
  [SMALL_STATE(16209)] = 696345,
  [SMALL_STATE(16210)] = 696365,
  [SMALL_STATE(16211)] = 696385,
  [SMALL_STATE(16212)] = 696405,
  [SMALL_STATE(16213)] = 696425,
  [SMALL_STATE(16214)] = 696445,
  [SMALL_STATE(16215)] = 696465,
  [SMALL_STATE(16216)] = 696483,
  [SMALL_STATE(16217)] = 696503,
  [SMALL_STATE(16218)] = 696523,
  [SMALL_STATE(16219)] = 696543,
  [SMALL_STATE(16220)] = 696561,
  [SMALL_STATE(16221)] = 696581,
  [SMALL_STATE(16222)] = 696599,
  [SMALL_STATE(16223)] = 696619,
  [SMALL_STATE(16224)] = 696637,
  [SMALL_STATE(16225)] = 696657,
  [SMALL_STATE(16226)] = 696675,
  [SMALL_STATE(16227)] = 696695,
  [SMALL_STATE(16228)] = 696713,
  [SMALL_STATE(16229)] = 696733,
  [SMALL_STATE(16230)] = 696751,
  [SMALL_STATE(16231)] = 696771,
  [SMALL_STATE(16232)] = 696789,
  [SMALL_STATE(16233)] = 696809,
  [SMALL_STATE(16234)] = 696827,
  [SMALL_STATE(16235)] = 696847,
  [SMALL_STATE(16236)] = 696865,
  [SMALL_STATE(16237)] = 696885,
  [SMALL_STATE(16238)] = 696903,
  [SMALL_STATE(16239)] = 696923,
  [SMALL_STATE(16240)] = 696941,
  [SMALL_STATE(16241)] = 696961,
  [SMALL_STATE(16242)] = 696979,
  [SMALL_STATE(16243)] = 696999,
  [SMALL_STATE(16244)] = 697017,
  [SMALL_STATE(16245)] = 697035,
  [SMALL_STATE(16246)] = 697053,
  [SMALL_STATE(16247)] = 697071,
  [SMALL_STATE(16248)] = 697089,
  [SMALL_STATE(16249)] = 697107,
  [SMALL_STATE(16250)] = 697125,
  [SMALL_STATE(16251)] = 697143,
  [SMALL_STATE(16252)] = 697161,
  [SMALL_STATE(16253)] = 697179,
  [SMALL_STATE(16254)] = 697197,
  [SMALL_STATE(16255)] = 697215,
  [SMALL_STATE(16256)] = 697233,
  [SMALL_STATE(16257)] = 697251,
  [SMALL_STATE(16258)] = 697269,
  [SMALL_STATE(16259)] = 697287,
  [SMALL_STATE(16260)] = 697305,
  [SMALL_STATE(16261)] = 697323,
  [SMALL_STATE(16262)] = 697341,
  [SMALL_STATE(16263)] = 697359,
  [SMALL_STATE(16264)] = 697377,
  [SMALL_STATE(16265)] = 697395,
  [SMALL_STATE(16266)] = 697413,
  [SMALL_STATE(16267)] = 697431,
  [SMALL_STATE(16268)] = 697449,
  [SMALL_STATE(16269)] = 697469,
  [SMALL_STATE(16270)] = 697487,
  [SMALL_STATE(16271)] = 697507,
  [SMALL_STATE(16272)] = 697527,
  [SMALL_STATE(16273)] = 697547,
  [SMALL_STATE(16274)] = 697567,
  [SMALL_STATE(16275)] = 697585,
  [SMALL_STATE(16276)] = 697603,
  [SMALL_STATE(16277)] = 697623,
  [SMALL_STATE(16278)] = 697643,
  [SMALL_STATE(16279)] = 697663,
  [SMALL_STATE(16280)] = 697681,
  [SMALL_STATE(16281)] = 697699,
  [SMALL_STATE(16282)] = 697719,
  [SMALL_STATE(16283)] = 697739,
  [SMALL_STATE(16284)] = 697759,
  [SMALL_STATE(16285)] = 697775,
  [SMALL_STATE(16286)] = 697793,
  [SMALL_STATE(16287)] = 697813,
  [SMALL_STATE(16288)] = 697833,
  [SMALL_STATE(16289)] = 697853,
  [SMALL_STATE(16290)] = 697873,
  [SMALL_STATE(16291)] = 697893,
  [SMALL_STATE(16292)] = 697913,
  [SMALL_STATE(16293)] = 697933,
  [SMALL_STATE(16294)] = 697953,
  [SMALL_STATE(16295)] = 697973,
  [SMALL_STATE(16296)] = 697993,
  [SMALL_STATE(16297)] = 698013,
  [SMALL_STATE(16298)] = 698033,
  [SMALL_STATE(16299)] = 698053,
  [SMALL_STATE(16300)] = 698073,
  [SMALL_STATE(16301)] = 698093,
  [SMALL_STATE(16302)] = 698113,
  [SMALL_STATE(16303)] = 698133,
  [SMALL_STATE(16304)] = 698153,
  [SMALL_STATE(16305)] = 698173,
  [SMALL_STATE(16306)] = 698193,
  [SMALL_STATE(16307)] = 698213,
  [SMALL_STATE(16308)] = 698233,
  [SMALL_STATE(16309)] = 698253,
  [SMALL_STATE(16310)] = 698273,
  [SMALL_STATE(16311)] = 698293,
  [SMALL_STATE(16312)] = 698311,
  [SMALL_STATE(16313)] = 698331,
  [SMALL_STATE(16314)] = 698349,
  [SMALL_STATE(16315)] = 698369,
  [SMALL_STATE(16316)] = 698389,
  [SMALL_STATE(16317)] = 698409,
  [SMALL_STATE(16318)] = 698429,
  [SMALL_STATE(16319)] = 698449,
  [SMALL_STATE(16320)] = 698469,
  [SMALL_STATE(16321)] = 698489,
  [SMALL_STATE(16322)] = 698509,
  [SMALL_STATE(16323)] = 698529,
  [SMALL_STATE(16324)] = 698549,
  [SMALL_STATE(16325)] = 698569,
  [SMALL_STATE(16326)] = 698589,
  [SMALL_STATE(16327)] = 698609,
  [SMALL_STATE(16328)] = 698629,
  [SMALL_STATE(16329)] = 698649,
  [SMALL_STATE(16330)] = 698669,
  [SMALL_STATE(16331)] = 698689,
  [SMALL_STATE(16332)] = 698709,
  [SMALL_STATE(16333)] = 698729,
  [SMALL_STATE(16334)] = 698749,
  [SMALL_STATE(16335)] = 698769,
  [SMALL_STATE(16336)] = 698789,
  [SMALL_STATE(16337)] = 698809,
  [SMALL_STATE(16338)] = 698829,
  [SMALL_STATE(16339)] = 698849,
  [SMALL_STATE(16340)] = 698869,
  [SMALL_STATE(16341)] = 698889,
  [SMALL_STATE(16342)] = 698909,
  [SMALL_STATE(16343)] = 698929,
  [SMALL_STATE(16344)] = 698949,
  [SMALL_STATE(16345)] = 698969,
  [SMALL_STATE(16346)] = 698989,
  [SMALL_STATE(16347)] = 699009,
  [SMALL_STATE(16348)] = 699029,
  [SMALL_STATE(16349)] = 699049,
  [SMALL_STATE(16350)] = 699067,
  [SMALL_STATE(16351)] = 699085,
  [SMALL_STATE(16352)] = 699105,
  [SMALL_STATE(16353)] = 699125,
  [SMALL_STATE(16354)] = 699145,
  [SMALL_STATE(16355)] = 699165,
  [SMALL_STATE(16356)] = 699185,
  [SMALL_STATE(16357)] = 699203,
  [SMALL_STATE(16358)] = 699221,
  [SMALL_STATE(16359)] = 699239,
  [SMALL_STATE(16360)] = 699259,
  [SMALL_STATE(16361)] = 699279,
  [SMALL_STATE(16362)] = 699299,
  [SMALL_STATE(16363)] = 699319,
  [SMALL_STATE(16364)] = 699339,
  [SMALL_STATE(16365)] = 699357,
  [SMALL_STATE(16366)] = 699375,
  [SMALL_STATE(16367)] = 699395,
  [SMALL_STATE(16368)] = 699413,
  [SMALL_STATE(16369)] = 699433,
  [SMALL_STATE(16370)] = 699453,
  [SMALL_STATE(16371)] = 699473,
  [SMALL_STATE(16372)] = 699493,
  [SMALL_STATE(16373)] = 699511,
  [SMALL_STATE(16374)] = 699531,
  [SMALL_STATE(16375)] = 699551,
  [SMALL_STATE(16376)] = 699571,
  [SMALL_STATE(16377)] = 699589,
  [SMALL_STATE(16378)] = 699609,
  [SMALL_STATE(16379)] = 699629,
  [SMALL_STATE(16380)] = 699649,
  [SMALL_STATE(16381)] = 699667,
  [SMALL_STATE(16382)] = 699687,
  [SMALL_STATE(16383)] = 699707,
  [SMALL_STATE(16384)] = 699724,
  [SMALL_STATE(16385)] = 699741,
  [SMALL_STATE(16386)] = 699758,
  [SMALL_STATE(16387)] = 699775,
  [SMALL_STATE(16388)] = 699792,
  [SMALL_STATE(16389)] = 699809,
  [SMALL_STATE(16390)] = 699826,
  [SMALL_STATE(16391)] = 699843,
  [SMALL_STATE(16392)] = 699860,
  [SMALL_STATE(16393)] = 699877,
  [SMALL_STATE(16394)] = 699894,
  [SMALL_STATE(16395)] = 699911,
  [SMALL_STATE(16396)] = 699926,
  [SMALL_STATE(16397)] = 699943,
  [SMALL_STATE(16398)] = 699960,
  [SMALL_STATE(16399)] = 699977,
  [SMALL_STATE(16400)] = 699994,
  [SMALL_STATE(16401)] = 700011,
  [SMALL_STATE(16402)] = 700028,
  [SMALL_STATE(16403)] = 700043,
  [SMALL_STATE(16404)] = 700060,
  [SMALL_STATE(16405)] = 700077,
  [SMALL_STATE(16406)] = 700092,
  [SMALL_STATE(16407)] = 700109,
  [SMALL_STATE(16408)] = 700126,
  [SMALL_STATE(16409)] = 700143,
  [SMALL_STATE(16410)] = 700160,
  [SMALL_STATE(16411)] = 700177,
  [SMALL_STATE(16412)] = 700194,
  [SMALL_STATE(16413)] = 700211,
  [SMALL_STATE(16414)] = 700228,
  [SMALL_STATE(16415)] = 700245,
  [SMALL_STATE(16416)] = 700262,
  [SMALL_STATE(16417)] = 700279,
  [SMALL_STATE(16418)] = 700296,
  [SMALL_STATE(16419)] = 700313,
  [SMALL_STATE(16420)] = 700330,
  [SMALL_STATE(16421)] = 700347,
  [SMALL_STATE(16422)] = 700364,
  [SMALL_STATE(16423)] = 700381,
  [SMALL_STATE(16424)] = 700398,
  [SMALL_STATE(16425)] = 700415,
  [SMALL_STATE(16426)] = 700432,
  [SMALL_STATE(16427)] = 700449,
  [SMALL_STATE(16428)] = 700466,
  [SMALL_STATE(16429)] = 700483,
  [SMALL_STATE(16430)] = 700500,
  [SMALL_STATE(16431)] = 700517,
  [SMALL_STATE(16432)] = 700534,
  [SMALL_STATE(16433)] = 700551,
  [SMALL_STATE(16434)] = 700568,
  [SMALL_STATE(16435)] = 700585,
  [SMALL_STATE(16436)] = 700602,
  [SMALL_STATE(16437)] = 700619,
  [SMALL_STATE(16438)] = 700636,
  [SMALL_STATE(16439)] = 700653,
  [SMALL_STATE(16440)] = 700670,
  [SMALL_STATE(16441)] = 700687,
  [SMALL_STATE(16442)] = 700704,
  [SMALL_STATE(16443)] = 700721,
  [SMALL_STATE(16444)] = 700738,
  [SMALL_STATE(16445)] = 700755,
  [SMALL_STATE(16446)] = 700772,
  [SMALL_STATE(16447)] = 700789,
  [SMALL_STATE(16448)] = 700806,
  [SMALL_STATE(16449)] = 700823,
  [SMALL_STATE(16450)] = 700840,
  [SMALL_STATE(16451)] = 700857,
  [SMALL_STATE(16452)] = 700872,
  [SMALL_STATE(16453)] = 700889,
  [SMALL_STATE(16454)] = 700906,
  [SMALL_STATE(16455)] = 700923,
  [SMALL_STATE(16456)] = 700940,
  [SMALL_STATE(16457)] = 700955,
  [SMALL_STATE(16458)] = 700972,
  [SMALL_STATE(16459)] = 700989,
  [SMALL_STATE(16460)] = 701006,
  [SMALL_STATE(16461)] = 701023,
  [SMALL_STATE(16462)] = 701040,
  [SMALL_STATE(16463)] = 701057,
  [SMALL_STATE(16464)] = 701072,
  [SMALL_STATE(16465)] = 701089,
  [SMALL_STATE(16466)] = 701106,
  [SMALL_STATE(16467)] = 701123,
  [SMALL_STATE(16468)] = 701138,
  [SMALL_STATE(16469)] = 701155,
  [SMALL_STATE(16470)] = 701170,
  [SMALL_STATE(16471)] = 701187,
  [SMALL_STATE(16472)] = 701204,
  [SMALL_STATE(16473)] = 701219,
  [SMALL_STATE(16474)] = 701236,
  [SMALL_STATE(16475)] = 701253,
  [SMALL_STATE(16476)] = 701270,
  [SMALL_STATE(16477)] = 701287,
  [SMALL_STATE(16478)] = 701304,
  [SMALL_STATE(16479)] = 701321,
  [SMALL_STATE(16480)] = 701338,
  [SMALL_STATE(16481)] = 701355,
  [SMALL_STATE(16482)] = 701372,
  [SMALL_STATE(16483)] = 701387,
  [SMALL_STATE(16484)] = 701404,
  [SMALL_STATE(16485)] = 701421,
  [SMALL_STATE(16486)] = 701438,
  [SMALL_STATE(16487)] = 701455,
  [SMALL_STATE(16488)] = 701472,
  [SMALL_STATE(16489)] = 701489,
  [SMALL_STATE(16490)] = 701506,
  [SMALL_STATE(16491)] = 701523,
  [SMALL_STATE(16492)] = 701540,
  [SMALL_STATE(16493)] = 701557,
  [SMALL_STATE(16494)] = 701574,
  [SMALL_STATE(16495)] = 701591,
  [SMALL_STATE(16496)] = 701606,
  [SMALL_STATE(16497)] = 701621,
  [SMALL_STATE(16498)] = 701638,
  [SMALL_STATE(16499)] = 701655,
  [SMALL_STATE(16500)] = 701672,
  [SMALL_STATE(16501)] = 701689,
  [SMALL_STATE(16502)] = 701706,
  [SMALL_STATE(16503)] = 701723,
  [SMALL_STATE(16504)] = 701738,
  [SMALL_STATE(16505)] = 701755,
  [SMALL_STATE(16506)] = 701772,
  [SMALL_STATE(16507)] = 701789,
  [SMALL_STATE(16508)] = 701806,
  [SMALL_STATE(16509)] = 701823,
  [SMALL_STATE(16510)] = 701840,
  [SMALL_STATE(16511)] = 701857,
  [SMALL_STATE(16512)] = 701872,
  [SMALL_STATE(16513)] = 701889,
  [SMALL_STATE(16514)] = 701906,
  [SMALL_STATE(16515)] = 701923,
  [SMALL_STATE(16516)] = 701940,
  [SMALL_STATE(16517)] = 701957,
  [SMALL_STATE(16518)] = 701974,
  [SMALL_STATE(16519)] = 701991,
  [SMALL_STATE(16520)] = 702008,
  [SMALL_STATE(16521)] = 702025,
  [SMALL_STATE(16522)] = 702042,
  [SMALL_STATE(16523)] = 702059,
  [SMALL_STATE(16524)] = 702076,
  [SMALL_STATE(16525)] = 702093,
  [SMALL_STATE(16526)] = 702110,
  [SMALL_STATE(16527)] = 702125,
  [SMALL_STATE(16528)] = 702142,
  [SMALL_STATE(16529)] = 702159,
  [SMALL_STATE(16530)] = 702176,
  [SMALL_STATE(16531)] = 702193,
  [SMALL_STATE(16532)] = 702210,
  [SMALL_STATE(16533)] = 702227,
  [SMALL_STATE(16534)] = 702244,
  [SMALL_STATE(16535)] = 702259,
  [SMALL_STATE(16536)] = 702276,
  [SMALL_STATE(16537)] = 702293,
  [SMALL_STATE(16538)] = 702308,
  [SMALL_STATE(16539)] = 702325,
  [SMALL_STATE(16540)] = 702342,
  [SMALL_STATE(16541)] = 702359,
  [SMALL_STATE(16542)] = 702376,
  [SMALL_STATE(16543)] = 702393,
  [SMALL_STATE(16544)] = 702410,
  [SMALL_STATE(16545)] = 702427,
  [SMALL_STATE(16546)] = 702444,
  [SMALL_STATE(16547)] = 702461,
  [SMALL_STATE(16548)] = 702476,
  [SMALL_STATE(16549)] = 702493,
  [SMALL_STATE(16550)] = 702510,
  [SMALL_STATE(16551)] = 702527,
  [SMALL_STATE(16552)] = 702544,
  [SMALL_STATE(16553)] = 702561,
  [SMALL_STATE(16554)] = 702578,
  [SMALL_STATE(16555)] = 702593,
  [SMALL_STATE(16556)] = 702608,
  [SMALL_STATE(16557)] = 702625,
  [SMALL_STATE(16558)] = 702642,
  [SMALL_STATE(16559)] = 702659,
  [SMALL_STATE(16560)] = 702676,
  [SMALL_STATE(16561)] = 702693,
  [SMALL_STATE(16562)] = 702708,
  [SMALL_STATE(16563)] = 702725,
  [SMALL_STATE(16564)] = 702742,
  [SMALL_STATE(16565)] = 702759,
  [SMALL_STATE(16566)] = 702776,
  [SMALL_STATE(16567)] = 702793,
  [SMALL_STATE(16568)] = 702808,
  [SMALL_STATE(16569)] = 702825,
  [SMALL_STATE(16570)] = 702842,
  [SMALL_STATE(16571)] = 702859,
  [SMALL_STATE(16572)] = 702876,
  [SMALL_STATE(16573)] = 702893,
  [SMALL_STATE(16574)] = 702910,
  [SMALL_STATE(16575)] = 702927,
  [SMALL_STATE(16576)] = 702944,
  [SMALL_STATE(16577)] = 702961,
  [SMALL_STATE(16578)] = 702978,
  [SMALL_STATE(16579)] = 702995,
  [SMALL_STATE(16580)] = 703012,
  [SMALL_STATE(16581)] = 703029,
  [SMALL_STATE(16582)] = 703046,
  [SMALL_STATE(16583)] = 703063,
  [SMALL_STATE(16584)] = 703080,
  [SMALL_STATE(16585)] = 703097,
  [SMALL_STATE(16586)] = 703114,
  [SMALL_STATE(16587)] = 703131,
  [SMALL_STATE(16588)] = 703148,
  [SMALL_STATE(16589)] = 703165,
  [SMALL_STATE(16590)] = 703182,
  [SMALL_STATE(16591)] = 703199,
  [SMALL_STATE(16592)] = 703216,
  [SMALL_STATE(16593)] = 703233,
  [SMALL_STATE(16594)] = 703250,
  [SMALL_STATE(16595)] = 703267,
  [SMALL_STATE(16596)] = 703284,
  [SMALL_STATE(16597)] = 703301,
  [SMALL_STATE(16598)] = 703316,
  [SMALL_STATE(16599)] = 703333,
  [SMALL_STATE(16600)] = 703350,
  [SMALL_STATE(16601)] = 703367,
  [SMALL_STATE(16602)] = 703384,
  [SMALL_STATE(16603)] = 703401,
  [SMALL_STATE(16604)] = 703416,
  [SMALL_STATE(16605)] = 703433,
  [SMALL_STATE(16606)] = 703450,
  [SMALL_STATE(16607)] = 703467,
  [SMALL_STATE(16608)] = 703484,
  [SMALL_STATE(16609)] = 703501,
  [SMALL_STATE(16610)] = 703518,
  [SMALL_STATE(16611)] = 703535,
  [SMALL_STATE(16612)] = 703552,
  [SMALL_STATE(16613)] = 703569,
  [SMALL_STATE(16614)] = 703586,
  [SMALL_STATE(16615)] = 703603,
  [SMALL_STATE(16616)] = 703620,
  [SMALL_STATE(16617)] = 703637,
  [SMALL_STATE(16618)] = 703654,
  [SMALL_STATE(16619)] = 703669,
  [SMALL_STATE(16620)] = 703684,
  [SMALL_STATE(16621)] = 703701,
  [SMALL_STATE(16622)] = 703718,
  [SMALL_STATE(16623)] = 703735,
  [SMALL_STATE(16624)] = 703752,
  [SMALL_STATE(16625)] = 703769,
  [SMALL_STATE(16626)] = 703786,
  [SMALL_STATE(16627)] = 703803,
  [SMALL_STATE(16628)] = 703820,
  [SMALL_STATE(16629)] = 703837,
  [SMALL_STATE(16630)] = 703854,
  [SMALL_STATE(16631)] = 703871,
  [SMALL_STATE(16632)] = 703888,
  [SMALL_STATE(16633)] = 703905,
  [SMALL_STATE(16634)] = 703922,
  [SMALL_STATE(16635)] = 703939,
  [SMALL_STATE(16636)] = 703956,
  [SMALL_STATE(16637)] = 703971,
  [SMALL_STATE(16638)] = 703988,
  [SMALL_STATE(16639)] = 704003,
  [SMALL_STATE(16640)] = 704018,
  [SMALL_STATE(16641)] = 704035,
  [SMALL_STATE(16642)] = 704052,
  [SMALL_STATE(16643)] = 704069,
  [SMALL_STATE(16644)] = 704086,
  [SMALL_STATE(16645)] = 704103,
  [SMALL_STATE(16646)] = 704120,
  [SMALL_STATE(16647)] = 704137,
  [SMALL_STATE(16648)] = 704154,
  [SMALL_STATE(16649)] = 704171,
  [SMALL_STATE(16650)] = 704188,
  [SMALL_STATE(16651)] = 704205,
  [SMALL_STATE(16652)] = 704222,
  [SMALL_STATE(16653)] = 704237,
  [SMALL_STATE(16654)] = 704252,
  [SMALL_STATE(16655)] = 704269,
  [SMALL_STATE(16656)] = 704286,
  [SMALL_STATE(16657)] = 704301,
  [SMALL_STATE(16658)] = 704318,
  [SMALL_STATE(16659)] = 704335,
  [SMALL_STATE(16660)] = 704352,
  [SMALL_STATE(16661)] = 704369,
  [SMALL_STATE(16662)] = 704386,
  [SMALL_STATE(16663)] = 704403,
  [SMALL_STATE(16664)] = 704418,
  [SMALL_STATE(16665)] = 704433,
  [SMALL_STATE(16666)] = 704450,
  [SMALL_STATE(16667)] = 704465,
  [SMALL_STATE(16668)] = 704482,
  [SMALL_STATE(16669)] = 704499,
  [SMALL_STATE(16670)] = 704516,
  [SMALL_STATE(16671)] = 704533,
  [SMALL_STATE(16672)] = 704550,
  [SMALL_STATE(16673)] = 704565,
  [SMALL_STATE(16674)] = 704580,
  [SMALL_STATE(16675)] = 704597,
  [SMALL_STATE(16676)] = 704614,
  [SMALL_STATE(16677)] = 704631,
  [SMALL_STATE(16678)] = 704648,
  [SMALL_STATE(16679)] = 704665,
  [SMALL_STATE(16680)] = 704682,
  [SMALL_STATE(16681)] = 704699,
  [SMALL_STATE(16682)] = 704716,
  [SMALL_STATE(16683)] = 704733,
  [SMALL_STATE(16684)] = 704750,
  [SMALL_STATE(16685)] = 704767,
  [SMALL_STATE(16686)] = 704782,
  [SMALL_STATE(16687)] = 704797,
  [SMALL_STATE(16688)] = 704814,
  [SMALL_STATE(16689)] = 704829,
  [SMALL_STATE(16690)] = 704844,
  [SMALL_STATE(16691)] = 704861,
  [SMALL_STATE(16692)] = 704878,
  [SMALL_STATE(16693)] = 704895,
  [SMALL_STATE(16694)] = 704912,
  [SMALL_STATE(16695)] = 704929,
  [SMALL_STATE(16696)] = 704946,
  [SMALL_STATE(16697)] = 704963,
  [SMALL_STATE(16698)] = 704980,
  [SMALL_STATE(16699)] = 704997,
  [SMALL_STATE(16700)] = 705014,
  [SMALL_STATE(16701)] = 705031,
  [SMALL_STATE(16702)] = 705048,
  [SMALL_STATE(16703)] = 705065,
  [SMALL_STATE(16704)] = 705082,
  [SMALL_STATE(16705)] = 705099,
  [SMALL_STATE(16706)] = 705116,
  [SMALL_STATE(16707)] = 705131,
  [SMALL_STATE(16708)] = 705148,
  [SMALL_STATE(16709)] = 705165,
  [SMALL_STATE(16710)] = 705182,
  [SMALL_STATE(16711)] = 705199,
  [SMALL_STATE(16712)] = 705216,
  [SMALL_STATE(16713)] = 705233,
  [SMALL_STATE(16714)] = 705250,
  [SMALL_STATE(16715)] = 705267,
  [SMALL_STATE(16716)] = 705284,
  [SMALL_STATE(16717)] = 705301,
  [SMALL_STATE(16718)] = 705318,
  [SMALL_STATE(16719)] = 705335,
  [SMALL_STATE(16720)] = 705350,
  [SMALL_STATE(16721)] = 705367,
  [SMALL_STATE(16722)] = 705384,
  [SMALL_STATE(16723)] = 705401,
  [SMALL_STATE(16724)] = 705418,
  [SMALL_STATE(16725)] = 705435,
  [SMALL_STATE(16726)] = 705452,
  [SMALL_STATE(16727)] = 705469,
  [SMALL_STATE(16728)] = 705486,
  [SMALL_STATE(16729)] = 705503,
  [SMALL_STATE(16730)] = 705520,
  [SMALL_STATE(16731)] = 705537,
  [SMALL_STATE(16732)] = 705554,
  [SMALL_STATE(16733)] = 705571,
  [SMALL_STATE(16734)] = 705588,
  [SMALL_STATE(16735)] = 705605,
  [SMALL_STATE(16736)] = 705622,
  [SMALL_STATE(16737)] = 705639,
  [SMALL_STATE(16738)] = 705656,
  [SMALL_STATE(16739)] = 705673,
  [SMALL_STATE(16740)] = 705690,
  [SMALL_STATE(16741)] = 705707,
  [SMALL_STATE(16742)] = 705724,
  [SMALL_STATE(16743)] = 705741,
  [SMALL_STATE(16744)] = 705758,
  [SMALL_STATE(16745)] = 705775,
  [SMALL_STATE(16746)] = 705792,
  [SMALL_STATE(16747)] = 705809,
  [SMALL_STATE(16748)] = 705824,
  [SMALL_STATE(16749)] = 705841,
  [SMALL_STATE(16750)] = 705856,
  [SMALL_STATE(16751)] = 705871,
  [SMALL_STATE(16752)] = 705888,
  [SMALL_STATE(16753)] = 705905,
  [SMALL_STATE(16754)] = 705922,
  [SMALL_STATE(16755)] = 705939,
  [SMALL_STATE(16756)] = 705954,
  [SMALL_STATE(16757)] = 705971,
  [SMALL_STATE(16758)] = 705988,
  [SMALL_STATE(16759)] = 706005,
  [SMALL_STATE(16760)] = 706022,
  [SMALL_STATE(16761)] = 706039,
  [SMALL_STATE(16762)] = 706056,
  [SMALL_STATE(16763)] = 706073,
  [SMALL_STATE(16764)] = 706088,
  [SMALL_STATE(16765)] = 706105,
  [SMALL_STATE(16766)] = 706120,
  [SMALL_STATE(16767)] = 706137,
  [SMALL_STATE(16768)] = 706152,
  [SMALL_STATE(16769)] = 706169,
  [SMALL_STATE(16770)] = 706186,
  [SMALL_STATE(16771)] = 706203,
  [SMALL_STATE(16772)] = 706220,
  [SMALL_STATE(16773)] = 706237,
  [SMALL_STATE(16774)] = 706252,
  [SMALL_STATE(16775)] = 706269,
  [SMALL_STATE(16776)] = 706286,
  [SMALL_STATE(16777)] = 706303,
  [SMALL_STATE(16778)] = 706320,
  [SMALL_STATE(16779)] = 706337,
  [SMALL_STATE(16780)] = 706354,
  [SMALL_STATE(16781)] = 706371,
  [SMALL_STATE(16782)] = 706388,
  [SMALL_STATE(16783)] = 706405,
  [SMALL_STATE(16784)] = 706422,
  [SMALL_STATE(16785)] = 706439,
  [SMALL_STATE(16786)] = 706456,
  [SMALL_STATE(16787)] = 706473,
  [SMALL_STATE(16788)] = 706490,
  [SMALL_STATE(16789)] = 706507,
  [SMALL_STATE(16790)] = 706524,
  [SMALL_STATE(16791)] = 706541,
  [SMALL_STATE(16792)] = 706558,
  [SMALL_STATE(16793)] = 706573,
  [SMALL_STATE(16794)] = 706590,
  [SMALL_STATE(16795)] = 706607,
  [SMALL_STATE(16796)] = 706624,
  [SMALL_STATE(16797)] = 706641,
  [SMALL_STATE(16798)] = 706658,
  [SMALL_STATE(16799)] = 706675,
  [SMALL_STATE(16800)] = 706692,
  [SMALL_STATE(16801)] = 706709,
  [SMALL_STATE(16802)] = 706726,
  [SMALL_STATE(16803)] = 706743,
  [SMALL_STATE(16804)] = 706760,
  [SMALL_STATE(16805)] = 706777,
  [SMALL_STATE(16806)] = 706794,
  [SMALL_STATE(16807)] = 706811,
  [SMALL_STATE(16808)] = 706828,
  [SMALL_STATE(16809)] = 706845,
  [SMALL_STATE(16810)] = 706862,
  [SMALL_STATE(16811)] = 706879,
  [SMALL_STATE(16812)] = 706896,
  [SMALL_STATE(16813)] = 706913,
  [SMALL_STATE(16814)] = 706928,
  [SMALL_STATE(16815)] = 706945,
  [SMALL_STATE(16816)] = 706962,
  [SMALL_STATE(16817)] = 706979,
  [SMALL_STATE(16818)] = 706996,
  [SMALL_STATE(16819)] = 707013,
  [SMALL_STATE(16820)] = 707030,
  [SMALL_STATE(16821)] = 707047,
  [SMALL_STATE(16822)] = 707064,
  [SMALL_STATE(16823)] = 707081,
  [SMALL_STATE(16824)] = 707098,
  [SMALL_STATE(16825)] = 707115,
  [SMALL_STATE(16826)] = 707132,
  [SMALL_STATE(16827)] = 707149,
  [SMALL_STATE(16828)] = 707166,
  [SMALL_STATE(16829)] = 707183,
  [SMALL_STATE(16830)] = 707200,
  [SMALL_STATE(16831)] = 707217,
  [SMALL_STATE(16832)] = 707234,
  [SMALL_STATE(16833)] = 707251,
  [SMALL_STATE(16834)] = 707268,
  [SMALL_STATE(16835)] = 707285,
  [SMALL_STATE(16836)] = 707302,
  [SMALL_STATE(16837)] = 707319,
  [SMALL_STATE(16838)] = 707336,
  [SMALL_STATE(16839)] = 707353,
  [SMALL_STATE(16840)] = 707370,
  [SMALL_STATE(16841)] = 707387,
  [SMALL_STATE(16842)] = 707404,
  [SMALL_STATE(16843)] = 707421,
  [SMALL_STATE(16844)] = 707438,
  [SMALL_STATE(16845)] = 707455,
  [SMALL_STATE(16846)] = 707472,
  [SMALL_STATE(16847)] = 707489,
  [SMALL_STATE(16848)] = 707506,
  [SMALL_STATE(16849)] = 707523,
  [SMALL_STATE(16850)] = 707540,
  [SMALL_STATE(16851)] = 707557,
  [SMALL_STATE(16852)] = 707574,
  [SMALL_STATE(16853)] = 707591,
  [SMALL_STATE(16854)] = 707608,
  [SMALL_STATE(16855)] = 707625,
  [SMALL_STATE(16856)] = 707642,
  [SMALL_STATE(16857)] = 707659,
  [SMALL_STATE(16858)] = 707676,
  [SMALL_STATE(16859)] = 707693,
  [SMALL_STATE(16860)] = 707710,
  [SMALL_STATE(16861)] = 707727,
  [SMALL_STATE(16862)] = 707744,
  [SMALL_STATE(16863)] = 707761,
  [SMALL_STATE(16864)] = 707778,
  [SMALL_STATE(16865)] = 707795,
  [SMALL_STATE(16866)] = 707810,
  [SMALL_STATE(16867)] = 707827,
  [SMALL_STATE(16868)] = 707844,
  [SMALL_STATE(16869)] = 707861,
  [SMALL_STATE(16870)] = 707878,
  [SMALL_STATE(16871)] = 707895,
  [SMALL_STATE(16872)] = 707912,
  [SMALL_STATE(16873)] = 707929,
  [SMALL_STATE(16874)] = 707946,
  [SMALL_STATE(16875)] = 707963,
  [SMALL_STATE(16876)] = 707980,
  [SMALL_STATE(16877)] = 707995,
  [SMALL_STATE(16878)] = 708010,
  [SMALL_STATE(16879)] = 708027,
  [SMALL_STATE(16880)] = 708044,
  [SMALL_STATE(16881)] = 708061,
  [SMALL_STATE(16882)] = 708078,
  [SMALL_STATE(16883)] = 708095,
  [SMALL_STATE(16884)] = 708112,
  [SMALL_STATE(16885)] = 708129,
  [SMALL_STATE(16886)] = 708146,
  [SMALL_STATE(16887)] = 708161,
  [SMALL_STATE(16888)] = 708178,
  [SMALL_STATE(16889)] = 708193,
  [SMALL_STATE(16890)] = 708210,
  [SMALL_STATE(16891)] = 708227,
  [SMALL_STATE(16892)] = 708244,
  [SMALL_STATE(16893)] = 708261,
  [SMALL_STATE(16894)] = 708278,
  [SMALL_STATE(16895)] = 708295,
  [SMALL_STATE(16896)] = 708312,
  [SMALL_STATE(16897)] = 708329,
  [SMALL_STATE(16898)] = 708346,
  [SMALL_STATE(16899)] = 708363,
  [SMALL_STATE(16900)] = 708380,
  [SMALL_STATE(16901)] = 708397,
  [SMALL_STATE(16902)] = 708414,
  [SMALL_STATE(16903)] = 708431,
  [SMALL_STATE(16904)] = 708448,
  [SMALL_STATE(16905)] = 708465,
  [SMALL_STATE(16906)] = 708482,
  [SMALL_STATE(16907)] = 708499,
  [SMALL_STATE(16908)] = 708516,
  [SMALL_STATE(16909)] = 708533,
  [SMALL_STATE(16910)] = 708550,
  [SMALL_STATE(16911)] = 708567,
  [SMALL_STATE(16912)] = 708584,
  [SMALL_STATE(16913)] = 708601,
  [SMALL_STATE(16914)] = 708618,
  [SMALL_STATE(16915)] = 708635,
  [SMALL_STATE(16916)] = 708652,
  [SMALL_STATE(16917)] = 708669,
  [SMALL_STATE(16918)] = 708686,
  [SMALL_STATE(16919)] = 708703,
  [SMALL_STATE(16920)] = 708720,
  [SMALL_STATE(16921)] = 708737,
  [SMALL_STATE(16922)] = 708754,
  [SMALL_STATE(16923)] = 708771,
  [SMALL_STATE(16924)] = 708788,
  [SMALL_STATE(16925)] = 708805,
  [SMALL_STATE(16926)] = 708822,
  [SMALL_STATE(16927)] = 708837,
  [SMALL_STATE(16928)] = 708854,
  [SMALL_STATE(16929)] = 708871,
  [SMALL_STATE(16930)] = 708888,
  [SMALL_STATE(16931)] = 708905,
  [SMALL_STATE(16932)] = 708922,
  [SMALL_STATE(16933)] = 708939,
  [SMALL_STATE(16934)] = 708956,
  [SMALL_STATE(16935)] = 708973,
  [SMALL_STATE(16936)] = 708990,
  [SMALL_STATE(16937)] = 709005,
  [SMALL_STATE(16938)] = 709022,
  [SMALL_STATE(16939)] = 709037,
  [SMALL_STATE(16940)] = 709054,
  [SMALL_STATE(16941)] = 709071,
  [SMALL_STATE(16942)] = 709088,
  [SMALL_STATE(16943)] = 709105,
  [SMALL_STATE(16944)] = 709122,
  [SMALL_STATE(16945)] = 709139,
  [SMALL_STATE(16946)] = 709156,
  [SMALL_STATE(16947)] = 709173,
  [SMALL_STATE(16948)] = 709190,
  [SMALL_STATE(16949)] = 709207,
  [SMALL_STATE(16950)] = 709224,
  [SMALL_STATE(16951)] = 709241,
  [SMALL_STATE(16952)] = 709258,
  [SMALL_STATE(16953)] = 709275,
  [SMALL_STATE(16954)] = 709292,
  [SMALL_STATE(16955)] = 709309,
  [SMALL_STATE(16956)] = 709326,
  [SMALL_STATE(16957)] = 709341,
  [SMALL_STATE(16958)] = 709358,
  [SMALL_STATE(16959)] = 709375,
  [SMALL_STATE(16960)] = 709392,
  [SMALL_STATE(16961)] = 709409,
  [SMALL_STATE(16962)] = 709426,
  [SMALL_STATE(16963)] = 709443,
  [SMALL_STATE(16964)] = 709460,
  [SMALL_STATE(16965)] = 709477,
  [SMALL_STATE(16966)] = 709494,
  [SMALL_STATE(16967)] = 709511,
  [SMALL_STATE(16968)] = 709526,
  [SMALL_STATE(16969)] = 709543,
  [SMALL_STATE(16970)] = 709560,
  [SMALL_STATE(16971)] = 709577,
  [SMALL_STATE(16972)] = 709594,
  [SMALL_STATE(16973)] = 709611,
  [SMALL_STATE(16974)] = 709628,
  [SMALL_STATE(16975)] = 709645,
  [SMALL_STATE(16976)] = 709662,
  [SMALL_STATE(16977)] = 709679,
  [SMALL_STATE(16978)] = 709696,
  [SMALL_STATE(16979)] = 709713,
  [SMALL_STATE(16980)] = 709730,
  [SMALL_STATE(16981)] = 709745,
  [SMALL_STATE(16982)] = 709762,
  [SMALL_STATE(16983)] = 709779,
  [SMALL_STATE(16984)] = 709794,
  [SMALL_STATE(16985)] = 709811,
  [SMALL_STATE(16986)] = 709828,
  [SMALL_STATE(16987)] = 709845,
  [SMALL_STATE(16988)] = 709862,
  [SMALL_STATE(16989)] = 709879,
  [SMALL_STATE(16990)] = 709894,
  [SMALL_STATE(16991)] = 709911,
  [SMALL_STATE(16992)] = 709928,
  [SMALL_STATE(16993)] = 709945,
  [SMALL_STATE(16994)] = 709962,
  [SMALL_STATE(16995)] = 709979,
  [SMALL_STATE(16996)] = 709994,
  [SMALL_STATE(16997)] = 710009,
  [SMALL_STATE(16998)] = 710026,
  [SMALL_STATE(16999)] = 710043,
  [SMALL_STATE(17000)] = 710060,
  [SMALL_STATE(17001)] = 710077,
  [SMALL_STATE(17002)] = 710094,
  [SMALL_STATE(17003)] = 710111,
  [SMALL_STATE(17004)] = 710126,
  [SMALL_STATE(17005)] = 710143,
  [SMALL_STATE(17006)] = 710160,
  [SMALL_STATE(17007)] = 710177,
  [SMALL_STATE(17008)] = 710194,
  [SMALL_STATE(17009)] = 710211,
  [SMALL_STATE(17010)] = 710226,
  [SMALL_STATE(17011)] = 710243,
  [SMALL_STATE(17012)] = 710260,
  [SMALL_STATE(17013)] = 710277,
  [SMALL_STATE(17014)] = 710294,
  [SMALL_STATE(17015)] = 710311,
  [SMALL_STATE(17016)] = 710328,
  [SMALL_STATE(17017)] = 710345,
  [SMALL_STATE(17018)] = 710362,
  [SMALL_STATE(17019)] = 710379,
  [SMALL_STATE(17020)] = 710394,
  [SMALL_STATE(17021)] = 710411,
  [SMALL_STATE(17022)] = 710428,
  [SMALL_STATE(17023)] = 710445,
  [SMALL_STATE(17024)] = 710462,
  [SMALL_STATE(17025)] = 710479,
  [SMALL_STATE(17026)] = 710496,
  [SMALL_STATE(17027)] = 710513,
  [SMALL_STATE(17028)] = 710530,
  [SMALL_STATE(17029)] = 710547,
  [SMALL_STATE(17030)] = 710562,
  [SMALL_STATE(17031)] = 710579,
  [SMALL_STATE(17032)] = 710596,
  [SMALL_STATE(17033)] = 710613,
  [SMALL_STATE(17034)] = 710630,
  [SMALL_STATE(17035)] = 710647,
  [SMALL_STATE(17036)] = 710664,
  [SMALL_STATE(17037)] = 710681,
  [SMALL_STATE(17038)] = 710698,
  [SMALL_STATE(17039)] = 710713,
  [SMALL_STATE(17040)] = 710730,
  [SMALL_STATE(17041)] = 710747,
  [SMALL_STATE(17042)] = 710764,
  [SMALL_STATE(17043)] = 710781,
  [SMALL_STATE(17044)] = 710798,
  [SMALL_STATE(17045)] = 710815,
  [SMALL_STATE(17046)] = 710832,
  [SMALL_STATE(17047)] = 710849,
  [SMALL_STATE(17048)] = 710864,
  [SMALL_STATE(17049)] = 710881,
  [SMALL_STATE(17050)] = 710898,
  [SMALL_STATE(17051)] = 710915,
  [SMALL_STATE(17052)] = 710932,
  [SMALL_STATE(17053)] = 710949,
  [SMALL_STATE(17054)] = 710966,
  [SMALL_STATE(17055)] = 710983,
  [SMALL_STATE(17056)] = 710998,
  [SMALL_STATE(17057)] = 711015,
  [SMALL_STATE(17058)] = 711032,
  [SMALL_STATE(17059)] = 711049,
  [SMALL_STATE(17060)] = 711066,
  [SMALL_STATE(17061)] = 711083,
  [SMALL_STATE(17062)] = 711100,
  [SMALL_STATE(17063)] = 711117,
  [SMALL_STATE(17064)] = 711134,
  [SMALL_STATE(17065)] = 711149,
  [SMALL_STATE(17066)] = 711166,
  [SMALL_STATE(17067)] = 711183,
  [SMALL_STATE(17068)] = 711200,
  [SMALL_STATE(17069)] = 711217,
  [SMALL_STATE(17070)] = 711234,
  [SMALL_STATE(17071)] = 711251,
  [SMALL_STATE(17072)] = 711268,
  [SMALL_STATE(17073)] = 711285,
  [SMALL_STATE(17074)] = 711302,
  [SMALL_STATE(17075)] = 711319,
  [SMALL_STATE(17076)] = 711334,
  [SMALL_STATE(17077)] = 711351,
  [SMALL_STATE(17078)] = 711368,
  [SMALL_STATE(17079)] = 711385,
  [SMALL_STATE(17080)] = 711402,
  [SMALL_STATE(17081)] = 711419,
  [SMALL_STATE(17082)] = 711436,
  [SMALL_STATE(17083)] = 711453,
  [SMALL_STATE(17084)] = 711470,
  [SMALL_STATE(17085)] = 711487,
  [SMALL_STATE(17086)] = 711504,
  [SMALL_STATE(17087)] = 711521,
  [SMALL_STATE(17088)] = 711538,
  [SMALL_STATE(17089)] = 711555,
  [SMALL_STATE(17090)] = 711572,
  [SMALL_STATE(17091)] = 711589,
  [SMALL_STATE(17092)] = 711606,
  [SMALL_STATE(17093)] = 711623,
  [SMALL_STATE(17094)] = 711640,
  [SMALL_STATE(17095)] = 711657,
  [SMALL_STATE(17096)] = 711674,
  [SMALL_STATE(17097)] = 711691,
  [SMALL_STATE(17098)] = 711708,
  [SMALL_STATE(17099)] = 711725,
  [SMALL_STATE(17100)] = 711742,
  [SMALL_STATE(17101)] = 711759,
  [SMALL_STATE(17102)] = 711776,
  [SMALL_STATE(17103)] = 711793,
  [SMALL_STATE(17104)] = 711810,
  [SMALL_STATE(17105)] = 711827,
  [SMALL_STATE(17106)] = 711844,
  [SMALL_STATE(17107)] = 711861,
  [SMALL_STATE(17108)] = 711878,
  [SMALL_STATE(17109)] = 711895,
  [SMALL_STATE(17110)] = 711912,
  [SMALL_STATE(17111)] = 711929,
  [SMALL_STATE(17112)] = 711946,
  [SMALL_STATE(17113)] = 711963,
  [SMALL_STATE(17114)] = 711980,
  [SMALL_STATE(17115)] = 711997,
  [SMALL_STATE(17116)] = 712014,
  [SMALL_STATE(17117)] = 712031,
  [SMALL_STATE(17118)] = 712048,
  [SMALL_STATE(17119)] = 712065,
  [SMALL_STATE(17120)] = 712082,
  [SMALL_STATE(17121)] = 712099,
  [SMALL_STATE(17122)] = 712116,
  [SMALL_STATE(17123)] = 712133,
  [SMALL_STATE(17124)] = 712150,
  [SMALL_STATE(17125)] = 712167,
  [SMALL_STATE(17126)] = 712184,
  [SMALL_STATE(17127)] = 712201,
  [SMALL_STATE(17128)] = 712218,
  [SMALL_STATE(17129)] = 712235,
  [SMALL_STATE(17130)] = 712252,
  [SMALL_STATE(17131)] = 712269,
  [SMALL_STATE(17132)] = 712286,
  [SMALL_STATE(17133)] = 712303,
  [SMALL_STATE(17134)] = 712320,
  [SMALL_STATE(17135)] = 712337,
  [SMALL_STATE(17136)] = 712354,
  [SMALL_STATE(17137)] = 712371,
  [SMALL_STATE(17138)] = 712388,
  [SMALL_STATE(17139)] = 712405,
  [SMALL_STATE(17140)] = 712422,
  [SMALL_STATE(17141)] = 712439,
  [SMALL_STATE(17142)] = 712456,
  [SMALL_STATE(17143)] = 712473,
  [SMALL_STATE(17144)] = 712490,
  [SMALL_STATE(17145)] = 712507,
  [SMALL_STATE(17146)] = 712524,
  [SMALL_STATE(17147)] = 712541,
  [SMALL_STATE(17148)] = 712558,
  [SMALL_STATE(17149)] = 712575,
  [SMALL_STATE(17150)] = 712592,
  [SMALL_STATE(17151)] = 712609,
  [SMALL_STATE(17152)] = 712626,
  [SMALL_STATE(17153)] = 712643,
  [SMALL_STATE(17154)] = 712660,
  [SMALL_STATE(17155)] = 712677,
  [SMALL_STATE(17156)] = 712694,
  [SMALL_STATE(17157)] = 712711,
  [SMALL_STATE(17158)] = 712728,
  [SMALL_STATE(17159)] = 712745,
  [SMALL_STATE(17160)] = 712762,
  [SMALL_STATE(17161)] = 712779,
  [SMALL_STATE(17162)] = 712796,
  [SMALL_STATE(17163)] = 712813,
  [SMALL_STATE(17164)] = 712830,
  [SMALL_STATE(17165)] = 712847,
  [SMALL_STATE(17166)] = 712864,
  [SMALL_STATE(17167)] = 712881,
  [SMALL_STATE(17168)] = 712898,
  [SMALL_STATE(17169)] = 712915,
  [SMALL_STATE(17170)] = 712932,
  [SMALL_STATE(17171)] = 712947,
  [SMALL_STATE(17172)] = 712964,
  [SMALL_STATE(17173)] = 712979,
  [SMALL_STATE(17174)] = 712996,
  [SMALL_STATE(17175)] = 713013,
  [SMALL_STATE(17176)] = 713030,
  [SMALL_STATE(17177)] = 713047,
  [SMALL_STATE(17178)] = 713064,
  [SMALL_STATE(17179)] = 713079,
  [SMALL_STATE(17180)] = 713096,
  [SMALL_STATE(17181)] = 713113,
  [SMALL_STATE(17182)] = 713130,
  [SMALL_STATE(17183)] = 713147,
  [SMALL_STATE(17184)] = 713164,
  [SMALL_STATE(17185)] = 713179,
  [SMALL_STATE(17186)] = 713196,
  [SMALL_STATE(17187)] = 713211,
  [SMALL_STATE(17188)] = 713226,
  [SMALL_STATE(17189)] = 713243,
  [SMALL_STATE(17190)] = 713258,
  [SMALL_STATE(17191)] = 713275,
  [SMALL_STATE(17192)] = 713292,
  [SMALL_STATE(17193)] = 713309,
  [SMALL_STATE(17194)] = 713326,
  [SMALL_STATE(17195)] = 713341,
  [SMALL_STATE(17196)] = 713358,
  [SMALL_STATE(17197)] = 713375,
  [SMALL_STATE(17198)] = 713392,
  [SMALL_STATE(17199)] = 713407,
  [SMALL_STATE(17200)] = 713424,
  [SMALL_STATE(17201)] = 713441,
  [SMALL_STATE(17202)] = 713458,
  [SMALL_STATE(17203)] = 713475,
  [SMALL_STATE(17204)] = 713492,
  [SMALL_STATE(17205)] = 713509,
  [SMALL_STATE(17206)] = 713526,
  [SMALL_STATE(17207)] = 713543,
  [SMALL_STATE(17208)] = 713560,
  [SMALL_STATE(17209)] = 713577,
  [SMALL_STATE(17210)] = 713592,
  [SMALL_STATE(17211)] = 713607,
  [SMALL_STATE(17212)] = 713624,
  [SMALL_STATE(17213)] = 713641,
  [SMALL_STATE(17214)] = 713658,
  [SMALL_STATE(17215)] = 713675,
  [SMALL_STATE(17216)] = 713692,
  [SMALL_STATE(17217)] = 713707,
  [SMALL_STATE(17218)] = 713724,
  [SMALL_STATE(17219)] = 713741,
  [SMALL_STATE(17220)] = 713756,
  [SMALL_STATE(17221)] = 713773,
  [SMALL_STATE(17222)] = 713790,
  [SMALL_STATE(17223)] = 713807,
  [SMALL_STATE(17224)] = 713824,
  [SMALL_STATE(17225)] = 713841,
  [SMALL_STATE(17226)] = 713858,
  [SMALL_STATE(17227)] = 713875,
  [SMALL_STATE(17228)] = 713890,
  [SMALL_STATE(17229)] = 713907,
  [SMALL_STATE(17230)] = 713924,
  [SMALL_STATE(17231)] = 713939,
  [SMALL_STATE(17232)] = 713956,
  [SMALL_STATE(17233)] = 713973,
  [SMALL_STATE(17234)] = 713990,
  [SMALL_STATE(17235)] = 714005,
  [SMALL_STATE(17236)] = 714022,
  [SMALL_STATE(17237)] = 714037,
  [SMALL_STATE(17238)] = 714054,
  [SMALL_STATE(17239)] = 714071,
  [SMALL_STATE(17240)] = 714088,
  [SMALL_STATE(17241)] = 714105,
  [SMALL_STATE(17242)] = 714122,
  [SMALL_STATE(17243)] = 714139,
  [SMALL_STATE(17244)] = 714156,
  [SMALL_STATE(17245)] = 714173,
  [SMALL_STATE(17246)] = 714190,
  [SMALL_STATE(17247)] = 714207,
  [SMALL_STATE(17248)] = 714224,
  [SMALL_STATE(17249)] = 714241,
  [SMALL_STATE(17250)] = 714258,
  [SMALL_STATE(17251)] = 714273,
  [SMALL_STATE(17252)] = 714290,
  [SMALL_STATE(17253)] = 714305,
  [SMALL_STATE(17254)] = 714322,
  [SMALL_STATE(17255)] = 714339,
  [SMALL_STATE(17256)] = 714354,
  [SMALL_STATE(17257)] = 714371,
  [SMALL_STATE(17258)] = 714388,
  [SMALL_STATE(17259)] = 714403,
  [SMALL_STATE(17260)] = 714420,
  [SMALL_STATE(17261)] = 714437,
  [SMALL_STATE(17262)] = 714454,
  [SMALL_STATE(17263)] = 714469,
  [SMALL_STATE(17264)] = 714486,
  [SMALL_STATE(17265)] = 714503,
  [SMALL_STATE(17266)] = 714520,
  [SMALL_STATE(17267)] = 714537,
  [SMALL_STATE(17268)] = 714554,
  [SMALL_STATE(17269)] = 714571,
  [SMALL_STATE(17270)] = 714588,
  [SMALL_STATE(17271)] = 714605,
  [SMALL_STATE(17272)] = 714622,
  [SMALL_STATE(17273)] = 714639,
  [SMALL_STATE(17274)] = 714656,
  [SMALL_STATE(17275)] = 714673,
  [SMALL_STATE(17276)] = 714690,
  [SMALL_STATE(17277)] = 714707,
  [SMALL_STATE(17278)] = 714724,
  [SMALL_STATE(17279)] = 714741,
  [SMALL_STATE(17280)] = 714758,
  [SMALL_STATE(17281)] = 714775,
  [SMALL_STATE(17282)] = 714790,
  [SMALL_STATE(17283)] = 714807,
  [SMALL_STATE(17284)] = 714824,
  [SMALL_STATE(17285)] = 714841,
  [SMALL_STATE(17286)] = 714858,
  [SMALL_STATE(17287)] = 714875,
  [SMALL_STATE(17288)] = 714892,
  [SMALL_STATE(17289)] = 714909,
  [SMALL_STATE(17290)] = 714926,
  [SMALL_STATE(17291)] = 714943,
  [SMALL_STATE(17292)] = 714960,
  [SMALL_STATE(17293)] = 714977,
  [SMALL_STATE(17294)] = 714994,
  [SMALL_STATE(17295)] = 715011,
  [SMALL_STATE(17296)] = 715028,
  [SMALL_STATE(17297)] = 715045,
  [SMALL_STATE(17298)] = 715062,
  [SMALL_STATE(17299)] = 715079,
  [SMALL_STATE(17300)] = 715094,
  [SMALL_STATE(17301)] = 715109,
  [SMALL_STATE(17302)] = 715126,
  [SMALL_STATE(17303)] = 715141,
  [SMALL_STATE(17304)] = 715158,
  [SMALL_STATE(17305)] = 715175,
  [SMALL_STATE(17306)] = 715190,
  [SMALL_STATE(17307)] = 715207,
  [SMALL_STATE(17308)] = 715224,
  [SMALL_STATE(17309)] = 715241,
  [SMALL_STATE(17310)] = 715256,
  [SMALL_STATE(17311)] = 715273,
  [SMALL_STATE(17312)] = 715288,
  [SMALL_STATE(17313)] = 715303,
  [SMALL_STATE(17314)] = 715320,
  [SMALL_STATE(17315)] = 715337,
  [SMALL_STATE(17316)] = 715354,
  [SMALL_STATE(17317)] = 715371,
  [SMALL_STATE(17318)] = 715388,
  [SMALL_STATE(17319)] = 715405,
  [SMALL_STATE(17320)] = 715420,
  [SMALL_STATE(17321)] = 715437,
  [SMALL_STATE(17322)] = 715452,
  [SMALL_STATE(17323)] = 715467,
  [SMALL_STATE(17324)] = 715482,
  [SMALL_STATE(17325)] = 715499,
  [SMALL_STATE(17326)] = 715516,
  [SMALL_STATE(17327)] = 715533,
  [SMALL_STATE(17328)] = 715550,
  [SMALL_STATE(17329)] = 715565,
  [SMALL_STATE(17330)] = 715580,
  [SMALL_STATE(17331)] = 715597,
  [SMALL_STATE(17332)] = 715614,
  [SMALL_STATE(17333)] = 715629,
  [SMALL_STATE(17334)] = 715644,
  [SMALL_STATE(17335)] = 715661,
  [SMALL_STATE(17336)] = 715678,
  [SMALL_STATE(17337)] = 715695,
  [SMALL_STATE(17338)] = 715712,
  [SMALL_STATE(17339)] = 715729,
  [SMALL_STATE(17340)] = 715744,
  [SMALL_STATE(17341)] = 715761,
  [SMALL_STATE(17342)] = 715776,
  [SMALL_STATE(17343)] = 715793,
  [SMALL_STATE(17344)] = 715810,
  [SMALL_STATE(17345)] = 715827,
  [SMALL_STATE(17346)] = 715842,
  [SMALL_STATE(17347)] = 715859,
  [SMALL_STATE(17348)] = 715876,
  [SMALL_STATE(17349)] = 715893,
  [SMALL_STATE(17350)] = 715910,
  [SMALL_STATE(17351)] = 715927,
  [SMALL_STATE(17352)] = 715944,
  [SMALL_STATE(17353)] = 715961,
  [SMALL_STATE(17354)] = 715978,
  [SMALL_STATE(17355)] = 715995,
  [SMALL_STATE(17356)] = 716012,
  [SMALL_STATE(17357)] = 716029,
  [SMALL_STATE(17358)] = 716046,
  [SMALL_STATE(17359)] = 716063,
  [SMALL_STATE(17360)] = 716080,
  [SMALL_STATE(17361)] = 716095,
  [SMALL_STATE(17362)] = 716112,
  [SMALL_STATE(17363)] = 716127,
  [SMALL_STATE(17364)] = 716144,
  [SMALL_STATE(17365)] = 716161,
  [SMALL_STATE(17366)] = 716178,
  [SMALL_STATE(17367)] = 716193,
  [SMALL_STATE(17368)] = 716210,
  [SMALL_STATE(17369)] = 716227,
  [SMALL_STATE(17370)] = 716244,
  [SMALL_STATE(17371)] = 716261,
  [SMALL_STATE(17372)] = 716278,
  [SMALL_STATE(17373)] = 716295,
  [SMALL_STATE(17374)] = 716312,
  [SMALL_STATE(17375)] = 716329,
  [SMALL_STATE(17376)] = 716346,
  [SMALL_STATE(17377)] = 716361,
  [SMALL_STATE(17378)] = 716376,
  [SMALL_STATE(17379)] = 716393,
  [SMALL_STATE(17380)] = 716410,
  [SMALL_STATE(17381)] = 716427,
  [SMALL_STATE(17382)] = 716444,
  [SMALL_STATE(17383)] = 716461,
  [SMALL_STATE(17384)] = 716476,
  [SMALL_STATE(17385)] = 716493,
  [SMALL_STATE(17386)] = 716508,
  [SMALL_STATE(17387)] = 716525,
  [SMALL_STATE(17388)] = 716542,
  [SMALL_STATE(17389)] = 716559,
  [SMALL_STATE(17390)] = 716576,
  [SMALL_STATE(17391)] = 716593,
  [SMALL_STATE(17392)] = 716610,
  [SMALL_STATE(17393)] = 716627,
  [SMALL_STATE(17394)] = 716644,
  [SMALL_STATE(17395)] = 716661,
  [SMALL_STATE(17396)] = 716678,
  [SMALL_STATE(17397)] = 716695,
  [SMALL_STATE(17398)] = 716712,
  [SMALL_STATE(17399)] = 716729,
  [SMALL_STATE(17400)] = 716746,
  [SMALL_STATE(17401)] = 716763,
  [SMALL_STATE(17402)] = 716778,
  [SMALL_STATE(17403)] = 716793,
  [SMALL_STATE(17404)] = 716810,
  [SMALL_STATE(17405)] = 716827,
  [SMALL_STATE(17406)] = 716844,
  [SMALL_STATE(17407)] = 716861,
  [SMALL_STATE(17408)] = 716878,
  [SMALL_STATE(17409)] = 716893,
  [SMALL_STATE(17410)] = 716910,
  [SMALL_STATE(17411)] = 716927,
  [SMALL_STATE(17412)] = 716944,
  [SMALL_STATE(17413)] = 716961,
  [SMALL_STATE(17414)] = 716976,
  [SMALL_STATE(17415)] = 716991,
  [SMALL_STATE(17416)] = 717006,
  [SMALL_STATE(17417)] = 717021,
  [SMALL_STATE(17418)] = 717036,
  [SMALL_STATE(17419)] = 717053,
  [SMALL_STATE(17420)] = 717070,
  [SMALL_STATE(17421)] = 717087,
  [SMALL_STATE(17422)] = 717104,
  [SMALL_STATE(17423)] = 717121,
  [SMALL_STATE(17424)] = 717138,
  [SMALL_STATE(17425)] = 717155,
  [SMALL_STATE(17426)] = 717172,
  [SMALL_STATE(17427)] = 717189,
  [SMALL_STATE(17428)] = 717206,
  [SMALL_STATE(17429)] = 717221,
  [SMALL_STATE(17430)] = 717238,
  [SMALL_STATE(17431)] = 717255,
  [SMALL_STATE(17432)] = 717272,
  [SMALL_STATE(17433)] = 717289,
  [SMALL_STATE(17434)] = 717304,
  [SMALL_STATE(17435)] = 717319,
  [SMALL_STATE(17436)] = 717336,
  [SMALL_STATE(17437)] = 717353,
  [SMALL_STATE(17438)] = 717368,
  [SMALL_STATE(17439)] = 717383,
  [SMALL_STATE(17440)] = 717398,
  [SMALL_STATE(17441)] = 717413,
  [SMALL_STATE(17442)] = 717430,
  [SMALL_STATE(17443)] = 717445,
  [SMALL_STATE(17444)] = 717462,
  [SMALL_STATE(17445)] = 717479,
  [SMALL_STATE(17446)] = 717496,
  [SMALL_STATE(17447)] = 717513,
  [SMALL_STATE(17448)] = 717530,
  [SMALL_STATE(17449)] = 717547,
  [SMALL_STATE(17450)] = 717564,
  [SMALL_STATE(17451)] = 717579,
  [SMALL_STATE(17452)] = 717596,
  [SMALL_STATE(17453)] = 717613,
  [SMALL_STATE(17454)] = 717630,
  [SMALL_STATE(17455)] = 717647,
  [SMALL_STATE(17456)] = 717664,
  [SMALL_STATE(17457)] = 717681,
  [SMALL_STATE(17458)] = 717698,
  [SMALL_STATE(17459)] = 717713,
  [SMALL_STATE(17460)] = 717728,
  [SMALL_STATE(17461)] = 717743,
  [SMALL_STATE(17462)] = 717760,
  [SMALL_STATE(17463)] = 717775,
  [SMALL_STATE(17464)] = 717790,
  [SMALL_STATE(17465)] = 717804,
  [SMALL_STATE(17466)] = 717818,
  [SMALL_STATE(17467)] = 717832,
  [SMALL_STATE(17468)] = 717846,
  [SMALL_STATE(17469)] = 717860,
  [SMALL_STATE(17470)] = 717874,
  [SMALL_STATE(17471)] = 717888,
  [SMALL_STATE(17472)] = 717902,
  [SMALL_STATE(17473)] = 717916,
  [SMALL_STATE(17474)] = 717930,
  [SMALL_STATE(17475)] = 717944,
  [SMALL_STATE(17476)] = 717958,
  [SMALL_STATE(17477)] = 717972,
  [SMALL_STATE(17478)] = 717986,
  [SMALL_STATE(17479)] = 718000,
  [SMALL_STATE(17480)] = 718014,
  [SMALL_STATE(17481)] = 718028,
  [SMALL_STATE(17482)] = 718042,
  [SMALL_STATE(17483)] = 718056,
  [SMALL_STATE(17484)] = 718070,
  [SMALL_STATE(17485)] = 718084,
  [SMALL_STATE(17486)] = 718098,
  [SMALL_STATE(17487)] = 718112,
  [SMALL_STATE(17488)] = 718126,
  [SMALL_STATE(17489)] = 718140,
  [SMALL_STATE(17490)] = 718154,
  [SMALL_STATE(17491)] = 718168,
  [SMALL_STATE(17492)] = 718182,
  [SMALL_STATE(17493)] = 718196,
  [SMALL_STATE(17494)] = 718210,
  [SMALL_STATE(17495)] = 718224,
  [SMALL_STATE(17496)] = 718238,
  [SMALL_STATE(17497)] = 718252,
  [SMALL_STATE(17498)] = 718266,
  [SMALL_STATE(17499)] = 718280,
  [SMALL_STATE(17500)] = 718294,
  [SMALL_STATE(17501)] = 718308,
  [SMALL_STATE(17502)] = 718322,
  [SMALL_STATE(17503)] = 718336,
  [SMALL_STATE(17504)] = 718350,
  [SMALL_STATE(17505)] = 718364,
  [SMALL_STATE(17506)] = 718378,
  [SMALL_STATE(17507)] = 718392,
  [SMALL_STATE(17508)] = 718406,
  [SMALL_STATE(17509)] = 718420,
  [SMALL_STATE(17510)] = 718434,
  [SMALL_STATE(17511)] = 718448,
  [SMALL_STATE(17512)] = 718462,
  [SMALL_STATE(17513)] = 718476,
  [SMALL_STATE(17514)] = 718490,
  [SMALL_STATE(17515)] = 718504,
  [SMALL_STATE(17516)] = 718518,
  [SMALL_STATE(17517)] = 718532,
  [SMALL_STATE(17518)] = 718546,
  [SMALL_STATE(17519)] = 718560,
  [SMALL_STATE(17520)] = 718574,
  [SMALL_STATE(17521)] = 718588,
  [SMALL_STATE(17522)] = 718602,
  [SMALL_STATE(17523)] = 718616,
  [SMALL_STATE(17524)] = 718630,
  [SMALL_STATE(17525)] = 718644,
  [SMALL_STATE(17526)] = 718658,
  [SMALL_STATE(17527)] = 718672,
  [SMALL_STATE(17528)] = 718686,
  [SMALL_STATE(17529)] = 718700,
  [SMALL_STATE(17530)] = 718714,
  [SMALL_STATE(17531)] = 718728,
  [SMALL_STATE(17532)] = 718742,
  [SMALL_STATE(17533)] = 718756,
  [SMALL_STATE(17534)] = 718770,
  [SMALL_STATE(17535)] = 718784,
  [SMALL_STATE(17536)] = 718798,
  [SMALL_STATE(17537)] = 718812,
  [SMALL_STATE(17538)] = 718826,
  [SMALL_STATE(17539)] = 718840,
  [SMALL_STATE(17540)] = 718854,
  [SMALL_STATE(17541)] = 718868,
  [SMALL_STATE(17542)] = 718882,
  [SMALL_STATE(17543)] = 718896,
  [SMALL_STATE(17544)] = 718910,
  [SMALL_STATE(17545)] = 718924,
  [SMALL_STATE(17546)] = 718938,
  [SMALL_STATE(17547)] = 718952,
  [SMALL_STATE(17548)] = 718966,
  [SMALL_STATE(17549)] = 718980,
  [SMALL_STATE(17550)] = 718994,
  [SMALL_STATE(17551)] = 719008,
  [SMALL_STATE(17552)] = 719022,
  [SMALL_STATE(17553)] = 719036,
  [SMALL_STATE(17554)] = 719050,
  [SMALL_STATE(17555)] = 719064,
  [SMALL_STATE(17556)] = 719078,
  [SMALL_STATE(17557)] = 719092,
  [SMALL_STATE(17558)] = 719106,
  [SMALL_STATE(17559)] = 719120,
  [SMALL_STATE(17560)] = 719134,
  [SMALL_STATE(17561)] = 719148,
  [SMALL_STATE(17562)] = 719162,
  [SMALL_STATE(17563)] = 719176,
  [SMALL_STATE(17564)] = 719190,
  [SMALL_STATE(17565)] = 719204,
  [SMALL_STATE(17566)] = 719218,
  [SMALL_STATE(17567)] = 719232,
  [SMALL_STATE(17568)] = 719246,
  [SMALL_STATE(17569)] = 719260,
  [SMALL_STATE(17570)] = 719274,
  [SMALL_STATE(17571)] = 719288,
  [SMALL_STATE(17572)] = 719302,
  [SMALL_STATE(17573)] = 719316,
  [SMALL_STATE(17574)] = 719330,
  [SMALL_STATE(17575)] = 719344,
  [SMALL_STATE(17576)] = 719358,
  [SMALL_STATE(17577)] = 719372,
  [SMALL_STATE(17578)] = 719386,
  [SMALL_STATE(17579)] = 719400,
  [SMALL_STATE(17580)] = 719414,
  [SMALL_STATE(17581)] = 719428,
  [SMALL_STATE(17582)] = 719442,
  [SMALL_STATE(17583)] = 719456,
  [SMALL_STATE(17584)] = 719470,
  [SMALL_STATE(17585)] = 719484,
  [SMALL_STATE(17586)] = 719498,
  [SMALL_STATE(17587)] = 719512,
  [SMALL_STATE(17588)] = 719526,
  [SMALL_STATE(17589)] = 719540,
  [SMALL_STATE(17590)] = 719554,
  [SMALL_STATE(17591)] = 719568,
  [SMALL_STATE(17592)] = 719582,
  [SMALL_STATE(17593)] = 719596,
  [SMALL_STATE(17594)] = 719610,
  [SMALL_STATE(17595)] = 719624,
  [SMALL_STATE(17596)] = 719638,
  [SMALL_STATE(17597)] = 719652,
  [SMALL_STATE(17598)] = 719666,
  [SMALL_STATE(17599)] = 719680,
  [SMALL_STATE(17600)] = 719694,
  [SMALL_STATE(17601)] = 719708,
  [SMALL_STATE(17602)] = 719722,
  [SMALL_STATE(17603)] = 719736,
  [SMALL_STATE(17604)] = 719750,
  [SMALL_STATE(17605)] = 719764,
  [SMALL_STATE(17606)] = 719778,
  [SMALL_STATE(17607)] = 719792,
  [SMALL_STATE(17608)] = 719806,
  [SMALL_STATE(17609)] = 719820,
  [SMALL_STATE(17610)] = 719834,
  [SMALL_STATE(17611)] = 719848,
  [SMALL_STATE(17612)] = 719862,
  [SMALL_STATE(17613)] = 719876,
  [SMALL_STATE(17614)] = 719890,
  [SMALL_STATE(17615)] = 719904,
  [SMALL_STATE(17616)] = 719918,
  [SMALL_STATE(17617)] = 719932,
  [SMALL_STATE(17618)] = 719946,
  [SMALL_STATE(17619)] = 719960,
  [SMALL_STATE(17620)] = 719974,
  [SMALL_STATE(17621)] = 719988,
  [SMALL_STATE(17622)] = 720002,
  [SMALL_STATE(17623)] = 720016,
  [SMALL_STATE(17624)] = 720030,
  [SMALL_STATE(17625)] = 720044,
  [SMALL_STATE(17626)] = 720058,
  [SMALL_STATE(17627)] = 720072,
  [SMALL_STATE(17628)] = 720086,
  [SMALL_STATE(17629)] = 720100,
  [SMALL_STATE(17630)] = 720114,
  [SMALL_STATE(17631)] = 720128,
  [SMALL_STATE(17632)] = 720142,
  [SMALL_STATE(17633)] = 720156,
  [SMALL_STATE(17634)] = 720170,
  [SMALL_STATE(17635)] = 720184,
  [SMALL_STATE(17636)] = 720198,
  [SMALL_STATE(17637)] = 720212,
  [SMALL_STATE(17638)] = 720226,
  [SMALL_STATE(17639)] = 720240,
  [SMALL_STATE(17640)] = 720254,
  [SMALL_STATE(17641)] = 720268,
  [SMALL_STATE(17642)] = 720282,
  [SMALL_STATE(17643)] = 720296,
  [SMALL_STATE(17644)] = 720310,
  [SMALL_STATE(17645)] = 720324,
  [SMALL_STATE(17646)] = 720338,
  [SMALL_STATE(17647)] = 720352,
  [SMALL_STATE(17648)] = 720366,
  [SMALL_STATE(17649)] = 720380,
  [SMALL_STATE(17650)] = 720394,
  [SMALL_STATE(17651)] = 720408,
  [SMALL_STATE(17652)] = 720422,
  [SMALL_STATE(17653)] = 720436,
  [SMALL_STATE(17654)] = 720450,
  [SMALL_STATE(17655)] = 720464,
  [SMALL_STATE(17656)] = 720478,
  [SMALL_STATE(17657)] = 720492,
  [SMALL_STATE(17658)] = 720506,
  [SMALL_STATE(17659)] = 720520,
  [SMALL_STATE(17660)] = 720534,
  [SMALL_STATE(17661)] = 720548,
  [SMALL_STATE(17662)] = 720562,
  [SMALL_STATE(17663)] = 720576,
  [SMALL_STATE(17664)] = 720590,
  [SMALL_STATE(17665)] = 720604,
  [SMALL_STATE(17666)] = 720618,
  [SMALL_STATE(17667)] = 720632,
  [SMALL_STATE(17668)] = 720646,
  [SMALL_STATE(17669)] = 720660,
  [SMALL_STATE(17670)] = 720674,
  [SMALL_STATE(17671)] = 720688,
  [SMALL_STATE(17672)] = 720702,
  [SMALL_STATE(17673)] = 720716,
  [SMALL_STATE(17674)] = 720730,
  [SMALL_STATE(17675)] = 720744,
  [SMALL_STATE(17676)] = 720758,
  [SMALL_STATE(17677)] = 720772,
  [SMALL_STATE(17678)] = 720786,
  [SMALL_STATE(17679)] = 720800,
  [SMALL_STATE(17680)] = 720814,
  [SMALL_STATE(17681)] = 720828,
  [SMALL_STATE(17682)] = 720842,
  [SMALL_STATE(17683)] = 720856,
  [SMALL_STATE(17684)] = 720870,
  [SMALL_STATE(17685)] = 720884,
  [SMALL_STATE(17686)] = 720898,
  [SMALL_STATE(17687)] = 720912,
  [SMALL_STATE(17688)] = 720926,
  [SMALL_STATE(17689)] = 720940,
  [SMALL_STATE(17690)] = 720954,
  [SMALL_STATE(17691)] = 720968,
  [SMALL_STATE(17692)] = 720982,
  [SMALL_STATE(17693)] = 720996,
  [SMALL_STATE(17694)] = 721010,
  [SMALL_STATE(17695)] = 721024,
  [SMALL_STATE(17696)] = 721038,
  [SMALL_STATE(17697)] = 721052,
  [SMALL_STATE(17698)] = 721066,
  [SMALL_STATE(17699)] = 721080,
  [SMALL_STATE(17700)] = 721094,
  [SMALL_STATE(17701)] = 721108,
  [SMALL_STATE(17702)] = 721122,
  [SMALL_STATE(17703)] = 721136,
  [SMALL_STATE(17704)] = 721150,
  [SMALL_STATE(17705)] = 721164,
  [SMALL_STATE(17706)] = 721178,
  [SMALL_STATE(17707)] = 721192,
  [SMALL_STATE(17708)] = 721206,
  [SMALL_STATE(17709)] = 721220,
  [SMALL_STATE(17710)] = 721234,
  [SMALL_STATE(17711)] = 721248,
  [SMALL_STATE(17712)] = 721262,
  [SMALL_STATE(17713)] = 721276,
  [SMALL_STATE(17714)] = 721290,
  [SMALL_STATE(17715)] = 721304,
  [SMALL_STATE(17716)] = 721318,
  [SMALL_STATE(17717)] = 721332,
  [SMALL_STATE(17718)] = 721346,
  [SMALL_STATE(17719)] = 721360,
  [SMALL_STATE(17720)] = 721374,
  [SMALL_STATE(17721)] = 721388,
  [SMALL_STATE(17722)] = 721402,
  [SMALL_STATE(17723)] = 721416,
  [SMALL_STATE(17724)] = 721430,
  [SMALL_STATE(17725)] = 721444,
  [SMALL_STATE(17726)] = 721458,
  [SMALL_STATE(17727)] = 721472,
  [SMALL_STATE(17728)] = 721486,
  [SMALL_STATE(17729)] = 721500,
  [SMALL_STATE(17730)] = 721514,
  [SMALL_STATE(17731)] = 721528,
  [SMALL_STATE(17732)] = 721542,
  [SMALL_STATE(17733)] = 721556,
  [SMALL_STATE(17734)] = 721570,
  [SMALL_STATE(17735)] = 721584,
  [SMALL_STATE(17736)] = 721598,
  [SMALL_STATE(17737)] = 721612,
  [SMALL_STATE(17738)] = 721626,
  [SMALL_STATE(17739)] = 721640,
  [SMALL_STATE(17740)] = 721654,
  [SMALL_STATE(17741)] = 721668,
  [SMALL_STATE(17742)] = 721682,
  [SMALL_STATE(17743)] = 721696,
  [SMALL_STATE(17744)] = 721710,
  [SMALL_STATE(17745)] = 721724,
  [SMALL_STATE(17746)] = 721738,
  [SMALL_STATE(17747)] = 721752,
  [SMALL_STATE(17748)] = 721766,
  [SMALL_STATE(17749)] = 721780,
  [SMALL_STATE(17750)] = 721794,
  [SMALL_STATE(17751)] = 721808,
  [SMALL_STATE(17752)] = 721822,
  [SMALL_STATE(17753)] = 721836,
  [SMALL_STATE(17754)] = 721850,
  [SMALL_STATE(17755)] = 721864,
  [SMALL_STATE(17756)] = 721878,
  [SMALL_STATE(17757)] = 721892,
  [SMALL_STATE(17758)] = 721906,
  [SMALL_STATE(17759)] = 721920,
  [SMALL_STATE(17760)] = 721934,
  [SMALL_STATE(17761)] = 721948,
  [SMALL_STATE(17762)] = 721962,
  [SMALL_STATE(17763)] = 721976,
  [SMALL_STATE(17764)] = 721990,
  [SMALL_STATE(17765)] = 722004,
  [SMALL_STATE(17766)] = 722018,
  [SMALL_STATE(17767)] = 722032,
  [SMALL_STATE(17768)] = 722046,
  [SMALL_STATE(17769)] = 722060,
  [SMALL_STATE(17770)] = 722074,
  [SMALL_STATE(17771)] = 722088,
  [SMALL_STATE(17772)] = 722102,
  [SMALL_STATE(17773)] = 722116,
  [SMALL_STATE(17774)] = 722130,
  [SMALL_STATE(17775)] = 722144,
  [SMALL_STATE(17776)] = 722158,
  [SMALL_STATE(17777)] = 722172,
  [SMALL_STATE(17778)] = 722186,
  [SMALL_STATE(17779)] = 722200,
  [SMALL_STATE(17780)] = 722214,
  [SMALL_STATE(17781)] = 722228,
  [SMALL_STATE(17782)] = 722242,
  [SMALL_STATE(17783)] = 722256,
  [SMALL_STATE(17784)] = 722270,
  [SMALL_STATE(17785)] = 722284,
  [SMALL_STATE(17786)] = 722298,
  [SMALL_STATE(17787)] = 722312,
  [SMALL_STATE(17788)] = 722326,
  [SMALL_STATE(17789)] = 722340,
  [SMALL_STATE(17790)] = 722354,
  [SMALL_STATE(17791)] = 722368,
  [SMALL_STATE(17792)] = 722382,
  [SMALL_STATE(17793)] = 722396,
  [SMALL_STATE(17794)] = 722410,
  [SMALL_STATE(17795)] = 722424,
  [SMALL_STATE(17796)] = 722438,
  [SMALL_STATE(17797)] = 722452,
  [SMALL_STATE(17798)] = 722466,
  [SMALL_STATE(17799)] = 722480,
  [SMALL_STATE(17800)] = 722494,
  [SMALL_STATE(17801)] = 722508,
  [SMALL_STATE(17802)] = 722522,
  [SMALL_STATE(17803)] = 722536,
  [SMALL_STATE(17804)] = 722550,
  [SMALL_STATE(17805)] = 722564,
  [SMALL_STATE(17806)] = 722578,
  [SMALL_STATE(17807)] = 722592,
  [SMALL_STATE(17808)] = 722606,
  [SMALL_STATE(17809)] = 722620,
  [SMALL_STATE(17810)] = 722634,
  [SMALL_STATE(17811)] = 722648,
  [SMALL_STATE(17812)] = 722662,
  [SMALL_STATE(17813)] = 722676,
  [SMALL_STATE(17814)] = 722690,
  [SMALL_STATE(17815)] = 722704,
  [SMALL_STATE(17816)] = 722718,
  [SMALL_STATE(17817)] = 722732,
  [SMALL_STATE(17818)] = 722746,
  [SMALL_STATE(17819)] = 722760,
  [SMALL_STATE(17820)] = 722774,
  [SMALL_STATE(17821)] = 722788,
  [SMALL_STATE(17822)] = 722802,
  [SMALL_STATE(17823)] = 722816,
  [SMALL_STATE(17824)] = 722830,
  [SMALL_STATE(17825)] = 722844,
  [SMALL_STATE(17826)] = 722858,
  [SMALL_STATE(17827)] = 722872,
  [SMALL_STATE(17828)] = 722886,
  [SMALL_STATE(17829)] = 722900,
  [SMALL_STATE(17830)] = 722914,
  [SMALL_STATE(17831)] = 722928,
  [SMALL_STATE(17832)] = 722942,
  [SMALL_STATE(17833)] = 722956,
  [SMALL_STATE(17834)] = 722970,
  [SMALL_STATE(17835)] = 722984,
  [SMALL_STATE(17836)] = 722998,
  [SMALL_STATE(17837)] = 723012,
  [SMALL_STATE(17838)] = 723026,
  [SMALL_STATE(17839)] = 723040,
  [SMALL_STATE(17840)] = 723054,
  [SMALL_STATE(17841)] = 723068,
  [SMALL_STATE(17842)] = 723082,
  [SMALL_STATE(17843)] = 723096,
  [SMALL_STATE(17844)] = 723110,
  [SMALL_STATE(17845)] = 723124,
  [SMALL_STATE(17846)] = 723138,
  [SMALL_STATE(17847)] = 723152,
  [SMALL_STATE(17848)] = 723166,
  [SMALL_STATE(17849)] = 723180,
  [SMALL_STATE(17850)] = 723194,
  [SMALL_STATE(17851)] = 723208,
  [SMALL_STATE(17852)] = 723222,
  [SMALL_STATE(17853)] = 723236,
  [SMALL_STATE(17854)] = 723250,
  [SMALL_STATE(17855)] = 723264,
  [SMALL_STATE(17856)] = 723278,
  [SMALL_STATE(17857)] = 723292,
  [SMALL_STATE(17858)] = 723306,
  [SMALL_STATE(17859)] = 723320,
  [SMALL_STATE(17860)] = 723334,
  [SMALL_STATE(17861)] = 723348,
  [SMALL_STATE(17862)] = 723362,
  [SMALL_STATE(17863)] = 723376,
  [SMALL_STATE(17864)] = 723390,
  [SMALL_STATE(17865)] = 723404,
  [SMALL_STATE(17866)] = 723418,
  [SMALL_STATE(17867)] = 723432,
  [SMALL_STATE(17868)] = 723446,
  [SMALL_STATE(17869)] = 723460,
  [SMALL_STATE(17870)] = 723474,
  [SMALL_STATE(17871)] = 723488,
  [SMALL_STATE(17872)] = 723502,
  [SMALL_STATE(17873)] = 723516,
  [SMALL_STATE(17874)] = 723530,
  [SMALL_STATE(17875)] = 723544,
  [SMALL_STATE(17876)] = 723558,
  [SMALL_STATE(17877)] = 723572,
  [SMALL_STATE(17878)] = 723586,
  [SMALL_STATE(17879)] = 723600,
  [SMALL_STATE(17880)] = 723614,
  [SMALL_STATE(17881)] = 723628,
  [SMALL_STATE(17882)] = 723642,
  [SMALL_STATE(17883)] = 723656,
  [SMALL_STATE(17884)] = 723670,
  [SMALL_STATE(17885)] = 723684,
  [SMALL_STATE(17886)] = 723698,
  [SMALL_STATE(17887)] = 723712,
  [SMALL_STATE(17888)] = 723726,
  [SMALL_STATE(17889)] = 723740,
  [SMALL_STATE(17890)] = 723754,
  [SMALL_STATE(17891)] = 723768,
  [SMALL_STATE(17892)] = 723782,
  [SMALL_STATE(17893)] = 723796,
  [SMALL_STATE(17894)] = 723810,
  [SMALL_STATE(17895)] = 723824,
  [SMALL_STATE(17896)] = 723838,
  [SMALL_STATE(17897)] = 723852,
  [SMALL_STATE(17898)] = 723866,
  [SMALL_STATE(17899)] = 723880,
  [SMALL_STATE(17900)] = 723894,
  [SMALL_STATE(17901)] = 723908,
  [SMALL_STATE(17902)] = 723922,
  [SMALL_STATE(17903)] = 723936,
  [SMALL_STATE(17904)] = 723950,
  [SMALL_STATE(17905)] = 723964,
  [SMALL_STATE(17906)] = 723978,
  [SMALL_STATE(17907)] = 723992,
  [SMALL_STATE(17908)] = 724006,
  [SMALL_STATE(17909)] = 724020,
  [SMALL_STATE(17910)] = 724034,
  [SMALL_STATE(17911)] = 724048,
  [SMALL_STATE(17912)] = 724062,
  [SMALL_STATE(17913)] = 724076,
  [SMALL_STATE(17914)] = 724090,
  [SMALL_STATE(17915)] = 724104,
  [SMALL_STATE(17916)] = 724118,
  [SMALL_STATE(17917)] = 724132,
  [SMALL_STATE(17918)] = 724146,
  [SMALL_STATE(17919)] = 724160,
  [SMALL_STATE(17920)] = 724174,
  [SMALL_STATE(17921)] = 724188,
  [SMALL_STATE(17922)] = 724202,
  [SMALL_STATE(17923)] = 724216,
  [SMALL_STATE(17924)] = 724230,
  [SMALL_STATE(17925)] = 724244,
  [SMALL_STATE(17926)] = 724258,
  [SMALL_STATE(17927)] = 724272,
  [SMALL_STATE(17928)] = 724286,
  [SMALL_STATE(17929)] = 724300,
  [SMALL_STATE(17930)] = 724314,
  [SMALL_STATE(17931)] = 724328,
  [SMALL_STATE(17932)] = 724342,
  [SMALL_STATE(17933)] = 724356,
  [SMALL_STATE(17934)] = 724370,
  [SMALL_STATE(17935)] = 724384,
  [SMALL_STATE(17936)] = 724398,
  [SMALL_STATE(17937)] = 724412,
  [SMALL_STATE(17938)] = 724426,
  [SMALL_STATE(17939)] = 724440,
  [SMALL_STATE(17940)] = 724454,
  [SMALL_STATE(17941)] = 724468,
  [SMALL_STATE(17942)] = 724482,
  [SMALL_STATE(17943)] = 724496,
  [SMALL_STATE(17944)] = 724510,
  [SMALL_STATE(17945)] = 724524,
  [SMALL_STATE(17946)] = 724538,
  [SMALL_STATE(17947)] = 724552,
  [SMALL_STATE(17948)] = 724566,
  [SMALL_STATE(17949)] = 724580,
  [SMALL_STATE(17950)] = 724594,
  [SMALL_STATE(17951)] = 724608,
  [SMALL_STATE(17952)] = 724622,
  [SMALL_STATE(17953)] = 724636,
  [SMALL_STATE(17954)] = 724650,
  [SMALL_STATE(17955)] = 724664,
  [SMALL_STATE(17956)] = 724678,
  [SMALL_STATE(17957)] = 724692,
  [SMALL_STATE(17958)] = 724706,
  [SMALL_STATE(17959)] = 724720,
  [SMALL_STATE(17960)] = 724734,
  [SMALL_STATE(17961)] = 724748,
  [SMALL_STATE(17962)] = 724762,
  [SMALL_STATE(17963)] = 724776,
  [SMALL_STATE(17964)] = 724790,
  [SMALL_STATE(17965)] = 724804,
  [SMALL_STATE(17966)] = 724818,
  [SMALL_STATE(17967)] = 724832,
  [SMALL_STATE(17968)] = 724846,
  [SMALL_STATE(17969)] = 724860,
  [SMALL_STATE(17970)] = 724874,
  [SMALL_STATE(17971)] = 724888,
  [SMALL_STATE(17972)] = 724902,
  [SMALL_STATE(17973)] = 724916,
  [SMALL_STATE(17974)] = 724930,
  [SMALL_STATE(17975)] = 724944,
  [SMALL_STATE(17976)] = 724958,
  [SMALL_STATE(17977)] = 724972,
  [SMALL_STATE(17978)] = 724986,
  [SMALL_STATE(17979)] = 725000,
  [SMALL_STATE(17980)] = 725014,
  [SMALL_STATE(17981)] = 725028,
  [SMALL_STATE(17982)] = 725042,
  [SMALL_STATE(17983)] = 725056,
  [SMALL_STATE(17984)] = 725070,
  [SMALL_STATE(17985)] = 725084,
  [SMALL_STATE(17986)] = 725098,
  [SMALL_STATE(17987)] = 725112,
  [SMALL_STATE(17988)] = 725126,
  [SMALL_STATE(17989)] = 725140,
  [SMALL_STATE(17990)] = 725154,
  [SMALL_STATE(17991)] = 725168,
  [SMALL_STATE(17992)] = 725182,
  [SMALL_STATE(17993)] = 725196,
  [SMALL_STATE(17994)] = 725210,
  [SMALL_STATE(17995)] = 725224,
  [SMALL_STATE(17996)] = 725238,
  [SMALL_STATE(17997)] = 725252,
  [SMALL_STATE(17998)] = 725266,
  [SMALL_STATE(17999)] = 725280,
  [SMALL_STATE(18000)] = 725294,
  [SMALL_STATE(18001)] = 725308,
  [SMALL_STATE(18002)] = 725322,
  [SMALL_STATE(18003)] = 725336,
  [SMALL_STATE(18004)] = 725350,
  [SMALL_STATE(18005)] = 725364,
  [SMALL_STATE(18006)] = 725378,
  [SMALL_STATE(18007)] = 725392,
  [SMALL_STATE(18008)] = 725406,
  [SMALL_STATE(18009)] = 725420,
  [SMALL_STATE(18010)] = 725434,
  [SMALL_STATE(18011)] = 725448,
  [SMALL_STATE(18012)] = 725462,
  [SMALL_STATE(18013)] = 725476,
  [SMALL_STATE(18014)] = 725490,
  [SMALL_STATE(18015)] = 725504,
  [SMALL_STATE(18016)] = 725518,
  [SMALL_STATE(18017)] = 725532,
  [SMALL_STATE(18018)] = 725546,
  [SMALL_STATE(18019)] = 725560,
  [SMALL_STATE(18020)] = 725574,
  [SMALL_STATE(18021)] = 725588,
  [SMALL_STATE(18022)] = 725602,
  [SMALL_STATE(18023)] = 725616,
  [SMALL_STATE(18024)] = 725630,
  [SMALL_STATE(18025)] = 725644,
  [SMALL_STATE(18026)] = 725658,
  [SMALL_STATE(18027)] = 725672,
  [SMALL_STATE(18028)] = 725686,
  [SMALL_STATE(18029)] = 725700,
  [SMALL_STATE(18030)] = 725714,
  [SMALL_STATE(18031)] = 725728,
  [SMALL_STATE(18032)] = 725742,
  [SMALL_STATE(18033)] = 725756,
  [SMALL_STATE(18034)] = 725770,
  [SMALL_STATE(18035)] = 725784,
  [SMALL_STATE(18036)] = 725798,
  [SMALL_STATE(18037)] = 725812,
  [SMALL_STATE(18038)] = 725826,
  [SMALL_STATE(18039)] = 725840,
  [SMALL_STATE(18040)] = 725854,
  [SMALL_STATE(18041)] = 725868,
  [SMALL_STATE(18042)] = 725882,
  [SMALL_STATE(18043)] = 725896,
  [SMALL_STATE(18044)] = 725910,
  [SMALL_STATE(18045)] = 725924,
  [SMALL_STATE(18046)] = 725938,
  [SMALL_STATE(18047)] = 725952,
  [SMALL_STATE(18048)] = 725966,
  [SMALL_STATE(18049)] = 725980,
  [SMALL_STATE(18050)] = 725994,
  [SMALL_STATE(18051)] = 726008,
  [SMALL_STATE(18052)] = 726022,
  [SMALL_STATE(18053)] = 726036,
  [SMALL_STATE(18054)] = 726050,
  [SMALL_STATE(18055)] = 726064,
  [SMALL_STATE(18056)] = 726078,
  [SMALL_STATE(18057)] = 726092,
  [SMALL_STATE(18058)] = 726106,
  [SMALL_STATE(18059)] = 726120,
  [SMALL_STATE(18060)] = 726134,
  [SMALL_STATE(18061)] = 726148,
  [SMALL_STATE(18062)] = 726162,
  [SMALL_STATE(18063)] = 726176,
  [SMALL_STATE(18064)] = 726190,
  [SMALL_STATE(18065)] = 726204,
  [SMALL_STATE(18066)] = 726218,
  [SMALL_STATE(18067)] = 726232,
  [SMALL_STATE(18068)] = 726246,
  [SMALL_STATE(18069)] = 726260,
  [SMALL_STATE(18070)] = 726274,
  [SMALL_STATE(18071)] = 726288,
  [SMALL_STATE(18072)] = 726302,
  [SMALL_STATE(18073)] = 726316,
  [SMALL_STATE(18074)] = 726330,
  [SMALL_STATE(18075)] = 726344,
  [SMALL_STATE(18076)] = 726358,
  [SMALL_STATE(18077)] = 726372,
  [SMALL_STATE(18078)] = 726386,
  [SMALL_STATE(18079)] = 726400,
  [SMALL_STATE(18080)] = 726414,
  [SMALL_STATE(18081)] = 726428,
  [SMALL_STATE(18082)] = 726442,
  [SMALL_STATE(18083)] = 726456,
  [SMALL_STATE(18084)] = 726470,
  [SMALL_STATE(18085)] = 726484,
  [SMALL_STATE(18086)] = 726498,
  [SMALL_STATE(18087)] = 726512,
  [SMALL_STATE(18088)] = 726526,
  [SMALL_STATE(18089)] = 726540,
  [SMALL_STATE(18090)] = 726554,
  [SMALL_STATE(18091)] = 726568,
  [SMALL_STATE(18092)] = 726582,
  [SMALL_STATE(18093)] = 726596,
  [SMALL_STATE(18094)] = 726610,
  [SMALL_STATE(18095)] = 726624,
  [SMALL_STATE(18096)] = 726638,
  [SMALL_STATE(18097)] = 726652,
  [SMALL_STATE(18098)] = 726666,
  [SMALL_STATE(18099)] = 726680,
  [SMALL_STATE(18100)] = 726694,
  [SMALL_STATE(18101)] = 726708,
  [SMALL_STATE(18102)] = 726722,
  [SMALL_STATE(18103)] = 726736,
  [SMALL_STATE(18104)] = 726750,
  [SMALL_STATE(18105)] = 726764,
  [SMALL_STATE(18106)] = 726778,
  [SMALL_STATE(18107)] = 726792,
  [SMALL_STATE(18108)] = 726806,
  [SMALL_STATE(18109)] = 726820,
  [SMALL_STATE(18110)] = 726834,
  [SMALL_STATE(18111)] = 726848,
  [SMALL_STATE(18112)] = 726862,
  [SMALL_STATE(18113)] = 726876,
  [SMALL_STATE(18114)] = 726890,
  [SMALL_STATE(18115)] = 726904,
  [SMALL_STATE(18116)] = 726918,
  [SMALL_STATE(18117)] = 726932,
  [SMALL_STATE(18118)] = 726946,
  [SMALL_STATE(18119)] = 726960,
  [SMALL_STATE(18120)] = 726974,
  [SMALL_STATE(18121)] = 726988,
  [SMALL_STATE(18122)] = 727002,
  [SMALL_STATE(18123)] = 727016,
  [SMALL_STATE(18124)] = 727030,
  [SMALL_STATE(18125)] = 727044,
  [SMALL_STATE(18126)] = 727058,
  [SMALL_STATE(18127)] = 727072,
  [SMALL_STATE(18128)] = 727086,
  [SMALL_STATE(18129)] = 727100,
  [SMALL_STATE(18130)] = 727114,
  [SMALL_STATE(18131)] = 727128,
  [SMALL_STATE(18132)] = 727142,
  [SMALL_STATE(18133)] = 727156,
  [SMALL_STATE(18134)] = 727170,
  [SMALL_STATE(18135)] = 727184,
  [SMALL_STATE(18136)] = 727198,
  [SMALL_STATE(18137)] = 727212,
  [SMALL_STATE(18138)] = 727226,
  [SMALL_STATE(18139)] = 727240,
  [SMALL_STATE(18140)] = 727254,
  [SMALL_STATE(18141)] = 727268,
  [SMALL_STATE(18142)] = 727282,
  [SMALL_STATE(18143)] = 727296,
  [SMALL_STATE(18144)] = 727310,
  [SMALL_STATE(18145)] = 727324,
  [SMALL_STATE(18146)] = 727338,
  [SMALL_STATE(18147)] = 727352,
  [SMALL_STATE(18148)] = 727366,
  [SMALL_STATE(18149)] = 727380,
  [SMALL_STATE(18150)] = 727394,
  [SMALL_STATE(18151)] = 727408,
  [SMALL_STATE(18152)] = 727422,
  [SMALL_STATE(18153)] = 727436,
  [SMALL_STATE(18154)] = 727450,
  [SMALL_STATE(18155)] = 727464,
  [SMALL_STATE(18156)] = 727478,
  [SMALL_STATE(18157)] = 727492,
  [SMALL_STATE(18158)] = 727506,
  [SMALL_STATE(18159)] = 727520,
  [SMALL_STATE(18160)] = 727534,
  [SMALL_STATE(18161)] = 727548,
  [SMALL_STATE(18162)] = 727562,
  [SMALL_STATE(18163)] = 727576,
  [SMALL_STATE(18164)] = 727590,
  [SMALL_STATE(18165)] = 727604,
  [SMALL_STATE(18166)] = 727618,
  [SMALL_STATE(18167)] = 727632,
  [SMALL_STATE(18168)] = 727646,
  [SMALL_STATE(18169)] = 727660,
  [SMALL_STATE(18170)] = 727674,
  [SMALL_STATE(18171)] = 727688,
  [SMALL_STATE(18172)] = 727702,
  [SMALL_STATE(18173)] = 727716,
  [SMALL_STATE(18174)] = 727730,
  [SMALL_STATE(18175)] = 727744,
  [SMALL_STATE(18176)] = 727758,
  [SMALL_STATE(18177)] = 727772,
  [SMALL_STATE(18178)] = 727786,
  [SMALL_STATE(18179)] = 727800,
  [SMALL_STATE(18180)] = 727814,
  [SMALL_STATE(18181)] = 727828,
  [SMALL_STATE(18182)] = 727842,
  [SMALL_STATE(18183)] = 727856,
  [SMALL_STATE(18184)] = 727870,
  [SMALL_STATE(18185)] = 727884,
  [SMALL_STATE(18186)] = 727898,
  [SMALL_STATE(18187)] = 727912,
  [SMALL_STATE(18188)] = 727926,
  [SMALL_STATE(18189)] = 727940,
  [SMALL_STATE(18190)] = 727954,
  [SMALL_STATE(18191)] = 727968,
  [SMALL_STATE(18192)] = 727982,
  [SMALL_STATE(18193)] = 727996,
  [SMALL_STATE(18194)] = 728010,
  [SMALL_STATE(18195)] = 728024,
  [SMALL_STATE(18196)] = 728038,
  [SMALL_STATE(18197)] = 728052,
  [SMALL_STATE(18198)] = 728066,
  [SMALL_STATE(18199)] = 728080,
  [SMALL_STATE(18200)] = 728094,
  [SMALL_STATE(18201)] = 728108,
  [SMALL_STATE(18202)] = 728122,
  [SMALL_STATE(18203)] = 728136,
  [SMALL_STATE(18204)] = 728150,
  [SMALL_STATE(18205)] = 728164,
  [SMALL_STATE(18206)] = 728178,
  [SMALL_STATE(18207)] = 728192,
  [SMALL_STATE(18208)] = 728206,
  [SMALL_STATE(18209)] = 728220,
  [SMALL_STATE(18210)] = 728234,
  [SMALL_STATE(18211)] = 728248,
  [SMALL_STATE(18212)] = 728262,
  [SMALL_STATE(18213)] = 728276,
  [SMALL_STATE(18214)] = 728290,
  [SMALL_STATE(18215)] = 728304,
  [SMALL_STATE(18216)] = 728318,
  [SMALL_STATE(18217)] = 728332,
  [SMALL_STATE(18218)] = 728346,
  [SMALL_STATE(18219)] = 728360,
  [SMALL_STATE(18220)] = 728374,
  [SMALL_STATE(18221)] = 728388,
  [SMALL_STATE(18222)] = 728402,
  [SMALL_STATE(18223)] = 728416,
  [SMALL_STATE(18224)] = 728430,
  [SMALL_STATE(18225)] = 728444,
  [SMALL_STATE(18226)] = 728458,
  [SMALL_STATE(18227)] = 728472,
  [SMALL_STATE(18228)] = 728486,
  [SMALL_STATE(18229)] = 728500,
  [SMALL_STATE(18230)] = 728514,
  [SMALL_STATE(18231)] = 728528,
  [SMALL_STATE(18232)] = 728542,
  [SMALL_STATE(18233)] = 728556,
  [SMALL_STATE(18234)] = 728570,
  [SMALL_STATE(18235)] = 728584,
  [SMALL_STATE(18236)] = 728598,
  [SMALL_STATE(18237)] = 728612,
  [SMALL_STATE(18238)] = 728626,
  [SMALL_STATE(18239)] = 728640,
  [SMALL_STATE(18240)] = 728654,
  [SMALL_STATE(18241)] = 728668,
  [SMALL_STATE(18242)] = 728682,
  [SMALL_STATE(18243)] = 728696,
  [SMALL_STATE(18244)] = 728710,
  [SMALL_STATE(18245)] = 728724,
  [SMALL_STATE(18246)] = 728738,
  [SMALL_STATE(18247)] = 728752,
  [SMALL_STATE(18248)] = 728766,
  [SMALL_STATE(18249)] = 728780,
  [SMALL_STATE(18250)] = 728794,
  [SMALL_STATE(18251)] = 728808,
  [SMALL_STATE(18252)] = 728822,
  [SMALL_STATE(18253)] = 728836,
  [SMALL_STATE(18254)] = 728850,
  [SMALL_STATE(18255)] = 728864,
  [SMALL_STATE(18256)] = 728878,
  [SMALL_STATE(18257)] = 728892,
  [SMALL_STATE(18258)] = 728906,
  [SMALL_STATE(18259)] = 728920,
  [SMALL_STATE(18260)] = 728934,
  [SMALL_STATE(18261)] = 728948,
  [SMALL_STATE(18262)] = 728962,
  [SMALL_STATE(18263)] = 728976,
  [SMALL_STATE(18264)] = 728990,
  [SMALL_STATE(18265)] = 729004,
  [SMALL_STATE(18266)] = 729018,
  [SMALL_STATE(18267)] = 729032,
  [SMALL_STATE(18268)] = 729046,
  [SMALL_STATE(18269)] = 729060,
  [SMALL_STATE(18270)] = 729074,
  [SMALL_STATE(18271)] = 729088,
  [SMALL_STATE(18272)] = 729102,
  [SMALL_STATE(18273)] = 729116,
  [SMALL_STATE(18274)] = 729130,
  [SMALL_STATE(18275)] = 729144,
  [SMALL_STATE(18276)] = 729158,
  [SMALL_STATE(18277)] = 729172,
  [SMALL_STATE(18278)] = 729186,
  [SMALL_STATE(18279)] = 729200,
  [SMALL_STATE(18280)] = 729214,
  [SMALL_STATE(18281)] = 729228,
  [SMALL_STATE(18282)] = 729242,
  [SMALL_STATE(18283)] = 729256,
  [SMALL_STATE(18284)] = 729270,
  [SMALL_STATE(18285)] = 729284,
  [SMALL_STATE(18286)] = 729298,
  [SMALL_STATE(18287)] = 729312,
  [SMALL_STATE(18288)] = 729326,
  [SMALL_STATE(18289)] = 729340,
  [SMALL_STATE(18290)] = 729354,
  [SMALL_STATE(18291)] = 729368,
  [SMALL_STATE(18292)] = 729382,
  [SMALL_STATE(18293)] = 729396,
  [SMALL_STATE(18294)] = 729410,
  [SMALL_STATE(18295)] = 729424,
  [SMALL_STATE(18296)] = 729438,
  [SMALL_STATE(18297)] = 729452,
  [SMALL_STATE(18298)] = 729466,
  [SMALL_STATE(18299)] = 729480,
  [SMALL_STATE(18300)] = 729494,
  [SMALL_STATE(18301)] = 729508,
  [SMALL_STATE(18302)] = 729522,
  [SMALL_STATE(18303)] = 729536,
  [SMALL_STATE(18304)] = 729550,
  [SMALL_STATE(18305)] = 729564,
  [SMALL_STATE(18306)] = 729578,
  [SMALL_STATE(18307)] = 729592,
  [SMALL_STATE(18308)] = 729606,
  [SMALL_STATE(18309)] = 729620,
  [SMALL_STATE(18310)] = 729634,
  [SMALL_STATE(18311)] = 729648,
  [SMALL_STATE(18312)] = 729662,
  [SMALL_STATE(18313)] = 729676,
  [SMALL_STATE(18314)] = 729690,
  [SMALL_STATE(18315)] = 729704,
  [SMALL_STATE(18316)] = 729718,
  [SMALL_STATE(18317)] = 729732,
  [SMALL_STATE(18318)] = 729746,
  [SMALL_STATE(18319)] = 729760,
  [SMALL_STATE(18320)] = 729774,
  [SMALL_STATE(18321)] = 729788,
  [SMALL_STATE(18322)] = 729802,
  [SMALL_STATE(18323)] = 729816,
  [SMALL_STATE(18324)] = 729830,
  [SMALL_STATE(18325)] = 729844,
  [SMALL_STATE(18326)] = 729858,
  [SMALL_STATE(18327)] = 729872,
  [SMALL_STATE(18328)] = 729886,
  [SMALL_STATE(18329)] = 729900,
  [SMALL_STATE(18330)] = 729914,
  [SMALL_STATE(18331)] = 729928,
  [SMALL_STATE(18332)] = 729942,
  [SMALL_STATE(18333)] = 729956,
  [SMALL_STATE(18334)] = 729970,
  [SMALL_STATE(18335)] = 729984,
  [SMALL_STATE(18336)] = 729998,
  [SMALL_STATE(18337)] = 730012,
  [SMALL_STATE(18338)] = 730026,
  [SMALL_STATE(18339)] = 730040,
  [SMALL_STATE(18340)] = 730054,
  [SMALL_STATE(18341)] = 730068,
  [SMALL_STATE(18342)] = 730082,
  [SMALL_STATE(18343)] = 730096,
  [SMALL_STATE(18344)] = 730110,
  [SMALL_STATE(18345)] = 730124,
  [SMALL_STATE(18346)] = 730138,
  [SMALL_STATE(18347)] = 730152,
  [SMALL_STATE(18348)] = 730166,
  [SMALL_STATE(18349)] = 730180,
  [SMALL_STATE(18350)] = 730194,
  [SMALL_STATE(18351)] = 730208,
  [SMALL_STATE(18352)] = 730222,
  [SMALL_STATE(18353)] = 730236,
  [SMALL_STATE(18354)] = 730250,
  [SMALL_STATE(18355)] = 730264,
  [SMALL_STATE(18356)] = 730278,
  [SMALL_STATE(18357)] = 730292,
  [SMALL_STATE(18358)] = 730306,
  [SMALL_STATE(18359)] = 730320,
  [SMALL_STATE(18360)] = 730334,
  [SMALL_STATE(18361)] = 730348,
  [SMALL_STATE(18362)] = 730362,
  [SMALL_STATE(18363)] = 730376,
  [SMALL_STATE(18364)] = 730390,
  [SMALL_STATE(18365)] = 730404,
  [SMALL_STATE(18366)] = 730418,
  [SMALL_STATE(18367)] = 730432,
  [SMALL_STATE(18368)] = 730446,
  [SMALL_STATE(18369)] = 730460,
  [SMALL_STATE(18370)] = 730474,
  [SMALL_STATE(18371)] = 730488,
  [SMALL_STATE(18372)] = 730502,
  [SMALL_STATE(18373)] = 730516,
  [SMALL_STATE(18374)] = 730530,
  [SMALL_STATE(18375)] = 730544,
  [SMALL_STATE(18376)] = 730558,
  [SMALL_STATE(18377)] = 730572,
  [SMALL_STATE(18378)] = 730586,
  [SMALL_STATE(18379)] = 730600,
  [SMALL_STATE(18380)] = 730614,
  [SMALL_STATE(18381)] = 730628,
  [SMALL_STATE(18382)] = 730642,
  [SMALL_STATE(18383)] = 730656,
  [SMALL_STATE(18384)] = 730670,
  [SMALL_STATE(18385)] = 730684,
  [SMALL_STATE(18386)] = 730698,
  [SMALL_STATE(18387)] = 730712,
  [SMALL_STATE(18388)] = 730726,
  [SMALL_STATE(18389)] = 730740,
  [SMALL_STATE(18390)] = 730754,
  [SMALL_STATE(18391)] = 730768,
  [SMALL_STATE(18392)] = 730782,
  [SMALL_STATE(18393)] = 730796,
  [SMALL_STATE(18394)] = 730810,
  [SMALL_STATE(18395)] = 730824,
  [SMALL_STATE(18396)] = 730838,
  [SMALL_STATE(18397)] = 730852,
  [SMALL_STATE(18398)] = 730866,
  [SMALL_STATE(18399)] = 730880,
  [SMALL_STATE(18400)] = 730894,
  [SMALL_STATE(18401)] = 730908,
  [SMALL_STATE(18402)] = 730922,
  [SMALL_STATE(18403)] = 730936,
  [SMALL_STATE(18404)] = 730950,
  [SMALL_STATE(18405)] = 730964,
  [SMALL_STATE(18406)] = 730978,
  [SMALL_STATE(18407)] = 730992,
  [SMALL_STATE(18408)] = 731006,
  [SMALL_STATE(18409)] = 731020,
  [SMALL_STATE(18410)] = 731034,
  [SMALL_STATE(18411)] = 731048,
  [SMALL_STATE(18412)] = 731062,
  [SMALL_STATE(18413)] = 731076,
  [SMALL_STATE(18414)] = 731090,
  [SMALL_STATE(18415)] = 731104,
  [SMALL_STATE(18416)] = 731118,
  [SMALL_STATE(18417)] = 731132,
  [SMALL_STATE(18418)] = 731146,
  [SMALL_STATE(18419)] = 731160,
  [SMALL_STATE(18420)] = 731174,
  [SMALL_STATE(18421)] = 731188,
  [SMALL_STATE(18422)] = 731202,
  [SMALL_STATE(18423)] = 731216,
  [SMALL_STATE(18424)] = 731230,
  [SMALL_STATE(18425)] = 731244,
  [SMALL_STATE(18426)] = 731258,
  [SMALL_STATE(18427)] = 731272,
  [SMALL_STATE(18428)] = 731286,
  [SMALL_STATE(18429)] = 731300,
  [SMALL_STATE(18430)] = 731314,
  [SMALL_STATE(18431)] = 731328,
  [SMALL_STATE(18432)] = 731342,
  [SMALL_STATE(18433)] = 731356,
  [SMALL_STATE(18434)] = 731370,
  [SMALL_STATE(18435)] = 731384,
  [SMALL_STATE(18436)] = 731398,
  [SMALL_STATE(18437)] = 731412,
  [SMALL_STATE(18438)] = 731426,
  [SMALL_STATE(18439)] = 731440,
  [SMALL_STATE(18440)] = 731454,
  [SMALL_STATE(18441)] = 731468,
  [SMALL_STATE(18442)] = 731482,
  [SMALL_STATE(18443)] = 731496,
  [SMALL_STATE(18444)] = 731510,
  [SMALL_STATE(18445)] = 731524,
  [SMALL_STATE(18446)] = 731538,
  [SMALL_STATE(18447)] = 731552,
  [SMALL_STATE(18448)] = 731566,
  [SMALL_STATE(18449)] = 731580,
  [SMALL_STATE(18450)] = 731594,
  [SMALL_STATE(18451)] = 731608,
  [SMALL_STATE(18452)] = 731622,
  [SMALL_STATE(18453)] = 731636,
  [SMALL_STATE(18454)] = 731650,
  [SMALL_STATE(18455)] = 731664,
  [SMALL_STATE(18456)] = 731678,
  [SMALL_STATE(18457)] = 731692,
  [SMALL_STATE(18458)] = 731706,
  [SMALL_STATE(18459)] = 731720,
  [SMALL_STATE(18460)] = 731734,
  [SMALL_STATE(18461)] = 731748,
  [SMALL_STATE(18462)] = 731762,
  [SMALL_STATE(18463)] = 731776,
  [SMALL_STATE(18464)] = 731790,
  [SMALL_STATE(18465)] = 731804,
  [SMALL_STATE(18466)] = 731818,
  [SMALL_STATE(18467)] = 731832,
  [SMALL_STATE(18468)] = 731846,
  [SMALL_STATE(18469)] = 731860,
  [SMALL_STATE(18470)] = 731874,
  [SMALL_STATE(18471)] = 731888,
  [SMALL_STATE(18472)] = 731902,
  [SMALL_STATE(18473)] = 731916,
  [SMALL_STATE(18474)] = 731930,
  [SMALL_STATE(18475)] = 731944,
  [SMALL_STATE(18476)] = 731958,
  [SMALL_STATE(18477)] = 731972,
  [SMALL_STATE(18478)] = 731986,
  [SMALL_STATE(18479)] = 732000,
  [SMALL_STATE(18480)] = 732014,
  [SMALL_STATE(18481)] = 732028,
  [SMALL_STATE(18482)] = 732042,
  [SMALL_STATE(18483)] = 732056,
  [SMALL_STATE(18484)] = 732070,
  [SMALL_STATE(18485)] = 732084,
  [SMALL_STATE(18486)] = 732098,
  [SMALL_STATE(18487)] = 732112,
  [SMALL_STATE(18488)] = 732126,
  [SMALL_STATE(18489)] = 732140,
  [SMALL_STATE(18490)] = 732154,
  [SMALL_STATE(18491)] = 732168,
  [SMALL_STATE(18492)] = 732182,
  [SMALL_STATE(18493)] = 732196,
  [SMALL_STATE(18494)] = 732210,
  [SMALL_STATE(18495)] = 732224,
  [SMALL_STATE(18496)] = 732238,
  [SMALL_STATE(18497)] = 732252,
  [SMALL_STATE(18498)] = 732266,
  [SMALL_STATE(18499)] = 732280,
  [SMALL_STATE(18500)] = 732294,
  [SMALL_STATE(18501)] = 732308,
  [SMALL_STATE(18502)] = 732322,
  [SMALL_STATE(18503)] = 732336,
  [SMALL_STATE(18504)] = 732350,
  [SMALL_STATE(18505)] = 732364,
  [SMALL_STATE(18506)] = 732378,
  [SMALL_STATE(18507)] = 732392,
  [SMALL_STATE(18508)] = 732406,
  [SMALL_STATE(18509)] = 732420,
  [SMALL_STATE(18510)] = 732434,
  [SMALL_STATE(18511)] = 732448,
  [SMALL_STATE(18512)] = 732462,
  [SMALL_STATE(18513)] = 732476,
  [SMALL_STATE(18514)] = 732490,
  [SMALL_STATE(18515)] = 732504,
  [SMALL_STATE(18516)] = 732518,
  [SMALL_STATE(18517)] = 732532,
  [SMALL_STATE(18518)] = 732546,
  [SMALL_STATE(18519)] = 732560,
  [SMALL_STATE(18520)] = 732574,
  [SMALL_STATE(18521)] = 732588,
  [SMALL_STATE(18522)] = 732602,
  [SMALL_STATE(18523)] = 732616,
  [SMALL_STATE(18524)] = 732630,
  [SMALL_STATE(18525)] = 732644,
  [SMALL_STATE(18526)] = 732658,
  [SMALL_STATE(18527)] = 732672,
  [SMALL_STATE(18528)] = 732686,
  [SMALL_STATE(18529)] = 732700,
  [SMALL_STATE(18530)] = 732714,
  [SMALL_STATE(18531)] = 732728,
  [SMALL_STATE(18532)] = 732742,
  [SMALL_STATE(18533)] = 732756,
  [SMALL_STATE(18534)] = 732770,
  [SMALL_STATE(18535)] = 732784,
  [SMALL_STATE(18536)] = 732798,
  [SMALL_STATE(18537)] = 732812,
  [SMALL_STATE(18538)] = 732826,
  [SMALL_STATE(18539)] = 732840,
  [SMALL_STATE(18540)] = 732854,
  [SMALL_STATE(18541)] = 732868,
  [SMALL_STATE(18542)] = 732882,
  [SMALL_STATE(18543)] = 732896,
  [SMALL_STATE(18544)] = 732910,
  [SMALL_STATE(18545)] = 732924,
  [SMALL_STATE(18546)] = 732938,
  [SMALL_STATE(18547)] = 732952,
  [SMALL_STATE(18548)] = 732966,
  [SMALL_STATE(18549)] = 732980,
  [SMALL_STATE(18550)] = 732994,
  [SMALL_STATE(18551)] = 733008,
  [SMALL_STATE(18552)] = 733022,
  [SMALL_STATE(18553)] = 733036,
  [SMALL_STATE(18554)] = 733050,
  [SMALL_STATE(18555)] = 733064,
  [SMALL_STATE(18556)] = 733078,
  [SMALL_STATE(18557)] = 733092,
  [SMALL_STATE(18558)] = 733106,
  [SMALL_STATE(18559)] = 733120,
  [SMALL_STATE(18560)] = 733134,
  [SMALL_STATE(18561)] = 733148,
  [SMALL_STATE(18562)] = 733162,
  [SMALL_STATE(18563)] = 733176,
  [SMALL_STATE(18564)] = 733190,
  [SMALL_STATE(18565)] = 733204,
  [SMALL_STATE(18566)] = 733218,
  [SMALL_STATE(18567)] = 733232,
  [SMALL_STATE(18568)] = 733246,
  [SMALL_STATE(18569)] = 733260,
  [SMALL_STATE(18570)] = 733274,
  [SMALL_STATE(18571)] = 733288,
  [SMALL_STATE(18572)] = 733302,
  [SMALL_STATE(18573)] = 733316,
  [SMALL_STATE(18574)] = 733330,
  [SMALL_STATE(18575)] = 733344,
  [SMALL_STATE(18576)] = 733358,
  [SMALL_STATE(18577)] = 733372,
  [SMALL_STATE(18578)] = 733386,
  [SMALL_STATE(18579)] = 733400,
  [SMALL_STATE(18580)] = 733414,
  [SMALL_STATE(18581)] = 733428,
  [SMALL_STATE(18582)] = 733442,
  [SMALL_STATE(18583)] = 733456,
  [SMALL_STATE(18584)] = 733470,
  [SMALL_STATE(18585)] = 733484,
  [SMALL_STATE(18586)] = 733498,
  [SMALL_STATE(18587)] = 733512,
  [SMALL_STATE(18588)] = 733526,
  [SMALL_STATE(18589)] = 733540,
  [SMALL_STATE(18590)] = 733554,
  [SMALL_STATE(18591)] = 733568,
  [SMALL_STATE(18592)] = 733582,
  [SMALL_STATE(18593)] = 733596,
  [SMALL_STATE(18594)] = 733610,
  [SMALL_STATE(18595)] = 733624,
  [SMALL_STATE(18596)] = 733638,
  [SMALL_STATE(18597)] = 733652,
  [SMALL_STATE(18598)] = 733666,
  [SMALL_STATE(18599)] = 733680,
  [SMALL_STATE(18600)] = 733694,
  [SMALL_STATE(18601)] = 733708,
  [SMALL_STATE(18602)] = 733722,
  [SMALL_STATE(18603)] = 733736,
  [SMALL_STATE(18604)] = 733750,
  [SMALL_STATE(18605)] = 733764,
  [SMALL_STATE(18606)] = 733778,
  [SMALL_STATE(18607)] = 733792,
  [SMALL_STATE(18608)] = 733806,
  [SMALL_STATE(18609)] = 733820,
  [SMALL_STATE(18610)] = 733834,
  [SMALL_STATE(18611)] = 733848,
  [SMALL_STATE(18612)] = 733862,
  [SMALL_STATE(18613)] = 733876,
  [SMALL_STATE(18614)] = 733890,
  [SMALL_STATE(18615)] = 733904,
  [SMALL_STATE(18616)] = 733918,
  [SMALL_STATE(18617)] = 733932,
  [SMALL_STATE(18618)] = 733946,
  [SMALL_STATE(18619)] = 733960,
  [SMALL_STATE(18620)] = 733974,
  [SMALL_STATE(18621)] = 733988,
  [SMALL_STATE(18622)] = 734002,
  [SMALL_STATE(18623)] = 734016,
  [SMALL_STATE(18624)] = 734030,
  [SMALL_STATE(18625)] = 734044,
  [SMALL_STATE(18626)] = 734058,
  [SMALL_STATE(18627)] = 734072,
  [SMALL_STATE(18628)] = 734086,
  [SMALL_STATE(18629)] = 734100,
  [SMALL_STATE(18630)] = 734114,
  [SMALL_STATE(18631)] = 734128,
  [SMALL_STATE(18632)] = 734142,
  [SMALL_STATE(18633)] = 734156,
  [SMALL_STATE(18634)] = 734170,
  [SMALL_STATE(18635)] = 734184,
  [SMALL_STATE(18636)] = 734198,
  [SMALL_STATE(18637)] = 734212,
  [SMALL_STATE(18638)] = 734226,
  [SMALL_STATE(18639)] = 734240,
  [SMALL_STATE(18640)] = 734254,
  [SMALL_STATE(18641)] = 734268,
  [SMALL_STATE(18642)] = 734282,
  [SMALL_STATE(18643)] = 734296,
  [SMALL_STATE(18644)] = 734310,
  [SMALL_STATE(18645)] = 734324,
  [SMALL_STATE(18646)] = 734338,
  [SMALL_STATE(18647)] = 734352,
  [SMALL_STATE(18648)] = 734366,
  [SMALL_STATE(18649)] = 734380,
  [SMALL_STATE(18650)] = 734394,
  [SMALL_STATE(18651)] = 734408,
  [SMALL_STATE(18652)] = 734422,
  [SMALL_STATE(18653)] = 734436,
  [SMALL_STATE(18654)] = 734450,
  [SMALL_STATE(18655)] = 734464,
  [SMALL_STATE(18656)] = 734478,
  [SMALL_STATE(18657)] = 734492,
  [SMALL_STATE(18658)] = 734506,
  [SMALL_STATE(18659)] = 734520,
  [SMALL_STATE(18660)] = 734534,
  [SMALL_STATE(18661)] = 734548,
  [SMALL_STATE(18662)] = 734562,
  [SMALL_STATE(18663)] = 734576,
  [SMALL_STATE(18664)] = 734590,
  [SMALL_STATE(18665)] = 734604,
  [SMALL_STATE(18666)] = 734618,
  [SMALL_STATE(18667)] = 734632,
  [SMALL_STATE(18668)] = 734646,
  [SMALL_STATE(18669)] = 734660,
  [SMALL_STATE(18670)] = 734674,
  [SMALL_STATE(18671)] = 734688,
  [SMALL_STATE(18672)] = 734702,
  [SMALL_STATE(18673)] = 734716,
  [SMALL_STATE(18674)] = 734730,
  [SMALL_STATE(18675)] = 734744,
  [SMALL_STATE(18676)] = 734758,
  [SMALL_STATE(18677)] = 734772,
  [SMALL_STATE(18678)] = 734786,
  [SMALL_STATE(18679)] = 734800,
  [SMALL_STATE(18680)] = 734814,
  [SMALL_STATE(18681)] = 734828,
  [SMALL_STATE(18682)] = 734842,
  [SMALL_STATE(18683)] = 734856,
  [SMALL_STATE(18684)] = 734870,
  [SMALL_STATE(18685)] = 734884,
  [SMALL_STATE(18686)] = 734898,
  [SMALL_STATE(18687)] = 734912,
  [SMALL_STATE(18688)] = 734926,
  [SMALL_STATE(18689)] = 734940,
  [SMALL_STATE(18690)] = 734954,
  [SMALL_STATE(18691)] = 734968,
  [SMALL_STATE(18692)] = 734982,
  [SMALL_STATE(18693)] = 734996,
  [SMALL_STATE(18694)] = 735010,
  [SMALL_STATE(18695)] = 735024,
  [SMALL_STATE(18696)] = 735038,
  [SMALL_STATE(18697)] = 735052,
  [SMALL_STATE(18698)] = 735066,
  [SMALL_STATE(18699)] = 735080,
  [SMALL_STATE(18700)] = 735094,
  [SMALL_STATE(18701)] = 735108,
  [SMALL_STATE(18702)] = 735122,
  [SMALL_STATE(18703)] = 735136,
  [SMALL_STATE(18704)] = 735150,
  [SMALL_STATE(18705)] = 735164,
  [SMALL_STATE(18706)] = 735178,
  [SMALL_STATE(18707)] = 735192,
  [SMALL_STATE(18708)] = 735206,
  [SMALL_STATE(18709)] = 735220,
  [SMALL_STATE(18710)] = 735234,
  [SMALL_STATE(18711)] = 735248,
  [SMALL_STATE(18712)] = 735262,
  [SMALL_STATE(18713)] = 735276,
  [SMALL_STATE(18714)] = 735290,
  [SMALL_STATE(18715)] = 735304,
  [SMALL_STATE(18716)] = 735318,
  [SMALL_STATE(18717)] = 735332,
  [SMALL_STATE(18718)] = 735346,
  [SMALL_STATE(18719)] = 735360,
  [SMALL_STATE(18720)] = 735374,
  [SMALL_STATE(18721)] = 735388,
  [SMALL_STATE(18722)] = 735402,
  [SMALL_STATE(18723)] = 735416,
  [SMALL_STATE(18724)] = 735430,
  [SMALL_STATE(18725)] = 735444,
  [SMALL_STATE(18726)] = 735458,
  [SMALL_STATE(18727)] = 735472,
  [SMALL_STATE(18728)] = 735486,
  [SMALL_STATE(18729)] = 735500,
  [SMALL_STATE(18730)] = 735514,
  [SMALL_STATE(18731)] = 735528,
  [SMALL_STATE(18732)] = 735542,
  [SMALL_STATE(18733)] = 735556,
  [SMALL_STATE(18734)] = 735570,
  [SMALL_STATE(18735)] = 735584,
  [SMALL_STATE(18736)] = 735598,
  [SMALL_STATE(18737)] = 735612,
  [SMALL_STATE(18738)] = 735626,
  [SMALL_STATE(18739)] = 735640,
  [SMALL_STATE(18740)] = 735654,
  [SMALL_STATE(18741)] = 735668,
  [SMALL_STATE(18742)] = 735682,
  [SMALL_STATE(18743)] = 735696,
  [SMALL_STATE(18744)] = 735710,
  [SMALL_STATE(18745)] = 735724,
  [SMALL_STATE(18746)] = 735738,
  [SMALL_STATE(18747)] = 735752,
  [SMALL_STATE(18748)] = 735766,
  [SMALL_STATE(18749)] = 735780,
  [SMALL_STATE(18750)] = 735794,
  [SMALL_STATE(18751)] = 735808,
  [SMALL_STATE(18752)] = 735822,
  [SMALL_STATE(18753)] = 735836,
  [SMALL_STATE(18754)] = 735850,
  [SMALL_STATE(18755)] = 735864,
  [SMALL_STATE(18756)] = 735878,
  [SMALL_STATE(18757)] = 735892,
  [SMALL_STATE(18758)] = 735906,
  [SMALL_STATE(18759)] = 735920,
  [SMALL_STATE(18760)] = 735934,
  [SMALL_STATE(18761)] = 735948,
  [SMALL_STATE(18762)] = 735962,
  [SMALL_STATE(18763)] = 735976,
  [SMALL_STATE(18764)] = 735990,
  [SMALL_STATE(18765)] = 736004,
  [SMALL_STATE(18766)] = 736018,
  [SMALL_STATE(18767)] = 736032,
  [SMALL_STATE(18768)] = 736046,
  [SMALL_STATE(18769)] = 736060,
  [SMALL_STATE(18770)] = 736074,
  [SMALL_STATE(18771)] = 736088,
  [SMALL_STATE(18772)] = 736102,
  [SMALL_STATE(18773)] = 736116,
  [SMALL_STATE(18774)] = 736130,
  [SMALL_STATE(18775)] = 736144,
  [SMALL_STATE(18776)] = 736158,
  [SMALL_STATE(18777)] = 736172,
  [SMALL_STATE(18778)] = 736186,
  [SMALL_STATE(18779)] = 736200,
  [SMALL_STATE(18780)] = 736214,
  [SMALL_STATE(18781)] = 736228,
  [SMALL_STATE(18782)] = 736242,
  [SMALL_STATE(18783)] = 736256,
  [SMALL_STATE(18784)] = 736270,
  [SMALL_STATE(18785)] = 736284,
  [SMALL_STATE(18786)] = 736298,
  [SMALL_STATE(18787)] = 736312,
  [SMALL_STATE(18788)] = 736326,
  [SMALL_STATE(18789)] = 736340,
  [SMALL_STATE(18790)] = 736354,
  [SMALL_STATE(18791)] = 736368,
  [SMALL_STATE(18792)] = 736382,
  [SMALL_STATE(18793)] = 736396,
  [SMALL_STATE(18794)] = 736410,
  [SMALL_STATE(18795)] = 736424,
  [SMALL_STATE(18796)] = 736438,
  [SMALL_STATE(18797)] = 736452,
  [SMALL_STATE(18798)] = 736466,
  [SMALL_STATE(18799)] = 736480,
  [SMALL_STATE(18800)] = 736494,
  [SMALL_STATE(18801)] = 736508,
  [SMALL_STATE(18802)] = 736522,
  [SMALL_STATE(18803)] = 736536,
  [SMALL_STATE(18804)] = 736550,
  [SMALL_STATE(18805)] = 736564,
  [SMALL_STATE(18806)] = 736578,
  [SMALL_STATE(18807)] = 736592,
  [SMALL_STATE(18808)] = 736606,
  [SMALL_STATE(18809)] = 736620,
  [SMALL_STATE(18810)] = 736634,
  [SMALL_STATE(18811)] = 736648,
  [SMALL_STATE(18812)] = 736662,
  [SMALL_STATE(18813)] = 736676,
  [SMALL_STATE(18814)] = 736690,
  [SMALL_STATE(18815)] = 736704,
  [SMALL_STATE(18816)] = 736718,
  [SMALL_STATE(18817)] = 736732,
  [SMALL_STATE(18818)] = 736746,
  [SMALL_STATE(18819)] = 736760,
  [SMALL_STATE(18820)] = 736774,
  [SMALL_STATE(18821)] = 736788,
  [SMALL_STATE(18822)] = 736802,
  [SMALL_STATE(18823)] = 736816,
  [SMALL_STATE(18824)] = 736830,
  [SMALL_STATE(18825)] = 736844,
  [SMALL_STATE(18826)] = 736858,
  [SMALL_STATE(18827)] = 736872,
  [SMALL_STATE(18828)] = 736886,
  [SMALL_STATE(18829)] = 736900,
  [SMALL_STATE(18830)] = 736914,
  [SMALL_STATE(18831)] = 736928,
  [SMALL_STATE(18832)] = 736942,
  [SMALL_STATE(18833)] = 736956,
  [SMALL_STATE(18834)] = 736970,
  [SMALL_STATE(18835)] = 736984,
  [SMALL_STATE(18836)] = 736998,
  [SMALL_STATE(18837)] = 737012,
  [SMALL_STATE(18838)] = 737026,
  [SMALL_STATE(18839)] = 737040,
  [SMALL_STATE(18840)] = 737054,
  [SMALL_STATE(18841)] = 737068,
  [SMALL_STATE(18842)] = 737082,
  [SMALL_STATE(18843)] = 737096,
  [SMALL_STATE(18844)] = 737110,
  [SMALL_STATE(18845)] = 737124,
  [SMALL_STATE(18846)] = 737138,
  [SMALL_STATE(18847)] = 737152,
  [SMALL_STATE(18848)] = 737166,
  [SMALL_STATE(18849)] = 737180,
  [SMALL_STATE(18850)] = 737194,
  [SMALL_STATE(18851)] = 737208,
  [SMALL_STATE(18852)] = 737222,
  [SMALL_STATE(18853)] = 737236,
  [SMALL_STATE(18854)] = 737250,
  [SMALL_STATE(18855)] = 737264,
  [SMALL_STATE(18856)] = 737278,
  [SMALL_STATE(18857)] = 737292,
  [SMALL_STATE(18858)] = 737306,
  [SMALL_STATE(18859)] = 737320,
  [SMALL_STATE(18860)] = 737334,
  [SMALL_STATE(18861)] = 737348,
  [SMALL_STATE(18862)] = 737362,
  [SMALL_STATE(18863)] = 737376,
  [SMALL_STATE(18864)] = 737390,
  [SMALL_STATE(18865)] = 737404,
  [SMALL_STATE(18866)] = 737418,
  [SMALL_STATE(18867)] = 737432,
  [SMALL_STATE(18868)] = 737446,
  [SMALL_STATE(18869)] = 737460,
  [SMALL_STATE(18870)] = 737474,
  [SMALL_STATE(18871)] = 737488,
  [SMALL_STATE(18872)] = 737502,
  [SMALL_STATE(18873)] = 737516,
  [SMALL_STATE(18874)] = 737530,
  [SMALL_STATE(18875)] = 737544,
  [SMALL_STATE(18876)] = 737558,
  [SMALL_STATE(18877)] = 737572,
  [SMALL_STATE(18878)] = 737586,
  [SMALL_STATE(18879)] = 737600,
  [SMALL_STATE(18880)] = 737614,
  [SMALL_STATE(18881)] = 737628,
  [SMALL_STATE(18882)] = 737642,
  [SMALL_STATE(18883)] = 737656,
  [SMALL_STATE(18884)] = 737670,
  [SMALL_STATE(18885)] = 737684,
  [SMALL_STATE(18886)] = 737698,
  [SMALL_STATE(18887)] = 737712,
  [SMALL_STATE(18888)] = 737726,
  [SMALL_STATE(18889)] = 737740,
  [SMALL_STATE(18890)] = 737754,
  [SMALL_STATE(18891)] = 737768,
  [SMALL_STATE(18892)] = 737782,
  [SMALL_STATE(18893)] = 737796,
  [SMALL_STATE(18894)] = 737810,
  [SMALL_STATE(18895)] = 737824,
  [SMALL_STATE(18896)] = 737838,
  [SMALL_STATE(18897)] = 737852,
  [SMALL_STATE(18898)] = 737866,
  [SMALL_STATE(18899)] = 737880,
  [SMALL_STATE(18900)] = 737894,
  [SMALL_STATE(18901)] = 737908,
  [SMALL_STATE(18902)] = 737922,
  [SMALL_STATE(18903)] = 737936,
  [SMALL_STATE(18904)] = 737950,
  [SMALL_STATE(18905)] = 737964,
  [SMALL_STATE(18906)] = 737978,
  [SMALL_STATE(18907)] = 737992,
  [SMALL_STATE(18908)] = 738006,
  [SMALL_STATE(18909)] = 738020,
  [SMALL_STATE(18910)] = 738034,
  [SMALL_STATE(18911)] = 738048,
  [SMALL_STATE(18912)] = 738062,
  [SMALL_STATE(18913)] = 738076,
  [SMALL_STATE(18914)] = 738090,
  [SMALL_STATE(18915)] = 738104,
  [SMALL_STATE(18916)] = 738118,
  [SMALL_STATE(18917)] = 738132,
  [SMALL_STATE(18918)] = 738146,
  [SMALL_STATE(18919)] = 738160,
  [SMALL_STATE(18920)] = 738174,
  [SMALL_STATE(18921)] = 738188,
  [SMALL_STATE(18922)] = 738202,
  [SMALL_STATE(18923)] = 738216,
  [SMALL_STATE(18924)] = 738230,
  [SMALL_STATE(18925)] = 738244,
  [SMALL_STATE(18926)] = 738258,
  [SMALL_STATE(18927)] = 738272,
  [SMALL_STATE(18928)] = 738286,
  [SMALL_STATE(18929)] = 738300,
  [SMALL_STATE(18930)] = 738314,
  [SMALL_STATE(18931)] = 738328,
  [SMALL_STATE(18932)] = 738342,
  [SMALL_STATE(18933)] = 738356,
  [SMALL_STATE(18934)] = 738370,
  [SMALL_STATE(18935)] = 738384,
  [SMALL_STATE(18936)] = 738398,
  [SMALL_STATE(18937)] = 738412,
  [SMALL_STATE(18938)] = 738426,
  [SMALL_STATE(18939)] = 738440,
  [SMALL_STATE(18940)] = 738454,
  [SMALL_STATE(18941)] = 738468,
  [SMALL_STATE(18942)] = 738482,
  [SMALL_STATE(18943)] = 738496,
  [SMALL_STATE(18944)] = 738510,
  [SMALL_STATE(18945)] = 738524,
  [SMALL_STATE(18946)] = 738538,
  [SMALL_STATE(18947)] = 738552,
  [SMALL_STATE(18948)] = 738566,
  [SMALL_STATE(18949)] = 738580,
  [SMALL_STATE(18950)] = 738594,
  [SMALL_STATE(18951)] = 738608,
  [SMALL_STATE(18952)] = 738622,
  [SMALL_STATE(18953)] = 738636,
  [SMALL_STATE(18954)] = 738650,
  [SMALL_STATE(18955)] = 738664,
  [SMALL_STATE(18956)] = 738678,
  [SMALL_STATE(18957)] = 738692,
  [SMALL_STATE(18958)] = 738706,
  [SMALL_STATE(18959)] = 738720,
  [SMALL_STATE(18960)] = 738734,
  [SMALL_STATE(18961)] = 738748,
  [SMALL_STATE(18962)] = 738762,
  [SMALL_STATE(18963)] = 738776,
  [SMALL_STATE(18964)] = 738790,
  [SMALL_STATE(18965)] = 738804,
  [SMALL_STATE(18966)] = 738818,
  [SMALL_STATE(18967)] = 738832,
  [SMALL_STATE(18968)] = 738846,
  [SMALL_STATE(18969)] = 738860,
  [SMALL_STATE(18970)] = 738874,
  [SMALL_STATE(18971)] = 738888,
  [SMALL_STATE(18972)] = 738902,
  [SMALL_STATE(18973)] = 738916,
  [SMALL_STATE(18974)] = 738930,
  [SMALL_STATE(18975)] = 738944,
  [SMALL_STATE(18976)] = 738958,
  [SMALL_STATE(18977)] = 738972,
  [SMALL_STATE(18978)] = 738986,
  [SMALL_STATE(18979)] = 739000,
  [SMALL_STATE(18980)] = 739014,
  [SMALL_STATE(18981)] = 739028,
  [SMALL_STATE(18982)] = 739042,
  [SMALL_STATE(18983)] = 739056,
  [SMALL_STATE(18984)] = 739070,
  [SMALL_STATE(18985)] = 739084,
  [SMALL_STATE(18986)] = 739098,
  [SMALL_STATE(18987)] = 739112,
  [SMALL_STATE(18988)] = 739126,
  [SMALL_STATE(18989)] = 739140,
  [SMALL_STATE(18990)] = 739154,
  [SMALL_STATE(18991)] = 739168,
  [SMALL_STATE(18992)] = 739182,
  [SMALL_STATE(18993)] = 739196,
  [SMALL_STATE(18994)] = 739210,
  [SMALL_STATE(18995)] = 739224,
  [SMALL_STATE(18996)] = 739238,
  [SMALL_STATE(18997)] = 739252,
  [SMALL_STATE(18998)] = 739266,
  [SMALL_STATE(18999)] = 739280,
  [SMALL_STATE(19000)] = 739294,
  [SMALL_STATE(19001)] = 739308,
  [SMALL_STATE(19002)] = 739322,
  [SMALL_STATE(19003)] = 739336,
  [SMALL_STATE(19004)] = 739350,
  [SMALL_STATE(19005)] = 739364,
  [SMALL_STATE(19006)] = 739378,
  [SMALL_STATE(19007)] = 739392,
  [SMALL_STATE(19008)] = 739406,
  [SMALL_STATE(19009)] = 739420,
  [SMALL_STATE(19010)] = 739434,
  [SMALL_STATE(19011)] = 739448,
  [SMALL_STATE(19012)] = 739462,
  [SMALL_STATE(19013)] = 739476,
  [SMALL_STATE(19014)] = 739490,
  [SMALL_STATE(19015)] = 739504,
  [SMALL_STATE(19016)] = 739518,
  [SMALL_STATE(19017)] = 739532,
  [SMALL_STATE(19018)] = 739546,
  [SMALL_STATE(19019)] = 739560,
  [SMALL_STATE(19020)] = 739574,
  [SMALL_STATE(19021)] = 739588,
  [SMALL_STATE(19022)] = 739602,
  [SMALL_STATE(19023)] = 739616,
  [SMALL_STATE(19024)] = 739630,
  [SMALL_STATE(19025)] = 739644,
  [SMALL_STATE(19026)] = 739658,
  [SMALL_STATE(19027)] = 739672,
  [SMALL_STATE(19028)] = 739686,
  [SMALL_STATE(19029)] = 739700,
  [SMALL_STATE(19030)] = 739714,
  [SMALL_STATE(19031)] = 739728,
  [SMALL_STATE(19032)] = 739742,
  [SMALL_STATE(19033)] = 739756,
  [SMALL_STATE(19034)] = 739770,
  [SMALL_STATE(19035)] = 739784,
  [SMALL_STATE(19036)] = 739798,
  [SMALL_STATE(19037)] = 739812,
  [SMALL_STATE(19038)] = 739826,
  [SMALL_STATE(19039)] = 739840,
  [SMALL_STATE(19040)] = 739854,
  [SMALL_STATE(19041)] = 739868,
  [SMALL_STATE(19042)] = 739882,
  [SMALL_STATE(19043)] = 739896,
  [SMALL_STATE(19044)] = 739910,
  [SMALL_STATE(19045)] = 739924,
  [SMALL_STATE(19046)] = 739938,
  [SMALL_STATE(19047)] = 739952,
  [SMALL_STATE(19048)] = 739966,
  [SMALL_STATE(19049)] = 739980,
  [SMALL_STATE(19050)] = 739994,
  [SMALL_STATE(19051)] = 740008,
  [SMALL_STATE(19052)] = 740022,
  [SMALL_STATE(19053)] = 740036,
  [SMALL_STATE(19054)] = 740050,
  [SMALL_STATE(19055)] = 740064,
  [SMALL_STATE(19056)] = 740078,
  [SMALL_STATE(19057)] = 740092,
  [SMALL_STATE(19058)] = 740106,
  [SMALL_STATE(19059)] = 740120,
  [SMALL_STATE(19060)] = 740134,
  [SMALL_STATE(19061)] = 740148,
  [SMALL_STATE(19062)] = 740162,
  [SMALL_STATE(19063)] = 740176,
  [SMALL_STATE(19064)] = 740190,
  [SMALL_STATE(19065)] = 740204,
  [SMALL_STATE(19066)] = 740218,
  [SMALL_STATE(19067)] = 740232,
  [SMALL_STATE(19068)] = 740246,
  [SMALL_STATE(19069)] = 740260,
  [SMALL_STATE(19070)] = 740274,
  [SMALL_STATE(19071)] = 740288,
  [SMALL_STATE(19072)] = 740302,
  [SMALL_STATE(19073)] = 740316,
  [SMALL_STATE(19074)] = 740330,
  [SMALL_STATE(19075)] = 740344,
  [SMALL_STATE(19076)] = 740358,
  [SMALL_STATE(19077)] = 740372,
  [SMALL_STATE(19078)] = 740386,
  [SMALL_STATE(19079)] = 740400,
  [SMALL_STATE(19080)] = 740414,
  [SMALL_STATE(19081)] = 740428,
  [SMALL_STATE(19082)] = 740442,
  [SMALL_STATE(19083)] = 740456,
  [SMALL_STATE(19084)] = 740470,
  [SMALL_STATE(19085)] = 740484,
  [SMALL_STATE(19086)] = 740498,
  [SMALL_STATE(19087)] = 740512,
  [SMALL_STATE(19088)] = 740526,
  [SMALL_STATE(19089)] = 740540,
  [SMALL_STATE(19090)] = 740554,
  [SMALL_STATE(19091)] = 740568,
  [SMALL_STATE(19092)] = 740582,
  [SMALL_STATE(19093)] = 740596,
  [SMALL_STATE(19094)] = 740610,
  [SMALL_STATE(19095)] = 740624,
  [SMALL_STATE(19096)] = 740638,
  [SMALL_STATE(19097)] = 740652,
  [SMALL_STATE(19098)] = 740666,
  [SMALL_STATE(19099)] = 740680,
  [SMALL_STATE(19100)] = 740694,
  [SMALL_STATE(19101)] = 740708,
  [SMALL_STATE(19102)] = 740722,
  [SMALL_STATE(19103)] = 740736,
  [SMALL_STATE(19104)] = 740750,
  [SMALL_STATE(19105)] = 740764,
  [SMALL_STATE(19106)] = 740778,
  [SMALL_STATE(19107)] = 740792,
  [SMALL_STATE(19108)] = 740806,
  [SMALL_STATE(19109)] = 740820,
  [SMALL_STATE(19110)] = 740834,
  [SMALL_STATE(19111)] = 740848,
  [SMALL_STATE(19112)] = 740862,
  [SMALL_STATE(19113)] = 740876,
  [SMALL_STATE(19114)] = 740890,
  [SMALL_STATE(19115)] = 740904,
  [SMALL_STATE(19116)] = 740918,
  [SMALL_STATE(19117)] = 740932,
  [SMALL_STATE(19118)] = 740946,
  [SMALL_STATE(19119)] = 740960,
  [SMALL_STATE(19120)] = 740974,
  [SMALL_STATE(19121)] = 740988,
  [SMALL_STATE(19122)] = 741002,
  [SMALL_STATE(19123)] = 741016,
  [SMALL_STATE(19124)] = 741030,
  [SMALL_STATE(19125)] = 741044,
  [SMALL_STATE(19126)] = 741058,
  [SMALL_STATE(19127)] = 741072,
  [SMALL_STATE(19128)] = 741086,
  [SMALL_STATE(19129)] = 741100,
  [SMALL_STATE(19130)] = 741114,
  [SMALL_STATE(19131)] = 741128,
  [SMALL_STATE(19132)] = 741142,
  [SMALL_STATE(19133)] = 741156,
  [SMALL_STATE(19134)] = 741170,
  [SMALL_STATE(19135)] = 741184,
  [SMALL_STATE(19136)] = 741198,
  [SMALL_STATE(19137)] = 741212,
  [SMALL_STATE(19138)] = 741226,
  [SMALL_STATE(19139)] = 741240,
  [SMALL_STATE(19140)] = 741254,
  [SMALL_STATE(19141)] = 741268,
  [SMALL_STATE(19142)] = 741282,
  [SMALL_STATE(19143)] = 741296,
  [SMALL_STATE(19144)] = 741310,
  [SMALL_STATE(19145)] = 741324,
  [SMALL_STATE(19146)] = 741338,
  [SMALL_STATE(19147)] = 741352,
  [SMALL_STATE(19148)] = 741366,
  [SMALL_STATE(19149)] = 741380,
  [SMALL_STATE(19150)] = 741394,
  [SMALL_STATE(19151)] = 741408,
  [SMALL_STATE(19152)] = 741422,
  [SMALL_STATE(19153)] = 741436,
  [SMALL_STATE(19154)] = 741450,
  [SMALL_STATE(19155)] = 741464,
  [SMALL_STATE(19156)] = 741478,
  [SMALL_STATE(19157)] = 741492,
  [SMALL_STATE(19158)] = 741506,
  [SMALL_STATE(19159)] = 741520,
  [SMALL_STATE(19160)] = 741534,
  [SMALL_STATE(19161)] = 741548,
  [SMALL_STATE(19162)] = 741562,
  [SMALL_STATE(19163)] = 741576,
  [SMALL_STATE(19164)] = 741590,
  [SMALL_STATE(19165)] = 741604,
  [SMALL_STATE(19166)] = 741618,
  [SMALL_STATE(19167)] = 741632,
  [SMALL_STATE(19168)] = 741646,
  [SMALL_STATE(19169)] = 741660,
  [SMALL_STATE(19170)] = 741674,
  [SMALL_STATE(19171)] = 741688,
  [SMALL_STATE(19172)] = 741702,
  [SMALL_STATE(19173)] = 741716,
  [SMALL_STATE(19174)] = 741730,
  [SMALL_STATE(19175)] = 741744,
  [SMALL_STATE(19176)] = 741758,
  [SMALL_STATE(19177)] = 741772,
  [SMALL_STATE(19178)] = 741786,
  [SMALL_STATE(19179)] = 741800,
  [SMALL_STATE(19180)] = 741814,
  [SMALL_STATE(19181)] = 741828,
  [SMALL_STATE(19182)] = 741842,
  [SMALL_STATE(19183)] = 741856,
  [SMALL_STATE(19184)] = 741870,
  [SMALL_STATE(19185)] = 741884,
  [SMALL_STATE(19186)] = 741898,
  [SMALL_STATE(19187)] = 741912,
  [SMALL_STATE(19188)] = 741926,
  [SMALL_STATE(19189)] = 741940,
  [SMALL_STATE(19190)] = 741954,
  [SMALL_STATE(19191)] = 741968,
  [SMALL_STATE(19192)] = 741982,
  [SMALL_STATE(19193)] = 741996,
  [SMALL_STATE(19194)] = 742010,
  [SMALL_STATE(19195)] = 742024,
  [SMALL_STATE(19196)] = 742038,
  [SMALL_STATE(19197)] = 742052,
  [SMALL_STATE(19198)] = 742066,
  [SMALL_STATE(19199)] = 742080,
  [SMALL_STATE(19200)] = 742094,
  [SMALL_STATE(19201)] = 742108,
  [SMALL_STATE(19202)] = 742122,
  [SMALL_STATE(19203)] = 742136,
  [SMALL_STATE(19204)] = 742150,
  [SMALL_STATE(19205)] = 742164,
  [SMALL_STATE(19206)] = 742178,
  [SMALL_STATE(19207)] = 742192,
  [SMALL_STATE(19208)] = 742206,
  [SMALL_STATE(19209)] = 742220,
  [SMALL_STATE(19210)] = 742234,
  [SMALL_STATE(19211)] = 742248,
  [SMALL_STATE(19212)] = 742262,
  [SMALL_STATE(19213)] = 742276,
  [SMALL_STATE(19214)] = 742290,
  [SMALL_STATE(19215)] = 742304,
  [SMALL_STATE(19216)] = 742318,
  [SMALL_STATE(19217)] = 742332,
  [SMALL_STATE(19218)] = 742346,
  [SMALL_STATE(19219)] = 742360,
  [SMALL_STATE(19220)] = 742374,
  [SMALL_STATE(19221)] = 742388,
  [SMALL_STATE(19222)] = 742402,
  [SMALL_STATE(19223)] = 742416,
  [SMALL_STATE(19224)] = 742430,
  [SMALL_STATE(19225)] = 742444,
  [SMALL_STATE(19226)] = 742458,
  [SMALL_STATE(19227)] = 742472,
  [SMALL_STATE(19228)] = 742486,
  [SMALL_STATE(19229)] = 742500,
  [SMALL_STATE(19230)] = 742514,
  [SMALL_STATE(19231)] = 742528,
  [SMALL_STATE(19232)] = 742542,
  [SMALL_STATE(19233)] = 742556,
  [SMALL_STATE(19234)] = 742570,
  [SMALL_STATE(19235)] = 742584,
  [SMALL_STATE(19236)] = 742598,
  [SMALL_STATE(19237)] = 742612,
  [SMALL_STATE(19238)] = 742626,
  [SMALL_STATE(19239)] = 742640,
  [SMALL_STATE(19240)] = 742654,
  [SMALL_STATE(19241)] = 742668,
  [SMALL_STATE(19242)] = 742682,
  [SMALL_STATE(19243)] = 742696,
  [SMALL_STATE(19244)] = 742710,
  [SMALL_STATE(19245)] = 742724,
  [SMALL_STATE(19246)] = 742738,
  [SMALL_STATE(19247)] = 742752,
  [SMALL_STATE(19248)] = 742766,
  [SMALL_STATE(19249)] = 742780,
  [SMALL_STATE(19250)] = 742794,
  [SMALL_STATE(19251)] = 742808,
  [SMALL_STATE(19252)] = 742822,
  [SMALL_STATE(19253)] = 742836,
  [SMALL_STATE(19254)] = 742850,
  [SMALL_STATE(19255)] = 742864,
  [SMALL_STATE(19256)] = 742878,
  [SMALL_STATE(19257)] = 742892,
  [SMALL_STATE(19258)] = 742906,
  [SMALL_STATE(19259)] = 742920,
  [SMALL_STATE(19260)] = 742934,
  [SMALL_STATE(19261)] = 742948,
  [SMALL_STATE(19262)] = 742962,
  [SMALL_STATE(19263)] = 742976,
  [SMALL_STATE(19264)] = 742990,
  [SMALL_STATE(19265)] = 743004,
  [SMALL_STATE(19266)] = 743018,
  [SMALL_STATE(19267)] = 743032,
  [SMALL_STATE(19268)] = 743046,
  [SMALL_STATE(19269)] = 743060,
  [SMALL_STATE(19270)] = 743074,
  [SMALL_STATE(19271)] = 743088,
  [SMALL_STATE(19272)] = 743102,
  [SMALL_STATE(19273)] = 743116,
  [SMALL_STATE(19274)] = 743130,
  [SMALL_STATE(19275)] = 743144,
  [SMALL_STATE(19276)] = 743158,
  [SMALL_STATE(19277)] = 743172,
  [SMALL_STATE(19278)] = 743186,
  [SMALL_STATE(19279)] = 743200,
  [SMALL_STATE(19280)] = 743214,
  [SMALL_STATE(19281)] = 743228,
  [SMALL_STATE(19282)] = 743242,
  [SMALL_STATE(19283)] = 743256,
  [SMALL_STATE(19284)] = 743270,
  [SMALL_STATE(19285)] = 743284,
  [SMALL_STATE(19286)] = 743298,
  [SMALL_STATE(19287)] = 743312,
  [SMALL_STATE(19288)] = 743326,
  [SMALL_STATE(19289)] = 743340,
  [SMALL_STATE(19290)] = 743354,
  [SMALL_STATE(19291)] = 743368,
  [SMALL_STATE(19292)] = 743382,
  [SMALL_STATE(19293)] = 743396,
  [SMALL_STATE(19294)] = 743410,
  [SMALL_STATE(19295)] = 743424,
  [SMALL_STATE(19296)] = 743438,
  [SMALL_STATE(19297)] = 743452,
  [SMALL_STATE(19298)] = 743466,
  [SMALL_STATE(19299)] = 743480,
  [SMALL_STATE(19300)] = 743494,
  [SMALL_STATE(19301)] = 743508,
  [SMALL_STATE(19302)] = 743522,
  [SMALL_STATE(19303)] = 743536,
  [SMALL_STATE(19304)] = 743550,
  [SMALL_STATE(19305)] = 743564,
  [SMALL_STATE(19306)] = 743578,
  [SMALL_STATE(19307)] = 743592,
  [SMALL_STATE(19308)] = 743606,
  [SMALL_STATE(19309)] = 743620,
  [SMALL_STATE(19310)] = 743634,
  [SMALL_STATE(19311)] = 743648,
  [SMALL_STATE(19312)] = 743662,
  [SMALL_STATE(19313)] = 743676,
  [SMALL_STATE(19314)] = 743690,
  [SMALL_STATE(19315)] = 743704,
  [SMALL_STATE(19316)] = 743718,
  [SMALL_STATE(19317)] = 743732,
  [SMALL_STATE(19318)] = 743746,
  [SMALL_STATE(19319)] = 743760,
  [SMALL_STATE(19320)] = 743774,
  [SMALL_STATE(19321)] = 743788,
  [SMALL_STATE(19322)] = 743802,
  [SMALL_STATE(19323)] = 743816,
  [SMALL_STATE(19324)] = 743830,
  [SMALL_STATE(19325)] = 743844,
  [SMALL_STATE(19326)] = 743858,
  [SMALL_STATE(19327)] = 743872,
  [SMALL_STATE(19328)] = 743886,
  [SMALL_STATE(19329)] = 743900,
  [SMALL_STATE(19330)] = 743914,
  [SMALL_STATE(19331)] = 743928,
  [SMALL_STATE(19332)] = 743942,
  [SMALL_STATE(19333)] = 743956,
  [SMALL_STATE(19334)] = 743970,
  [SMALL_STATE(19335)] = 743984,
  [SMALL_STATE(19336)] = 743998,
  [SMALL_STATE(19337)] = 744012,
  [SMALL_STATE(19338)] = 744026,
  [SMALL_STATE(19339)] = 744040,
  [SMALL_STATE(19340)] = 744054,
  [SMALL_STATE(19341)] = 744068,
  [SMALL_STATE(19342)] = 744082,
  [SMALL_STATE(19343)] = 744096,
  [SMALL_STATE(19344)] = 744110,
  [SMALL_STATE(19345)] = 744124,
  [SMALL_STATE(19346)] = 744138,
  [SMALL_STATE(19347)] = 744152,
  [SMALL_STATE(19348)] = 744166,
  [SMALL_STATE(19349)] = 744180,
  [SMALL_STATE(19350)] = 744194,
  [SMALL_STATE(19351)] = 744208,
  [SMALL_STATE(19352)] = 744222,
  [SMALL_STATE(19353)] = 744236,
  [SMALL_STATE(19354)] = 744250,
  [SMALL_STATE(19355)] = 744264,
  [SMALL_STATE(19356)] = 744278,
  [SMALL_STATE(19357)] = 744292,
  [SMALL_STATE(19358)] = 744306,
  [SMALL_STATE(19359)] = 744320,
  [SMALL_STATE(19360)] = 744334,
  [SMALL_STATE(19361)] = 744348,
  [SMALL_STATE(19362)] = 744362,
  [SMALL_STATE(19363)] = 744376,
  [SMALL_STATE(19364)] = 744390,
  [SMALL_STATE(19365)] = 744404,
  [SMALL_STATE(19366)] = 744418,
  [SMALL_STATE(19367)] = 744432,
  [SMALL_STATE(19368)] = 744446,
  [SMALL_STATE(19369)] = 744460,
  [SMALL_STATE(19370)] = 744474,
  [SMALL_STATE(19371)] = 744488,
  [SMALL_STATE(19372)] = 744502,
  [SMALL_STATE(19373)] = 744516,
  [SMALL_STATE(19374)] = 744530,
  [SMALL_STATE(19375)] = 744544,
  [SMALL_STATE(19376)] = 744558,
  [SMALL_STATE(19377)] = 744572,
  [SMALL_STATE(19378)] = 744586,
  [SMALL_STATE(19379)] = 744600,
  [SMALL_STATE(19380)] = 744614,
  [SMALL_STATE(19381)] = 744628,
  [SMALL_STATE(19382)] = 744642,
  [SMALL_STATE(19383)] = 744656,
  [SMALL_STATE(19384)] = 744670,
  [SMALL_STATE(19385)] = 744684,
  [SMALL_STATE(19386)] = 744698,
  [SMALL_STATE(19387)] = 744712,
  [SMALL_STATE(19388)] = 744726,
  [SMALL_STATE(19389)] = 744740,
  [SMALL_STATE(19390)] = 744754,
  [SMALL_STATE(19391)] = 744768,
  [SMALL_STATE(19392)] = 744782,
  [SMALL_STATE(19393)] = 744796,
  [SMALL_STATE(19394)] = 744810,
  [SMALL_STATE(19395)] = 744824,
  [SMALL_STATE(19396)] = 744838,
  [SMALL_STATE(19397)] = 744852,
  [SMALL_STATE(19398)] = 744866,
  [SMALL_STATE(19399)] = 744880,
  [SMALL_STATE(19400)] = 744894,
  [SMALL_STATE(19401)] = 744908,
  [SMALL_STATE(19402)] = 744922,
  [SMALL_STATE(19403)] = 744936,
  [SMALL_STATE(19404)] = 744950,
  [SMALL_STATE(19405)] = 744964,
  [SMALL_STATE(19406)] = 744978,
  [SMALL_STATE(19407)] = 744992,
  [SMALL_STATE(19408)] = 745006,
  [SMALL_STATE(19409)] = 745020,
  [SMALL_STATE(19410)] = 745034,
  [SMALL_STATE(19411)] = 745048,
  [SMALL_STATE(19412)] = 745062,
  [SMALL_STATE(19413)] = 745076,
  [SMALL_STATE(19414)] = 745090,
  [SMALL_STATE(19415)] = 745104,
  [SMALL_STATE(19416)] = 745118,
  [SMALL_STATE(19417)] = 745132,
  [SMALL_STATE(19418)] = 745146,
  [SMALL_STATE(19419)] = 745160,
  [SMALL_STATE(19420)] = 745174,
  [SMALL_STATE(19421)] = 745188,
  [SMALL_STATE(19422)] = 745202,
  [SMALL_STATE(19423)] = 745216,
  [SMALL_STATE(19424)] = 745230,
  [SMALL_STATE(19425)] = 745244,
  [SMALL_STATE(19426)] = 745258,
  [SMALL_STATE(19427)] = 745272,
  [SMALL_STATE(19428)] = 745286,
  [SMALL_STATE(19429)] = 745300,
  [SMALL_STATE(19430)] = 745314,
  [SMALL_STATE(19431)] = 745328,
  [SMALL_STATE(19432)] = 745342,
  [SMALL_STATE(19433)] = 745356,
  [SMALL_STATE(19434)] = 745370,
  [SMALL_STATE(19435)] = 745384,
  [SMALL_STATE(19436)] = 745398,
  [SMALL_STATE(19437)] = 745412,
  [SMALL_STATE(19438)] = 745426,
  [SMALL_STATE(19439)] = 745440,
  [SMALL_STATE(19440)] = 745454,
  [SMALL_STATE(19441)] = 745468,
  [SMALL_STATE(19442)] = 745482,
  [SMALL_STATE(19443)] = 745496,
  [SMALL_STATE(19444)] = 745510,
  [SMALL_STATE(19445)] = 745524,
  [SMALL_STATE(19446)] = 745538,
  [SMALL_STATE(19447)] = 745552,
  [SMALL_STATE(19448)] = 745566,
  [SMALL_STATE(19449)] = 745580,
  [SMALL_STATE(19450)] = 745594,
  [SMALL_STATE(19451)] = 745608,
  [SMALL_STATE(19452)] = 745622,
  [SMALL_STATE(19453)] = 745636,
  [SMALL_STATE(19454)] = 745650,
  [SMALL_STATE(19455)] = 745664,
  [SMALL_STATE(19456)] = 745678,
  [SMALL_STATE(19457)] = 745692,
  [SMALL_STATE(19458)] = 745706,
  [SMALL_STATE(19459)] = 745720,
  [SMALL_STATE(19460)] = 745734,
  [SMALL_STATE(19461)] = 745748,
  [SMALL_STATE(19462)] = 745762,
  [SMALL_STATE(19463)] = 745776,
  [SMALL_STATE(19464)] = 745790,
  [SMALL_STATE(19465)] = 745804,
  [SMALL_STATE(19466)] = 745818,
  [SMALL_STATE(19467)] = 745832,
  [SMALL_STATE(19468)] = 745846,
  [SMALL_STATE(19469)] = 745860,
  [SMALL_STATE(19470)] = 745874,
  [SMALL_STATE(19471)] = 745888,
  [SMALL_STATE(19472)] = 745902,
  [SMALL_STATE(19473)] = 745916,
  [SMALL_STATE(19474)] = 745930,
  [SMALL_STATE(19475)] = 745944,
  [SMALL_STATE(19476)] = 745958,
  [SMALL_STATE(19477)] = 745972,
  [SMALL_STATE(19478)] = 745986,
  [SMALL_STATE(19479)] = 746000,
  [SMALL_STATE(19480)] = 746014,
  [SMALL_STATE(19481)] = 746028,
  [SMALL_STATE(19482)] = 746042,
  [SMALL_STATE(19483)] = 746056,
  [SMALL_STATE(19484)] = 746070,
  [SMALL_STATE(19485)] = 746084,
  [SMALL_STATE(19486)] = 746098,
  [SMALL_STATE(19487)] = 746112,
  [SMALL_STATE(19488)] = 746126,
  [SMALL_STATE(19489)] = 746140,
  [SMALL_STATE(19490)] = 746154,
  [SMALL_STATE(19491)] = 746168,
  [SMALL_STATE(19492)] = 746182,
  [SMALL_STATE(19493)] = 746196,
  [SMALL_STATE(19494)] = 746210,
  [SMALL_STATE(19495)] = 746224,
  [SMALL_STATE(19496)] = 746238,
  [SMALL_STATE(19497)] = 746252,
  [SMALL_STATE(19498)] = 746266,
  [SMALL_STATE(19499)] = 746280,
  [SMALL_STATE(19500)] = 746294,
  [SMALL_STATE(19501)] = 746308,
  [SMALL_STATE(19502)] = 746322,
  [SMALL_STATE(19503)] = 746336,
  [SMALL_STATE(19504)] = 746350,
  [SMALL_STATE(19505)] = 746364,
  [SMALL_STATE(19506)] = 746378,
  [SMALL_STATE(19507)] = 746392,
  [SMALL_STATE(19508)] = 746406,
  [SMALL_STATE(19509)] = 746420,
  [SMALL_STATE(19510)] = 746434,
  [SMALL_STATE(19511)] = 746448,
  [SMALL_STATE(19512)] = 746462,
  [SMALL_STATE(19513)] = 746476,
  [SMALL_STATE(19514)] = 746490,
  [SMALL_STATE(19515)] = 746504,
  [SMALL_STATE(19516)] = 746518,
  [SMALL_STATE(19517)] = 746532,
  [SMALL_STATE(19518)] = 746546,
  [SMALL_STATE(19519)] = 746560,
  [SMALL_STATE(19520)] = 746574,
  [SMALL_STATE(19521)] = 746588,
  [SMALL_STATE(19522)] = 746602,
  [SMALL_STATE(19523)] = 746616,
  [SMALL_STATE(19524)] = 746630,
  [SMALL_STATE(19525)] = 746644,
  [SMALL_STATE(19526)] = 746658,
  [SMALL_STATE(19527)] = 746672,
  [SMALL_STATE(19528)] = 746686,
  [SMALL_STATE(19529)] = 746700,
  [SMALL_STATE(19530)] = 746714,
  [SMALL_STATE(19531)] = 746728,
  [SMALL_STATE(19532)] = 746742,
  [SMALL_STATE(19533)] = 746756,
  [SMALL_STATE(19534)] = 746770,
  [SMALL_STATE(19535)] = 746784,
  [SMALL_STATE(19536)] = 746798,
  [SMALL_STATE(19537)] = 746812,
  [SMALL_STATE(19538)] = 746826,
  [SMALL_STATE(19539)] = 746840,
  [SMALL_STATE(19540)] = 746854,
  [SMALL_STATE(19541)] = 746868,
  [SMALL_STATE(19542)] = 746882,
  [SMALL_STATE(19543)] = 746896,
  [SMALL_STATE(19544)] = 746910,
  [SMALL_STATE(19545)] = 746924,
  [SMALL_STATE(19546)] = 746938,
  [SMALL_STATE(19547)] = 746952,
  [SMALL_STATE(19548)] = 746966,
  [SMALL_STATE(19549)] = 746980,
  [SMALL_STATE(19550)] = 746994,
  [SMALL_STATE(19551)] = 747008,
  [SMALL_STATE(19552)] = 747022,
  [SMALL_STATE(19553)] = 747036,
  [SMALL_STATE(19554)] = 747050,
  [SMALL_STATE(19555)] = 747064,
  [SMALL_STATE(19556)] = 747078,
  [SMALL_STATE(19557)] = 747092,
  [SMALL_STATE(19558)] = 747106,
  [SMALL_STATE(19559)] = 747120,
  [SMALL_STATE(19560)] = 747134,
  [SMALL_STATE(19561)] = 747148,
  [SMALL_STATE(19562)] = 747162,
  [SMALL_STATE(19563)] = 747176,
  [SMALL_STATE(19564)] = 747190,
  [SMALL_STATE(19565)] = 747204,
  [SMALL_STATE(19566)] = 747218,
  [SMALL_STATE(19567)] = 747232,
  [SMALL_STATE(19568)] = 747246,
  [SMALL_STATE(19569)] = 747260,
  [SMALL_STATE(19570)] = 747274,
  [SMALL_STATE(19571)] = 747288,
  [SMALL_STATE(19572)] = 747302,
  [SMALL_STATE(19573)] = 747316,
  [SMALL_STATE(19574)] = 747330,
  [SMALL_STATE(19575)] = 747344,
  [SMALL_STATE(19576)] = 747358,
  [SMALL_STATE(19577)] = 747372,
  [SMALL_STATE(19578)] = 747386,
  [SMALL_STATE(19579)] = 747400,
  [SMALL_STATE(19580)] = 747414,
  [SMALL_STATE(19581)] = 747428,
  [SMALL_STATE(19582)] = 747442,
  [SMALL_STATE(19583)] = 747456,
  [SMALL_STATE(19584)] = 747470,
  [SMALL_STATE(19585)] = 747484,
  [SMALL_STATE(19586)] = 747498,
  [SMALL_STATE(19587)] = 747512,
  [SMALL_STATE(19588)] = 747526,
  [SMALL_STATE(19589)] = 747540,
  [SMALL_STATE(19590)] = 747554,
  [SMALL_STATE(19591)] = 747568,
  [SMALL_STATE(19592)] = 747582,
  [SMALL_STATE(19593)] = 747596,
  [SMALL_STATE(19594)] = 747610,
  [SMALL_STATE(19595)] = 747624,
  [SMALL_STATE(19596)] = 747638,
  [SMALL_STATE(19597)] = 747652,
  [SMALL_STATE(19598)] = 747666,
  [SMALL_STATE(19599)] = 747680,
  [SMALL_STATE(19600)] = 747694,
  [SMALL_STATE(19601)] = 747708,
  [SMALL_STATE(19602)] = 747722,
  [SMALL_STATE(19603)] = 747736,
  [SMALL_STATE(19604)] = 747750,
  [SMALL_STATE(19605)] = 747764,
  [SMALL_STATE(19606)] = 747778,
  [SMALL_STATE(19607)] = 747792,
  [SMALL_STATE(19608)] = 747806,
  [SMALL_STATE(19609)] = 747820,
  [SMALL_STATE(19610)] = 747834,
  [SMALL_STATE(19611)] = 747848,
  [SMALL_STATE(19612)] = 747862,
  [SMALL_STATE(19613)] = 747876,
  [SMALL_STATE(19614)] = 747890,
  [SMALL_STATE(19615)] = 747904,
  [SMALL_STATE(19616)] = 747918,
  [SMALL_STATE(19617)] = 747932,
  [SMALL_STATE(19618)] = 747946,
  [SMALL_STATE(19619)] = 747960,
  [SMALL_STATE(19620)] = 747974,
  [SMALL_STATE(19621)] = 747988,
  [SMALL_STATE(19622)] = 748002,
  [SMALL_STATE(19623)] = 748016,
  [SMALL_STATE(19624)] = 748030,
  [SMALL_STATE(19625)] = 748044,
  [SMALL_STATE(19626)] = 748058,
  [SMALL_STATE(19627)] = 748072,
  [SMALL_STATE(19628)] = 748086,
  [SMALL_STATE(19629)] = 748100,
  [SMALL_STATE(19630)] = 748114,
  [SMALL_STATE(19631)] = 748128,
  [SMALL_STATE(19632)] = 748142,
  [SMALL_STATE(19633)] = 748156,
  [SMALL_STATE(19634)] = 748170,
  [SMALL_STATE(19635)] = 748184,
  [SMALL_STATE(19636)] = 748198,
  [SMALL_STATE(19637)] = 748212,
  [SMALL_STATE(19638)] = 748226,
  [SMALL_STATE(19639)] = 748240,
  [SMALL_STATE(19640)] = 748254,
  [SMALL_STATE(19641)] = 748268,
  [SMALL_STATE(19642)] = 748282,
  [SMALL_STATE(19643)] = 748296,
  [SMALL_STATE(19644)] = 748310,
  [SMALL_STATE(19645)] = 748324,
  [SMALL_STATE(19646)] = 748338,
  [SMALL_STATE(19647)] = 748352,
  [SMALL_STATE(19648)] = 748366,
  [SMALL_STATE(19649)] = 748380,
  [SMALL_STATE(19650)] = 748394,
  [SMALL_STATE(19651)] = 748408,
  [SMALL_STATE(19652)] = 748422,
  [SMALL_STATE(19653)] = 748436,
  [SMALL_STATE(19654)] = 748450,
  [SMALL_STATE(19655)] = 748464,
  [SMALL_STATE(19656)] = 748478,
  [SMALL_STATE(19657)] = 748492,
  [SMALL_STATE(19658)] = 748506,
  [SMALL_STATE(19659)] = 748520,
  [SMALL_STATE(19660)] = 748534,
  [SMALL_STATE(19661)] = 748548,
  [SMALL_STATE(19662)] = 748562,
  [SMALL_STATE(19663)] = 748576,
  [SMALL_STATE(19664)] = 748590,
  [SMALL_STATE(19665)] = 748604,
  [SMALL_STATE(19666)] = 748618,
  [SMALL_STATE(19667)] = 748632,
  [SMALL_STATE(19668)] = 748646,
  [SMALL_STATE(19669)] = 748660,
  [SMALL_STATE(19670)] = 748674,
  [SMALL_STATE(19671)] = 748688,
  [SMALL_STATE(19672)] = 748702,
  [SMALL_STATE(19673)] = 748716,
  [SMALL_STATE(19674)] = 748730,
  [SMALL_STATE(19675)] = 748744,
  [SMALL_STATE(19676)] = 748758,
  [SMALL_STATE(19677)] = 748772,
  [SMALL_STATE(19678)] = 748786,
  [SMALL_STATE(19679)] = 748800,
  [SMALL_STATE(19680)] = 748814,
  [SMALL_STATE(19681)] = 748828,
  [SMALL_STATE(19682)] = 748842,
  [SMALL_STATE(19683)] = 748856,
  [SMALL_STATE(19684)] = 748870,
  [SMALL_STATE(19685)] = 748884,
  [SMALL_STATE(19686)] = 748898,
  [SMALL_STATE(19687)] = 748912,
  [SMALL_STATE(19688)] = 748926,
  [SMALL_STATE(19689)] = 748940,
  [SMALL_STATE(19690)] = 748954,
  [SMALL_STATE(19691)] = 748968,
  [SMALL_STATE(19692)] = 748982,
  [SMALL_STATE(19693)] = 748996,
  [SMALL_STATE(19694)] = 749010,
  [SMALL_STATE(19695)] = 749024,
  [SMALL_STATE(19696)] = 749038,
  [SMALL_STATE(19697)] = 749052,
  [SMALL_STATE(19698)] = 749066,
  [SMALL_STATE(19699)] = 749080,
  [SMALL_STATE(19700)] = 749094,
  [SMALL_STATE(19701)] = 749108,
  [SMALL_STATE(19702)] = 749122,
  [SMALL_STATE(19703)] = 749136,
  [SMALL_STATE(19704)] = 749150,
  [SMALL_STATE(19705)] = 749164,
  [SMALL_STATE(19706)] = 749178,
  [SMALL_STATE(19707)] = 749192,
  [SMALL_STATE(19708)] = 749206,
  [SMALL_STATE(19709)] = 749220,
  [SMALL_STATE(19710)] = 749234,
  [SMALL_STATE(19711)] = 749248,
  [SMALL_STATE(19712)] = 749262,
  [SMALL_STATE(19713)] = 749276,
  [SMALL_STATE(19714)] = 749290,
  [SMALL_STATE(19715)] = 749304,
  [SMALL_STATE(19716)] = 749318,
  [SMALL_STATE(19717)] = 749332,
  [SMALL_STATE(19718)] = 749346,
  [SMALL_STATE(19719)] = 749360,
  [SMALL_STATE(19720)] = 749374,
  [SMALL_STATE(19721)] = 749388,
  [SMALL_STATE(19722)] = 749402,
  [SMALL_STATE(19723)] = 749416,
  [SMALL_STATE(19724)] = 749430,
  [SMALL_STATE(19725)] = 749444,
  [SMALL_STATE(19726)] = 749458,
  [SMALL_STATE(19727)] = 749472,
  [SMALL_STATE(19728)] = 749486,
  [SMALL_STATE(19729)] = 749500,
  [SMALL_STATE(19730)] = 749514,
  [SMALL_STATE(19731)] = 749528,
  [SMALL_STATE(19732)] = 749542,
  [SMALL_STATE(19733)] = 749556,
  [SMALL_STATE(19734)] = 749570,
  [SMALL_STATE(19735)] = 749584,
  [SMALL_STATE(19736)] = 749598,
  [SMALL_STATE(19737)] = 749612,
  [SMALL_STATE(19738)] = 749626,
  [SMALL_STATE(19739)] = 749640,
  [SMALL_STATE(19740)] = 749654,
  [SMALL_STATE(19741)] = 749668,
  [SMALL_STATE(19742)] = 749682,
  [SMALL_STATE(19743)] = 749696,
  [SMALL_STATE(19744)] = 749710,
  [SMALL_STATE(19745)] = 749724,
  [SMALL_STATE(19746)] = 749738,
  [SMALL_STATE(19747)] = 749752,
  [SMALL_STATE(19748)] = 749766,
  [SMALL_STATE(19749)] = 749780,
  [SMALL_STATE(19750)] = 749794,
  [SMALL_STATE(19751)] = 749808,
  [SMALL_STATE(19752)] = 749822,
  [SMALL_STATE(19753)] = 749836,
  [SMALL_STATE(19754)] = 749850,
  [SMALL_STATE(19755)] = 749864,
  [SMALL_STATE(19756)] = 749878,
  [SMALL_STATE(19757)] = 749892,
  [SMALL_STATE(19758)] = 749906,
  [SMALL_STATE(19759)] = 749920,
  [SMALL_STATE(19760)] = 749934,
  [SMALL_STATE(19761)] = 749948,
  [SMALL_STATE(19762)] = 749962,
  [SMALL_STATE(19763)] = 749976,
  [SMALL_STATE(19764)] = 749990,
  [SMALL_STATE(19765)] = 750004,
  [SMALL_STATE(19766)] = 750018,
  [SMALL_STATE(19767)] = 750032,
  [SMALL_STATE(19768)] = 750046,
  [SMALL_STATE(19769)] = 750060,
  [SMALL_STATE(19770)] = 750074,
  [SMALL_STATE(19771)] = 750088,
  [SMALL_STATE(19772)] = 750102,
  [SMALL_STATE(19773)] = 750116,
  [SMALL_STATE(19774)] = 750130,
  [SMALL_STATE(19775)] = 750144,
  [SMALL_STATE(19776)] = 750158,
  [SMALL_STATE(19777)] = 750172,
  [SMALL_STATE(19778)] = 750186,
  [SMALL_STATE(19779)] = 750200,
  [SMALL_STATE(19780)] = 750214,
  [SMALL_STATE(19781)] = 750228,
  [SMALL_STATE(19782)] = 750242,
  [SMALL_STATE(19783)] = 750256,
  [SMALL_STATE(19784)] = 750270,
  [SMALL_STATE(19785)] = 750284,
  [SMALL_STATE(19786)] = 750298,
  [SMALL_STATE(19787)] = 750312,
  [SMALL_STATE(19788)] = 750326,
  [SMALL_STATE(19789)] = 750340,
  [SMALL_STATE(19790)] = 750354,
  [SMALL_STATE(19791)] = 750368,
  [SMALL_STATE(19792)] = 750382,
  [SMALL_STATE(19793)] = 750396,
  [SMALL_STATE(19794)] = 750410,
  [SMALL_STATE(19795)] = 750424,
  [SMALL_STATE(19796)] = 750438,
  [SMALL_STATE(19797)] = 750452,
  [SMALL_STATE(19798)] = 750466,
  [SMALL_STATE(19799)] = 750480,
  [SMALL_STATE(19800)] = 750494,
  [SMALL_STATE(19801)] = 750508,
  [SMALL_STATE(19802)] = 750522,
  [SMALL_STATE(19803)] = 750536,
  [SMALL_STATE(19804)] = 750550,
  [SMALL_STATE(19805)] = 750564,
  [SMALL_STATE(19806)] = 750578,
  [SMALL_STATE(19807)] = 750592,
  [SMALL_STATE(19808)] = 750606,
  [SMALL_STATE(19809)] = 750620,
  [SMALL_STATE(19810)] = 750634,
  [SMALL_STATE(19811)] = 750648,
  [SMALL_STATE(19812)] = 750662,
  [SMALL_STATE(19813)] = 750676,
  [SMALL_STATE(19814)] = 750690,
  [SMALL_STATE(19815)] = 750704,
  [SMALL_STATE(19816)] = 750718,
  [SMALL_STATE(19817)] = 750732,
  [SMALL_STATE(19818)] = 750746,
  [SMALL_STATE(19819)] = 750760,
  [SMALL_STATE(19820)] = 750774,
  [SMALL_STATE(19821)] = 750788,
  [SMALL_STATE(19822)] = 750802,
  [SMALL_STATE(19823)] = 750816,
  [SMALL_STATE(19824)] = 750830,
  [SMALL_STATE(19825)] = 750844,
  [SMALL_STATE(19826)] = 750858,
  [SMALL_STATE(19827)] = 750872,
  [SMALL_STATE(19828)] = 750886,
  [SMALL_STATE(19829)] = 750900,
  [SMALL_STATE(19830)] = 750914,
  [SMALL_STATE(19831)] = 750928,
  [SMALL_STATE(19832)] = 750942,
  [SMALL_STATE(19833)] = 750956,
  [SMALL_STATE(19834)] = 750970,
  [SMALL_STATE(19835)] = 750984,
  [SMALL_STATE(19836)] = 750998,
  [SMALL_STATE(19837)] = 751012,
  [SMALL_STATE(19838)] = 751026,
  [SMALL_STATE(19839)] = 751040,
  [SMALL_STATE(19840)] = 751054,
  [SMALL_STATE(19841)] = 751068,
  [SMALL_STATE(19842)] = 751082,
  [SMALL_STATE(19843)] = 751096,
  [SMALL_STATE(19844)] = 751110,
  [SMALL_STATE(19845)] = 751124,
  [SMALL_STATE(19846)] = 751138,
  [SMALL_STATE(19847)] = 751152,
  [SMALL_STATE(19848)] = 751166,
  [SMALL_STATE(19849)] = 751180,
  [SMALL_STATE(19850)] = 751194,
  [SMALL_STATE(19851)] = 751208,
  [SMALL_STATE(19852)] = 751222,
  [SMALL_STATE(19853)] = 751236,
  [SMALL_STATE(19854)] = 751250,
  [SMALL_STATE(19855)] = 751264,
  [SMALL_STATE(19856)] = 751278,
  [SMALL_STATE(19857)] = 751292,
  [SMALL_STATE(19858)] = 751306,
  [SMALL_STATE(19859)] = 751320,
  [SMALL_STATE(19860)] = 751334,
  [SMALL_STATE(19861)] = 751348,
  [SMALL_STATE(19862)] = 751362,
  [SMALL_STATE(19863)] = 751376,
  [SMALL_STATE(19864)] = 751390,
  [SMALL_STATE(19865)] = 751404,
  [SMALL_STATE(19866)] = 751418,
  [SMALL_STATE(19867)] = 751432,
  [SMALL_STATE(19868)] = 751446,
  [SMALL_STATE(19869)] = 751460,
  [SMALL_STATE(19870)] = 751474,
  [SMALL_STATE(19871)] = 751488,
  [SMALL_STATE(19872)] = 751502,
  [SMALL_STATE(19873)] = 751516,
  [SMALL_STATE(19874)] = 751530,
  [SMALL_STATE(19875)] = 751544,
  [SMALL_STATE(19876)] = 751558,
  [SMALL_STATE(19877)] = 751572,
  [SMALL_STATE(19878)] = 751586,
  [SMALL_STATE(19879)] = 751600,
  [SMALL_STATE(19880)] = 751614,
  [SMALL_STATE(19881)] = 751628,
  [SMALL_STATE(19882)] = 751642,
  [SMALL_STATE(19883)] = 751656,
  [SMALL_STATE(19884)] = 751670,
  [SMALL_STATE(19885)] = 751684,
  [SMALL_STATE(19886)] = 751698,
  [SMALL_STATE(19887)] = 751712,
  [SMALL_STATE(19888)] = 751726,
  [SMALL_STATE(19889)] = 751740,
  [SMALL_STATE(19890)] = 751754,
  [SMALL_STATE(19891)] = 751768,
  [SMALL_STATE(19892)] = 751782,
  [SMALL_STATE(19893)] = 751796,
  [SMALL_STATE(19894)] = 751810,
  [SMALL_STATE(19895)] = 751824,
  [SMALL_STATE(19896)] = 751838,
  [SMALL_STATE(19897)] = 751852,
  [SMALL_STATE(19898)] = 751866,
  [SMALL_STATE(19899)] = 751880,
  [SMALL_STATE(19900)] = 751894,
  [SMALL_STATE(19901)] = 751908,
  [SMALL_STATE(19902)] = 751922,
  [SMALL_STATE(19903)] = 751936,
  [SMALL_STATE(19904)] = 751950,
  [SMALL_STATE(19905)] = 751964,
  [SMALL_STATE(19906)] = 751978,
  [SMALL_STATE(19907)] = 751992,
  [SMALL_STATE(19908)] = 752006,
  [SMALL_STATE(19909)] = 752020,
  [SMALL_STATE(19910)] = 752034,
  [SMALL_STATE(19911)] = 752048,
  [SMALL_STATE(19912)] = 752062,
  [SMALL_STATE(19913)] = 752076,
  [SMALL_STATE(19914)] = 752090,
  [SMALL_STATE(19915)] = 752104,
  [SMALL_STATE(19916)] = 752118,
  [SMALL_STATE(19917)] = 752132,
  [SMALL_STATE(19918)] = 752146,
  [SMALL_STATE(19919)] = 752160,
  [SMALL_STATE(19920)] = 752174,
  [SMALL_STATE(19921)] = 752188,
  [SMALL_STATE(19922)] = 752202,
  [SMALL_STATE(19923)] = 752216,
  [SMALL_STATE(19924)] = 752230,
  [SMALL_STATE(19925)] = 752244,
  [SMALL_STATE(19926)] = 752258,
  [SMALL_STATE(19927)] = 752272,
  [SMALL_STATE(19928)] = 752286,
  [SMALL_STATE(19929)] = 752300,
  [SMALL_STATE(19930)] = 752314,
  [SMALL_STATE(19931)] = 752328,
  [SMALL_STATE(19932)] = 752342,
  [SMALL_STATE(19933)] = 752356,
  [SMALL_STATE(19934)] = 752370,
  [SMALL_STATE(19935)] = 752384,
  [SMALL_STATE(19936)] = 752398,
  [SMALL_STATE(19937)] = 752412,
  [SMALL_STATE(19938)] = 752426,
  [SMALL_STATE(19939)] = 752440,
  [SMALL_STATE(19940)] = 752454,
  [SMALL_STATE(19941)] = 752468,
  [SMALL_STATE(19942)] = 752482,
  [SMALL_STATE(19943)] = 752496,
  [SMALL_STATE(19944)] = 752510,
  [SMALL_STATE(19945)] = 752524,
  [SMALL_STATE(19946)] = 752538,
  [SMALL_STATE(19947)] = 752552,
  [SMALL_STATE(19948)] = 752566,
  [SMALL_STATE(19949)] = 752580,
  [SMALL_STATE(19950)] = 752594,
  [SMALL_STATE(19951)] = 752608,
  [SMALL_STATE(19952)] = 752622,
  [SMALL_STATE(19953)] = 752636,
  [SMALL_STATE(19954)] = 752650,
  [SMALL_STATE(19955)] = 752664,
  [SMALL_STATE(19956)] = 752678,
  [SMALL_STATE(19957)] = 752692,
  [SMALL_STATE(19958)] = 752706,
  [SMALL_STATE(19959)] = 752720,
  [SMALL_STATE(19960)] = 752734,
  [SMALL_STATE(19961)] = 752748,
  [SMALL_STATE(19962)] = 752762,
  [SMALL_STATE(19963)] = 752776,
  [SMALL_STATE(19964)] = 752790,
  [SMALL_STATE(19965)] = 752804,
  [SMALL_STATE(19966)] = 752818,
  [SMALL_STATE(19967)] = 752832,
  [SMALL_STATE(19968)] = 752846,
  [SMALL_STATE(19969)] = 752860,
  [SMALL_STATE(19970)] = 752874,
  [SMALL_STATE(19971)] = 752888,
  [SMALL_STATE(19972)] = 752902,
  [SMALL_STATE(19973)] = 752916,
  [SMALL_STATE(19974)] = 752930,
  [SMALL_STATE(19975)] = 752944,
  [SMALL_STATE(19976)] = 752958,
  [SMALL_STATE(19977)] = 752972,
  [SMALL_STATE(19978)] = 752986,
  [SMALL_STATE(19979)] = 753000,
  [SMALL_STATE(19980)] = 753014,
  [SMALL_STATE(19981)] = 753028,
  [SMALL_STATE(19982)] = 753042,
  [SMALL_STATE(19983)] = 753056,
  [SMALL_STATE(19984)] = 753070,
  [SMALL_STATE(19985)] = 753084,
  [SMALL_STATE(19986)] = 753098,
  [SMALL_STATE(19987)] = 753112,
  [SMALL_STATE(19988)] = 753126,
  [SMALL_STATE(19989)] = 753140,
  [SMALL_STATE(19990)] = 753154,
  [SMALL_STATE(19991)] = 753168,
  [SMALL_STATE(19992)] = 753182,
  [SMALL_STATE(19993)] = 753196,
  [SMALL_STATE(19994)] = 753210,
  [SMALL_STATE(19995)] = 753224,
  [SMALL_STATE(19996)] = 753238,
  [SMALL_STATE(19997)] = 753252,
  [SMALL_STATE(19998)] = 753266,
  [SMALL_STATE(19999)] = 753280,
  [SMALL_STATE(20000)] = 753294,
  [SMALL_STATE(20001)] = 753308,
  [SMALL_STATE(20002)] = 753322,
  [SMALL_STATE(20003)] = 753336,
  [SMALL_STATE(20004)] = 753350,
  [SMALL_STATE(20005)] = 753364,
  [SMALL_STATE(20006)] = 753378,
  [SMALL_STATE(20007)] = 753392,
  [SMALL_STATE(20008)] = 753406,
  [SMALL_STATE(20009)] = 753420,
  [SMALL_STATE(20010)] = 753434,
  [SMALL_STATE(20011)] = 753448,
  [SMALL_STATE(20012)] = 753462,
  [SMALL_STATE(20013)] = 753476,
  [SMALL_STATE(20014)] = 753490,
  [SMALL_STATE(20015)] = 753504,
  [SMALL_STATE(20016)] = 753518,
  [SMALL_STATE(20017)] = 753532,
  [SMALL_STATE(20018)] = 753546,
  [SMALL_STATE(20019)] = 753560,
  [SMALL_STATE(20020)] = 753574,
  [SMALL_STATE(20021)] = 753588,
  [SMALL_STATE(20022)] = 753602,
  [SMALL_STATE(20023)] = 753616,
  [SMALL_STATE(20024)] = 753630,
  [SMALL_STATE(20025)] = 753644,
  [SMALL_STATE(20026)] = 753658,
  [SMALL_STATE(20027)] = 753672,
  [SMALL_STATE(20028)] = 753686,
  [SMALL_STATE(20029)] = 753700,
  [SMALL_STATE(20030)] = 753714,
  [SMALL_STATE(20031)] = 753728,
  [SMALL_STATE(20032)] = 753742,
  [SMALL_STATE(20033)] = 753756,
  [SMALL_STATE(20034)] = 753770,
  [SMALL_STATE(20035)] = 753784,
  [SMALL_STATE(20036)] = 753798,
  [SMALL_STATE(20037)] = 753812,
  [SMALL_STATE(20038)] = 753826,
  [SMALL_STATE(20039)] = 753840,
  [SMALL_STATE(20040)] = 753854,
  [SMALL_STATE(20041)] = 753868,
  [SMALL_STATE(20042)] = 753882,
  [SMALL_STATE(20043)] = 753896,
  [SMALL_STATE(20044)] = 753910,
  [SMALL_STATE(20045)] = 753924,
  [SMALL_STATE(20046)] = 753938,
  [SMALL_STATE(20047)] = 753952,
  [SMALL_STATE(20048)] = 753966,
  [SMALL_STATE(20049)] = 753980,
  [SMALL_STATE(20050)] = 753994,
  [SMALL_STATE(20051)] = 754008,
  [SMALL_STATE(20052)] = 754022,
  [SMALL_STATE(20053)] = 754036,
  [SMALL_STATE(20054)] = 754050,
  [SMALL_STATE(20055)] = 754064,
  [SMALL_STATE(20056)] = 754078,
  [SMALL_STATE(20057)] = 754092,
  [SMALL_STATE(20058)] = 754106,
  [SMALL_STATE(20059)] = 754120,
  [SMALL_STATE(20060)] = 754134,
  [SMALL_STATE(20061)] = 754148,
  [SMALL_STATE(20062)] = 754162,
  [SMALL_STATE(20063)] = 754176,
  [SMALL_STATE(20064)] = 754190,
  [SMALL_STATE(20065)] = 754204,
  [SMALL_STATE(20066)] = 754218,
  [SMALL_STATE(20067)] = 754232,
  [SMALL_STATE(20068)] = 754246,
  [SMALL_STATE(20069)] = 754260,
  [SMALL_STATE(20070)] = 754274,
  [SMALL_STATE(20071)] = 754288,
  [SMALL_STATE(20072)] = 754302,
  [SMALL_STATE(20073)] = 754316,
  [SMALL_STATE(20074)] = 754330,
  [SMALL_STATE(20075)] = 754344,
  [SMALL_STATE(20076)] = 754358,
  [SMALL_STATE(20077)] = 754372,
  [SMALL_STATE(20078)] = 754386,
  [SMALL_STATE(20079)] = 754400,
  [SMALL_STATE(20080)] = 754414,
  [SMALL_STATE(20081)] = 754428,
  [SMALL_STATE(20082)] = 754442,
  [SMALL_STATE(20083)] = 754456,
  [SMALL_STATE(20084)] = 754470,
  [SMALL_STATE(20085)] = 754484,
  [SMALL_STATE(20086)] = 754498,
  [SMALL_STATE(20087)] = 754512,
  [SMALL_STATE(20088)] = 754526,
  [SMALL_STATE(20089)] = 754540,
  [SMALL_STATE(20090)] = 754554,
  [SMALL_STATE(20091)] = 754568,
  [SMALL_STATE(20092)] = 754582,
  [SMALL_STATE(20093)] = 754596,
  [SMALL_STATE(20094)] = 754610,
  [SMALL_STATE(20095)] = 754624,
  [SMALL_STATE(20096)] = 754638,
  [SMALL_STATE(20097)] = 754652,
  [SMALL_STATE(20098)] = 754666,
  [SMALL_STATE(20099)] = 754680,
  [SMALL_STATE(20100)] = 754694,
  [SMALL_STATE(20101)] = 754708,
  [SMALL_STATE(20102)] = 754722,
  [SMALL_STATE(20103)] = 754736,
  [SMALL_STATE(20104)] = 754750,
  [SMALL_STATE(20105)] = 754764,
  [SMALL_STATE(20106)] = 754778,
  [SMALL_STATE(20107)] = 754792,
  [SMALL_STATE(20108)] = 754806,
  [SMALL_STATE(20109)] = 754820,
  [SMALL_STATE(20110)] = 754834,
  [SMALL_STATE(20111)] = 754848,
  [SMALL_STATE(20112)] = 754862,
  [SMALL_STATE(20113)] = 754876,
  [SMALL_STATE(20114)] = 754890,
  [SMALL_STATE(20115)] = 754904,
  [SMALL_STATE(20116)] = 754918,
  [SMALL_STATE(20117)] = 754932,
  [SMALL_STATE(20118)] = 754946,
  [SMALL_STATE(20119)] = 754960,
  [SMALL_STATE(20120)] = 754974,
  [SMALL_STATE(20121)] = 754988,
  [SMALL_STATE(20122)] = 755002,
  [SMALL_STATE(20123)] = 755016,
  [SMALL_STATE(20124)] = 755030,
  [SMALL_STATE(20125)] = 755044,
  [SMALL_STATE(20126)] = 755058,
  [SMALL_STATE(20127)] = 755072,
  [SMALL_STATE(20128)] = 755086,
  [SMALL_STATE(20129)] = 755100,
  [SMALL_STATE(20130)] = 755114,
  [SMALL_STATE(20131)] = 755128,
  [SMALL_STATE(20132)] = 755142,
  [SMALL_STATE(20133)] = 755156,
  [SMALL_STATE(20134)] = 755170,
  [SMALL_STATE(20135)] = 755184,
  [SMALL_STATE(20136)] = 755198,
  [SMALL_STATE(20137)] = 755212,
  [SMALL_STATE(20138)] = 755226,
  [SMALL_STATE(20139)] = 755240,
  [SMALL_STATE(20140)] = 755254,
  [SMALL_STATE(20141)] = 755268,
  [SMALL_STATE(20142)] = 755282,
  [SMALL_STATE(20143)] = 755296,
  [SMALL_STATE(20144)] = 755310,
  [SMALL_STATE(20145)] = 755324,
  [SMALL_STATE(20146)] = 755338,
  [SMALL_STATE(20147)] = 755352,
  [SMALL_STATE(20148)] = 755366,
  [SMALL_STATE(20149)] = 755380,
  [SMALL_STATE(20150)] = 755394,
  [SMALL_STATE(20151)] = 755408,
  [SMALL_STATE(20152)] = 755422,
  [SMALL_STATE(20153)] = 755436,
  [SMALL_STATE(20154)] = 755450,
  [SMALL_STATE(20155)] = 755464,
  [SMALL_STATE(20156)] = 755478,
  [SMALL_STATE(20157)] = 755492,
  [SMALL_STATE(20158)] = 755506,
  [SMALL_STATE(20159)] = 755520,
  [SMALL_STATE(20160)] = 755534,
  [SMALL_STATE(20161)] = 755548,
  [SMALL_STATE(20162)] = 755562,
  [SMALL_STATE(20163)] = 755576,
  [SMALL_STATE(20164)] = 755590,
  [SMALL_STATE(20165)] = 755604,
  [SMALL_STATE(20166)] = 755618,
  [SMALL_STATE(20167)] = 755632,
  [SMALL_STATE(20168)] = 755646,
  [SMALL_STATE(20169)] = 755660,
  [SMALL_STATE(20170)] = 755674,
  [SMALL_STATE(20171)] = 755688,
  [SMALL_STATE(20172)] = 755702,
  [SMALL_STATE(20173)] = 755716,
  [SMALL_STATE(20174)] = 755730,
  [SMALL_STATE(20175)] = 755744,
  [SMALL_STATE(20176)] = 755758,
  [SMALL_STATE(20177)] = 755772,
  [SMALL_STATE(20178)] = 755786,
  [SMALL_STATE(20179)] = 755800,
  [SMALL_STATE(20180)] = 755814,
  [SMALL_STATE(20181)] = 755828,
  [SMALL_STATE(20182)] = 755842,
  [SMALL_STATE(20183)] = 755856,
  [SMALL_STATE(20184)] = 755870,
  [SMALL_STATE(20185)] = 755884,
  [SMALL_STATE(20186)] = 755898,
  [SMALL_STATE(20187)] = 755912,
  [SMALL_STATE(20188)] = 755926,
  [SMALL_STATE(20189)] = 755940,
  [SMALL_STATE(20190)] = 755954,
  [SMALL_STATE(20191)] = 755968,
  [SMALL_STATE(20192)] = 755982,
  [SMALL_STATE(20193)] = 755996,
  [SMALL_STATE(20194)] = 756010,
  [SMALL_STATE(20195)] = 756024,
  [SMALL_STATE(20196)] = 756038,
  [SMALL_STATE(20197)] = 756052,
  [SMALL_STATE(20198)] = 756066,
  [SMALL_STATE(20199)] = 756080,
  [SMALL_STATE(20200)] = 756094,
  [SMALL_STATE(20201)] = 756108,
  [SMALL_STATE(20202)] = 756122,
  [SMALL_STATE(20203)] = 756136,
  [SMALL_STATE(20204)] = 756150,
  [SMALL_STATE(20205)] = 756164,
  [SMALL_STATE(20206)] = 756178,
  [SMALL_STATE(20207)] = 756192,
  [SMALL_STATE(20208)] = 756206,
  [SMALL_STATE(20209)] = 756220,
  [SMALL_STATE(20210)] = 756234,
  [SMALL_STATE(20211)] = 756248,
  [SMALL_STATE(20212)] = 756262,
  [SMALL_STATE(20213)] = 756276,
  [SMALL_STATE(20214)] = 756290,
  [SMALL_STATE(20215)] = 756304,
  [SMALL_STATE(20216)] = 756318,
  [SMALL_STATE(20217)] = 756332,
  [SMALL_STATE(20218)] = 756346,
  [SMALL_STATE(20219)] = 756360,
  [SMALL_STATE(20220)] = 756374,
  [SMALL_STATE(20221)] = 756388,
  [SMALL_STATE(20222)] = 756402,
  [SMALL_STATE(20223)] = 756416,
  [SMALL_STATE(20224)] = 756430,
  [SMALL_STATE(20225)] = 756444,
  [SMALL_STATE(20226)] = 756458,
  [SMALL_STATE(20227)] = 756472,
  [SMALL_STATE(20228)] = 756486,
  [SMALL_STATE(20229)] = 756500,
  [SMALL_STATE(20230)] = 756514,
  [SMALL_STATE(20231)] = 756528,
  [SMALL_STATE(20232)] = 756542,
  [SMALL_STATE(20233)] = 756556,
  [SMALL_STATE(20234)] = 756570,
  [SMALL_STATE(20235)] = 756584,
  [SMALL_STATE(20236)] = 756598,
  [SMALL_STATE(20237)] = 756612,
  [SMALL_STATE(20238)] = 756626,
  [SMALL_STATE(20239)] = 756640,
  [SMALL_STATE(20240)] = 756654,
  [SMALL_STATE(20241)] = 756668,
  [SMALL_STATE(20242)] = 756682,
  [SMALL_STATE(20243)] = 756696,
  [SMALL_STATE(20244)] = 756710,
  [SMALL_STATE(20245)] = 756724,
  [SMALL_STATE(20246)] = 756738,
  [SMALL_STATE(20247)] = 756752,
  [SMALL_STATE(20248)] = 756766,
  [SMALL_STATE(20249)] = 756780,
  [SMALL_STATE(20250)] = 756794,
  [SMALL_STATE(20251)] = 756808,
  [SMALL_STATE(20252)] = 756822,
  [SMALL_STATE(20253)] = 756836,
  [SMALL_STATE(20254)] = 756850,
  [SMALL_STATE(20255)] = 756864,
  [SMALL_STATE(20256)] = 756878,
  [SMALL_STATE(20257)] = 756892,
  [SMALL_STATE(20258)] = 756906,
  [SMALL_STATE(20259)] = 756920,
  [SMALL_STATE(20260)] = 756934,
  [SMALL_STATE(20261)] = 756948,
  [SMALL_STATE(20262)] = 756962,
  [SMALL_STATE(20263)] = 756976,
  [SMALL_STATE(20264)] = 756990,
  [SMALL_STATE(20265)] = 757004,
  [SMALL_STATE(20266)] = 757018,
  [SMALL_STATE(20267)] = 757032,
  [SMALL_STATE(20268)] = 757046,
  [SMALL_STATE(20269)] = 757060,
  [SMALL_STATE(20270)] = 757074,
  [SMALL_STATE(20271)] = 757088,
  [SMALL_STATE(20272)] = 757102,
  [SMALL_STATE(20273)] = 757116,
  [SMALL_STATE(20274)] = 757130,
  [SMALL_STATE(20275)] = 757144,
  [SMALL_STATE(20276)] = 757158,
  [SMALL_STATE(20277)] = 757172,
  [SMALL_STATE(20278)] = 757186,
  [SMALL_STATE(20279)] = 757200,
  [SMALL_STATE(20280)] = 757214,
  [SMALL_STATE(20281)] = 757228,
  [SMALL_STATE(20282)] = 757242,
  [SMALL_STATE(20283)] = 757256,
  [SMALL_STATE(20284)] = 757270,
  [SMALL_STATE(20285)] = 757284,
  [SMALL_STATE(20286)] = 757298,
  [SMALL_STATE(20287)] = 757312,
  [SMALL_STATE(20288)] = 757326,
  [SMALL_STATE(20289)] = 757340,
  [SMALL_STATE(20290)] = 757354,
  [SMALL_STATE(20291)] = 757368,
  [SMALL_STATE(20292)] = 757382,
  [SMALL_STATE(20293)] = 757396,
  [SMALL_STATE(20294)] = 757410,
  [SMALL_STATE(20295)] = 757424,
  [SMALL_STATE(20296)] = 757438,
  [SMALL_STATE(20297)] = 757452,
  [SMALL_STATE(20298)] = 757466,
  [SMALL_STATE(20299)] = 757480,
  [SMALL_STATE(20300)] = 757494,
  [SMALL_STATE(20301)] = 757508,
  [SMALL_STATE(20302)] = 757522,
  [SMALL_STATE(20303)] = 757536,
  [SMALL_STATE(20304)] = 757550,
  [SMALL_STATE(20305)] = 757564,
  [SMALL_STATE(20306)] = 757578,
  [SMALL_STATE(20307)] = 757592,
  [SMALL_STATE(20308)] = 757606,
  [SMALL_STATE(20309)] = 757620,
  [SMALL_STATE(20310)] = 757634,
  [SMALL_STATE(20311)] = 757648,
  [SMALL_STATE(20312)] = 757662,
  [SMALL_STATE(20313)] = 757676,
  [SMALL_STATE(20314)] = 757690,
  [SMALL_STATE(20315)] = 757704,
  [SMALL_STATE(20316)] = 757718,
  [SMALL_STATE(20317)] = 757732,
  [SMALL_STATE(20318)] = 757746,
  [SMALL_STATE(20319)] = 757760,
  [SMALL_STATE(20320)] = 757774,
  [SMALL_STATE(20321)] = 757788,
  [SMALL_STATE(20322)] = 757802,
  [SMALL_STATE(20323)] = 757816,
  [SMALL_STATE(20324)] = 757830,
  [SMALL_STATE(20325)] = 757844,
  [SMALL_STATE(20326)] = 757858,
  [SMALL_STATE(20327)] = 757872,
  [SMALL_STATE(20328)] = 757886,
  [SMALL_STATE(20329)] = 757900,
  [SMALL_STATE(20330)] = 757914,
  [SMALL_STATE(20331)] = 757928,
  [SMALL_STATE(20332)] = 757942,
  [SMALL_STATE(20333)] = 757956,
  [SMALL_STATE(20334)] = 757970,
  [SMALL_STATE(20335)] = 757984,
  [SMALL_STATE(20336)] = 757998,
  [SMALL_STATE(20337)] = 758012,
  [SMALL_STATE(20338)] = 758026,
  [SMALL_STATE(20339)] = 758040,
  [SMALL_STATE(20340)] = 758054,
  [SMALL_STATE(20341)] = 758068,
  [SMALL_STATE(20342)] = 758082,
  [SMALL_STATE(20343)] = 758096,
  [SMALL_STATE(20344)] = 758110,
  [SMALL_STATE(20345)] = 758124,
  [SMALL_STATE(20346)] = 758138,
  [SMALL_STATE(20347)] = 758152,
  [SMALL_STATE(20348)] = 758166,
  [SMALL_STATE(20349)] = 758180,
  [SMALL_STATE(20350)] = 758194,
  [SMALL_STATE(20351)] = 758208,
  [SMALL_STATE(20352)] = 758212,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15214),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12324),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19164),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8434),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7726),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7614),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7958),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8981),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14914),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15214),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15949),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15415),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9118),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16865),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4014),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13862),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11792),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10520),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4433),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13209),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13417),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10953),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11097),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13470),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10255),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4745),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13943),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3790),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3770),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13998),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14230),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15193),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15221),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15802),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15067),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15194),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8194),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13172),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12197),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8194),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17311),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17366),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11037),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10545),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20352),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12663),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9977),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15600),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10642),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14642),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9322),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10168),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7140),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6615),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7118),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5945),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8784),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7510),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7956),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4925),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9237),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10428),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7207),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8989),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8492),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10645),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7003),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13638),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9866),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10972),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10350),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11644),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6242),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9365),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6295),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9924),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10992),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7050),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10190),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7457),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9318),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10512),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9670),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12999),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5866),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6406),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5627),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9490),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12624),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9548),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9053),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12771),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8933),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12953),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9726),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2914),
  [305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 27),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 2, 0, 27),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3245),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3142),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10376),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4823),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13716),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14068),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15710),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16251),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16197),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13270),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12170),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4560),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16989),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2935),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2937),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3208),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10301),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4837),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13785),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14114),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15734),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16263),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13278),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12202),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17064),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4107),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11743),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4217),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13287),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13450),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13519),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13065),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10299),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4796),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13816),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14086),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15164),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15997),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13229),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12112),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16547),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16877),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8811),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3311),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10289),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4798),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13869),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14101),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15286),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16039),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13118),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12346),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17329),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3197),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3130),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10259),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4815),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13950),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14107),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15694),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16243),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13266),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12136),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16926),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3671),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3199),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10388),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4728),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13776),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14263),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15728),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16260),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13277),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12199),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17055),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2667),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3706),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3212),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10185),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4839),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13792),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14146),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15738),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16265),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13279),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12206),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4422),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17075),
  [693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 4, 0, 0),
  [695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 1, 0, 0),
  [697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 3, 0, 0),
  [699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 3, 0, 0),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3325),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3116),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10320),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4814),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13894),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14182),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15676),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16231),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13263),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12327),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16686),
  [753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 1, 0, 0),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3358),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3903),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3153),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10188),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4824),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13732),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14118),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15714),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16253),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13272),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12178),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17009),
  [807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 4, 0, 0),
  [809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 2, 0, 0),
  [811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 2, 0, 0),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3823),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3963),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3037),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10241),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4799),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13903),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14224),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15438),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16108),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13241),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12154),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16673),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3820),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4073),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3134),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10306),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4816),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13970),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14144),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15704),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16248),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13267),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12165),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16956),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4648),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4774),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10304),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4838),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14036),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3777),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3791),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13989),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14184),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4766),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15706),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16249),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13268),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12166),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4776),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16967),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4821),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14032),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3756),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4753),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4888),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3010),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10399),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4822),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13842),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14233),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15242),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16019),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4889),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13231),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12235),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17172),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4797),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4966),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5136),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3189),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10374),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13769),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14170),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5111),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15722),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16257),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13276),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12195),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17047),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4879),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5008),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3074),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10263),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4803),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13966),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14136),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15535),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16155),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13249),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12283),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16750),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5104),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5296),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10268),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4804),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13987),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14177),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15555),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16161),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5302),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13250),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12303),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16938),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4995),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5118),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10191),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4769),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14033),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14270),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5105),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15957),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15895),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13193),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12221),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17345),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16197),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5448),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5592),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3179),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10330),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4840),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14035),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3718),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3722),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13761),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14087),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15720),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16256),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5593),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13275),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12191),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5594),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17038),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4827),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5523),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5754),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3064),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10176),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4829),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13947),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14100),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5724),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15518),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16146),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13246),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12268),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16603),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4802),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5722),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6050),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3170),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10275),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4826),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13747),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14129),
  [1433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5914),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15718),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16255),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13274),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12188),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6055),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17029),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20203),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11287),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18411),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8138),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18183),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18190),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18213),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18190),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18083),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11096),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18091),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18155),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4441),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6993),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20163),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11494),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19381),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20167),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4458),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7103),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20166),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11564),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19832),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17744),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7453),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20169),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11267),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20130),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19387),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7165),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7049),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20170),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11074),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19271),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19837),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7316),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20174),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11101),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18208),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20349),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20175),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11117),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18618),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17835),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20177),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11133),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19425),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18620),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20179),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11149),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20239),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19429),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7661),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20182),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11164),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18178),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19233),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7846),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20184),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11184),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19330),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18263),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6790),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20185),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11191),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20151),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17626),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6062),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6501),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10230),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4801),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13934),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14073),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15469),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16123),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13243),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12200),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6511),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17385),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6523),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20186),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11196),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17638),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19345),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4488),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6336),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20188),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11205),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17797),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17668),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20189),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11212),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18625),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19469),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5311),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20190),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11220),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19382),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17803),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5831),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20193),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11230),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17592),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19746),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6006),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9017),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20194),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11237),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18914),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20128),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9155),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6323),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20195),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11239),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20278),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17666),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20196),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11247),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18061),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20306),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9445),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20197),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11259),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18795),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18070),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9592),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6252),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20198),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11261),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19548),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18813),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6215),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6386),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20199),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11268),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17530),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19569),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6402),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20200),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11270),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17729),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17532),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20201),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11276),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18179),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17731),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7550),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20202),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11285),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18318),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17947),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7082),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20204),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11290),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18453),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18319),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20205),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11295),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18484),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18412),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5852),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6264),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3161),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10209),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4825),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13740),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14265),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15716),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16254),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13273),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12179),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17019),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20206),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11300),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18521),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18454),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6702),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20207),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11307),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18559),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18487),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6002),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20208),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11311),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18588),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18522),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5883),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20209),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11319),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18636),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18560),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6272),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20210),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11324),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18676),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18590),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6187),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20211),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11328),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18713),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18637),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20212),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11333),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18746),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18677),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20136),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11561),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18084),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18090),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20213),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11337),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18781),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18714),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20214),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11344),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18820),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18752),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20215),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11351),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18877),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18783),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20216),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11360),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18890),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18827),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5845),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6253),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [2317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10231),
  [2319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4831),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14031),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14264),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15659),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16221),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13257),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12284),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6300),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16395),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5920),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6516),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10224),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4832),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13901),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14219),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6572),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15664),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16223),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6528),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13258),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12156),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4352),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6529),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16451),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5962),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6240),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3110),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10258),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4834),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13819),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14115),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6576),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15670),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16227),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6243),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13260),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12110),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16561),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6035),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6370),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3113),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10192),
  [2475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4835),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [2481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [2483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [2485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13858),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14055),
  [2491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15673),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16229),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13262),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12250),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6374),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16618),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12008),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20121),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18381),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4467),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20160),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11388),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17736),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18430),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4805),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4808),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4806),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4810),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6155),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6934),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10400),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4807),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13937),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14080),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6676),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16356),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15936),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6936),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13206),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12080),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6889),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17323),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [2655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [2657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [2665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6156),
  [2667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [2673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6808),
  [2675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2959),
  [2677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10214),
  [2679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4809),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [2683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [2685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [2687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14024),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14246),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6940),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14989),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15944),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13210),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12300),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16688),
  [2717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6113),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [2725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7077),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2969),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10345),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4811),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13905),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14232),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6935),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15019),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15954),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7100),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13211),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12086),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17198),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6502),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6836),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10325),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4813),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13721),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14133),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15091),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15971),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7108),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13218),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12077),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17460),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4772),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [2831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6319),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6838),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3045),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10367),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4800),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13919),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14043),
  [2865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6941),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15453),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16115),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13242),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12177),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7155),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17189),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4794),
  [2891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [2897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [2901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [2903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4783),
  [2905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [2909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4773),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [2929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [2931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4791),
  [2933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [2939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [2943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7453),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5743),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6993),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6252),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6060),
  [2953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7049),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3314),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5597),
  [2959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7661),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6386),
  [2963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5032),
  [2965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5140),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5200),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4280),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3678),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3837),
  [2975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3250),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3271),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5311),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7412),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3714),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3989),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4258),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4779),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6586),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6523),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6002),
  [2997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6323),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5831),
  [3001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3604),
  [3003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7103),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3909),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4894),
  [3009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12008),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9445),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4080),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7316),
  [3017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9017),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7006),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6729),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6272),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6790),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6984),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10305),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8125),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12267),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15710),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16251),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15164),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15997),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15694),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16243),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15714),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16253),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15706),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16249),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15221),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15802),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15728),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16260),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3242),
  [3067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [3069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16516),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13162),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17773),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15242),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16019),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15734),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16263),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15286),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16039),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15704),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16248),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15738),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16265),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3132),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16810),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13148),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19805),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15676),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16231),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15438),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16108),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6360),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9295),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10229),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6024),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4415),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9020),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5234),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3650),
  [3149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16580),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13166),
  [3153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17988),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [3157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8133),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [3163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3463),
  [3165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17290),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13139),
  [3169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20019),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [3175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3636),
  [3177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16466),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13158),
  [3181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17576),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5841),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7760),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7321),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6574),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6277),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7679),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8122),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9513),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3287),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17358),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13208),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17948),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3746),
  [3253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16475),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13131),
  [3257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19538),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [3261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3827),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17157),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13153),
  [3267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18160),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6989),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9568),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9569),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9587),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9589),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9595),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9597),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6345),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6776),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6825),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6145),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5204),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6221),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6233),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7291),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7294),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7344),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6350),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6358),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7800),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7173),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7181),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6393),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6397),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6417),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5972),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7843),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6000),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6003),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7526),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5176),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7544),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6010),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7554),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7556),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [3443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_application_expression, 2, 0, 26),
  [3445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_application_expression, 2, 0, 26),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6619),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6877),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5729),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7035),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7852),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6617),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6657),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5771),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5785),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [3497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3132),
  [3500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43),
  [3502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43),
  [3504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16810),
  [3507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(193),
  [3510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1659),
  [3513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3245),
  [3516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3142),
  [3519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10376),
  [3522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1660),
  [3525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13716),
  [3528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14068),
  [3531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(261),
  [3534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3021),
  [3537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15710),
  [3540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16251),
  [3543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3246),
  [3546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13270),
  [3549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12170),
  [3552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4186),
  [3555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3247),
  [3558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16989),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9064),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9065),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7026),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6955),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9144),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9147),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9160),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9175),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6996),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6998),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4730),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4739),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6982),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6689),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6979),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4936),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5021),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [3667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4118),
  [3669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16505),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13140),
  [3673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17915),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6553),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6857),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6051),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6052),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6103),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6562),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5811),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7250),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7124),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7268),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6521),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [3751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4138),
  [3753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16584),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13225),
  [3757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18986),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [3763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3242),
  [3766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16516),
  [3769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(211),
  [3772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1505),
  [3775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2937),
  [3778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3208),
  [3781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10301),
  [3784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1506),
  [3787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13785),
  [3790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14114),
  [3793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(262),
  [3796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3151),
  [3799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15734),
  [3802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16263),
  [3805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3267),
  [3808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13278),
  [3811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12202),
  [3814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4346),
  [3817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3268),
  [3820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17064),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7276),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6200),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6579),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6581),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5918),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6047),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6607),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6384),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6224),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6322),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6227),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5584),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7070),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4432),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5195),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6331),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7009),
  [3923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4366),
  [3925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16759),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13236),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17950),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [3933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4303),
  [3935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16389),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13188),
  [3939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19450),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4393),
  [3943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3287),
  [3946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17358),
  [3949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(147),
  [3952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1699),
  [3955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3311),
  [3958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3019),
  [3961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10289),
  [3964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1704),
  [3967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13869),
  [3970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14101),
  [3973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(250),
  [3976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3293),
  [3979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15286),
  [3982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16039),
  [3985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3312),
  [3988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13118),
  [3991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12346),
  [3994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4218),
  [3997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3305),
  [4000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17329),
  [4003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3463),
  [4006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17290),
  [4009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(131),
  [4012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1602),
  [4015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3597),
  [4018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3130),
  [4021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10259),
  [4024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1603),
  [4027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13950),
  [4030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14107),
  [4033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(277),
  [4036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3361),
  [4039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15694),
  [4042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16243),
  [4045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3598),
  [4048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13266),
  [4051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12136),
  [4054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4360),
  [4057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3599),
  [4060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16926),
  [4063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3636),
  [4066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16466),
  [4069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(209),
  [4072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1752),
  [4075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3671),
  [4078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3199),
  [4081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10388),
  [4084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1753),
  [4087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13776),
  [4090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14263),
  [4093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(259),
  [4096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3475),
  [4099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15728),
  [4102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16260),
  [4105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3672),
  [4108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13277),
  [4111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12199),
  [4114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4251),
  [4117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3674),
  [4120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17055),
  [4123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3650),
  [4126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16580),
  [4129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(213),
  [4132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1516),
  [4135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3706),
  [4138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3212),
  [4141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10185),
  [4144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1517),
  [4147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13792),
  [4150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14146),
  [4153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(265),
  [4156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3517),
  [4159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15738),
  [4162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16265),
  [4165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3707),
  [4168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13279),
  [4171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12206),
  [4174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4422),
  [4177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3708),
  [4180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17075),
  [4183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3746),
  [4186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16475),
  [4189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(179),
  [4192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1560),
  [4195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3832),
  [4198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3116),
  [4201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10320),
  [4204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1561),
  [4207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13894),
  [4210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14182),
  [4213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(260),
  [4216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3831),
  [4219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15676),
  [4222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16231),
  [4225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3833),
  [4228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13263),
  [4231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12327),
  [4234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4406),
  [4237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3834),
  [4240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16686),
  [4243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3827),
  [4246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17157),
  [4249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(197),
  [4252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1685),
  [4255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3903),
  [4258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3153),
  [4261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10188),
  [4264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1686),
  [4267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13732),
  [4270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14118),
  [4273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(279),
  [4276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3755),
  [4279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15714),
  [4282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16253),
  [4285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3904),
  [4288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13272),
  [4291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12178),
  [4294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4270),
  [4297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3905),
  [4300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17009),
  [4303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4138),
  [4306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16584),
  [4309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(152),
  [4312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1710),
  [4315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3963),
  [4318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3037),
  [4321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10241),
  [4324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1717),
  [4327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13903),
  [4330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14224),
  [4333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(266),
  [4336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4049),
  [4339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15438),
  [4342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16108),
  [4345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3972),
  [4348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13241),
  [4351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12154),
  [4354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4434),
  [4357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3981),
  [4360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16673),
  [4363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4118),
  [4366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16505),
  [4369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(186),
  [4372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1614),
  [4375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4073),
  [4378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3134),
  [4381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10306),
  [4384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1615),
  [4387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13970),
  [4390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14144),
  [4393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(284),
  [4396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4019),
  [4399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15704),
  [4402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16248),
  [4405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4074),
  [4408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13267),
  [4411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12165),
  [4414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4220),
  [4417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4076),
  [4420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16956),
  [4423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4366),
  [4426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16759),
  [4429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(132),
  [4432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1604),
  [4435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4433),
  [4438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3020),
  [4441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10255),
  [4444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1571),
  [4447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13998),
  [4450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14230),
  [4453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(267),
  [4456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4374),
  [4459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15221),
  [4462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15802),
  [4465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4311),
  [4468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13172),
  [4471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12197),
  [4474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4341),
  [4477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4302),
  [4480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17366),
  [4483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4303),
  [4486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16389),
  [4489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(143),
  [4492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1747),
  [4495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4217),
  [4498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3000),
  [4501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10299),
  [4504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1748),
  [4507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13816),
  [4510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14086),
  [4513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(258),
  [4516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4397),
  [4519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15164),
  [4522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15997),
  [4525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4222),
  [4528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13229),
  [4531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12112),
  [4534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4157),
  [4537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4385),
  [4540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16877),
  [4543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4744),
  [4545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16659),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13145),
  [4549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19090),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [4553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4913),
  [4555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17267),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13194),
  [4559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19879),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [4563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5041),
  [4565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17034),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13284),
  [4569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18678),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [4573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5254),
  [4575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16702),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13126),
  [4579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17645),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [4583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5116),
  [4585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16419),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13157),
  [4589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19815),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [4593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4744),
  [4596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16659),
  [4599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(188),
  [4602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1628),
  [4605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4774),
  [4608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3136),
  [4611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10304),
  [4614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1629),
  [4617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13989),
  [4620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14184),
  [4623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(268),
  [4626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4766),
  [4629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15706),
  [4632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16249),
  [4635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4775),
  [4638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13268),
  [4641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12166),
  [4644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4334),
  [4647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4776),
  [4650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16967),
  [4653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5276),
  [4655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17202),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13291),
  [4659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19205),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [4663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4913),
  [4666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17267),
  [4669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(145),
  [4672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1694),
  [4675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4888),
  [4678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3010),
  [4681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10399),
  [4684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1697),
  [4687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13842),
  [4690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14233),
  [4693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(281),
  [4696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4887),
  [4699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15242),
  [4702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16019),
  [4705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4889),
  [4708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13231),
  [4711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12235),
  [4714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4437),
  [4717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4862),
  [4720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17172),
  [4723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5041),
  [4726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17034),
  [4729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(161),
  [4732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1656),
  [4735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5008),
  [4738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3074),
  [4741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10263),
  [4744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1657),
  [4747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13966),
  [4750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14136),
  [4753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(254),
  [4756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5016),
  [4759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15535),
  [4762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16155),
  [4765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5010),
  [4768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13249),
  [4771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12283),
  [4774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4264),
  [4777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5015),
  [4780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16750),
  [4783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5116),
  [4786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16419),
  [4789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(207),
  [4792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1738),
  [4795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5136),
  [4798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3189),
  [4801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10374),
  [4804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1739),
  [4807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13769),
  [4810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14170),
  [4813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(255),
  [4816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5111),
  [4819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15722),
  [4822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16257),
  [4825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5138),
  [4828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13276),
  [4831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12195),
  [4834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4181),
  [4837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5150),
  [4840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17047),
  [4843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5551),
  [4845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17429),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13156),
  [4849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18963),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [4853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5254),
  [4856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16702),
  [4859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(206),
  [4862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1531),
  [4865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5118),
  [4868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3008),
  [4871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10191),
  [4874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1535),
  [4877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14033),
  [4880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14270),
  [4883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(257),
  [4886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5105),
  [4889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15957),
  [4892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15895),
  [4895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5122),
  [4898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13193),
  [4901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12221),
  [4904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4327),
  [4907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5135),
  [4910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17345),
  [4913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10234),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [4919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17390),
  [4921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [4923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11832),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20191),
  [4927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13372),
  [4929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2913),
  [4931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14406),
  [4933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14699),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19739),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [4939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2929),
  [4941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20346),
  [4943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5079),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11862),
  [4947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17315),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13190),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12083),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18811),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8291),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16773),
  [4959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5515),
  [4961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 0),
  [4963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 0),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [4967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4563),
  [4969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5271),
  [4971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13645),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14578),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [4977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4503),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20231),
  [4981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15795),
  [4983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15877),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20242),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13173),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12326),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17442),
  [4997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5276),
  [5000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17202),
  [5003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(163),
  [5006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1740),
  [5009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5296),
  [5012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3083),
  [5015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10268),
  [5018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1741),
  [5021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13987),
  [5024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14177),
  [5027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(263),
  [5030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5315),
  [5033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15555),
  [5036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16161),
  [5039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5302),
  [5042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13250),
  [5045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12303),
  [5048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4253),
  [5051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5281),
  [5054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16938),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8720),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20183),
  [5061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14367),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17612),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17867),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9991),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20150),
  [5071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14594),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20138),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20132),
  [5077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5799),
  [5079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16917),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13261),
  [5083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18267),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7738),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20180),
  [5091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14328),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19227),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19792),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13526),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20172),
  [5101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14713),
  [5103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20334),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17724),
  [5107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14305),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18336),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7924),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20187),
  [5115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14383),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19460),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20222),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20176),
  [5125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14935),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19171),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18214),
  [5131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5403),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [5135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4561),
  [5137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5347),
  [5139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13402),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14349),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [5145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4504),
  [5147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19821),
  [5149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15366),
  [5151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16069),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19370),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13237),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12059),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17309),
  [5165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5553),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [5169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4538),
  [5171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5486),
  [5173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13383),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14282),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [5179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4478),
  [5181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17703),
  [5183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15263),
  [5185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16028),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20083),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13233),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12292),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17252),
  [5199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5642),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [5203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4537),
  [5205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5501),
  [5207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13412),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14340),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4540),
  [5213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4450),
  [5215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20318),
  [5217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15641),
  [5219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16208),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [5223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18904),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13253),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12361),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17322),
  [5233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5864),
  [5235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17342),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13155),
  [5239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18193),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [5243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6473),
  [5245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17273),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13154),
  [5249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17545),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [5253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6522),
  [5255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17350),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13122),
  [5259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20276),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [5263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6159),
  [5265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17432),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13124),
  [5269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18111),
  [5271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4429),
  [5273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6210),
  [5275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16490),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13127),
  [5279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17728),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [5283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6394),
  [5285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16915),
  [5287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13130),
  [5289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17879),
  [5291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20312),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17941),
  [5297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17722),
  [5299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5551),
  [5302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17429),
  [5305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(204),
  [5308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1726),
  [5311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5592),
  [5314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3179),
  [5317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10330),
  [5320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1727),
  [5323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13761),
  [5326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14087),
  [5329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(251),
  [5332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5663),
  [5335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15720),
  [5338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16256),
  [5341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5593),
  [5344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13275),
  [5347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12191),
  [5350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4343),
  [5353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5594),
  [5356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17038),
  [5359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6136),
  [5361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16799),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13248),
  [5365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17877),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [5369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10052),
  [5371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 1, 0, 12),
  [5373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 1, 0, 12),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8616),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15204),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [5387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [5389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10094),
  [5391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7672),
  [5393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13532),
  [5395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14957),
  [5397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14836),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [5401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [5403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18259),
  [5405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15490),
  [5407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16279),
  [5409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15922),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10096),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18290),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13200),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12294),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8295),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17258),
  [5423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7147),
  [5425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17444),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13132),
  [5429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20317),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [5433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6611),
  [5435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16697),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13235),
  [5439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17523),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [5443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6960),
  [5445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16444),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13247),
  [5449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18272),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [5453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5799),
  [5456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16917),
  [5459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(159),
  [5462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1587),
  [5465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5754),
  [5468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3064),
  [5471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10176),
  [5474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1591),
  [5477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13947),
  [5480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14100),
  [5483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(245),
  [5486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5724),
  [5489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15518),
  [5492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16146),
  [5495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5718),
  [5498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13246),
  [5501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12268),
  [5504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4376),
  [5507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5720),
  [5510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16603),
  [5513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6621),
  [5515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16455),
  [5517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13160),
  [5519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17577),
  [5521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [5523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6972),
  [5525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16908),
  [5527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13125),
  [5529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20310),
  [5531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [5533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8705),
  [5535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [5537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [5539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [5541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14854),
  [5543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [5545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5968),
  [5547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_expression, 1, 0, 0),
  [5549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_expression, 1, 0, 0),
  [5551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16418),
  [5553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [5555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [5557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5812),
  [5559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3089),
  [5561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10323),
  [5563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [5565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14001),
  [5567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14210),
  [5569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [5571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [5573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15647),
  [5575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16215),
  [5577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [5579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13255),
  [5581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12378),
  [5583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [5585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5821),
  [5587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17401),
  [5589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_application, 2, 0, 58),
  [5591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_application, 2, 0, 58),
  [5593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5885),
  [5595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17457),
  [5597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [5599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [5601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5985),
  [5603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3147),
  [5605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10265),
  [5607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [5609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13725),
  [5611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14122),
  [5613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [5615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [5617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15712),
  [5619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16252),
  [5621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5986),
  [5623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13271),
  [5625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12171),
  [5627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [5629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5990),
  [5631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17003),
  [5633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [5635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [5637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [5639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [5641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14923),
  [5643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [5645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5885),
  [5648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17457),
  [5651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(195),
  [5654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1672),
  [5657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5985),
  [5660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3147),
  [5663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10265),
  [5666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1673),
  [5669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13725),
  [5672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14122),
  [5675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(273),
  [5678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6015),
  [5681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15712),
  [5684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16252),
  [5687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5986),
  [5690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13271),
  [5693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12171),
  [5696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4202),
  [5699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5990),
  [5702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17003),
  [5705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8700),
  [5707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [5709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [5711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [5713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14556),
  [5715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [5717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5968),
  [5720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16418),
  [5723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(165),
  [5726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1557),
  [5729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5812),
  [5732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3089),
  [5735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10323),
  [5738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1562),
  [5741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14001),
  [5744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14210),
  [5747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(275),
  [5750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5960),
  [5753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15647),
  [5756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16215),
  [5759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5819),
  [5762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13255),
  [5765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12378),
  [5768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4301),
  [5771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5821),
  [5774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17401),
  [5777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5864),
  [5780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17342),
  [5783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(202),
  [5786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1715),
  [5789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6050),
  [5792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3170),
  [5795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10275),
  [5798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1716),
  [5801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13747),
  [5804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14129),
  [5807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(248),
  [5810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5914),
  [5813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15718),
  [5816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16255),
  [5819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6054),
  [5822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13274),
  [5825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12188),
  [5828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4420),
  [5831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6055),
  [5834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17029),
  [5837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6473),
  [5840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17273),
  [5843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(200),
  [5846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1700),
  [5849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6264),
  [5852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3161),
  [5855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10209),
  [5858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1701),
  [5861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13740),
  [5864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14265),
  [5867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(290),
  [5870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6494),
  [5873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15716),
  [5876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16254),
  [5879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6265),
  [5882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13273),
  [5885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12179),
  [5888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4351),
  [5891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6266),
  [5894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17019),
  [5897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6136),
  [5900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16799),
  [5903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(157),
  [5906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1725),
  [5909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6501),
  [5912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3055),
  [5915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10230),
  [5918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1732),
  [5921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13934),
  [5924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14073),
  [5927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(272),
  [5930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6185),
  [5933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15469),
  [5936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16123),
  [5939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6507),
  [5942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13243),
  [5945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12200),
  [5948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4182),
  [5951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6511),
  [5954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17385),
  [5957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6522),
  [5960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17350),
  [5963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(169),
  [5966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1658),
  [5969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6253),
  [5972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3097),
  [5975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10231),
  [5978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1661),
  [5981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14031),
  [5984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14264),
  [5987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(274),
  [5990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6530),
  [5993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15659),
  [5996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16221),
  [5999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6289),
  [6002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13257),
  [6005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12284),
  [6008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4194),
  [6011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6300),
  [6014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16395),
  [6017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6159),
  [6020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17432),
  [6023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(171),
  [6026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1713),
  [6029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6516),
  [6032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3102),
  [6035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10224),
  [6038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1714),
  [6041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13901),
  [6044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14219),
  [6047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(270),
  [6050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6572),
  [6053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15664),
  [6056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16223),
  [6059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6528),
  [6062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13258),
  [6065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12156),
  [6068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4352),
  [6071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6529),
  [6074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16451),
  [6077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6210),
  [6080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16490),
  [6083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(175),
  [6086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1528),
  [6089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6240),
  [6092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3110),
  [6095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10258),
  [6098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1529),
  [6101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13819),
  [6104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14115),
  [6107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(247),
  [6110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6576),
  [6113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15670),
  [6116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16227),
  [6119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6243),
  [6122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13260),
  [6125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12110),
  [6128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4344),
  [6131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6244),
  [6134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16561),
  [6137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6394),
  [6140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16915),
  [6143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(177),
  [6146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1546),
  [6149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6370),
  [6152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3113),
  [6155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10192),
  [6158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1547),
  [6161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13858),
  [6164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14055),
  [6167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(253),
  [6170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6316),
  [6173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15673),
  [6176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16229),
  [6179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6371),
  [6182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13262),
  [6185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12250),
  [6188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4267),
  [6191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6374),
  [6194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16618),
  [6197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6611),
  [6200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16697),
  [6203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(154),
  [6206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1618),
  [6209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6838),
  [6212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3045),
  [6215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10367),
  [6218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1619),
  [6221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13919),
  [6224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14043),
  [6227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(291),
  [6230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6941),
  [6233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15453),
  [6236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16115),
  [6239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6915),
  [6242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13242),
  [6245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12177),
  [6248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4176),
  [6251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7155),
  [6254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17189),
  [6257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7147),
  [6260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17444),
  [6263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(135),
  [6266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1575),
  [6269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7077),
  [6272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2969),
  [6275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10345),
  [6278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1576),
  [6281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13905),
  [6284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14232),
  [6287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(278),
  [6290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6935),
  [6293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15019),
  [6296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15954),
  [6299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7100),
  [6302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13211),
  [6305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12086),
  [6308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4290),
  [6311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7120),
  [6314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17198),
  [6317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6758),
  [6319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17271),
  [6321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [6323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [6325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6965),
  [6327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3127),
  [6329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10383),
  [6331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [6333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13932),
  [6335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14067),
  [6337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [6339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [6341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15596),
  [6343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16186),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [6347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13265),
  [6349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12087),
  [6351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [6355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16886),
  [6357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6758),
  [6360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17271),
  [6363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(183),
  [6366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1589),
  [6369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6965),
  [6372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3127),
  [6375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10383),
  [6378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1590),
  [6381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13932),
  [6384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14067),
  [6387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(292),
  [6390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6887),
  [6393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15596),
  [6396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16186),
  [6399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6968),
  [6402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13265),
  [6405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12087),
  [6408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4263),
  [6411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6969),
  [6414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16886),
  [6417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6972),
  [6420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16908),
  [6423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(133),
  [6426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1679),
  [6429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6808),
  [6432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2959),
  [6435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10214),
  [6438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1689),
  [6441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14024),
  [6444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14246),
  [6447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(246),
  [6450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6940),
  [6453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14989),
  [6456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15944),
  [6459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6845),
  [6462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13210),
  [6465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12300),
  [6468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4370),
  [6471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7110),
  [6474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16688),
  [6477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6621),
  [6480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16455),
  [6483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(139),
  [6486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1632),
  [6489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6836),
  [6492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2984),
  [6495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10325),
  [6498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1633),
  [6501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13721),
  [6504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14133),
  [6507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(249),
  [6510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6827),
  [6513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15091),
  [6516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15971),
  [6519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7108),
  [6522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13218),
  [6525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12077),
  [6528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4401),
  [6531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6739),
  [6534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17460),
  [6537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7005),
  [6539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16789),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [6543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [6545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6704),
  [6547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3140),
  [6549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10368),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [6553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14030),
  [6555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14262),
  [6557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [6559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7126),
  [6561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15685),
  [6563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16237),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6706),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13269),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12168),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16980),
  [6577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7005),
  [6580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16789),
  [6583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(191),
  [6586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1645),
  [6589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6704),
  [6592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3140),
  [6595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10368),
  [6598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1646),
  [6601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14030),
  [6604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14262),
  [6607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(288),
  [6610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7126),
  [6613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15685),
  [6616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16237),
  [6619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6706),
  [6622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13269),
  [6625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12168),
  [6628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4167),
  [6631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6709),
  [6634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16980),
  [6637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6960),
  [6640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16444),
  [6643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(223),
  [6646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1616),
  [6649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6934),
  [6652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2945),
  [6655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10400),
  [6658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1617),
  [6661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13937),
  [6664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14080),
  [6667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(287),
  [6670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6676),
  [6673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16356),
  [6676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15936),
  [6679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6936),
  [6682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13206),
  [6685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12080),
  [6688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4243),
  [6691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6889),
  [6694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17323),
  [6697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10272),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [6703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4572),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20192),
  [6707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13529),
  [6709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14419),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20123),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4516),
  [6715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4465),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19391),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20178),
  [6723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14303),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19789),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19173),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20100),
  [6733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14839),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18004),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18379),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5357),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20181),
  [6743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14350),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17755),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20243),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20173),
  [6753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14810),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17828),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18916),
  [6759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7415),
  [6761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 37),
  [6763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 37),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9479),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15131),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [6771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2964),
  [6773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7403),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7690),
  [6777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13421),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14910),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [6783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18903),
  [6785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16026),
  [6787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15628),
  [6789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16201),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [6793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17698),
  [6795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13251),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12335),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7225),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17234),
  [6803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 104),
  [6805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 104),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9494),
  [6809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7502),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9435),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15057),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [6817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3162),
  [6819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7456),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [6823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13693),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14399),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [6829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20082),
  [6831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15186),
  [6833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16004),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20228),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13230),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12174),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16996),
  [6847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7950),
  [6849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16796),
  [6851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [6853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [6855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7655),
  [6857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3030),
  [6859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10247),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [6863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13891),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14271),
  [6867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [6869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [6871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15217),
  [6873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16013),
  [6875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7656),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13238),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12101),
  [6881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7658),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16526),
  [6887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 104),
  [6889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 104),
  [6891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9496),
  [6893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 1, 0, 22),
  [6895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 1, 0, 22),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9399),
  [6899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 75),
  [6901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 75),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9487),
  [6905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 92),
  [6907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 92),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9400),
  [6911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 75),
  [6913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 75),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9489),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9381),
  [6919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 37),
  [6921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 37),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9453),
  [6925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 22),
  [6927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 22),
  [6929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9443),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9539),
  [6933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 92),
  [6935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 92),
  [6937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9541),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9506),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9546),
  [6943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9398),
  [6945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7950),
  [6948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16796),
  [6951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(150),
  [6954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1543),
  [6957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7655),
  [6960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3030),
  [6963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10247),
  [6966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1548),
  [6969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13891),
  [6972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14271),
  [6975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(252),
  [6978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7789),
  [6981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15217),
  [6984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16013),
  [6987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7656),
  [6990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13238),
  [6993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12101),
  [6996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4294),
  [6999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7658),
  [7002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16526),
  [7005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9491),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9640),
  [7009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9442),
  [7011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9493),
  [7013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [7015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [7017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14699),
  [7021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17746),
  [7023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7895),
  [7025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9408),
  [7027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15773),
  [7029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [7031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [7033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7688),
  [7035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7889),
  [7037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13384),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14544),
  [7041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [7043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19366),
  [7045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15336),
  [7047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16054),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17704),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13234),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12400),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7612),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17417),
  [7061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7940),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9522),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16308),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [7069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [7071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7919),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7952),
  [7075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13413),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14707),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [7081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17696),
  [7083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15484),
  [7085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16129),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7921),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19099),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13245),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12226),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16463),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9451),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9446),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9515),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9475),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9385),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9454),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9467),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9471),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9653),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9521),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9397),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9464),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9527),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9474),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9384),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9502),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9534),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9530),
  [7135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7415),
  [7138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0),
  [7140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0),
  [7142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15131),
  [7145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2424),
  [7148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2964),
  [7151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7403),
  [7154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13421),
  [7157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14910),
  [7160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2973),
  [7163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18903),
  [7166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15628),
  [7169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16201),
  [7172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7404),
  [7175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17698),
  [7178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13251),
  [7181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12335),
  [7184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7225),
  [7187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17234),
  [7190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7502),
  [7193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15057),
  [7196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2436),
  [7199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3162),
  [7202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7456),
  [7205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13693),
  [7208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14399),
  [7211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3234),
  [7214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20082),
  [7217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15186),
  [7220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16004),
  [7223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7345),
  [7226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20228),
  [7229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13230),
  [7232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12174),
  [7235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7339),
  [7238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16996),
  [7241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2934),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14731),
  [7245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2898),
  [7247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4949),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15889),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15742),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17746),
  [7255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8778),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [7259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4513),
  [7261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8637),
  [7263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13692),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14895),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4519),
  [7269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4485),
  [7271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20226),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15114),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15980),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8638),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20118),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13224),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12185),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8364),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16656),
  [7289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7940),
  [7292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16308),
  [7295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2435),
  [7298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3017),
  [7301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7919),
  [7304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13413),
  [7307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14707),
  [7310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3028),
  [7313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17696),
  [7316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15484),
  [7319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16129),
  [7322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7921),
  [7325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19099),
  [7328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13245),
  [7331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12226),
  [7334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7630),
  [7337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16463),
  [7340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13972),
  [7342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [7344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [7346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13505),
  [7348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13654),
  [7350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2910),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14531),
  [7354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [7356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2916),
  [7358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20116),
  [7360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4956),
  [7362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15514),
  [7364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15842),
  [7366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13508),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18072),
  [7370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13223),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12339),
  [7374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8943),
  [7376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16555),
  [7378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7895),
  [7381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15773),
  [7384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2431),
  [7387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3023),
  [7390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7688),
  [7393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13384),
  [7396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14544),
  [7399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3025),
  [7402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19366),
  [7405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15336),
  [7408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16054),
  [7411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7703),
  [7414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17704),
  [7417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13234),
  [7420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12400),
  [7423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7612),
  [7426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17417),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [7431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [7433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14984),
  [7435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8449),
  [7437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [7439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15380),
  [7441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [7443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2951),
  [7445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8710),
  [7447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7946),
  [7449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13403),
  [7451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 59),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14541),
  [7455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [7457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18646),
  [7459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 59),
  [7461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15419),
  [7463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16103),
  [7465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8711),
  [7467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19822),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13239),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12129),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8396),
  [7475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17439),
  [7477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [7479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [7481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [7483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [7485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [7487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 59),
  [7489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 59),
  [7491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [7495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 79),
  [7497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 79),
  [7499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [7501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 39),
  [7503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 39),
  [7505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [7521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 79),
  [7523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 79),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [7557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [7559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [7565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 2, 0, 39),
  [7567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 2, 0, 39),
  [7569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4530),
  [7571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13293),
  [7573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13850),
  [7575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10861),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15044),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8694),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [7587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14770),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15561),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16279),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15922),
  [7597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4514),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15795),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15877),
  [7603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4539),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15366),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16069),
  [7609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9059),
  [7611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16491),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [7615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [7617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9008),
  [7619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3093),
  [7621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10362),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [7625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14020),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14239),
  [7629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [7631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9045),
  [7633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15409),
  [7635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16095),
  [7637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9009),
  [7639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13256),
  [7641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12193),
  [7643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [7645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16469),
  [7649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12324),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12691),
  [7653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11835),
  [7655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 1, 0, 0),
  [7657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13280),
  [7659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13702),
  [7661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10855),
  [7663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9970),
  [7665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13697),
  [7667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13825),
  [7669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15949),
  [7671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15415),
  [7673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(9059),
  [7676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16491),
  [7679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(167),
  [7682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1612),
  [7685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(9008),
  [7688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3093),
  [7691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10362),
  [7694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1613),
  [7697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14020),
  [7700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14239),
  [7703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(286),
  [7706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(9045),
  [7709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15409),
  [7712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16095),
  [7715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(9009),
  [7718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13256),
  [7721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12193),
  [7724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4232),
  [7727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(8008),
  [7730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16469),
  [7733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_get_expression, 3, 0, 0),
  [7735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_get_expression, 3, 0, 0),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10037),
  [7739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12848),
  [7741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [7743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [7745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7976),
  [7749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_get_expression, 5, 0, 0),
  [7751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_get_expression, 5, 0, 0),
  [7753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_get_expression, 5, 0, 0),
  [7755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_get_expression, 5, 0, 0),
  [7757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigarray_get_expression, 5, 0, 0),
  [7759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigarray_get_expression, 5, 0, 0),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13712),
  [7763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_get_expression, 6, 0, 0),
  [7765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_get_expression, 6, 0, 0),
  [7767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_get_expression, 6, 0, 0),
  [7769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_get_expression, 6, 0, 0),
  [7771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigarray_get_expression, 6, 0, 0),
  [7773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigarray_get_expression, 6, 0, 0),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [7777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value_name, 1, 0, 4),
  [7779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value_name, 1, 0, 4),
  [7781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__instance_variable_name, 1, 0, 5),
  [7783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7699),
  [7787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_path, 1, 0, 19),
  [7789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 1, 0, 19),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [7793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8449),
  [7796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15380),
  [7799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2427),
  [7802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2951),
  [7805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8710),
  [7808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13403),
  [7811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14541),
  [7814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3078),
  [7817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18646),
  [7820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15419),
  [7823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16103),
  [7826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8711),
  [7829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19822),
  [7832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13239),
  [7835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12129),
  [7838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8396),
  [7841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17439),
  [7844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_path, 3, 0, 52),
  [7846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 3, 0, 52),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [7850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [7852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [7854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13710),
  [7856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13670),
  [7858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4495),
  [7860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13319),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [7864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [7866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3218),
  [7868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10312),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [7872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13868),
  [7874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14092),
  [7876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7246),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6623),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17186),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13165),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12833),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7970),
  [7894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7973),
  [7896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7423),
  [7898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9986),
  [7900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [7902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [7904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10022),
  [7906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7424),
  [7908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9964),
  [7910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10033),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7830),
  [7914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7652),
  [7916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13758),
  [7918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_extension, 5, 0, 0),
  [7920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_extension, 5, 0, 0),
  [7922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [7924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13760),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12918),
  [7928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12875),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7954),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7927),
  [7934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag, 2, 0, 0),
  [7936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag, 2, 0, 0),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7928),
  [7940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 2, 0, 0),
  [7942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 2, 0, 0),
  [7944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7957),
  [7946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 2, 0, 0),
  [7948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 2, 0, 0),
  [7950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 0),
  [7952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 0),
  [7954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 2, 0, 0),
  [7956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 2, 0, 0),
  [7958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_expression, 2, 0, 24),
  [7960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_expression, 2, 0, 24),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14011),
  [7964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension, 3, 0, 0),
  [7966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension, 3, 0, 0),
  [7968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [7970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [7972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 3, 0, 0),
  [7974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 3, 0, 0),
  [7976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 3, 0, 0),
  [7978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 3, 0, 0),
  [7980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 3, 0, 0),
  [7982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 3, 0, 0),
  [7984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 0),
  [7986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 0),
  [7988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 3, 0, 0),
  [7990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 3, 0, 0),
  [7992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12910),
  [7994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 3, 0, 41),
  [7996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 3, 0, 41),
  [7998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_expression, 3, 0, 42),
  [8000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_expression, 3, 0, 42),
  [8002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 3, 0, 0),
  [8004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 3, 0, 0),
  [8006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 4, 0, 0),
  [8008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 4, 0, 0),
  [8010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_expression, 4, 0, 0),
  [8012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_expression, 4, 0, 0),
  [8014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 4, 0, 0),
  [8016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 4, 0, 0),
  [8018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 4, 0, 0),
  [8020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 4, 0, 0),
  [8022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 4, 0, 0),
  [8024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 4, 0, 0),
  [8026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 4, 0, 0),
  [8028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 4, 0, 0),
  [8030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [8032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [8034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 4, 0, 0),
  [8036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 4, 0, 0),
  [8038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 5, 0, 0),
  [8040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 5, 0, 0),
  [8042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coercion_expression, 5, 0, 0),
  [8044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coercion_expression, 5, 0, 0),
  [8046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 5, 0, 0),
  [8048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 5, 0, 0),
  [8050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 5, 0, 0),
  [8052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 5, 0, 0),
  [8054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 5, 0, 0),
  [8056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 5, 0, 0),
  [8058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 5, 0, 0),
  [8060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 5, 0, 0),
  [8062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [8064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 5, 0, 0),
  [8066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 5, 0, 0),
  [8068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 6, 0, 0),
  [8070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 6, 0, 0),
  [8072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coercion_expression, 6, 0, 0),
  [8074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coercion_expression, 6, 0, 0),
  [8076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 6, 0, 0),
  [8078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 6, 0, 0),
  [8080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [8082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7436),
  [8084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [8086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 7, 0, 0),
  [8088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 7, 0, 0),
  [8090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [8092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [8094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 1, 0, 0),
  [8096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 1, 0, 0),
  [8098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 1, 0, 25),
  [8100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 1, 0, 25),
  [8102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 3, 0, 0),
  [8104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 3, 0, 0),
  [8106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 4, 0, 28),
  [8108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 4, 0, 28),
  [8110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension, 4, 0, 0),
  [8112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension, 4, 0, 0),
  [8114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 2, 0, 0),
  [8116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 2, 0, 0),
  [8118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_path, 1, 0, 23),
  [8120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_path, 1, 0, 23),
  [8122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_extension, 4, 0, 0),
  [8124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_extension, 4, 0, 0),
  [8126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [8128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 3, 0, 0),
  [8130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 3, 0, 0),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [8134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [8136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [8138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 4, 0, 0),
  [8140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 4, 0, 0),
  [8142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_path, 3, 0, 61),
  [8144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_path, 3, 0, 61),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7348),
  [8148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 5, 0, 0),
  [8150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 5, 0, 0),
  [8152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [8154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 6, 0, 0),
  [8156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 6, 0, 0),
  [8158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 7, 0, 0),
  [8160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 7, 0, 0),
  [8162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 8, 0, 0),
  [8164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 8, 0, 0),
  [8166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8473),
  [8168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12974),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7441),
  [8172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value_name, 1, 0, 0),
  [8174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value_name, 1, 0, 0),
  [8176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7350),
  [8178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8465),
  [8180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7352),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [8184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7520),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8467),
  [8188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [8190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13708),
  [8192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12807),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10070),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10088),
  [8200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 1, 0, 0),
  [8202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 1, 0, 0),
  [8204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_name, 1, 0, 6),
  [8206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_name, 1, 0, 6),
  [8208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_path, 1, 0, 2),
  [8210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constant, 1, 0, 0),
  [8212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constant, 1, 0, 0),
  [8214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_path, 1, 0, 0),
  [8216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_path, 1, 0, 0),
  [8218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unit, 2, 0, 0),
  [8220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit, 2, 0, 0),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14013),
  [8224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_name, 3, 0, 31),
  [8226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_name, 3, 0, 31),
  [8228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 3, 0, 0),
  [8230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 3, 0, 0),
  [8232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_string, 3, 0, 0),
  [8234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_string, 3, 0, 0),
  [8236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character, 3, 0, 0),
  [8238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character, 3, 0, 0),
  [8240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_path, 3, 0, 11),
  [8242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_path, 3, 0, 0),
  [8244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_path, 3, 0, 0),
  [8246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 6, 0, 0),
  [8248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 6, 0, 0),
  [8250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 7, 0, 0),
  [8252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 7, 0, 0),
  [8254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 8, 0, 0),
  [8256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 8, 0, 0),
  [8258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 9, 0, 0),
  [8260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 9, 0, 0),
  [8262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [8264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [8266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [8268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [8270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13867),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [8274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4517),
  [8276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13650),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [8280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4449),
  [8282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9389),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [8286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [8288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9372),
  [8290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3105),
  [8292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10217),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [8296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13767),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14175),
  [8300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9564),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15667),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16225),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15798),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9375),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13259),
  [8314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12396),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9499),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16503),
  [8322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 2, 0, 28),
  [8324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 2, 0, 28),
  [8326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4419),
  [8328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7331),
  [8330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [8332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [8334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7307),
  [8336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2991),
  [8338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10193),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [8342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13781),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14063),
  [8346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7249),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15139),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15989),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7312),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13226),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12360),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [8362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16765),
  [8366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7018),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [8370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7447),
  [8372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2978),
  [8374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15054),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15962),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7448),
  [8382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13212),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12272),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17333),
  [8390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7467),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [8394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [8396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7400),
  [8398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3123),
  [8400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10212),
  [8402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [8404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13918),
  [8406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14167),
  [8408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7525),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15691),
  [8414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16241),
  [8416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7401),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13264),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12411),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7384),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16813),
  [8428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4212),
  [8430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [8432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [8434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 5, 0, 99),
  [8436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 5, 0, 99),
  [8438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4244),
  [8440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4400),
  [8442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [8444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4543),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15263),
  [8448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16028),
  [8450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4557),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15641),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16208),
  [8456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4381),
  [8458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4185),
  [8460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15685),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16237),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15217),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16013),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15712),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16252),
  [8474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4342),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15647),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16215),
  [8480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4333),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15596),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16186),
  [8486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4511),
  [8488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4509),
  [8490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4269),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8743),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [8496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4512),
  [8498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4229),
  [8500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4558),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [8504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4552),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13706),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13202),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8795),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8801),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13167),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14002),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8765),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8798),
  [8534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4357),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13197),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14028),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14034),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5643),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [8552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13216),
  [8554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4348),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8769),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13749),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5698),
  [8562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8792),
  [8564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13214),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13199),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5589),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13752),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14004),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5634),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13164),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8697),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [8606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10052),
  [8609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15204),
  [8612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2429),
  [8615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2968),
  [8618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10094),
  [8621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13532),
  [8624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14836),
  [8627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2972),
  [8630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18259),
  [8633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16279),
  [8636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15922),
  [8639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10096),
  [8642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18290),
  [8645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13200),
  [8648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12294),
  [8651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8295),
  [8654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17258),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8703),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8708),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8717),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8739),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9878),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [8677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18290),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [8731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [8733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [8735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [8743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [8745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [8747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [8751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [8757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [8775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_id, 1, 0, 0),
  [8777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_id, 1, 0, 0),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17305),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [8791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [8793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [8797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [8799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [8803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [8813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [8815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [8817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [8819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [8823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [8825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [8831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [8839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [8855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [8857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_id, 2, 0, 0),
  [8859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_id, 2, 0, 0),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [8863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0),
  [8865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0),
  [8867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17305),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [8880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [8882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9509),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9473),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9485),
  [8890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9561),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9367),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9417),
  [8898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2901),
  [8900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [8902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0),
  [8904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(5255),
  [8907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0),
  [8909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4350),
  [8911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(5112),
  [8914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4324),
  [8916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat1, 1, 0, 0),
  [8918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 1, 0, 0),
  [8920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [8922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [8924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__signed_constant, 1, 0, 0),
  [8926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signed_constant, 1, 0, 0),
  [8928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 44),
  [8930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 3, 0, 44),
  [8932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signed_number, 2, 0, 0),
  [8934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signed_number, 2, 0, 0),
  [8936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4336),
  [8938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [8940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 4, 0, 62),
  [8942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 4, 0, 62),
  [8944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11723),
  [8946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sequence_expression, 1, 0, 0),
  [8948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sequence_expression, 1, 0, 0),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11598),
  [8952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_binding_pattern, 3, 0, 0),
  [8954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_binding_pattern, 3, 0, 0),
  [8956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 6, 0, 83),
  [8958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 6, 0, 83),
  [8960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 4, 0, 11),
  [8962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 4, 0, 11),
  [8964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_binding_pattern, 4, 0, 30),
  [8966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_binding_pattern, 4, 0, 30),
  [8968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 4, 0, 0),
  [8970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 4, 0, 0),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11570),
  [8974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 4, 0, 0),
  [8976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 4, 0, 0),
  [8978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 4, 0, 0),
  [8980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 4, 0, 0),
  [8982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 3, 0, 0),
  [8984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 3, 0, 0),
  [8986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 4, 0, 0),
  [8988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 4, 0, 0),
  [8990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 7, 0, 0),
  [8992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 7, 0, 0),
  [8994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_binding_pattern, 3, 0, 0),
  [8996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_binding_pattern, 3, 0, 0),
  [8998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_binding_pattern, 3, 0, 0),
  [9000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_binding_pattern, 3, 0, 0),
  [9002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constructor_path, 1, 0, 1),
  [9004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constructor_path, 1, 0, 1),
  [9006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 13),
  [9008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 13),
  [9010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 14),
  [9012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 14),
  [9014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 15),
  [9016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 15),
  [9018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4418),
  [9020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 5, 0, 11),
  [9022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 5, 0, 11),
  [9024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 5, 0, 83),
  [9026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 5, 0, 83),
  [9028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 5, 0, 0),
  [9030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 5, 0, 0),
  [9032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 5, 0, 0),
  [9034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 5, 0, 0),
  [9036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 5, 0, 0),
  [9038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 5, 0, 0),
  [9040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 5, 0, 0),
  [9042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 5, 0, 0),
  [9044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_binding_pattern, 3, 0, 0),
  [9046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_binding_pattern, 3, 0, 0),
  [9048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_binding_pattern, 3, 0, 0),
  [9050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_binding_pattern, 3, 0, 0),
  [9052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 2, 0, 0),
  [9054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 2, 0, 0),
  [9056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_pattern, 2, 0, 0),
  [9058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_pattern, 2, 0, 0),
  [9060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 2, 0, 0),
  [9062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 2, 0, 0),
  [9064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_binding_pattern, 2, 0, 0),
  [9066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_binding_pattern, 2, 0, 0),
  [9068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [9070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [9072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_binding_pattern, 3, 0, 0),
  [9074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_binding_pattern, 3, 0, 0),
  [9076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 3, 0, 0),
  [9078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 3, 0, 0),
  [9080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constructor_path, 3, 0, 10),
  [9082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constructor_path, 3, 0, 10),
  [9084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_binding_pattern, 2, 0, 30),
  [9086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_binding_pattern, 2, 0, 30),
  [9088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_binding_pattern, 2, 0, 30),
  [9090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_binding_pattern, 2, 0, 30),
  [9092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 3, 0, 0),
  [9094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 3, 0, 0),
  [9096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 3, 0, 0),
  [9098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 3, 0, 0),
  [9100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 6, 0, 0),
  [9102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 6, 0, 0),
  [9104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4206),
  [9106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [9108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11639),
  [9110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [9112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [9114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4266),
  [9116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [9118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15186),
  [9120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16004),
  [9122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [9124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13566),
  [9126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16747),
  [9128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [9130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15484),
  [9132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16129),
  [9134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [9136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15628),
  [9138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16201),
  [9140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [9142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [9144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13108),
  [9146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [9148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [9150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [9152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8775),
  [9154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [9156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15336),
  [9158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16054),
  [9160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [9162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15419),
  [9164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16103),
  [9166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13151),
  [9168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20275),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [9172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [9174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [9176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [9178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [9180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [9182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13292),
  [9186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19467),
  [9188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [9190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4345),
  [9192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [9194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [9196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [9198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [9200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [9202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9266),
  [9204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8191),
  [9206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7036),
  [9208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10332),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9661),
  [9212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7605),
  [9214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10201),
  [9216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15066),
  [9218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [9220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [9222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8894),
  [9224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14643),
  [9226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15311),
  [9228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16047),
  [9230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9268),
  [9232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17438),
  [9234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [9236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [9238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9815),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8222),
  [9242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6747),
  [9244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10871),
  [9246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10043),
  [9248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7604),
  [9250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11029),
  [9252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7595),
  [9254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [9256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9167),
  [9258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14287),
  [9260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15566),
  [9262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16169),
  [9264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17227),
  [9266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6761),
  [9268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10879),
  [9270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [9272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4378),
  [9274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [9276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [9278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [9280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9698),
  [9282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8169),
  [9284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7019),
  [9286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10900),
  [9288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10060),
  [9290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7624),
  [9292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10844),
  [9294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7599),
  [9296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7777),
  [9298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8955),
  [9300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14299),
  [9302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15679),
  [9304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16233),
  [9306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17194),
  [9308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7031),
  [9310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10908),
  [9312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6654),
  [9314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10338),
  [9316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9231),
  [9318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8179),
  [9320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7123),
  [9322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10322),
  [9324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9566),
  [9326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7626),
  [9328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10235),
  [9330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7618),
  [9332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7788),
  [9334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9093),
  [9336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14883),
  [9338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15696),
  [9340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16244),
  [9342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16554),
  [9344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7135),
  [9346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10346),
  [9348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [9350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [9352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10205),
  [9354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13147),
  [9356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10877),
  [9358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10884),
  [9360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13137),
  [9362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [9364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [9366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [9368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [9370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10906),
  [9372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19483),
  [9374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [9376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10913),
  [9378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18016),
  [9380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [9382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10175),
  [9384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4237),
  [9386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10343),
  [9388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10359),
  [9390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4298),
  [9392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4169),
  [9394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4254),
  [9396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4358),
  [9398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4216),
  [9400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_class_expression, 1, 0, 0),
  [9402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_class_expression, 1, 0, 0),
  [9404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_value_pattern, 1, 0, 16),
  [9406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_value_pattern, 1, 0, 16),
  [9408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [9410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_class_expression, 3, 0, 0),
  [9412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_class_expression, 3, 0, 0),
  [9414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_class_expression, 4, 0, 0),
  [9416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_class_expression, 4, 0, 0),
  [9418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class, 4, 0, 0),
  [9420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class, 4, 0, 0),
  [9422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class, 5, 0, 0),
  [9424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class, 5, 0, 0),
  [9426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_expression, 2, 0, 0),
  [9428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_expression, 2, 0, 0),
  [9430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13174),
  [9432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17886),
  [9434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [9436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_expression, 2, 0, 0),
  [9438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_expression, 2, 0, 0),
  [9440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4165),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5708),
  [9444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_expression, 3, 0, 0),
  [9446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_expression, 3, 0, 0),
  [9448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_expression, 3, 0, 0),
  [9450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_expression, 3, 0, 0),
  [9452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [9454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [9456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [9458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [9460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [9462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [9464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 4, 0, 0),
  [9466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 4, 0, 0),
  [9468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [9470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [9472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [9474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [9476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [9478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [9480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 5, 0, 0),
  [9482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 5, 0, 0),
  [9484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [9486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [9488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [9490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [9492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [9494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4226),
  [9496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 1, 0, 0),
  [9498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 1, 0, 0),
  [9500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 1, 0, 12),
  [9502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 12),
  [9504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 2, 0, 30),
  [9506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 30),
  [9508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4411),
  [9510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [9512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 4, 0, 65),
  [9514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 65),
  [9516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 4, 0, 81),
  [9518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 81),
  [9520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parenthesized_abstract_type, 3, 0, 0),
  [9522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parenthesized_abstract_type, 3, 0, 0),
  [9524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 5, 0, 65),
  [9526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 65),
  [9528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 6, 0, 65),
  [9530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 6, 0, 65),
  [9532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 7, 0, 65),
  [9534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 7, 0, 65),
  [9536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 8, 0, 131),
  [9538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 8, 0, 131),
  [9540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 9, 0, 131),
  [9542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 9, 0, 131),
  [9544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [9546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [9548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [9550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [9552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4192),
  [9554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [9556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [9558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [9560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [9562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [9564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [9566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [9568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [9570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 3, 0, 0),
  [9572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 3, 0, 0),
  [9574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_pattern, 4, 0, 0),
  [9576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_pattern, 4, 0, 0),
  [9578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13149),
  [9580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19349),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [9584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13134),
  [9586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18945),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [9590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4262),
  [9592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4409),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [9596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8987),
  [9598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [9600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9433),
  [9602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [9604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9818),
  [9606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7894),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10126),
  [9610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7918),
  [9612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9680),
  [9614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7902),
  [9616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12585),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8140),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11035),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8057),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10218),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7910),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9404),
  [9632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7966),
  [9634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10971),
  [9636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12426),
  [9640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [9642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10115),
  [9644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7691),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9252),
  [9648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7944),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9210),
  [9652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7907),
  [9654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11650),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7722),
  [9658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10677),
  [9660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8005),
  [9662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10854),
  [9664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13443),
  [9668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8027),
  [9670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10242),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7929),
  [9674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12718),
  [9676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7793),
  [9678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13059),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [9682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8902),
  [9684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [9686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13035),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [9690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7977),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10442),
  [9694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [9696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11025),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [9700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10757),
  [9702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [9704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10441),
  [9706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13461),
  [9708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toplevel_directive, 1, 0, 0),
  [9710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toplevel_directive, 1, 0, 0),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11241),
  [9714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12242),
  [9716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17160),
  [9718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18071),
  [9720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12340),
  [9722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13220),
  [9724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12085),
  [9726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8768),
  [9728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9812),
  [9730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16632),
  [9732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19606),
  [9734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7891),
  [9736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11672),
  [9738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15399),
  [9740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16085),
  [9742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12103),
  [9744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [9746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7832),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [9750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [9752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8952),
  [9754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14750),
  [9756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15726),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16259),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17328),
  [9762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13213),
  [9764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17858),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10141),
  [9770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 2, 0, 0),
  [9772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 2, 0, 0),
  [9774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10246),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20129),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15688),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16239),
  [9782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9874),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20143),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15702),
  [9788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16247),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9293),
  [9792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13642),
  [9794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17239),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20154),
  [9798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7723),
  [9800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type, 1, 0, 0),
  [9802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_type, 1, 0, 0),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10711),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8112),
  [9812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, 0, 40),
  [9814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 3, 0, 40),
  [9816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 0),
  [9818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 0),
  [9820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expression, 3, 0, 0),
  [9822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_expression, 3, 0, 0),
  [9824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_exception_expression, 4, 0, 47),
  [9826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_exception_expression, 4, 0, 47),
  [9828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_module_expression, 4, 0, 47),
  [9830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_module_expression, 4, 0, 47),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [9834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_expression, 4, 0, 47),
  [9836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_expression, 4, 0, 47),
  [9838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13020),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8080),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8081),
  [9844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8110),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8111),
  [9848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 4, 0, 47),
  [9850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 4, 0, 47),
  [9852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 40),
  [9854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 40),
  [9856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 2, 0, 0),
  [9858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 2, 0, 0),
  [9860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 4, 0, 60),
  [9862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 4, 0, 60),
  [9864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 4, 0, 0),
  [9866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 4, 0, 0),
  [9868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 4, 0, 0),
  [9870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 4, 0, 0),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [9874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8148),
  [9876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8149),
  [9878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7996),
  [9880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7997),
  [9882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10308),
  [9884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20112),
  [9886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15611),
  [9888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16192),
  [9890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 5, 0, 82),
  [9892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 5, 0, 82),
  [9894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8006),
  [9896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 60),
  [9898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 5, 0, 60),
  [9900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 3, 0, 0),
  [9902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 3, 0, 0),
  [9904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 5, 0, 0),
  [9906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 5, 0, 0),
  [9908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 5, 0, 0),
  [9910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 5, 0, 0),
  [9912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [9914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8012),
  [9916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8021),
  [9918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8022),
  [9920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [9922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8030),
  [9924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8031),
  [9926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13114),
  [9928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [9930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [9932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 6, 0, 98),
  [9934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 6, 0, 98),
  [9936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [9938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8040),
  [9940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8043),
  [9942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8044),
  [9944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13025),
  [9946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8347),
  [9948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7718),
  [9950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7634),
  [9952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [9954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8918),
  [9956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14864),
  [9958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17362),
  [9960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 7, 0, 113),
  [9962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 7, 0, 113),
  [9964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [9966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [9968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [9970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8055),
  [9972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 8, 0, 123),
  [9974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 8, 0, 123),
  [9976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8062),
  [9978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8063),
  [9980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8065),
  [9982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [9984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [9986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [9988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8071),
  [9990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8072),
  [9992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [9994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8076),
  [9996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11043),
  [9998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10578),
  [10000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8395),
  [10002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7766),
  [10004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [10006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7767),
  [10008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8886),
  [10010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14502),
  [10012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15580),
  [10014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16177),
  [10016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17321),
  [10018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10418),
  [10020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9547),
  [10022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9947),
  [10024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12540),
  [10026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12476),
  [10028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11683),
  [10030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9419),
  [10032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9010),
  [10034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9694),
  [10036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17339),
  [10038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12717),
  [10040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17339),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9836),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8884),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9334),
  [10049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11514),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8336),
  [10053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7768),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7620),
  [10057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [10059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8920),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14463),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15654),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16219),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16685),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8139),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10927),
  [10073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10639),
  [10075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10736),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8355),
  [10079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7783),
  [10081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [10083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [10085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8982),
  [10087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14507),
  [10089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15682),
  [10091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16235),
  [10093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17332),
  [10095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10576),
  [10097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 40),
  [10099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 3, 0, 40),
  [10101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [10103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_expression, 3, 0, 44),
  [10105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_expression, 3, 0, 44),
  [10107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [10109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8233),
  [10111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [10113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [10115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 3, 0, 42),
  [10117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 42),
  [10119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [10121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [10123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [10125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [10127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [10129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [10131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_expression, 3, 0, 45),
  [10133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_expression, 3, 0, 45),
  [10135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 60),
  [10137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 60),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [10141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [10143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [10145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 2, 0, 0),
  [10147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 2, 0, 0),
  [10149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2979),
  [10151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 3, 0, 0),
  [10153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 3, 0, 0),
  [10155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0),
  [10157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0),
  [10159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2979),
  [10162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign_expression, 2, 0, 24),
  [10164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign_expression, 2, 0, 24),
  [10166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 1, 0, 0),
  [10168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 1, 0, 0),
  [10170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_case, 4, 0, 66),
  [10172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_case, 4, 0, 66),
  [10174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2953),
  [10176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2953),
  [10179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [10181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [10183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [10185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_then_clause, 2, 0, 0),
  [10187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_then_clause, 2, 0, 0),
  [10189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [10191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [10195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [10199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [10201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [10203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [10205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [10207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [10209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_product_expression, 3, 0, 44),
  [10211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_product_expression, 3, 0, 44),
  [10213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [10215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [10217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_refutation_case, 1, 0, 0),
  [10219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_refutation_case, 1, 0, 0),
  [10221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_type, 3, 0, 0),
  [10223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_aliased_type, 3, 0, 0),
  [10225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_case, 3, 0, 48),
  [10227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_case, 3, 0, 48),
  [10229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign_operator, 1, 0, 0),
  [10231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign_operator, 1, 0, 0),
  [10233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_operator, 1, 0, 0),
  [10235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [10239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [10241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [10243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [10245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [10247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [10249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [10251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [10253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [10255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [10257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [10259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9959),
  [10261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [10263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [10265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [10267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [10269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [10271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [10273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [10275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [10277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [10279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [10281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2975),
  [10283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2975),
  [10286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [10288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [10290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [10292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10103),
  [10294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [10296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [10298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [10300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [10302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [10304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [10306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [10308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [10310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [10312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [10314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [10316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [10318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [10320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [10322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10019),
  [10324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [10326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [10328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [10330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [10332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3213),
  [10334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [10336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3088),
  [10339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute, 2, 0, 0),
  [10341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute, 2, 0, 0),
  [10343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [10345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3213),
  [10348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [10350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3152),
  [10353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10156),
  [10355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_operator, 1, 0, 0),
  [10357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [10359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [10361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [10363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [10365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [10367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [10373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [10375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [10379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(5255),
  [10382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4028),
  [10385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13862),
  [10388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(11743),
  [10391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13287),
  [10394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13450),
  [10397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(10953),
  [10400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(11097),
  [10403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13519),
  [10406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0),
  [10408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15193),
  [10411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15067),
  [10414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15194),
  [10417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4541),
  [10420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(16547),
  [10423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3013),
  [10426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [10428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [10430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [10432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [10434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [10436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [10438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [10440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [10442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [10444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3990),
  [10446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13862),
  [10448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11792),
  [10450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13209),
  [10452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13417),
  [10454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10953),
  [10456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11097),
  [10458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13470),
  [10460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [10462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [10464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [10466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4028),
  [10468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11743),
  [10470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13287),
  [10472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13450),
  [10474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13519),
  [10476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [10478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [10480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2997),
  [10483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(3990),
  [10486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(11792),
  [10489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13209),
  [10492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13417),
  [10495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13470),
  [10498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4550),
  [10501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(17311),
  [10504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [10506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [10508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10170),
  [10510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [10512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [10514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [10516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [10518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [10520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [10522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [10524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [10530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [10532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [10534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [10536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [10538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [10540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [10542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9967),
  [10544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10138),
  [10546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [10548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10040),
  [10550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8851),
  [10552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8365),
  [10554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8594),
  [10556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7841),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7593),
  [10560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7842),
  [10562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9079),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14901),
  [10566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15732),
  [10568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16262),
  [10570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17255),
  [10572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor, 4, 0, 47),
  [10574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor, 4, 0, 47),
  [10576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11512),
  [10578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16111),
  [10580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15912),
  [10582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10013),
  [10584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10137),
  [10586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [10588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [10590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [10592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12838),
  [10594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8410),
  [10596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8539),
  [10598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7795),
  [10600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7637),
  [10602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7796),
  [10604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9187),
  [10606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14398),
  [10608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15708),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16250),
  [10612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16763),
  [10614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_of, 4, 0, 0),
  [10616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_of, 4, 0, 0),
  [10618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10074),
  [10620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10083),
  [10622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10011),
  [10624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10079),
  [10626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9954),
  [10628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [10630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8566),
  [10632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7764),
  [10634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [10636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [10638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10035),
  [10640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12682),
  [10642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8326),
  [10644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8611),
  [10646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7848),
  [10648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [10650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7849),
  [10652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9149),
  [10654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14692),
  [10656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15736),
  [10658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16264),
  [10660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16511),
  [10662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10118),
  [10664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [10666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8868),
  [10668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8432),
  [10670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8626),
  [10672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7857),
  [10674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7636),
  [10676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7858),
  [10678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8931),
  [10680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14437),
  [10682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15740),
  [10684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16266),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17437),
  [10688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10029),
  [10690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [10692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [10694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9974),
  [10696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10132),
  [10698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8376),
  [10700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8475),
  [10702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7776),
  [10704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [10706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3206),
  [10709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [10711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10107),
  [10713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [10715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10101),
  [10717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8343),
  [10719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8504),
  [10721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7787),
  [10723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [10725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9220),
  [10727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [10729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8577),
  [10731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7835),
  [10733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [10735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7836),
  [10737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9029),
  [10739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14831),
  [10741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15730),
  [10743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16261),
  [10745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17416),
  [10747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10152),
  [10749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [10751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8682),
  [10753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7746),
  [10755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9206),
  [10757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8323),
  [10759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8552),
  [10761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7814),
  [10763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [10765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [10767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8977),
  [10769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14602),
  [10771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15724),
  [10773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16258),
  [10775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17170),
  [10777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3002),
  [10780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [10784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [10786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [10788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11514),
  [10790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3231),
  [10792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3231),
  [10795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [10797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [10799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [10801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [10803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [10805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [10807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [10809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [10811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [10813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [10815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9698),
  [10817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [10819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [10821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [10823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [10825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [10827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [10829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12682),
  [10831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10736),
  [10833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13025),
  [10835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9231),
  [10837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [10839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [10841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12103),
  [10843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12838),
  [10845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9266),
  [10847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9206),
  [10849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10578),
  [10851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9815),
  [10853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9220),
  [10855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3044),
  [10858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8851),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11642),
  [10864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11958),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13283),
  [10868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13703),
  [10870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10855),
  [10872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10166),
  [10874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13685),
  [10876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13983),
  [10878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9501),
  [10880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13437),
  [10882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_path, 3, 0, 11),
  [10884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 73),
  [10886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 73),
  [10888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [10890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_expression, 1, 0, 0),
  [10892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_expression, 1, 0, 0),
  [10894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17479),
  [10896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_path, 1, 0, 2),
  [10898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 90),
  [10900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 90),
  [10902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_variable, 2, 0, 0),
  [10904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_variable, 2, 0, 0),
  [10906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [10908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 54),
  [10910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 54),
  [10912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [10914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [10916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(12691),
  [10919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13862),
  [10922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(11958),
  [10925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13283),
  [10928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13703),
  [10931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(10855),
  [10934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(10166),
  [10937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13685),
  [10940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13983),
  [10943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0),
  [10945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15193),
  [10948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15067),
  [10951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15194),
  [10954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 3, 0, 55),
  [10956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 3, 0, 55),
  [10958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 7, 0, 0),
  [10960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 7, 0, 0),
  [10962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 5, 0, 0),
  [10964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 5, 0, 0),
  [10966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 3, 0, 0),
  [10968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structure, 3, 0, 0),
  [10970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 2, 0, 0),
  [10972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structure, 2, 0, 0),
  [10974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 4, 0, 0),
  [10976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 4, 0, 0),
  [10978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 2, 0, 36),
  [10980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 2, 0, 36),
  [10982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9119),
  [10984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [10986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [10988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14814),
  [10990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [10992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [10994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14816),
  [10996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 6, 0, 0),
  [10998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 6, 0, 0),
  [11000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_module_expression, 4, 0, 0),
  [11002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_module_expression, 4, 0, 0),
  [11004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature, 1, 0, 0),
  [11006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_module_expression, 1, 0, 0),
  [11008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_module_expression, 1, 0, 0),
  [11010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9004),
  [11012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14665),
  [11014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11835),
  [11016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13280),
  [11018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13702),
  [11020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9970),
  [11022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13697),
  [11024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13825),
  [11026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14666),
  [11028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(11835),
  [11031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13280),
  [11034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13702),
  [11037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(9970),
  [11040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13697),
  [11043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13825),
  [11046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9983),
  [11048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [11050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7785),
  [11052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7615),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9039),
  [11058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14678),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16467),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10514),
  [11064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8332),
  [11066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7753),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7754),
  [11072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8912),
  [11074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14477),
  [11076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15357),
  [11078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16062),
  [11080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16767),
  [11082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12714),
  [11084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8327),
  [11086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7756),
  [11088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7625),
  [11090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [11092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9062),
  [11094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14847),
  [11096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15501),
  [11098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16139),
  [11100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17341),
  [11102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10522),
  [11104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8370),
  [11106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7790),
  [11108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7623),
  [11110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [11112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9146),
  [11114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14323),
  [11116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15698),
  [11118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16245),
  [11120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16653),
  [11122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 3, 0, 0),
  [11124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 3, 0, 0),
  [11126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 3, 0, 0),
  [11128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 3, 0, 0),
  [11130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9748),
  [11132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10996),
  [11134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 2, 0, 0),
  [11136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 2, 0, 0),
  [11138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10560),
  [11140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8349),
  [11142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7804),
  [11144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7641),
  [11146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7805),
  [11148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9191),
  [11150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14478),
  [11152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16876),
  [11154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature, 2, 0, 0),
  [11156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8559),
  [11158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9795),
  [11160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 2, 0, 0),
  [11162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 2, 0, 0),
  [11164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9211),
  [11166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14906),
  [11168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10919),
  [11170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9248),
  [11172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14748),
  [11174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 4, 0, 0),
  [11176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 4, 0, 0),
  [11178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10628),
  [11180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8418),
  [11182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7807),
  [11184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7643),
  [11186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7808),
  [11188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9019),
  [11190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14536),
  [11192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17463),
  [11194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9248),
  [11196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9211),
  [11198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10092),
  [11200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8398),
  [11202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7823),
  [11204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [11206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7824),
  [11208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8901),
  [11210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14677),
  [11212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17250),
  [11214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_path, 1, 0, 3),
  [11216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_path, 1, 0, 3),
  [11218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 3, 0, 0),
  [11220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 3, 0, 0),
  [11222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3, 0, 0),
  [11224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3, 0, 0),
  [11226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13472),
  [11228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19747),
  [11230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11026),
  [11232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16172),
  [11234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 3, 0, 0),
  [11236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 3, 0, 0),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18966),
  [11240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10826),
  [11242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_type, 3, 0, 0),
  [11244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_type, 3, 0, 0),
  [11246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17480),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10852),
  [11250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 3, 0, 11),
  [11252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 3, 0, 11),
  [11254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20308),
  [11256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9213),
  [11258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19128),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10129),
  [11262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 2, 0, 0),
  [11264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 2, 0, 0),
  [11266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19820),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12524),
  [11270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17809),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10444),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19933),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9278),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19213),
  [11280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9982),
  [11282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_path, 3, 0, 29),
  [11284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_path, 3, 0, 29),
  [11286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18325),
  [11288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10447),
  [11290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20002),
  [11292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13080),
  [11294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19255),
  [11296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10072),
  [11298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17534),
  [11300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11651),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17918),
  [11304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11678),
  [11306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18629),
  [11308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10566),
  [11310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18181),
  [11312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11720),
  [11314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18670),
  [11316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8947),
  [11318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19120),
  [11320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9003),
  [11322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9426),
  [11324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14588),
  [11326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19589),
  [11328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9103),
  [11330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9355),
  [11332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14384),
  [11334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_module, 4, 0, 0),
  [11336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_module, 4, 0, 0),
  [11338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17274),
  [11340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19101),
  [11342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2, 0, 0),
  [11344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2, 0, 0),
  [11346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_type, 4, 0, 0),
  [11348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_type, 4, 0, 0),
  [11350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19374),
  [11352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12586),
  [11354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19218),
  [11356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9682),
  [11358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 4, 0, 0),
  [11360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 4, 0, 0),
  [11362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19466),
  [11364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9738),
  [11366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19484),
  [11368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12519),
  [11370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0),
  [11372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19540),
  [11376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9779),
  [11378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19552),
  [11380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12608),
  [11382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14385),
  [11384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18076),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9331),
  [11388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18102),
  [11390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13093),
  [11392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 4, 0, 0),
  [11394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 4, 0, 0),
  [11396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18542),
  [11398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9436),
  [11400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19961),
  [11402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12546),
  [11404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14904),
  [11406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19155),
  [11408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12643),
  [11410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19749),
  [11412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10973),
  [11414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 4, 0, 0),
  [11416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 4, 0, 0),
  [11418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19922),
  [11420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10954),
  [11422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20059),
  [11424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10799),
  [11426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14505),
  [11428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19676),
  [11430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9755),
  [11432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 2, 0, 0),
  [11434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 2, 0, 0),
  [11436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 2, 0, 0),
  [11438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 2, 0, 0),
  [11440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4, 0, 0),
  [11442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4, 0, 0),
  [11444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18138),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10758),
  [11448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18284),
  [11450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10457),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18691),
  [11454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9659),
  [11456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19728),
  [11458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9405),
  [11460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13294),
  [11462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19844),
  [11464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19859),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9440),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19920),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9460),
  [11474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18358),
  [11476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10498),
  [11478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20348),
  [11480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10116),
  [11482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18184),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10030),
  [11486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17896),
  [11488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10438),
  [11490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18552),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9963),
  [11494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 7, 0, 0),
  [11496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 7, 0, 0),
  [11498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17958),
  [11500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10615),
  [11502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_type, 5, 0, 0),
  [11504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_type, 5, 0, 0),
  [11506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 6),
  [11508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 6),
  [11510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_argument, 1, 0, 0),
  [11512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9667),
  [11514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 0),
  [11516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 0),
  [11518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19860),
  [11520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13444),
  [11522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 5, 0, 0),
  [11524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 5, 0, 0),
  [11526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 5, 0, 0),
  [11528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 5, 0, 0),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20147),
  [11532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8995),
  [11534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 5, 0, 0),
  [11536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 5, 0, 0),
  [11538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5, 0, 0),
  [11540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5, 0, 0),
  [11542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_type, 5, 0, 0),
  [11544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_type, 5, 0, 0),
  [11546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20335),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13502),
  [11550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 6, 0, 0),
  [11552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 6, 0, 0),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20291),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9042),
  [11558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 6, 0, 0),
  [11560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 6, 0, 0),
  [11562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6, 0, 0),
  [11564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6, 0, 0),
  [11566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20342),
  [11568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9081),
  [11570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17589),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9254),
  [11574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_path, 1, 0, 7),
  [11576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_path, 1, 0, 7),
  [11578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 1, 0, 2),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17630),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13091),
  [11584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 4, 0, 34),
  [11586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 4, 0, 34),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19712),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13589),
  [11592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 6),
  [11594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 6),
  [11596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 0),
  [11598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 0),
  [11600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17944),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9205),
  [11604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 6, 0, 34),
  [11606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 6, 0, 34),
  [11608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18092),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9290),
  [11612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14587),
  [11614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 1, 0, 2),
  [11616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18651),
  [11618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10678),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18067),
  [11622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12758),
  [11624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19017),
  [11626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10733),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19560),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12712),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19220),
  [11634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10744),
  [11636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19486),
  [11638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9742),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18761),
  [11642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9388),
  [11644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_path, 3, 0, 46),
  [11646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_path, 3, 0, 46),
  [11648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17573),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9901),
  [11652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20009),
  [11654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13036),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17766),
  [11658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10443),
  [11660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19135),
  [11662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12719),
  [11664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17535),
  [11666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13050),
  [11668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17595),
  [11670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12997),
  [11672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10092),
  [11674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14459),
  [11676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [11678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0),
  [11680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0),
  [11682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16020),
  [11685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [11687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [11689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [11691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11402),
  [11693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [11695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [11697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15054),
  [11699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15962),
  [11701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 1, 0, 0),
  [11703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_class_expression, 3, 0, 45),
  [11705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_class_expression, 3, 0, 45),
  [11707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9795),
  [11709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14607),
  [11711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8559),
  [11713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [11715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 33),
  [11717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 33),
  [11719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6591),
  [11721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [11723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8706),
  [11725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2947),
  [11727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 1, 0, 18),
  [11729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 1, 0, 18),
  [11731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [11733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [11735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8455),
  [11737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [11739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [11741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9983),
  [11743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14365),
  [11745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_argument, 1, 0, 0),
  [11747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9838),
  [11749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6578),
  [11751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2947),
  [11754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7897),
  [11756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3704),
  [11758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9392),
  [11760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9396),
  [11762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8501),
  [11764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5026),
  [11766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9748),
  [11768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14285),
  [11770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 1, 0, 0),
  [11772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_binding_repeat1, 1, 0, 0),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [11776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [11778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9829),
  [11780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [11782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [11784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function, 4, 0, 47),
  [11786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function, 4, 0, 47),
  [11788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 1, 0, 21),
  [11790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 1, 0, 21),
  [11792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11790),
  [11794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16020),
  [11796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10674),
  [11798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_class_expression, 4, 0, 47),
  [11800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_class_expression, 4, 0, 47),
  [11802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 2, 0, 21),
  [11804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 2, 0, 21),
  [11806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11901),
  [11808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10783),
  [11810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [11812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [11814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [11816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [11818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [11820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [11822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [11824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [11826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [11828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14922),
  [11830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7201),
  [11832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3553),
  [11834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9359),
  [11836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8722),
  [11838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10179),
  [11840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5078),
  [11842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15700),
  [11844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16246),
  [11846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8953),
  [11848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3533),
  [11850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9552),
  [11852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8702),
  [11854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5058),
  [11856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [11858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3070),
  [11861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [11863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [11865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [11867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [11869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [11871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [11873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [11875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [11877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [11879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [11881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_type, 1, 0, 0),
  [11883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_type, 1, 0, 0),
  [11885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7238),
  [11887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3526),
  [11889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9504),
  [11891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8696),
  [11893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10178),
  [11895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5051),
  [11897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15382),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16077),
  [11901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6973),
  [11903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3540),
  [11905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9577),
  [11907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8707),
  [11909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5065),
  [11911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14603),
  [11913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6983),
  [11915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3546),
  [11917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9654),
  [11919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8716),
  [11921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5071),
  [11923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_directive, 2, 0, 0),
  [11925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_directive, 2, 0, 0),
  [11927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0),
  [11929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0),
  [11931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13295),
  [11933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18279),
  [11935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [11937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14374),
  [11939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [11941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 2, 0, 0),
  [11943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 2, 0, 0),
  [11945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14460),
  [11947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [11949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_module_type, 5, 0, 0),
  [11951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_module_type, 5, 0, 0),
  [11953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0),
  [11955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0),
  [11957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9822),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [11961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_type, 3, 0, 0),
  [11963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_type, 3, 0, 0),
  [11965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 3, 0, 0),
  [11967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 3, 0, 0),
  [11969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [11971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [11973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17287),
  [11975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19521),
  [11977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10235),
  [11979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9858),
  [11981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [11983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9887),
  [11985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0),
  [11987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0),
  [11989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(16026),
  [11992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17254),
  [11994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19380),
  [11996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10201),
  [11998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 7, 0, 0),
  [12000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 7, 0, 0),
  [12002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9355),
  [12004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10628),
  [12006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14314),
  [12008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_parameter, 2, 0, 0),
  [12010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_parameter, 2, 0, 0),
  [12012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 8, 0, 34),
  [12014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 8, 0, 34),
  [12016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12633),
  [12018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9704),
  [12020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10522),
  [12022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14471),
  [12024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6438),
  [12026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8339),
  [12028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8695),
  [12030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11641),
  [12032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9119),
  [12034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_parameter, 4, 0, 63),
  [12036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_parameter, 4, 0, 63),
  [12038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_class_type, 1, 0, 0),
  [12040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_class_type, 1, 0, 0),
  [12042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10514),
  [12044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14647),
  [12046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9426),
  [12048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10560),
  [12050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14822),
  [12052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [12054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [12056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [12058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [12060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [12062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [12064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [12066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 7, 0, 6),
  [12068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 7, 0, 6),
  [12070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9212),
  [12072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class_type, 5, 0, 0),
  [12074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class_type, 5, 0, 0),
  [12076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [12078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 5, 0, 0),
  [12080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 5, 0, 0),
  [12082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17220),
  [12084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19273),
  [12086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10505),
  [12088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [12090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [12092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [12094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 3, 0, 0),
  [12096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 3, 0, 0),
  [12098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9004),
  [12100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9848),
  [12102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17277),
  [12104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19482),
  [12106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10574),
  [12108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0),
  [12110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0),
  [12112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8725),
  [12115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8727),
  [12118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12683),
  [12120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9895),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [12124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 1, 0, 0),
  [12126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_binding_repeat1, 1, 0, 0),
  [12128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9271),
  [12130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5752),
  [12132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_class_type, 4, 0, 47),
  [12134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_class_type, 4, 0, 47),
  [12136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class_type, 4, 0, 0),
  [12138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class_type, 4, 0, 0),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12698),
  [12142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 6, 0, 0),
  [12144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 6, 0, 0),
  [12146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13031),
  [12148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [12150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [12152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8701),
  [12154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9732),
  [12156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 2, 0, 0),
  [12158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 2, 0, 0),
  [12160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 3, 0, 0),
  [12162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 3, 0, 0),
  [12164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8725),
  [12166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 4, 0, 0),
  [12168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 4, 0, 0),
  [12170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 5, 0, 0),
  [12172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 5, 0, 0),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8727),
  [12176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10769),
  [12178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10776),
  [12180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6525),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16706),
  [12184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [12186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9533),
  [12188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9961),
  [12190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10475),
  [12192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17676),
  [12194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8744),
  [12196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14455),
  [12198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15199),
  [12200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9094),
  [12202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9696),
  [12204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17237),
  [12206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13674),
  [12208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(15490),
  [12211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9769),
  [12213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10676),
  [12215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20217),
  [12217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14889),
  [12219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16111),
  [12221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15912),
  [12223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [12225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [12227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [12229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [12231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [12233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [12235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [12237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [12239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [12241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [12243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9671),
  [12245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16792),
  [12247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_attribute, 3, 0, 0),
  [12249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_attribute, 3, 0, 0),
  [12251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 5, 0, 0),
  [12253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 5, 0, 0),
  [12255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12316),
  [12257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 33),
  [12259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 33),
  [12261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12751),
  [12263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 1, 0, 0),
  [12265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 1, 0, 0),
  [12267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3099),
  [12269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17270),
  [12271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19461),
  [12273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11029),
  [12275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_equation, 2, 0, 0),
  [12277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_equation, 2, 0, 0),
  [12279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8693),
  [12281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17449),
  [12283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3099),
  [12286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 18),
  [12288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 18),
  [12290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12723),
  [12292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14315),
  [12294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12729),
  [12296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14826),
  [12298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_attribute, 4, 0, 0),
  [12300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_attribute, 4, 0, 0),
  [12302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17283),
  [12304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19502),
  [12306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10844),
  [12308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_equation, 3, 0, 0),
  [12310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_equation, 3, 0, 0),
  [12312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 0),
  [12314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 0),
  [12316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 6, 0, 0),
  [12318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 6, 0, 0),
  [12320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14472),
  [12322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12767),
  [12324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9743),
  [12326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8738),
  [12328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constraint, 4, 0, 0),
  [12330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constraint, 4, 0, 0),
  [12332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9766),
  [12334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [12336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14357),
  [12338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 21),
  [12340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 21),
  [12342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11768),
  [12344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(16706),
  [12347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10772),
  [12349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14924),
  [12351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(16792),
  [12354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 3, 0, 0),
  [12356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_constraint, 3, 0, 0),
  [12358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14205),
  [12360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [12362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [12364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [12366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [12368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [12370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [12372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14205),
  [12375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 68),
  [12377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 68),
  [12379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [12381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [12383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13829),
  [12385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [12387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9269),
  [12389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14154),
  [12391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [12393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15748),
  [12395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16267),
  [12397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15312),
  [12399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [12401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [12403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7247),
  [12405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [12407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [12409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [12413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [12415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [12417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [12419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17264),
  [12421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19435),
  [12423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11134),
  [12425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8721),
  [12428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [12430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [12432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [12434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [12436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [12438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [12440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [12442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7304),
  [12444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8723),
  [12447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [12449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 8, 0, 114),
  [12451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 8, 0, 114),
  [12453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 2, 0, 12),
  [12455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 2, 0, 12),
  [12457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 1, 0, 6),
  [12459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 1, 0, 6),
  [12461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14168),
  [12463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9099),
  [12465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8867),
  [12467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 1, 0, 0),
  [12469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 1, 0, 0),
  [12471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14190),
  [12473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9100),
  [12475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8869),
  [12477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 85),
  [12479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 85),
  [12481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 87),
  [12483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 87),
  [12485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10996),
  [12487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14953),
  [12489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14413),
  [12491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 3, 0, 48),
  [12493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 3, 0, 48),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [12499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 50),
  [12501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 50),
  [12503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [12505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7572),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [12509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [12511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 86),
  [12513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 86),
  [12515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 48),
  [12517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 48),
  [12519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [12521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9625),
  [12523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 2, 0, 34),
  [12525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 2, 0, 34),
  [12527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14093),
  [12529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9130),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8873),
  [12533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 69),
  [12535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 69),
  [12537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [12541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6357),
  [12543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17210),
  [12546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10919),
  [12548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14433),
  [12550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [12552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [12554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [12556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6143),
  [12558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 87),
  [12560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 87),
  [12562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9783),
  [12564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9113),
  [12566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8870),
  [12568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9114),
  [12570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8871),
  [12572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [12574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [12576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [12578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [12580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [12582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [12584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [12586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9124),
  [12588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8872),
  [12590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9245),
  [12592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [12594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [12596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 18),
  [12598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 18),
  [12600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [12602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [12604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [12606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [12608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [12610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6468),
  [12612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [12614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [12616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 66),
  [12618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 66),
  [12620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [12622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [12624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [12626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5886),
  [12628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [12630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [12632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 85),
  [12634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 85),
  [12636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 33),
  [12638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 33),
  [12640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [12642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5922),
  [12644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 100),
  [12646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 100),
  [12648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 114),
  [12650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 114),
  [12652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 100),
  [12654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 100),
  [12656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17210),
  [12658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [12660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [12662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [12664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4430),
  [12666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 0),
  [12668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 0),
  [12670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [12672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [12674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 66),
  [12676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 66),
  [12678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [12680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [12684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [12686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9339),
  [12688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 102),
  [12690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 102),
  [12692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [12694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7293),
  [12696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [12698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 68),
  [12700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 68),
  [12702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [12704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [12706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [12708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 50),
  [12710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 50),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [12716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9728),
  [12718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17257),
  [12724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19409),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11102),
  [12728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [12734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 69),
  [12736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 69),
  [12738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 4, 0, 0),
  [12740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_constraint, 4, 0, 0),
  [12742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14193),
  [12744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [12746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7023),
  [12748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14193),
  [12751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 102),
  [12753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 102),
  [12755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 86),
  [12757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 86),
  [12759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [12761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9162),
  [12763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [12765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [12767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [12769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6905),
  [12771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3109),
  [12774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 3, 0, 0),
  [12776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 3, 0, 0),
  [12778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [12784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [12788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7027),
  [12790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8721),
  [12792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [12794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [12796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8723),
  [12798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14434),
  [12800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [12802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [12804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [12806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [12808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9763),
  [12810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 4, 0, 0),
  [12812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 4, 0, 0),
  [12814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9681),
  [12816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [12818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 51),
  [12820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 51),
  [12822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8509),
  [12824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13411),
  [12826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10085),
  [12828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10583),
  [12830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19129),
  [12832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8750),
  [12834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14431),
  [12836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13136),
  [12838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_attribute, 3, 0, 0),
  [12840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_attribute, 3, 0, 0),
  [12842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [12844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [12846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [12848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [12850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [12852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [12854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [12856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [12858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [12860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [12862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0),
  [12864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0),
  [12866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0), SHIFT_REPEAT(12316),
  [12869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 56),
  [12871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 56),
  [12873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_argument, 2, 0, 0),
  [12875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_argument, 2, 0, 0),
  [12877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9838),
  [12880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 50),
  [12882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 50),
  [12884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0),
  [12886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0),
  [12888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_attribute, 4, 0, 0),
  [12890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_attribute, 4, 0, 0),
  [12892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8896),
  [12894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8828),
  [12896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8904),
  [12898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8829),
  [12900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8962),
  [12902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8831),
  [12904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 33),
  [12906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 33),
  [12908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 88),
  [12910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 88),
  [12912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 70),
  [12914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 70),
  [12916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 71),
  [12918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 71),
  [12920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8599),
  [12922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 18),
  [12924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 18),
  [12926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_type, 1, 0, 0),
  [12928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_type, 1, 0, 0),
  [12930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 73),
  [12932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 73),
  [12934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 4, 0, 91),
  [12936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 4, 0, 91),
  [12938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 4, 0, 74),
  [12940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 4, 0, 74),
  [12942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 76),
  [12944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 76),
  [12946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 93),
  [12948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 93),
  [12950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 37),
  [12952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 37),
  [12954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 3, 0, 0),
  [12956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 3, 0, 0),
  [12958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 77),
  [12960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 77),
  [12962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 94),
  [12964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 94),
  [12966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 70),
  [12968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 70),
  [12970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9829),
  [12973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9720),
  [12975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 71),
  [12977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 71),
  [12979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9159),
  [12981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8874),
  [12983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9163),
  [12985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8875),
  [12987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9166),
  [12989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8878),
  [12991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 68),
  [12993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 68),
  [12995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 51),
  [12997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 51),
  [12999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 69),
  [13001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 69),
  [13003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 88),
  [13005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 88),
  [13007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8699),
  [13009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 6, 0, 90),
  [13011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 6, 0, 90),
  [13013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_typed, 2, 0, 0),
  [13015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_typed, 2, 0, 0),
  [13017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 5, 0, 91),
  [13019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 5, 0, 91),
  [13021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 103),
  [13023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 103),
  [13025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 75),
  [13027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 75),
  [13029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 93),
  [13031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 93),
  [13033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [13035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 105),
  [13037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 105),
  [13039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 94),
  [13041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 94),
  [13043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 22),
  [13045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 22),
  [13047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10779),
  [13049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14931),
  [13051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9687),
  [13053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 21),
  [13055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 21),
  [13057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 86),
  [13059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 86),
  [13061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 87),
  [13063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 87),
  [13065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 3, 0, 74),
  [13067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 3, 0, 74),
  [13069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 6, 0, 115),
  [13071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 6, 0, 115),
  [13073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 103),
  [13075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 103),
  [13077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 116),
  [13079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 116),
  [13081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 75),
  [13083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 75),
  [13085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 117),
  [13087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 117),
  [13089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 92),
  [13091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 92),
  [13093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 105),
  [13095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 105),
  [13097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 5, 0, 9),
  [13099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 5, 0, 9),
  [13101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 76),
  [13103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 76),
  [13105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 37),
  [13107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 37),
  [13109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 56),
  [13111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 56),
  [13113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 8, 0, 102),
  [13115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 8, 0, 102),
  [13117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12760),
  [13119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 7, 0, 115),
  [13121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 7, 0, 115),
  [13123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12711),
  [13125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 7, 0, 124),
  [13127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 7, 0, 124),
  [13129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 77),
  [13131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 77),
  [13133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 116),
  [13135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 116),
  [13137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 125),
  [13139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 125),
  [13141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 117),
  [13143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 117),
  [13145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 126),
  [13147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 126),
  [13149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12752),
  [13151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 22),
  [13153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 22),
  [13155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12772),
  [13157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 92),
  [13159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 92),
  [13161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 127),
  [13163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 127),
  [13165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 104),
  [13167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 104),
  [13169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 6, 0, 28),
  [13171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 6, 0, 28),
  [13173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 8, 0, 124),
  [13175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 8, 0, 124),
  [13177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 8, 0, 132),
  [13179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 8, 0, 132),
  [13181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 125),
  [13183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 125),
  [13185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 126),
  [13187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 126),
  [13189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 133),
  [13191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 133),
  [13193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 127),
  [13195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 127),
  [13197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 134),
  [13199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 134),
  [13201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 104),
  [13203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 104),
  [13205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 9, 0, 132),
  [13207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 9, 0, 132),
  [13209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 133),
  [13211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 133),
  [13213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 134),
  [13215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 134),
  [13217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 136),
  [13219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 136),
  [13221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 11, 0, 136),
  [13223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 11, 0, 136),
  [13225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_typed, 2, 0, 0),
  [13227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_typed, 2, 0, 0),
  [13229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10780),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14256),
  [13233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 3, 0, 0),
  [13235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 3, 0, 0),
  [13237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 4, 0, 0),
  [13239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 4, 0, 0),
  [13241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 2, 0, 0),
  [13243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 2, 0, 0),
  [13245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10787),
  [13247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14260),
  [13249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10786),
  [13251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14939),
  [13253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 54),
  [13255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 54),
  [13257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 5, 0, 0),
  [13259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 5, 0, 0),
  [13261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 3, 0, 0),
  [13263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 3, 0, 0),
  [13265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [13267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [13269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9481),
  [13271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9488),
  [13273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [13275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5657),
  [13277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [13279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [13281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9492),
  [13283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [13285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [13287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9613),
  [13289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5893),
  [13293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9495),
  [13295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13611),
  [13297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 2, 0, 0),
  [13299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 2, 0, 0),
  [13301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9497),
  [13303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [13305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9629),
  [13307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [13309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [13311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 3, 0, 35),
  [13313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 3, 0, 35),
  [13315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10737),
  [13317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8455),
  [13320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [13322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6129),
  [13324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [13326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9174),
  [13328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9543),
  [13330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [13332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [13334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8988),
  [13336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8880),
  [13338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8993),
  [13340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8852),
  [13342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13611),
  [13345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9000),
  [13347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8853),
  [13349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11729),
  [13351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11375),
  [13353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16302),
  [13355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [13357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [13359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [13361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [13363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [13365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [13367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [13369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [13371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [13373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [13375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11603),
  [13377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11359),
  [13379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16015),
  [13381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [13383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13048),
  [13385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [13387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [13389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [13391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [13393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [13395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [13397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14176),
  [13399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14176),
  [13402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [13404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9887),
  [13407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [13409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [13411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9822),
  [13414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9700),
  [13416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [13418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [13420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14185),
  [13422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14185),
  [13425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [13427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [13429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [13431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [13433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9519),
  [13435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 6, 0, 0),
  [13437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 6, 0, 0),
  [13439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8706),
  [13442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [13444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [13446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [13448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [13450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [13452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [13454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [13456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6787),
  [13458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [13460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4428),
  [13462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [13464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9856),
  [13466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [13468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6656),
  [13470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [13472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [13474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [13476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [13478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13677),
  [13480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [13482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [13484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13677),
  [13487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [13489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [13491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 4, 0, 0),
  [13493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 4, 0, 0),
  [13495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 7, 0, 0),
  [13497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 7, 0, 0),
  [13499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11641),
  [13501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14803),
  [13503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [13505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [13507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11099),
  [13509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15675),
  [13511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [13513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [13515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 4, 0, 0),
  [13517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 4, 0, 0),
  [13519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [13521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7116),
  [13523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 5, 0, 0),
  [13525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 5, 0, 0),
  [13527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [13531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [13533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 4, 0, 0),
  [13535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 4, 0, 0),
  [13537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 5, 0, 0),
  [13539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 5, 0, 0),
  [13541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 7, 0, 89),
  [13543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 7, 0, 89),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [13553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [13555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5927),
  [13557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 4, 0, 35),
  [13559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 4, 0, 35),
  [13561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 4, 0, 53),
  [13563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 4, 0, 53),
  [13565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10626),
  [13567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [13569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7219),
  [13571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [13573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [13575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3174),
  [13577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9540),
  [13579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3174),
  [13582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14804),
  [13584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [13586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [13588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [13590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [13592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [13594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7730),
  [13596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [13598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [13600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9447),
  [13602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 5, 0, 72),
  [13604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 5, 0, 72),
  [13606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 6, 0, 89),
  [13608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 6, 0, 89),
  [13610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [13612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [13614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 5, 0, 53),
  [13616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 5, 0, 53),
  [13618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [13620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7047),
  [13622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10785),
  [13624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [13626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [13628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [13630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [13632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 6, 0, 72),
  [13634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 6, 0, 72),
  [13636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8928),
  [13638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8839),
  [13640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8930),
  [13642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8840),
  [13644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [13646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [13648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8938),
  [13650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8844),
  [13652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 3, 0, 0),
  [13654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 3, 0, 0),
  [13656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [13658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [13660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10784),
  [13662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7083),
  [13664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [13666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [13668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [13670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [13672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [13674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [13676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [13678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7739),
  [13680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [13682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5232),
  [13684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 4, 0, 0),
  [13686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 4, 0, 0),
  [13688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4542),
  [13690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [13692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [13694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9895),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6666),
  [13699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6181),
  [13701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(8510),
  [13704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(13829),
  [13707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0),
  [13709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(9269),
  [13712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(14154),
  [13715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(744),
  [13718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15193),
  [13721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15748),
  [13724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(16267),
  [13727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6633),
  [13729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6202),
  [13731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [13733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16270),
  [13735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8939),
  [13737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8832),
  [13739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7741),
  [13741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6703),
  [13743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [13745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7158),
  [13747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
  [13749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [13751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [13753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6742),
  [13755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [13757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 2, 0, 0),
  [13759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 2, 0, 0),
  [13761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6236),
  [13763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6238),
  [13765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [13767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [13769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8961),
  [13771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8846),
  [13773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8963),
  [13775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8847),
  [13777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8966),
  [13779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8848),
  [13781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 1, 0, 0),
  [13783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_external_repeat1, 1, 0, 0),
  [13785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 3, 0, 0),
  [13787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 3, 0, 0),
  [13789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4521),
  [13791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4521),
  [13793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [13795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [13797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0),
  [13799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0),
  [13801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4521),
  [13804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4521),
  [13807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9704),
  [13810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6469),
  [13812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 5, 0, 0),
  [13814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 5, 0, 0),
  [13816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [13818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8479),
  [13820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [13822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6479),
  [13824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6481),
  [13826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6483),
  [13828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4542),
  [13831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4542),
  [13834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8569),
  [13836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 4, 0, 0),
  [13838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 4, 0, 0),
  [13840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9198),
  [13842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8863),
  [13844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9055),
  [13846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8864),
  [13848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9063),
  [13850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8865),
  [13852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [13854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [13856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [13858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [13860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [13862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [13864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [13866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [13868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [13870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [13872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [13874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [13876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [13878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [13880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [13882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [13884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [13886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [13888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [13890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [13892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5932),
  [13894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [13896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [13898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6753),
  [13900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5943),
  [13902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [13904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [13906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7749),
  [13908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [13910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6995),
  [13912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [13914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [13916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [13918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [13920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [13922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [13924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [13926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [13928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [13930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [13932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [13934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5969),
  [13936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13099),
  [13938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [13940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [13942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [13944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [13946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7043),
  [13948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5328),
  [13950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 4, 0, 0),
  [13952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 4, 0, 0),
  [13954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14319),
  [13956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7750),
  [13958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [13960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [13962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [13964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [13966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12106),
  [13968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20171),
  [13970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19408),
  [13972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7061),
  [13974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_item, 1, 0, 0),
  [13976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_item, 1, 0, 0),
  [13978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [13980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [13982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7072),
  [13984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [13986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7089),
  [13988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [13990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6921),
  [13992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9165),
  [13994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8876),
  [13996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [13998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5658),
  [14000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6930),
  [14002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6105),
  [14004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [14006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [14008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [14010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [14012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [14014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [14016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [14018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [14020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [14022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [14024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5822),
  [14026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [14028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6933),
  [14030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [14032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6053),
  [14034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [14036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5872),
  [14038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [14040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [14042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5662),
  [14044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5681),
  [14046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [14048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [14050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7301),
  [14052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6232),
  [14054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [14056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [14058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6315),
  [14060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5682),
  [14062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7311),
  [14064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6396),
  [14066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [14068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [14070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [14072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6460),
  [14074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [14076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7314),
  [14078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7302),
  [14080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0),
  [14082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0),
  [14084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14319),
  [14087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9630),
  [14089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 5, 0, 0),
  [14091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 5, 0, 0),
  [14093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7303),
  [14095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9632),
  [14097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5686),
  [14099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9633),
  [14101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9634),
  [14103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8903),
  [14105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8836),
  [14107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6571),
  [14109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [14111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [14113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [14115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6398),
  [14117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [14119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5900),
  [14121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [14123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [14125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5250),
  [14127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10680),
  [14129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14252),
  [14131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6340),
  [14133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13649),
  [14135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [14137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13649),
  [14140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [14142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [14144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [14146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6454),
  [14148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [14150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [14152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5904),
  [14154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [14156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5912),
  [14158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [14160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [14162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [14164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [14166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5913),
  [14168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [14170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [14172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [14174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [14176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [14178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [14180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7068),
  [14182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [14184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9181),
  [14186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [14188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [14190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [14192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [14194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [14196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [14198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [14200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13678),
  [14202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13678),
  [14205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [14207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [14209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [14211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [14213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [14215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7575),
  [14217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [14219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [14221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [14223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [14225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [14227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [14229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [14231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [14233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [14235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9185),
  [14237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [14239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [14241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [14243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [14245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9188),
  [14247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [14249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9189),
  [14251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [14253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [14255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9190),
  [14257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7220),
  [14259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [14261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [14263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_item, 2, 0, 0),
  [14265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_item, 2, 0, 0),
  [14267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [14269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [14271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7222),
  [14273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [14275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7224),
  [14277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [14279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9183),
  [14281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8830),
  [14283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8805),
  [14285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [14287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [14289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [14291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [14293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [14295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [14297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [14299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [14301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [14303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [14305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [14307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [14309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 3, 0, 0),
  [14311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 3, 0, 0),
  [14313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2958),
  [14315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [14317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2958),
  [14320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [14322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [14324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10773),
  [14326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14254),
  [14328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [14330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4856),
  [14332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4857),
  [14334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [14336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [14338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [14340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8895),
  [14342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8834),
  [14344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8897),
  [14346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8835),
  [14348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9635),
  [14350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17620),
  [14352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [14354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16489),
  [14356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17703),
  [14358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [14360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [14362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [14364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [14366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [14368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [14370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [14372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4571),
  [14374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [14376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [14378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [14380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [14382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [14384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [14386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [14388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [14390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [14392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [14394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [14396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [14398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [14400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [14402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [14404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [14406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [14408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0),
  [14410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0),
  [14412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [14414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4524),
  [14416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [14418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9411),
  [14420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18302),
  [14422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5271),
  [14424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17201),
  [14426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20231),
  [14428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [14430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8695),
  [14433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8701),
  [14436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13661),
  [14438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13661),
  [14441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9478),
  [14443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18199),
  [14445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13505),
  [14447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16399),
  [14449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20116),
  [14451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9448),
  [14453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3133),
  [14455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13671),
  [14457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3133),
  [14460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13671),
  [14463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9671),
  [14466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 3, 0, 0),
  [14468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9766),
  [14471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9465),
  [14473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17603),
  [14475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [14477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16564),
  [14479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20318),
  [14481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 2, 0, 0),
  [14483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18707),
  [14485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8637),
  [14487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16449),
  [14489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20226),
  [14491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9503),
  [14493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10778),
  [14495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9517),
  [14497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8602),
  [14499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8692),
  [14501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14126),
  [14503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9921),
  [14505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12452),
  [14507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14289),
  [14509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9526),
  [14511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9769),
  [14514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9472),
  [14516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9532),
  [14518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0),
  [14520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0),
  [14522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17801),
  [14524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11832),
  [14526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17391),
  [14528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20346),
  [14530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9537),
  [14532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4571),
  [14535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4571),
  [14538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4524),
  [14541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4524),
  [14544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9743),
  [14547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20142),
  [14549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [14551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16530),
  [14553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19821),
  [14555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10770),
  [14557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10771),
  [14559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10777),
  [14561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [14563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [14565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [14567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 5, 0, 0),
  [14569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 0),
  [14571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 0),
  [14573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12694),
  [14575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11402),
  [14577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14848),
  [14579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12633),
  [14581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14527),
  [14583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [14585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [14587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12674),
  [14589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3207),
  [14591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [14593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [14595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [14597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [14599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [14601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [14603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [14605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [14607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [14609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9263),
  [14611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13621),
  [14613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12695),
  [14615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14682),
  [14617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14174),
  [14619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14181),
  [14621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15510),
  [14623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2939),
  [14625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17450),
  [14627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 2, 0, 0),
  [14629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 2, 0, 0),
  [14631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 3, 0, 0),
  [14633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 3, 0, 0),
  [14635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16365),
  [14637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 3, 0, 0),
  [14639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 3, 0, 0),
  [14641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 0),
  [14643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 0),
  [14645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2939),
  [14648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [14650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3198),
  [14652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [14654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [14656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [14658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [14660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [14662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [14664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [14666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [14668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [14670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3207),
  [14673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13667),
  [14675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [14677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [14679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [14681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [14683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [14685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [14687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [14689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13667),
  [14692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [14694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [14696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [14698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [14700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [14702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [14704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [14706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [14708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3007),
  [14711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [14713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [14715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14841),
  [14717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 2, 0, 0),
  [14719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 2, 0, 0),
  [14721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14441),
  [14723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, 0, 0),
  [14725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 3, 0, 0),
  [14727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [14729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13676),
  [14731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13676),
  [14734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9242),
  [14736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12681),
  [14738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [14740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [14742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3198),
  [14745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toplevel_directive, 2, 0, 0),
  [14747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toplevel_directive, 2, 0, 0),
  [14749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14098),
  [14751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14473),
  [14753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 2, 0, 0),
  [14755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 2, 0, 0),
  [14757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16275),
  [14759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14526),
  [14761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14158),
  [14763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8932),
  [14765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8842),
  [14767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [14769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [14771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [14773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [14775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [14777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [14779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [14781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [14783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [14785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 5, 0, 0),
  [14787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 5, 0, 0),
  [14789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [14791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 3, 0, 0),
  [14793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14163),
  [14795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8936),
  [14797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8843),
  [14799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3124),
  [14801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14215),
  [14803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8969),
  [14805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8849),
  [14807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9914),
  [14809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [14811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [14813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2364),
  [14815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [14817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [14819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [14821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2368),
  [14823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8692),
  [14826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(14126),
  [14829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0),
  [14831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(12452),
  [14834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(14289),
  [14837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15193),
  [14840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15748),
  [14843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(16267),
  [14846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9727),
  [14848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12673),
  [14850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 4, 0, 0),
  [14852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 4, 0, 0),
  [14854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [14856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [14858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [14860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [14862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [14864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [14866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [14868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3214),
  [14870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [14872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [14874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3124),
  [14877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14441),
  [14880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9821),
  [14882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 0),
  [14884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, 0, 0),
  [14886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [14888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [14890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [14892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [14894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17450),
  [14897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [14899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [14901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [14903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8860),
  [14905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9846),
  [14907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3214),
  [14910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9920),
  [14912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16310),
  [14914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [14916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [14918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [14920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [14922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9944),
  [14924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12664),
  [14926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16275),
  [14929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [14931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [14933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9071),
  [14935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8866),
  [14937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10451),
  [14939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13103),
  [14941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10683),
  [14943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14473),
  [14946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 4, 0, 0),
  [14948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 4, 0, 0),
  [14950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [14952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9828),
  [14954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10644),
  [14956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8812),
  [14958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3063),
  [14961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12694),
  [14964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [14966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12674),
  [14969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8992),
  [14971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8858),
  [14973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16365),
  [14976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8673),
  [14978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [14980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8729),
  [14982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 2, 0, 38),
  [14984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [14986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [14988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__polymorphic_type, 1, 0, 0),
  [14990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [14992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__polymorphic_type, 1, 0, 0),
  [14994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [14996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [14998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [15000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [15002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [15004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2338),
  [15006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [15008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [15010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [15012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [15014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [15016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2985),
  [15019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8574),
  [15021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [15023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [15025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [15027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [15029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [15031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [15033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [15035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [15037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [15039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [15041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [15043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5360),
  [15045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12769),
  [15047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12769),
  [15049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12754),
  [15051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [15053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [15055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [15057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [15059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [15061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [15063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [15065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [15067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [15069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [15071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [15073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [15075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [15077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [15079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [15081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [15083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [15085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [15087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [15089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [15091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [15093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [15095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [15097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [15099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [15101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [15103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [15105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [15107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [15109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [15111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [15113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [15115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [15117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [15119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [15121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [15123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [15125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [15127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [15129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [15131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [15133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [15135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [15137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [15139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [15141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [15143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [15145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [15147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [15149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [15151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [15153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [15155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [15157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [15159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6762),
  [15161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7106),
  [15163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11778),
  [15165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12343),
  [15167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7053),
  [15169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7137),
  [15171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3196),
  [15173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [15175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [15177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7256),
  [15179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [15181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3196),
  [15184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [15186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7258),
  [15188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7663),
  [15190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [15192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [15194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6592),
  [15196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [15198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [15200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6596),
  [15202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7111),
  [15204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [15206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6403),
  [15208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [15210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [15212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4282),
  [15214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [15216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [15218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 1, 0, 0),
  [15220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 1, 0, 0),
  [15222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 3, 0, 64),
  [15224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 3, 0, 64),
  [15226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 3, 0, 0),
  [15228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 3, 0, 0),
  [15230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [15232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [15234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6262),
  [15236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [15238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [15240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [15242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [15244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6273),
  [15246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8728),
  [15248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [15250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [15252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [15254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [15256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [15258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [15260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [15262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [15264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [15266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9575),
  [15268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [15270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [15272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [15274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3638),
  [15276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [15278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9578),
  [15280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [15282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [15284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [15286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [15288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11219),
  [15290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [15292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [15294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [15296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3996),
  [15298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6257),
  [15300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [15302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [15304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [15306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6174),
  [15308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [15310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9687),
  [15313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [15315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4096),
  [15317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4792),
  [15319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6962),
  [15321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3262),
  [15323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6043),
  [15325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [15327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [15329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7492),
  [15331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7113),
  [15333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3921),
  [15335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6296),
  [15337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6375),
  [15339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [15341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5756),
  [15343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [15345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [15347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [15349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8648),
  [15351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [15353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [15355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [15357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5807),
  [15359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2985),
  [15361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5940),
  [15363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [15365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5608),
  [15367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9070),
  [15369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [15371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5152),
  [15373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [15375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [15377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [15379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [15381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [15383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [15385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [15387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [15389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [15391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [15393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4233),
  [15395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [15397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [15399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [15401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6538),
  [15403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [15405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [15407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [15409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [15411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [15413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [15415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [15417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2970),
  [15419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [15421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [15423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [15425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [15427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3427),
  [15429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [15431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [15433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [15435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0),
  [15437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [15439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [15441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5243),
  [15443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [15445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [15447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7926),
  [15449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [15451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [15453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [15455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7535),
  [15457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [15459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [15461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [15463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4895),
  [15465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [15467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [15469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [15471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [15473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [15475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9720),
  [15478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [15480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [15482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6482),
  [15484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [15486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [15488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [15490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [15492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [15494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [15496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5747),
  [15498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [15500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [15502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [15504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [15506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7455),
  [15508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3054),
  [15511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7107),
  [15513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [15515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [15517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [15519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [15521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [15523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [15525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5033),
  [15527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6111),
  [15529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [15531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [15533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [15535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [15537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure_item, 1, 0, 0),
  [15539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure_item, 1, 0, 0),
  [15541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [15543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [15545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8454),
  [15547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [15549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 78),
  [15551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5493),
  [15553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10090),
  [15555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [15557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [15559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6120),
  [15561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [15563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [15565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [15567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7014),
  [15569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [15571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [15573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5356),
  [15575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [15577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [15579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [15581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [15583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [15585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [15587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [15589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6126),
  [15591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11483),
  [15593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [15595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [15597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [15599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4762),
  [15601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5274),
  [15603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3870),
  [15605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [15607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [15609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [15611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8608),
  [15613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [15615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 3, 0, 57),
  [15617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [15619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [15621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2966),
  [15623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7422),
  [15625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [15627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [15629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6626),
  [15631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [15633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [15635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [15637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13533),
  [15639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [15641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [15643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [15645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [15647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3315),
  [15649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [15651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [15653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [15655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [15657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [15659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [15661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [15663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [15665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [15667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7822),
  [15669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [15671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [15673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7317),
  [15675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5380),
  [15677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [15679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [15681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [15683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [15685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5888),
  [15687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [15689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [15691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [15693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [15695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [15697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [15699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3049),
  [15702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(2966),
  [15705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9377),
  [15707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6624),
  [15709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [15711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7751),
  [15713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [15715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [15717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9107),
  [15719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [15721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [15723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9111),
  [15725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [15727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [15729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [15731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [15733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7358),
  [15735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3027),
  [15738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16357),
  [15740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14824),
  [15742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [15744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [15746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8444),
  [15748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 78),
  [15750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [15752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(12769),
  [15755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(12769),
  [15758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(12754),
  [15761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [15763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [15765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [15767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [15769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [15771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [15773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7950),
  [15775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [15777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3829),
  [15779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7686),
  [15781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [15783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [15785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3830),
  [15787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6427),
  [15789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [15791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [15793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3928),
  [15795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [15797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [15799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0),
  [15801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14317),
  [15803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [15805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [15807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [15809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [15811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [15813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [15815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [15817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [15819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [15821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [15823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7018),
  [15825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [15827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3892),
  [15829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [15831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [15833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9987),
  [15835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17420),
  [15837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8595),
  [15839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12690),
  [15841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12671),
  [15843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [15845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [15847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3745),
  [15849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6281),
  [15851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12680),
  [15853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [15855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [15857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3858),
  [15859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [15861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [15863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [15865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [15867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [15869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [15871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [15873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [15875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [15877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [15879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [15881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [15883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [15885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [15887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [15889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [15891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [15893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [15895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [15897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [15899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12680),
  [15902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [15904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5885),
  [15906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [15908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3719),
  [15910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [15912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5799),
  [15914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [15916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3859),
  [15918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5710),
  [15920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [15922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 57),
  [15924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [15926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [15928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__polymorphic_typed, 2, 0, 0),
  [15930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__polymorphic_typed, 2, 0, 0),
  [15932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6611),
  [15934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [15936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3898),
  [15938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [15940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [15942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [15944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3850),
  [15946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [15948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12698),
  [15950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14733),
  [15952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12676),
  [15954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9729),
  [15956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12677),
  [15958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13338),
  [15960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [15962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [15964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [15966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3822),
  [15968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5154),
  [15970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [15972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 38),
  [15974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7467),
  [15976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [15978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3900),
  [15980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [15982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(12691),
  [15985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [15987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [15989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [15991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [15993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4913),
  [15995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [15997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3738),
  [15999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [16001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [16003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [16005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3817),
  [16007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5602),
  [16009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [16011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [16013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3931),
  [16015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [16017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12671),
  [16020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__instance_variable_name, 1, 0, 5),
  [16022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [16024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [16026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3929),
  [16028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [16030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [16032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [16034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3818),
  [16036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [16038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [16040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [16042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3897),
  [16044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7013),
  [16046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 51),
  [16048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [16050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 38),
  [16052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [16054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [16056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3743),
  [16058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [16060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [16062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14824),
  [16065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [16067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [16069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3716),
  [16071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [16073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9389),
  [16075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [16077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3824),
  [16079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9524),
  [16081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [16083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [16085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12530),
  [16087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8519),
  [16089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12678),
  [16091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [16093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 57),
  [16095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6621),
  [16097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [16099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3727),
  [16101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6948),
  [16103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4744),
  [16105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [16107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3838),
  [16109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [16111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14734),
  [16113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [16115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [16117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3737),
  [16119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [16121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [16123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [16125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [16127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [16129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [16131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [16133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3839),
  [16135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [16137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [16139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [16141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3721),
  [16143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [16145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [16147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [16149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3899),
  [16151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [16153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [16155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [16157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3752),
  [16159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [16161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [16163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7005),
  [16165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [16167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3896),
  [16169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6850),
  [16171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [16173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [16175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [16177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [16179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3860),
  [16181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [16183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [16185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [16187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3930),
  [16189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [16191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [16193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [16195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3819),
  [16197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [16199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6210),
  [16201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [16203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3828),
  [16205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6306),
  [16207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 4, 0, 71),
  [16209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [16211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [16213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3751),
  [16215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6858),
  [16217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9059),
  [16219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [16221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3748),
  [16223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8108),
  [16225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_expression, 3, 0, 0),
  [16227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [16229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [16231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3908),
  [16233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [16235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [16237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [16239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3731),
  [16241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5853),
  [16243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [16245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [16247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3749),
  [16249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6604),
  [16251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14317),
  [16254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6522),
  [16256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [16258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3754),
  [16260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6437),
  [16262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16349),
  [16264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16349),
  [16267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16357),
  [16270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [16272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 78),
  [16274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5864),
  [16276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [16278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [16280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6079),
  [16282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15293),
  [16284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 4, 0, 0),
  [16286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8453),
  [16288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [16290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 57),
  [16292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__typed, 2, 0, 0),
  [16294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__typed, 2, 0, 0),
  [16296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 1, 0, 0),
  [16298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8612),
  [16300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [16302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 3, 0, 38),
  [16304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_item, 1, 0, 0),
  [16306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8480),
  [16308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [16310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 78),
  [16312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17360),
  [16315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13031),
  [16317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14649),
  [16319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8636),
  [16321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12846),
  [16323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15066),
  [16325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14650),
  [16327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12849),
  [16329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17360),
  [16331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12865),
  [16333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 3, 0, 0),
  [16335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14497),
  [16337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [16339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 59),
  [16341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 2, 0, 0),
  [16343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14474),
  [16345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [16347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 39),
  [16349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12900),
  [16351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12779),
  [16353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [16355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [16357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11694),
  [16359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12816),
  [16361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [16363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 79),
  [16365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12828),
  [16367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [16369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [16371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12801),
  [16373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 107),
  [16375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [16377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10683),
  [16379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [16381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_initializer, 2, 0, 0),
  [16383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7274),
  [16385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10912),
  [16387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12683),
  [16389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14792),
  [16391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5298),
  [16393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [16395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [16397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 111),
  [16399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6842),
  [16401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 109),
  [16403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_effect_pattern, 4, 0, 67),
  [16405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_effect_pattern, 4, 0, 67),
  [16407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9712),
  [16409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9689),
  [16411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 109),
  [16413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [16415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [16417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4851),
  [16419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 70),
  [16421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 95),
  [16423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6196),
  [16425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10917),
  [16427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4858),
  [16429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [16431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [16433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 39),
  [16435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [16437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_pattern, 2, 0, 0),
  [16439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_pattern, 2, 0, 0),
  [16441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [16443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [16445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10883),
  [16447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 38),
  [16449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 88),
  [16451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [16453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6325),
  [16455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 70),
  [16457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [16459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17300),
  [16461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [16463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10389),
  [16465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 88),
  [16467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 5, 0, 0),
  [16469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 120),
  [16471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [16473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 111),
  [16475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [16477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6217),
  [16479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [16481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13088),
  [16483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6985),
  [16485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [16487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7850),
  [16489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10889),
  [16491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 5, 0, 0),
  [16493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10358),
  [16495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6713),
  [16497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 118),
  [16499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 122),
  [16501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [16503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 128),
  [16505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9585),
  [16507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6659),
  [16509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8803),
  [16511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [16513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5998),
  [16515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [16517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 79),
  [16519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10364),
  [16521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 129),
  [16523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [16525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6008),
  [16527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 96),
  [16529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_pattern, 3, 0, 0),
  [16531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_pattern, 3, 0, 0),
  [16533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 112),
  [16535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 78),
  [16537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 119),
  [16539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 120),
  [16541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 121),
  [16543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 110),
  [16545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [16547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 95),
  [16549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 3, 0, 0),
  [16551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 3, 0, 0),
  [16553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 97),
  [16555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [16557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 6, 0, 0),
  [16559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [16561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 122),
  [16563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [16565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [16567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 130),
  [16569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [16571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [16573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [16575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10352),
  [16577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5190),
  [16579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [16581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [16583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11985),
  [16585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15254),
  [16587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10436),
  [16589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__effect_pattern, 1, 0, 0),
  [16591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__effect_pattern, 1, 0, 0),
  [16593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17300),
  [16596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7052),
  [16598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4865),
  [16600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [16602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 4, 0, 0),
  [16604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14597),
  [16606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [16608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9593),
  [16610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 80),
  [16612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 107),
  [16614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6670),
  [16616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 112),
  [16618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [16620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7837),
  [16622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 96),
  [16624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [16626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [16628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [16630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [16632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 80),
  [16634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5177),
  [16636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [16638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 110),
  [16640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4940),
  [16642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [16644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_initializer, 3, 0, 0),
  [16646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [16648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 128),
  [16650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [16652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 129),
  [16654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 135),
  [16656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6669),
  [16658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 118),
  [16660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [16662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [16664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_pattern, 3, 0, 0),
  [16666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_pattern, 3, 0, 0),
  [16668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6412),
  [16670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9142),
  [16672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 108),
  [16674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [16676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 57),
  [16678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [16680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 97),
  [16682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7266),
  [16684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 2, 0, 0),
  [16686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 2, 0, 0),
  [16688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [16690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9156),
  [16692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 130),
  [16694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [16696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_pattern, 2, 0, 0),
  [16698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_pattern, 2, 0, 0),
  [16700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [16702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, 0, 0),
  [16704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, 0, 0),
  [16706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6603),
  [16708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5981),
  [16710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 59),
  [16712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [16714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 121),
  [16716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6337),
  [16718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 108),
  [16720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 119),
  [16722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [16724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [16726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 10, 0, 135),
  [16728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11956),
  [16730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 3, 0, 106),
  [16732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specification, 2, 0, 0),
  [16734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 4, 0, 0),
  [16736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 5, 0, 0),
  [16738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 5, 0, 41),
  [16740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18251),
  [16742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 4, 0, 106),
  [16744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 4, 0, 41),
  [16746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8621),
  [16748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specification, 3, 0, 0),
  [16750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 3, 0, 0),
  [16752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8726),
  [16754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_pattern, 3, 0, 0),
  [16756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_pattern, 3, 0, 0),
  [16758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [16760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13192),
  [16762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9823),
  [16764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13288),
  [16766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9859),
  [16768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8726),
  [16771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12714),
  [16773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14376),
  [16775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13282),
  [16777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10328),
  [16779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13289),
  [16781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_pattern, 2, 0, 0),
  [16783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [16785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [16787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_pattern, 2, 0, 0),
  [16789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14366),
  [16791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13285),
  [16793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10186),
  [16795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9899),
  [16797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13123),
  [16799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [16801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [16803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13281),
  [16805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13286),
  [16807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_pattern, 3, 0, 0),
  [16809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_pattern, 3, 0, 0),
  [16811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [16813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [16815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19910),
  [16817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19910),
  [16819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20038),
  [16821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [16823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14162),
  [16825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [16827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [16829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14053),
  [16831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7647),
  [16833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5926),
  [16835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [16837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [16839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [16841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16311),
  [16843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5850),
  [16845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [16847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [16849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [16851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6347),
  [16853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [16855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [16857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [16859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [16861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [16863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [16865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [16867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5951),
  [16869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [16871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [16873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [16875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [16877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14160),
  [16879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [16881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [16883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14179),
  [16885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5916),
  [16887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [16889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [16891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [16893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [16895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [16897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [16899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [16901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6222),
  [16903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [16905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [16907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [16909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [16911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14117),
  [16913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [16915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7531),
  [16917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [16919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [16921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [16923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [16925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14128),
  [16927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8380),
  [16929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [16931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [16933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [16935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [16937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [16939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [16941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [16943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [16945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [16947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [16949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [16951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [16953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [16955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [16957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [16959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [16961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8491),
  [16963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [16965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [16967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [16969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [16971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [16973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [16975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [16977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [16979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [16981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [16983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [16985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [16987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [16989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14051),
  [16991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [16993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [16995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [16997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [16999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [17001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [17003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14084),
  [17005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [17007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [17009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [17011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [17013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [17015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5851),
  [17017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [17019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [17021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [17023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [17025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [17027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [17029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [17031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [17033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [17035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [17037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [17039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [17041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [17043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [17045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [17047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [17049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [17051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [17053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [17055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15254),
  [17058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [17060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [17062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [17064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [17066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [17068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14109),
  [17070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8745),
  [17072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [17074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [17076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [17078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [17080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13478),
  [17082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13478),
  [17084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19116),
  [17086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [17088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [17090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [17092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [17094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [17096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14220),
  [17098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [17100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [17102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [17104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [17106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [17108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [17110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14214),
  [17112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [17114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [17116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8304),
  [17118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_field, 1, 0, 0),
  [17120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 1, 0, 0),
  [17122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16790),
  [17124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [17126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [17128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [17130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [17132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [17134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13063),
  [17136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9813),
  [17138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4760),
  [17140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [17142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [17144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [17146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [17148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14209),
  [17150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13583),
  [17152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13335),
  [17154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [17156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14197),
  [17158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [17160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8978),
  [17162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [17164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [17166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [17168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [17170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16674),
  [17172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17485),
  [17174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11511),
  [17176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7955),
  [17178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [17180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [17182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [17184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14469),
  [17186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [17188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [17190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [17192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [17194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17166),
  [17196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18074),
  [17198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [17200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [17202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [17204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [17206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [17208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [17210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [17212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [17214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6214),
  [17216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [17218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [17220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [17222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5936),
  [17224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [17226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [17228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [17230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [17232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14147),
  [17234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8369),
  [17236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [17238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14153),
  [17240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [17242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [17244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [17246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [17248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [17250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17161),
  [17252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19089),
  [17254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12043),
  [17256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17200),
  [17258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19198),
  [17260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11810),
  [17262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4928),
  [17264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [17266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [17268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [17270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17243),
  [17272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19342),
  [17274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11565),
  [17276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [17278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [17280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [17282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [17284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [17286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [17288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [17290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [17292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17313),
  [17294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19688),
  [17296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14216),
  [17298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14247),
  [17300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8951),
  [17302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [17304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [17306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [17308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9612),
  [17310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [17312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [17314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [17316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8913),
  [17318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9336),
  [17320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10058),
  [17322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8316),
  [17324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8893),
  [17326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9024),
  [17328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10419),
  [17330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10660),
  [17332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8319),
  [17334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9104),
  [17336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9298),
  [17338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9240),
  [17340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8362),
  [17342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10959),
  [17344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14127),
  [17346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(13478),
  [17349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(13478),
  [17352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0),
  [17354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8922),
  [17356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11684),
  [17358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11712),
  [17360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [17362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8890),
  [17364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10793),
  [17366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [17368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10024),
  [17370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8451),
  [17372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10797),
  [17374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [17376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9152),
  [17378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10713),
  [17380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10477),
  [17382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8402),
  [17384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8715),
  [17386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14127),
  [17389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9027),
  [17391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9549),
  [17393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9642),
  [17395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [17397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9184),
  [17399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9849),
  [17401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9941),
  [17403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [17405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [17407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7959),
  [17409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10581),
  [17411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8984),
  [17413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10801),
  [17415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10735),
  [17417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10920),
  [17419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8429),
  [17421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8934),
  [17423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8885),
  [17425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9127),
  [17427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8342),
  [17429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [17431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [17433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [17435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7430),
  [17437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9153),
  [17439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12730),
  [17441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14016),
  [17443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9195),
  [17445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13021),
  [17447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13000),
  [17449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8428),
  [17451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [17453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [17455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_string_content, 1, 0, 0),
  [17457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8979),
  [17459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12615),
  [17461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9044),
  [17463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10142),
  [17465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10104),
  [17467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8335),
  [17469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8914),
  [17471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9950),
  [17473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10154),
  [17475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8427),
  [17477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12764),
  [17479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8375),
  [17481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10084),
  [17483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9046),
  [17485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10579),
  [17487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10630),
  [17489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8409),
  [17491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8917),
  [17493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10641),
  [17495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10643),
  [17497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8351),
  [17499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 1, 0, 0),
  [17501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [17503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8459),
  [17505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8715),
  [17508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8958),
  [17510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12477),
  [17512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12481),
  [17514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8320),
  [17516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_field_specification, 1, 0, 0),
  [17518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9034),
  [17520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9422),
  [17522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9430),
  [17524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8338),
  [17526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9915),
  [17528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9083),
  [17530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13463),
  [17532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12704),
  [17534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8374),
  [17536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8970),
  [17538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13115),
  [17540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12696),
  [17542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8337),
  [17544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8957),
  [17546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9695),
  [17548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9088),
  [17550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9011),
  [17552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9016),
  [17554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8405),
  [17556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9832),
  [17558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8333),
  [17560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9282),
  [17562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [17564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [17566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [17568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7960),
  [17570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [17572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [17574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10421),
  [17576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14103),
  [17578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8542),
  [17580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [17582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3290),
  [17584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [17586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14865),
  [17588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [17590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7962),
  [17592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [17594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [17596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [17598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [17600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4590),
  [17602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [17604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14404),
  [17606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [17608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5668),
  [17610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13335),
  [17612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16527),
  [17614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [17616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16541),
  [17618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7971),
  [17620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11223),
  [17622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [17624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [17626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5666),
  [17628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [17630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14397),
  [17632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [17634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13777),
  [17636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [17638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [17640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14781),
  [17642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [17644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11258),
  [17646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13786),
  [17648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [17650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [17652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13803),
  [17654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16573),
  [17656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [17658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13853),
  [17660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13705),
  [17662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [17664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [17666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13865),
  [17668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16576),
  [17670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [17672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9863),
  [17674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0),
  [17676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [17678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [17680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [17682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [17684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [17686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17454),
  [17688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5700),
  [17690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [17692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11065),
  [17694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11083),
  [17696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [17698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16565),
  [17700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14029),
  [17702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16577),
  [17704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13709),
  [17706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11208),
  [17708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11215),
  [17710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15274),
  [17712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14610),
  [17714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9315),
  [17716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14181),
  [17718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [17720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [17722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [17724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [17726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [17728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17278),
  [17730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [17732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [17734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [17736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16627),
  [17738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13750),
  [17740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11293),
  [17742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11312),
  [17744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16628),
  [17746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13759),
  [17748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [17750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [17752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16394),
  [17754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7728),
  [17756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11468),
  [17758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11491),
  [17760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [17762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11076),
  [17764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11174),
  [17766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16380),
  [17768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14956),
  [17770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9349),
  [17772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7431),
  [17774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [17776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [17778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [17780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11519),
  [17782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11544),
  [17784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [17786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [17788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [17790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [17792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [17794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [17796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11141),
  [17798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11172),
  [17800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [17802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13817),
  [17804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13554),
  [17806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17261),
  [17808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16949),
  [17810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [17812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7809),
  [17814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11279),
  [17816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [17818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11299),
  [17820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_quoted_string_content_repeat1, 1, 0, 0),
  [17822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 1, 0, 0),
  [17824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11474),
  [17826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [17828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11485),
  [17830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17056),
  [17832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [17834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16818),
  [17836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [17838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11048),
  [17840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11050),
  [17842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11082),
  [17844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11085),
  [17846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12890),
  [17848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12909),
  [17850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [17852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11118),
  [17854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11123),
  [17856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 2, 0, 0),
  [17858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [17860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11157),
  [17862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11160),
  [17864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11193),
  [17866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17317),
  [17868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12956),
  [17870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11195),
  [17872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11472),
  [17874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [17876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16834),
  [17878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8466),
  [17880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11227),
  [17882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [17884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13664),
  [17886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16874),
  [17888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11232),
  [17890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17320),
  [17892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13198),
  [17894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11415),
  [17896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11248),
  [17898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11250),
  [17900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11275),
  [17902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11281),
  [17904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11298),
  [17906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11302),
  [17908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11313),
  [17910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11318),
  [17912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [17914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11335),
  [17916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11339),
  [17918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [17920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [17922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17130),
  [17924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [17926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [17928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11362),
  [17930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11365),
  [17932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [17934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12951),
  [17936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11391),
  [17938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11394),
  [17940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11142),
  [17942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [17944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11064),
  [17946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11419),
  [17948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11422),
  [17950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [17952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [17954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11436),
  [17956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17135),
  [17958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [17960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11462),
  [17962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11464),
  [17964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [17966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8799),
  [17968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [17970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [17972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8748),
  [17974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11473),
  [17976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11476),
  [17978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7582),
  [17980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [17982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11500),
  [17984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11503),
  [17986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [17988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7584),
  [17990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11520),
  [17992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11522),
  [17994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17343),
  [17996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10017),
  [17998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [18000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11541),
  [18002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11543),
  [18004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11057),
  [18006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11136),
  [18008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11370),
  [18010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11403),
  [18012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [18014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7675),
  [18016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11517),
  [18018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11613),
  [18020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11567),
  [18022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17168),
  [18024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8797),
  [18026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [18028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11072),
  [18030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11079),
  [18032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [18034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11177),
  [18036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11203),
  [18038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11289),
  [18040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17179),
  [18042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [18044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11296),
  [18046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16801),
  [18048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5690),
  [18050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11374),
  [18052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11377),
  [18054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [18056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11405),
  [18058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11407),
  [18060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [18062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11438),
  [18064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11449),
  [18066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 3, 0, 0),
  [18068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17272),
  [18070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8554),
  [18072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11459),
  [18074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11481),
  [18076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16492),
  [18078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13215),
  [18080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13180),
  [18082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13181),
  [18084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [18086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [18088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13183),
  [18090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16852),
  [18092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7694),
  [18094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16501),
  [18096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10086),
  [18098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [18100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9342),
  [18102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17228),
  [18104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8796),
  [18106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 4, 0, 0),
  [18108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5445),
  [18110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17232),
  [18112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [18114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [18116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [18118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11139),
  [18120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11861),
  [18122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11187),
  [18124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10025),
  [18126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [18128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [18130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17256),
  [18132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [18134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [18136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17282),
  [18138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12803),
  [18140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [18142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13653),
  [18144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16431),
  [18146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5652),
  [18148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [18150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [18152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [18154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [18156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [18158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10059),
  [18160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11246),
  [18162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [18164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [18166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13641),
  [18168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16427),
  [18170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [18172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [18174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11070),
  [18176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16372),
  [18178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14952),
  [18180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9942),
  [18182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16376),
  [18184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14954),
  [18186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9943),
  [18188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11433),
  [18190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [18192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [18194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [18196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6773),
  [18198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [18200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6329),
  [18202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [18204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [18206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [18208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [18210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [18212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [18214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5210),
  [18216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6526),
  [18218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [18220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5814),
  [18222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5954),
  [18224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8586),
  [18226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tag_spec, 1, 0, 0),
  [18228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14411),
  [18230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [18232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [18234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6893),
  [18236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [18238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6991),
  [18240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [18242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [18244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [18246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6609),
  [18248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [18250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [18252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14640),
  [18254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [18256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6241),
  [18258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [18260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5924),
  [18262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [18264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [18266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5805),
  [18268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5818),
  [18270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6866),
  [18272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5825),
  [18274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [18276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6999),
  [18278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [18280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [18282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5612),
  [18284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9626),
  [18286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [18288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [18290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [18292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [18294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [18296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [18298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [18300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [18302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7305),
  [18304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [18306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [18308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [18310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [18312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [18314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [18316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [18318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [18320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [18322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [18324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [18326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [18328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [18330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [18332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [18334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9588),
  [18336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [18338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7286),
  [18340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7156),
  [18342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [18344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9596),
  [18346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [18348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14196),
  [18351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9605),
  [18353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9609),
  [18355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [18357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17541),
  [18359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13475),
  [18361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16699),
  [18363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 4, 0, 84),
  [18365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [18367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [18369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 4, 0, 0),
  [18371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6927),
  [18373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11622),
  [18375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [18377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [18379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [18381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12537),
  [18383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14075),
  [18385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15285),
  [18387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6199),
  [18389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [18391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(15561),
  [18394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [18396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [18398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [18400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6308),
  [18402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16269),
  [18404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12907),
  [18406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4944),
  [18408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6162),
  [18410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [18412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [18414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [18416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [18418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [18420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [18422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6395),
  [18424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [18426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [18428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [18430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0),
  [18432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [18434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [18436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [18438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6450),
  [18440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [18442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0),
  [18444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [18446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [18448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [18450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [18452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7840),
  [18454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7853),
  [18456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7866),
  [18458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7872),
  [18460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7174),
  [18462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [18464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [18466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [18468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [18470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [18472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7190),
  [18474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [18476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [18478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [18480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [18482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [18484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [18486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [18488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7195),
  [18490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [18492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7573),
  [18494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6770),
  [18496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [18498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6723),
  [18500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [18502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [18504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [18506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [18508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6618),
  [18510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7568),
  [18512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [18514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6488),
  [18516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [18518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [18520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7127),
  [18522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6570),
  [18524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [18526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6353),
  [18528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6356),
  [18530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10234),
  [18532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_typed, 2, 0, 0),
  [18534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7073),
  [18536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [18538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [18540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6760),
  [18542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6896),
  [18544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [18546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [18548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [18550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [18552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [18554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [18556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [18558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [18560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8499),
  [18562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [18564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [18566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [18568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6665),
  [18570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6608),
  [18572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [18574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [18576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [18578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14196),
  [18580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [18582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [18584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [18586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6653),
  [18588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [18590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [18592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [18594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [18596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [18598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [18600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [18602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5297),
  [18604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [18606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6792),
  [18608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5314),
  [18610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [18612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [18614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [18616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [18618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tag_specification_repeat1, 2, 0, 0),
  [18620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [18622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5846),
  [18624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [18626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6001),
  [18628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 3, 0, 65),
  [18630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [18632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [18634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [18636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4750),
  [18638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 3, 0, 0),
  [18640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8953),
  [18642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4754),
  [18644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9145),
  [18646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7056),
  [18648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9164),
  [18650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8915),
  [18652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8924),
  [18654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [18656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [18658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [18660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6552),
  [18662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5877),
  [18664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14462),
  [18666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12715),
  [18668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [18670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8511),
  [18672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 1, 0, 0),
  [18674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12537),
  [18676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17505),
  [18678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [18680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14599),
  [18682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14656),
  [18684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14208),
  [18686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8887),
  [18688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8833),
  [18690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14438),
  [18692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17760),
  [18694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [18696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14316),
  [18698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9229),
  [18700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14364),
  [18702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17831),
  [18704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [18706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14516),
  [18708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17913),
  [18710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6966),
  [18712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19787),
  [18714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [18716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10054),
  [18718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10131),
  [18720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17864),
  [18722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [18724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14506),
  [18726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14911),
  [18728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18220),
  [18730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7102),
  [18732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8861),
  [18734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19437),
  [18736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [18738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18925),
  [18740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [18742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14301),
  [18744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14387),
  [18746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19084),
  [18748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [18750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17528),
  [18752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9434),
  [18754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10051),
  [18756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10272),
  [18758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11633),
  [18760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8752),
  [18762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10398),
  [18764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18249),
  [18766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5731),
  [18768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17802),
  [18770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [18772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12747),
  [18774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16137),
  [18776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19914),
  [18778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [18780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14715),
  [18782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10513),
  [18784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14234),
  [18786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17764),
  [18788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [18790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17497),
  [18792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [18794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17923),
  [18796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [18798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14461),
  [18800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20227),
  [18802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6061),
  [18804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5702),
  [18806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18141),
  [18808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5928),
  [18810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8967),
  [18812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12580),
  [18814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20325),
  [18816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7012),
  [18818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14475),
  [18820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18658),
  [18822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [18824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14324),
  [18826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14269),
  [18828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9168),
  [18830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8879),
  [18832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(15293),
  [18835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17883),
  [18837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [18839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17975),
  [18841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [18843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 3, 0, 49),
  [18845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 3, 0, 0),
  [18847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14609),
  [18849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [18851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15364),
  [18853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14534),
  [18855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14375),
  [18857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8856),
  [18859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20089),
  [18861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [18863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14528),
  [18865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8474),
  [18867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20320),
  [18869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7529),
  [18871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10089),
  [18873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19701),
  [18875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [18877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9514),
  [18879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8741),
  [18881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15136),
  [18883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14222),
  [18885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18161),
  [18887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9571),
  [18889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12755),
  [18891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16317),
  [18893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19193),
  [18895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5335),
  [18897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7353),
  [18899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14701),
  [18901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 1, 0, 17),
  [18903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19499),
  [18905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [18907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19037),
  [18909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [18911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12744),
  [18913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16328),
  [18915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14817),
  [18917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [18919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 1, 0, 0),
  [18921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17412),
  [18923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12716),
  [18925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16337),
  [18927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14589),
  [18929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7733),
  [18931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12743),
  [18933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15573),
  [18935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9270),
  [18937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 5, 0, 0),
  [18939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [18941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 1, 0, 20),
  [18943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tag_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(8554),
  [18946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12710),
  [18948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16346),
  [18950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11735),
  [18952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14417),
  [18954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19314),
  [18956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19456),
  [18958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [18960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10207),
  [18962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14651),
  [18964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14248),
  [18966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9141),
  [18968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8877),
  [18970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10078),
  [18972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14327),
  [18974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18739),
  [18976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [18978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 2, 0, 32),
  [18980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7444),
  [18982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18956),
  [18984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [18986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13754),
  [18988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13763),
  [18990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14667),
  [18992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [18994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18361),
  [18996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [18998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5626),
  [19000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18844),
  [19002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7086),
  [19004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19869),
  [19006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [19008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12818),
  [19010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8935),
  [19012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 1, 0, 0),
  [19014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19829),
  [19016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9076),
  [19018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13222),
  [19020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11779),
  [19022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 2, 0, 0),
  [19024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12920),
  [19026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7653),
  [19028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20256),
  [19030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6650),
  [19032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14735),
  [19034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10993),
  [19036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_instantiated_class_type_repeat1, 2, 0, 0),
  [19038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8823),
  [19040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14644),
  [19042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14807),
  [19044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13217),
  [19046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19455),
  [19048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [19050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17563),
  [19052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [19054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20268),
  [19056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6535),
  [19058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17501),
  [19060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6577),
  [19062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8816),
  [19064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14827),
  [19066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20086),
  [19068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [19070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17808),
  [19072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7802),
  [19074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9132),
  [19076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [19078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9288),
  [19080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15079),
  [19082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9028),
  [19084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9033),
  [19086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12505),
  [19088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9051),
  [19090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [19092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [19094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [19096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15047),
  [19098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9719),
  [19100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9312),
  [19102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7844),
  [19104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17451),
  [19106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9323),
  [19108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9820),
  [19110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9598),
  [19112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7855),
  [19114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9344),
  [19116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9056),
  [19118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9833),
  [19120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8639),
  [19122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [19124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [19126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12458),
  [19128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15888),
  [19130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15053),
  [19132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8564),
  [19134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15538),
  [19136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8906),
  [19138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8907),
  [19140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15978),
  [19142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [19144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8908),
  [19146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16373),
  [19148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9813),
  [19151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10559),
  [19153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [19155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [19157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8451),
  [19159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7183),
  [19161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9272),
  [19163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10754),
  [19165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12734),
  [19167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15096),
  [19169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15574),
  [19171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 2, 0, 0),
  [19173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 2, 0, 0), SHIFT_REPEAT(17186),
  [19176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8662),
  [19178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [19180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9736),
  [19182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14961),
  [19184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8944),
  [19186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8945),
  [19188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8556),
  [19190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8946),
  [19192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10732),
  [19194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15099),
  [19196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [19198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8921),
  [19200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [19202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8600),
  [19204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [19206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8925),
  [19208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10743),
  [19210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15106),
  [19212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [19214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14994),
  [19216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9533),
  [19218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8950),
  [19220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8971),
  [19222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8972),
  [19224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10446),
  [19226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8583),
  [19228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [19230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8973),
  [19232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13680),
  [19234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [19236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [19238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10749),
  [19240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10082),
  [19242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15328),
  [19244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [19246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17413),
  [19248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10751),
  [19250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9005),
  [19252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9006),
  [19254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9007),
  [19256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13687),
  [19258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9777),
  [19260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14971),
  [19262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8684),
  [19264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [19266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9865),
  [19268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15993),
  [19270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15756),
  [19272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9507),
  [19274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 2, 0, 0),
  [19276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(16865),
  [19279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9067),
  [19281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9068),
  [19283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11940),
  [19285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9069),
  [19287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7105),
  [19289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6695),
  [19291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13670),
  [19293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13034),
  [19295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [19297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [19299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8644),
  [19301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [19303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15122),
  [19305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8942),
  [19307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13867),
  [19309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11602),
  [19311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11732),
  [19313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16071),
  [19315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17423),
  [19317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10300),
  [19319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20244),
  [19321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [19323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9789),
  [19325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8632),
  [19327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6166),
  [19329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12530),
  [19331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9128),
  [19333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10898),
  [19335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9133),
  [19337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13041),
  [19339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15124),
  [19341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9233),
  [19343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8603),
  [19345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [19347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14993),
  [19349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [19351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [19353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11045),
  [19355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8558),
  [19357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [19359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9171),
  [19361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [19363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9173),
  [19365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7548),
  [19367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13027),
  [19369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15132),
  [19371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [19373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10976),
  [19375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9803),
  [19377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6873),
  [19379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8882),
  [19381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13011),
  [19383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8983),
  [19385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15344),
  [19387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [19389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6990),
  [19391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13013),
  [19393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10406),
  [19395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [19397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8667),
  [19399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [19401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8567),
  [19403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6812),
  [19405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 2, 0, 0),
  [19407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(15285),
  [19410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10080),
  [19412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13096),
  [19414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11607),
  [19416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12720),
  [19418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15325),
  [19420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6184),
  [19422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9753),
  [19424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16014),
  [19426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10760),
  [19428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6901),
  [19430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15147),
  [19432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4535),
  [19434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [19436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8649),
  [19438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7091),
  [19440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9987),
  [19442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16288),
  [19444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [19446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4535),
  [19449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4535),
  [19452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [19454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15534),
  [19456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10429),
  [19458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15151),
  [19460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8686),
  [19462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [19464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13659),
  [19466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8627),
  [19468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6590),
  [19470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8606),
  [19472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [19474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8038),
  [19477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat1, 2, 0, 0),
  [19479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10613),
  [19481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15158),
  [19483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 2, 0, 0),
  [19485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(15364),
  [19488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6373),
  [19490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [19492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [19494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10041),
  [19496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6334),
  [19498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10671),
  [19500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14997),
  [19502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10435),
  [19504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15562),
  [19506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6346),
  [19508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5829),
  [19510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10714),
  [19512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7041),
  [19514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [19516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15000),
  [19518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_type, 2, 0, 0),
  [19520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6234),
  [19522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11617),
  [19524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16305),
  [19526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12541),
  [19528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [19530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8543),
  [19532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [19534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [19536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10952),
  [19538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15001),
  [19540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16719),
  [19542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15172),
  [19544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8737),
  [19546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6658),
  [19548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7873),
  [19550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13060),
  [19552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8589),
  [19554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [19556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5842),
  [19558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8688),
  [19560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [19562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10456),
  [19564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15175),
  [19566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [19568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9110),
  [19570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8609),
  [19572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [19574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6630),
  [19576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [19578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11724),
  [19580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8575),
  [19582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [19584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10796),
  [19586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15008),
  [19588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12737),
  [19590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15330),
  [19592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10497),
  [19594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15179),
  [19596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9908),
  [19598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8652),
  [19600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [19602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8630),
  [19604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9574),
  [19606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10554),
  [19608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15590),
  [19610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [19612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10510),
  [19614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [19616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [19618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [19620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5789),
  [19622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10526),
  [19624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [19626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [19628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9917),
  [19630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [19632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8677),
  [19634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [19636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [19638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9482),
  [19640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10939),
  [19642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8446),
  [19644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [19646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13074),
  [19648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [19650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16072),
  [19652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4860),
  [19654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11700),
  [19656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16321),
  [19658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 1, 0, 0),
  [19660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [19662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [19664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10838),
  [19666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15196),
  [19668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [19670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10835),
  [19672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9131),
  [19674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9148),
  [19676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10851),
  [19678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16165),
  [19680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13101),
  [19682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16031),
  [19684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9658),
  [19686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15201),
  [19688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10753),
  [19690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [19692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [19694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8613),
  [19696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [19698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [19700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7379),
  [19702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9047),
  [19704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10859),
  [19706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15342),
  [19708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9387),
  [19710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15209),
  [19712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6691),
  [19714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [19716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [19718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8690),
  [19720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [19722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [19724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8634),
  [19726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [19728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [19730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9782),
  [19732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [19734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9416),
  [19736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [19738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9456),
  [19740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15238),
  [19742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16364),
  [19744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [19746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [19748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16806),
  [19750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10823),
  [19752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16151),
  [19754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [19756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9137),
  [19758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9090),
  [19760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15351),
  [19762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13201),
  [19764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14072),
  [19766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [19768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [19770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8512),
  [19772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [19774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [19776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7071),
  [19778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10439),
  [19780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11964),
  [19782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14958),
  [19784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15028),
  [19786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10476),
  [19788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [19790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9275),
  [19792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15296),
  [19794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17413),
  [19797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12725),
  [19799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9981),
  [19801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15228),
  [19803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [19805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [19807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10026),
  [19809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15034),
  [19811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14058),
  [19813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7201),
  [19815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14119),
  [19817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9238),
  [19819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10071),
  [19821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15235),
  [19823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7896),
  [19825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8657),
  [19827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [19829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8503),
  [19831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [19833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15565),
  [19835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [19837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10112),
  [19839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11688),
  [19841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [19843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14106),
  [19845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5809),
  [19847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10157),
  [19849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8592),
  [19851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [19853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8996),
  [19855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8999),
  [19857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9018),
  [19859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9958),
  [19861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15041),
  [19863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13071),
  [19865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16140),
  [19867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8671),
  [19869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [19871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14137),
  [19873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12558),
  [19875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15000),
  [19878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 2, 0, 0),
  [19880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8910),
  [19882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [19884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8538),
  [19886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [19888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10007),
  [19890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15251),
  [19892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [19894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14172),
  [19896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [19898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12517),
  [19900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15253),
  [19902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14204),
  [19904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [19906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10042),
  [19908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14221),
  [19910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [19912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5982),
  [19914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [19916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [19918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11671),
  [19920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6400),
  [19922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11637),
  [19924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8535),
  [19926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12763),
  [19928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14238),
  [19930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [19932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12605),
  [19934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15257),
  [19936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14253),
  [19938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14268),
  [19940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [19942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [19944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14041),
  [19946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6004),
  [19948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14046),
  [19950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12468),
  [19952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14047),
  [19954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9310),
  [19956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16293),
  [19958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16130),
  [19960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14052),
  [19962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [19964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14057),
  [19966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12529),
  [19968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14065),
  [19970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14070),
  [19972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8537),
  [19974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [19976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14074),
  [19978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15267),
  [19980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9330),
  [19982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15331),
  [19984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14076),
  [19986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10499),
  [19988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14082),
  [19990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8680),
  [19992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [19994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14085),
  [19996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14091),
  [19998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6424),
  [20000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14094),
  [20002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9135),
  [20004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15270),
  [20006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14097),
  [20008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10164),
  [20010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14102),
  [20012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9136),
  [20014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14969),
  [20016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12532),
  [20018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14104),
  [20020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9439),
  [20022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15272),
  [20024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14105),
  [20026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14108),
  [20028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14110),
  [20030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8622),
  [20032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9106),
  [20034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9139),
  [20036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14112),
  [20038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8911),
  [20040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [20042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11608),
  [20044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14116),
  [20046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15808),
  [20048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14121),
  [20050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9459),
  [20052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15279),
  [20054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14125),
  [20056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14131),
  [20058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13972),
  [20060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14138),
  [20062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9150),
  [20064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14140),
  [20066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9590),
  [20068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9469),
  [20070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14142),
  [20072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8515),
  [20074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [20076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [20078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14145),
  [20080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15948),
  [20082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9177),
  [20084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14149),
  [20086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9476),
  [20088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [20090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14152),
  [20092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14156),
  [20094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9230),
  [20096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16749),
  [20098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13499),
  [20100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15829),
  [20102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15987),
  [20104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10686),
  [20106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15061),
  [20108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11907),
  [20110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8742),
  [20112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15321),
  [20114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12005),
  [20116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_params_repeat1, 2, 0, 0),
  [20118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_params_repeat1, 2, 0, 0), SHIFT_REPEAT(13588),
  [20121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9129),
  [20123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15295),
  [20125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9203),
  [20127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15069),
  [20129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8546),
  [20131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6638),
  [20133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7360),
  [20135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8596),
  [20137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [20139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_instantiated_class_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8586),
  [20142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9041),
  [20144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15300),
  [20146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [20148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6539),
  [20150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [20152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [20154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5642),
  [20156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11685),
  [20158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10774),
  [20160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10781),
  [20162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15445),
  [20164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9080),
  [20166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15306),
  [20168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10788),
  [20170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16350),
  [20172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [20174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16358),
  [20176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16367),
  [20178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13587),
  [20180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15853),
  [20182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [20184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8659),
  [20186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [20188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11726),
  [20190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11728),
  [20192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9089),
  [20194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11044),
  [20196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5515),
  [20198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11725),
  [20200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9781),
  [20202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14396),
  [20204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [20206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14450),
  [20208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10745),
  [20210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13916),
  [20212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [20214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [20216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [20218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [20220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13912),
  [20222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13826),
  [20224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8614),
  [20226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5192),
  [20228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13913),
  [20230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13739),
  [20232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13774),
  [20234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [20236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [20238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15914),
  [20240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14000),
  [20242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [20244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [20246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10165),
  [20248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14432),
  [20250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14368),
  [20252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [20254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4674),
  [20256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [20258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16612),
  [20260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [20262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [20264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [20266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [20268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13914),
  [20270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [20272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 1, 0, 1),
  [20274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13827),
  [20276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [20278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13917),
  [20280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7974),
  [20282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13830),
  [20284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [20286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8628),
  [20288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [20290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [20292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9852),
  [20294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [20296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13720),
  [20298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [20300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [20302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13775),
  [20304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13915),
  [20306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14218),
  [20308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [20310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [20312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [20314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [20316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16633),
  [20318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [20320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17318),
  [20322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [20324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13748),
  [20326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13828),
  [20328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14579),
  [20330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [20332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17415),
  [20334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13588),
  [20336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14407),
  [20338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13682),
  [20340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9984),
  [20342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8994),
  [20344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13741),
  [20346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [20348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13102),
  [20350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9667),
  [20353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14486),
  [20355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [20357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17276),
  [20359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17279),
  [20361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17285),
  [20363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8780),
  [20365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [20367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14039),
  [20369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16660),
  [20371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [20373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17215),
  [20375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12766),
  [20377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13780),
  [20379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [20381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8937),
  [20383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13920),
  [20385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7534),
  [20387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14519),
  [20389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [20391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [20393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [20395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14468),
  [20397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [20399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13728),
  [20401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [20403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14250),
  [20405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6478),
  [20407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [20409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14427),
  [20411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [20413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15626),
  [20416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_declaration_repeat1, 2, 0, 0),
  [20418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13838),
  [20420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13392),
  [20422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13030),
  [20424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14213),
  [20426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [20428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13782),
  [20430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9196),
  [20432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16682),
  [20434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [20436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8344),
  [20438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13921),
  [20440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6645),
  [20442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [20444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [20446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [20448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 2, 0, 0),
  [20450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13924),
  [20452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [20454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20113),
  [20456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [20458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14522),
  [20460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13945),
  [20462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7112),
  [20464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14436),
  [20466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [20468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13742),
  [20470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14530),
  [20472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13024),
  [20474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16703),
  [20476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6218),
  [20478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14446),
  [20480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17299),
  [20482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13043),
  [20484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [20486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11604),
  [20488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0), SHIFT_REPEAT(9358),
  [20491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14259),
  [20493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13925),
  [20495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [20497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16494),
  [20499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [20501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13927),
  [20503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [20505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14148),
  [20507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [20509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13848),
  [20511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16718),
  [20513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14447),
  [20515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13783),
  [20517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [20519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18533),
  [20521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [20523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [20525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14515),
  [20527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [20529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13926),
  [20531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9619),
  [20533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(3304),
  [20536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14503),
  [20538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [20540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8806),
  [20542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [20544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [20546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [20548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16732),
  [20550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6712),
  [20552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [20554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [20556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13928),
  [20558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10948),
  [20560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [20562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14045),
  [20564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13929),
  [20566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13784),
  [20568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8927),
  [20570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20263),
  [20572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8986),
  [20574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [20576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13396),
  [20578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16748),
  [20580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13744),
  [20582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14919),
  [20584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [20586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [20588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14638),
  [20590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14555),
  [20592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [20594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13854),
  [20596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [20598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13736),
  [20600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6814),
  [20602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11746),
  [20604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13787),
  [20606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [20608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13849),
  [20610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [20612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9876),
  [20614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16934),
  [20616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [20618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14596),
  [20620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [20622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9735),
  [20624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [20626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [20628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11038),
  [20630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [20632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14634),
  [20634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [20636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16764),
  [20638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14574),
  [20640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [20642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10810),
  [20644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17378),
  [20646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13812),
  [20648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13729),
  [20650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9765),
  [20652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13794),
  [20654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [20656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13799),
  [20658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9576),
  [20660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [20662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9193),
  [20664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13936),
  [20666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6683),
  [20668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [20670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13859),
  [20672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [20674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10426),
  [20676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16782),
  [20678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14267),
  [20680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14551),
  [20682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [20684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13789),
  [20686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9057),
  [20688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13433),
  [20690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17203),
  [20692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13484),
  [20694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [20696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6219),
  [20698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8909),
  [20700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8817),
  [20702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13935),
  [20704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6263),
  [20706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13969),
  [20708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [20710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16798),
  [20712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8666),
  [20714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8746),
  [20716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14518),
  [20718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [20720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [20722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14510),
  [20724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6293),
  [20726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [20728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [20730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [20732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [20734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14711),
  [20736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [20738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10605),
  [20740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13516),
  [20742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [20744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [20746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15976),
  [20748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10619),
  [20750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 1, 0, 0),
  [20752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13715),
  [20754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [20756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16814),
  [20758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14584),
  [20760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13939),
  [20762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [20764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13946),
  [20766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [20768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13745),
  [20770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [20772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [20774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14688),
  [20776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7260),
  [20778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14621),
  [20780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13790),
  [20782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [20784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14514),
  [20786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13595),
  [20788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6975),
  [20790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12931),
  [20792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6338),
  [20794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10432),
  [20796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16832),
  [20798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13941),
  [20800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18497),
  [20802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14077),
  [20804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [20806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [20808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6436),
  [20810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [20812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8582),
  [20814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13877),
  [20816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [20818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6352),
  [20820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [20822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13942),
  [20824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [20826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16849),
  [20828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13791),
  [20830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [20832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8926),
  [20834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14542),
  [20836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13860),
  [20838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [20840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8478),
  [20842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [20844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(15976),
  [20847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13756),
  [20849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11680),
  [20851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19153),
  [20853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12446),
  [20855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13968),
  [20857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16864),
  [20859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [20861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12733),
  [20863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13948),
  [20865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 1, 0, 0),
  [20867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13957),
  [20869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7122),
  [20871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16875),
  [20873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [20875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14547),
  [20877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [20879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [20881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14884),
  [20883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19605),
  [20885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14379),
  [20887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [20889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8340),
  [20891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16404),
  [20893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16889),
  [20895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [20897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [20899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13733),
  [20901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8588),
  [20903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6757),
  [20905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [20907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17664),
  [20909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13949),
  [20911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10454),
  [20913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14060),
  [20915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [20917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13861),
  [20919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [20921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16900),
  [20923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9038),
  [20925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11589),
  [20927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2290),
  [20930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [20932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14573),
  [20934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14870),
  [20936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9580),
  [20938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14608),
  [20940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [20942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13951),
  [20944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [20946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16907),
  [20948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [20950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13471),
  [20952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7432),
  [20954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14631),
  [20956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13904),
  [20958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14569),
  [20960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [20962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14038),
  [20964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9058),
  [20966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16923),
  [20968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10494),
  [20970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14484),
  [20972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11873),
  [20974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16918),
  [20976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10501),
  [20978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13795),
  [20980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [20982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10549),
  [20984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [20986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13722),
  [20988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14658),
  [20990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [20992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13952),
  [20994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16932),
  [20996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [20998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13954),
  [21000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [21002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [21004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14395),
  [21006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [21008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [21010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13800),
  [21012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14575),
  [21014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [21016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10568),
  [21018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [21020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(14226),
  [21023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_expression_repeat1, 2, 0, 0),
  [21025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16945),
  [21027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13405),
  [21029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12722),
  [21031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [21033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13603),
  [21035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8747),
  [21037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13953),
  [21039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14582),
  [21041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [21043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12867),
  [21045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13163),
  [21047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13542),
  [21049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13796),
  [21051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [21053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5948),
  [21055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16960),
  [21057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13870),
  [21059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [21061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [21063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [21065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [21067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13955),
  [21069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13751),
  [21071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5941),
  [21073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13961),
  [21075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [21077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13591),
  [21079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [21081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [21083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13613),
  [21085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [21087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16970),
  [21089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [21091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [21093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14636),
  [21095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [21097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [21099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14671),
  [21101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14601),
  [21103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [21105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [21107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13797),
  [21109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [21111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [21113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13980),
  [21115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16982),
  [21117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13558),
  [21119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5588),
  [21121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5871),
  [21123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14258),
  [21125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14771),
  [21127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [21129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [21131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12728),
  [21133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [21135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13963),
  [21137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [21139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9273),
  [21141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14207),
  [21143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16994),
  [21145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16391),
  [21147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [21149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7131),
  [21151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [21153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [21155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [21157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14572),
  [21159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13798),
  [21161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13964),
  [21163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [21165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10014),
  [21167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17006),
  [21169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14673),
  [21171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12978),
  [21173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14155),
  [21175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13753),
  [21177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13053),
  [21179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13982),
  [21181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13730),
  [21183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9655),
  [21185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14090),
  [21187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [21189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14769),
  [21191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [21193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9052),
  [21195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17017),
  [21197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9169),
  [21199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [21201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [21203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [21205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [21207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13866),
  [21209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17025),
  [21211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13971),
  [21213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [21215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13628),
  [21217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_copy_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15820),
  [21220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_copy_expression_repeat1, 2, 0, 0),
  [21222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [21224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13727),
  [21226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14726),
  [21228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7689),
  [21230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13073),
  [21232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13644),
  [21234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14639),
  [21236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [21238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19074),
  [21240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [21242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17035),
  [21244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8968),
  [21246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13718),
  [21248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9382),
  [21250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [21252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9105),
  [21254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13871),
  [21256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [21258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [21260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9393),
  [21262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [21264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [21266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [21268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17043),
  [21270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13975),
  [21272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13978),
  [21274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [21276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [21278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13483),
  [21280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [21282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [21284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [21286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19221),
  [21288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13648),
  [21290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13878),
  [21292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14646),
  [21294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17052),
  [21296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10848),
  [21298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [21300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14657),
  [21302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [21304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14749),
  [21306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [21308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [21310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8324),
  [21312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13615),
  [21314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5667),
  [21316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [21318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13977),
  [21320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [21322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [21324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [21326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17061),
  [21328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19326),
  [21330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [21332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14740),
  [21334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14722),
  [21336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [21338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [21340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13979),
  [21342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [21344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13981),
  [21346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17069),
  [21348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [21350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10167),
  [21352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17076),
  [21354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13633),
  [21356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7668),
  [21358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [21360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13988),
  [21362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13811),
  [21364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9965),
  [21366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17081),
  [21368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7275),
  [21370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14663),
  [21372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [21374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17085),
  [21376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [21378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17089),
  [21380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [21382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17093),
  [21384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [21386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17098),
  [21388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13984),
  [21390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17102),
  [21392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17106),
  [21394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [21396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17110),
  [21398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [21400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17114),
  [21402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [21404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17118),
  [21406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13872),
  [21408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17122),
  [21410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [21412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17126),
  [21414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [21416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17131),
  [21418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17132),
  [21420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17133),
  [21422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17134),
  [21424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17136),
  [21426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17137),
  [21428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17138),
  [21430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17139),
  [21432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17140),
  [21434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17141),
  [21436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17143),
  [21438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17144),
  [21440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17145),
  [21442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17146),
  [21444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17147),
  [21446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17148),
  [21448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17149),
  [21450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17150),
  [21452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17151),
  [21454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17152),
  [21456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17153),
  [21458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17154),
  [21460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17155),
  [21462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17156),
  [21464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [21466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [21468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13802),
  [21470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [21472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14765),
  [21474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6918),
  [21476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7646),
  [21478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [21480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17169),
  [21482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13986),
  [21484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [21486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17223),
  [21488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17225),
  [21490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17226),
  [21492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6189),
  [21494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [21496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [21498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13889),
  [21500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [21502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13874),
  [21504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13992),
  [21506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13888),
  [21508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [21510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [21512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [21514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [21516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7698),
  [21518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13637),
  [21520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13734),
  [21522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [21524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17400),
  [21526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [21528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7020),
  [21530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2333),
  [21533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [21535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [21537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [21539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [21541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [21543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13876),
  [21545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14756),
  [21547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14830),
  [21549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [21551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5890),
  [21553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5817),
  [21555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9979),
  [21557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14120),
  [21559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13807),
  [21561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6416),
  [21563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8919),
  [21565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7062),
  [21567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10287),
  [21569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13990),
  [21571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [21573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13882),
  [21575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13996),
  [21577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16443),
  [21579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14283),
  [21581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [21583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [21585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14714),
  [21587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [21589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [21591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13112),
  [21593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17404),
  [21595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17405),
  [21597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17406),
  [21599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10066),
  [21601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13757),
  [21603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10821),
  [21605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [21607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [21609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [21611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [21613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10073),
  [21615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [21617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13991),
  [21619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9324),
  [21621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13995),
  [21623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [21625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13762),
  [21627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13824),
  [21629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [21631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14758),
  [21633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4765),
  [21635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [21637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14501),
  [21639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10853),
  [21641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14720),
  [21643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14454),
  [21645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14049),
  [21647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14293),
  [21649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [21651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8330),
  [21653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13993),
  [21655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13723),
  [21657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13382),
  [21659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [21661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [21663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13511),
  [21665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12914),
  [21667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [21669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16407),
  [21671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16408),
  [21673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16409),
  [21675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [21677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [21679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13994),
  [21681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [21683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [21685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [21687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [21689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9332),
  [21691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8541),
  [21693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13684),
  [21695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13804),
  [21697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17185),
  [21699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14006),
  [21701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [21703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 2, 0, 0),
  [21705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6106),
  [21707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6449),
  [21709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13735),
  [21711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [21713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13410),
  [21715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13788),
  [21717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13726),
  [21719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13883),
  [21721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [21723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [21725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13764),
  [21727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [21729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14443),
  [21731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [21733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13521),
  [21735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13182),
  [21737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14880),
  [21739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5549),
  [21741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13414),
  [21743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13857),
  [21745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16458),
  [21747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16459),
  [21749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16460),
  [21751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8976),
  [21753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [21755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [21757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [21759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [21761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13863),
  [21763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [21765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [21767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13435),
  [21769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7622),
  [21771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17177),
  [21773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13765),
  [21775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14776),
  [21777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16497),
  [21779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16498),
  [21781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16499),
  [21783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13900),
  [21785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [21787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [21789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [21791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [21793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4737),
  [21795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12515),
  [21797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14164),
  [21799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexing_operator_path, 3, 0, 0),
  [21801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexing_operator_path, 3, 0, 0),
  [21803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13385),
  [21805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7961),
  [21807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8965),
  [21809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16538),
  [21811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16539),
  [21813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16540),
  [21815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [21817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [21819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [21821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9563),
  [21823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13938),
  [21825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [21827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9594),
  [21829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13908),
  [21831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [21833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13814),
  [21835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14007),
  [21837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [21839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16568),
  [21841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16569),
  [21843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16570),
  [21845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [21847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [21849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [21851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14874),
  [21853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [21855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [21857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 2, 0, 20),
  [21859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14018),
  [21861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9201),
  [21863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14078),
  [21865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14786),
  [21867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5989),
  [21869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16598),
  [21871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16599),
  [21873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16600),
  [21875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [21877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [21879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [21881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4580),
  [21884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12595),
  [21886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9112),
  [21888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16620),
  [21890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16621),
  [21892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16622),
  [21894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12620),
  [21896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [21898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [21900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [21902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [21904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14281),
  [21906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14012),
  [21908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [21910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16640),
  [21912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16641),
  [21914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16642),
  [21916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [21918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [21920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [21922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13714),
  [21924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [21926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(14089),
  [21929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_binding_pattern_repeat1, 2, 0, 0),
  [21931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16483),
  [21933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [21935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [21937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16667),
  [21939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16668),
  [21941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16669),
  [21943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [21945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [21947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [21949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13895),
  [21951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7820),
  [21953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13579),
  [21955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10027),
  [21957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [21959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14798),
  [21961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16690),
  [21963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16691),
  [21965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16692),
  [21967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [21969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [21971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [21973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6009),
  [21975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16707),
  [21977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16708),
  [21979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16709),
  [21981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [21983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [21985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [21987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14014),
  [21989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14288),
  [21991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7826),
  [21993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13766),
  [21995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16723),
  [21997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16724),
  [21999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16725),
  [22001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [22003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [22005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [22007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [22009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [22011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [22013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16735),
  [22015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16736),
  [22017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16737),
  [22019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6484),
  [22021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [22023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [22025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [22027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [22029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9284),
  [22031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14015),
  [22033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16751),
  [22035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16752),
  [22037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16753),
  [22039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13106),
  [22041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [22043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [22045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [22047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16768),
  [22049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16769),
  [22051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16770),
  [22053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8561),
  [22055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [22057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [22059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [22061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17237),
  [22063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9604),
  [22065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [22067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [22069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16785),
  [22071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16786),
  [22073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16787),
  [22075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [22077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [22079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [22081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9300),
  [22083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14742),
  [22085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [22087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [22089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [22091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16802),
  [22093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16803),
  [22095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16804),
  [22097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14620),
  [22099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [22101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [22103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [22105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13896),
  [22107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [22109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14321),
  [22111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16820),
  [22113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16821),
  [22115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16822),
  [22117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13768),
  [22119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [22121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [22123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [22125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [22127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(3303),
  [22130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16836),
  [22132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16837),
  [22134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16838),
  [22136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [22138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [22140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [22142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(14124),
  [22145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0),
  [22147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [22149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13737),
  [22151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12511),
  [22153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16854),
  [22155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16855),
  [22157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16856),
  [22159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [22161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [22163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [22165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14294),
  [22167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13815),
  [22169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16566),
  [22171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16868),
  [22173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16869),
  [22175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16870),
  [22177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [22179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [22181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [22183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7519),
  [22185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10020),
  [22187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14021),
  [22189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16879),
  [22191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16880),
  [22193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16881),
  [22195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [22197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [22199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [22201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7851),
  [22203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13897),
  [22205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [22207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19279),
  [22209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16893),
  [22211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16894),
  [22213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16895),
  [22215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [22217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [22219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [22221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [22223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13724),
  [22225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [22227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13425),
  [22229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9437),
  [22231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14194),
  [22233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16902),
  [22235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16903),
  [22237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16904),
  [22239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [22241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [22243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [22245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [22247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [22249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [22251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9036),
  [22253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16912),
  [22255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16913),
  [22257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16914),
  [22259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [22261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [22263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [22265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8571),
  [22267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7522),
  [22269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16927),
  [22271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16928),
  [22273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16929),
  [22275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [22277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [22279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [22281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [22283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8975),
  [22285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14022),
  [22287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9109),
  [22289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16939),
  [22291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16940),
  [22293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16941),
  [22295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [22297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [22299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [22301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13898),
  [22303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16524),
  [22305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [22307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [22309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16950),
  [22311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16951),
  [22313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16952),
  [22315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [22317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [22319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [22321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14868),
  [22323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [22325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8892),
  [22327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16961),
  [22329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16962),
  [22331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16963),
  [22333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [22335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [22337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [22339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [22341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9455),
  [22343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14309),
  [22345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13902),
  [22347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [22349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16973),
  [22351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16974),
  [22353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16975),
  [22355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14352),
  [22357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [22359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [22361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [22363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9461),
  [22365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12545),
  [22367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16986),
  [22369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16987),
  [22371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16988),
  [22373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [22375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [22377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [22379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [22381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13430),
  [22383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14025),
  [22385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [22387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [22389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17000),
  [22391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17001),
  [22393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17002),
  [22395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [22397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [22399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [22401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [22403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13746),
  [22405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17010),
  [22407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17011),
  [22409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17012),
  [22411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9731),
  [22413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [22415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [22417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [22419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14877),
  [22421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [22423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17021),
  [22425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17022),
  [22427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17023),
  [22429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [22431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [22433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [22435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8579),
  [22437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14151),
  [22439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9157),
  [22441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17030),
  [22443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17031),
  [22445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17032),
  [22447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14026),
  [22449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [22451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [22453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [22455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8585),
  [22457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14480),
  [22459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17039),
  [22461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17040),
  [22463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17041),
  [22465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19323),
  [22467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [22469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [22471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [22473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [22475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13906),
  [22477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17048),
  [22479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17049),
  [22481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17050),
  [22483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [22485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [22487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [22489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8898),
  [22491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14027),
  [22493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7920),
  [22495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13496),
  [22497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17057),
  [22499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17058),
  [22501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17059),
  [22503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [22505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [22507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [22509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [22511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13738),
  [22513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14044),
  [22515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17065),
  [22517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17066),
  [22519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17067),
  [22521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [22523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [22525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [22527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20307),
  [22529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8960),
  [22531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17070),
  [22533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17071),
  [22535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17072),
  [22537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14342),
  [22539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [22541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13713),
  [22543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9097),
  [22545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17078),
  [22547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17079),
  [22549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17080),
  [22551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17082),
  [22553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17083),
  [22555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17084),
  [22557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17086),
  [22559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17087),
  [22561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17088),
  [22563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17090),
  [22565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17091),
  [22567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17092),
  [22569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17094),
  [22571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17095),
  [22573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17096),
  [22575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17099),
  [22577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17100),
  [22579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17101),
  [22581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17103),
  [22583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17104),
  [22585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17105),
  [22587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17107),
  [22589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17108),
  [22591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17109),
  [22593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17111),
  [22595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17112),
  [22597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17113),
  [22599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17115),
  [22601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17116),
  [22603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17117),
  [22605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17119),
  [22607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17120),
  [22609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17121),
  [22611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17123),
  [22613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17124),
  [22615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17125),
  [22617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17127),
  [22619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17128),
  [22621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17129),
  [22623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14808),
  [22625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [22627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9685),
  [22629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13770),
  [22631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [22633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [22635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_expression, 1, 0, 0),
  [22637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20223),
  [22639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13359),
  [22641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [22643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8948),
  [22645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7239),
  [22647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16558),
  [22649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4606),
  [22652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [22654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [22656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13793),
  [22658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6651),
  [22660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18536),
  [22662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10108),
  [22664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13909),
  [22666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9037),
  [22668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14228),
  [22670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14400),
  [22672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [22674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9095),
  [22676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7606),
  [22678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16454),
  [22680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9092),
  [22682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexing_operator_path, 1, 0, 0),
  [22684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexing_operator_path, 1, 0, 0),
  [22686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14789),
  [22688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [22690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14037),
  [22692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [22694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14189),
  [22696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14916),
  [22698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [22700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14944),
  [22702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6690),
  [22704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8597),
  [22706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13423),
  [22708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [22710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13821),
  [22712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [22714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [22716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10730),
  [22718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14949),
  [22720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [22722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14927),
  [22724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14135),
  [22726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14538),
  [22728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16638),
  [22730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13771),
  [22732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13832),
  [22734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9074),
  [22736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14934),
  [22738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9154),
  [22740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14408),
  [22742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [22744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [22746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [22748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9772),
  [22750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14942),
  [22752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13907),
  [22754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [22756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9082),
  [22758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [22760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7189),
  [22762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13892),
  [22764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14361),
  [22766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14449),
  [22768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10372),
  [22770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [22772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13581),
  [22774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14362),
  [22776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [22778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16587),
  [22780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14672),
  [22782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [22784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [22786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10740),
  [22788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13711),
  [22790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6627),
  [22792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13755),
  [22794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13340),
  [22796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [22798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13351),
  [22800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9043),
  [22802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20341),
  [22804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16848),
  [22806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16850),
  [22808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [22810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19416),
  [22812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [22814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [22816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9048),
  [22818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17811),
  [22820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7708),
  [22822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18373),
  [22824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17921),
  [22826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [22828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [22830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10964),
  [22832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [22834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [22836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9350),
  [22838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15764),
  [22840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8709),
  [22842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17188),
  [22844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19308),
  [22846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19309),
  [22848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19310),
  [22850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [22852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7877),
  [22854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8916),
  [22856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [22858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9631),
  [22860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13347),
  [22862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [22864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19508),
  [22866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [22868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19883),
  [22870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [22872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8672),
  [22874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [22876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8593),
  [22878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [22880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [22882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8568),
  [22884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [22886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7240),
  [22888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [22890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13643),
  [22892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [22894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [22896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7942),
  [22898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19117),
  [22900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [22902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13655),
  [22904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12192),
  [22906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19044),
  [22908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [22910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7478),
  [22912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [22914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [22916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [22918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6495),
  [22920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19352),
  [22922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13364),
  [22924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17392),
  [22926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17393),
  [22928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12415),
  [22930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19203),
  [22932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [22934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [22936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19215),
  [22938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [22940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7947),
  [22942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19672),
  [22944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6513),
  [22946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19620),
  [22948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [22950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [22952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [22954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [22956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19390),
  [22958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15052),
  [22960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [22962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17181),
  [22964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19363),
  [22966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19364),
  [22968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19365),
  [22970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13331),
  [22972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7951),
  [22974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [22976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8540),
  [22978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7341),
  [22980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [22982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19898),
  [22984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9498),
  [22986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8675),
  [22988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6167),
  [22990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8020),
  [22992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10592),
  [22994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [22996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5898),
  [22998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [23000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19718),
  [23002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10146),
  [23004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [23006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [23008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13320),
  [23010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17382),
  [23012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17389),
  [23014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8633),
  [23016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [23018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [23020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [23022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17901),
  [23024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [23026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19687),
  [23028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9528),
  [23030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19527),
  [23032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19008),
  [23034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13228),
  [23036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 1, 0, 0),
  [23038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15625),
  [23040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16846),
  [23042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19394),
  [23044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19395),
  [23046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19396),
  [23048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [23050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17943),
  [23052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19065),
  [23054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10161),
  [23056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9353),
  [23058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8598),
  [23060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7838),
  [23062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [23064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19778),
  [23066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9975),
  [23068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18424),
  [23070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [23072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8991),
  [23074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [23076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6899),
  [23078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12724),
  [23080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [23082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13841),
  [23084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18278),
  [23086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [23088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [23090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19913),
  [23092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13309),
  [23094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17396),
  [23096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17398),
  [23098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8678),
  [23100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5997),
  [23102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5863),
  [23104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [23106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8560),
  [23108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [23110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7711),
  [23112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18867),
  [23114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [23116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [23118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [23120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13855),
  [23122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18357),
  [23124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10977),
  [23126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [23128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15504),
  [23130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16546),
  [23132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19420),
  [23134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19421),
  [23136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19422),
  [23138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18883),
  [23140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [23142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7967),
  [23144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [23146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20343),
  [23148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6692),
  [23150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18921),
  [23152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9414),
  [23154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7685),
  [23156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9535),
  [23158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18589),
  [23160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [23162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13306),
  [23164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16740),
  [23166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16746),
  [23168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8827),
  [23170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9292),
  [23172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9544),
  [23174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18643),
  [23176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5728),
  [23178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18965),
  [23180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [23182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [23184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [23186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19477),
  [23188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13121),
  [23190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15767),
  [23192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16958),
  [23194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19446),
  [23196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19447),
  [23198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19448),
  [23200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [23202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19031),
  [23204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5530),
  [23206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9297),
  [23208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [23210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19038),
  [23212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [23214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19481),
  [23216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9346),
  [23218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19494),
  [23220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [23222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19928),
  [23224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13370),
  [23226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17241),
  [23228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17247),
  [23230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4470),
  [23232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19543),
  [23234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8681),
  [23236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [23238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [23240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19032),
  [23242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [23244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [23246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20005),
  [23248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7029),
  [23250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19111),
  [23252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8601),
  [23254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [23256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6183),
  [23258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [23260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19806),
  [23262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5433),
  [23264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19388),
  [23266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15025),
  [23268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17297),
  [23270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19471),
  [23272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19472),
  [23274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19473),
  [23276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [23278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5740),
  [23280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6629),
  [23282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [23284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [23286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6344),
  [23288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19272),
  [23290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13325),
  [23292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6863),
  [23294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17344),
  [23296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17347),
  [23298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [23300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [23302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7821),
  [23304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [23306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19331),
  [23308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6471),
  [23310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15387),
  [23312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17419),
  [23314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19491),
  [23316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19492),
  [23318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19493),
  [23320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [23322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [23324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8751),
  [23326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19513),
  [23328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19713),
  [23330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13772),
  [23332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19717),
  [23334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13773),
  [23336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16396),
  [23338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16398),
  [23340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8758),
  [23342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19631),
  [23344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10861),
  [23346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [23348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15780),
  [23350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16432),
  [23352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19510),
  [23354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19511),
  [23356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19512),
  [23358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9259),
  [23360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19891),
  [23362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8685),
  [23364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5179),
  [23366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7884),
  [23368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [23370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7692),
  [23372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [23374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18703),
  [23376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [23378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20054),
  [23380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13301),
  [23382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 101),
  [23384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10155),
  [23386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16476),
  [23388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16477),
  [23390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8724),
  [23392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [23394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19793),
  [23396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [23398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15907),
  [23400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8654),
  [23402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [23404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16105),
  [23406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16514),
  [23408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19529),
  [23410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19530),
  [23412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19531),
  [23414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6444),
  [23416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17468),
  [23418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13207),
  [23420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [23422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11260),
  [23424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10462),
  [23426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [23428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13311),
  [23430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16574),
  [23432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16575),
  [23434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7916),
  [23436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13297),
  [23438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6457),
  [23440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17482),
  [23442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10978),
  [23444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [23446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [23448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15013),
  [23450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16626),
  [23452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19545),
  [23454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19546),
  [23456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19547),
  [23458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6178),
  [23460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8629),
  [23462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6606),
  [23464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7429),
  [23466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19559),
  [23468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13333),
  [23470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18488),
  [23472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13418),
  [23474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16675),
  [23476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16676),
  [23478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [23480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19118),
  [23482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [23484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6674),
  [23486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10331),
  [23488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16730),
  [23490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19561),
  [23492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19562),
  [23494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19563),
  [23496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13349),
  [23498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [23500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16783),
  [23502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16784),
  [23504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [23506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [23508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [23510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17643),
  [23512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5659),
  [23514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16835),
  [23516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19577),
  [23518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19578),
  [23520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19579),
  [23522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13299),
  [23524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16899),
  [23526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16901),
  [23528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [23530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17657),
  [23532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12770),
  [23534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [23536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17681),
  [23538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [23540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17691),
  [23542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16959),
  [23544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19593),
  [23546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19594),
  [23548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19595),
  [23550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7337),
  [23552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17675),
  [23554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10807),
  [23556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13317),
  [23558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17015),
  [23560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17018),
  [23562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [23564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17699),
  [23566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5624),
  [23568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13940),
  [23570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4965),
  [23572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17063),
  [23574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19609),
  [23576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19610),
  [23578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19611),
  [23580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_type, 2, 0, 8),
  [23582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16830),
  [23584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7953),
  [23586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13342),
  [23588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [23590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19893),
  [23592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17190),
  [23594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17191),
  [23596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13045),
  [23598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [23600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10056),
  [23602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17224),
  [23604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19625),
  [23606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19626),
  [23608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19627),
  [23610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [23612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [23614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8436),
  [23616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13356),
  [23618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17259),
  [23620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17260),
  [23622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [23624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13018),
  [23626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17298),
  [23628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19641),
  [23630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19642),
  [23632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19643),
  [23634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [23636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19733),
  [23638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16672),
  [23640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13361),
  [23642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10407),
  [23644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8651),
  [23646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17338),
  [23648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17340),
  [23650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8209),
  [23652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19442),
  [23654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [23656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19575),
  [23658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [23660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17895),
  [23662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20311),
  [23664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17379),
  [23666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19657),
  [23668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19658),
  [23670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19659),
  [23672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7671),
  [23674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13369),
  [23676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8607),
  [23678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6326),
  [23680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7490),
  [23682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17911),
  [23684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [23686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19808),
  [23688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17421),
  [23690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17422),
  [23692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [23694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8635),
  [23696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6392),
  [23698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8656),
  [23700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [23702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18932),
  [23704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6952),
  [23706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16544),
  [23708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19673),
  [23710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19674),
  [23712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19675),
  [23714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13602),
  [23716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13177),
  [23718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13343),
  [23720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17142),
  [23722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17171),
  [23724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8576),
  [23726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7267),
  [23728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12563),
  [23730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17020),
  [23732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19007),
  [23734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [23736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18019),
  [23738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17303),
  [23740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19689),
  [23742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19690),
  [23744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19691),
  [23746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [23748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [23750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [23752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13327),
  [23754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16731),
  [23756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16744),
  [23758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [23760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19019),
  [23762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [23764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18032),
  [23766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10448),
  [23768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10159),
  [23770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [23772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17531),
  [23774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6587),
  [23776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17336),
  [23778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19705),
  [23780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19706),
  [23782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19707),
  [23784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13302),
  [23786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16412),
  [23788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16417),
  [23790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11951),
  [23792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [23794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17324),
  [23796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16595),
  [23798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19720),
  [23800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19721),
  [23802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19722),
  [23804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6919),
  [23806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18133),
  [23808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16717),
  [23810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [23812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13665),
  [23814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10015),
  [23816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [23818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16955),
  [23820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19735),
  [23822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19736),
  [23824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19737),
  [23826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [23828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [23830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18231),
  [23832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7060),
  [23834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18150),
  [23836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [23838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17235),
  [23840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [23842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [23844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9957),
  [23846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [23848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17349),
  [23850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19750),
  [23852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19751),
  [23854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19752),
  [23856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [23858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17407),
  [23860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10458),
  [23862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16430),
  [23864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19765),
  [23866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19766),
  [23868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19767),
  [23870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16471),
  [23872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7569),
  [23874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19290),
  [23876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [23878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [23880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18273),
  [23882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16560),
  [23884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19780),
  [23886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19781),
  [23888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19782),
  [23890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7204),
  [23892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19703),
  [23894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6464),
  [23896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19591),
  [23898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16617),
  [23900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13079),
  [23902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [23904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18282),
  [23906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8507),
  [23908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [23910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18292),
  [23912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [23914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5770),
  [23916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [23918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16721),
  [23920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19795),
  [23922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19796),
  [23924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19797),
  [23926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16775),
  [23928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_label, 3, 0, 9),
  [23930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [23932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [23934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [23936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16884),
  [23938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19810),
  [23940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19811),
  [23942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19812),
  [23944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16992),
  [23946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [23948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10535),
  [23950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8807),
  [23952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [23954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18378),
  [23956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [23958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [23960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18741),
  [23962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17208),
  [23964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19825),
  [23966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19826),
  [23968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19827),
  [23970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [23972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18396),
  [23974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [23976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19119),
  [23978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [23980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17251),
  [23982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6832),
  [23984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18772),
  [23986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [23988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18429),
  [23990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17308),
  [23992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19840),
  [23994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19841),
  [23996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19842),
  [23998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [24000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18431),
  [24002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4789),
  [24004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18437),
  [24006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4795),
  [24008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17331),
  [24010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7507),
  [24012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18442),
  [24014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8544),
  [24016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6856),
  [24018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [24020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18468),
  [24022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17384),
  [24024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19855),
  [24026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19856),
  [24028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19857),
  [24030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [24032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9955),
  [24034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6914),
  [24036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18472),
  [24038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7042),
  [24040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17409),
  [24042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [24044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18501),
  [24046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [24048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18507),
  [24050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16386),
  [24052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19870),
  [24054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19871),
  [24056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19872),
  [24058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [24060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11021),
  [24062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [24064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [24066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18537),
  [24068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [24070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18541),
  [24072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16437),
  [24074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19885),
  [24076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19886),
  [24078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19887),
  [24080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6046),
  [24082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7740),
  [24084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [24086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18572),
  [24088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [24090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18574),
  [24092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [24094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16487),
  [24096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19900),
  [24098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19901),
  [24100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19902),
  [24102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [24104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18600),
  [24106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10640),
  [24108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6286),
  [24110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18614),
  [24112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [24114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [24116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16549),
  [24118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19915),
  [24120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19916),
  [24122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19917),
  [24124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [24126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18650),
  [24128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6091),
  [24130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18653),
  [24132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5820),
  [24134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16607),
  [24136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19930),
  [24138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19931),
  [24140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19932),
  [24142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [24144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19607),
  [24146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [24148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18689),
  [24150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [24152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18692),
  [24154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5614),
  [24156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16671),
  [24158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19944),
  [24160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19945),
  [24162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19946),
  [24164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8615),
  [24166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5054),
  [24168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [24170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18728),
  [24172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [24174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18731),
  [24176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5151),
  [24178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16734),
  [24180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19958),
  [24182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19959),
  [24184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19960),
  [24186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [24188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [24190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18760),
  [24192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [24194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18767),
  [24196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [24198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18910),
  [24200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7445),
  [24202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16800),
  [24204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19972),
  [24206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19973),
  [24208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19974),
  [24210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [24212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18798),
  [24214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [24216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18805),
  [24218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [24220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18834),
  [24222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [24224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16872),
  [24226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19986),
  [24228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19987),
  [24230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19988),
  [24232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [24234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16921),
  [24236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19998),
  [24238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19999),
  [24240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20000),
  [24242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [24244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18853),
  [24246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [24248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18855),
  [24250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [24252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [24254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18875),
  [24256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16947),
  [24258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20010),
  [24260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20011),
  [24262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20012),
  [24264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16965),
  [24266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20015),
  [24268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20016),
  [24270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20017),
  [24272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16972),
  [24274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20020),
  [24276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20021),
  [24278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20022),
  [24280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16984),
  [24282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20025),
  [24284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20026),
  [24286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20027),
  [24288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16998),
  [24290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20030),
  [24292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20031),
  [24294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20032),
  [24296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6908),
  [24298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18972),
  [24300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17007),
  [24302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20035),
  [24304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20036),
  [24306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20037),
  [24308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17014),
  [24310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20040),
  [24312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20041),
  [24314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20042),
  [24316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17026),
  [24318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20045),
  [24320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20046),
  [24322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20047),
  [24324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17036),
  [24326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20050),
  [24328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20051),
  [24330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20052),
  [24332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17044),
  [24334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20055),
  [24336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20056),
  [24338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20057),
  [24340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17053),
  [24342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20060),
  [24344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20061),
  [24346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20062),
  [24348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17060),
  [24350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20065),
  [24352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20066),
  [24354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20067),
  [24356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17073),
  [24358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20070),
  [24360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20071),
  [24362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20072),
  [24364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19138),
  [24366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [24368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19149),
  [24370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [24372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9170),
  [24374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4240),
  [24376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19823),
  [24378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [24380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11979),
  [24382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13366),
  [24384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8658),
  [24386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4729),
  [24388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16920),
  [24390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17399),
  [24392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19289),
  [24394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9508),
  [24396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [24398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6911),
  [24400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19142),
  [24402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16823),
  [24404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [24406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19301),
  [24408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [24410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10110),
  [24412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19041),
  [24414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [24416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19208),
  [24418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8631),
  [24420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9586),
  [24422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10580),
  [24424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11151),
  [24426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [24428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [24430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19311),
  [24432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6986),
  [24434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9531),
  [24436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5641),
  [24438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9241),
  [24440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [24442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11826),
  [24444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5697),
  [24446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19623),
  [24448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [24450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7435),
  [24452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8618),
  [24454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [24456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [24458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7417),
  [24460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19260),
  [24462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [24464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10434),
  [24466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8547),
  [24468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [24470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_label, 4, 0, 28),
  [24472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6503),
  [24474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [24476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [24478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8548),
  [24480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15462),
  [24482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10507),
  [24484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [24486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19291),
  [24488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8698),
  [24490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17359),
  [24492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19146),
  [24494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [24496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19296),
  [24498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19147),
  [24500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19148),
  [24502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9224),
  [24504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19337),
  [24506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8767),
  [24508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [24510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19306),
  [24512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [24514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [24516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19339),
  [24518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7355),
  [24520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7421),
  [24522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [24524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [24526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13322),
  [24528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11618),
  [24530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11342),
  [24532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5219),
  [24534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19369),
  [24536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7811),
  [24538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [24540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [24542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9354),
  [24544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [24546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9138),
  [24548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19240),
  [24550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [24552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11104),
  [24554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8368),
  [24556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9969),
  [24558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [24560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13489),
  [24562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard, 2, 0, 0),
  [24564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11137),
  [24566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7203),
  [24568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [24570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19468),
  [24572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7354),
  [24574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19639),
  [24576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7229),
  [24578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19838),
  [24580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8584),
  [24582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [24584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17327),
  [24586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19724),
  [24588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10577),
  [24590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19325),
  [24592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19732),
  [24594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8620),
  [24596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5999),
  [24598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19650),
  [24600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12857),
  [24602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8661),
  [24604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6679),
  [24606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19741),
  [24608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7309),
  [24610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [24612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19748),
  [24614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7004),
  [24616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [24618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8642),
  [24620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [24622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [24624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [24626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [24628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7592),
  [24630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19632),
  [24632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [24634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19619),
  [24636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 3, 0, 0),
  [24638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13037),
  [24640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 19),
  [24642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7700),
  [24644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19954),
  [24646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [24648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19634),
  [24650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4850),
  [24652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [24654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19649),
  [24656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [24658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19668),
  [24660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [24662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [24664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9463),
  [24666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 1, 0, 0),
  [24668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14048),
  [24670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5615),
  [24672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19680),
  [24674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12709),
  [24676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [24678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [24680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19490),
  [24682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17756),
  [24684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10380),
  [24686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [24688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6971),
  [24690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9650),
  [24692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9176),
  [24694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [24696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19534),
  [24698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11794),
  [24700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [24702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10282),
  [24704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7472),
  [24706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [24708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19937),
  [24710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12450),
  [24712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8143),
  [24714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13219),
  [24716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7040),
  [24718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19853),
  [24720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17929),
  [24722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9684),
  [24724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [24726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7949),
  [24728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [24730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19923),
  [24732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [24734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19655),
  [24736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8664),
  [24738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [24740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [24742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8623),
  [24744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9143),
  [24746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [24748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19489),
  [24750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [24752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17976),
  [24754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12790),
  [24756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [24758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12805),
  [24760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5790),
  [24762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [24764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13371),
  [24766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16403),
  [24768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16410),
  [24770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [24772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19951),
  [24774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8590),
  [24776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [24778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [24780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19980),
  [24782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [24784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7742),
  [24786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8441),
  [24788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20028),
  [24790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13429),
  [24792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5861),
  [24794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20023),
  [24796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6158),
  [24798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7908),
  [24800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19992),
  [24802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8749),
  [24804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10047),
  [24806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [24808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9809),
  [24810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5879),
  [24812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20043),
  [24814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [24816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [24818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16298),
  [24820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8704),
  [24822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16578),
  [24824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19234),
  [24826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19235),
  [24828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19236),
  [24830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13324),
  [24832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15774),
  [24834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10689),
  [24836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 4, 0, 0),
  [24838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9484),
  [24840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [24842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [24844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20259),
  [24846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9512),
  [24848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10775),
  [24850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [24852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19868),
  [24854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [24856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20277),
  [24858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7200),
  [24860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19671),
  [24862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10782),
  [24864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8669),
  [24866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [24868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8883),
  [24870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8855),
  [24872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8445),
  [24874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10789),
  [24876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [24878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [24880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19353),
  [24882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8625),
  [24884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [24886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10453),
  [24888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13086),
  [24890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [24892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17458),
  [24894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12143),
  [24896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17777),
  [24898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5703),
  [24900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7914),
  [24902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [24904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6994),
  [24906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19763),
  [24908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8772),
  [24910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11727),
  [24912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [24914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11654),
  [24916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10023),
  [24918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12658),
  [24920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [24922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [24924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12435),
  [24926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [24928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [24930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [24932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [24934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11266),
  [24936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [24938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7322),
  [24940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [24942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [24944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16606),
  [24946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10928),
  [24948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [24950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6458),
  [24952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [24954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5704),
  [24956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [24958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [24960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16506),
  [24962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5304),
  [24964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15006),
  [24966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9853),
  [24968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9854),
  [24970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [24972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9888),
  [24974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9855),
  [24976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9889),
  [24978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8668),
  [24980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [24982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [24984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9891),
  [24986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [24988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11327),
  [24990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16631),
  [24992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9893),
  [24994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9896),
  [24996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9897),
  [24998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [25000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [25002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7021),
  [25004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [25006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [25008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [25010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6133),
  [25012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [25014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6134),
  [25016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [25018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [25020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [25022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12640),
  [25024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6871),
  [25026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9787),
  [25028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8793),
  [25030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [25032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12490),
  [25034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [25036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [25038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16713),
  [25040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [25042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [25044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [25046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [25048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [25050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [25052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [25054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [25056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [25058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15165),
  [25060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8262),
  [25062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [25064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12244),
  [25066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [25068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [25070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11488),
  [25072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16738),
  [25074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [25076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6491),
  [25078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10518),
  [25080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [25082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6851),
  [25084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [25086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [25088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13252),
  [25090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [25092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7096),
  [25094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9001),
  [25096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [25098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9002),
  [25100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6879),
  [25102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12496),
  [25104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [25106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [25108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5840),
  [25110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [25112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [25114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13005),
  [25116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [25118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [25120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16819),
  [25122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [25124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [25126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12574),
  [25128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [25130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [25132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [25134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [25136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [25138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15326),
  [25140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8731),
  [25142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13254),
  [25144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [25146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [25148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [25150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [25152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11052),
  [25154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16847),
  [25156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [25158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6142),
  [25160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [25162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13082),
  [25164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9688),
  [25166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5114),
  [25168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [25170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [25172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [25174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [25176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [25178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6573),
  [25180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6694),
  [25182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [25184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [25186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12642),
  [25188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [25190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [25192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [25194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [25196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13196),
  [25198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [25200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [25202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [25204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [25206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [25208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16937),
  [25210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6176),
  [25212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [25214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [25216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7336),
  [25218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [25220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12906),
  [25222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [25224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [25226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [25228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12544),
  [25230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19094),
  [25232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15468),
  [25234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [25236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20351),
  [25238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [25240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [25242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [25244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19496),
  [25246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11087),
  [25248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16969),
  [25250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [25252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [25254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [25256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9690),
  [25258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [25260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [25262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9466),
  [25264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [25266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [25268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5980),
  [25270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [25272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [25274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [25276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10016),
  [25278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10018),
  [25280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12482),
  [25282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [25284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [25286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [25288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [25290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6707),
  [25292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [25294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [25296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [25298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [25300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17051),
  [25302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [25304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [25306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [25308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [25310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [25312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [25314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [25316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [25318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [25320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10394),
  [25322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10396),
  [25324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15632),
  [25326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [25328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12944),
  [25330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7381),
  [25332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13822),
  [25334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [25336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [25338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6188),
  [25340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [25342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [25344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11125),
  [25346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17077),
  [25348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [25350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11793),
  [25352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7683),
  [25354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [25356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [25358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13593),
  [25360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5849),
  [25362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [25364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10539),
  [25366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7475),
  [25368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [25370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [25372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [25374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12539),
  [25376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [25378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5364),
  [25380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13569),
  [25382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [25384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12445),
  [25386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [25388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [25390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17214),
  [25392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7479),
  [25394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [25396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [25398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [25400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [25402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [25404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [25406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15848),
  [25408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10296),
  [25410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [25412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5901),
  [25414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5902),
  [25416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6922),
  [25418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5903),
  [25420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9483),
  [25422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13133),
  [25424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11163),
  [25426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17229),
  [25428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [25430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [25432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [25434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [25436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [25438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13135),
  [25440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [25442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [25444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10524),
  [25446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10525),
  [25448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6216),
  [25450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12592),
  [25452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6431),
  [25454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9050),
  [25456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [25458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [25460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7160),
  [25462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7161),
  [25464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [25466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [25468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17291),
  [25470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [25472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [25474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [25476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [25478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [25480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6432),
  [25482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [25484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [25486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [25488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8730),
  [25490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16000),
  [25492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13575),
  [25494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [25496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6788),
  [25498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16604),
  [25500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [25502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [25504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [25506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11198),
  [25508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17304),
  [25510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13576),
  [25512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [25514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [25516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [25518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7684),
  [25520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6954),
  [25522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12424),
  [25524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6956),
  [25526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7549),
  [25528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7828),
  [25530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [25532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [25534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [25536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12641),
  [25538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [25540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [25542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5870),
  [25544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8732),
  [25546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4426),
  [25548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4427),
  [25550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [25552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [25554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17364),
  [25556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9356),
  [25558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [25560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12127),
  [25562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6314),
  [25564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [25566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [25568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [25570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [25572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [25574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [25576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16188),
  [25578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [25580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5905),
  [25582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [25584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5906),
  [25586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [25588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [25590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5907),
  [25592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [25594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [25596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11234),
  [25598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17387),
  [25600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [25602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [25604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [25606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [25608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15604),
  [25610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9703),
  [25612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [25614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13089),
  [25616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [25618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [25620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [25622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [25624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6565),
  [25626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12636),
  [25628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [25630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [25632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9824),
  [25634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10063),
  [25636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9837),
  [25638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [25640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [25642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17456),
  [25644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [25646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7512),
  [25648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [25650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [25652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [25654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [25656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [25658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [25660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [25662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15884),
  [25664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13974),
  [25666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9366),
  [25668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6239),
  [25670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11182),
  [25672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [25674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6335),
  [25676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [25678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [25680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11252),
  [25682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16590),
  [25684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [25686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [25688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10672),
  [25690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [25692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7363),
  [25694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [25696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [25698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7038),
  [25700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9861),
  [25702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8733),
  [25704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [25706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [25708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12645),
  [25710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [25712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11095),
  [25714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [25716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17182),
  [25718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [25720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [25722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [25724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [25726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16897),
  [25728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5833),
  [25730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7364),
  [25732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [25734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [25736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [25738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [25740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6349),
  [25742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7518),
  [25744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14980),
  [25746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [25748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9867),
  [25750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9868),
  [25752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6351),
  [25754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9870),
  [25756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [25758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5309),
  [25760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [25762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11283),
  [25764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16393),
  [25766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17244),
  [25768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13176),
  [25770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7505),
  [25772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5837),
  [25774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [25776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6804),
  [25778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [25780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5839),
  [25782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [25784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6075),
  [25786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8534),
  [25788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12514),
  [25790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [25792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [25794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [25796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9054),
  [25798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [25800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10450),
  [25802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10452),
  [25804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [25806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [25808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17266),
  [25810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [25812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6781),
  [25814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [25816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [25818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [25820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11175),
  [25822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [25824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [25826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10739),
  [25828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15999),
  [25830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [25832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [25834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [25836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [25838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [25840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [25842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [25844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9713),
  [25846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [25848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11304),
  [25850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17381),
  [25852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [25854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [25856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [25858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13567),
  [25860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [25862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13138),
  [25864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12568),
  [25866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9335),
  [25868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [25870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [25872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9553),
  [25874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [25876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [25878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16522),
  [25880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15051),
  [25882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [25884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9714),
  [25886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9073),
  [25888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [25890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [25892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [25894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [25896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9327),
  [25898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15156),
  [25900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [25902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15093),
  [25904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [25906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [25908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [25910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [25912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [25914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11321),
  [25916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16650),
  [25918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [25920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14023),
  [25922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [25924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6599),
  [25926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9518),
  [25928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8048),
  [25930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [25932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [25934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12630),
  [25936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [25938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [25940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6343),
  [25942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [25944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [25946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16853),
  [25948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [25950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10903),
  [25952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [25954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [25956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [25958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [25960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [25962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [25964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7037),
  [25966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15864),
  [25968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7001),
  [25970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12437),
  [25972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [25974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [25976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [25978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7859),
  [25980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [25982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11341),
  [25984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17174),
  [25986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [25988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [25990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7861),
  [25992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [25994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8555),
  [25996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12436),
  [25998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [26000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9520),
  [26002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [26004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [26006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [26008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17310),
  [26010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9718),
  [26012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12670),
  [26014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [26016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [26018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [26020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [26022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [26024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [26026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [26028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [26030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14988),
  [26032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7864),
  [26034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [26036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7676),
  [26038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7393),
  [26040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11615),
  [26042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11367),
  [26044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17374),
  [26046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__infix_operator, 1, 0, 0),
  [26048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [26050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [26052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [26054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8818),
  [26056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [26058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [26060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12465),
  [26062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [26064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9767),
  [26066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [26068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [26070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [26072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16414),
  [26074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [26076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [26078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [26080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [26082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [26084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [26086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [26088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7497),
  [26090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15169),
  [26092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [26094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [26096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [26098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [26100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [26102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [26104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6661),
  [26106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [26108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11397),
  [26110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16446),
  [26112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [26114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [26116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8734),
  [26118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13707),
  [26120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [26122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [26124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [26126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12512),
  [26128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17296),
  [26130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5229),
  [26132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [26134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12577),
  [26136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [26138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [26140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16531),
  [26142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8735),
  [26144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13046),
  [26146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [26148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [26150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9804),
  [26152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7499),
  [26154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15385),
  [26156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9760),
  [26158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [26160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [26162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13150),
  [26164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [26166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [26168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [26170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11424),
  [26172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16588),
  [26174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [26176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [26178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13152),
  [26180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [26182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [26184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7524),
  [26186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13852),
  [26188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9582),
  [26190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12528),
  [26192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [26194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [26196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [26198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16694),
  [26200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5917),
  [26202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [26204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10091),
  [26206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10746),
  [26208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [26210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [26212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [26214] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [26216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [26218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [26220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15522),
  [26222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13169),
  [26224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [26226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [26228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16452),
  [26230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [26232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [26234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [26236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11441),
  [26238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16733),
  [26240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [26242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [26244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [26246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [26248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7024),
  [26250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [26252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12547),
  [26254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [26256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [26258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [26260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [26262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [26264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16841),
  [26266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [26268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [26270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10567),
  [26272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [26274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [26276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [26278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8382),
  [26280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [26282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [26284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15693),
  [26286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6668),
  [26288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [26290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [26292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [26294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [26296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [26298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [26300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [26302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11466),
  [26304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16911),
  [26306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [26308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7212),
  [26310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13856),
  [26312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10511),
  [26314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7283),
  [26316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12562),
  [26318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [26320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [26322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [26324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7697),
  [26326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [26328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [26330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17180),
  [26332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15478),
  [26334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [26336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [26338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [26340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [26342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [26344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [26346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [26348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [26350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [26352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15959),
  [26354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [26356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [26358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [26360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9744),
  [26362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5635),
  [26364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [26366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5637),
  [26368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11478),
  [26370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17221),
  [26372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [26374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [26376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9747),
  [26378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [26380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5794),
  [26382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7284),
  [26384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12578),
  [26386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [26388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5795),
  [26390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11645),
  [26392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11646),
  [26394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [26396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [26398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17293),
  [26400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [26402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [26404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [26406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [26408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [26410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [26412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6874),
  [26414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [26416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5639),
  [26418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15023),
  [26420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9966),
  [26422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5640),
  [26424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11648),
  [26426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9756),
  [26428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7506),
  [26430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [26432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11505),
  [26434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17314),
  [26436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11225),
  [26438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [26440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16592),
  [26442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7617),
  [26444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [26446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6453),
  [26448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12618),
  [26450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9757),
  [26452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10075),
  [26454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9758),
  [26456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6246),
  [26458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [26460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [26462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17361),
  [26464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6247),
  [26466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [26468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [26470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [26472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [26474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [26476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4793),
  [26478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [26480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9759),
  [26482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16023),
  [26484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9960),
  [26486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [26488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [26490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [26492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6902),
  [26494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [26496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [26498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [26500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6925),
  [26502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11524),
  [26504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17397),
  [26506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [26508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [26510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7092),
  [26512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [26514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10106),
  [26516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6255),
  [26518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [26520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [26522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12628),
  [26524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5715),
  [26526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12493),
  [26528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [26530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [26532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [26534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17448),
  [26536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [26538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7969),
  [26540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [26542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [26544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [26546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [26548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [26550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [26552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [26554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15487),
  [26556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [26558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7794),
  [26560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5815),
  [26562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [26564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [26566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7560),
  [26568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [26570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5816),
  [26572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [26574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11556),
  [26576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16392),
  [26578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [26580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9369),
  [26582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9370),
  [26584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6805),
  [26586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [26588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6025),
  [26590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12478),
  [26592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [26594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [26596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10377),
  [26598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [26600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [26602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [26604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16429),
  [26606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [26608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7806),
  [26610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9371),
  [26612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [26614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [26616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [26618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [26620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [26622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [26624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16375),
  [26626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [26628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [26630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [26632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16284),
  [26634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [26636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [26638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [26640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10008),
  [26642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6274),
  [26644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11238),
  [26646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16447),
  [26648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [26650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [26652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [26654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [26656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [26658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12566),
  [26660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [26662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [26664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [26666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [26668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [26670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [26672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16474),
  [26674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [26676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [26678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [26680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [26682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [26684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [26686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [26688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [26690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12829),
  [26692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [26694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15243),
  [26696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [26698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [26700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6298),
  [26702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6020),
  [26704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9536),
  [26706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6278),
  [26708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [26710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11411),
  [26712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16500),
  [26714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [26716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [26718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [26720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [26722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6708),
  [26724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12462),
  [26726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12629),
  [26728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7514),
  [26730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [26732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7561),
  [26734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [26736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [26738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16536),
  [26740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [26742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [26744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [26746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6287),
  [26748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [26750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [26752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [26754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4412),
  [26756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17005),
  [26758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15787),
  [26760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [26762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11868),
  [26764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [26766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [26768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [26770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13161),
  [26772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10755),
  [26774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [26776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [26778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11054),
  [26780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16559),
  [26782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [26784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [26786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [26788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [26790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6301),
  [26792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [26794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9545),
  [26796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8791),
  [26798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [26800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [26802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [26804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16594),
  [26806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [26808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [26810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [26812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [26814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [26816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8257),
  [26818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [26820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16033),
  [26822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [26824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10081),
  [26826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [26828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9926),
  [26830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6736),
  [26832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4904),
  [26834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [26836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11091),
  [26838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16616),
  [26840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9927),
  [26842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6276),
  [26844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [26846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [26848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [26850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12523),
  [26852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [26854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [26856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9930),
  [26858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16883),
  [26860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [26862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [26864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16661),
  [26866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5605),
  [26868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6566),
  [26870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [26872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [26874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [26876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [26878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [26880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [26882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7289),
  [26884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15004),
  [26886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [26888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [26890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [26892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [26894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11013),
  [26896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7903),
  [26898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10827),
  [26900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11209),
  [26902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16684),
  [26904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [26906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [26908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [26910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [26912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12509),
  [26914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [26916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10938),
  [26918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [26920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [26922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16722),
  [26924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6307),
  [26926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [26928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [26930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [26932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [26934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [26936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [26938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9880),
  [26940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [26942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [26944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15161),
  [26946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [26948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9884),
  [26950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7055),
  [26952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [26954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [26956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [26958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11314),
  [26960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16745),
  [26962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [26964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [26966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [26968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [26970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7069),
  [26972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12591),
  [26974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15758),
  [26976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [26978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [26980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9427),
  [26982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [26984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [26986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16781),
  [26988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [26990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [26992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [26994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [26996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [26998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [27000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [27002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10189),
  [27004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10269),
  [27006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15324),
  [27008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [27010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [27012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [27014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [27016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [27018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [27020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11386),
  [27022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16809),
  [27024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [27026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [27028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10403),
  [27030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [27032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9902),
  [27034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12497),
  [27036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9523),
  [27038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [27040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [27042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [27044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [27046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [27048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16851),
  [27050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [27052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9903),
  [27054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6313),
  [27056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [27058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [27060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [27062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [27064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [27066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [27068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15523),
  [27070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [27072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6420),
  [27074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [27076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [27078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5525),
  [27080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [27082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [27084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11409),
  [27086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16885),
  [27088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [27090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [27092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4919),
  [27094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [27096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [27098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12627),
  [27100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [27102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [27104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [27106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [27108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [27110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16910),
  [27112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [27114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [27116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [27118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15690),
  [27120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9906),
  [27122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11316),
  [27124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17097),
  [27126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11452),
  [27128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16924),
  [27130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10965),
  [27132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [27134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [27136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9909),
  [27138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9910),
  [27140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6456),
  [27142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [27144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [27146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16944),
  [27148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7386),
  [27150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [27152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [27154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9912),
  [27156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [27158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [27160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11497),
  [27162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16953),
  [27164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4923),
  [27166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [27168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [27170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [27172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [27174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6299),
  [27176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [27178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [27180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [27182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16966),
  [27184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9337),
  [27186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9200),
  [27188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [27190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9305),
  [27192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [27194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [27196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6835),
  [27198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [27200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16979),
  [27202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10529),
  [27204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10538),
  [27206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10572),
  [27208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [27210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [27212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [27214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16985),
  [27216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [27218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [27220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [27222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [27224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [27226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [27228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8776),
  [27230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16999),
  [27232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [27234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6992),
  [27236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9663),
  [27238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6820),
  [27240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [27242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [27244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17008),
  [27246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9673),
  [27248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9794),
  [27250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8660),
  [27252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [27254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [27256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17016),
  [27258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [27260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [27262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [27264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6302),
  [27266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [27268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9401),
  [27270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17028),
  [27272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [27274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [27276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [27278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9771),
  [27280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [27282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [27284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17037),
  [27286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [27288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7410),
  [27290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13015),
  [27292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [27294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [27296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [27298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17046),
  [27300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13001),
  [27302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13003),
  [27304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7015),
  [27306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8665),
  [27308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8670),
  [27310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8502),
  [27312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17054),
  [27314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [27316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [27318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [27320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9911),
  [27322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12522),
  [27324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [27326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [27328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17062),
  [27330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [27332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [27334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5868),
  [27336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [27338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7245),
  [27340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [27342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13175),
  [27344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17074),
  [27346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [27348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [27350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [27352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [27354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [27356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [27358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13232),
  [27360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [27362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6408),
  [27364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [27366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6409),
  [27368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [27370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [27372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5874),
  [27374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [27376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [27378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6791),
  [27380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5628),
  [27382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5629),
  [27384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [27386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [27388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [27390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17289),
  [27392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [27394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [27396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6897),
  [27398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [27400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [27402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5737),
  [27404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9551),
  [27406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9379),
  [27408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [27410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9412),
  [27412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7657),
  [27414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12444),
  [27416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12459),
  [27418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10158),
  [27420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12637),
  [27422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9222),
  [27424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12216),
  [27426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [27428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [27430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7566),
  [27432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [27434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [27436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9562),
  [27438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9660),
  [27440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6258),
  [27442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9376),
  [27444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7411),
  [27446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [27448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8899),
  [27450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8905),
  [27452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [27454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8923),
  [27456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11507),
  [27458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [27460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [27462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [27464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10055),
  [27466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [27468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [27470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15022),
  [27472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12700),
  [27474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12701),
  [27476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [27478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12702),
  [27480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8109),
  [27482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [27484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5857),
  [27486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [27488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [27490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [27492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9225),
  [27494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8954),
  [27496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [27498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [27500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [27502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [27504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8974),
  [27506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9031),
  [27508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4768),
  [27510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [27512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7603),
  [27514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [27516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12472),
  [27518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [27520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [27522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8150),
  [27524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [27526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7817),
  [27528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [27530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9672),
  [27532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [27534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [27536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [27538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5848),
  [27540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5930),
  [27542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14862),
  [27544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [27546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9674),
  [27548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7067),
  [27550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5933),
  [27552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13887),
  [27554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5938),
  [27556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_string, 2, 0, 0),
  [27558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7945),
  [27560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17245),
  [27562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6860),
  [27564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [27566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [27568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [27570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9675),
  [27572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12582),
  [27574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7755),
  [27576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17737),
  [27578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [27580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11496),
  [27582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17307),
  [27584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7388),
  [27586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12753),
  [27588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [27590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13128),
  [27592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [27594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9677),
  [27596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9678),
  [27598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [27600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13129),
  [27602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9679),
  [27604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4735),
  [27606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19397),
  [27608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19398),
  [27610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19399),
  [27612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [27614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9734),
  [27616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [27618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [27620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6917),
  [27622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [27624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9216),
  [27626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6267),
  [27628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [27630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [27632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5390),
  [27634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19206),
  [27636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7965),
  [27638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7968),
  [27640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [27642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [27644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [27646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [27648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7496),
  [27650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7059),
  [27652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5520),
  [27654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5391),
  [27656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [27658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [27660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [27662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [27664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [27666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10445),
  [27668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [27670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [27672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [27674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [27676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [27678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [27680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16572),
  [27682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5590),
  [27684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11910),
  [27686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [27688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7389),
  [27690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9691),
  [27692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [27694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [27696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5500),
  [27698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12634),
  [27700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12416),
  [27702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6490),
  [27704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5358),
  [27706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [27708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8563),
  [27710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6800),
  [27712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [27714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11915),
  [27716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [27718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4715),
  [27720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17411),
  [27722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4716),
  [27724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7650),
  [27726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [27728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10750),
  [27730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [27732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [27734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4747),
  [27736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6631),
  [27738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [27740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7876),
  [27742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [27744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [27746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12589),
  [27748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20155),
  [27750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20156),
  [27752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20157),
  [27754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7390),
  [27756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [27758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [27760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [27762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4717),
  [27764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [27766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [27768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [27770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9390),
  [27772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [27774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9247),
  [27776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [27778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [27780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [27782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [27784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [27786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12822),
  [27788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12916),
  [27790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10113),
  [27792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13189),
  [27794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4718),
  [27796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4723),
  [27798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [27800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15779),
  [27802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8082),
  [27804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [27806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7391),
  [27808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [27810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [27812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [27814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6434),
  [27816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [27818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13116),
  [27820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [27822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [27824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7629),
  [27826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [27828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [27830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5222),
  [27832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6505),
  [27834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [27836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [27838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [27840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [27842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [27844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [27846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7193),
  [27848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [27850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [27852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13899),
  [27854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16416),
  [27856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [27858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [27860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [27862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [27864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [27866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5676),
  [27868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [27870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17395),
  [27872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [27874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7194),
  [27876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7209),
  [27878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [27880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [27882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7210),
  [27884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5678),
  [27886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8494),
  [27888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18011),
  [27890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18022),
  [27892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18052),
  [27894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [27896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [27898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13119),
  [27900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15038),
  [27902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9814),
  [27904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [27906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9831),
  [27908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [27910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9280),
  [27912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7482),
  [27914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [27916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20106),
  [27918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [27920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [27922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [27924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [27926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [27928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [27930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6369),
  [27932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8565),
  [27934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [27936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [27938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [27940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8794),
  [27942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9415),
  [27944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [27946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [27948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15378),
  [27950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13120),
  [27952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6663),
  [27954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12995),
  [27956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [27958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [27960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [27962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [27964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8570),
  [27966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6509),
  [27968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16462),
  [27970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [27972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [27974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6504),
  [27976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6506),
  [27978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9706),
  [27980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [27982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [27984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17489),
  [27986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17492),
  [27988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17493),
  [27990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9707),
  [27992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9343),
  [27994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5220),
  [27996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [27998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9919),
  [28000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [28002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8142),
  [28004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [28006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [28008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [28010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [28012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9234),
  [28014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [28016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [28018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [28020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11121),
  [28022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8572),
  [28024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [28026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [28028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16502),
  [28030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5699),
  [28032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [28034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [28036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17977),
  [28038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17989),
  [28040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17994),
  [28042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16596),
  [28044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9664),
  [28046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9665),
  [28048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8153),
  [28050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [28052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [28054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [28056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8573),
  [28058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [28060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12236),
  [28062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [28064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [28066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [28068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9668),
  [28070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [28072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [28074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16543),
  [28076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [28078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [28080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [28082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18438),
  [28084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18439),
  [28086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18440),
  [28088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [28090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [28092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9708),
  [28094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [28096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7998),
  [28098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [28100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11199),
  [28102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [28104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6580),
  [28106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17430),
  [28108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [28110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [28112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16571),
  [28114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [28116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [28118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9709),
  [28120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18847),
  [28122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18854),
  [28124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18856),
  [28126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7780),
  [28128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [28130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9710),
  [28132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12684),
  [28134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [28136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8007),
  [28138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9711),
  [28140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [28142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [28144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [28146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19935),
  [28148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [28150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5994),
  [28152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16602),
  [28154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7032),
  [28156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19132),
  [28158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19134),
  [28160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19139),
  [28162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7427),
  [28164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8016),
  [28166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10009),
  [28168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7149),
  [28170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9591),
  [28172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [28174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6671),
  [28176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [28178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [28180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [28182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16625),
  [28184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19434),
  [28186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19436),
  [28188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19438),
  [28190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9221),
  [28192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8023),
  [28194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11938),
  [28196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [28198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [28200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [28202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [28204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [28206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [28208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10160),
  [28210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16644),
  [28212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6588),
  [28214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19839),
  [28216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19851),
  [28218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19852),
  [28220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8755),
  [28222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [28224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10988),
  [28226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [28228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 3, 0, 0),
  [28230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [28232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10989),
  [28234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [28236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [28238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [28240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [28242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16670),
  [28244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5939),
  [28246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20287),
  [28248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20289),
  [28250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20295),
  [28252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [28254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8032),
  [28256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [28258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [28260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16649),
  [28262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [28264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6005),
  [28266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9790),
  [28268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [28270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16696),
  [28272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17511),
  [28274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17512),
  [28276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17513),
  [28278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [28280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8037),
  [28282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7211),
  [28284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [28286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12485),
  [28288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [28290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [28292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16609),
  [28294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5947),
  [28296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16710),
  [28298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17569),
  [28300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17570),
  [28302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17571),
  [28304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [28306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8041),
  [28308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6700),
  [28310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [28312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16098),
  [28314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [28316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [28318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9565),
  [28320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [28322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [28324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16726),
  [28326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [28328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17623),
  [28330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17624),
  [28332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17625),
  [28334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8046),
  [28336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [28338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [28340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6017),
  [28342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10057),
  [28344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6018),
  [28346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [28348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [28350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9134),
  [28352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [28354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16739),
  [28356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [28358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17678),
  [28360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17679),
  [28362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17680),
  [28364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [28366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [28368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [28370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [28372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12521),
  [28374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15786),
  [28376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6475),
  [28378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [28380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [28382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19742),
  [28384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16754),
  [28386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17733),
  [28388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17734),
  [28390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17735),
  [28392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [28394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [28396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [28398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [28400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [28402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12685),
  [28404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6028),
  [28406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [28408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [28410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [28412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [28414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16771),
  [28416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [28418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17788),
  [28420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17789),
  [28422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17790),
  [28424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [28426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8064),
  [28428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [28430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8759),
  [28432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [28434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [28436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [28438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6745),
  [28440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13195),
  [28442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [28444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8536),
  [28446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16788),
  [28448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [28450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17843),
  [28452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17844),
  [28454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17845),
  [28456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [28458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [28460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [28462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6756),
  [28464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6477),
  [28466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7471),
  [28468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12843),
  [28470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [28472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [28474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12463),
  [28476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7881),
  [28478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16805),
  [28480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [28482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17898),
  [28484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17899),
  [28486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17900),
  [28488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8070),
  [28490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [28492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [28494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [28496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [28498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [28500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10503),
  [28502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [28504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [28506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12866),
  [28508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16824),
  [28510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7948),
  [28512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17953),
  [28514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17954),
  [28516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17955),
  [28518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9916),
  [28520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8073),
  [28522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10946),
  [28524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [28526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5620),
  [28528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16426),
  [28530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6414),
  [28532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [28534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7483),
  [28536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [28538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [28540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16840),
  [28542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18008),
  [28544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18009),
  [28546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18010),
  [28548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7681),
  [28550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8077),
  [28552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [28554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7484),
  [28556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10957),
  [28558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13057),
  [28560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9599),
  [28562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [28564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16858),
  [28566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [28568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18063),
  [28570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18064),
  [28572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18065),
  [28574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [28576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9600),
  [28578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [28580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9601),
  [28582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13660),
  [28584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13778),
  [28586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9602),
  [28588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9444),
  [28590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [28592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13779),
  [28594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16871),
  [28596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7714),
  [28598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18105),
  [28600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18106),
  [28602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18107),
  [28604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15031),
  [28606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19536),
  [28608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7715),
  [28610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15778),
  [28612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [28614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8024),
  [28616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [28618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19544),
  [28620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16882),
  [28622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [28624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18146),
  [28626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18147),
  [28628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18148),
  [28630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [28632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10134),
  [28634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19553),
  [28636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9256),
  [28638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [28640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [28642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [28644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16896),
  [28646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18187),
  [28648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18188),
  [28650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18189),
  [28652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [28654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [28656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [28658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [28660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9879),
  [28662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [28664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [28666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [28668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12549),
  [28670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [28672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16905),
  [28674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6614),
  [28676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18228),
  [28678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18229),
  [28680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18230),
  [28682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9603),
  [28684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5843),
  [28686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [28688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [28690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [28692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9770),
  [28694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [28696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [28698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5694),
  [28700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16916),
  [28702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [28704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18269),
  [28706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18270),
  [28708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18271),
  [28710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [28712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9774),
  [28714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [28716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [28718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [28720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [28722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7366),
  [28724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [28726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7880),
  [28728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16930),
  [28730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18310),
  [28732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18311),
  [28734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18312),
  [28736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5844),
  [28738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6425),
  [28740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [28742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [28744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [28746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [28748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [28750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [28752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16942),
  [28754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7721),
  [28756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18351),
  [28758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18352),
  [28760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18353),
  [28762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [28764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [28766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [28768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6912),
  [28770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [28772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11006),
  [28774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9776),
  [28776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12533),
  [28778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8551),
  [28780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16954),
  [28782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [28784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18392),
  [28786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18393),
  [28788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18394),
  [28790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [28792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [28794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [28796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7883),
  [28798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7885),
  [28800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11554),
  [28802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9886),
  [28804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16964),
  [28806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16441),
  [28808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18433),
  [28810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18434),
  [28812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18435),
  [28814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [28816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9123),
  [28818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [28820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5830),
  [28822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7628),
  [28824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [28826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [28828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7368),
  [28830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16977),
  [28832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9778),
  [28834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18474),
  [28836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18475),
  [28838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18476),
  [28840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [28842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [28844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9606),
  [28846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9780),
  [28848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9662),
  [28850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [28852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [28854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16990),
  [28856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18515),
  [28858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18516),
  [28860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18517),
  [28862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9556),
  [28864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6907),
  [28866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6926),
  [28868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [28870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [28872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [28874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5206),
  [28876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7886),
  [28878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17004),
  [28880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [28882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18555),
  [28884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18556),
  [28886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18557),
  [28888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [28890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [28892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [28894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9341),
  [28896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [28898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17158),
  [28900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [28902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [28904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [28906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17013),
  [28908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [28910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18594),
  [28912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18595),
  [28914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18596),
  [28916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [28918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [28920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [28922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9151),
  [28924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9302),
  [28926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_content, 1, 0, 0),
  [28928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7887),
  [28930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [28932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17024),
  [28934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18633),
  [28936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18634),
  [28938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18635),
  [28940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [28942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [28944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9470),
  [28946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [28948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8810),
  [28950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [28952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6865),
  [28954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17033),
  [28956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9607),
  [28958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18672),
  [28960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18673),
  [28962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18674),
  [28964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9608),
  [28966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_string, 3, 0, 0),
  [28968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [28970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8440),
  [28972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [28974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [28976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [28978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16002),
  [28980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5882),
  [28982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18710),
  [28984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18711),
  [28986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18712),
  [28988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12596),
  [28990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9178),
  [28992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9186),
  [28994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9192),
  [28996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6154),
  [28998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [29000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9194),
  [29002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [29004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [29006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [29008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18748),
  [29010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18749),
  [29012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18750),
  [29014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9180),
  [29016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13203),
  [29018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16705),
  [29020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [29022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [29024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13204),
  [29026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [29028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7359),
  [29030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [29032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18786),
  [29034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18787),
  [29036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18788),
  [29038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [29040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8929),
  [29042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8964),
  [29044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8889),
  [29046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [29048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [29050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [29052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [29054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [29056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12600),
  [29058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18823),
  [29060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18824),
  [29062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18825),
  [29064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [29066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [29068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [29070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7909),
  [29072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [29074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15759),
  [29076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [29078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [29080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16507),
  [29082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18849),
  [29084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18850),
  [29086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18851),
  [29088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [29090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [29092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [29094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [29096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [29098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [29100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [29102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18872),
  [29104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18873),
  [29106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18874),
  [29108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8469),
  [29110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [29112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18885),
  [29114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18886),
  [29116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18887),
  [29118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [29120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [29122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18897),
  [29124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18898),
  [29126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18899),
  [29128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5878),
  [29130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [29132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18907),
  [29134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18908),
  [29136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18909),
  [29138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8442),
  [29140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [29142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18917),
  [29144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18918),
  [29146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18919),
  [29148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [29150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9246),
  [29152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18927),
  [29154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18928),
  [29156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18929),
  [29158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9209),
  [29160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18937),
  [29162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18938),
  [29164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18939),
  [29166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [29168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [29170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18947),
  [29172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18948),
  [29174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18949),
  [29176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [29178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12508),
  [29180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18957),
  [29182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18958),
  [29184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18959),
  [29186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9477),
  [29188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [29190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18967),
  [29192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18968),
  [29194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18969),
  [29196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [29198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10839),
  [29200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18977),
  [29202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18978),
  [29204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18979),
  [29206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [29208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6497),
  [29210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18987),
  [29212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18988),
  [29214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18989),
  [29216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9792),
  [29218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18997),
  [29220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18998),
  [29222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18999),
  [29224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16278),
  [29226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [29228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16509),
  [29230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [29232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9739),
  [29234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9845),
  [29236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [29238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [29240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [29242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [29244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9740),
  [29246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9847),
  [29248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [29250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14967),
  [29252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9725),
  [29254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [29256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9730),
  [29258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [29260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13658),
  [29262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13662),
  [29264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8777),
  [29266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [29268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [29270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15757),
  [29272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13105),
  [29274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9505),
  [29276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11893),
  [29278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [29280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12635),
  [29282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13077),
  [29284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [29286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [29288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [29290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [29292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19159),
  [29294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17663),
  [29296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [29298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12479),
  [29300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8605),
  [29302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [29304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [29306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15810),
  [29308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13090),
  [29310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [29312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13107),
  [29314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [29316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [29318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [29320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19247),
  [29322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6636),
  [29324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4828),
  [29326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10049),
  [29328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9750),
  [29330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [29332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [29334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15849),
  [29336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13061),
  [29338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [29340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13084),
  [29342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4833),
  [29344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16099),
  [29346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19320),
  [29348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [29350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [29352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11207),
  [29354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [29356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [29358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15883),
  [29360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7074),
  [29362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [29364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6498),
  [29366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19368),
  [29368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16643),
  [29370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10121),
  [29372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9761),
  [29374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15902),
  [29376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9762),
  [29378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [29380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15918),
  [29382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8587),
  [29384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [29386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15929),
  [29388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [29390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15940),
  [29392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15951),
  [29394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15960),
  [29396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15969),
  [29398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15977),
  [29400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15986),
  [29402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15995),
  [29404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16001),
  [29406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16010),
  [29408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16016),
  [29410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16025),
  [29412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16036),
  [29414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16044),
  [29416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16051),
  [29418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16060),
  [29420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16067),
  [29422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16075),
  [29424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16082),
  [29426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16092),
  [29428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16101),
  [29430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16106),
  [29432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16113),
  [29434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16120),
  [29436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16126),
  [29438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16136),
  [29440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16143),
  [29442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16153),
  [29444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16158),
  [29446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16166),
  [29448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16174),
  [29450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16183),
  [29452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16190),
  [29454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16199),
  [29456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16205),
  [29458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16213),
  [29460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16218),
  [29462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16220),
  [29464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16222),
  [29466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16224),
  [29468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16226),
  [29470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16228),
  [29472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16230),
  [29474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16232),
  [29476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16234),
  [29478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16236),
  [29480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16238),
  [29482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16240),
  [29484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16242),
  [29486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20104),
  [29488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9768),
  [29490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [29492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [29494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [29496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [29498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [29500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [29502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [29504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7374),
  [29506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [29508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [29510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [29512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [29514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9560),
  [29516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [29518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [29520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [29522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [29524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [29526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [29528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [29530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5453),
  [29532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17301),
  [29534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [29536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [29538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9830),
  [29540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [29542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13097),
  [29544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [29546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5365),
  [29548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [29550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [29552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [29554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8591),
  [29556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9834),
  [29558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6815),
  [29560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9023),
  [29562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4959),
  [29564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [29566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5894),
  [29568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4960),
  [29570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [29572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13374),
  [29574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [29576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [29578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5367),
  [29580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [29582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6092),
  [29584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [29586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [29588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6355),
  [29590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6499),
  [29592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9835),
  [29594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13673),
  [29596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [29598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [29600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9946),
  [29602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6818),
  [29604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11180),
  [29606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16533),
  [29608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7932),
  [29610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [29612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9951),
  [29614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [29616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9839),
  [29618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8800),
  [29620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [29622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9840),
  [29624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9841),
  [29626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [29628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [29630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [29632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [29634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [29636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [29638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8764),
  [29640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8787),
  [29642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5858),
  [29644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8788),
  [29646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6634),
  [29648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [29650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [29652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [29654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [29656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [29658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7933),
  [29660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7934),
  [29662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [29664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [29666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [29668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9218),
  [29670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [29672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9850),
  [29674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [29676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [29678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8881),
  [29680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9091),
  [29682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [29684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [29686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [29688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [29690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 0),
  [29692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_comment = 0,
  ts_external_token__left_quoted_string_delimiter = 1,
  ts_external_token__right_quoted_string_delimiter = 2,
  ts_external_token_DQUOTE = 3,
  ts_external_token_line_number_directive = 4,
  ts_external_token__null = 5,
  ts_external_token__error_sentinel = 6,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_comment] = sym_comment,
  [ts_external_token__left_quoted_string_delimiter] = sym__left_quoted_string_delimiter,
  [ts_external_token__right_quoted_string_delimiter] = sym__right_quoted_string_delimiter,
  [ts_external_token_DQUOTE] = anon_sym_DQUOTE,
  [ts_external_token_line_number_directive] = sym_line_number_directive,
  [ts_external_token__null] = sym__null,
  [ts_external_token__error_sentinel] = sym__error_sentinel,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
    [ts_external_token__error_sentinel] = true,
  },
  [2] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [3] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [4] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [5] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [6] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [7] = {
    [ts_external_token_comment] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [8] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [9] = {
    [ts_external_token_comment] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_ocaml_type_external_scanner_create(void);
void tree_sitter_ocaml_type_external_scanner_destroy(void *);
bool tree_sitter_ocaml_type_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_ocaml_type_external_scanner_serialize(void *, char *);
void tree_sitter_ocaml_type_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_ocaml_type(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__lowercase_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_ocaml_type_external_scanner_create,
      tree_sitter_ocaml_type_external_scanner_destroy,
      tree_sitter_ocaml_type_external_scanner_scan,
      tree_sitter_ocaml_type_external_scanner_serialize,
      tree_sitter_ocaml_type_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
